package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmAjCcusto {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "Filial :", "White", null));
    labels.add(new LLabel(null, 3, 37, "Depto:", "White", null));
    labels.add(new LLabel(null, 4, 0, "Divisao:", "White", null));
    labels.add(new LLabel(null, 4, 37, "Setor:", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "filial", 3, 10, 3, ' ', "##&", null, false, "ajudag", null, "0", false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "nomefilial",
            3,
            15,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "departamento",
            3,
            45,
            3,
            ' ',
            "##&",
            null,
            false,
            "ajudag",
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomedepto",
            3,
            50,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "divisao", 4, 10, 3, ' ', "##&", null, false, "ajudag", null, "0", false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "nomedivisao",
            4,
            15,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "setor", 4, 45, 3, ' ', "##&", null, false, "ajudag", null, "0", false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "nomesetor",
            4,
            50,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
