package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCndecimp {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "Numero da DI", "White", null));
    labels.add(new LLabel(null, 3, 30, " : ", "White", null));
    labels.add(new LLabel(null, 4, 0, "Data da DI", "White", null));
    labels.add(new LLabel(null, 4, 30, " : ", "White", null));
    labels.add(new LLabel(null, 5, 0, "UF de Desembaraço", "White", null));
    labels.add(new LLabel(null, 5, 31, ": ", "White", null));
    labels.add(new LLabel(null, 6, 0, "Local de Desembaraço", "White", null));
    labels.add(new LLabel(null, 6, 30, " : ", "White", null));
    labels.add(new LLabel(null, 7, 0, "Data de Desembaraço", "White", null));
    labels.add(new LLabel(null, 7, 31, ": ", "White", null));
    labels.add(new LLabel(null, 8, 0, "Código do Exportador", "White", null));
    labels.add(new LLabel(null, 8, 30, " : ", "White", null));
    labels.add(new LLabel(null, 9, 0, "Via de Transporte", "White", null));
    labels.add(new LLabel(null, 9, 31, ": ", "White", null));
    labels.add(new LLabel(null, 10, 0, "Valor da AFRMM", "White", null));
    labels.add(new LLabel(null, 10, 30, " : ", "White", null));
    labels.add(new LLabel(null, 11, 0, "Forma de Importação", "White", null));
    labels.add(new LLabel(null, 11, 31, ": ", "White", null));
    labels.add(new LLabel(null, 12, 0, "CNPJ do Adquirente/Encomendante:", "White", null));
    labels.add(new LLabel(null, 13, 0, "UF do Adquirente/Encomendante", "White", null));
    labels.add(new LLabel(null, 13, 31, ": ", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "decimpnro",
            3,
            34,
            12,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpdat",
            4,
            34,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpuf",
            5,
            34,
            5,
            'U',
            null,
            null,
            false,
            null,
            "AC:AL:AM:AP:BA:CE:DF:ES:EX:GO:MA:MG:MS:MT:PA:PB:PE:PI:PR:RJ:RN:RO:RR:RS:SC:SE:SP:TO",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpdesemb",
            6,
            34,
            42,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpdatdesemb",
            7,
            34,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpcodexp",
            8,
            34,
            42,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "viatransp",
            9,
            34,
            33,
            ' ',
            null,
            null,
            false,
            null,
            "Marítima:Fluvial:Lacustre:Aérea:Postal:Ferroviária:Rodoviária:Conduto / Rede Transmissão:Meios Próprios:Entrada / Saída ficta:Courier:Handcarry",
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpvlrafrmm",
            10,
            34,
            15,
            ' ',
            "####,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "intermedio",
            11,
            34,
            33,
            ' ',
            null,
            null,
            false,
            null,
            "Importação por conta própria:Importação por conta e ordem:Importação por encomenda",
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpcnpjterc",
            12,
            34,
            14,
            ' ',
            "#############&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "decimpufterc",
            13,
            34,
            5,
            'U',
            null,
            null,
            false,
            null,
            "AC:AL:AM:AP:BA:CE:DF:ES:EX:GO:MA:MG:MS:MT:PA:PB:PE:PI:PR:RJ:RN:RO:RR:RS:SC:SE:SP:TO",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("Declaração");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista telaTabAdicoes - formato de tabela
    List<LEntry> editsTelatabadicoes = new ArrayList<LEntry>();
    String[] cabTelatabadicoes = {
      "Adi", "Vlr. Desc.", "Nro. Pedido", "Item", "Drawback", "Cód. Fabric."
    };
    editsTelatabadicoes.add(
        new LEntry(
            "decadinro",
            3,
            1,
            3,
            ' ',
            "##&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelatabadicoes.add(
        new LEntry(
            "decadivlrdes",
            3,
            5,
            15,
            ' ',
            "----,---,--&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelatabadicoes.add(
        new LEntry(
            "decadinropedcpr",
            3,
            21,
            15,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelatabadicoes.add(
        new LEntry(
            "decadiitepedcpr",
            3,
            37,
            8,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelatabadicoes.add(
        new LEntry(
            "decadinrodrwbak",
            3,
            46,
            14,
            ' ',
            "##,###,###,##&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelatabadicoes.add(
        new LEntry(
            "decadicodfabest",
            3,
            61,
            14,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "telaTabAdicoes",
            2,
            1,
            13,
            75,
            cabTelatabadicoes,
            editsTelatabadicoes.toArray(new LEntry[editsTelatabadicoes.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("Adições");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
