package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCnnfcapam1 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Valor Item", "White", null));
    labels.add(new LLabel(null, 2, 16, " : ", "White", null));
    labels.add(new LLabel(null, 3, 0, "Valor Desconto", "White", null));
    labels.add(new LLabel(null, 3, 16, " : ", "White", null));
    labels.add(new LLabel(null, 3, 39, "Valor Acrescimo", "White", null));
    labels.add(new LLabel(null, 3, 56, ": ", "White", null));
    labels.add(new LLabel(null, 4, 0, "Valor Frete", "White", null));
    labels.add(new LLabel(null, 4, 17, ": ", "White", null));
    labels.add(new LLabel(null, 4, 39, "Valor Seguro", "White", null));
    labels.add(new LLabel(null, 4, 55, " : ", "White", null));
    labels.add(new LLabel(null, 5, 0, "Valor Outros", "White", null));
    labels.add(new LLabel(null, 5, 16, " : ", "White", null));
    labels.add(new LLabel(null, 5, 39, "Frete por Fora", "White", null));
    labels.add(new LLabel(null, 5, 55, " : ", "White", null));
    labels.add(new LLabel(null, 6, 0, "Juros Sem ICMS", "White", null));
    labels.add(new LLabel(null, 6, 16, " : ", "White", null));
    labels.add(new LLabel(null, 6, 39, "Total Nota Fiscal:", "White", null));
    labels.add(new LLabel(null, 7, 0, "Isento ICMS", "White", null));
    labels.add(new LLabel(null, 7, 17, ": ", "White", null));
    labels.add(new LLabel(null, 7, 39, "Sub. Isento ICMS :", "White", null));
    labels.add(new LLabel(null, 8, 0, "Base ICMS", "White", null));
    labels.add(new LLabel(null, 8, 17, ": ", "White", null));
    labels.add(new LLabel(null, 8, 39, "Sub. Base ICMS", "White", null));
    labels.add(new LLabel(null, 8, 55, " : ", "White", null));
    labels.add(new LLabel(null, 9, 0, "Valor ICMS", "White", null));
    labels.add(new LLabel(null, 9, 16, " : ", "White", null));
    labels.add(new LLabel(null, 9, 39, "Sub. Valor ICMS", "White", null));
    labels.add(new LLabel(null, 9, 56, ": ", "White", null));
    labels.add(new LLabel(null, 10, 0, "Base IPI", "White", null));
    labels.add(new LLabel(null, 10, 16, " : ", "White", null));
    labels.add(new LLabel(null, 10, 39, "Embalagem c/ IPI :", "White", null));
    labels.add(new LLabel(null, 11, 0, "Valor IPI", "White", null));
    labels.add(new LLabel(null, 11, 17, ": ", "White", null));
    labels.add(new LLabel(null, 11, 39, "Valor IPI Embal. :", "White", null));
    labels.add(new LLabel(null, 12, 0, "Mao Obra Interna :", "White", null));
    labels.add(new LLabel(null, 12, 39, "Mao Obra Externa :", "White", null));
    labels.add(new LLabel(null, 13, 0, "Desconto Mao Obra:", "White", null));
    labels.add(new LLabel(null, 13, 39, "Acresc.", "White", null));
    labels.add(new LLabel(null, 13, 48, "Mao Obra: ", "White", null));
    labels.add(new LLabel(null, 14, 0, "Base ISS", "White", null));
    labels.add(new LLabel(null, 14, 16, " : ", "White", null));
    labels.add(new LLabel(null, 14, 39, "Valor ISS", "White", null));
    labels.add(new LLabel(null, 14, 56, ": ", "White", null));
    labels.add(new LLabel(null, 15, 0, "Difer.Aliq.ICMS", "White", null));
    labels.add(new LLabel(null, 15, 17, ": ", "White", null));
    labels.add(new LLabel(null, 15, 39, "ICMS Frete p/Fora:", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "valoritem",
            2,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valordesc",
            3,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoracresc",
            3,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valorfrete",
            4,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valorseguro",
            4,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoroutros",
            5,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "freteporfora",
            5,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "jurossicm",
            6,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "totnfiscal",
            6,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "isentoicms",
            7,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "subisento",
            7,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "baseicms",
            8,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "sbaseicms",
            8,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoricms",
            9,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "svaloricms",
            9,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "baseipi",
            10,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "embalagemipi",
            10,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoripi",
            11,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoripiembal",
            11,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "maoobraint",
            12,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "maoobraext",
            12,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descontomob",
            13,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "acrescimmob",
            13,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "baseiss",
            14,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valoriss",
            14,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "difaliqicms",
            15,
            20,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "icmsfretefora",
            15,
            59,
            17,
            ' ',
            "##,###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
