package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCota0001it {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(
        new LLabel(
            null,
            10,
            0,
            "---Marcas Referencias---------------------------------------------------------",
            "White",
            null));

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista tabTelaIte - formato de tabela
    List<LEntry> editsTabtelaite = new ArrayList<LEntry>();
    String[] cabTabtelaite = {
      "Código Item Cliente", "Código Item Fornecedor", "Unidade", "Descrição"
    };
    editsTabtelaite.add(
        new LEntry(
            "codigoitemcliente",
            3,
            1,
            20,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelaite.add(
        new LEntry(
            "codigoitemfornecedor",
            3,
            22,
            22,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelaite.add(
        new LEntry(
            "unidade", 3, 45, 6, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTabtelaite.add(
        new LEntry(
            "descricaoresumida",
            3,
            52,
            40,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "tabTelaIte",
            2,
            1,
            6,
            92,
            cabTabtelaite,
            editsTabtelaite.toArray(new LEntry[editsTabtelaite.size()]),
            null,
            true));
    // lista tabTelaMar - formato de tabela
    List<LEntry> editsTabtelamar = new ArrayList<LEntry>();
    String[] cabTabtelamar = {"Marca", "Referencia"};
    editsTabtelamar.add(
        new LEntry(
            "marca", 12, 1, 40, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTabtelamar.add(
        new LEntry(
            "referencia",
            12,
            42,
            37,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "tabTelaMar",
            11,
            1,
            5,
            79,
            cabTabtelamar,
            editsTabtelamar.toArray(new LEntry[editsTabtelamar.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
