package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmEntr100024 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Nro. NF/Serie:", "White", null));
    labels.add(new LLabel(null, 2, 41, "Valor NF :", "White", null));
    labels.add(new LLabel(null, 3, 0, "Emitente", "White", null));
    labels.add(new LLabel(null, 3, 12, " :", "White", null));
    labels.add(new LLabel(null, 15, 0, "Total Parcelas:", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "nronota",
            2,
            15,
            11,
            ' ',
            "###,###,##&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "serienf", 2, 31, 4, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "totnfiscal",
            2,
            53,
            14,
            ' ',
            "###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "cgccpfemi",
            3,
            15,
            14,
            ' ',
            "#############&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomepessoaemi",
            3,
            31,
            36,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "totparcela",
            15,
            20,
            13,
            ' ',
            "######,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista tabParc - formato de tabela
    List<LEntry> editsTabparc = new ArrayList<LEntry>();
    String[] cabTabparc = {
      "Par", "Tip", "Vencimento", "Valor Parcela", "%Desc", "Valor Desc.", "Vct.Desc.", "P", "F", ""
    };
    editsTabparc.add(
        new LEntry(
            "nroparcela",
            5,
            1,
            3,
            ' ',
            "##",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "formapgto",
            5,
            5,
            3,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "dtvcto",
            5,
            9,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            "today",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "valor",
            5,
            20,
            13,
            ' ',
            "######,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "perc_desconto",
            5,
            34,
            6,
            ' ',
            "##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "valor_desconto",
            5,
            41,
            11,
            ' ',
            "####,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "vencto_desconto",
            5,
            53,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "plano_pagto",
            5,
            64,
            1,
            ' ',
            null,
            "Pagamento B=Bloqueado ou L=Liberado",
            false,
            null,
            "B:L",
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "forma_pagto",
            5,
            66,
            1,
            ' ',
            null,
            "Forma B=Boleto ou D=Deposito",
            false,
            null,
            "B:D",
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabparc.add(
        new LEntry(
            "pular", 5, 68, 1, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    listas.add(
        new LList(
            "tabParc",
            4,
            1,
            10,
            69,
            cabTabparc,
            editsTabparc.toArray(new LEntry[editsTabparc.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
