package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmFCaixabco {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 14, 1, "Filial", "White", null));
labels.add(new LLabel(null, 15, 1, "Data Lcto", "White", null));
labels.add(new LLabel(null, 16, 1, "Descricao", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("filial", 14, 12, 3, ' ', "#&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtlancto", 15, 12, 10, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("descrhistor", 16, 12, 64, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista tela - formato de tabela
List<LEntry> editsTela = new ArrayList<LEntry>();
String[] cabTela = { 
"Tipo Lancto", "Descricao                         D", "/C", "C.Custo", "Valor Lanamento"};
editsTela.add(new LEntry("tplancto", 4, 1, 14, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTela.add(new LEntry("descrtplan", 4, 16, 34, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTela.add(new LEntry("debcre", 4, 51, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTela.add(new LEntry("id_setor", 4, 53, 9, ' ', "########&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTela.add(new LEntry("valor", 4, 63, 13, ' ', "##,###,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
listas.add(new LList("tela", 3, 1, 10, 76, cabTela, editsTela.toArray(new LEntry[editsTela.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
