package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd10010 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Chassi", "White", null));
    labels.add(
        new LLabel(
            null,
            3,
            0,
            "Registro---------------------------------------Proprietario JD",
            "White",
            null));
    labels.add(new LLabel(null, 4, 0, "Codigo Concessionario", "White", null));
    labels.add(new LLabel(null, 4, 38, "Modelo Equipto", "White", null));
    labels.add(new LLabel(null, 5, 14, "Entrega", "White", null));
    labels.add(new LLabel(null, 5, 41, "Recebimento", "White", null));
    labels.add(
        new LLabel(
            null,
            6,
            0,
            "Garantia-------------------------------------------------------------------",
            "White",
            null));
    labels.add(new LLabel(null, 10, 5, "Atribuicao", "White", null));
    labels.add(new LLabel(null, 10, 45, "Inicio", "White", null));
    labels.add(new LLabel(null, 11, 6, "Expiracao", "White", null));
    labels.add(new LLabel(null, 11, 36, "Valor Dedutivel", "White", null));
    labels.add(
        new LLabel(
            null,
            12,
            0,
            "Status------------------------------------- Limites Garantia---------------",
            "White",
            null));
    labels.add(new LLabel(null, 16, 0, "Ultimo Horimento Enviado: Data", "White", null));
    labels.add(new LLabel(null, 16, 45, "Qtde", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "chassis", 2, 8, 21, 'U', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "customerno",
            3,
            64,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "dealeraccount",
            4,
            23,
            6,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "model", 4, 54, 20, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "deliverydate",
            5,
            23,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "recievedate",
            5,
            54,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "assigndate",
            10,
            17,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "startdate",
            10,
            53,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "expiredate",
            11,
            17,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "deductible",
            11,
            53,
            13,
            ' ',
            "######,##&.&&",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "readingdate",
            16,
            32,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "amtuse", 16, 51, 22, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista browseGarantia - formato de tabela
    List<LEntry> editsBrowsegarantia = new ArrayList<LEntry>();
    String[] cabBrowsegarantia = {"Codigo", "Descricao"};
    editsBrowsegarantia.add(
        new LEntry(
            "warranty_desc",
            8,
            1,
            52,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsBrowsegarantia.add(
        new LEntry(
            "warranty_number",
            8,
            54,
            20,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "browseGarantia",
            7,
            1,
            2,
            74,
            cabBrowsegarantia,
            editsBrowsegarantia.toArray(new LEntry[editsBrowsegarantia.size()]),
            null,
            true));
    // lista browseStatus - formato de tabela
    List<LEntry> editsBrowsestatus = new ArrayList<LEntry>();
    String[] cabBrowsestatus = {"Codigo", "Descricao"};
    editsBrowsestatus.add(
        new LEntry(
            "machinestatus_cod",
            14,
            1,
            6,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsBrowsestatus.add(
        new LEntry(
            "machinestatus_des",
            14,
            8,
            34,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "browseStatus",
            13,
            1,
            2,
            42,
            cabBrowsestatus,
            editsBrowsestatus.toArray(new LEntry[editsBrowsestatus.size()]),
            null,
            true));
    // lista browseLimites - formato de tabela
    List<LEntry> editsBrowselimites = new ArrayList<LEntry>();
    String[] cabBrowselimites = {"Limite", "Indicador"};
    editsBrowselimites.add(
        new LEntry(
            "limit_value",
            14,
            45,
            6,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsBrowselimites.add(
        new LEntry(
            "limit_type",
            14,
            52,
            22,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "browseLimites",
            13,
            47,
            2,
            30,
            cabBrowselimites,
            editsBrowselimites.toArray(new LEntry[editsBrowselimites.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
