package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd10012 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Chassi", "White", null));
    labels.add(
        new LLabel(
            null,
            3,
            0,
            "Recall---------------------------------------------------------------------",
            "White",
            null));
    labels.add(new LLabel(null, 9, 0, "Descricao Tipo", "White", null));
    labels.add(
        new LLabel(
            null,
            10,
            0,
            "Pecas/Servicos-------------------------------------------------------------",
            "White",
            null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "chassis", 2, 8, 21, 'U', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "descricao_type",
            9,
            16,
            40,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista browseRecall - formato de tabela
    List<LEntry> editsBrowserecall = new ArrayList<LEntry>();
    String[] cabBrowserecall = {"Numero", "Tipo", "Descricao", "Expira Em"};
    editsBrowserecall.add(
        new LEntry(
            "pipno", 5, 1, 28, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowserecall.add(
        new LEntry(
            "type", 5, 30, 4, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowserecall.add(
        new LEntry(
            "title", 5, 35, 28, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowserecall.add(
        new LEntry(
            "expirdt", 5, 64, 10, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    listas.add(
        new LList(
            "browseRecall",
            4,
            1,
            4,
            74,
            cabBrowserecall,
            editsBrowserecall.toArray(new LEntry[editsBrowserecall.size()]),
            null,
            true));
    // lista browsePecasServicos - formato de tabela
    List<LEntry> editsBrowsepecasservicos = new ArrayList<LEntry>();
    String[] cabBrowsepecasservicos = {"Recall Chave", "Codigo", "Local", "Qtde"};
    editsBrowsepecasservicos.add(
        new LEntry(
            "key", 12, 1, 30, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowsepecasservicos.add(
        new LEntry(
            "no", 12, 32, 18, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowsepecasservicos.add(
        new LEntry(
            "subtype", 12, 51, 9, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsBrowsepecasservicos.add(
        new LEntry(
            "qty",
            12,
            61,
            13,
            ' ',
            "######,##&.&&",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "browsePecasServicos",
            11,
            1,
            5,
            74,
            cabBrowsepecasservicos,
            editsBrowsepecasservicos.toArray(new LEntry[editsBrowsepecasservicos.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
