package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd1009 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 7, 0, "Técnico", "White", null));
    labels.add(new LLabel(null, 7, 13, ":", "White", null));
    labels.add(new LLabel(null, 8, 0, "Comentários", "White", null));
    labels.add(new LLabel(null, 8, 13, ":", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "cod_mecanico_jd",
            7,
            15,
            9,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomepessoa",
            7,
            27,
            38,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comentario",
            8,
            15,
            61,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comentario",
            9,
            15,
            61,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comentario",
            10,
            15,
            61,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comentario",
            11,
            15,
            61,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comentario",
            12,
            15,
            61,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista telAgrupamento - formato de tabela
    List<LEntry> editsTelagrupamento = new ArrayList<LEntry>();
    String[] cabTelagrupamento = {
      "Tipo", "Loc", "TPR Enviado", "TPR Pago", "Vlr Unitário", "Vlr Pago"
    };
    editsTelagrupamento.add(
        new LEntry(
            "cod_tipo_serv",
            3,
            1,
            10,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelagrupamento.add(
        new LEntry(
            "Local", 3, 12, 2, 'U', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsTelagrupamento.add(
        new LEntry(
            "tempovendido_env",
            3,
            15,
            9,
            ' ',
            "#####&.&&",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelagrupamento.add(
        new LEntry(
            "tempovendido_jd",
            3,
            25,
            9,
            ' ',
            "#####&.&&",
            null,
            false,
            null,
            null,
            "0",
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelagrupamento.add(
        new LEntry(
            "vlr_hora_jdn",
            3,
            35,
            18,
            ' ',
            "##############&.&&",
            null,
            false,
            null,
            null,
            "0",
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTelagrupamento.add(
        new LEntry(
            "vlr_pago_jd",
            3,
            54,
            22,
            ' ',
            "##############&.&&",
            null,
            false,
            null,
            null,
            "0",
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "telAgrupamento",
            2,
            1,
            3,
            76,
            cabTelagrupamento,
            editsTelagrupamento.toArray(new LEntry[editsTelagrupamento.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
