package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd1100 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "Numero SG", "White", null));
labels.add(new LLabel(null, 2, 15, ": ", "White", null));
labels.add(new LLabel(null, 2, 30, "ate", "White", null));
labels.add(new LLabel(null, 3, 0, "Data Envio SG", "White", null));
labels.add(new LLabel(null, 3, 15, ": ", "White", null));
labels.add(new LLabel(null, 3, 30, "ate", "White", null));
labels.add(new LLabel(null, 4, 0, "Data Emissao NF:", "White", null));
labels.add(new LLabel(null, 4, 30, "ate", "White", null));
labels.add(new LLabel(null, 5, 4, "SG com informacoes da NF Enviadas", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("nrosgini", 2, 18, 6, ' ', "#####&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("nrosgfin", 2, 35, 6, ' ', "#####&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("dt_envioini", 3, 18, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dt_enviofin", 3, 35, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtnotaini", 4, 18, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtnotafin", 4, 35, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("envio_nf", 5, 1, 1, 'U', null, "S-Sim, N-Nao", false, null, "S:N", "N", false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista browserFiltro - formato de tabela
List<LEntry> editsBrowserfiltro = new ArrayList<LEntry>();
String[] cabBrowserfiltro = { 
"Sl", "Fil", "OS", "SG Nro", "SAP Cliente", "Envio SG", "Nr.Nota", "Ser", "Emissão"};
editsBrowserfiltro.add(new LEntry("sel", 8, 1, 2, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("filial", 8, 4, 3, ' ', "##&", null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("ordemserv", 8, 8, 9, ' ', "########&", null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("nrosg", 8, 18, 6, ' ', "#####&", null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("nro_sap", 8, 25, 12, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("dt_envio", 8, 38, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("nronota", 8, 49, 9, ' ', "########&", null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("serienf", 8, 59, 4, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsBrowserfiltro.add(new LEntry("dtnota", 8, 64, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
listas.add(new LList("browserFiltro", 7, 1, 6, 74, cabBrowserfiltro, editsBrowserfiltro.toArray(new LEntry[editsBrowserfiltro.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
