package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdcm5000 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 1, 0, "Modelo Plano:", "White", null));
labels.add(new LLabel(null, 1, 48, "Atualizao:", "White", null));
labels.add(new LLabel(null, 1, 78, "Total Plano:", "White", null));
labels.add(new LLabel(null, 2, 0, "Revises Programadas:", "White", null));
labels.add(new LLabel(null, 3, 0, "Reviso:", "White", null));
labels.add(new LLabel(null, 3, 38, "Horas:", "White", null));
labels.add(new LLabel(null, 3, 76, "Total Reviso:", "White", null));
labels.add(new LLabel(null, 5, 0, "Peas:", "White", null));
labels.add(new LLabel(null, 11, 77, "Total Peas:", "White", null));
labels.add(new LLabel(null, 12, 0, "Servios:", "White", null));
labels.add(new LLabel(null, 18, 74, "Total Servios:", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("modelo", 1, 15, 27, ' ', null, null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtatualizacao", 1, 61, 14, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("valor_plano", 1, 92, 17, ' ', "#####,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("nro_revisao", 3, 10, 9, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("horas_revisao", 3, 45, 14, ' ', "###,###", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("vlr_revisao", 3, 92, 17, ' ', "#####,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("totalgeralpeca", 11, 93, 15, ' ', "#####,###,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("totalgeralserv", 18, 93, 15, ' ', "#####,###,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista telaTabPecas - formato de tabela
List<LEntry> editsTelatabpecas = new ArrayList<LEntry>();
String[] cabTelatabpecas = { 
"Cdigo", "Descrio", "Quant.", "Valor Unitrio", "Desconto", "Valor Total"};
editsTelatabpecas.add(new LEntry("codpeca", 7, 3, 15, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabpecas.add(new LEntry("descpeca", 7, 19, 23, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTelatabpecas.add(new LEntry("qtdpeca", 7, 43, 9, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabpecas.add(new LEntry("valorunitpeca", 7, 53, 17, ' ', "########,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTelatabpecas.add(new LEntry("descontopeca", 7, 71, 17, ' ', "########,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabpecas.add(new LEntry("vlrtotalpeca", 7, 89, 15, ' ', "########,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("telaTabPecas", 6, 3, 4, 102, cabTelatabpecas, editsTelatabpecas.toArray(new LEntry[editsTelatabpecas.size()]), null, true));
// lista telaTabServicos - formato de tabela
List<LEntry> editsTelatabservicos = new ArrayList<LEntry>();
String[] cabTelatabservicos = { 
"Cdigo", "Descrio", "Quant.", "Valor Unitrio", "Desconto", "Valor Total"};
editsTelatabservicos.add(new LEntry("codservico", 14, 3, 15, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabservicos.add(new LEntry("descrserv", 14, 19, 23, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTelatabservicos.add(new LEntry("qtdservico", 14, 43, 9, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabservicos.add(new LEntry("valorunitserv", 14, 53, 17, ' ', "########,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTelatabservicos.add(new LEntry("descontoserv", 14, 71, 17, ' ', "########,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTelatabservicos.add(new LEntry("vlrtotalserv", 14, 89, 15, ' ', "########,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("telaTabServicos", 13, 3, 4, 102, cabTelatabservicos, editsTelatabservicos.toArray(new LEntry[editsTelatabservicos.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
