package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdqu04004 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "DE (Cliente JD)", "White", null));
labels.add(new LLabel(null, 3, 1, "ID::", "White", null));
labels.add(new LLabel(null, 4, 1, "Nome:", "White", null));
labels.add(new LLabel(null, 5, 1, "Endereo 1:", "White", null));
labels.add(new LLabel(null, 6, 1, "Endereo 2:", "White", null));
labels.add(new LLabel(null, 7, 1, "CEP:", "White", null));
labels.add(new LLabel(null, 7, 33, "Tel:", "White", null));
labels.add(new LLabel(null, 8, 1, "Cidade:", "White", null));
labels.add(new LLabel(null, 8, 33, "Fax:", "White", null));
labels.add(new LLabel(null, 9, 0, "PARA (Cliente DMS)", "White", null));
labels.add(new LLabel(null, 10, 1, "CNPJ / CPF:", "White", null));
labels.add(new LLabel(null, 11, 1, "Nome:", "White", null));
labels.add(new LLabel(null, 12, 1, "Seq.Ender.:", "White", null));
labels.add(new LLabel(null, 13, 1, "Endereo:", "White", null));
labels.add(new LLabel(null, 14, 1, "CEP:", "White", null));
labels.add(new LLabel(null, 14, 33, "Tel:", "White", null));
labels.add(new LLabel(null, 15, 1, "Bairro:", "White", null));
labels.add(new LLabel(null, 16, 1, "Cidade:", "White", null));
labels.add(new LLabel(null, 17, 1, "Celular:", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("de_id", 3, 13, 20, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_nome", 4, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_endereco1", 5, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_endereco2", 6, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_cep", 7, 13, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_estado", 7, 27, 3, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_telefone", 7, 38, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_cidade", 8, 13, 19, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_fax", 8, 38, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_cgccpf", 10, 13, 14, ' ', "#############&", null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("para_tppessoa", 10, 30, 2, ' ', "&", "(1-Fsica, 2-Jurdica)", false, "f13", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("para_nome", 11, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_seqendereco", 12, 13, 2, ' ', "#&", null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("para_endereco", 13, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_cep", 14, 13, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_estado", 14, 27, 3, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_telefone", 14, 38, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_bairro", 15, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_cidade", 16, 13, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_celular", 17, 13, 12, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();
buttons.add(new LWidgetButton("bt13", null, "F13", 10, 37));
buttons.add(new LWidgetButton("bt14", null, "F14", 12, 37));

// cria listas
listas = new ArrayList<LList>();

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
