package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdvc0100 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 3, 0, "Data Inicial", "White", null));
labels.add(new LLabel(null, 3, 20, ": ", "White", null));
labels.add(new LLabel(null, 4, 0, "Data Final", "White", null));
labels.add(new LLabel(null, 4, 20, ": ", "White", null));
labels.add(new LLabel(null, 6, 0, "C.N.P.J. / C.P.F.", "White", null));
labels.add(new LLabel(null, 6, 19, " : ", "White", null));
labels.add(new LLabel(null, 9, 0, "Uso da Pessoa", "White", null));
labels.add(new LLabel(null, 9, 27, " : ", "White", null));
labels.add(new LLabel(null, 11, 0, "Processando N.Fiscal :", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("dtini", 3, 23, 10, ' ', "dd/mm/yyyy", null, false, null, null, "today", false, false, null, null, null, false, null));
edits.add(new LEntry("dtfim", 4, 23, 10, ' ', "dd/mm/yyyy", null, false, null, null, "today", false, false, null, null, null, false, null));
edits.add(new LEntry("cgccpf", 6, 23, 14, ' ', "#############&", "Para todos os cliente, digite 0 (zero)", false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("tppessoa", 6, 39, 1, ' ', "&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("nomepessoa", 7, 23, 40, 'U', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("usopessoa", 9, 31, 1, 'U', null, "Informe o Uso da Pessoa (CADA0380) ou Z para Todos", false, "ajudag", null, "Z", false, false, null, null, null, false, null));
edits.add(new LEntry("nronota", 11, 24, 9, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
