package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmNfascven {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista listanotaascven - formato de tabela
    List<LEntry> editsListanotaascven = new ArrayList<LEntry>();
    String[] cabListanotaascven = {"Fi", "Nro Nota S", "er.", "Data Emis."};
    editsListanotaascven.add(
        new LEntry(
            "filial", 3, 2, 3, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsListanotaascven.add(
        new LEntry(
            "nronota", 3, 6, 9, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsListanotaascven.add(
        new LEntry(
            "serienf", 3, 16, 3, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    editsListanotaascven.add(
        new LEntry(
            "dtnota", 3, 20, 10, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    listas.add(
        new LList(
            "listanotaascven",
            2,
            2,
            8,
            29,
            cabListanotaascven,
            editsListanotaascven.toArray(new LEntry[editsListanotaascven.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
