package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmNota20004 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "Total Orcamento", "White", null));
labels.add(new LLabel(null, 2, 17, ": ", "White", null));
labels.add(new LLabel(null, 2, 40, "Valor Maximo Arredondamento:", "White", null));
labels.add(new LLabel(null, 3, 0, "Impostos", "White", null));
labels.add(new LLabel(null, 3, 16, " : ", "White", null));
labels.add(new LLabel(null, 4, 0, "Liquido a Receber:", "White", null));
labels.add(new LLabel(null, 14, 12, "Valor Arredond:", "White", null));
labels.add(new LLabel(null, 15, 12, "Valor Troco", "White", null));
labels.add(new LLabel(null, 15, 25, " : ", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("totnfiscal", 2, 20, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("maxtroco", 2, 70, 6, ' ', "##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("impostos", 3, 20, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("liquido", 4, 20, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("arredond", 14, 29, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("troco", 15, 29, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista telParcelam - formato de tabela
List<LEntry> editsTelparcelam = new ArrayList<LEntry>();
String[] cabTelparcelam = { 
"Form", "Dias", "Vencimento", "Valor Parcela", "Respons. Pagamento", "Lin", ""};
editsTelparcelam.add(new LEntry("formapgto", 7, 1, 3, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("nrodias", 7, 8, 3, ' ', "##&", null, false, null, null, "0", false, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("dtvcto", 7, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("valor", 7, 29, 17, ' ', "##,###,###,##&.&&", null, false, null, null, "0", false, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("nro_endere", 7, 49, 19, ' ', "#############&,&,&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("testa", 7, 70, 3, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTelparcelam.add(new LEntry("saltalinha", 7, 75, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("telParcelam", 6, 1, 6, 76, cabTelparcelam, editsTelparcelam.toArray(new LEntry[editsTelparcelam.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
