package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmNota20005 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "Camara Compensac :", "White", null));
labels.add(new LLabel(null, 3, 0, "Banco", "White", null));
labels.add(new LLabel(null, 3, 17, ": ", "White", null));
labels.add(new LLabel(null, 4, 0, "Agencia", "White", null));
labels.add(new LLabel(null, 4, 17, ": ", "White", null));
labels.add(new LLabel(null, 4, 25, "-", "White", null));
labels.add(new LLabel(null, 4, 39, "C1:", "White", null));
labels.add(new LLabel(null, 5, 0, "Conta Corrente", "White", null));
labels.add(new LLabel(null, 5, 16, " : ", "White", null));
labels.add(new LLabel(null, 5, 33, "-", "White", null));
labels.add(new LLabel(null, 5, 39, "C2:", "White", null));
labels.add(new LLabel(null, 6, 0, "Numero Cheque", "White", null));
labels.add(new LLabel(null, 6, 17, ": ", "White", null));
labels.add(new LLabel(null, 6, 39, "C3:", "White", null));
labels.add(new LLabel(null, 7, 0, "Serie Cheque", "White", null));
labels.add(new LLabel(null, 7, 16, " : ", "White", null));
labels.add(new LLabel(null, 8, 0, "CNPJ/CPF Emitente:", "White", null));
labels.add(new LLabel(null, 8, 41, "Tipo de Pessoa", "White", null));
labels.add(new LLabel(null, 8, 57, ":", "White", null));
labels.add(new LLabel(null, 9, 0, "Nome Emitente", "White", null));
labels.add(new LLabel(null, 9, 17, ": ", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("camaracomp", 2, 20, 3, ' ', "##&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("nrobanco", 3, 20, 3, ' ', "##&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("nroagencia", 4, 20, 4, ' ', "###&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("digagencia", 4, 27, 1, ' ', "&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("gdvagencia", 4, 44, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ctacorrente", 5, 20, 12, ' ', "###########&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("digitoconta", 5, 35, 1, 'U', null, null, false, null, null, null, false, true, null, null, null, false, null));
edits.add(new LEntry("gdvconta", 5, 44, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("nrocheque", 6, 20, 6, ' ', "#####&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("gdvcheque", 6, 44, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("sercheque", 7, 20, 6, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("cgccpfemi", 8, 20, 14, ' ', "#############&", null, false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("tppessoaemi", 8, 59, 1, ' ', "&", "1 = CPF, 2 = CNPJ", false, null, null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("nomepessoaemi", 9, 20, 40, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
