package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmObsbolet {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "Observacoes para Boleto :", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista tela1 - formato de tabela
    List<LEntry> editsTela1 = new ArrayList<LEntry>();
    String[] cabTela1 = {};
    editsTela1.add(
        new LEntry(
            "observacao",
            5,
            1,
            4,
            'U',
            null,
            "Informe a Sigla da Observacao",
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTela1.add(
        new LEntry(
            "descrobpadr",
            5,
            7,
            50,
            'U',
            null,
            "Informe a Descricao Padrao",
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "tela1",
            4,
            1,
            5,
            57,
            cabTela1,
            editsTela1.toArray(new LEntry[editsTela1.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
