package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmRece0930t4 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista tabTela - formato de tabela
    List<LEntry> editsTabtela = new ArrayList<LEntry>();
    String[] cabTabtela = {"Filial", "Nro. N.F.", "Série", "Data", "Valor"};
    editsTabtela.add(
        new LEntry(
            "filial", 3, 1, 3, ' ', "##&", null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTabtela.add(
        new LEntry(
            "nronota",
            3,
            5,
            11,
            ' ',
            "###,###,##&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtela.add(
        new LEntry(
            "serienf", 3, 17, 6, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTabtela.add(
        new LEntry(
            "dtnota",
            3,
            24,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtela.add(
        new LEntry(
            "valornf",
            3,
            35,
            12,
            ' ',
            "#####,##&.&&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "tabTela",
            2,
            1,
            5,
            47,
            cabTabtela,
            editsTabtela.toArray(new LEntry[editsTabtela.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
