package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmVeic04763 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "CNPJ Destinatario :", "White", null));
    labels.add(new LLabel(null, 5, 0, "Condicao de Pagto :", "White", null));
    labels.add(new LLabel(null, 7, 0, "Transacao", "White", null));
    labels.add(new LLabel(null, 7, 17, " : ", "White", null));
    labels.add(new LLabel(null, 9, 0, "Fil/Div/Dep/Set", "White", null));
    labels.add(new LLabel(null, 9, 17, " : ", "White", null));
    labels.add(new LLabel(null, 11, 0, "Codigo Servico", "White", null));
    labels.add(new LLabel(null, 11, 18, ": ", "White", null));
    labels.add(new LLabel(null, 13, 0, "Tipo O.Servico", "White", null));
    labels.add(new LLabel(null, 13, 18, ": ", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "cgccpf",
            3,
            21,
            14,
            ' ',
            "#############&",
            "Informe o CNPJ/CPF",
            false,
            "ajudag",
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "tppessoa",
            3,
            37,
            1,
            ' ',
            "#",
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomepessoa",
            3,
            41,
            35,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "condpgto",
            5,
            21,
            4,
            ' ',
            "###&",
            null,
            false,
            "ajudag",
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descrcondpg",
            5,
            28,
            26,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "transacao",
            7,
            21,
            4,
            ' ',
            null,
            null,
            false,
            "ajudag",
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "codfisdesc",
            7,
            28,
            26,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "filial", 9, 21, 3, ' ', "&&&", null, false, null, null, "0", false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "divisao", 9, 26, 2, ' ', "&&", null, false, "ajudag", null, "0", false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "departamento",
            9,
            30,
            2,
            ' ',
            "&&",
            null,
            false,
            "ajudag",
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "setor", 9, 34, 2, ' ', "&&", null, false, "ajudag", null, "0", false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "id_setor",
            9,
            38,
            9,
            ' ',
            "########&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "abrevsetor",
            9,
            51,
            3,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomesetor",
            9,
            57,
            19,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "codservico",
            11,
            21,
            21,
            'U',
            null,
            "Informe parte do Codigo do Servico e tecle <enter> p/selecionar",
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descrprodserv",
            11,
            45,
            21,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "id_servico",
            11,
            69,
            8,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "tpordem", 13, 21, 3, 'U', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "descrtipoos",
            13,
            45,
            32,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
