// programa convertido pelo f2j v3.36.2 em Thu May 28 11:10:18 BRT 2020
package br.com.linx.sisdia.modulos;

import br.com.linx.sisdia.*;
import br.com.linx.sisdia.tipos.*;
import br.com.linx.sisdia.componentes.*;
import br.com.linx.sisdia.sql.BancoDados;
import br.com.linx.sisdia.eventos.Buffer;
import br.com.linx.f2j.utils.*;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintStream;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.Types;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.text.SimpleDateFormat;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import om.SaxDocumentHandler;
import br.com.linx.sisdia.tabelas.TabCscapas;
import br.com.linx.sisdia.tabelas.TabCscontat;

import base.StringBuffer;
import base.StringTokenizer;
import base.Channel;
import os.Path;
import ui.Window;
import ui.Form;
import ui.Interface;
import om.DomDocument;
import om.DomNode;
import sisdiaPDF.ReportPDF;

public class WFichos extends Programa4gl {

  private String msgUsuario = null;
  private int gisap0000auto;
  private Window w;
  private Form f;
  private TabCscapas regCscapas = new TabCscapas();
  private int gidOscapa;
  private ReportPDF objpdf;

  private PreparedStatement select1;
  private String sqlSelect1;
  private ResultSet cursorSelect1;
  private boolean select1PrmsOk;
  private List<Object> select1Prms;
  private PreparedStatement select2;
  private String sqlSelect2;
  private ResultSet cursorSelect2;
  private boolean select2PrmsOk;
  private List<Object> select2Prms;
  private PreparedStatement select3;
  private String sqlSelect3;
  private ResultSet cursorSelect3;
  private boolean select3PrmsOk;
  private List<Object> select3Prms;
  private PreparedStatement select4;
  private String sqlSelect4;
  private ResultSet cursorSelect4;
  private boolean select4PrmsOk;
  private List<Object> select4Prms;

  private int numRows;
  private int lastRow = -1;
  private boolean isLastRow;
  private int linhasPagina = 63;
  private String auxSubstring;
  private int rowForeach;
  private boolean exitWhile;
  private boolean continueWhile;

  // construtor
  public WFichos() {}

  public static void main(String[] args) throws Exception {
    if ((args.length > 0) && args[0].equals("-v")) {
      System.out.println("Programa convertido em 28/05/2020");
      System.out.println("f2j v3.36.2 13/04/2020");
      return;
    }
    Global.setVersaoConversor("3.36.2-2005281110");
    Debug.open("v3.36.2 2005281110", Fgl.getVersao());
    BancoDados.conecta();
    Terminal.conecta(args);
    Fgl.setArgVal("wfichos", args);
    try {
      new WFichos().main();
    } catch (Exception e) {
      Erro.trataExcecao(e);
    }
    BancoDados.getConexao().close();
    Fgl.exit();
  }

  public void main() throws Exception {
    Debug.write(Debug.Tipo.FLUXO, 1, "funcao: main");
    iniciaMetodo("main");

    Erro.setAcao(Erro.Acao.CALL);

    // call fgl_init4js ()  #35
    Global.setVersao("v10.10.01");

    // call licenca_ok  ()  #36
    new DialibJ().licencaOk();

    // call config_amb  ()  #37
    new DialibJ().configAmb();

    // call tela_padrao ()  #38
    new DialibJ().telaPadrao();

    // call carr_ficha  ()  #39
    carrFicha();
    finalizaMetodo("main");
    Debug.write(Debug.Tipo.FLUXO, 1, "return: main");
  }

  public void carrFicha() throws Exception {
    Debug.write(Debug.Tipo.FLUXO, 1, "funcao: carrFicha");
    iniciaMetodo("carrFicha");
    String lparametro = null;

    // let lParametro = arg_val (15)  #49
    lparametro = Fgl.argVal(15);

    // if lParametro = " " then  #51

    if (Fgl.equals(lparametro, " ")) {

      // let lParametro = null  #52
      lparametro = null;
    }

    // if length(lParametro) = 0 then  #55

    if (Fgl.length(lparametro) == 0) {

      // call erro_log(0,"Este programa nao pode ser executado diretamente!!!",false,false)  #56
      new DialibJ()
          .erroLog(0, "Este programa nao pode ser executado diretamente!!!", Fgl.FALSE, Fgl.FALSE);
      finalizaMetodo("carrFicha");
      Debug.write(Debug.Tipo.FLUXO, 1, "return: carrFicha");
      return;
    }

    // let gId_Oscapa = lParametro  #60
    gidOscapa = Fgl.parseInt(lparametro);

    // select   cscapas.*  #62
    String sql1 = "select cscapas.*  " + "FROM cscapas  " + "WHERE cscapas.id_oscapa = ? ";
    try {
      select1 = Sql.prepareStatement("WFichos:select1", sql1);
      BancoDados.setInt(select1, 1, gidOscapa);
      cursorSelect1 = BancoDados.executeQuery(select1, sql1);
      if (cursorSelect1.next()) {
        Fgl.getSqlca().setSqlcode(Fgl.OK);
        regCscapas.setIdOscapa(Fgl.getIntNull(cursorSelect1, 1));
        regCscapas.setFilial(Fgl.getIntNull(cursorSelect1, 2));
        regCscapas.setOrdemserv(Fgl.getIntNull(cursorSelect1, 3));
        regCscapas.setNroProprietario(Fgl.getLongNull(cursorSelect1, 4));
        regCscapas.setCondpgto(Fgl.getIntNull(cursorSelect1, 5));
        regCscapas.setDtabertura(Fgl.getFglDate(cursorSelect1, 6));
        regCscapas.setHrabertura(Fgl.getFglDateTimeHMin(cursorSelect1, 7));
        regCscapas.setDtpreventr(Fgl.getFglDate(cursorSelect1, 8));
        regCscapas.setHrpreventr(Fgl.getFglDateTimeHMin(cursorSelect1, 9));
        regCscapas.setDtfechament(Fgl.getFglDate(cursorSelect1, 10));
        regCscapas.setHrfechament(Fgl.getFglDateTimeHMin(cursorSelect1, 11));
        regCscapas.setIdAgente(Fgl.getIntNull(cursorSelect1, 12));
        regCscapas.setChassis(Fgl.getString(cursorSelect1, 13));
        regCscapas.setIdSetorconsumo(Fgl.getIntNull(cursorSelect1, 14));
        regCscapas.setQuilometr(Fgl.getIntNull(cursorSelect1, 15));
        regCscapas.setPrisma(Fgl.getString(cursorSelect1, 16));
        regCscapas.setNroprisma(Fgl.getIntNull(cursorSelect1, 17));
        regCscapas.setLavagem(Fgl.getString(cursorSelect1, 18));
        regCscapas.setValacambio(Fgl.getString(cursorSelect1, 19));
        regCscapas.setValadiferenc(Fgl.getString(cursorSelect1, 20));
        regCscapas.setValamotor(Fgl.getString(cursorSelect1, 21));
        regCscapas.setOleomotor(Fgl.getString(cursorSelect1, 22));
        regCscapas.setOleocambio(Fgl.getString(cursorSelect1, 23));
        regCscapas.setNivelcomb(Fgl.getString(cursorSelect1, 24));
        regCscapas.setObservacao(Fgl.getString(cursorSelect1, 25));
        regCscapas.setIdOsanter(Fgl.getIntNull(cursorSelect1, 26));
        regCscapas.setIdOsposter(Fgl.getIntNull(cursorSelect1, 27));
        regCscapas.setNroimpre(Fgl.getIntNull(cursorSelect1, 28));
        regCscapas.setAguardarecep(Fgl.getString(cursorSelect1, 29));
        regCscapas.setVistoriapeca(Fgl.getString(cursorSelect1, 30));
      } else {
        Fgl.getSqlca().setSqlcode(Fgl.NOTFOUND);
      }
      cursorSelect1.close();
      Sql.close(select1);
    } catch (SQLException e) {
      Erro.trataExcecao(e);
    }

    // if sqlca.sqlcode != 0 then  #67

    if (Fgl.getSqlca().getSqlcode() != 0) {

      // call erro_log(0,"Ordem de servico não cadastrada!",false,false)  #68
      new DialibJ().erroLog(0, "Ordem de servico não cadastrada!", Fgl.FALSE, Fgl.FALSE);
      finalizaMetodo("carrFicha");
      Debug.write(Debug.Tipo.FLUXO, 1, "return: carrFicha");
      return;
    }

    // call ficha_os()  #72
    fichaOs();
  }

  public void fichaOs() throws Exception {
    Debug.write(Debug.Tipo.FLUXO, 1, "funcao: fichaOs");
    iniciaMetodo("fichaOs");

    // let nome_relatorio = path_relatorio clipped, "ficha_os.pdf"  #77
    Global.setNomeRelatorio(Fgl.trim(Global.getPathRelatorio()) + "ficha_os.pdf");

    // let objPDF = null  #79
    objpdf = null;

    // let objPDF = ReportPDF.create(nome_relatorio)  #80
    objpdf = new ReportPDF(Global.getNomeRelatorio());

    // if objPDF.iniciaPDF() then  #82

    if (objpdf.iniciaPDF()) {

      // call objPDF.setFonte("A", 8)  #83
      try {
        objpdf.setFonte("A", 8);
      } catch (Exception e) {
      }

      // call relat_ficha_os(gId_Oscapa)  #84
      relatFichaOs(gidOscapa);

      // call objPDF.salvaPDF()  #85
      try {
        objpdf.salvaPDF();
      } catch (Exception e) {
      }

      // call impressao_url (nome_relatorio clipped)  #86
      new ConfirmaImp().impressaoUrl(Global.getNomeRelatorio().trim());
    }
    finalizaMetodo("fichaOs");
    Debug.write(Debug.Tipo.FLUXO, 1, "return: fichaOs");
  }

  public void relatFichaOs(int lidOscapa) throws Exception {
    Debug.write(Debug.Tipo.FLUXO, 1, "funcao: relatFichaOs");
    Debug.write(Debug.Tipo.FLUXO, 2, "---------- int lidOscapa " + lidOscapa);
    iniciaMetodo("relatFichaOs");
    String ltexto = null;
    TabCscontat regCscontat = new TabCscontat();
    String lnromotor = null;
    String lnomecliente = null;
    String lfonecontato = null;
    int lramal = 0;

    // select cxcadast.nromotor  #103
    String sql2 = "select cxcadast.nromotor  " + "FROM cxcadast  " + "WHERE cxcadast.chassis = ? ";
    try {
      select2 = Sql.prepareStatement("WFichos:select2", sql2);
      BancoDados.setString(select2, 1, regCscapas.getChassis());
      cursorSelect2 = BancoDados.executeQuery(select2, sql2);
      if (cursorSelect2.next()) {
        Fgl.getSqlca().setSqlcode(Fgl.OK);
        lnromotor = Fgl.getString(cursorSelect2, 1);
        Sql.setNull("lnromotor", cursorSelect2);
      } else {
        Fgl.getSqlca().setSqlcode(Fgl.NOTFOUND);
      }
      cursorSelect2.close();
      Sql.close(select2);
    } catch (SQLException e) {
      Erro.trataExcecao(e);
    }

    // select cipessoa.nomepessoa, ciendere.fone, ciendere.ramal  #108
    String sql3 =
        "select cipessoa.nomepessoa , ciendere.fone , ciendere.ramal  "
            + "FROM cipessoa , ciendere  "
            + "WHERE ciendere.nro_endere = ? AND ciendere.cgccpf = cipessoa.cgccpf AND ciendere.tppessoa = cipessoa.tppessoa ";
    try {
      select3 = Sql.prepareStatement("WFichos:select3", sql3);
      BancoDados.setLong(
          select3, 1, regCscapas.isNroProprietarioNull() ? null : regCscapas.getNroProprietario());
      cursorSelect3 = BancoDados.executeQuery(select3, sql3);
      if (cursorSelect3.next()) {
        Fgl.getSqlca().setSqlcode(Fgl.OK);
        lnomecliente = Fgl.getString(cursorSelect3, 1);
        Sql.setNull("lnomecliente", cursorSelect3);
        lfonecontato = Fgl.getString(cursorSelect3, 2);
        Sql.setNull("lfonecontato", cursorSelect3);
        lramal = Fgl.getInt(cursorSelect3, 3);
        Sql.setNull("lramal", cursorSelect3);
      } else {
        Fgl.getSqlca().setSqlcode(Fgl.NOTFOUND);
      }
      cursorSelect3.close();
      Sql.close(select3);
    } catch (SQLException e) {
      Erro.trataExcecao(e);
    }

    // select cscontat.*  #115
    String sql4 = "select cscontat.*  " + "FROM cscontat  " + "WHERE cscontat.id_oscapa = ? ";
    try {
      select4 = Sql.prepareStatement("WFichos:select4", sql4);
      BancoDados.setInt(select4, 1, lidOscapa);
      cursorSelect4 = BancoDados.executeQuery(select4, sql4);
      if (cursorSelect4.next()) {
        Fgl.getSqlca().setSqlcode(Fgl.OK);
        regCscontat.setIdOscapa(Fgl.getIntNull(cursorSelect4, 1));
        regCscontat.setContato(Fgl.getString(cursorSelect4, 2));
        regCscontat.setFone(Fgl.getString(cursorSelect4, 3));
        regCscontat.setRamal(Fgl.getIntNull(cursorSelect4, 4));
        regCscontat.setPrioriacomp(Fgl.getString(cursorSelect4, 5));
        regCscontat.setComentario(Fgl.getString(cursorSelect4, 6));
        regCscontat.setPrioridfone(Fgl.getString(cursorSelect4, 7));
        regCscontat.setCelular(Fgl.getString(cursorSelect4, 8));
      } else {
        Fgl.getSqlca().setSqlcode(Fgl.NOTFOUND);
      }
      cursorSelect4.close();
      Sql.close(select4);
    } catch (SQLException e) {
      Erro.trataExcecao(e);
    }

    // let  ltexto = "<a12b>RELATÓRIO DE SERVIÇOS E ASSISTÊNCIA TÉCNICA     Nº: ", lId_Oscapa  #120
    ltexto =
        "<a12b>RELATÓRIO DE SERVIÇOS E ASSISTÊNCIA TÉCNICA     Nº: "
            + Fgl.format(lidOscapa, "#####&");

    // call objPDF.texto(ltexto, "C")  #121
    try {
      objpdf.texto(Fgl.stringToJava(ltexto), "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #122
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // let  ltexto = "<a12b>Ordem de serviço: ", reg_cscapas.ordemserv using "<<<<<<<<<<", 50
    // spaces,  #124
    ltexto =
        "<a12b>Ordem de serviço: "
            + Fgl.format(regCscapas.getOrdemserv(), "<<<<<<<<<<")
            + Fgl.spaces(50)
            + "Frota:_____________________";

    // call objPDF.texto(ltexto, "C")  #126
    try {
      objpdf.texto(Fgl.stringToJava(ltexto), "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #128
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("40;20;40")  #130
    try {
      objpdf.abreTabela("40;20;40");
    } catch (Exception e) {
    }

    // let ltexto = "<a10>Chassi: ", reg_cscapas.chassis  #131
    ltexto = "<a10>Chassi: " + StrUtils.rpad(regCscapas.getChassis(), 21);

    // call pdfAddCelula(objPDF,ltexto, null, 1, null)  #132
    new FGerpdf().pdfaddcelula(objpdf, ltexto, null, 1, null);

    // let ltexto = "Horímetro: ", reg_cscapas.quilometr  #133
    ltexto = "Horímetro: " + Fgl.format(regCscapas.getQuilometr(), "##########&");

    // call pdfAddCelula(objPDF,ltexto, null, 1, null)  #134
    new FGerpdf().pdfaddcelula(objpdf, ltexto, null, 1, null);

    // let ltexto = "Nº Motor: ", lNroMotor  #135
    ltexto = "Nº Motor: " + StrUtils.rpad(lnromotor, 20);

    // call pdfAddCelula(objPDF,ltexto, null, 1, null)  #136
    new FGerpdf().pdfaddcelula(objpdf, ltexto, null, 1, null);

    // call objPDF.addTabela()  #137
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("66;34")  #139
    try {
      objpdf.abreTabela("66;34");
    } catch (Exception e) {
    }

    // let  ltexto = "<a10>Nome Cliente: ", lNomeCliente  #140
    ltexto = "<a10>Nome Cliente: " + StrUtils.rpad(lnomecliente, 40);

    // call pdfAddCelula(objPDF,ltexto, null, 1, null)  #141
    new FGerpdf().pdfaddcelula(objpdf, ltexto, null, 1, null);

    // let  ltexto = "Contato/Telefone: ", lFoneContato, " (",  #142
    ltexto =
        "Contato/Telefone: "
            + StrUtils.rpad(lfonecontato, 12)
            + " ("
            + Fgl.format(lramal, "<<<<<")
            + ")";

    // call pdfAddCelula(objPDF,ltexto, null, 1, null)  #144
    new FGerpdf().pdfaddcelula(objpdf, ltexto, null, 1, null);

    // call objPDF.addTabela()  #145
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #147
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.texto("<a12b>SERVIÇOS REALIZADOS", "C")  #148
    try {
      objpdf.texto("<a12b>SERVIÇOS REALIZADOS", "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #150
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10>1) Defeito:")  #152
    try {
      objpdf.textoTabela("<a10>1) Defeito:");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #153
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10>2) Testes Efetuados:")  #155
    try {
      objpdf.textoTabela("<a10>2) Testes Efetuados:");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #156
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #157
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #158
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #159
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #160
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10>2) Falha encontrada:")  #162
    try {
      objpdf.textoTabela("<a10>2) Falha encontrada:");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #163
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #164
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #165
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10>4) Solução:")  #167
    try {
      objpdf.textoTabela("<a10>4) Solução:");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #168
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #169
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // call objPDF.texto("<a12b>PEÇAS APLICADAS", "C")  #173
    try {
      objpdf.texto("<a12b>PEÇAS APLICADAS", "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #175
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #177
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09>Qtde.", null, 1, null)  #178
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Qtde.", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Código" , null, 1, null)  #179
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Código", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Descrição" , null, 1, null)  #180
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Descrição", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Qtde." , null, 1, null)  #181
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Qtde.", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Código" , null, 1, null)  #182
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Código", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Descrição" , null, 1, null)  #183
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Descrição", null, 1, null);

    // call objPDF.addTabela()  #184
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #186
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #187
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #188
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #189
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #190
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #191
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #192
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #193
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #195
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #196
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #197
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #198
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #199
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #200
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #201
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #202
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #204
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #205
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #206
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #207
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #208
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #209
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #210
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #211
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #213
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #214
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #215
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #216
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #217
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #218
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #219
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #220
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #222
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #223
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #224
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #225
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #226
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #227
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #228
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #229
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("10;20;20;10;20;20")  #231
    try {
      objpdf.abreTabela("10;20;20;10;20;20");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #232
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #233
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #234
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #235
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #236
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #237
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #238
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.texto("<a12b>APONTAMENTO", "C")  #240
    try {
      objpdf.texto("<a12b>APONTAMENTO", "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #242
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #244
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09>Data", null, 1, null)  #245
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Data", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>Km Saída" , null, 1, null)  #246
    new FGerpdf().pdfaddcelula(objpdf, "<a09>Km Saída", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>H.Saída" , null, 1, null)  #247
    new FGerpdf().pdfaddcelula(objpdf, "<a09>H.Saída", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>KM Chegada" , null, 1, null)  #248
    new FGerpdf().pdfaddcelula(objpdf, "<a09>KM Chegada", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>H.Chegada" , null, 1, null)  #249
    new FGerpdf().pdfaddcelula(objpdf, "<a09>H.Chegada", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>KM Saída" , null, 1, null)  #250
    new FGerpdf().pdfaddcelula(objpdf, "<a09>KM Saída", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>H.Saída" , null, 1, null)  #251
    new FGerpdf().pdfaddcelula(objpdf, "<a09>H.Saída", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>KM Chegada" , null, 1, null)  #252
    new FGerpdf().pdfaddcelula(objpdf, "<a09>KM Chegada", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09>H.Chegada" , null, 1, null)  #253
    new FGerpdf().pdfaddcelula(objpdf, "<a09>H.Chegada", null, 1, null);

    // call objPDF.addTabela()  #254
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #256
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #257
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #258
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #259
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #260
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #261
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #262
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #263
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #264
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #265
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #266
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #268
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #269
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #270
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #271
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #272
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #273
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #274
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #275
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #276
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #277
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #278
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #280
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #281
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #282
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #283
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #284
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #285
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #286
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #287
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #288
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #289
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #290
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #292
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #293
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #294
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #295
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #296
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #297
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #298
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #299
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #300
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #301
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #302
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #304
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #305
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #306
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #307
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #308
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #309
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #310
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #311
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #312
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #313
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #314
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("11;11;11;11;11;11;11;11;12")  #316
    try {
      objpdf.abreTabela("11;11;11;11;11;11;11;11;12");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a09> ", null, 1, null)  #317
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #318
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #319
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #320
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #321
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #322
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #323
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #324
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a09> " , null, 1, null)  #325
    new FGerpdf().pdfaddcelula(objpdf, "<a09> ", null, 1, null);

    // call objPDF.addTabela()  #326
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #328
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.abreTabela("30;50")  #330
    try {
      objpdf.abreTabela("30;50");
    } catch (Exception e) {
    }

    // call pdfAddCelula(objPDF,"<a10>Placa Veículo: ", null, 1, null)  #331
    new FGerpdf().pdfaddcelula(objpdf, "<a10>Placa Veículo: ", null, 1, null);

    // call pdfAddCelula(objPDF,"<a10>Técnico(Nome legível): " , null, 1, null)  #332
    new FGerpdf().pdfaddcelula(objpdf, "<a10>Técnico(Nome legível): ", null, 1, null);

    // call objPDF.addTabela()  #333
    try {
      objpdf.addTabela();
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10>Obs.:")  #335
    try {
      objpdf.textoTabela("<a10>Obs.:");
    } catch (Exception e) {
    }

    // call objPDF.textoTabela("<a10> ")  #336
    try {
      objpdf.textoTabela("<a10> ");
    } catch (Exception e) {
    }

    // let  ltexto = "<a10>Termo: Atesto e retenho a 1ª via deste relatório, aprovando a execução
    // dos serviços e aplicação das peças descritos acima."  #338
    ltexto =
        "<a10>Termo: Atesto e retenho a 1ª via deste relatório, aprovando a execução dos serviços e aplicação das peças descritos acima.";

    // call objPDF.texto(ltexto, "C")  #339
    try {
      objpdf.texto(Fgl.stringToJava(ltexto), "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #341
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // let  ltexto = "<a10>    ______________________________
    // _______________________________"  #343
    ltexto =
        "<a10>    ______________________________                     _______________________________";

    // call objPDF.texto(ltexto,"C")  #344
    try {
      objpdf.texto(Fgl.stringToJava(ltexto), "C");
    } catch (Exception e) {
    }

    // let  ltexto = "<a10>   Assinatura do Cliente
    // Assinatura do Técnico"  #346
    ltexto =
        "<a10>   Assinatura do Cliente                                             Assinatura do Técnico";

    // call objPDF.texto(ltexto,"C")  #347
    try {
      objpdf.texto(Fgl.stringToJava(ltexto), "C");
    } catch (Exception e) {
    }

    // call objPDF.skip(1)  #349
    try {
      objpdf.skip(1);
    } catch (Exception e) {
    }

    // call objPDF.texto("<a08>1a. via cliente / 2a. via controle / 3a. via fixa", "C")  #351
    try {
      objpdf.texto("<a08>1a. via cliente / 2a. via controle / 3a. via fixa", "C");
    } catch (Exception e) {
    }
    finalizaMetodo("relatFichaOs");
    Debug.write(Debug.Tipo.FLUXO, 1, "return: relatFichaOs");
  }
}
