package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabAuxiInve {
@Coluna(nome="auxi_inve.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="auxi_inve.datainv", tipo="FglDate")
private FglDate datainv;
@Coluna(nome="auxi_inve.produto", tipo="String")
private String produto;
@Coluna(nome="auxi_inve.qtdeprod", tipo="double")
private double qtdeprod;
private boolean qtdeprodNull;

public TabAuxiInve() {
initialize();
}

public void initialize() {
setFilial(null);
setDatainv(null);
setProduto(null);
setQtdeprod(null);
}

public TabAuxiInve(int filial, FglDate datainv, String produto, double qtdeprod) {
this.filial = filial;
this.datainv = datainv;
this.produto = produto;
this.qtdeprod = qtdeprod;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatainv() {
return datainv;
}

public void setDatainv(FglDate datainv) {
this.datainv = datainv;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeprod() {
return qtdeprod;
}

public boolean isQtdeprodNull() {
return qtdeprodNull;
}

public void setQtdeprod(int qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(long qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(Double qtdeprod) {
if (qtdeprod == null) {
qtdeprodNull = true;
this.qtdeprod = 0.;
} else { 
qtdeprodNull = false;
this.qtdeprod = FglDouble.round(qtdeprod, 2);
}
}

}

