package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabBgdespes {
@Coluna(nome="bgdespes.id_despes", tipo="int")
private int idDespes;
private boolean idDespesNull;
@Coluna(nome="bgdespes.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="bgdespes.despesa", tipo="int")
private int despesa;
private boolean despesaNull;
@Coluna(nome="bgdespes.ultmanut", tipo="FglDate")
private FglDate ultmanut;
@Coluna(nome="bgdespes.descrdesp", tipo="String")
private String descrdesp;
@Coluna(nome="bgdespes.tprealoc", tipo="String")
private String tprealoc;
@Coluna(nome="bgdespes.empenha", tipo="String")
private String empenha;
@Coluna(nome="bgdespes.osinterna", tipo="String")
private String osinterna;
@Coluna(nome="bgdespes.consumo", tipo="String")
private String consumo;
@Coluna(nome="bgdespes.usacgccpf", tipo="String")
private String usacgccpf;
@Coluna(nome="bgdespes.ativa", tipo="String")
private String ativa;

public TabBgdespes() {
initialize();
}

public void initialize() {
setIdDespes(null);
setFilial(null);
setDespesa(null);
setUltmanut(null);
setDescrdesp(null);
setTprealoc(null);
setEmpenha(null);
setOsinterna(null);
setConsumo(null);
setUsacgccpf(null);
setAtiva(null);
}

public TabBgdespes(int idDespes, int filial, int despesa, FglDate ultmanut, String descrdesp, String tprealoc, String empenha, String osinterna, String consumo, String usacgccpf, String ativa) {
this.idDespes = idDespes;
this.filial = filial;
this.despesa = despesa;
this.ultmanut = ultmanut;
this.descrdesp = descrdesp;
this.tprealoc = tprealoc;
this.empenha = empenha;
this.osinterna = osinterna;
this.consumo = consumo;
this.usacgccpf = usacgccpf;
this.ativa = ativa;
}

public int getIdDespes() {
return idDespes;
}

public boolean isIdDespesNull() {
return idDespesNull;
}

public void setIdDespes(Integer idDespes) {
if (idDespes == null) {
idDespesNull = true;
this.idDespes = 0;
} else { 
idDespesNull = false;
this.idDespes = idDespes;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDespesa() {
return despesa;
}

public boolean isDespesaNull() {
return despesaNull;
}

public void setDespesa(Integer despesa) {
if (despesa == null) {
despesaNull = true;
this.despesa = 0;
} else { 
despesaNull = false;
this.despesa = despesa;
}
}

public FglDate getUltmanut() {
return ultmanut;
}

public void setUltmanut(FglDate ultmanut) {
this.ultmanut = ultmanut;
}

public String getDescrdesp() {
return descrdesp;
}

public void setDescrdesp(String descrdesp) {
this.descrdesp = descrdesp;
}

public String getTprealoc() {
return tprealoc;
}

public void setTprealoc(String tprealoc) {
this.tprealoc = tprealoc;
}

public String getEmpenha() {
return empenha;
}

public void setEmpenha(String empenha) {
this.empenha = empenha;
}

public String getOsinterna() {
return osinterna;
}

public void setOsinterna(String osinterna) {
this.osinterna = osinterna;
}

public String getConsumo() {
return consumo;
}

public void setConsumo(String consumo) {
this.consumo = consumo;
}

public String getUsacgccpf() {
return usacgccpf;
}

public void setUsacgccpf(String usacgccpf) {
this.usacgccpf = usacgccpf;
}

public String getAtiva() {
return ativa;
}

public void setAtiva(String ativa) {
this.ativa = ativa;
}

}

