package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabBgreqite {
@Coluna(nome="bgreqite.id_reqcap", tipo="int")
private int idReqcap;
private boolean idReqcapNull;
@Coluna(nome="bgreqite.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="bgreqite.produto", tipo="String")
private String produto;
@Coluna(nome="bgreqite.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="bgreqite.valortotal", tipo="double")
private double valortotal;
private boolean valortotalNull;

public TabBgreqite() {
initialize();
}

public void initialize() {
setIdReqcap(null);
setNroitem(null);
setProduto(null);
setQuantidade(null);
setValortotal(null);
}

public TabBgreqite(int idReqcap, int nroitem, String produto, double quantidade, double valortotal) {
this.idReqcap = idReqcap;
this.nroitem = nroitem;
this.produto = produto;
this.quantidade = quantidade;
this.valortotal = valortotal;
}

public int getIdReqcap() {
return idReqcap;
}

public boolean isIdReqcapNull() {
return idReqcapNull;
}

public void setIdReqcap(Integer idReqcap) {
if (idReqcap == null) {
idReqcapNull = true;
this.idReqcap = 0;
} else { 
idReqcapNull = false;
this.idReqcap = idReqcap;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getValortotal() {
return valortotal;
}

public boolean isValortotalNull() {
return valortotalNull;
}

public void setValortotal(int valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(long valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(Double valortotal) {
if (valortotal == null) {
valortotalNull = true;
this.valortotal = 0.;
} else { 
valortotalNull = false;
this.valortotal = FglDouble.round(valortotal, 2);
}
}

}

