package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabBmwOrdemDms {
@Coluna(nome="bmw_ordem_dms.order_number", tipo="int")
private int orderNumber;
private boolean orderNumberNull;
@Coluna(nome="bmw_ordem_dms.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="bmw_ordem_dms.empresa", tipo="double")
private double empresa;
private boolean empresaNull;
@Coluna(nome="bmw_ordem_dms.revenda", tipo="double")
private double revenda;
private boolean revendaNull;
@Coluna(nome="bmw_ordem_dms.nro_os", tipo="double")
private double nroOs;
private boolean nroOsNull;
@Coluna(nome="bmw_ordem_dms.dms_status", tipo="String")
private String dmsStatus;

public TabBmwOrdemDms() {
initialize();
}

public void initialize() {
setOrderNumber(null);
setIdOscapa(null);
setEmpresa(null);
setRevenda(null);
setNroOs(null);
setDmsStatus(null);
}

public TabBmwOrdemDms(int orderNumber, int idOscapa, double empresa, double revenda, double nroOs, String dmsStatus) {
this.orderNumber = orderNumber;
this.idOscapa = idOscapa;
this.empresa = empresa;
this.revenda = revenda;
this.nroOs = nroOs;
this.dmsStatus = dmsStatus;
}

public int getOrderNumber() {
return orderNumber;
}

public boolean isOrderNumberNull() {
return orderNumberNull;
}

public void setOrderNumber(Integer orderNumber) {
if (orderNumber == null) {
orderNumberNull = true;
this.orderNumber = 0;
} else { 
orderNumberNull = false;
this.orderNumber = orderNumber;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public double getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(int empresa) {
setEmpresa(new Double(empresa));
}

public void setEmpresa(long empresa) {
setEmpresa(new Double(empresa));
}

public void setEmpresa(Double empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0.;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public double getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(int revenda) {
setRevenda(new Double(revenda));
}

public void setRevenda(long revenda) {
setRevenda(new Double(revenda));
}

public void setRevenda(Double revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0.;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public double getNroOs() {
return nroOs;
}

public boolean isNroOsNull() {
return nroOsNull;
}

public void setNroOs(int nroOs) {
setNroOs(new Double(nroOs));
}

public void setNroOs(long nroOs) {
setNroOs(new Double(nroOs));
}

public void setNroOs(Double nroOs) {
if (nroOs == null) {
nroOsNull = true;
this.nroOs = 0.;
} else { 
nroOsNull = false;
this.nroOs = nroOs;
}
}

public String getDmsStatus() {
return dmsStatus;
}

public void setDmsStatus(String dmsStatus) {
this.dmsStatus = dmsStatus;
}

}

