package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabBmwOriginalStatement {
@Coluna(nome="bmw_original_statement.order_number", tipo="int")
private int orderNumber;
private boolean orderNumberNull;
@Coluna(nome="bmw_original_statement.job_identifier", tipo="int")
private int jobIdentifier;
private boolean jobIdentifierNull;
@Coluna(nome="bmw_original_statement.original_statement", tipo="int")
private int originalStatement;
private boolean originalStatementNull;
@Coluna(nome="bmw_original_statement.description", tipo="String")
private String description;

public TabBmwOriginalStatement() {
initialize();
}

public void initialize() {
setOrderNumber(null);
setJobIdentifier(null);
setOriginalStatement(null);
setDescription(null);
}

public TabBmwOriginalStatement(int orderNumber, int jobIdentifier, int originalStatement, String description) {
this.orderNumber = orderNumber;
this.jobIdentifier = jobIdentifier;
this.originalStatement = originalStatement;
this.description = description;
}

public int getOrderNumber() {
return orderNumber;
}

public boolean isOrderNumberNull() {
return orderNumberNull;
}

public void setOrderNumber(Integer orderNumber) {
if (orderNumber == null) {
orderNumberNull = true;
this.orderNumber = 0;
} else { 
orderNumberNull = false;
this.orderNumber = orderNumber;
}
}

public int getJobIdentifier() {
return jobIdentifier;
}

public boolean isJobIdentifierNull() {
return jobIdentifierNull;
}

public void setJobIdentifier(Integer jobIdentifier) {
if (jobIdentifier == null) {
jobIdentifierNull = true;
this.jobIdentifier = 0;
} else { 
jobIdentifierNull = false;
this.jobIdentifier = jobIdentifier;
}
}

public int getOriginalStatement() {
return originalStatement;
}

public boolean isOriginalStatementNull() {
return originalStatementNull;
}

public void setOriginalStatement(Integer originalStatement) {
if (originalStatement == null) {
originalStatementNull = true;
this.originalStatement = 0;
} else { 
originalStatementNull = false;
this.originalStatement = originalStatement;
}
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

}

