package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabBmwServico {
@Coluna(nome="bmw_servico.order_number", tipo="int")
private int orderNumber;
private boolean orderNumberNull;
@Coluna(nome="bmw_servico.job_identifier", tipo="int")
private int jobIdentifier;
private boolean jobIdentifierNull;
@Coluna(nome="bmw_servico.flat_rate_number", tipo="String")
private String flatRateNumber;
@Coluna(nome="bmw_servico.description", tipo="String")
private String description;
@Coluna(nome="bmw_servico.is_local", tipo="String")
private String isLocal;
@Coluna(nome="bmw_servico.quantity", tipo="double")
private double quantity;
private boolean quantityNull;
@Coluna(nome="bmw_servico.price", tipo="double")
private double price;
private boolean priceNull;

public TabBmwServico() {
initialize();
}

public void initialize() {
setOrderNumber(null);
setJobIdentifier(null);
setFlatRateNumber(null);
setDescription(null);
setIsLocal(null);
setQuantity(null);
setPrice(null);
}

public TabBmwServico(int orderNumber, int jobIdentifier, String flatRateNumber, String description, String isLocal, double quantity, double price) {
this.orderNumber = orderNumber;
this.jobIdentifier = jobIdentifier;
this.flatRateNumber = flatRateNumber;
this.description = description;
this.isLocal = isLocal;
this.quantity = quantity;
this.price = price;
}

public int getOrderNumber() {
return orderNumber;
}

public boolean isOrderNumberNull() {
return orderNumberNull;
}

public void setOrderNumber(Integer orderNumber) {
if (orderNumber == null) {
orderNumberNull = true;
this.orderNumber = 0;
} else { 
orderNumberNull = false;
this.orderNumber = orderNumber;
}
}

public int getJobIdentifier() {
return jobIdentifier;
}

public boolean isJobIdentifierNull() {
return jobIdentifierNull;
}

public void setJobIdentifier(Integer jobIdentifier) {
if (jobIdentifier == null) {
jobIdentifierNull = true;
this.jobIdentifier = 0;
} else { 
jobIdentifierNull = false;
this.jobIdentifier = jobIdentifier;
}
}

public String getFlatRateNumber() {
return flatRateNumber;
}

public void setFlatRateNumber(String flatRateNumber) {
this.flatRateNumber = flatRateNumber;
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

public String getIsLocal() {
return isLocal;
}

public void setIsLocal(String isLocal) {
this.isLocal = isLocal;
}

public double getQuantity() {
return quantity;
}

public boolean isQuantityNull() {
return quantityNull;
}

public void setQuantity(int quantity) {
setQuantity(new Double(quantity));
}

public void setQuantity(long quantity) {
setQuantity(new Double(quantity));
}

public void setQuantity(Double quantity) {
if (quantity == null) {
quantityNull = true;
this.quantity = 0.;
} else { 
quantityNull = false;
this.quantity = FglDouble.round(quantity, 2);
}
}

public double getPrice() {
return price;
}

public boolean isPriceNull() {
return priceNull;
}

public void setPrice(int price) {
setPrice(new Double(price));
}

public void setPrice(long price) {
setPrice(new Double(price));
}

public void setPrice(Double price) {
if (price == null) {
priceNull = true;
this.price = 0.;
} else { 
priceNull = false;
this.price = FglDouble.round(price, 2);
}
}

}

