package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCaagetar {
@Coluna(nome="caagetar.id_agetar", tipo="int")
private int idAgetar;
private boolean idAgetarNull;
@Coluna(nome="caagetar.produto", tipo="int")
private int produto;
private boolean produtoNull;
@Coluna(nome="caagetar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="caagetar.tarefa", tipo="String")
private String tarefa;
@Coluna(nome="caagetar.dia", tipo="int")
private int dia;
private boolean diaNull;
@Coluna(nome="caagetar.mes", tipo="int")
private int mes;
private boolean mesNull;
@Coluna(nome="caagetar.ano", tipo="int")
private int ano;
private boolean anoNull;
@Coluna(nome="caagetar.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;

public TabCaagetar() {
initialize();
}

public void initialize() {
setIdAgetar(null);
setProduto(null);
setFilial(null);
setTarefa(null);
setDia(null);
setMes(null);
setAno(null);
setHora(null);
}

public TabCaagetar(int idAgetar, int produto, int filial, String tarefa, int dia, int mes, int ano, FglDateTimeHMin hora) {
this.idAgetar = idAgetar;
this.produto = produto;
this.filial = filial;
this.tarefa = tarefa;
this.dia = dia;
this.mes = mes;
this.ano = ano;
this.hora = hora;
}

public int getIdAgetar() {
return idAgetar;
}

public boolean isIdAgetarNull() {
return idAgetarNull;
}

public void setIdAgetar(Integer idAgetar) {
if (idAgetar == null) {
idAgetarNull = true;
this.idAgetar = 0;
} else { 
idAgetarNull = false;
this.idAgetar = idAgetar;
}
}

public int getProduto() {
return produto;
}

public boolean isProdutoNull() {
return produtoNull;
}

public void setProduto(Integer produto) {
if (produto == null) {
produtoNull = true;
this.produto = 0;
} else { 
produtoNull = false;
this.produto = produto;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTarefa() {
return tarefa;
}

public void setTarefa(String tarefa) {
this.tarefa = tarefa;
}

public int getDia() {
return dia;
}

public boolean isDiaNull() {
return diaNull;
}

public void setDia(Integer dia) {
if (dia == null) {
diaNull = true;
this.dia = 0;
} else { 
diaNull = false;
this.dia = dia;
}
}

public int getMes() {
return mes;
}

public boolean isMesNull() {
return mesNull;
}

public void setMes(Integer mes) {
if (mes == null) {
mesNull = true;
this.mes = 0;
} else { 
mesNull = false;
this.mes = mes;
}
}

public int getAno() {
return ano;
}

public boolean isAnoNull() {
return anoNull;
}

public void setAno(Integer ano) {
if (ano == null) {
anoNull = true;
this.ano = 0;
} else { 
anoNull = false;
this.ano = ano;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

}

