package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCablcnot {
@Coluna(nome="cablcnot.id_item", tipo="int")
private int idItem;
private boolean idItemNull;
@Coluna(nome="cablcnot.descricao", tipo="String")
private String descricao;
@Coluna(nome="cablcnot.tipo", tipo="String")
private String tipo;
@Coluna(nome="cablcnot.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cablcnot.data_hora_conclusao", tipo="FglDate")
private FglDate dataHoraConclusao;
@Coluna(nome="cablcnot.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="cablcnot.id_agente_criacao", tipo="int")
private int idAgenteCriacao;
private boolean idAgenteCriacaoNull;
@Coluna(nome="cablcnot.destaque", tipo="String")
private String destaque;
@Coluna(nome="cablcnot.sms", tipo="String")
private String sms;
@Coluna(nome="cablcnot.notificacao", tipo="String")
private String notificacao;

public TabCablcnot() {
initialize();
}

public void initialize() {
setIdItem(null);
setDescricao(null);
setTipo(null);
setData(null);
setDataHoraConclusao(null);
setHora(null);
setIdAgenteCriacao(null);
setDestaque(null);
setSms(null);
setNotificacao(null);
}

public TabCablcnot(int idItem, String descricao, String tipo, FglDate data, FglDate dataHoraConclusao, FglDateTimeHMin hora, int idAgenteCriacao, String destaque, String sms, String notificacao) {
this.idItem = idItem;
this.descricao = descricao;
this.tipo = tipo;
this.data = data;
this.dataHoraConclusao = dataHoraConclusao;
this.hora = hora;
this.idAgenteCriacao = idAgenteCriacao;
this.destaque = destaque;
this.sms = sms;
this.notificacao = notificacao;
}

public int getIdItem() {
return idItem;
}

public boolean isIdItemNull() {
return idItemNull;
}

public void setIdItem(Integer idItem) {
if (idItem == null) {
idItemNull = true;
this.idItem = 0;
} else { 
idItemNull = false;
this.idItem = idItem;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public FglDate getDataHoraConclusao() {
return dataHoraConclusao;
}

public void setDataHoraConclusao(FglDate dataHoraConclusao) {
this.dataHoraConclusao = dataHoraConclusao;
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public int getIdAgenteCriacao() {
return idAgenteCriacao;
}

public boolean isIdAgenteCriacaoNull() {
return idAgenteCriacaoNull;
}

public void setIdAgenteCriacao(Integer idAgenteCriacao) {
if (idAgenteCriacao == null) {
idAgenteCriacaoNull = true;
this.idAgenteCriacao = 0;
} else { 
idAgenteCriacaoNull = false;
this.idAgenteCriacao = idAgenteCriacao;
}
}

public String getDestaque() {
return destaque;
}

public void setDestaque(String destaque) {
this.destaque = destaque;
}

public String getSms() {
return sms;
}

public void setSms(String sms) {
this.sms = sms;
}

public String getNotificacao() {
return notificacao;
}

public void setNotificacao(String notificacao) {
this.notificacao = notificacao;
}

}

