package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCaparam {
@Coluna(nome="caparam.produto", tipo="int")
private int produto;
private boolean produtoNull;
@Coluna(nome="caparam.parametro", tipo="String")
private String parametro;
@Coluna(nome="caparam.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="caparam.descparametro", tipo="String")
private String descparametro;
@Coluna(nome="caparam.textoexplicativo", tipo="String")
private String textoexplicativo;
@Coluna(nome="caparam.valor", tipo="String")
private String valor;
@Coluna(nome="caparam.ordem", tipo="int")
private int ordem;
private boolean ordemNull;
@Coluna(nome="caparam.editavel", tipo="String")
private String editavel;
@Coluna(nome="caparam.ativo", tipo="String")
private String ativo;
@Coluna(nome="caparam.publico", tipo="String")
private String publico;
@Coluna(nome="caparam.chvunica", tipo="String")
private String chvunica;

public TabCaparam() {
initialize();
}

public void initialize() {
setProduto(null);
setParametro(null);
setFilial(null);
setDescparametro(null);
setTextoexplicativo(null);
setValor(null);
setOrdem(null);
setEditavel(null);
setAtivo(null);
setPublico(null);
setChvunica(null);
}

public TabCaparam(int produto, String parametro, int filial, String descparametro, String textoexplicativo, String valor, int ordem, String editavel, String ativo, String publico, String chvunica) {
this.produto = produto;
this.parametro = parametro;
this.filial = filial;
this.descparametro = descparametro;
this.textoexplicativo = textoexplicativo;
this.valor = valor;
this.ordem = ordem;
this.editavel = editavel;
this.ativo = ativo;
this.publico = publico;
this.chvunica = chvunica;
}

public int getProduto() {
return produto;
}

public boolean isProdutoNull() {
return produtoNull;
}

public void setProduto(Integer produto) {
if (produto == null) {
produtoNull = true;
this.produto = 0;
} else { 
produtoNull = false;
this.produto = produto;
}
}

public String getParametro() {
return parametro;
}

public void setParametro(String parametro) {
this.parametro = parametro;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDescparametro() {
return descparametro;
}

public void setDescparametro(String descparametro) {
this.descparametro = descparametro;
}

public String getTextoexplicativo() {
return textoexplicativo;
}

public void setTextoexplicativo(String textoexplicativo) {
this.textoexplicativo = textoexplicativo;
}

public String getValor() {
return valor;
}

public void setValor(String valor) {
this.valor = valor;
}

public int getOrdem() {
return ordem;
}

public boolean isOrdemNull() {
return ordemNull;
}

public void setOrdem(Integer ordem) {
if (ordem == null) {
ordemNull = true;
this.ordem = 0;
} else { 
ordemNull = false;
this.ordem = ordem;
}
}

public String getEditavel() {
return editavel;
}

public void setEditavel(String editavel) {
this.editavel = editavel;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getPublico() {
return publico;
}

public void setPublico(String publico) {
this.publico = publico;
}

public String getChvunica() {
return chvunica;
}

public void setChvunica(String chvunica) {
this.chvunica = chvunica;
}

}

