package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCaproanp {
@Coluna(nome="caproanp.codigoanp", tipo="int")
private int codigoanp;
private boolean codigoanpNull;
@Coluna(nome="caproanp.dat_inicio_validade", tipo="FglDate")
private FglDate datInicioValidade;
@Coluna(nome="caproanp.dat_final_validade", tipo="FglDate")
private FglDate datFinalValidade;
@Coluna(nome="caproanp.des_familia", tipo="String")
private String desFamilia;
@Coluna(nome="caproanp.des_grupo", tipo="String")
private String desGrupo;
@Coluna(nome="caproanp.des_subgrupo", tipo="String")
private String desSubgrupo;
@Coluna(nome="caproanp.des_subsubgrupo", tipo="String")
private String desSubsubgrupo;
@Coluna(nome="caproanp.des_produto", tipo="String")
private String desProduto;
@Coluna(nome="caproanp.des_unidade_grandeza", tipo="String")
private String desUnidadeGrandeza;
@Coluna(nome="caproanp.des_unidade_medida_simp", tipo="String")
private String desUnidadeMedidaSimp;
@Coluna(nome="caproanp.des_ramo", tipo="String")
private String desRamo;
@Coluna(nome="caproanp.idt_considera_partilha", tipo="String")
private String idtConsideraPartilha;

public TabCaproanp() {
initialize();
}

public void initialize() {
setCodigoanp(null);
setDatInicioValidade(null);
setDatFinalValidade(null);
setDesFamilia(null);
setDesGrupo(null);
setDesSubgrupo(null);
setDesSubsubgrupo(null);
setDesProduto(null);
setDesUnidadeGrandeza(null);
setDesUnidadeMedidaSimp(null);
setDesRamo(null);
setIdtConsideraPartilha(null);
}

public TabCaproanp(int codigoanp, FglDate datInicioValidade, FglDate datFinalValidade, String desFamilia, String desGrupo, String desSubgrupo, String desSubsubgrupo, String desProduto, String desUnidadeGrandeza, String desUnidadeMedidaSimp, String desRamo, String idtConsideraPartilha) {
this.codigoanp = codigoanp;
this.datInicioValidade = datInicioValidade;
this.datFinalValidade = datFinalValidade;
this.desFamilia = desFamilia;
this.desGrupo = desGrupo;
this.desSubgrupo = desSubgrupo;
this.desSubsubgrupo = desSubsubgrupo;
this.desProduto = desProduto;
this.desUnidadeGrandeza = desUnidadeGrandeza;
this.desUnidadeMedidaSimp = desUnidadeMedidaSimp;
this.desRamo = desRamo;
this.idtConsideraPartilha = idtConsideraPartilha;
}

public int getCodigoanp() {
return codigoanp;
}

public boolean isCodigoanpNull() {
return codigoanpNull;
}

public void setCodigoanp(Integer codigoanp) {
if (codigoanp == null) {
codigoanpNull = true;
this.codigoanp = 0;
} else { 
codigoanpNull = false;
this.codigoanp = codigoanp;
}
}

public FglDate getDatInicioValidade() {
return datInicioValidade;
}

public void setDatInicioValidade(FglDate datInicioValidade) {
this.datInicioValidade = datInicioValidade;
}

public FglDate getDatFinalValidade() {
return datFinalValidade;
}

public void setDatFinalValidade(FglDate datFinalValidade) {
this.datFinalValidade = datFinalValidade;
}

public String getDesFamilia() {
return desFamilia;
}

public void setDesFamilia(String desFamilia) {
this.desFamilia = desFamilia;
}

public String getDesGrupo() {
return desGrupo;
}

public void setDesGrupo(String desGrupo) {
this.desGrupo = desGrupo;
}

public String getDesSubgrupo() {
return desSubgrupo;
}

public void setDesSubgrupo(String desSubgrupo) {
this.desSubgrupo = desSubgrupo;
}

public String getDesSubsubgrupo() {
return desSubsubgrupo;
}

public void setDesSubsubgrupo(String desSubsubgrupo) {
this.desSubsubgrupo = desSubsubgrupo;
}

public String getDesProduto() {
return desProduto;
}

public void setDesProduto(String desProduto) {
this.desProduto = desProduto;
}

public String getDesUnidadeGrandeza() {
return desUnidadeGrandeza;
}

public void setDesUnidadeGrandeza(String desUnidadeGrandeza) {
this.desUnidadeGrandeza = desUnidadeGrandeza;
}

public String getDesUnidadeMedidaSimp() {
return desUnidadeMedidaSimp;
}

public void setDesUnidadeMedidaSimp(String desUnidadeMedidaSimp) {
this.desUnidadeMedidaSimp = desUnidadeMedidaSimp;
}

public String getDesRamo() {
return desRamo;
}

public void setDesRamo(String desRamo) {
this.desRamo = desRamo;
}

public String getIdtConsideraPartilha() {
return idtConsideraPartilha;
}

public void setIdtConsideraPartilha(String idtConsideraPartilha) {
this.idtConsideraPartilha = idtConsideraPartilha;
}

}

