package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCasafser {
@Coluna(nome="casafser.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="casafser.nome_programa", tipo="String")
private String nomePrograma;
@Coluna(nome="casafser.endereco_ip", tipo="String")
private String enderecoIp;
@Coluna(nome="casafser.usuario", tipo="String")
private String usuario;
@Coluna(nome="casafser.senha", tipo="String")
private String senha;
@Coluna(nome="casafser.tipo_transf", tipo="String")
private String tipoTransf;
@Coluna(nome="casafser.dir_origem", tipo="String")
private String dirOrigem;
@Coluna(nome="casafser.dir_destino", tipo="String")
private String dirDestino;
@Coluna(nome="casafser.nome_arquivo", tipo="String")
private String nomeArquivo;

public TabCasafser() {
initialize();
}

public void initialize() {
setFilial(null);
setNomePrograma(null);
setEnderecoIp(null);
setUsuario(null);
setSenha(null);
setTipoTransf(null);
setDirOrigem(null);
setDirDestino(null);
setNomeArquivo(null);
}

public TabCasafser(int filial, String nomePrograma, String enderecoIp, String usuario, String senha, String tipoTransf, String dirOrigem, String dirDestino, String nomeArquivo) {
this.filial = filial;
this.nomePrograma = nomePrograma;
this.enderecoIp = enderecoIp;
this.usuario = usuario;
this.senha = senha;
this.tipoTransf = tipoTransf;
this.dirOrigem = dirOrigem;
this.dirDestino = dirDestino;
this.nomeArquivo = nomeArquivo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNomePrograma() {
return nomePrograma;
}

public void setNomePrograma(String nomePrograma) {
this.nomePrograma = nomePrograma;
}

public String getEnderecoIp() {
return enderecoIp;
}

public void setEnderecoIp(String enderecoIp) {
this.enderecoIp = enderecoIp;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getTipoTransf() {
return tipoTransf;
}

public void setTipoTransf(String tipoTransf) {
this.tipoTransf = tipoTransf;
}

public String getDirOrigem() {
return dirOrigem;
}

public void setDirOrigem(String dirOrigem) {
this.dirOrigem = dirOrigem;
}

public String getDirDestino() {
return dirDestino;
}

public void setDirDestino(String dirDestino) {
this.dirDestino = dirDestino;
}

public String getNomeArquivo() {
return nomeArquivo;
}

public void setNomeArquivo(String nomeArquivo) {
this.nomeArquivo = nomeArquivo;
}

}

