package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCatabalt {
@Coluna(nome="catabalt.id_tabalt", tipo="int")
private int idTabalt;
private boolean idTabaltNull;
@Coluna(nome="catabalt.nometab", tipo="String")
private String nometab;
@Coluna(nome="catabalt.coluna", tipo="String")
private String coluna;
@Coluna(nome="catabalt.campodepois", tipo="String")
private String campodepois;
@Coluna(nome="catabalt.chave", tipo="String")
private String chave;
@Coluna(nome="catabalt.datageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datageracao;
@Coluna(nome="catabalt.processado", tipo="String")
private String processado;

public TabCatabalt() {
initialize();
}

public void initialize() {
setIdTabalt(null);
setNometab(null);
setColuna(null);
setCampodepois(null);
setChave(null);
setDatageracao(null);
setProcessado(null);
}

public TabCatabalt(int idTabalt, String nometab, String coluna, String campodepois, String chave, FglDateTimeYS datageracao, String processado) {
this.idTabalt = idTabalt;
this.nometab = nometab;
this.coluna = coluna;
this.campodepois = campodepois;
this.chave = chave;
this.datageracao = datageracao;
this.processado = processado;
}

public int getIdTabalt() {
return idTabalt;
}

public boolean isIdTabaltNull() {
return idTabaltNull;
}

public void setIdTabalt(Integer idTabalt) {
if (idTabalt == null) {
idTabaltNull = true;
this.idTabalt = 0;
} else { 
idTabaltNull = false;
this.idTabalt = idTabalt;
}
}

public String getNometab() {
return nometab;
}

public void setNometab(String nometab) {
this.nometab = nometab;
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public String getCampodepois() {
return campodepois;
}

public void setCampodepois(String campodepois) {
this.campodepois = campodepois;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public FglDateTimeYS getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDateTimeYS datageracao) {
this.datageracao = datageracao;
}

public String getProcessado() {
return processado;
}

public void setProcessado(String processado) {
this.processado = processado;
}

}

