package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCausuari {
@Coluna(nome="causuari.usuario", tipo="String")
private String usuario;
@Coluna(nome="causuari.senha", tipo="String")
private String senha;
@Coluna(nome="causuari.filaimpr", tipo="String")
private String filaimpr;
@Coluna(nome="causuari.diasexp", tipo="int")
private int diasexp;
private boolean diasexpNull;
@Coluna(nome="causuari.dtatual", tipo="FglDate")
private FglDate dtatual;
@Coluna(nome="causuari.maxidletime", tipo="FglDateTimeHMin")
private FglDateTimeHMin maxidletime;
@Coluna(nome="causuari.acessabd", tipo="String")
private String acessabd;
@Coluna(nome="causuari.ordem_monitor", tipo="String")
private String ordemMonitor;
@Coluna(nome="causuari.superusuario", tipo="String")
private String superusuario;

public TabCausuari() {
initialize();
}

public void initialize() {
setUsuario(null);
setSenha(null);
setFilaimpr(null);
setDiasexp(null);
setDtatual(null);
setMaxidletime(null);
setAcessabd(null);
setOrdemMonitor(null);
setSuperusuario(null);
}

public TabCausuari(String usuario, String senha, String filaimpr, int diasexp, FglDate dtatual, FglDateTimeHMin maxidletime, String acessabd, String ordemMonitor, String superusuario) {
this.usuario = usuario;
this.senha = senha;
this.filaimpr = filaimpr;
this.diasexp = diasexp;
this.dtatual = dtatual;
this.maxidletime = maxidletime;
this.acessabd = acessabd;
this.ordemMonitor = ordemMonitor;
this.superusuario = superusuario;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getFilaimpr() {
return filaimpr;
}

public void setFilaimpr(String filaimpr) {
this.filaimpr = filaimpr;
}

public int getDiasexp() {
return diasexp;
}

public boolean isDiasexpNull() {
return diasexpNull;
}

public void setDiasexp(Integer diasexp) {
if (diasexp == null) {
diasexpNull = true;
this.diasexp = 0;
} else { 
diasexpNull = false;
this.diasexp = diasexp;
}
}

public FglDate getDtatual() {
return dtatual;
}

public void setDtatual(FglDate dtatual) {
this.dtatual = dtatual;
}

public FglDateTimeHMin getMaxidletime() {
return maxidletime;
}

public void setMaxidletime(FglDateTimeHMin maxidletime) {
this.maxidletime = maxidletime;
}

public String getAcessabd() {
return acessabd;
}

public void setAcessabd(String acessabd) {
this.acessabd = acessabd;
}

public String getOrdemMonitor() {
return ordemMonitor;
}

public void setOrdemMonitor(String ordemMonitor) {
this.ordemMonitor = ordemMonitor;
}

public String getSuperusuario() {
return superusuario;
}

public void setSuperusuario(String superusuario) {
this.superusuario = superusuario;
}

}

