package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCbcolcap {
@Coluna(nome="cbcolcap.id_coleta", tipo="int")
private int idColeta;
private boolean idColetaNull;
@Coluna(nome="cbcolcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cbcolcap.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cbcolcap.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cbcolcap.serie", tipo="String")
private String serie;
@Coluna(nome="cbcolcap.nrocoleta", tipo="int")
private int nrocoleta;
private boolean nrocoletaNull;
@Coluna(nome="cbcolcap.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cbcolcap.id_coletador", tipo="int")
private int idColetador;
private boolean idColetadorNull;
@Coluna(nome="cbcolcap.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cbcolcap.dtcoleta", tipo="FglDate")
private FglDate dtcoleta;
@Coluna(nome="cbcolcap.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cbcolcap.id_nfcapae", tipo="int")
private int idNfcapae;
private boolean idNfcapaeNull;
@Coluna(nome="cbcolcap.status", tipo="String")
private String status;
@Coluna(nome="cbcolcap.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="cbcolcap.qtdeimpres", tipo="int")
private int qtdeimpres;
private boolean qtdeimpresNull;
@Coluna(nome="cbcolcap.retentr", tipo="String")
private String retentr;

public TabCbcolcap() {
initialize();
}

public void initialize() {
setIdColeta(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setSerie(null);
setNrocoleta(null);
setIdAgente(null);
setIdColetador(null);
setNroEndere(null);
setDtcoleta(null);
setCondpgto(null);
setIdNfcapae(null);
setStatus(null);
setDtentrega(null);
setQtdeimpres(null);
setRetentr(null);
}

public TabCbcolcap(int idColeta, int filial, long cgccpf, int tppessoa, String serie, int nrocoleta, int idAgente, int idColetador, long nroEndere, FglDate dtcoleta, int condpgto, int idNfcapae, String status, FglDate dtentrega, int qtdeimpres, String retentr) {
this.idColeta = idColeta;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.serie = serie;
this.nrocoleta = nrocoleta;
this.idAgente = idAgente;
this.idColetador = idColetador;
this.nroEndere = nroEndere;
this.dtcoleta = dtcoleta;
this.condpgto = condpgto;
this.idNfcapae = idNfcapae;
this.status = status;
this.dtentrega = dtentrega;
this.qtdeimpres = qtdeimpres;
this.retentr = retentr;
}

public int getIdColeta() {
return idColeta;
}

public boolean isIdColetaNull() {
return idColetaNull;
}

public void setIdColeta(Integer idColeta) {
if (idColeta == null) {
idColetaNull = true;
this.idColeta = 0;
} else { 
idColetaNull = false;
this.idColeta = idColeta;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getSerie() {
return serie;
}

public void setSerie(String serie) {
this.serie = serie;
}

public int getNrocoleta() {
return nrocoleta;
}

public boolean isNrocoletaNull() {
return nrocoletaNull;
}

public void setNrocoleta(Integer nrocoleta) {
if (nrocoleta == null) {
nrocoletaNull = true;
this.nrocoleta = 0;
} else { 
nrocoletaNull = false;
this.nrocoleta = nrocoleta;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdColetador() {
return idColetador;
}

public boolean isIdColetadorNull() {
return idColetadorNull;
}

public void setIdColetador(Integer idColetador) {
if (idColetador == null) {
idColetadorNull = true;
this.idColetador = 0;
} else { 
idColetadorNull = false;
this.idColetador = idColetador;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public FglDate getDtcoleta() {
return dtcoleta;
}

public void setDtcoleta(FglDate dtcoleta) {
this.dtcoleta = dtcoleta;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public int getIdNfcapae() {
return idNfcapae;
}

public boolean isIdNfcapaeNull() {
return idNfcapaeNull;
}

public void setIdNfcapae(Integer idNfcapae) {
if (idNfcapae == null) {
idNfcapaeNull = true;
this.idNfcapae = 0;
} else { 
idNfcapaeNull = false;
this.idNfcapae = idNfcapae;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public int getQtdeimpres() {
return qtdeimpres;
}

public boolean isQtdeimpresNull() {
return qtdeimpresNull;
}

public void setQtdeimpres(Integer qtdeimpres) {
if (qtdeimpres == null) {
qtdeimpresNull = true;
this.qtdeimpres = 0;
} else { 
qtdeimpresNull = false;
this.qtdeimpres = qtdeimpres;
}
}

public String getRetentr() {
return retentr;
}

public void setRetentr(String retentr) {
this.retentr = retentr;
}

}

