package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCbcolite {
@Coluna(nome="cbcolite.id_coleta", tipo="int")
private int idColeta;
private boolean idColetaNull;
@Coluna(nome="cbcolite.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cbcolite.siglamarca", tipo="String")
private String siglamarca;
@Coluna(nome="cbcolite.serie", tipo="String")
private String serie;
@Coluna(nome="cbcolite.medida", tipo="String")
private String medida;
@Coluna(nome="cbcolite.desenho", tipo="String")
private String desenho;
@Coluna(nome="cbcolite.recapagem", tipo="String")
private String recapagem;
@Coluna(nome="cbcolite.valorrecapa", tipo="double")
private double valorrecapa;
private boolean valorrecapaNull;
@Coluna(nome="cbcolite.qtdeconser", tipo="int")
private int qtdeconser;
private boolean qtdeconserNull;
@Coluna(nome="cbcolite.valorconser", tipo="double")
private double valorconser;
private boolean valorconserNull;
@Coluna(nome="cbcolite.custoconser", tipo="double")
private double custoconser;
private boolean custoconserNull;
@Coluna(nome="cbcolite.nroclave", tipo="String")
private String nroclave;
@Coluna(nome="cbcolite.reprocessado", tipo="String")
private String reprocessado;
@Coluna(nome="cbcolite.restaurado", tipo="String")
private String restaurado;
@Coluna(nome="cbcolite.valorrestau", tipo="double")
private double valorrestau;
private boolean valorrestauNull;
@Coluna(nome="cbcolite.custorestau", tipo="double")
private double custorestau;
private boolean custorestauNull;
@Coluna(nome="cbcolite.vlrgarantia", tipo="double")
private double vlrgarantia;
private boolean vlrgarantiaNull;
@Coluna(nome="cbcolite.status", tipo="String")
private String status;
@Coluna(nome="cbcolite.tabela", tipo="int")
private int tabela;
private boolean tabelaNull;
@Coluna(nome="cbcolite.fogo", tipo="String")
private String fogo;
@Coluna(nome="cbcolite.dotp", tipo="String")
private String dotp;
@Coluna(nome="cbcolite.dot", tipo="String")
private String dot;

public TabCbcolite() {
initialize();
}

public void initialize() {
setIdColeta(null);
setNrolinha(null);
setSiglamarca(null);
setSerie(null);
setMedida(null);
setDesenho(null);
setRecapagem(null);
setValorrecapa(null);
setQtdeconser(null);
setValorconser(null);
setCustoconser(null);
setNroclave(null);
setReprocessado(null);
setRestaurado(null);
setValorrestau(null);
setCustorestau(null);
setVlrgarantia(null);
setStatus(null);
setTabela(null);
setFogo(null);
setDotp(null);
setDot(null);
}

public TabCbcolite(int idColeta, int nrolinha, String siglamarca, String serie, String medida, String desenho, String recapagem, double valorrecapa, int qtdeconser, double valorconser, double custoconser, String nroclave, String reprocessado, String restaurado, double valorrestau, double custorestau, double vlrgarantia, String status, int tabela, String fogo, String dotp, String dot) {
this.idColeta = idColeta;
this.nrolinha = nrolinha;
this.siglamarca = siglamarca;
this.serie = serie;
this.medida = medida;
this.desenho = desenho;
this.recapagem = recapagem;
this.valorrecapa = valorrecapa;
this.qtdeconser = qtdeconser;
this.valorconser = valorconser;
this.custoconser = custoconser;
this.nroclave = nroclave;
this.reprocessado = reprocessado;
this.restaurado = restaurado;
this.valorrestau = valorrestau;
this.custorestau = custorestau;
this.vlrgarantia = vlrgarantia;
this.status = status;
this.tabela = tabela;
this.fogo = fogo;
this.dotp = dotp;
this.dot = dot;
}

public int getIdColeta() {
return idColeta;
}

public boolean isIdColetaNull() {
return idColetaNull;
}

public void setIdColeta(Integer idColeta) {
if (idColeta == null) {
idColetaNull = true;
this.idColeta = 0;
} else { 
idColetaNull = false;
this.idColeta = idColeta;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getSiglamarca() {
return siglamarca;
}

public void setSiglamarca(String siglamarca) {
this.siglamarca = siglamarca;
}

public String getSerie() {
return serie;
}

public void setSerie(String serie) {
this.serie = serie;
}

public String getMedida() {
return medida;
}

public void setMedida(String medida) {
this.medida = medida;
}

public String getDesenho() {
return desenho;
}

public void setDesenho(String desenho) {
this.desenho = desenho;
}

public String getRecapagem() {
return recapagem;
}

public void setRecapagem(String recapagem) {
this.recapagem = recapagem;
}

public double getValorrecapa() {
return valorrecapa;
}

public boolean isValorrecapaNull() {
return valorrecapaNull;
}

public void setValorrecapa(int valorrecapa) {
setValorrecapa(new Double(valorrecapa));
}

public void setValorrecapa(long valorrecapa) {
setValorrecapa(new Double(valorrecapa));
}

public void setValorrecapa(Double valorrecapa) {
if (valorrecapa == null) {
valorrecapaNull = true;
this.valorrecapa = 0.;
} else { 
valorrecapaNull = false;
this.valorrecapa = FglDouble.round(valorrecapa, 2);
}
}

public int getQtdeconser() {
return qtdeconser;
}

public boolean isQtdeconserNull() {
return qtdeconserNull;
}

public void setQtdeconser(Integer qtdeconser) {
if (qtdeconser == null) {
qtdeconserNull = true;
this.qtdeconser = 0;
} else { 
qtdeconserNull = false;
this.qtdeconser = qtdeconser;
}
}

public double getValorconser() {
return valorconser;
}

public boolean isValorconserNull() {
return valorconserNull;
}

public void setValorconser(int valorconser) {
setValorconser(new Double(valorconser));
}

public void setValorconser(long valorconser) {
setValorconser(new Double(valorconser));
}

public void setValorconser(Double valorconser) {
if (valorconser == null) {
valorconserNull = true;
this.valorconser = 0.;
} else { 
valorconserNull = false;
this.valorconser = FglDouble.round(valorconser, 2);
}
}

public double getCustoconser() {
return custoconser;
}

public boolean isCustoconserNull() {
return custoconserNull;
}

public void setCustoconser(int custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(long custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(Double custoconser) {
if (custoconser == null) {
custoconserNull = true;
this.custoconser = 0.;
} else { 
custoconserNull = false;
this.custoconser = FglDouble.round(custoconser, 2);
}
}

public String getNroclave() {
return nroclave;
}

public void setNroclave(String nroclave) {
this.nroclave = nroclave;
}

public String getReprocessado() {
return reprocessado;
}

public void setReprocessado(String reprocessado) {
this.reprocessado = reprocessado;
}

public String getRestaurado() {
return restaurado;
}

public void setRestaurado(String restaurado) {
this.restaurado = restaurado;
}

public double getValorrestau() {
return valorrestau;
}

public boolean isValorrestauNull() {
return valorrestauNull;
}

public void setValorrestau(int valorrestau) {
setValorrestau(new Double(valorrestau));
}

public void setValorrestau(long valorrestau) {
setValorrestau(new Double(valorrestau));
}

public void setValorrestau(Double valorrestau) {
if (valorrestau == null) {
valorrestauNull = true;
this.valorrestau = 0.;
} else { 
valorrestauNull = false;
this.valorrestau = FglDouble.round(valorrestau, 2);
}
}

public double getCustorestau() {
return custorestau;
}

public boolean isCustorestauNull() {
return custorestauNull;
}

public void setCustorestau(int custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(long custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(Double custorestau) {
if (custorestau == null) {
custorestauNull = true;
this.custorestau = 0.;
} else { 
custorestauNull = false;
this.custorestau = FglDouble.round(custorestau, 2);
}
}

public double getVlrgarantia() {
return vlrgarantia;
}

public boolean isVlrgarantiaNull() {
return vlrgarantiaNull;
}

public void setVlrgarantia(int vlrgarantia) {
setVlrgarantia(new Double(vlrgarantia));
}

public void setVlrgarantia(long vlrgarantia) {
setVlrgarantia(new Double(vlrgarantia));
}

public void setVlrgarantia(Double vlrgarantia) {
if (vlrgarantia == null) {
vlrgarantiaNull = true;
this.vlrgarantia = 0.;
} else { 
vlrgarantiaNull = false;
this.vlrgarantia = FglDouble.round(vlrgarantia, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getTabela() {
return tabela;
}

public boolean isTabelaNull() {
return tabelaNull;
}

public void setTabela(Integer tabela) {
if (tabela == null) {
tabelaNull = true;
this.tabela = 0;
} else { 
tabelaNull = false;
this.tabela = tabela;
}
}

public String getFogo() {
return fogo;
}

public void setFogo(String fogo) {
this.fogo = fogo;
}

public String getDotp() {
return dotp;
}

public void setDotp(String dotp) {
this.dotp = dotp;
}

public String getDot() {
return dot;
}

public void setDot(String dot) {
this.dot = dot;
}

}

