package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCcseqpro {
@Coluna(nome="ccseqpro.processo", tipo="String")
private String processo;
@Coluna(nome="ccseqpro.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="ccseqpro.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ccseqpro.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;

public TabCcseqpro() {
initialize();
}

public void initialize() {
setProcesso(null);
setSequencia(null);
setFilial(null);
setDtgeracao(null);
}

public TabCcseqpro(String processo, int sequencia, int filial, FglDate dtgeracao) {
this.processo = processo;
this.sequencia = sequencia;
this.filial = filial;
this.dtgeracao = dtgeracao;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

}

