package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCcsugdet {
@Coluna(nome="ccsugdet.id_sugcap", tipo="int")
private int idSugcap;
private boolean idSugcapNull;
@Coluna(nome="ccsugdet.produto", tipo="String")
private String produto;
@Coluna(nome="ccsugdet.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="ccsugdet.qtdedispon", tipo="double")
private double qtdedispon;
private boolean qtdedisponNull;
@Coluna(nome="ccsugdet.qtdependen", tipo="double")
private double qtdependen;
private boolean qtdependenNull;
@Coluna(nome="ccsugdet.unidade", tipo="String")
private String unidade;
@Coluna(nome="ccsugdet.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="ccsugdet.percdesconto", tipo="double")
private double percdesconto;
private boolean percdescontoNull;
@Coluna(nome="ccsugdet.qtdedeveria", tipo="double")
private double qtdedeveria;
private boolean qtdedeveriaNull;
@Coluna(nome="ccsugdet.qtdependbo", tipo="double")
private double qtdependbo;
private boolean qtdependboNull;

public TabCcsugdet() {
initialize();
}

public void initialize() {
setIdSugcap(null);
setProduto(null);
setQuantidade(null);
setQtdedispon(null);
setQtdependen(null);
setUnidade(null);
setUnitario(null);
setPercdesconto(null);
setQtdedeveria(null);
setQtdependbo(null);
}

public TabCcsugdet(int idSugcap, String produto, double quantidade, double qtdedispon, double qtdependen, String unidade, double unitario, double percdesconto, double qtdedeveria, double qtdependbo) {
this.idSugcap = idSugcap;
this.produto = produto;
this.quantidade = quantidade;
this.qtdedispon = qtdedispon;
this.qtdependen = qtdependen;
this.unidade = unidade;
this.unitario = unitario;
this.percdesconto = percdesconto;
this.qtdedeveria = qtdedeveria;
this.qtdependbo = qtdependbo;
}

public int getIdSugcap() {
return idSugcap;
}

public boolean isIdSugcapNull() {
return idSugcapNull;
}

public void setIdSugcap(Integer idSugcap) {
if (idSugcap == null) {
idSugcapNull = true;
this.idSugcap = 0;
} else { 
idSugcapNull = false;
this.idSugcap = idSugcap;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getQtdedispon() {
return qtdedispon;
}

public boolean isQtdedisponNull() {
return qtdedisponNull;
}

public void setQtdedispon(int qtdedispon) {
setQtdedispon(new Double(qtdedispon));
}

public void setQtdedispon(long qtdedispon) {
setQtdedispon(new Double(qtdedispon));
}

public void setQtdedispon(Double qtdedispon) {
if (qtdedispon == null) {
qtdedisponNull = true;
this.qtdedispon = 0.;
} else { 
qtdedisponNull = false;
this.qtdedispon = FglDouble.round(qtdedispon, 2);
}
}

public double getQtdependen() {
return qtdependen;
}

public boolean isQtdependenNull() {
return qtdependenNull;
}

public void setQtdependen(int qtdependen) {
setQtdependen(new Double(qtdependen));
}

public void setQtdependen(long qtdependen) {
setQtdependen(new Double(qtdependen));
}

public void setQtdependen(Double qtdependen) {
if (qtdependen == null) {
qtdependenNull = true;
this.qtdependen = 0.;
} else { 
qtdependenNull = false;
this.qtdependen = FglDouble.round(qtdependen, 2);
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getPercdesconto() {
return percdesconto;
}

public boolean isPercdescontoNull() {
return percdescontoNull;
}

public void setPercdesconto(int percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(long percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(Double percdesconto) {
if (percdesconto == null) {
percdescontoNull = true;
this.percdesconto = 0.;
} else { 
percdescontoNull = false;
this.percdesconto = FglDouble.round(percdesconto, 2);
}
}

public double getQtdedeveria() {
return qtdedeveria;
}

public boolean isQtdedeveriaNull() {
return qtdedeveriaNull;
}

public void setQtdedeveria(int qtdedeveria) {
setQtdedeveria(new Double(qtdedeveria));
}

public void setQtdedeveria(long qtdedeveria) {
setQtdedeveria(new Double(qtdedeveria));
}

public void setQtdedeveria(Double qtdedeveria) {
if (qtdedeveria == null) {
qtdedeveriaNull = true;
this.qtdedeveria = 0.;
} else { 
qtdedeveriaNull = false;
this.qtdedeveria = FglDouble.round(qtdedeveria, 2);
}
}

public double getQtdependbo() {
return qtdependbo;
}

public boolean isQtdependboNull() {
return qtdependboNull;
}

public void setQtdependbo(int qtdependbo) {
setQtdependbo(new Double(qtdependbo));
}

public void setQtdependbo(long qtdependbo) {
setQtdependbo(new Double(qtdependbo));
}

public void setQtdependbo(Double qtdependbo) {
if (qtdependbo == null) {
qtdependboNull = true;
this.qtdependbo = 0.;
} else { 
qtdependboNull = false;
this.qtdependbo = FglDouble.round(qtdependbo, 2);
}
}

}

