package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCepCpc {
@Coluna(nome="cep_cpc.chave_cpc", tipo="int")
private int chaveCpc;
private boolean chaveCpcNull;
@Coluna(nome="cep_cpc.uf_uf", tipo="String")
private String ufUf;
@Coluna(nome="cep_cpc.chave_local", tipo="int")
private int chaveLocal;
private boolean chaveLocalNull;
@Coluna(nome="cep_cpc.cpc_no", tipo="String")
private String cpcNo;
@Coluna(nome="cep_cpc.cpc_endereco", tipo="String")
private String cpcEndereco;
@Coluna(nome="cep_cpc.cep", tipo="String")
private String cep;

public TabCepCpc() {
initialize();
}

public void initialize() {
setChaveCpc(null);
setUfUf(null);
setChaveLocal(null);
setCpcNo(null);
setCpcEndereco(null);
setCep(null);
}

public TabCepCpc(int chaveCpc, String ufUf, int chaveLocal, String cpcNo, String cpcEndereco, String cep) {
this.chaveCpc = chaveCpc;
this.ufUf = ufUf;
this.chaveLocal = chaveLocal;
this.cpcNo = cpcNo;
this.cpcEndereco = cpcEndereco;
this.cep = cep;
}

public int getChaveCpc() {
return chaveCpc;
}

public boolean isChaveCpcNull() {
return chaveCpcNull;
}

public void setChaveCpc(Integer chaveCpc) {
if (chaveCpc == null) {
chaveCpcNull = true;
this.chaveCpc = 0;
} else { 
chaveCpcNull = false;
this.chaveCpc = chaveCpc;
}
}

public String getUfUf() {
return ufUf;
}

public void setUfUf(String ufUf) {
this.ufUf = ufUf;
}

public int getChaveLocal() {
return chaveLocal;
}

public boolean isChaveLocalNull() {
return chaveLocalNull;
}

public void setChaveLocal(Integer chaveLocal) {
if (chaveLocal == null) {
chaveLocalNull = true;
this.chaveLocal = 0;
} else { 
chaveLocalNull = false;
this.chaveLocal = chaveLocal;
}
}

public String getCpcNo() {
return cpcNo;
}

public void setCpcNo(String cpcNo) {
this.cpcNo = cpcNo;
}

public String getCpcEndereco() {
return cpcEndereco;
}

public void setCpcEndereco(String cpcEndereco) {
this.cpcEndereco = cpcEndereco;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

}

