package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCepUnidOper {
@Coluna(nome="cep_unid_oper.chave_oper", tipo="int")
private int chaveOper;
private boolean chaveOperNull;
@Coluna(nome="cep_unid_oper.uf_uf", tipo="String")
private String ufUf;
@Coluna(nome="cep_unid_oper.chave_local", tipo="int")
private int chaveLocal;
private boolean chaveLocalNull;
@Coluna(nome="cep_unid_oper.chave_bai", tipo="int")
private int chaveBai;
private boolean chaveBaiNull;
@Coluna(nome="cep_unid_oper.chave_log", tipo="int")
private int chaveLog;
private boolean chaveLogNull;
@Coluna(nome="cep_unid_oper.uop_no", tipo="String")
private String uopNo;
@Coluna(nome="cep_unid_oper.uop_endereco", tipo="String")
private String uopEndereco;
@Coluna(nome="cep_unid_oper.cep", tipo="String")
private String cep;
@Coluna(nome="cep_unid_oper.uop_in_cp", tipo="String")
private String uopInCp;
@Coluna(nome="cep_unid_oper.uop_no_abrev", tipo="String")
private String uopNoAbrev;

public TabCepUnidOper() {
initialize();
}

public void initialize() {
setChaveOper(null);
setUfUf(null);
setChaveLocal(null);
setChaveBai(null);
setChaveLog(null);
setUopNo(null);
setUopEndereco(null);
setCep(null);
setUopInCp(null);
setUopNoAbrev(null);
}

public TabCepUnidOper(int chaveOper, String ufUf, int chaveLocal, int chaveBai, int chaveLog, String uopNo, String uopEndereco, String cep, String uopInCp, String uopNoAbrev) {
this.chaveOper = chaveOper;
this.ufUf = ufUf;
this.chaveLocal = chaveLocal;
this.chaveBai = chaveBai;
this.chaveLog = chaveLog;
this.uopNo = uopNo;
this.uopEndereco = uopEndereco;
this.cep = cep;
this.uopInCp = uopInCp;
this.uopNoAbrev = uopNoAbrev;
}

public int getChaveOper() {
return chaveOper;
}

public boolean isChaveOperNull() {
return chaveOperNull;
}

public void setChaveOper(Integer chaveOper) {
if (chaveOper == null) {
chaveOperNull = true;
this.chaveOper = 0;
} else { 
chaveOperNull = false;
this.chaveOper = chaveOper;
}
}

public String getUfUf() {
return ufUf;
}

public void setUfUf(String ufUf) {
this.ufUf = ufUf;
}

public int getChaveLocal() {
return chaveLocal;
}

public boolean isChaveLocalNull() {
return chaveLocalNull;
}

public void setChaveLocal(Integer chaveLocal) {
if (chaveLocal == null) {
chaveLocalNull = true;
this.chaveLocal = 0;
} else { 
chaveLocalNull = false;
this.chaveLocal = chaveLocal;
}
}

public int getChaveBai() {
return chaveBai;
}

public boolean isChaveBaiNull() {
return chaveBaiNull;
}

public void setChaveBai(Integer chaveBai) {
if (chaveBai == null) {
chaveBaiNull = true;
this.chaveBai = 0;
} else { 
chaveBaiNull = false;
this.chaveBai = chaveBai;
}
}

public int getChaveLog() {
return chaveLog;
}

public boolean isChaveLogNull() {
return chaveLogNull;
}

public void setChaveLog(Integer chaveLog) {
if (chaveLog == null) {
chaveLogNull = true;
this.chaveLog = 0;
} else { 
chaveLogNull = false;
this.chaveLog = chaveLog;
}
}

public String getUopNo() {
return uopNo;
}

public void setUopNo(String uopNo) {
this.uopNo = uopNo;
}

public String getUopEndereco() {
return uopEndereco;
}

public void setUopEndereco(String uopEndereco) {
this.uopEndereco = uopEndereco;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getUopInCp() {
return uopInCp;
}

public void setUopInCp(String uopInCp) {
this.uopInCp = uopInCp;
}

public String getUopNoAbrev() {
return uopNoAbrev;
}

public void setUopNoAbrev(String uopNoAbrev) {
this.uopNoAbrev = uopNoAbrev;
}

}

