package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfaditef {
@Coluna(nome="cfaditef.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cfaditef.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cfaditef.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cfaditef.dtmvto", tipo="FglDateTimeYS")
private FglDateTimeYS dtmvto;
@Coluna(nome="cfaditef.nrocoo", tipo="int")
private int nrocoo;
private boolean nrocooNull;
@Coluna(nome="cfaditef.nroequip", tipo="int")
private int nroequip;
private boolean nroequipNull;
@Coluna(nome="cfaditef.indice", tipo="String")
private String indice;
@Coluna(nome="cfaditef.totalizador", tipo="String")
private String totalizador;
@Coluna(nome="cfaditef.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cfaditef.formapagamento", tipo="String")
private String formapagamento;
@Coluna(nome="cfaditef.parcelas", tipo="int")
private int parcelas;
private boolean parcelasNull;
@Coluna(nome="cfaditef.nrotranzacao", tipo="String")
private String nrotranzacao;
@Coluna(nome="cfaditef.status", tipo="String")
private String status;
@Coluna(nome="cfaditef.id_adiant", tipo="int")
private int idAdiant;
private boolean idAdiantNull;
@Coluna(nome="cfaditef.retoper", tipo="String")
private String retoper;
@Coluna(nome="cfaditef.numeronsu", tipo="String")
private String numeronsu;
@Coluna(nome="cfaditef.assinatura", tipo="String")
private String assinatura;

public TabCfaditef() {
initialize();
}

public void initialize() {
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setDtmvto(null);
setNrocoo(null);
setNroequip(null);
setIndice(null);
setTotalizador(null);
setValor(null);
setFormapagamento(null);
setParcelas(null);
setNrotranzacao(null);
setStatus(null);
setIdAdiant(null);
setRetoper(null);
setNumeronsu(null);
setAssinatura(null);
}

public TabCfaditef(int filial, long cgccpf, int tppessoa, FglDateTimeYS dtmvto, int nrocoo, int nroequip, String indice, String totalizador, double valor, String formapagamento, int parcelas, String nrotranzacao, String status, int idAdiant, String retoper, String numeronsu, String assinatura) {
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtmvto = dtmvto;
this.nrocoo = nrocoo;
this.nroequip = nroequip;
this.indice = indice;
this.totalizador = totalizador;
this.valor = valor;
this.formapagamento = formapagamento;
this.parcelas = parcelas;
this.nrotranzacao = nrotranzacao;
this.status = status;
this.idAdiant = idAdiant;
this.retoper = retoper;
this.numeronsu = numeronsu;
this.assinatura = assinatura;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYS getDtmvto() {
return dtmvto;
}

public void setDtmvto(FglDateTimeYS dtmvto) {
this.dtmvto = dtmvto;
}

public int getNrocoo() {
return nrocoo;
}

public boolean isNrocooNull() {
return nrocooNull;
}

public void setNrocoo(Integer nrocoo) {
if (nrocoo == null) {
nrocooNull = true;
this.nrocoo = 0;
} else { 
nrocooNull = false;
this.nrocoo = nrocoo;
}
}

public int getNroequip() {
return nroequip;
}

public boolean isNroequipNull() {
return nroequipNull;
}

public void setNroequip(Integer nroequip) {
if (nroequip == null) {
nroequipNull = true;
this.nroequip = 0;
} else { 
nroequipNull = false;
this.nroequip = nroequip;
}
}

public String getIndice() {
return indice;
}

public void setIndice(String indice) {
this.indice = indice;
}

public String getTotalizador() {
return totalizador;
}

public void setTotalizador(String totalizador) {
this.totalizador = totalizador;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getFormapagamento() {
return formapagamento;
}

public void setFormapagamento(String formapagamento) {
this.formapagamento = formapagamento;
}

public int getParcelas() {
return parcelas;
}

public boolean isParcelasNull() {
return parcelasNull;
}

public void setParcelas(Integer parcelas) {
if (parcelas == null) {
parcelasNull = true;
this.parcelas = 0;
} else { 
parcelasNull = false;
this.parcelas = parcelas;
}
}

public String getNrotranzacao() {
return nrotranzacao;
}

public void setNrotranzacao(String nrotranzacao) {
this.nrotranzacao = nrotranzacao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getIdAdiant() {
return idAdiant;
}

public boolean isIdAdiantNull() {
return idAdiantNull;
}

public void setIdAdiant(Integer idAdiant) {
if (idAdiant == null) {
idAdiantNull = true;
this.idAdiant = 0;
} else { 
idAdiantNull = false;
this.idAdiant = idAdiant;
}
}

public String getRetoper() {
return retoper;
}

public void setRetoper(String retoper) {
this.retoper = retoper;
}

public String getNumeronsu() {
return numeronsu;
}

public void setNumeronsu(String numeronsu) {
this.numeronsu = numeronsu;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

