package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCfdavcup {
@Coluna(nome="cfdavcup.id_dav", tipo="int")
private int idDav;
private boolean idDavNull;
@Coluna(nome="cfdavcup.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cfdavcup.tpoperacao", tipo="String")
private String tpoperacao;
@Coluna(nome="cfdavcup.nrodav", tipo="int")
private int nrodav;
private boolean nrodavNull;
@Coluna(nome="cfdavcup.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cfdavcup.datadav", tipo="FglDateTimeYS")
private FglDateTimeYS datadav;
@Coluna(nome="cfdavcup.nrocoodav", tipo="int")
private int nrocoodav;
private boolean nrocoodavNull;
@Coluna(nome="cfdavcup.tipoimpressaodav", tipo="String")
private String tipoimpressaodav;
@Coluna(nome="cfdavcup.statusdav", tipo="String")
private String statusdav;
@Coluna(nome="cfdavcup.motcandav", tipo="int")
private int motcandav;
private boolean motcandavNull;
@Coluna(nome="cfdavcup.nrocoo", tipo="int")
private int nrocoo;
private boolean nrocooNull;
@Coluna(nome="cfdavcup.nroccf", tipo="int")
private int nroccf;
private boolean nroccfNull;
@Coluna(nome="cfdavcup.datacupom", tipo="FglDateTimeYS")
private FglDateTimeYS datacupom;
@Coluna(nome="cfdavcup.nroequip", tipo="int")
private int nroequip;
private boolean nroequipNull;
@Coluna(nome="cfdavcup.statuscupom", tipo="String")
private String statuscupom;
@Coluna(nome="cfdavcup.motcancup", tipo="int")
private int motcancup;
private boolean motcancupNull;
@Coluna(nome="cfdavcup.processado", tipo="String")
private String processado;
@Coluna(nome="cfdavcup.valordav", tipo="double")
private double valordav;
private boolean valordavNull;
@Coluna(nome="cfdavcup.dataimpressaoecf", tipo="FglDate")
private FglDate dataimpressaoecf;
@Coluna(nome="cfdavcup.assinatura", tipo="String")
private String assinatura;

public TabCfdavcup() {
initialize();
}

public void initialize() {
setIdDav(null);
setFilial(null);
setTpoperacao(null);
setNrodav(null);
setIdOrccap(null);
setDatadav(null);
setNrocoodav(null);
setTipoimpressaodav(null);
setStatusdav(null);
setMotcandav(null);
setNrocoo(null);
setNroccf(null);
setDatacupom(null);
setNroequip(null);
setStatuscupom(null);
setMotcancup(null);
setProcessado(null);
setValordav(null);
setDataimpressaoecf(null);
setAssinatura(null);
}

public TabCfdavcup(int idDav, int filial, String tpoperacao, int nrodav, int idOrccap, FglDateTimeYS datadav, int nrocoodav, String tipoimpressaodav, String statusdav, int motcandav, int nrocoo, int nroccf, FglDateTimeYS datacupom, int nroequip, String statuscupom, int motcancup, String processado, double valordav, FglDate dataimpressaoecf, String assinatura) {
this.idDav = idDav;
this.filial = filial;
this.tpoperacao = tpoperacao;
this.nrodav = nrodav;
this.idOrccap = idOrccap;
this.datadav = datadav;
this.nrocoodav = nrocoodav;
this.tipoimpressaodav = tipoimpressaodav;
this.statusdav = statusdav;
this.motcandav = motcandav;
this.nrocoo = nrocoo;
this.nroccf = nroccf;
this.datacupom = datacupom;
this.nroequip = nroequip;
this.statuscupom = statuscupom;
this.motcancup = motcancup;
this.processado = processado;
this.valordav = valordav;
this.dataimpressaoecf = dataimpressaoecf;
this.assinatura = assinatura;
}

public int getIdDav() {
return idDav;
}

public boolean isIdDavNull() {
return idDavNull;
}

public void setIdDav(Integer idDav) {
if (idDav == null) {
idDavNull = true;
this.idDav = 0;
} else { 
idDavNull = false;
this.idDav = idDav;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpoperacao() {
return tpoperacao;
}

public void setTpoperacao(String tpoperacao) {
this.tpoperacao = tpoperacao;
}

public int getNrodav() {
return nrodav;
}

public boolean isNrodavNull() {
return nrodavNull;
}

public void setNrodav(Integer nrodav) {
if (nrodav == null) {
nrodavNull = true;
this.nrodav = 0;
} else { 
nrodavNull = false;
this.nrodav = nrodav;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public FglDateTimeYS getDatadav() {
return datadav;
}

public void setDatadav(FglDateTimeYS datadav) {
this.datadav = datadav;
}

public int getNrocoodav() {
return nrocoodav;
}

public boolean isNrocoodavNull() {
return nrocoodavNull;
}

public void setNrocoodav(Integer nrocoodav) {
if (nrocoodav == null) {
nrocoodavNull = true;
this.nrocoodav = 0;
} else { 
nrocoodavNull = false;
this.nrocoodav = nrocoodav;
}
}

public String getTipoimpressaodav() {
return tipoimpressaodav;
}

public void setTipoimpressaodav(String tipoimpressaodav) {
this.tipoimpressaodav = tipoimpressaodav;
}

public String getStatusdav() {
return statusdav;
}

public void setStatusdav(String statusdav) {
this.statusdav = statusdav;
}

public int getMotcandav() {
return motcandav;
}

public boolean isMotcandavNull() {
return motcandavNull;
}

public void setMotcandav(Integer motcandav) {
if (motcandav == null) {
motcandavNull = true;
this.motcandav = 0;
} else { 
motcandavNull = false;
this.motcandav = motcandav;
}
}

public int getNrocoo() {
return nrocoo;
}

public boolean isNrocooNull() {
return nrocooNull;
}

public void setNrocoo(Integer nrocoo) {
if (nrocoo == null) {
nrocooNull = true;
this.nrocoo = 0;
} else { 
nrocooNull = false;
this.nrocoo = nrocoo;
}
}

public int getNroccf() {
return nroccf;
}

public boolean isNroccfNull() {
return nroccfNull;
}

public void setNroccf(Integer nroccf) {
if (nroccf == null) {
nroccfNull = true;
this.nroccf = 0;
} else { 
nroccfNull = false;
this.nroccf = nroccf;
}
}

public FglDateTimeYS getDatacupom() {
return datacupom;
}

public void setDatacupom(FglDateTimeYS datacupom) {
this.datacupom = datacupom;
}

public int getNroequip() {
return nroequip;
}

public boolean isNroequipNull() {
return nroequipNull;
}

public void setNroequip(Integer nroequip) {
if (nroequip == null) {
nroequipNull = true;
this.nroequip = 0;
} else { 
nroequipNull = false;
this.nroequip = nroequip;
}
}

public String getStatuscupom() {
return statuscupom;
}

public void setStatuscupom(String statuscupom) {
this.statuscupom = statuscupom;
}

public int getMotcancup() {
return motcancup;
}

public boolean isMotcancupNull() {
return motcancupNull;
}

public void setMotcancup(Integer motcancup) {
if (motcancup == null) {
motcancupNull = true;
this.motcancup = 0;
} else { 
motcancupNull = false;
this.motcancup = motcancup;
}
}

public String getProcessado() {
return processado;
}

public void setProcessado(String processado) {
this.processado = processado;
}

public double getValordav() {
return valordav;
}

public boolean isValordavNull() {
return valordavNull;
}

public void setValordav(int valordav) {
setValordav(new Double(valordav));
}

public void setValordav(long valordav) {
setValordav(new Double(valordav));
}

public void setValordav(Double valordav) {
if (valordav == null) {
valordavNull = true;
this.valordav = 0.;
} else { 
valordavNull = false;
this.valordav = FglDouble.round(valordav, 2);
}
}

public FglDate getDataimpressaoecf() {
return dataimpressaoecf;
}

public void setDataimpressaoecf(FglDate dataimpressaoecf) {
this.dataimpressaoecf = dataimpressaoecf;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

