package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfdavlog {
@Coluna(nome="cfdavlog.id_dav", tipo="int")
private int idDav;
private boolean idDavNull;
@Coluna(nome="cfdavlog.seqlog", tipo="int")
private int seqlog;
private boolean seqlogNull;
@Coluna(nome="cfdavlog.dtalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtalteracao;
@Coluna(nome="cfdavlog.produto", tipo="String")
private String produto;
@Coluna(nome="cfdavlog.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="cfdavlog.unidade", tipo="String")
private String unidade;
@Coluna(nome="cfdavlog.aliquota", tipo="String")
private String aliquota;
@Coluna(nome="cfdavlog.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cfdavlog.valorunit", tipo="double")
private double valorunit;
private boolean valorunitNull;
@Coluna(nome="cfdavlog.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cfdavlog.acrescimo", tipo="double")
private double acrescimo;
private boolean acrescimoNull;
@Coluna(nome="cfdavlog.cancelado", tipo="String")
private String cancelado;
@Coluna(nome="cfdavlog.tpalteracao", tipo="String")
private String tpalteracao;
@Coluna(nome="cfdavlog.assinatura", tipo="String")
private String assinatura;

public TabCfdavlog() {
initialize();
}

public void initialize() {
setIdDav(null);
setSeqlog(null);
setDtalteracao(null);
setProduto(null);
setDescrprodut(null);
setUnidade(null);
setAliquota(null);
setQuantidade(null);
setValorunit(null);
setValordesc(null);
setAcrescimo(null);
setCancelado(null);
setTpalteracao(null);
setAssinatura(null);
}

public TabCfdavlog(int idDav, int seqlog, FglDateTimeYS dtalteracao, String produto, String descrprodut, String unidade, String aliquota, double quantidade, double valorunit, double valordesc, double acrescimo, String cancelado, String tpalteracao, String assinatura) {
this.idDav = idDav;
this.seqlog = seqlog;
this.dtalteracao = dtalteracao;
this.produto = produto;
this.descrprodut = descrprodut;
this.unidade = unidade;
this.aliquota = aliquota;
this.quantidade = quantidade;
this.valorunit = valorunit;
this.valordesc = valordesc;
this.acrescimo = acrescimo;
this.cancelado = cancelado;
this.tpalteracao = tpalteracao;
this.assinatura = assinatura;
}

public int getIdDav() {
return idDav;
}

public boolean isIdDavNull() {
return idDavNull;
}

public void setIdDav(Integer idDav) {
if (idDav == null) {
idDavNull = true;
this.idDav = 0;
} else { 
idDavNull = false;
this.idDav = idDav;
}
}

public int getSeqlog() {
return seqlog;
}

public boolean isSeqlogNull() {
return seqlogNull;
}

public void setSeqlog(Integer seqlog) {
if (seqlog == null) {
seqlogNull = true;
this.seqlog = 0;
} else { 
seqlogNull = false;
this.seqlog = seqlog;
}
}

public FglDateTimeYS getDtalteracao() {
return dtalteracao;
}

public void setDtalteracao(FglDateTimeYS dtalteracao) {
this.dtalteracao = dtalteracao;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public String getAliquota() {
return aliquota;
}

public void setAliquota(String aliquota) {
this.aliquota = aliquota;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getValorunit() {
return valorunit;
}

public boolean isValorunitNull() {
return valorunitNull;
}

public void setValorunit(int valorunit) {
setValorunit(new Double(valorunit));
}

public void setValorunit(long valorunit) {
setValorunit(new Double(valorunit));
}

public void setValorunit(Double valorunit) {
if (valorunit == null) {
valorunitNull = true;
this.valorunit = 0.;
} else { 
valorunitNull = false;
this.valorunit = FglDouble.round(valorunit, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getAcrescimo() {
return acrescimo;
}

public boolean isAcrescimoNull() {
return acrescimoNull;
}

public void setAcrescimo(int acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(long acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(Double acrescimo) {
if (acrescimo == null) {
acrescimoNull = true;
this.acrescimo = 0.;
} else { 
acrescimoNull = false;
this.acrescimo = FglDouble.round(acrescimo, 2);
}
}

public String getCancelado() {
return cancelado;
}

public void setCancelado(String cancelado) {
this.cancelado = cancelado;
}

public String getTpalteracao() {
return tpalteracao;
}

public void setTpalteracao(String tpalteracao) {
this.tpalteracao = tpalteracao;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

