package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCfinsfab {
@Coluna(nome="cfinsfab.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cfinsfab.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cfinsfab.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cfinsfab.nomempfabri", tipo="String")
private String nomempfabri;
@Coluna(nome="cfinsfab.inscricao", tipo="String")
private String inscricao;
@Coluna(nome="cfinsfab.abcnet", tipo="int")
private int abcnet;
private boolean abcnetNull;
@Coluna(nome="cfinsfab.codempresa", tipo="int")
private int codempresa;
private boolean codempresaNull;
@Coluna(nome="cfinsfab.codvega", tipo="int")
private int codvega;
private boolean codvegaNull;

public TabCfinsfab() {
initialize();
}

public void initialize() {
setFilial(null);
setTppessoa(null);
setCgccpf(null);
setNomempfabri(null);
setInscricao(null);
setAbcnet(null);
setCodempresa(null);
setCodvega(null);
}

public TabCfinsfab(int filial, int tppessoa, long cgccpf, String nomempfabri, String inscricao, int abcnet, int codempresa, int codvega) {
this.filial = filial;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.nomempfabri = nomempfabri;
this.inscricao = inscricao;
this.abcnet = abcnet;
this.codempresa = codempresa;
this.codvega = codvega;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getNomempfabri() {
return nomempfabri;
}

public void setNomempfabri(String nomempfabri) {
this.nomempfabri = nomempfabri;
}

public String getInscricao() {
return inscricao;
}

public void setInscricao(String inscricao) {
this.inscricao = inscricao;
}

public int getAbcnet() {
return abcnet;
}

public boolean isAbcnetNull() {
return abcnetNull;
}

public void setAbcnet(Integer abcnet) {
if (abcnet == null) {
abcnetNull = true;
this.abcnet = 0;
} else { 
abcnetNull = false;
this.abcnet = abcnet;
}
}

public int getCodempresa() {
return codempresa;
}

public boolean isCodempresaNull() {
return codempresaNull;
}

public void setCodempresa(Integer codempresa) {
if (codempresa == null) {
codempresaNull = true;
this.codempresa = 0;
} else { 
codempresaNull = false;
this.codempresa = codempresa;
}
}

public int getCodvega() {
return codvega;
}

public boolean isCodvegaNull() {
return codvegaNull;
}

public void setCodvega(Integer codvega) {
if (codvega == null) {
codvegaNull = true;
this.codvega = 0;
} else { 
codvegaNull = false;
this.codvega = codvega;
}
}

}

