package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfpgtcup {
@Coluna(nome="cfpgtcup.id_dav", tipo="int")
private int idDav;
private boolean idDavNull;
@Coluna(nome="cfpgtcup.nropgt", tipo="int")
private int nropgt;
private boolean nropgtNull;
@Coluna(nome="cfpgtcup.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="cfpgtcup.codpgtoecf", tipo="int")
private int codpgtoecf;
private boolean codpgtoecfNull;
@Coluna(nome="cfpgtcup.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cfpgtcup.qtdeparcelas", tipo="int")
private int qtdeparcelas;
private boolean qtdeparcelasNull;
@Coluna(nome="cfpgtcup.transacaotef", tipo="String")
private String transacaotef;
@Coluna(nome="cfpgtcup.retoper", tipo="String")
private String retoper;
@Coluna(nome="cfpgtcup.numeronsu", tipo="String")
private String numeronsu;
@Coluna(nome="cfpgtcup.registradonoecf", tipo="String")
private String registradonoecf;
@Coluna(nome="cfpgtcup.assinatura", tipo="String")
private String assinatura;

public TabCfpgtcup() {
initialize();
}

public void initialize() {
setIdDav(null);
setNropgt(null);
setFormapgto(null);
setCodpgtoecf(null);
setValor(null);
setQtdeparcelas(null);
setTransacaotef(null);
setRetoper(null);
setNumeronsu(null);
setRegistradonoecf(null);
setAssinatura(null);
}

public TabCfpgtcup(int idDav, int nropgt, String formapgto, int codpgtoecf, double valor, int qtdeparcelas, String transacaotef, String retoper, String numeronsu, String registradonoecf, String assinatura) {
this.idDav = idDav;
this.nropgt = nropgt;
this.formapgto = formapgto;
this.codpgtoecf = codpgtoecf;
this.valor = valor;
this.qtdeparcelas = qtdeparcelas;
this.transacaotef = transacaotef;
this.retoper = retoper;
this.numeronsu = numeronsu;
this.registradonoecf = registradonoecf;
this.assinatura = assinatura;
}

public int getIdDav() {
return idDav;
}

public boolean isIdDavNull() {
return idDavNull;
}

public void setIdDav(Integer idDav) {
if (idDav == null) {
idDavNull = true;
this.idDav = 0;
} else { 
idDavNull = false;
this.idDav = idDav;
}
}

public int getNropgt() {
return nropgt;
}

public boolean isNropgtNull() {
return nropgtNull;
}

public void setNropgt(Integer nropgt) {
if (nropgt == null) {
nropgtNull = true;
this.nropgt = 0;
} else { 
nropgtNull = false;
this.nropgt = nropgt;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public int getCodpgtoecf() {
return codpgtoecf;
}

public boolean isCodpgtoecfNull() {
return codpgtoecfNull;
}

public void setCodpgtoecf(Integer codpgtoecf) {
if (codpgtoecf == null) {
codpgtoecfNull = true;
this.codpgtoecf = 0;
} else { 
codpgtoecfNull = false;
this.codpgtoecf = codpgtoecf;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getQtdeparcelas() {
return qtdeparcelas;
}

public boolean isQtdeparcelasNull() {
return qtdeparcelasNull;
}

public void setQtdeparcelas(Integer qtdeparcelas) {
if (qtdeparcelas == null) {
qtdeparcelasNull = true;
this.qtdeparcelas = 0;
} else { 
qtdeparcelasNull = false;
this.qtdeparcelas = qtdeparcelas;
}
}

public String getTransacaotef() {
return transacaotef;
}

public void setTransacaotef(String transacaotef) {
this.transacaotef = transacaotef;
}

public String getRetoper() {
return retoper;
}

public void setRetoper(String retoper) {
this.retoper = retoper;
}

public String getNumeronsu() {
return numeronsu;
}

public void setNumeronsu(String numeronsu) {
this.numeronsu = numeronsu;
}

public String getRegistradonoecf() {
return registradonoecf;
}

public void setRegistradonoecf(String registradonoecf) {
this.registradonoecf = registradonoecf;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

