package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfrettef {
@Coluna(nome="cfrettef.id_rettef", tipo="int")
private int idRettef;
private boolean idRettefNull;
@Coluna(nome="cfrettef.id_dav", tipo="int")
private int idDav;
private boolean idDavNull;
@Coluna(nome="cfrettef.nropgt", tipo="int")
private int nropgt;
private boolean nropgtNull;
@Coluna(nome="cfrettef.cod_sts_transacao", tipo="String")
private String codStsTransacao;
@Coluna(nome="cfrettef.cod_tipo_transacao", tipo="String")
private String codTipoTransacao;
@Coluna(nome="cfrettef.cod_transacao", tipo="String")
private String codTransacao;
@Coluna(nome="cfrettef.nro_nsu", tipo="String")
private String nroNsu;
@Coluna(nome="cfrettef.nro_cupom", tipo="String")
private String nroCupom;
@Coluna(nome="cfrettef.cod_autoriz_transacao", tipo="String")
private String codAutorizTransacao;
@Coluna(nome="cfrettef.cod_tipo_operacao", tipo="String")
private String codTipoOperacao;
@Coluna(nome="cfrettef.dat_transacao", tipo="FglDate")
private FglDate datTransacao;
@Coluna(nome="cfrettef.hor_transacao", tipo="FglDateTimeHS")
private FglDateTimeHS horTransacao;
@Coluna(nome="cfrettef.qtd_parcelas", tipo="int")
private int qtdParcelas;
private boolean qtdParcelasNull;
@Coluna(nome="cfrettef.vlr_original", tipo="double")
private double vlrOriginal;
private boolean vlrOriginalNull;
@Coluna(nome="cfrettef.vlr_desconto", tipo="double")
private double vlrDesconto;
private boolean vlrDescontoNull;
@Coluna(nome="cfrettef.vlr_saque", tipo="double")
private double vlrSaque;
private boolean vlrSaqueNull;
@Coluna(nome="cfrettef.vlr_final", tipo="double")
private double vlrFinal;
private boolean vlrFinalNull;
@Coluna(nome="cfrettef.cod_bandeira", tipo="String")
private String codBandeira;
@Coluna(nome="cfrettef.des_bandeira", tipo="String")
private String desBandeira;
@Coluna(nome="cfrettef.cod_bandeira_rede", tipo="String")
private String codBandeiraRede;
@Coluna(nome="cfrettef.des_bandeira_rede", tipo="String")
private String desBandeiraRede;
@Coluna(nome="cfrettef.cod_bandeira_terceiro", tipo="String")
private String codBandeiraTerceiro;
@Coluna(nome="cfrettef.des_bandeira_terceiro", tipo="String")
private String desBandeiraTerceiro;
@Coluna(nome="cfrettef.cod_rede_terceiro", tipo="String")
private String codRedeTerceiro;
@Coluna(nome="cfrettef.des_rede_terceiro", tipo="String")
private String desRedeTerceiro;
@Coluna(nome="cfrettef.cod_produto_rede", tipo="String")
private String codProdutoRede;
@Coluna(nome="cfrettef.des_produto_rede", tipo="String")
private String desProdutoRede;
@Coluna(nome="cfrettef.nro_controle_rede", tipo="String")
private String nroControleRede;
@Coluna(nome="cfrettef.cod_tef_terceiro", tipo="String")
private String codTefTerceiro;
@Coluna(nome="cfrettef.nro_cnpj_rede_adquirente", tipo="long")
private long nroCnpjRedeAdquirente;
private boolean nroCnpjRedeAdquirenteNull;
@Coluna(nome="cfrettef.nro_controle_rede_adic", tipo="String")
private String nroControleRedeAdic;
@Coluna(nome="cfrettef.nro_cartao", tipo="String")
private String nroCartao;
@Coluna(nome="cfrettef.vencimento_cartao", tipo="String")
private String vencimentoCartao;
@Coluna(nome="cfrettef.cod_bandeira_sefaz", tipo="String")
private String codBandeiraSefaz;
@Coluna(nome="cfrettef.des_bandeira_sefaz", tipo="String")
private String desBandeiraSefaz;
@Coluna(nome="cfrettef.nom_portador", tipo="String")
private String nomPortador;
@Coluna(nome="cfrettef.idt_cancelamento_tef", tipo="String")
private String idtCancelamentoTef;
@Coluna(nome="cfrettef.id_retadi", tipo="int")
private int idRetadi;
private boolean idRetadiNull;

public TabCfrettef() {
initialize();
}

public void initialize() {
setIdRettef(null);
setIdDav(null);
setNropgt(null);
setCodStsTransacao(null);
setCodTipoTransacao(null);
setCodTransacao(null);
setNroNsu(null);
setNroCupom(null);
setCodAutorizTransacao(null);
setCodTipoOperacao(null);
setDatTransacao(null);
setHorTransacao(null);
setQtdParcelas(null);
setVlrOriginal(null);
setVlrDesconto(null);
setVlrSaque(null);
setVlrFinal(null);
setCodBandeira(null);
setDesBandeira(null);
setCodBandeiraRede(null);
setDesBandeiraRede(null);
setCodBandeiraTerceiro(null);
setDesBandeiraTerceiro(null);
setCodRedeTerceiro(null);
setDesRedeTerceiro(null);
setCodProdutoRede(null);
setDesProdutoRede(null);
setNroControleRede(null);
setCodTefTerceiro(null);
setNroCnpjRedeAdquirente(null);
setNroControleRedeAdic(null);
setNroCartao(null);
setVencimentoCartao(null);
setCodBandeiraSefaz(null);
setDesBandeiraSefaz(null);
setNomPortador(null);
setIdtCancelamentoTef(null);
setIdRetadi(null);
}

public TabCfrettef(int idRettef, int idDav, int nropgt, String codStsTransacao, String codTipoTransacao, String codTransacao, String nroNsu, String nroCupom, String codAutorizTransacao, String codTipoOperacao, FglDate datTransacao, FglDateTimeHS horTransacao, int qtdParcelas, double vlrOriginal, double vlrDesconto, double vlrSaque, double vlrFinal, String codBandeira, String desBandeira, String codBandeiraRede, String desBandeiraRede, String codBandeiraTerceiro, String desBandeiraTerceiro, String codRedeTerceiro, String desRedeTerceiro, String codProdutoRede, String desProdutoRede, String nroControleRede, String codTefTerceiro, long nroCnpjRedeAdquirente, String nroControleRedeAdic, String nroCartao, String vencimentoCartao, String codBandeiraSefaz, String desBandeiraSefaz, String nomPortador, String idtCancelamentoTef, int idRetadi) {
this.idRettef = idRettef;
this.idDav = idDav;
this.nropgt = nropgt;
this.codStsTransacao = codStsTransacao;
this.codTipoTransacao = codTipoTransacao;
this.codTransacao = codTransacao;
this.nroNsu = nroNsu;
this.nroCupom = nroCupom;
this.codAutorizTransacao = codAutorizTransacao;
this.codTipoOperacao = codTipoOperacao;
this.datTransacao = datTransacao;
this.horTransacao = horTransacao;
this.qtdParcelas = qtdParcelas;
this.vlrOriginal = vlrOriginal;
this.vlrDesconto = vlrDesconto;
this.vlrSaque = vlrSaque;
this.vlrFinal = vlrFinal;
this.codBandeira = codBandeira;
this.desBandeira = desBandeira;
this.codBandeiraRede = codBandeiraRede;
this.desBandeiraRede = desBandeiraRede;
this.codBandeiraTerceiro = codBandeiraTerceiro;
this.desBandeiraTerceiro = desBandeiraTerceiro;
this.codRedeTerceiro = codRedeTerceiro;
this.desRedeTerceiro = desRedeTerceiro;
this.codProdutoRede = codProdutoRede;
this.desProdutoRede = desProdutoRede;
this.nroControleRede = nroControleRede;
this.codTefTerceiro = codTefTerceiro;
this.nroCnpjRedeAdquirente = nroCnpjRedeAdquirente;
this.nroControleRedeAdic = nroControleRedeAdic;
this.nroCartao = nroCartao;
this.vencimentoCartao = vencimentoCartao;
this.codBandeiraSefaz = codBandeiraSefaz;
this.desBandeiraSefaz = desBandeiraSefaz;
this.nomPortador = nomPortador;
this.idtCancelamentoTef = idtCancelamentoTef;
this.idRetadi = idRetadi;
}

public int getIdRettef() {
return idRettef;
}

public boolean isIdRettefNull() {
return idRettefNull;
}

public void setIdRettef(Integer idRettef) {
if (idRettef == null) {
idRettefNull = true;
this.idRettef = 0;
} else { 
idRettefNull = false;
this.idRettef = idRettef;
}
}

public int getIdDav() {
return idDav;
}

public boolean isIdDavNull() {
return idDavNull;
}

public void setIdDav(Integer idDav) {
if (idDav == null) {
idDavNull = true;
this.idDav = 0;
} else { 
idDavNull = false;
this.idDav = idDav;
}
}

public int getNropgt() {
return nropgt;
}

public boolean isNropgtNull() {
return nropgtNull;
}

public void setNropgt(Integer nropgt) {
if (nropgt == null) {
nropgtNull = true;
this.nropgt = 0;
} else { 
nropgtNull = false;
this.nropgt = nropgt;
}
}

public String getCodStsTransacao() {
return codStsTransacao;
}

public void setCodStsTransacao(String codStsTransacao) {
this.codStsTransacao = codStsTransacao;
}

public String getCodTipoTransacao() {
return codTipoTransacao;
}

public void setCodTipoTransacao(String codTipoTransacao) {
this.codTipoTransacao = codTipoTransacao;
}

public String getCodTransacao() {
return codTransacao;
}

public void setCodTransacao(String codTransacao) {
this.codTransacao = codTransacao;
}

public String getNroNsu() {
return nroNsu;
}

public void setNroNsu(String nroNsu) {
this.nroNsu = nroNsu;
}

public String getNroCupom() {
return nroCupom;
}

public void setNroCupom(String nroCupom) {
this.nroCupom = nroCupom;
}

public String getCodAutorizTransacao() {
return codAutorizTransacao;
}

public void setCodAutorizTransacao(String codAutorizTransacao) {
this.codAutorizTransacao = codAutorizTransacao;
}

public String getCodTipoOperacao() {
return codTipoOperacao;
}

public void setCodTipoOperacao(String codTipoOperacao) {
this.codTipoOperacao = codTipoOperacao;
}

public FglDate getDatTransacao() {
return datTransacao;
}

public void setDatTransacao(FglDate datTransacao) {
this.datTransacao = datTransacao;
}

public FglDateTimeHS getHorTransacao() {
return horTransacao;
}

public void setHorTransacao(FglDateTimeHS horTransacao) {
this.horTransacao = horTransacao;
}

public int getQtdParcelas() {
return qtdParcelas;
}

public boolean isQtdParcelasNull() {
return qtdParcelasNull;
}

public void setQtdParcelas(Integer qtdParcelas) {
if (qtdParcelas == null) {
qtdParcelasNull = true;
this.qtdParcelas = 0;
} else { 
qtdParcelasNull = false;
this.qtdParcelas = qtdParcelas;
}
}

public double getVlrOriginal() {
return vlrOriginal;
}

public boolean isVlrOriginalNull() {
return vlrOriginalNull;
}

public void setVlrOriginal(int vlrOriginal) {
setVlrOriginal(new Double(vlrOriginal));
}

public void setVlrOriginal(long vlrOriginal) {
setVlrOriginal(new Double(vlrOriginal));
}

public void setVlrOriginal(Double vlrOriginal) {
if (vlrOriginal == null) {
vlrOriginalNull = true;
this.vlrOriginal = 0.;
} else { 
vlrOriginalNull = false;
this.vlrOriginal = FglDouble.round(vlrOriginal, 2);
}
}

public double getVlrDesconto() {
return vlrDesconto;
}

public boolean isVlrDescontoNull() {
return vlrDescontoNull;
}

public void setVlrDesconto(int vlrDesconto) {
setVlrDesconto(new Double(vlrDesconto));
}

public void setVlrDesconto(long vlrDesconto) {
setVlrDesconto(new Double(vlrDesconto));
}

public void setVlrDesconto(Double vlrDesconto) {
if (vlrDesconto == null) {
vlrDescontoNull = true;
this.vlrDesconto = 0.;
} else { 
vlrDescontoNull = false;
this.vlrDesconto = FglDouble.round(vlrDesconto, 2);
}
}

public double getVlrSaque() {
return vlrSaque;
}

public boolean isVlrSaqueNull() {
return vlrSaqueNull;
}

public void setVlrSaque(int vlrSaque) {
setVlrSaque(new Double(vlrSaque));
}

public void setVlrSaque(long vlrSaque) {
setVlrSaque(new Double(vlrSaque));
}

public void setVlrSaque(Double vlrSaque) {
if (vlrSaque == null) {
vlrSaqueNull = true;
this.vlrSaque = 0.;
} else { 
vlrSaqueNull = false;
this.vlrSaque = FglDouble.round(vlrSaque, 2);
}
}

public double getVlrFinal() {
return vlrFinal;
}

public boolean isVlrFinalNull() {
return vlrFinalNull;
}

public void setVlrFinal(int vlrFinal) {
setVlrFinal(new Double(vlrFinal));
}

public void setVlrFinal(long vlrFinal) {
setVlrFinal(new Double(vlrFinal));
}

public void setVlrFinal(Double vlrFinal) {
if (vlrFinal == null) {
vlrFinalNull = true;
this.vlrFinal = 0.;
} else { 
vlrFinalNull = false;
this.vlrFinal = FglDouble.round(vlrFinal, 2);
}
}

public String getCodBandeira() {
return codBandeira;
}

public void setCodBandeira(String codBandeira) {
this.codBandeira = codBandeira;
}

public String getDesBandeira() {
return desBandeira;
}

public void setDesBandeira(String desBandeira) {
this.desBandeira = desBandeira;
}

public String getCodBandeiraRede() {
return codBandeiraRede;
}

public void setCodBandeiraRede(String codBandeiraRede) {
this.codBandeiraRede = codBandeiraRede;
}

public String getDesBandeiraRede() {
return desBandeiraRede;
}

public void setDesBandeiraRede(String desBandeiraRede) {
this.desBandeiraRede = desBandeiraRede;
}

public String getCodBandeiraTerceiro() {
return codBandeiraTerceiro;
}

public void setCodBandeiraTerceiro(String codBandeiraTerceiro) {
this.codBandeiraTerceiro = codBandeiraTerceiro;
}

public String getDesBandeiraTerceiro() {
return desBandeiraTerceiro;
}

public void setDesBandeiraTerceiro(String desBandeiraTerceiro) {
this.desBandeiraTerceiro = desBandeiraTerceiro;
}

public String getCodRedeTerceiro() {
return codRedeTerceiro;
}

public void setCodRedeTerceiro(String codRedeTerceiro) {
this.codRedeTerceiro = codRedeTerceiro;
}

public String getDesRedeTerceiro() {
return desRedeTerceiro;
}

public void setDesRedeTerceiro(String desRedeTerceiro) {
this.desRedeTerceiro = desRedeTerceiro;
}

public String getCodProdutoRede() {
return codProdutoRede;
}

public void setCodProdutoRede(String codProdutoRede) {
this.codProdutoRede = codProdutoRede;
}

public String getDesProdutoRede() {
return desProdutoRede;
}

public void setDesProdutoRede(String desProdutoRede) {
this.desProdutoRede = desProdutoRede;
}

public String getNroControleRede() {
return nroControleRede;
}

public void setNroControleRede(String nroControleRede) {
this.nroControleRede = nroControleRede;
}

public String getCodTefTerceiro() {
return codTefTerceiro;
}

public void setCodTefTerceiro(String codTefTerceiro) {
this.codTefTerceiro = codTefTerceiro;
}

public long getNroCnpjRedeAdquirente() {
return nroCnpjRedeAdquirente;
}

public boolean isNroCnpjRedeAdquirenteNull() {
return nroCnpjRedeAdquirenteNull;
}

public void setNroCnpjRedeAdquirente(int nroCnpjRedeAdquirente) {
setNroCnpjRedeAdquirente(new Long(nroCnpjRedeAdquirente));
}

public void setNroCnpjRedeAdquirente(Long nroCnpjRedeAdquirente) {
if (nroCnpjRedeAdquirente == null) {
nroCnpjRedeAdquirenteNull = true;
this.nroCnpjRedeAdquirente = 0l;
} else { 
nroCnpjRedeAdquirenteNull = false;
this.nroCnpjRedeAdquirente = nroCnpjRedeAdquirente;
}
}

public String getNroControleRedeAdic() {
return nroControleRedeAdic;
}

public void setNroControleRedeAdic(String nroControleRedeAdic) {
this.nroControleRedeAdic = nroControleRedeAdic;
}

public String getNroCartao() {
return nroCartao;
}

public void setNroCartao(String nroCartao) {
this.nroCartao = nroCartao;
}

public String getVencimentoCartao() {
return vencimentoCartao;
}

public void setVencimentoCartao(String vencimentoCartao) {
this.vencimentoCartao = vencimentoCartao;
}

public String getCodBandeiraSefaz() {
return codBandeiraSefaz;
}

public void setCodBandeiraSefaz(String codBandeiraSefaz) {
this.codBandeiraSefaz = codBandeiraSefaz;
}

public String getDesBandeiraSefaz() {
return desBandeiraSefaz;
}

public void setDesBandeiraSefaz(String desBandeiraSefaz) {
this.desBandeiraSefaz = desBandeiraSefaz;
}

public String getNomPortador() {
return nomPortador;
}

public void setNomPortador(String nomPortador) {
this.nomPortador = nomPortador;
}

public String getIdtCancelamentoTef() {
return idtCancelamentoTef;
}

public void setIdtCancelamentoTef(String idtCancelamentoTef) {
this.idtCancelamentoTef = idtCancelamentoTef;
}

public int getIdRetadi() {
return idRetadi;
}

public boolean isIdRetadiNull() {
return idRetadiNull;
}

public void setIdRetadi(Integer idRetadi) {
if (idRetadi == null) {
idRetadiNull = true;
this.idRetadi = 0;
} else { 
idRetadiNull = false;
this.idRetadi = idRetadi;
}
}

}

