package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfvndavu {
@Coluna(nome="cfvndavu.id_vndavu", tipo="int")
private int idVndavu;
private boolean idVndavuNull;
@Coluna(nome="cfvndavu.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cfvndavu.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cfvndavu.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="cfvndavu.endereco", tipo="String")
private String endereco;
@Coluna(nome="cfvndavu.nrocoo", tipo="int")
private int nrocoo;
private boolean nrocooNull;
@Coluna(nome="cfvndavu.nroccf", tipo="int")
private int nroccf;
private boolean nroccfNull;
@Coluna(nome="cfvndavu.datacupom", tipo="FglDateTimeYS")
private FglDateTimeYS datacupom;
@Coluna(nome="cfvndavu.nroequip", tipo="int")
private int nroequip;
private boolean nroequipNull;
@Coluna(nome="cfvndavu.statuscupom", tipo="String")
private String statuscupom;
@Coluna(nome="cfvndavu.motivocanc", tipo="int")
private int motivocanc;
private boolean motivocancNull;
@Coluna(nome="cfvndavu.processado", tipo="String")
private String processado;
@Coluna(nome="cfvndavu.vlrvenda", tipo="double")
private double vlrvenda;
private boolean vlrvendaNull;
@Coluna(nome="cfvndavu.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cfvndavu.assinatura", tipo="String")
private String assinatura;
@Coluna(nome="cfvndavu.id_dav_origem", tipo="int")
private int idDavOrigem;
private boolean idDavOrigemNull;

public TabCfvndavu() {
initialize();
}

public void initialize() {
setIdVndavu(null);
setFilial(null);
setCgccpf(null);
setNomepessoa(null);
setEndereco(null);
setNrocoo(null);
setNroccf(null);
setDatacupom(null);
setNroequip(null);
setStatuscupom(null);
setMotivocanc(null);
setProcessado(null);
setVlrvenda(null);
setIdOrccap(null);
setAssinatura(null);
setIdDavOrigem(null);
}

public TabCfvndavu(int idVndavu, int filial, long cgccpf, String nomepessoa, String endereco, int nrocoo, int nroccf, FglDateTimeYS datacupom, int nroequip, String statuscupom, int motivocanc, String processado, double vlrvenda, int idOrccap, String assinatura, int idDavOrigem) {
this.idVndavu = idVndavu;
this.filial = filial;
this.cgccpf = cgccpf;
this.nomepessoa = nomepessoa;
this.endereco = endereco;
this.nrocoo = nrocoo;
this.nroccf = nroccf;
this.datacupom = datacupom;
this.nroequip = nroequip;
this.statuscupom = statuscupom;
this.motivocanc = motivocanc;
this.processado = processado;
this.vlrvenda = vlrvenda;
this.idOrccap = idOrccap;
this.assinatura = assinatura;
this.idDavOrigem = idDavOrigem;
}

public int getIdVndavu() {
return idVndavu;
}

public boolean isIdVndavuNull() {
return idVndavuNull;
}

public void setIdVndavu(Integer idVndavu) {
if (idVndavu == null) {
idVndavuNull = true;
this.idVndavu = 0;
} else { 
idVndavuNull = false;
this.idVndavu = idVndavu;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public int getNrocoo() {
return nrocoo;
}

public boolean isNrocooNull() {
return nrocooNull;
}

public void setNrocoo(Integer nrocoo) {
if (nrocoo == null) {
nrocooNull = true;
this.nrocoo = 0;
} else { 
nrocooNull = false;
this.nrocoo = nrocoo;
}
}

public int getNroccf() {
return nroccf;
}

public boolean isNroccfNull() {
return nroccfNull;
}

public void setNroccf(Integer nroccf) {
if (nroccf == null) {
nroccfNull = true;
this.nroccf = 0;
} else { 
nroccfNull = false;
this.nroccf = nroccf;
}
}

public FglDateTimeYS getDatacupom() {
return datacupom;
}

public void setDatacupom(FglDateTimeYS datacupom) {
this.datacupom = datacupom;
}

public int getNroequip() {
return nroequip;
}

public boolean isNroequipNull() {
return nroequipNull;
}

public void setNroequip(Integer nroequip) {
if (nroequip == null) {
nroequipNull = true;
this.nroequip = 0;
} else { 
nroequipNull = false;
this.nroequip = nroequip;
}
}

public String getStatuscupom() {
return statuscupom;
}

public void setStatuscupom(String statuscupom) {
this.statuscupom = statuscupom;
}

public int getMotivocanc() {
return motivocanc;
}

public boolean isMotivocancNull() {
return motivocancNull;
}

public void setMotivocanc(Integer motivocanc) {
if (motivocanc == null) {
motivocancNull = true;
this.motivocanc = 0;
} else { 
motivocancNull = false;
this.motivocanc = motivocanc;
}
}

public String getProcessado() {
return processado;
}

public void setProcessado(String processado) {
this.processado = processado;
}

public double getVlrvenda() {
return vlrvenda;
}

public boolean isVlrvendaNull() {
return vlrvendaNull;
}

public void setVlrvenda(int vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(long vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(Double vlrvenda) {
if (vlrvenda == null) {
vlrvendaNull = true;
this.vlrvenda = 0.;
} else { 
vlrvendaNull = false;
this.vlrvenda = FglDouble.round(vlrvenda, 2);
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

public int getIdDavOrigem() {
return idDavOrigem;
}

public boolean isIdDavOrigemNull() {
return idDavOrigemNull;
}

public void setIdDavOrigem(Integer idDavOrigem) {
if (idDavOrigem == null) {
idDavOrigemNull = true;
this.idDavOrigem = 0;
} else { 
idDavOrigemNull = false;
this.idDavOrigem = idDavOrigem;
}
}

}

