package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgcxbanc {
@Coluna(nome="cgcxbanc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgcxbanc.datapos", tipo="FglDate")
private FglDate datapos;
@Coluna(nome="cgcxbanc.tplancto", tipo="String")
private String tplancto;
@Coluna(nome="cgcxbanc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cgcxbanc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cgcxbanc.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="cgcxbanc.saldo", tipo="double")
private double saldo;
private boolean saldoNull;

public TabCgcxbanc() {
initialize();
}

public void initialize() {
setFilial(null);
setDatapos(null);
setTplancto(null);
setTppessoa(null);
setCgccpf(null);
setNomepessoa(null);
setSaldo(null);
}

public TabCgcxbanc(int filial, FglDate datapos, String tplancto, int tppessoa, long cgccpf, String nomepessoa, double saldo) {
this.filial = filial;
this.datapos = datapos;
this.tplancto = tplancto;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.nomepessoa = nomepessoa;
this.saldo = saldo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatapos() {
return datapos;
}

public void setDatapos(FglDate datapos) {
this.datapos = datapos;
}

public String getTplancto() {
return tplancto;
}

public void setTplancto(String tplancto) {
this.tplancto = tplancto;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public double getSaldo() {
return saldo;
}

public boolean isSaldoNull() {
return saldoNull;
}

public void setSaldo(int saldo) {
setSaldo(new Double(saldo));
}

public void setSaldo(long saldo) {
setSaldo(new Double(saldo));
}

public void setSaldo(Double saldo) {
if (saldo == null) {
saldoNull = true;
this.saldo = 0.;
} else { 
saldoNull = false;
this.saldo = FglDouble.round(saldo, 2);
}
}

}

