package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgdevedor {
@Coluna(nome="cgdevedor.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgdevedor.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cgdevedor.raizcgc", tipo="long")
private long raizcgc;
private boolean raizcgcNull;
@Coluna(nome="cgdevedor.nome", tipo="String")
private String nome;
@Coluna(nome="cgdevedor.datapos", tipo="FglDate")
private FglDate datapos;
@Coluna(nome="cgdevedor.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cgdevedor.valor30", tipo="double")
private double valor30;
private boolean valor30Null;

public TabCgdevedor() {
initialize();
}

public void initialize() {
setFilial(null);
setTppessoa(null);
setRaizcgc(null);
setNome(null);
setDatapos(null);
setValor(null);
setValor30(null);
}

public TabCgdevedor(int filial, int tppessoa, long raizcgc, String nome, FglDate datapos, double valor, double valor30) {
this.filial = filial;
this.tppessoa = tppessoa;
this.raizcgc = raizcgc;
this.nome = nome;
this.datapos = datapos;
this.valor = valor;
this.valor30 = valor30;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getRaizcgc() {
return raizcgc;
}

public boolean isRaizcgcNull() {
return raizcgcNull;
}

public void setRaizcgc(int raizcgc) {
setRaizcgc(new Long(raizcgc));
}

public void setRaizcgc(Long raizcgc) {
if (raizcgc == null) {
raizcgcNull = true;
this.raizcgc = 0l;
} else { 
raizcgcNull = false;
this.raizcgc = raizcgc;
}
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public FglDate getDatapos() {
return datapos;
}

public void setDatapos(FglDate datapos) {
this.datapos = datapos;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValor30() {
return valor30;
}

public boolean isValor30Null() {
return valor30Null;
}

public void setValor30(int valor30) {
setValor30(new Double(valor30));
}

public void setValor30(long valor30) {
setValor30(new Double(valor30));
}

public void setValor30(Double valor30) {
if (valor30 == null) {
valor30Null = true;
this.valor30 = 0.;
} else { 
valor30Null = false;
this.valor30 = FglDouble.round(valor30, 2);
}
}

}

