package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCgindice {
@Coluna(nome="cgindice.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cgindice.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cgindice.percicms", tipo="double")
private double percicms;
private boolean percicmsNull;
@Coluna(nome="cgindice.percpis", tipo="double")
private double percpis;
private boolean percpisNull;
@Coluna(nome="cgindice.dtpgtopis", tipo="FglDate")
private FglDate dtpgtopis;
@Coluna(nome="cgindice.perccofins", tipo="double")
private double perccofins;
private boolean perccofinsNull;
@Coluna(nome="cgindice.dtpgtocofins", tipo="FglDate")
private FglDate dtpgtocofins;
@Coluna(nome="cgindice.perciss", tipo="double")
private double perciss;
private boolean percissNull;
@Coluna(nome="cgindice.percfinanc", tipo="double")
private double percfinanc;
private boolean percfinancNull;
@Coluna(nome="cgindice.percioc", tipo="double")
private double percioc;
private boolean perciocNull;
@Coluna(nome="cgindice.perccomiss", tipo="double")
private double perccomiss;
private boolean perccomissNull;
@Coluna(nome="cgindice.perccpmf", tipo="double")
private double perccpmf;
private boolean perccpmfNull;
@Coluna(nome="cgindice.vlrhora", tipo="double")
private double vlrhora;
private boolean vlrhoraNull;
@Coluna(nome="cgindice.perciof", tipo="double")
private double perciof;
private boolean perciofNull;
@Coluna(nome="cgindice.despdepto", tipo="double")
private double despdepto;
private boolean despdeptoNull;
@Coluna(nome="cgindice.despgeral", tipo="double")
private double despgeral;
private boolean despgeralNull;
@Coluna(nome="cgindice.objetivo", tipo="double")
private double objetivo;
private boolean objetivoNull;
@Coluna(nome="cgindice.despesafixa", tipo="double")
private double despesafixa;
private boolean despesafixaNull;
@Coluna(nome="cgindice.custopermanencia", tipo="double")
private double custopermanencia;
private boolean custopermanenciaNull;
@Coluna(nome="cgindice.mobradireta", tipo="double")
private double mobradireta;
private boolean mobradiretaNull;

public TabCgindice() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdDeptos(null);
setPercicms(null);
setPercpis(null);
setDtpgtopis(null);
setPerccofins(null);
setDtpgtocofins(null);
setPerciss(null);
setPercfinanc(null);
setPercioc(null);
setPerccomiss(null);
setPerccpmf(null);
setVlrhora(null);
setPerciof(null);
setDespdepto(null);
setDespgeral(null);
setObjetivo(null);
setDespesafixa(null);
setCustopermanencia(null);
setMobradireta(null);
}

public TabCgindice(FglDateTimeYM anomes, int idDeptos, double percicms, double percpis, FglDate dtpgtopis, double perccofins, FglDate dtpgtocofins, double perciss, double percfinanc, double percioc, double perccomiss, double perccpmf, double vlrhora, double perciof, double despdepto, double despgeral, double objetivo, double despesafixa, double custopermanencia, double mobradireta) {
this.anomes = anomes;
this.idDeptos = idDeptos;
this.percicms = percicms;
this.percpis = percpis;
this.dtpgtopis = dtpgtopis;
this.perccofins = perccofins;
this.dtpgtocofins = dtpgtocofins;
this.perciss = perciss;
this.percfinanc = percfinanc;
this.percioc = percioc;
this.perccomiss = perccomiss;
this.perccpmf = perccpmf;
this.vlrhora = vlrhora;
this.perciof = perciof;
this.despdepto = despdepto;
this.despgeral = despgeral;
this.objetivo = objetivo;
this.despesafixa = despesafixa;
this.custopermanencia = custopermanencia;
this.mobradireta = mobradireta;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public double getPercicms() {
return percicms;
}

public boolean isPercicmsNull() {
return percicmsNull;
}

public void setPercicms(int percicms) {
setPercicms(new Double(percicms));
}

public void setPercicms(long percicms) {
setPercicms(new Double(percicms));
}

public void setPercicms(Double percicms) {
if (percicms == null) {
percicmsNull = true;
this.percicms = 0.;
} else { 
percicmsNull = false;
this.percicms = FglDouble.round(percicms, 2);
}
}

public double getPercpis() {
return percpis;
}

public boolean isPercpisNull() {
return percpisNull;
}

public void setPercpis(int percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(long percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(Double percpis) {
if (percpis == null) {
percpisNull = true;
this.percpis = 0.;
} else { 
percpisNull = false;
this.percpis = FglDouble.round(percpis, 2);
}
}

public FglDate getDtpgtopis() {
return dtpgtopis;
}

public void setDtpgtopis(FglDate dtpgtopis) {
this.dtpgtopis = dtpgtopis;
}

public double getPerccofins() {
return perccofins;
}

public boolean isPerccofinsNull() {
return perccofinsNull;
}

public void setPerccofins(int perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(long perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(Double perccofins) {
if (perccofins == null) {
perccofinsNull = true;
this.perccofins = 0.;
} else { 
perccofinsNull = false;
this.perccofins = FglDouble.round(perccofins, 2);
}
}

public FglDate getDtpgtocofins() {
return dtpgtocofins;
}

public void setDtpgtocofins(FglDate dtpgtocofins) {
this.dtpgtocofins = dtpgtocofins;
}

public double getPerciss() {
return perciss;
}

public boolean isPercissNull() {
return percissNull;
}

public void setPerciss(int perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(long perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(Double perciss) {
if (perciss == null) {
percissNull = true;
this.perciss = 0.;
} else { 
percissNull = false;
this.perciss = FglDouble.round(perciss, 2);
}
}

public double getPercfinanc() {
return percfinanc;
}

public boolean isPercfinancNull() {
return percfinancNull;
}

public void setPercfinanc(int percfinanc) {
setPercfinanc(new Double(percfinanc));
}

public void setPercfinanc(long percfinanc) {
setPercfinanc(new Double(percfinanc));
}

public void setPercfinanc(Double percfinanc) {
if (percfinanc == null) {
percfinancNull = true;
this.percfinanc = 0.;
} else { 
percfinancNull = false;
this.percfinanc = FglDouble.round(percfinanc, 2);
}
}

public double getPercioc() {
return percioc;
}

public boolean isPerciocNull() {
return perciocNull;
}

public void setPercioc(int percioc) {
setPercioc(new Double(percioc));
}

public void setPercioc(long percioc) {
setPercioc(new Double(percioc));
}

public void setPercioc(Double percioc) {
if (percioc == null) {
perciocNull = true;
this.percioc = 0.;
} else { 
perciocNull = false;
this.percioc = FglDouble.round(percioc, 2);
}
}

public double getPerccomiss() {
return perccomiss;
}

public boolean isPerccomissNull() {
return perccomissNull;
}

public void setPerccomiss(int perccomiss) {
setPerccomiss(new Double(perccomiss));
}

public void setPerccomiss(long perccomiss) {
setPerccomiss(new Double(perccomiss));
}

public void setPerccomiss(Double perccomiss) {
if (perccomiss == null) {
perccomissNull = true;
this.perccomiss = 0.;
} else { 
perccomissNull = false;
this.perccomiss = FglDouble.round(perccomiss, 2);
}
}

public double getPerccpmf() {
return perccpmf;
}

public boolean isPerccpmfNull() {
return perccpmfNull;
}

public void setPerccpmf(int perccpmf) {
setPerccpmf(new Double(perccpmf));
}

public void setPerccpmf(long perccpmf) {
setPerccpmf(new Double(perccpmf));
}

public void setPerccpmf(Double perccpmf) {
if (perccpmf == null) {
perccpmfNull = true;
this.perccpmf = 0.;
} else { 
perccpmfNull = false;
this.perccpmf = FglDouble.round(perccpmf, 2);
}
}

public double getVlrhora() {
return vlrhora;
}

public boolean isVlrhoraNull() {
return vlrhoraNull;
}

public void setVlrhora(int vlrhora) {
setVlrhora(new Double(vlrhora));
}

public void setVlrhora(long vlrhora) {
setVlrhora(new Double(vlrhora));
}

public void setVlrhora(Double vlrhora) {
if (vlrhora == null) {
vlrhoraNull = true;
this.vlrhora = 0.;
} else { 
vlrhoraNull = false;
this.vlrhora = FglDouble.round(vlrhora, 2);
}
}

public double getPerciof() {
return perciof;
}

public boolean isPerciofNull() {
return perciofNull;
}

public void setPerciof(int perciof) {
setPerciof(new Double(perciof));
}

public void setPerciof(long perciof) {
setPerciof(new Double(perciof));
}

public void setPerciof(Double perciof) {
if (perciof == null) {
perciofNull = true;
this.perciof = 0.;
} else { 
perciofNull = false;
this.perciof = FglDouble.round(perciof, 2);
}
}

public double getDespdepto() {
return despdepto;
}

public boolean isDespdeptoNull() {
return despdeptoNull;
}

public void setDespdepto(int despdepto) {
setDespdepto(new Double(despdepto));
}

public void setDespdepto(long despdepto) {
setDespdepto(new Double(despdepto));
}

public void setDespdepto(Double despdepto) {
if (despdepto == null) {
despdeptoNull = true;
this.despdepto = 0.;
} else { 
despdeptoNull = false;
this.despdepto = FglDouble.round(despdepto, 2);
}
}

public double getDespgeral() {
return despgeral;
}

public boolean isDespgeralNull() {
return despgeralNull;
}

public void setDespgeral(int despgeral) {
setDespgeral(new Double(despgeral));
}

public void setDespgeral(long despgeral) {
setDespgeral(new Double(despgeral));
}

public void setDespgeral(Double despgeral) {
if (despgeral == null) {
despgeralNull = true;
this.despgeral = 0.;
} else { 
despgeralNull = false;
this.despgeral = FglDouble.round(despgeral, 2);
}
}

public double getObjetivo() {
return objetivo;
}

public boolean isObjetivoNull() {
return objetivoNull;
}

public void setObjetivo(int objetivo) {
setObjetivo(new Double(objetivo));
}

public void setObjetivo(long objetivo) {
setObjetivo(new Double(objetivo));
}

public void setObjetivo(Double objetivo) {
if (objetivo == null) {
objetivoNull = true;
this.objetivo = 0.;
} else { 
objetivoNull = false;
this.objetivo = FglDouble.round(objetivo, 2);
}
}

public double getDespesafixa() {
return despesafixa;
}

public boolean isDespesafixaNull() {
return despesafixaNull;
}

public void setDespesafixa(int despesafixa) {
setDespesafixa(new Double(despesafixa));
}

public void setDespesafixa(long despesafixa) {
setDespesafixa(new Double(despesafixa));
}

public void setDespesafixa(Double despesafixa) {
if (despesafixa == null) {
despesafixaNull = true;
this.despesafixa = 0.;
} else { 
despesafixaNull = false;
this.despesafixa = FglDouble.round(despesafixa, 2);
}
}

public double getCustopermanencia() {
return custopermanencia;
}

public boolean isCustopermanenciaNull() {
return custopermanenciaNull;
}

public void setCustopermanencia(int custopermanencia) {
setCustopermanencia(new Double(custopermanencia));
}

public void setCustopermanencia(long custopermanencia) {
setCustopermanencia(new Double(custopermanencia));
}

public void setCustopermanencia(Double custopermanencia) {
if (custopermanencia == null) {
custopermanenciaNull = true;
this.custopermanencia = 0.;
} else { 
custopermanenciaNull = false;
this.custopermanencia = FglDouble.round(custopermanencia, 2);
}
}

public double getMobradireta() {
return mobradireta;
}

public boolean isMobradiretaNull() {
return mobradiretaNull;
}

public void setMobradireta(int mobradireta) {
setMobradireta(new Double(mobradireta));
}

public void setMobradireta(long mobradireta) {
setMobradireta(new Double(mobradireta));
}

public void setMobradireta(Double mobradireta) {
if (mobradireta == null) {
mobradiretaNull = true;
this.mobradireta = 0.;
} else { 
mobradiretaNull = false;
this.mobradireta = FglDouble.round(mobradireta, 2);
}
}

}

