package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCgobjcon {
@Coluna(nome="cgobjcon.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cgobjcon.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cgobjcon.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cgobjcon.qtde_contatos", tipo="int")
private int qtdeContatos;
private boolean qtdeContatosNull;

public TabCgobjcon() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdAgente(null);
setTpvenda(null);
setQtdeContatos(null);
}

public TabCgobjcon(FglDateTimeYM anomes, int idAgente, String tpvenda, int qtdeContatos) {
this.anomes = anomes;
this.idAgente = idAgente;
this.tpvenda = tpvenda;
this.qtdeContatos = qtdeContatos;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public int getQtdeContatos() {
return qtdeContatos;
}

public boolean isQtdeContatosNull() {
return qtdeContatosNull;
}

public void setQtdeContatos(Integer qtdeContatos) {
if (qtdeContatos == null) {
qtdeContatosNull = true;
this.qtdeContatos = 0;
} else { 
qtdeContatosNull = false;
this.qtdeContatos = qtdeContatos;
}
}

}

