package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgobjven {
@Coluna(nome="cgobjven.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cgobjven.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cgobjven.quantobjetivo", tipo="int")
private int quantobjetivo;
private boolean quantobjetivoNull;
@Coluna(nome="cgobjven.valorobjetivo", tipo="double")
private double valorobjetivo;
private boolean valorobjetivoNull;
@Coluna(nome="cgobjven.objretfina", tipo="double")
private double objretfina;
private boolean objretfinaNull;
@Coluna(nome="cgobjven.objdescmed", tipo="double")
private double objdescmed;
private boolean objdescmedNull;
@Coluna(nome="cgobjven.objautoven", tipo="double")
private double objautoven;
private boolean objautovenNull;
@Coluna(nome="cgobjven.valorobjrenta", tipo="double")
private double valorobjrenta;
private boolean valorobjrentaNull;
@Coluna(nome="cgobjven.metatamcart", tipo="int")
private int metatamcart;
private boolean metatamcartNull;
@Coluna(nome="cgobjven.metacadncli", tipo="int")
private int metacadncli;
private boolean metacadncliNull;
@Coluna(nome="cgobjven.metavisprog", tipo="int")
private int metavisprog;
private boolean metavisprogNull;

public TabCgobjven() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdAgente(null);
setQuantobjetivo(null);
setValorobjetivo(null);
setObjretfina(null);
setObjdescmed(null);
setObjautoven(null);
setValorobjrenta(null);
setMetatamcart(null);
setMetacadncli(null);
setMetavisprog(null);
}

public TabCgobjven(FglDateTimeYM anomes, int idAgente, int quantobjetivo, double valorobjetivo, double objretfina, double objdescmed, double objautoven, double valorobjrenta, int metatamcart, int metacadncli, int metavisprog) {
this.anomes = anomes;
this.idAgente = idAgente;
this.quantobjetivo = quantobjetivo;
this.valorobjetivo = valorobjetivo;
this.objretfina = objretfina;
this.objdescmed = objdescmed;
this.objautoven = objautoven;
this.valorobjrenta = valorobjrenta;
this.metatamcart = metatamcart;
this.metacadncli = metacadncli;
this.metavisprog = metavisprog;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getQuantobjetivo() {
return quantobjetivo;
}

public boolean isQuantobjetivoNull() {
return quantobjetivoNull;
}

public void setQuantobjetivo(Integer quantobjetivo) {
if (quantobjetivo == null) {
quantobjetivoNull = true;
this.quantobjetivo = 0;
} else { 
quantobjetivoNull = false;
this.quantobjetivo = quantobjetivo;
}
}

public double getValorobjetivo() {
return valorobjetivo;
}

public boolean isValorobjetivoNull() {
return valorobjetivoNull;
}

public void setValorobjetivo(int valorobjetivo) {
setValorobjetivo(new Double(valorobjetivo));
}

public void setValorobjetivo(long valorobjetivo) {
setValorobjetivo(new Double(valorobjetivo));
}

public void setValorobjetivo(Double valorobjetivo) {
if (valorobjetivo == null) {
valorobjetivoNull = true;
this.valorobjetivo = 0.;
} else { 
valorobjetivoNull = false;
this.valorobjetivo = FglDouble.round(valorobjetivo, 2);
}
}

public double getObjretfina() {
return objretfina;
}

public boolean isObjretfinaNull() {
return objretfinaNull;
}

public void setObjretfina(int objretfina) {
setObjretfina(new Double(objretfina));
}

public void setObjretfina(long objretfina) {
setObjretfina(new Double(objretfina));
}

public void setObjretfina(Double objretfina) {
if (objretfina == null) {
objretfinaNull = true;
this.objretfina = 0.;
} else { 
objretfinaNull = false;
this.objretfina = FglDouble.round(objretfina, 2);
}
}

public double getObjdescmed() {
return objdescmed;
}

public boolean isObjdescmedNull() {
return objdescmedNull;
}

public void setObjdescmed(int objdescmed) {
setObjdescmed(new Double(objdescmed));
}

public void setObjdescmed(long objdescmed) {
setObjdescmed(new Double(objdescmed));
}

public void setObjdescmed(Double objdescmed) {
if (objdescmed == null) {
objdescmedNull = true;
this.objdescmed = 0.;
} else { 
objdescmedNull = false;
this.objdescmed = FglDouble.round(objdescmed, 2);
}
}

public double getObjautoven() {
return objautoven;
}

public boolean isObjautovenNull() {
return objautovenNull;
}

public void setObjautoven(int objautoven) {
setObjautoven(new Double(objautoven));
}

public void setObjautoven(long objautoven) {
setObjautoven(new Double(objautoven));
}

public void setObjautoven(Double objautoven) {
if (objautoven == null) {
objautovenNull = true;
this.objautoven = 0.;
} else { 
objautovenNull = false;
this.objautoven = FglDouble.round(objautoven, 2);
}
}

public double getValorobjrenta() {
return valorobjrenta;
}

public boolean isValorobjrentaNull() {
return valorobjrentaNull;
}

public void setValorobjrenta(int valorobjrenta) {
setValorobjrenta(new Double(valorobjrenta));
}

public void setValorobjrenta(long valorobjrenta) {
setValorobjrenta(new Double(valorobjrenta));
}

public void setValorobjrenta(Double valorobjrenta) {
if (valorobjrenta == null) {
valorobjrentaNull = true;
this.valorobjrenta = 0.;
} else { 
valorobjrentaNull = false;
this.valorobjrenta = FglDouble.round(valorobjrenta, 2);
}
}

public int getMetatamcart() {
return metatamcart;
}

public boolean isMetatamcartNull() {
return metatamcartNull;
}

public void setMetatamcart(Integer metatamcart) {
if (metatamcart == null) {
metatamcartNull = true;
this.metatamcart = 0;
} else { 
metatamcartNull = false;
this.metatamcart = metatamcart;
}
}

public int getMetacadncli() {
return metacadncli;
}

public boolean isMetacadncliNull() {
return metacadncliNull;
}

public void setMetacadncli(Integer metacadncli) {
if (metacadncli == null) {
metacadncliNull = true;
this.metacadncli = 0;
} else { 
metacadncliNull = false;
this.metacadncli = metacadncli;
}
}

public int getMetavisprog() {
return metavisprog;
}

public boolean isMetavisprogNull() {
return metavisprogNull;
}

public void setMetavisprog(Integer metavisprog) {
if (metavisprog == null) {
metavisprogNull = true;
this.metavisprog = 0;
} else { 
metavisprogNull = false;
this.metavisprog = metavisprog;
}
}

}

