package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgpercom {
@Coluna(nome="cgpercom.bonus", tipo="double")
private double bonus;
private boolean bonusNull;
@Coluna(nome="cgpercom.floorplan", tipo="double")
private double floorplan;
private boolean floorplanNull;
@Coluna(nome="cgpercom.custooper", tipo="double")
private double custooper;
private boolean custooperNull;
@Coluna(nome="cgpercom.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="cgpercom.icmscompra", tipo="double")
private double icmscompra;
private boolean icmscompraNull;
@Coluna(nome="cgpercom.icmsvenda", tipo="double")
private double icmsvenda;
private boolean icmsvendaNull;
@Coluna(nome="cgpercom.tiporentab", tipo="String")
private String tiporentab;
@Coluna(nome="cgpercom.indexador", tipo="String")
private String indexador;

public TabCgpercom() {
initialize();
}

public void initialize() {
setBonus(null);
setFloorplan(null);
setCustooper(null);
setDesconto(null);
setIcmscompra(null);
setIcmsvenda(null);
setTiporentab(null);
setIndexador(null);
}

public TabCgpercom(double bonus, double floorplan, double custooper, double desconto, double icmscompra, double icmsvenda, String tiporentab, String indexador) {
this.bonus = bonus;
this.floorplan = floorplan;
this.custooper = custooper;
this.desconto = desconto;
this.icmscompra = icmscompra;
this.icmsvenda = icmsvenda;
this.tiporentab = tiporentab;
this.indexador = indexador;
}

public double getBonus() {
return bonus;
}

public boolean isBonusNull() {
return bonusNull;
}

public void setBonus(int bonus) {
setBonus(new Double(bonus));
}

public void setBonus(long bonus) {
setBonus(new Double(bonus));
}

public void setBonus(Double bonus) {
if (bonus == null) {
bonusNull = true;
this.bonus = 0.;
} else { 
bonusNull = false;
this.bonus = FglDouble.round(bonus, 2);
}
}

public double getFloorplan() {
return floorplan;
}

public boolean isFloorplanNull() {
return floorplanNull;
}

public void setFloorplan(int floorplan) {
setFloorplan(new Double(floorplan));
}

public void setFloorplan(long floorplan) {
setFloorplan(new Double(floorplan));
}

public void setFloorplan(Double floorplan) {
if (floorplan == null) {
floorplanNull = true;
this.floorplan = 0.;
} else { 
floorplanNull = false;
this.floorplan = FglDouble.round(floorplan, 2);
}
}

public double getCustooper() {
return custooper;
}

public boolean isCustooperNull() {
return custooperNull;
}

public void setCustooper(int custooper) {
setCustooper(new Double(custooper));
}

public void setCustooper(long custooper) {
setCustooper(new Double(custooper));
}

public void setCustooper(Double custooper) {
if (custooper == null) {
custooperNull = true;
this.custooper = 0.;
} else { 
custooperNull = false;
this.custooper = FglDouble.round(custooper, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getIcmscompra() {
return icmscompra;
}

public boolean isIcmscompraNull() {
return icmscompraNull;
}

public void setIcmscompra(int icmscompra) {
setIcmscompra(new Double(icmscompra));
}

public void setIcmscompra(long icmscompra) {
setIcmscompra(new Double(icmscompra));
}

public void setIcmscompra(Double icmscompra) {
if (icmscompra == null) {
icmscompraNull = true;
this.icmscompra = 0.;
} else { 
icmscompraNull = false;
this.icmscompra = FglDouble.round(icmscompra, 2);
}
}

public double getIcmsvenda() {
return icmsvenda;
}

public boolean isIcmsvendaNull() {
return icmsvendaNull;
}

public void setIcmsvenda(int icmsvenda) {
setIcmsvenda(new Double(icmsvenda));
}

public void setIcmsvenda(long icmsvenda) {
setIcmsvenda(new Double(icmsvenda));
}

public void setIcmsvenda(Double icmsvenda) {
if (icmsvenda == null) {
icmsvendaNull = true;
this.icmsvenda = 0.;
} else { 
icmsvendaNull = false;
this.icmsvenda = FglDouble.round(icmsvenda, 2);
}
}

public String getTiporentab() {
return tiporentab;
}

public void setTiporentab(String tiporentab) {
this.tiporentab = tiporentab;
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

}

