package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgposfin {
@Coluna(nome="cgposfin.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgposfin.datapos", tipo="FglDate")
private FglDate datapos;
@Coluna(nome="cgposfin.saldocaixa", tipo="double")
private double saldocaixa;
private boolean saldocaixaNull;
@Coluna(nome="cgposfin.saldobanco", tipo="double")
private double saldobanco;
private boolean saldobancoNull;
@Coluna(nome="cgposfin.areceber", tipo="double")
private double areceber;
private boolean areceberNull;
@Coluna(nome="cgposfin.areceber30", tipo="double")
private double areceber30;
private boolean areceber30Null;
@Coluna(nome="cgposfin.garantias", tipo="double")
private double garantias;
private boolean garantiasNull;
@Coluna(nome="cgposfin.estoqpecas", tipo="double")
private double estoqpecas;
private boolean estoqpecasNull;
@Coluna(nome="cgposfin.estoqnovos", tipo="double")
private double estoqnovos;
private boolean estoqnovosNull;
@Coluna(nome="cgposfin.estoqusado", tipo="double")
private double estoqusado;
private boolean estoqusadoNull;
@Coluna(nome="cgposfin.fornecedor", tipo="double")
private double fornecedor;
private boolean fornecedorNull;
@Coluna(nome="cgposfin.bancos", tipo="double")
private double bancos;
private boolean bancosNull;

public TabCgposfin() {
initialize();
}

public void initialize() {
setFilial(null);
setDatapos(null);
setSaldocaixa(null);
setSaldobanco(null);
setAreceber(null);
setAreceber30(null);
setGarantias(null);
setEstoqpecas(null);
setEstoqnovos(null);
setEstoqusado(null);
setFornecedor(null);
setBancos(null);
}

public TabCgposfin(int filial, FglDate datapos, double saldocaixa, double saldobanco, double areceber, double areceber30, double garantias, double estoqpecas, double estoqnovos, double estoqusado, double fornecedor, double bancos) {
this.filial = filial;
this.datapos = datapos;
this.saldocaixa = saldocaixa;
this.saldobanco = saldobanco;
this.areceber = areceber;
this.areceber30 = areceber30;
this.garantias = garantias;
this.estoqpecas = estoqpecas;
this.estoqnovos = estoqnovos;
this.estoqusado = estoqusado;
this.fornecedor = fornecedor;
this.bancos = bancos;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatapos() {
return datapos;
}

public void setDatapos(FglDate datapos) {
this.datapos = datapos;
}

public double getSaldocaixa() {
return saldocaixa;
}

public boolean isSaldocaixaNull() {
return saldocaixaNull;
}

public void setSaldocaixa(int saldocaixa) {
setSaldocaixa(new Double(saldocaixa));
}

public void setSaldocaixa(long saldocaixa) {
setSaldocaixa(new Double(saldocaixa));
}

public void setSaldocaixa(Double saldocaixa) {
if (saldocaixa == null) {
saldocaixaNull = true;
this.saldocaixa = 0.;
} else { 
saldocaixaNull = false;
this.saldocaixa = FglDouble.round(saldocaixa, 2);
}
}

public double getSaldobanco() {
return saldobanco;
}

public boolean isSaldobancoNull() {
return saldobancoNull;
}

public void setSaldobanco(int saldobanco) {
setSaldobanco(new Double(saldobanco));
}

public void setSaldobanco(long saldobanco) {
setSaldobanco(new Double(saldobanco));
}

public void setSaldobanco(Double saldobanco) {
if (saldobanco == null) {
saldobancoNull = true;
this.saldobanco = 0.;
} else { 
saldobancoNull = false;
this.saldobanco = FglDouble.round(saldobanco, 2);
}
}

public double getAreceber() {
return areceber;
}

public boolean isAreceberNull() {
return areceberNull;
}

public void setAreceber(int areceber) {
setAreceber(new Double(areceber));
}

public void setAreceber(long areceber) {
setAreceber(new Double(areceber));
}

public void setAreceber(Double areceber) {
if (areceber == null) {
areceberNull = true;
this.areceber = 0.;
} else { 
areceberNull = false;
this.areceber = FglDouble.round(areceber, 2);
}
}

public double getAreceber30() {
return areceber30;
}

public boolean isAreceber30Null() {
return areceber30Null;
}

public void setAreceber30(int areceber30) {
setAreceber30(new Double(areceber30));
}

public void setAreceber30(long areceber30) {
setAreceber30(new Double(areceber30));
}

public void setAreceber30(Double areceber30) {
if (areceber30 == null) {
areceber30Null = true;
this.areceber30 = 0.;
} else { 
areceber30Null = false;
this.areceber30 = FglDouble.round(areceber30, 2);
}
}

public double getGarantias() {
return garantias;
}

public boolean isGarantiasNull() {
return garantiasNull;
}

public void setGarantias(int garantias) {
setGarantias(new Double(garantias));
}

public void setGarantias(long garantias) {
setGarantias(new Double(garantias));
}

public void setGarantias(Double garantias) {
if (garantias == null) {
garantiasNull = true;
this.garantias = 0.;
} else { 
garantiasNull = false;
this.garantias = FglDouble.round(garantias, 2);
}
}

public double getEstoqpecas() {
return estoqpecas;
}

public boolean isEstoqpecasNull() {
return estoqpecasNull;
}

public void setEstoqpecas(int estoqpecas) {
setEstoqpecas(new Double(estoqpecas));
}

public void setEstoqpecas(long estoqpecas) {
setEstoqpecas(new Double(estoqpecas));
}

public void setEstoqpecas(Double estoqpecas) {
if (estoqpecas == null) {
estoqpecasNull = true;
this.estoqpecas = 0.;
} else { 
estoqpecasNull = false;
this.estoqpecas = FglDouble.round(estoqpecas, 2);
}
}

public double getEstoqnovos() {
return estoqnovos;
}

public boolean isEstoqnovosNull() {
return estoqnovosNull;
}

public void setEstoqnovos(int estoqnovos) {
setEstoqnovos(new Double(estoqnovos));
}

public void setEstoqnovos(long estoqnovos) {
setEstoqnovos(new Double(estoqnovos));
}

public void setEstoqnovos(Double estoqnovos) {
if (estoqnovos == null) {
estoqnovosNull = true;
this.estoqnovos = 0.;
} else { 
estoqnovosNull = false;
this.estoqnovos = FglDouble.round(estoqnovos, 2);
}
}

public double getEstoqusado() {
return estoqusado;
}

public boolean isEstoqusadoNull() {
return estoqusadoNull;
}

public void setEstoqusado(int estoqusado) {
setEstoqusado(new Double(estoqusado));
}

public void setEstoqusado(long estoqusado) {
setEstoqusado(new Double(estoqusado));
}

public void setEstoqusado(Double estoqusado) {
if (estoqusado == null) {
estoqusadoNull = true;
this.estoqusado = 0.;
} else { 
estoqusadoNull = false;
this.estoqusado = FglDouble.round(estoqusado, 2);
}
}

public double getFornecedor() {
return fornecedor;
}

public boolean isFornecedorNull() {
return fornecedorNull;
}

public void setFornecedor(int fornecedor) {
setFornecedor(new Double(fornecedor));
}

public void setFornecedor(long fornecedor) {
setFornecedor(new Double(fornecedor));
}

public void setFornecedor(Double fornecedor) {
if (fornecedor == null) {
fornecedorNull = true;
this.fornecedor = 0.;
} else { 
fornecedorNull = false;
this.fornecedor = FglDouble.round(fornecedor, 2);
}
}

public double getBancos() {
return bancos;
}

public boolean isBancosNull() {
return bancosNull;
}

public void setBancos(int bancos) {
setBancos(new Double(bancos));
}

public void setBancos(long bancos) {
setBancos(new Double(bancos));
}

public void setBancos(Double bancos) {
if (bancos == null) {
bancosNull = true;
this.bancos = 0.;
} else { 
bancosNull = false;
this.bancos = FglDouble.round(bancos, 2);
}
}

}

