package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgrelvei {
@Coluna(nome="cgrelvei.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgrelvei.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cgrelvei.qtdnovpgt", tipo="int")
private int qtdnovpgt;
private boolean qtdnovpgtNull;
@Coluna(nome="cgrelvei.qtdusapgtpar", tipo="int")
private int qtdusapgtpar;
private boolean qtdusapgtparNull;
@Coluna(nome="cgrelvei.qtdusaoutpar", tipo="int")
private int qtdusaoutpar;
private boolean qtdusaoutparNull;
@Coluna(nome="cgrelvei.qtdusaloj", tipo="int")
private int qtdusaloj;
private boolean qtdusalojNull;
@Coluna(nome="cgrelvei.qtdusa30", tipo="int")
private int qtdusa30;
private boolean qtdusa30Null;
@Coluna(nome="cgrelvei.qtdusa31", tipo="int")
private int qtdusa31;
private boolean qtdusa31Null;
@Coluna(nome="cgrelvei.qtdusa61", tipo="int")
private int qtdusa61;
private boolean qtdusa61Null;
@Coluna(nome="cgrelvei.qtdusa91", tipo="int")
private int qtdusa91;
private boolean qtdusa91Null;
@Coluna(nome="cgrelvei.vlrusa30", tipo="double")
private double vlrusa30;
private boolean vlrusa30Null;
@Coluna(nome="cgrelvei.vlrusa31", tipo="double")
private double vlrusa31;
private boolean vlrusa31Null;
@Coluna(nome="cgrelvei.vlrusa61", tipo="double")
private double vlrusa61;
private boolean vlrusa61Null;
@Coluna(nome="cgrelvei.vlrusa91", tipo="double")
private double vlrusa91;
private boolean vlrusa91Null;
@Coluna(nome="cgrelvei.qtdtrnov", tipo="int")
private int qtdtrnov;
private boolean qtdtrnovNull;
@Coluna(nome="cgrelvei.qtdtrusa", tipo="int")
private int qtdtrusa;
private boolean qtdtrusaNull;
@Coluna(nome="cgrelvei.qtdcompext", tipo="int")
private int qtdcompext;
private boolean qtdcompextNull;
@Coluna(nome="cgrelvei.qtdavalia", tipo="int")
private int qtdavalia;
private boolean qtdavaliaNull;
@Coluna(nome="cgrelvei.qtdgarant", tipo="int")
private int qtdgarant;
private boolean qtdgarantNull;
@Coluna(nome="cgrelvei.vlrmedpar", tipo="double")
private double vlrmedpar;
private boolean vlrmedparNull;
@Coluna(nome="cgrelvei.vlrmedloj", tipo="double")
private double vlrmedloj;
private boolean vlrmedlojNull;
@Coluna(nome="cgrelvei.marusapar", tipo="double")
private double marusapar;
private boolean marusaparNull;
@Coluna(nome="cgrelvei.marusaloj", tipo="double")
private double marusaloj;
private boolean marusalojNull;
@Coluna(nome="cgrelvei.marnov", tipo="double")
private double marnov;
private boolean marnovNull;
@Coluna(nome="cgrelvei.cusrecon", tipo="double")
private double cusrecon;
private boolean cusreconNull;
@Coluna(nome="cgrelvei.cusatcom", tipo="double")
private double cusatcom;
private boolean cusatcomNull;
@Coluna(nome="cgrelvei.cuspubli", tipo="double")
private double cuspubli;
private boolean cuspubliNull;
@Coluna(nome="cgrelvei.marusagar", tipo="double")
private double marusagar;
private boolean marusagarNull;
@Coluna(nome="cgrelvei.comfinan", tipo="double")
private double comfinan;
private boolean comfinanNull;

public TabCgrelvei() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setQtdnovpgt(null);
setQtdusapgtpar(null);
setQtdusaoutpar(null);
setQtdusaloj(null);
setQtdusa30(null);
setQtdusa31(null);
setQtdusa61(null);
setQtdusa91(null);
setVlrusa30(null);
setVlrusa31(null);
setVlrusa61(null);
setVlrusa91(null);
setQtdtrnov(null);
setQtdtrusa(null);
setQtdcompext(null);
setQtdavalia(null);
setQtdgarant(null);
setVlrmedpar(null);
setVlrmedloj(null);
setMarusapar(null);
setMarusaloj(null);
setMarnov(null);
setCusrecon(null);
setCusatcom(null);
setCuspubli(null);
setMarusagar(null);
setComfinan(null);
}

public TabCgrelvei(int filial, FglDateTimeYM anomes, int qtdnovpgt, int qtdusapgtpar, int qtdusaoutpar, int qtdusaloj, int qtdusa30, int qtdusa31, int qtdusa61, int qtdusa91, double vlrusa30, double vlrusa31, double vlrusa61, double vlrusa91, int qtdtrnov, int qtdtrusa, int qtdcompext, int qtdavalia, int qtdgarant, double vlrmedpar, double vlrmedloj, double marusapar, double marusaloj, double marnov, double cusrecon, double cusatcom, double cuspubli, double marusagar, double comfinan) {
this.filial = filial;
this.anomes = anomes;
this.qtdnovpgt = qtdnovpgt;
this.qtdusapgtpar = qtdusapgtpar;
this.qtdusaoutpar = qtdusaoutpar;
this.qtdusaloj = qtdusaloj;
this.qtdusa30 = qtdusa30;
this.qtdusa31 = qtdusa31;
this.qtdusa61 = qtdusa61;
this.qtdusa91 = qtdusa91;
this.vlrusa30 = vlrusa30;
this.vlrusa31 = vlrusa31;
this.vlrusa61 = vlrusa61;
this.vlrusa91 = vlrusa91;
this.qtdtrnov = qtdtrnov;
this.qtdtrusa = qtdtrusa;
this.qtdcompext = qtdcompext;
this.qtdavalia = qtdavalia;
this.qtdgarant = qtdgarant;
this.vlrmedpar = vlrmedpar;
this.vlrmedloj = vlrmedloj;
this.marusapar = marusapar;
this.marusaloj = marusaloj;
this.marnov = marnov;
this.cusrecon = cusrecon;
this.cusatcom = cusatcom;
this.cuspubli = cuspubli;
this.marusagar = marusagar;
this.comfinan = comfinan;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getQtdnovpgt() {
return qtdnovpgt;
}

public boolean isQtdnovpgtNull() {
return qtdnovpgtNull;
}

public void setQtdnovpgt(Integer qtdnovpgt) {
if (qtdnovpgt == null) {
qtdnovpgtNull = true;
this.qtdnovpgt = 0;
} else { 
qtdnovpgtNull = false;
this.qtdnovpgt = qtdnovpgt;
}
}

public int getQtdusapgtpar() {
return qtdusapgtpar;
}

public boolean isQtdusapgtparNull() {
return qtdusapgtparNull;
}

public void setQtdusapgtpar(Integer qtdusapgtpar) {
if (qtdusapgtpar == null) {
qtdusapgtparNull = true;
this.qtdusapgtpar = 0;
} else { 
qtdusapgtparNull = false;
this.qtdusapgtpar = qtdusapgtpar;
}
}

public int getQtdusaoutpar() {
return qtdusaoutpar;
}

public boolean isQtdusaoutparNull() {
return qtdusaoutparNull;
}

public void setQtdusaoutpar(Integer qtdusaoutpar) {
if (qtdusaoutpar == null) {
qtdusaoutparNull = true;
this.qtdusaoutpar = 0;
} else { 
qtdusaoutparNull = false;
this.qtdusaoutpar = qtdusaoutpar;
}
}

public int getQtdusaloj() {
return qtdusaloj;
}

public boolean isQtdusalojNull() {
return qtdusalojNull;
}

public void setQtdusaloj(Integer qtdusaloj) {
if (qtdusaloj == null) {
qtdusalojNull = true;
this.qtdusaloj = 0;
} else { 
qtdusalojNull = false;
this.qtdusaloj = qtdusaloj;
}
}

public int getQtdusa30() {
return qtdusa30;
}

public boolean isQtdusa30Null() {
return qtdusa30Null;
}

public void setQtdusa30(Integer qtdusa30) {
if (qtdusa30 == null) {
qtdusa30Null = true;
this.qtdusa30 = 0;
} else { 
qtdusa30Null = false;
this.qtdusa30 = qtdusa30;
}
}

public int getQtdusa31() {
return qtdusa31;
}

public boolean isQtdusa31Null() {
return qtdusa31Null;
}

public void setQtdusa31(Integer qtdusa31) {
if (qtdusa31 == null) {
qtdusa31Null = true;
this.qtdusa31 = 0;
} else { 
qtdusa31Null = false;
this.qtdusa31 = qtdusa31;
}
}

public int getQtdusa61() {
return qtdusa61;
}

public boolean isQtdusa61Null() {
return qtdusa61Null;
}

public void setQtdusa61(Integer qtdusa61) {
if (qtdusa61 == null) {
qtdusa61Null = true;
this.qtdusa61 = 0;
} else { 
qtdusa61Null = false;
this.qtdusa61 = qtdusa61;
}
}

public int getQtdusa91() {
return qtdusa91;
}

public boolean isQtdusa91Null() {
return qtdusa91Null;
}

public void setQtdusa91(Integer qtdusa91) {
if (qtdusa91 == null) {
qtdusa91Null = true;
this.qtdusa91 = 0;
} else { 
qtdusa91Null = false;
this.qtdusa91 = qtdusa91;
}
}

public double getVlrusa30() {
return vlrusa30;
}

public boolean isVlrusa30Null() {
return vlrusa30Null;
}

public void setVlrusa30(int vlrusa30) {
setVlrusa30(new Double(vlrusa30));
}

public void setVlrusa30(long vlrusa30) {
setVlrusa30(new Double(vlrusa30));
}

public void setVlrusa30(Double vlrusa30) {
if (vlrusa30 == null) {
vlrusa30Null = true;
this.vlrusa30 = 0.;
} else { 
vlrusa30Null = false;
this.vlrusa30 = FglDouble.round(vlrusa30, 2);
}
}

public double getVlrusa31() {
return vlrusa31;
}

public boolean isVlrusa31Null() {
return vlrusa31Null;
}

public void setVlrusa31(int vlrusa31) {
setVlrusa31(new Double(vlrusa31));
}

public void setVlrusa31(long vlrusa31) {
setVlrusa31(new Double(vlrusa31));
}

public void setVlrusa31(Double vlrusa31) {
if (vlrusa31 == null) {
vlrusa31Null = true;
this.vlrusa31 = 0.;
} else { 
vlrusa31Null = false;
this.vlrusa31 = FglDouble.round(vlrusa31, 2);
}
}

public double getVlrusa61() {
return vlrusa61;
}

public boolean isVlrusa61Null() {
return vlrusa61Null;
}

public void setVlrusa61(int vlrusa61) {
setVlrusa61(new Double(vlrusa61));
}

public void setVlrusa61(long vlrusa61) {
setVlrusa61(new Double(vlrusa61));
}

public void setVlrusa61(Double vlrusa61) {
if (vlrusa61 == null) {
vlrusa61Null = true;
this.vlrusa61 = 0.;
} else { 
vlrusa61Null = false;
this.vlrusa61 = FglDouble.round(vlrusa61, 2);
}
}

public double getVlrusa91() {
return vlrusa91;
}

public boolean isVlrusa91Null() {
return vlrusa91Null;
}

public void setVlrusa91(int vlrusa91) {
setVlrusa91(new Double(vlrusa91));
}

public void setVlrusa91(long vlrusa91) {
setVlrusa91(new Double(vlrusa91));
}

public void setVlrusa91(Double vlrusa91) {
if (vlrusa91 == null) {
vlrusa91Null = true;
this.vlrusa91 = 0.;
} else { 
vlrusa91Null = false;
this.vlrusa91 = FglDouble.round(vlrusa91, 2);
}
}

public int getQtdtrnov() {
return qtdtrnov;
}

public boolean isQtdtrnovNull() {
return qtdtrnovNull;
}

public void setQtdtrnov(Integer qtdtrnov) {
if (qtdtrnov == null) {
qtdtrnovNull = true;
this.qtdtrnov = 0;
} else { 
qtdtrnovNull = false;
this.qtdtrnov = qtdtrnov;
}
}

public int getQtdtrusa() {
return qtdtrusa;
}

public boolean isQtdtrusaNull() {
return qtdtrusaNull;
}

public void setQtdtrusa(Integer qtdtrusa) {
if (qtdtrusa == null) {
qtdtrusaNull = true;
this.qtdtrusa = 0;
} else { 
qtdtrusaNull = false;
this.qtdtrusa = qtdtrusa;
}
}

public int getQtdcompext() {
return qtdcompext;
}

public boolean isQtdcompextNull() {
return qtdcompextNull;
}

public void setQtdcompext(Integer qtdcompext) {
if (qtdcompext == null) {
qtdcompextNull = true;
this.qtdcompext = 0;
} else { 
qtdcompextNull = false;
this.qtdcompext = qtdcompext;
}
}

public int getQtdavalia() {
return qtdavalia;
}

public boolean isQtdavaliaNull() {
return qtdavaliaNull;
}

public void setQtdavalia(Integer qtdavalia) {
if (qtdavalia == null) {
qtdavaliaNull = true;
this.qtdavalia = 0;
} else { 
qtdavaliaNull = false;
this.qtdavalia = qtdavalia;
}
}

public int getQtdgarant() {
return qtdgarant;
}

public boolean isQtdgarantNull() {
return qtdgarantNull;
}

public void setQtdgarant(Integer qtdgarant) {
if (qtdgarant == null) {
qtdgarantNull = true;
this.qtdgarant = 0;
} else { 
qtdgarantNull = false;
this.qtdgarant = qtdgarant;
}
}

public double getVlrmedpar() {
return vlrmedpar;
}

public boolean isVlrmedparNull() {
return vlrmedparNull;
}

public void setVlrmedpar(int vlrmedpar) {
setVlrmedpar(new Double(vlrmedpar));
}

public void setVlrmedpar(long vlrmedpar) {
setVlrmedpar(new Double(vlrmedpar));
}

public void setVlrmedpar(Double vlrmedpar) {
if (vlrmedpar == null) {
vlrmedparNull = true;
this.vlrmedpar = 0.;
} else { 
vlrmedparNull = false;
this.vlrmedpar = FglDouble.round(vlrmedpar, 2);
}
}

public double getVlrmedloj() {
return vlrmedloj;
}

public boolean isVlrmedlojNull() {
return vlrmedlojNull;
}

public void setVlrmedloj(int vlrmedloj) {
setVlrmedloj(new Double(vlrmedloj));
}

public void setVlrmedloj(long vlrmedloj) {
setVlrmedloj(new Double(vlrmedloj));
}

public void setVlrmedloj(Double vlrmedloj) {
if (vlrmedloj == null) {
vlrmedlojNull = true;
this.vlrmedloj = 0.;
} else { 
vlrmedlojNull = false;
this.vlrmedloj = FglDouble.round(vlrmedloj, 2);
}
}

public double getMarusapar() {
return marusapar;
}

public boolean isMarusaparNull() {
return marusaparNull;
}

public void setMarusapar(int marusapar) {
setMarusapar(new Double(marusapar));
}

public void setMarusapar(long marusapar) {
setMarusapar(new Double(marusapar));
}

public void setMarusapar(Double marusapar) {
if (marusapar == null) {
marusaparNull = true;
this.marusapar = 0.;
} else { 
marusaparNull = false;
this.marusapar = FglDouble.round(marusapar, 2);
}
}

public double getMarusaloj() {
return marusaloj;
}

public boolean isMarusalojNull() {
return marusalojNull;
}

public void setMarusaloj(int marusaloj) {
setMarusaloj(new Double(marusaloj));
}

public void setMarusaloj(long marusaloj) {
setMarusaloj(new Double(marusaloj));
}

public void setMarusaloj(Double marusaloj) {
if (marusaloj == null) {
marusalojNull = true;
this.marusaloj = 0.;
} else { 
marusalojNull = false;
this.marusaloj = FglDouble.round(marusaloj, 2);
}
}

public double getMarnov() {
return marnov;
}

public boolean isMarnovNull() {
return marnovNull;
}

public void setMarnov(int marnov) {
setMarnov(new Double(marnov));
}

public void setMarnov(long marnov) {
setMarnov(new Double(marnov));
}

public void setMarnov(Double marnov) {
if (marnov == null) {
marnovNull = true;
this.marnov = 0.;
} else { 
marnovNull = false;
this.marnov = FglDouble.round(marnov, 2);
}
}

public double getCusrecon() {
return cusrecon;
}

public boolean isCusreconNull() {
return cusreconNull;
}

public void setCusrecon(int cusrecon) {
setCusrecon(new Double(cusrecon));
}

public void setCusrecon(long cusrecon) {
setCusrecon(new Double(cusrecon));
}

public void setCusrecon(Double cusrecon) {
if (cusrecon == null) {
cusreconNull = true;
this.cusrecon = 0.;
} else { 
cusreconNull = false;
this.cusrecon = FglDouble.round(cusrecon, 2);
}
}

public double getCusatcom() {
return cusatcom;
}

public boolean isCusatcomNull() {
return cusatcomNull;
}

public void setCusatcom(int cusatcom) {
setCusatcom(new Double(cusatcom));
}

public void setCusatcom(long cusatcom) {
setCusatcom(new Double(cusatcom));
}

public void setCusatcom(Double cusatcom) {
if (cusatcom == null) {
cusatcomNull = true;
this.cusatcom = 0.;
} else { 
cusatcomNull = false;
this.cusatcom = FglDouble.round(cusatcom, 2);
}
}

public double getCuspubli() {
return cuspubli;
}

public boolean isCuspubliNull() {
return cuspubliNull;
}

public void setCuspubli(int cuspubli) {
setCuspubli(new Double(cuspubli));
}

public void setCuspubli(long cuspubli) {
setCuspubli(new Double(cuspubli));
}

public void setCuspubli(Double cuspubli) {
if (cuspubli == null) {
cuspubliNull = true;
this.cuspubli = 0.;
} else { 
cuspubliNull = false;
this.cuspubli = FglDouble.round(cuspubli, 2);
}
}

public double getMarusagar() {
return marusagar;
}

public boolean isMarusagarNull() {
return marusagarNull;
}

public void setMarusagar(int marusagar) {
setMarusagar(new Double(marusagar));
}

public void setMarusagar(long marusagar) {
setMarusagar(new Double(marusagar));
}

public void setMarusagar(Double marusagar) {
if (marusagar == null) {
marusagarNull = true;
this.marusagar = 0.;
} else { 
marusagarNull = false;
this.marusagar = FglDouble.round(marusagar, 2);
}
}

public double getComfinan() {
return comfinan;
}

public boolean isComfinanNull() {
return comfinanNull;
}

public void setComfinan(int comfinan) {
setComfinan(new Double(comfinan));
}

public void setComfinan(long comfinan) {
setComfinan(new Double(comfinan));
}

public void setComfinan(Double comfinan) {
if (comfinan == null) {
comfinanNull = true;
this.comfinan = 0.;
} else { 
comfinanNull = false;
this.comfinan = FglDouble.round(comfinan, 2);
}
}

}

