package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgsheet1 {
@Coluna(nome="cgsheet1.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgsheet1.dataf", tipo="FglDate")
private FglDate dataf;
@Coluna(nome="cgsheet1.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cgsheet1.tipotransacao", tipo="String")
private String tipotransacao;
@Coluna(nome="cgsheet1.mobra", tipo="double")
private double mobra;
private boolean mobraNull;
@Coluna(nome="cgsheet1.customobra", tipo="double")
private double customobra;
private boolean customobraNull;
@Coluna(nome="cgsheet1.pecas", tipo="double")
private double pecas;
private boolean pecasNull;
@Coluna(nome="cgsheet1.custopecas", tipo="double")
private double custopecas;
private boolean custopecasNull;
@Coluna(nome="cgsheet1.acess", tipo="double")
private double acess;
private boolean acessNull;
@Coluna(nome="cgsheet1.custoacess", tipo="double")
private double custoacess;
private boolean custoacessNull;

public TabCgsheet1() {
initialize();
}

public void initialize() {
setFilial(null);
setDataf(null);
setIdSetor(null);
setTipotransacao(null);
setMobra(null);
setCustomobra(null);
setPecas(null);
setCustopecas(null);
setAcess(null);
setCustoacess(null);
}

public TabCgsheet1(int filial, FglDate dataf, int idSetor, String tipotransacao, double mobra, double customobra, double pecas, double custopecas, double acess, double custoacess) {
this.filial = filial;
this.dataf = dataf;
this.idSetor = idSetor;
this.tipotransacao = tipotransacao;
this.mobra = mobra;
this.customobra = customobra;
this.pecas = pecas;
this.custopecas = custopecas;
this.acess = acess;
this.custoacess = custoacess;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDataf() {
return dataf;
}

public void setDataf(FglDate dataf) {
this.dataf = dataf;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getTipotransacao() {
return tipotransacao;
}

public void setTipotransacao(String tipotransacao) {
this.tipotransacao = tipotransacao;
}

public double getMobra() {
return mobra;
}

public boolean isMobraNull() {
return mobraNull;
}

public void setMobra(int mobra) {
setMobra(new Double(mobra));
}

public void setMobra(long mobra) {
setMobra(new Double(mobra));
}

public void setMobra(Double mobra) {
if (mobra == null) {
mobraNull = true;
this.mobra = 0.;
} else { 
mobraNull = false;
this.mobra = FglDouble.round(mobra, 2);
}
}

public double getCustomobra() {
return customobra;
}

public boolean isCustomobraNull() {
return customobraNull;
}

public void setCustomobra(int customobra) {
setCustomobra(new Double(customobra));
}

public void setCustomobra(long customobra) {
setCustomobra(new Double(customobra));
}

public void setCustomobra(Double customobra) {
if (customobra == null) {
customobraNull = true;
this.customobra = 0.;
} else { 
customobraNull = false;
this.customobra = FglDouble.round(customobra, 2);
}
}

public double getPecas() {
return pecas;
}

public boolean isPecasNull() {
return pecasNull;
}

public void setPecas(int pecas) {
setPecas(new Double(pecas));
}

public void setPecas(long pecas) {
setPecas(new Double(pecas));
}

public void setPecas(Double pecas) {
if (pecas == null) {
pecasNull = true;
this.pecas = 0.;
} else { 
pecasNull = false;
this.pecas = FglDouble.round(pecas, 2);
}
}

public double getCustopecas() {
return custopecas;
}

public boolean isCustopecasNull() {
return custopecasNull;
}

public void setCustopecas(int custopecas) {
setCustopecas(new Double(custopecas));
}

public void setCustopecas(long custopecas) {
setCustopecas(new Double(custopecas));
}

public void setCustopecas(Double custopecas) {
if (custopecas == null) {
custopecasNull = true;
this.custopecas = 0.;
} else { 
custopecasNull = false;
this.custopecas = FglDouble.round(custopecas, 2);
}
}

public double getAcess() {
return acess;
}

public boolean isAcessNull() {
return acessNull;
}

public void setAcess(int acess) {
setAcess(new Double(acess));
}

public void setAcess(long acess) {
setAcess(new Double(acess));
}

public void setAcess(Double acess) {
if (acess == null) {
acessNull = true;
this.acess = 0.;
} else { 
acessNull = false;
this.acess = FglDouble.round(acess, 2);
}
}

public double getCustoacess() {
return custoacess;
}

public boolean isCustoacessNull() {
return custoacessNull;
}

public void setCustoacess(int custoacess) {
setCustoacess(new Double(custoacess));
}

public void setCustoacess(long custoacess) {
setCustoacess(new Double(custoacess));
}

public void setCustoacess(Double custoacess) {
if (custoacess == null) {
custoacessNull = true;
this.custoacess = 0.;
} else { 
custoacessNull = false;
this.custoacess = FglDouble.round(custoacess, 2);
}
}

}

