package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgsheet2 {
@Coluna(nome="cgsheet2.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgsheet2.dataf", tipo="FglDate")
private FglDate dataf;
@Coluna(nome="cgsheet2.pedidofatura", tipo="String")
private String pedidofatura;
@Coluna(nome="cgsheet2.novousado", tipo="String")
private String novousado;
@Coluna(nome="cgsheet2.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cgsheet2.descrgrupo", tipo="String")
private String descrgrupo;
@Coluna(nome="cgsheet2.qtdliqu", tipo="int")
private int qtdliqu;
private boolean qtdliquNull;
@Coluna(nome="cgsheet2.liquido", tipo="double")
private double liquido;
private boolean liquidoNull;
@Coluna(nome="cgsheet2.qtdfinan", tipo="int")
private int qtdfinan;
private boolean qtdfinanNull;
@Coluna(nome="cgsheet2.financiament", tipo="double")
private double financiament;
private boolean financiamentNull;
@Coluna(nome="cgsheet2.qtdseguro", tipo="int")
private int qtdseguro;
private boolean qtdseguroNull;
@Coluna(nome="cgsheet2.seguro", tipo="double")
private double seguro;
private boolean seguroNull;
@Coluna(nome="cgsheet2.qtddespac", tipo="int")
private int qtddespac;
private boolean qtddespacNull;
@Coluna(nome="cgsheet2.despachante", tipo="double")
private double despachante;
private boolean despachanteNull;

public TabCgsheet2() {
initialize();
}

public void initialize() {
setFilial(null);
setDataf(null);
setPedidofatura(null);
setNovousado(null);
setTpvenda(null);
setDescrgrupo(null);
setQtdliqu(null);
setLiquido(null);
setQtdfinan(null);
setFinanciament(null);
setQtdseguro(null);
setSeguro(null);
setQtddespac(null);
setDespachante(null);
}

public TabCgsheet2(int filial, FglDate dataf, String pedidofatura, String novousado, String tpvenda, String descrgrupo, int qtdliqu, double liquido, int qtdfinan, double financiament, int qtdseguro, double seguro, int qtddespac, double despachante) {
this.filial = filial;
this.dataf = dataf;
this.pedidofatura = pedidofatura;
this.novousado = novousado;
this.tpvenda = tpvenda;
this.descrgrupo = descrgrupo;
this.qtdliqu = qtdliqu;
this.liquido = liquido;
this.qtdfinan = qtdfinan;
this.financiament = financiament;
this.qtdseguro = qtdseguro;
this.seguro = seguro;
this.qtddespac = qtddespac;
this.despachante = despachante;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDataf() {
return dataf;
}

public void setDataf(FglDate dataf) {
this.dataf = dataf;
}

public String getPedidofatura() {
return pedidofatura;
}

public void setPedidofatura(String pedidofatura) {
this.pedidofatura = pedidofatura;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public String getDescrgrupo() {
return descrgrupo;
}

public void setDescrgrupo(String descrgrupo) {
this.descrgrupo = descrgrupo;
}

public int getQtdliqu() {
return qtdliqu;
}

public boolean isQtdliquNull() {
return qtdliquNull;
}

public void setQtdliqu(Integer qtdliqu) {
if (qtdliqu == null) {
qtdliquNull = true;
this.qtdliqu = 0;
} else { 
qtdliquNull = false;
this.qtdliqu = qtdliqu;
}
}

public double getLiquido() {
return liquido;
}

public boolean isLiquidoNull() {
return liquidoNull;
}

public void setLiquido(int liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(long liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(Double liquido) {
if (liquido == null) {
liquidoNull = true;
this.liquido = 0.;
} else { 
liquidoNull = false;
this.liquido = FglDouble.round(liquido, 2);
}
}

public int getQtdfinan() {
return qtdfinan;
}

public boolean isQtdfinanNull() {
return qtdfinanNull;
}

public void setQtdfinan(Integer qtdfinan) {
if (qtdfinan == null) {
qtdfinanNull = true;
this.qtdfinan = 0;
} else { 
qtdfinanNull = false;
this.qtdfinan = qtdfinan;
}
}

public double getFinanciament() {
return financiament;
}

public boolean isFinanciamentNull() {
return financiamentNull;
}

public void setFinanciament(int financiament) {
setFinanciament(new Double(financiament));
}

public void setFinanciament(long financiament) {
setFinanciament(new Double(financiament));
}

public void setFinanciament(Double financiament) {
if (financiament == null) {
financiamentNull = true;
this.financiament = 0.;
} else { 
financiamentNull = false;
this.financiament = FglDouble.round(financiament, 2);
}
}

public int getQtdseguro() {
return qtdseguro;
}

public boolean isQtdseguroNull() {
return qtdseguroNull;
}

public void setQtdseguro(Integer qtdseguro) {
if (qtdseguro == null) {
qtdseguroNull = true;
this.qtdseguro = 0;
} else { 
qtdseguroNull = false;
this.qtdseguro = qtdseguro;
}
}

public double getSeguro() {
return seguro;
}

public boolean isSeguroNull() {
return seguroNull;
}

public void setSeguro(int seguro) {
setSeguro(new Double(seguro));
}

public void setSeguro(long seguro) {
setSeguro(new Double(seguro));
}

public void setSeguro(Double seguro) {
if (seguro == null) {
seguroNull = true;
this.seguro = 0.;
} else { 
seguroNull = false;
this.seguro = FglDouble.round(seguro, 2);
}
}

public int getQtddespac() {
return qtddespac;
}

public boolean isQtddespacNull() {
return qtddespacNull;
}

public void setQtddespac(Integer qtddespac) {
if (qtddespac == null) {
qtddespacNull = true;
this.qtddespac = 0;
} else { 
qtddespacNull = false;
this.qtddespac = qtddespac;
}
}

public double getDespachante() {
return despachante;
}

public boolean isDespachanteNull() {
return despachanteNull;
}

public void setDespachante(int despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(long despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(Double despachante) {
if (despachante == null) {
despachanteNull = true;
this.despachante = 0.;
} else { 
despachanteNull = false;
this.despachante = FglDouble.round(despachante, 2);
}
}

}

