package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCgtsmser {
@Coluna(nome="cgtsmser.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgtsmser.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cgtsmser.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cgtsmser.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cgtsmser.inscricao", tipo="String")
private String inscricao;
@Coluna(nome="cgtsmser.total_uio", tipo="int")
private int totalUio;
private boolean totalUioNull;
@Coluna(nome="cgtsmser.clientes_ativos", tipo="int")
private int clientesAtivos;
private boolean clientesAtivosNull;
@Coluna(nome="cgtsmser.nro_clientes", tipo="int")
private int nroClientes;
private boolean nroClientesNull;
@Coluna(nome="cgtsmser.tecnicos_master", tipo="int")
private int tecnicosMaster;
private boolean tecnicosMasterNull;
@Coluna(nome="cgtsmser.tecnicos_pro", tipo="int")
private int tecnicosPro;
private boolean tecnicosProNull;
@Coluna(nome="cgtsmser.tecnicos_toy", tipo="int")
private int tecnicosToy;
private boolean tecnicosToyNull;
@Coluna(nome="cgtsmser.boxes_servicos", tipo="int")
private int boxesServicos;
private boolean boxesServicosNull;
@Coluna(nome="cgtsmser.boxes_elevador", tipo="int")
private int boxesElevador;
private boolean boxesElevadorNull;
@Coluna(nome="cgtsmser.total_consultor", tipo="int")
private int totalConsultor;
private boolean totalConsultorNull;
@Coluna(nome="cgtsmser.consultor_tsa1", tipo="int")
private int consultorTsa1;
private boolean consultorTsa1Null;
@Coluna(nome="cgtsmser.consultor_tsa2", tipo="int")
private int consultorTsa2;
private boolean consultorTsa2Null;
@Coluna(nome="cgtsmser.mediaos", tipo="double")
private double mediaos;
private boolean mediaosNull;
@Coluna(nome="cgtsmser.responsavel", tipo="String")
private String responsavel;
@Coluna(nome="cgtsmser.dtatuali", tipo="FglDate")
private FglDate dtatuali;
@Coluna(nome="cgtsmser.csiobjetivo", tipo="int")
private int csiobjetivo;
private boolean csiobjetivoNull;
@Coluna(nome="cgtsmser.csirealizado", tipo="int")
private int csirealizado;
private boolean csirealizadoNull;
@Coluna(nome="cgtsmser.obj_vendas", tipo="double")
private double objVendas;
private boolean objVendasNull;
@Coluna(nome="cgtsmser.os_total", tipo="int")
private int osTotal;
private boolean osTotalNull;
@Coluna(nome="cgtsmser.hr_total", tipo="double")
private double hrTotal;
private boolean hrTotalNull;
@Coluna(nome="cgtsmser.vd_total", tipo="double")
private double vdTotal;
private boolean vdTotalNull;
@Coluna(nome="cgtsmser.os_revisao", tipo="int")
private int osRevisao;
private boolean osRevisaoNull;
@Coluna(nome="cgtsmser.os_clientes", tipo="int")
private int osClientes;
private boolean osClientesNull;
@Coluna(nome="cgtsmser.hr_clientes", tipo="double")
private double hrClientes;
private boolean hrClientesNull;
@Coluna(nome="cgtsmser.vd_clientes", tipo="double")
private double vdClientes;
private boolean vdClientesNull;
@Coluna(nome="cgtsmser.os_garantia", tipo="int")
private int osGarantia;
private boolean osGarantiaNull;
@Coluna(nome="cgtsmser.hr_garantia", tipo="double")
private double hrGarantia;
private boolean hrGarantiaNull;
@Coluna(nome="cgtsmser.vd_garantia", tipo="double")
private double vdGarantia;
private boolean vdGarantiaNull;
@Coluna(nome="cgtsmser.os_internas", tipo="int")
private int osInternas;
private boolean osInternasNull;
@Coluna(nome="cgtsmser.hr_internas", tipo="double")
private double hrInternas;
private boolean hrInternasNull;
@Coluna(nome="cgtsmser.vd_internas", tipo="double")
private double vdInternas;
private boolean vdInternasNull;
@Coluna(nome="cgtsmser.lucro", tipo="double")
private double lucro;
private boolean lucroNull;
@Coluna(nome="cgtsmser.hr_disponiveis", tipo="double")
private double hrDisponiveis;
private boolean hrDisponiveisNull;
@Coluna(nome="cgtsmser.hr_trabalhadas", tipo="double")
private double hrTrabalhadas;
private boolean hrTrabalhadasNull;
@Coluna(nome="cgtsmser.retrabalho", tipo="double")
private double retrabalho;
private boolean retrabalhoNull;
@Coluna(nome="cgtsmser.tx_agendamento", tipo="double")
private double txAgendamento;
private boolean txAgendamentoNull;
@Coluna(nome="cgtsmser.tx_absorcao", tipo="double")
private double txAbsorcao;
private boolean txAbsorcaoNull;
@Coluna(nome="cgtsmser.retencao", tipo="double")
private double retencao;
private boolean retencaoNull;

public TabCgtsmser() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setCgccpf(null);
setTppessoa(null);
setInscricao(null);
setTotalUio(null);
setClientesAtivos(null);
setNroClientes(null);
setTecnicosMaster(null);
setTecnicosPro(null);
setTecnicosToy(null);
setBoxesServicos(null);
setBoxesElevador(null);
setTotalConsultor(null);
setConsultorTsa1(null);
setConsultorTsa2(null);
setMediaos(null);
setResponsavel(null);
setDtatuali(null);
setCsiobjetivo(null);
setCsirealizado(null);
setObjVendas(null);
setOsTotal(null);
setHrTotal(null);
setVdTotal(null);
setOsRevisao(null);
setOsClientes(null);
setHrClientes(null);
setVdClientes(null);
setOsGarantia(null);
setHrGarantia(null);
setVdGarantia(null);
setOsInternas(null);
setHrInternas(null);
setVdInternas(null);
setLucro(null);
setHrDisponiveis(null);
setHrTrabalhadas(null);
setRetrabalho(null);
setTxAgendamento(null);
setTxAbsorcao(null);
setRetencao(null);
}

public TabCgtsmser(int filial, FglDateTimeYM anomes, long cgccpf, int tppessoa, String inscricao, int totalUio, int clientesAtivos, int nroClientes, int tecnicosMaster, int tecnicosPro, int tecnicosToy, int boxesServicos, int boxesElevador, int totalConsultor, int consultorTsa1, int consultorTsa2, double mediaos, String responsavel, FglDate dtatuali, int csiobjetivo, int csirealizado, double objVendas, int osTotal, double hrTotal, double vdTotal, int osRevisao, int osClientes, double hrClientes, double vdClientes, int osGarantia, double hrGarantia, double vdGarantia, int osInternas, double hrInternas, double vdInternas, double lucro, double hrDisponiveis, double hrTrabalhadas, double retrabalho, double txAgendamento, double txAbsorcao, double retencao) {
this.filial = filial;
this.anomes = anomes;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.inscricao = inscricao;
this.totalUio = totalUio;
this.clientesAtivos = clientesAtivos;
this.nroClientes = nroClientes;
this.tecnicosMaster = tecnicosMaster;
this.tecnicosPro = tecnicosPro;
this.tecnicosToy = tecnicosToy;
this.boxesServicos = boxesServicos;
this.boxesElevador = boxesElevador;
this.totalConsultor = totalConsultor;
this.consultorTsa1 = consultorTsa1;
this.consultorTsa2 = consultorTsa2;
this.mediaos = mediaos;
this.responsavel = responsavel;
this.dtatuali = dtatuali;
this.csiobjetivo = csiobjetivo;
this.csirealizado = csirealizado;
this.objVendas = objVendas;
this.osTotal = osTotal;
this.hrTotal = hrTotal;
this.vdTotal = vdTotal;
this.osRevisao = osRevisao;
this.osClientes = osClientes;
this.hrClientes = hrClientes;
this.vdClientes = vdClientes;
this.osGarantia = osGarantia;
this.hrGarantia = hrGarantia;
this.vdGarantia = vdGarantia;
this.osInternas = osInternas;
this.hrInternas = hrInternas;
this.vdInternas = vdInternas;
this.lucro = lucro;
this.hrDisponiveis = hrDisponiveis;
this.hrTrabalhadas = hrTrabalhadas;
this.retrabalho = retrabalho;
this.txAgendamento = txAgendamento;
this.txAbsorcao = txAbsorcao;
this.retencao = retencao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getInscricao() {
return inscricao;
}

public void setInscricao(String inscricao) {
this.inscricao = inscricao;
}

public int getTotalUio() {
return totalUio;
}

public boolean isTotalUioNull() {
return totalUioNull;
}

public void setTotalUio(Integer totalUio) {
if (totalUio == null) {
totalUioNull = true;
this.totalUio = 0;
} else { 
totalUioNull = false;
this.totalUio = totalUio;
}
}

public int getClientesAtivos() {
return clientesAtivos;
}

public boolean isClientesAtivosNull() {
return clientesAtivosNull;
}

public void setClientesAtivos(Integer clientesAtivos) {
if (clientesAtivos == null) {
clientesAtivosNull = true;
this.clientesAtivos = 0;
} else { 
clientesAtivosNull = false;
this.clientesAtivos = clientesAtivos;
}
}

public int getNroClientes() {
return nroClientes;
}

public boolean isNroClientesNull() {
return nroClientesNull;
}

public void setNroClientes(Integer nroClientes) {
if (nroClientes == null) {
nroClientesNull = true;
this.nroClientes = 0;
} else { 
nroClientesNull = false;
this.nroClientes = nroClientes;
}
}

public int getTecnicosMaster() {
return tecnicosMaster;
}

public boolean isTecnicosMasterNull() {
return tecnicosMasterNull;
}

public void setTecnicosMaster(Integer tecnicosMaster) {
if (tecnicosMaster == null) {
tecnicosMasterNull = true;
this.tecnicosMaster = 0;
} else { 
tecnicosMasterNull = false;
this.tecnicosMaster = tecnicosMaster;
}
}

public int getTecnicosPro() {
return tecnicosPro;
}

public boolean isTecnicosProNull() {
return tecnicosProNull;
}

public void setTecnicosPro(Integer tecnicosPro) {
if (tecnicosPro == null) {
tecnicosProNull = true;
this.tecnicosPro = 0;
} else { 
tecnicosProNull = false;
this.tecnicosPro = tecnicosPro;
}
}

public int getTecnicosToy() {
return tecnicosToy;
}

public boolean isTecnicosToyNull() {
return tecnicosToyNull;
}

public void setTecnicosToy(Integer tecnicosToy) {
if (tecnicosToy == null) {
tecnicosToyNull = true;
this.tecnicosToy = 0;
} else { 
tecnicosToyNull = false;
this.tecnicosToy = tecnicosToy;
}
}

public int getBoxesServicos() {
return boxesServicos;
}

public boolean isBoxesServicosNull() {
return boxesServicosNull;
}

public void setBoxesServicos(Integer boxesServicos) {
if (boxesServicos == null) {
boxesServicosNull = true;
this.boxesServicos = 0;
} else { 
boxesServicosNull = false;
this.boxesServicos = boxesServicos;
}
}

public int getBoxesElevador() {
return boxesElevador;
}

public boolean isBoxesElevadorNull() {
return boxesElevadorNull;
}

public void setBoxesElevador(Integer boxesElevador) {
if (boxesElevador == null) {
boxesElevadorNull = true;
this.boxesElevador = 0;
} else { 
boxesElevadorNull = false;
this.boxesElevador = boxesElevador;
}
}

public int getTotalConsultor() {
return totalConsultor;
}

public boolean isTotalConsultorNull() {
return totalConsultorNull;
}

public void setTotalConsultor(Integer totalConsultor) {
if (totalConsultor == null) {
totalConsultorNull = true;
this.totalConsultor = 0;
} else { 
totalConsultorNull = false;
this.totalConsultor = totalConsultor;
}
}

public int getConsultorTsa1() {
return consultorTsa1;
}

public boolean isConsultorTsa1Null() {
return consultorTsa1Null;
}

public void setConsultorTsa1(Integer consultorTsa1) {
if (consultorTsa1 == null) {
consultorTsa1Null = true;
this.consultorTsa1 = 0;
} else { 
consultorTsa1Null = false;
this.consultorTsa1 = consultorTsa1;
}
}

public int getConsultorTsa2() {
return consultorTsa2;
}

public boolean isConsultorTsa2Null() {
return consultorTsa2Null;
}

public void setConsultorTsa2(Integer consultorTsa2) {
if (consultorTsa2 == null) {
consultorTsa2Null = true;
this.consultorTsa2 = 0;
} else { 
consultorTsa2Null = false;
this.consultorTsa2 = consultorTsa2;
}
}

public double getMediaos() {
return mediaos;
}

public boolean isMediaosNull() {
return mediaosNull;
}

public void setMediaos(int mediaos) {
setMediaos(new Double(mediaos));
}

public void setMediaos(long mediaos) {
setMediaos(new Double(mediaos));
}

public void setMediaos(Double mediaos) {
if (mediaos == null) {
mediaosNull = true;
this.mediaos = 0.;
} else { 
mediaosNull = false;
this.mediaos = FglDouble.round(mediaos, 2);
}
}

public String getResponsavel() {
return responsavel;
}

public void setResponsavel(String responsavel) {
this.responsavel = responsavel;
}

public FglDate getDtatuali() {
return dtatuali;
}

public void setDtatuali(FglDate dtatuali) {
this.dtatuali = dtatuali;
}

public int getCsiobjetivo() {
return csiobjetivo;
}

public boolean isCsiobjetivoNull() {
return csiobjetivoNull;
}

public void setCsiobjetivo(Integer csiobjetivo) {
if (csiobjetivo == null) {
csiobjetivoNull = true;
this.csiobjetivo = 0;
} else { 
csiobjetivoNull = false;
this.csiobjetivo = csiobjetivo;
}
}

public int getCsirealizado() {
return csirealizado;
}

public boolean isCsirealizadoNull() {
return csirealizadoNull;
}

public void setCsirealizado(Integer csirealizado) {
if (csirealizado == null) {
csirealizadoNull = true;
this.csirealizado = 0;
} else { 
csirealizadoNull = false;
this.csirealizado = csirealizado;
}
}

public double getObjVendas() {
return objVendas;
}

public boolean isObjVendasNull() {
return objVendasNull;
}

public void setObjVendas(int objVendas) {
setObjVendas(new Double(objVendas));
}

public void setObjVendas(long objVendas) {
setObjVendas(new Double(objVendas));
}

public void setObjVendas(Double objVendas) {
if (objVendas == null) {
objVendasNull = true;
this.objVendas = 0.;
} else { 
objVendasNull = false;
this.objVendas = FglDouble.round(objVendas, 2);
}
}

public int getOsTotal() {
return osTotal;
}

public boolean isOsTotalNull() {
return osTotalNull;
}

public void setOsTotal(Integer osTotal) {
if (osTotal == null) {
osTotalNull = true;
this.osTotal = 0;
} else { 
osTotalNull = false;
this.osTotal = osTotal;
}
}

public double getHrTotal() {
return hrTotal;
}

public boolean isHrTotalNull() {
return hrTotalNull;
}

public void setHrTotal(int hrTotal) {
setHrTotal(new Double(hrTotal));
}

public void setHrTotal(long hrTotal) {
setHrTotal(new Double(hrTotal));
}

public void setHrTotal(Double hrTotal) {
if (hrTotal == null) {
hrTotalNull = true;
this.hrTotal = 0.;
} else { 
hrTotalNull = false;
this.hrTotal = FglDouble.round(hrTotal, 2);
}
}

public double getVdTotal() {
return vdTotal;
}

public boolean isVdTotalNull() {
return vdTotalNull;
}

public void setVdTotal(int vdTotal) {
setVdTotal(new Double(vdTotal));
}

public void setVdTotal(long vdTotal) {
setVdTotal(new Double(vdTotal));
}

public void setVdTotal(Double vdTotal) {
if (vdTotal == null) {
vdTotalNull = true;
this.vdTotal = 0.;
} else { 
vdTotalNull = false;
this.vdTotal = FglDouble.round(vdTotal, 2);
}
}

public int getOsRevisao() {
return osRevisao;
}

public boolean isOsRevisaoNull() {
return osRevisaoNull;
}

public void setOsRevisao(Integer osRevisao) {
if (osRevisao == null) {
osRevisaoNull = true;
this.osRevisao = 0;
} else { 
osRevisaoNull = false;
this.osRevisao = osRevisao;
}
}

public int getOsClientes() {
return osClientes;
}

public boolean isOsClientesNull() {
return osClientesNull;
}

public void setOsClientes(Integer osClientes) {
if (osClientes == null) {
osClientesNull = true;
this.osClientes = 0;
} else { 
osClientesNull = false;
this.osClientes = osClientes;
}
}

public double getHrClientes() {
return hrClientes;
}

public boolean isHrClientesNull() {
return hrClientesNull;
}

public void setHrClientes(int hrClientes) {
setHrClientes(new Double(hrClientes));
}

public void setHrClientes(long hrClientes) {
setHrClientes(new Double(hrClientes));
}

public void setHrClientes(Double hrClientes) {
if (hrClientes == null) {
hrClientesNull = true;
this.hrClientes = 0.;
} else { 
hrClientesNull = false;
this.hrClientes = FglDouble.round(hrClientes, 2);
}
}

public double getVdClientes() {
return vdClientes;
}

public boolean isVdClientesNull() {
return vdClientesNull;
}

public void setVdClientes(int vdClientes) {
setVdClientes(new Double(vdClientes));
}

public void setVdClientes(long vdClientes) {
setVdClientes(new Double(vdClientes));
}

public void setVdClientes(Double vdClientes) {
if (vdClientes == null) {
vdClientesNull = true;
this.vdClientes = 0.;
} else { 
vdClientesNull = false;
this.vdClientes = FglDouble.round(vdClientes, 2);
}
}

public int getOsGarantia() {
return osGarantia;
}

public boolean isOsGarantiaNull() {
return osGarantiaNull;
}

public void setOsGarantia(Integer osGarantia) {
if (osGarantia == null) {
osGarantiaNull = true;
this.osGarantia = 0;
} else { 
osGarantiaNull = false;
this.osGarantia = osGarantia;
}
}

public double getHrGarantia() {
return hrGarantia;
}

public boolean isHrGarantiaNull() {
return hrGarantiaNull;
}

public void setHrGarantia(int hrGarantia) {
setHrGarantia(new Double(hrGarantia));
}

public void setHrGarantia(long hrGarantia) {
setHrGarantia(new Double(hrGarantia));
}

public void setHrGarantia(Double hrGarantia) {
if (hrGarantia == null) {
hrGarantiaNull = true;
this.hrGarantia = 0.;
} else { 
hrGarantiaNull = false;
this.hrGarantia = FglDouble.round(hrGarantia, 2);
}
}

public double getVdGarantia() {
return vdGarantia;
}

public boolean isVdGarantiaNull() {
return vdGarantiaNull;
}

public void setVdGarantia(int vdGarantia) {
setVdGarantia(new Double(vdGarantia));
}

public void setVdGarantia(long vdGarantia) {
setVdGarantia(new Double(vdGarantia));
}

public void setVdGarantia(Double vdGarantia) {
if (vdGarantia == null) {
vdGarantiaNull = true;
this.vdGarantia = 0.;
} else { 
vdGarantiaNull = false;
this.vdGarantia = FglDouble.round(vdGarantia, 2);
}
}

public int getOsInternas() {
return osInternas;
}

public boolean isOsInternasNull() {
return osInternasNull;
}

public void setOsInternas(Integer osInternas) {
if (osInternas == null) {
osInternasNull = true;
this.osInternas = 0;
} else { 
osInternasNull = false;
this.osInternas = osInternas;
}
}

public double getHrInternas() {
return hrInternas;
}

public boolean isHrInternasNull() {
return hrInternasNull;
}

public void setHrInternas(int hrInternas) {
setHrInternas(new Double(hrInternas));
}

public void setHrInternas(long hrInternas) {
setHrInternas(new Double(hrInternas));
}

public void setHrInternas(Double hrInternas) {
if (hrInternas == null) {
hrInternasNull = true;
this.hrInternas = 0.;
} else { 
hrInternasNull = false;
this.hrInternas = FglDouble.round(hrInternas, 2);
}
}

public double getVdInternas() {
return vdInternas;
}

public boolean isVdInternasNull() {
return vdInternasNull;
}

public void setVdInternas(int vdInternas) {
setVdInternas(new Double(vdInternas));
}

public void setVdInternas(long vdInternas) {
setVdInternas(new Double(vdInternas));
}

public void setVdInternas(Double vdInternas) {
if (vdInternas == null) {
vdInternasNull = true;
this.vdInternas = 0.;
} else { 
vdInternasNull = false;
this.vdInternas = FglDouble.round(vdInternas, 2);
}
}

public double getLucro() {
return lucro;
}

public boolean isLucroNull() {
return lucroNull;
}

public void setLucro(int lucro) {
setLucro(new Double(lucro));
}

public void setLucro(long lucro) {
setLucro(new Double(lucro));
}

public void setLucro(Double lucro) {
if (lucro == null) {
lucroNull = true;
this.lucro = 0.;
} else { 
lucroNull = false;
this.lucro = FglDouble.round(lucro, 2);
}
}

public double getHrDisponiveis() {
return hrDisponiveis;
}

public boolean isHrDisponiveisNull() {
return hrDisponiveisNull;
}

public void setHrDisponiveis(int hrDisponiveis) {
setHrDisponiveis(new Double(hrDisponiveis));
}

public void setHrDisponiveis(long hrDisponiveis) {
setHrDisponiveis(new Double(hrDisponiveis));
}

public void setHrDisponiveis(Double hrDisponiveis) {
if (hrDisponiveis == null) {
hrDisponiveisNull = true;
this.hrDisponiveis = 0.;
} else { 
hrDisponiveisNull = false;
this.hrDisponiveis = FglDouble.round(hrDisponiveis, 2);
}
}

public double getHrTrabalhadas() {
return hrTrabalhadas;
}

public boolean isHrTrabalhadasNull() {
return hrTrabalhadasNull;
}

public void setHrTrabalhadas(int hrTrabalhadas) {
setHrTrabalhadas(new Double(hrTrabalhadas));
}

public void setHrTrabalhadas(long hrTrabalhadas) {
setHrTrabalhadas(new Double(hrTrabalhadas));
}

public void setHrTrabalhadas(Double hrTrabalhadas) {
if (hrTrabalhadas == null) {
hrTrabalhadasNull = true;
this.hrTrabalhadas = 0.;
} else { 
hrTrabalhadasNull = false;
this.hrTrabalhadas = FglDouble.round(hrTrabalhadas, 2);
}
}

public double getRetrabalho() {
return retrabalho;
}

public boolean isRetrabalhoNull() {
return retrabalhoNull;
}

public void setRetrabalho(int retrabalho) {
setRetrabalho(new Double(retrabalho));
}

public void setRetrabalho(long retrabalho) {
setRetrabalho(new Double(retrabalho));
}

public void setRetrabalho(Double retrabalho) {
if (retrabalho == null) {
retrabalhoNull = true;
this.retrabalho = 0.;
} else { 
retrabalhoNull = false;
this.retrabalho = FglDouble.round(retrabalho, 2);
}
}

public double getTxAgendamento() {
return txAgendamento;
}

public boolean isTxAgendamentoNull() {
return txAgendamentoNull;
}

public void setTxAgendamento(int txAgendamento) {
setTxAgendamento(new Double(txAgendamento));
}

public void setTxAgendamento(long txAgendamento) {
setTxAgendamento(new Double(txAgendamento));
}

public void setTxAgendamento(Double txAgendamento) {
if (txAgendamento == null) {
txAgendamentoNull = true;
this.txAgendamento = 0.;
} else { 
txAgendamentoNull = false;
this.txAgendamento = FglDouble.round(txAgendamento, 2);
}
}

public double getTxAbsorcao() {
return txAbsorcao;
}

public boolean isTxAbsorcaoNull() {
return txAbsorcaoNull;
}

public void setTxAbsorcao(int txAbsorcao) {
setTxAbsorcao(new Double(txAbsorcao));
}

public void setTxAbsorcao(long txAbsorcao) {
setTxAbsorcao(new Double(txAbsorcao));
}

public void setTxAbsorcao(Double txAbsorcao) {
if (txAbsorcao == null) {
txAbsorcaoNull = true;
this.txAbsorcao = 0.;
} else { 
txAbsorcaoNull = false;
this.txAbsorcao = FglDouble.round(txAbsorcao, 2);
}
}

public double getRetencao() {
return retencao;
}

public boolean isRetencaoNull() {
return retencaoNull;
}

public void setRetencao(int retencao) {
setRetencao(new Double(retencao));
}

public void setRetencao(long retencao) {
setRetencao(new Double(retencao));
}

public void setRetencao(Double retencao) {
if (retencao == null) {
retencaoNull = true;
this.retencao = 0.;
} else { 
retencaoNull = false;
this.retencao = FglDouble.round(retencao, 2);
}
}

}

