package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgveicom {
@Coluna(nome="cgveicom.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgveicom.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cgveicom.dttransacao", tipo="FglDate")
private FglDate dttransacao;
@Coluna(nome="cgveicom.novousado", tipo="String")
private String novousado;
@Coluna(nome="cgveicom.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cgveicom.chassis", tipo="String")
private String chassis;
@Coluna(nome="cgveicom.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cgveicom.impostos", tipo="double")
private double impostos;
private boolean impostosNull;
@Coluna(nome="cgveicom.custofab", tipo="double")
private double custofab;
private boolean custofabNull;
@Coluna(nome="cgveicom.frete", tipo="double")
private double frete;
private boolean freteNull;

public TabCgveicom() {
initialize();
}

public void initialize() {
setFilial(null);
setIdNfcapa(null);
setDttransacao(null);
setNovousado(null);
setFamilia(null);
setChassis(null);
setValor(null);
setImpostos(null);
setCustofab(null);
setFrete(null);
}

public TabCgveicom(int filial, int idNfcapa, FglDate dttransacao, String novousado, int familia, String chassis, double valor, double impostos, double custofab, double frete) {
this.filial = filial;
this.idNfcapa = idNfcapa;
this.dttransacao = dttransacao;
this.novousado = novousado;
this.familia = familia;
this.chassis = chassis;
this.valor = valor;
this.impostos = impostos;
this.custofab = custofab;
this.frete = frete;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public FglDate getDttransacao() {
return dttransacao;
}

public void setDttransacao(FglDate dttransacao) {
this.dttransacao = dttransacao;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getImpostos() {
return impostos;
}

public boolean isImpostosNull() {
return impostosNull;
}

public void setImpostos(int impostos) {
setImpostos(new Double(impostos));
}

public void setImpostos(long impostos) {
setImpostos(new Double(impostos));
}

public void setImpostos(Double impostos) {
if (impostos == null) {
impostosNull = true;
this.impostos = 0.;
} else { 
impostosNull = false;
this.impostos = FglDouble.round(impostos, 2);
}
}

public double getCustofab() {
return custofab;
}

public boolean isCustofabNull() {
return custofabNull;
}

public void setCustofab(int custofab) {
setCustofab(new Double(custofab));
}

public void setCustofab(long custofab) {
setCustofab(new Double(custofab));
}

public void setCustofab(Double custofab) {
if (custofab == null) {
custofabNull = true;
this.custofab = 0.;
} else { 
custofabNull = false;
this.custofab = FglDouble.round(custofab, 2);
}
}

public double getFrete() {
return frete;
}

public boolean isFreteNull() {
return freteNull;
}

public void setFrete(int frete) {
setFrete(new Double(frete));
}

public void setFrete(long frete) {
setFrete(new Double(frete));
}

public void setFrete(Double frete) {
if (frete == null) {
freteNull = true;
this.frete = 0.;
} else { 
freteNull = false;
this.frete = FglDouble.round(frete, 2);
}
}

}

