package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgveifat {
@Coluna(nome="cgveifat.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cgveifat.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="cgveifat.novousado", tipo="String")
private String novousado;
@Coluna(nome="cgveifat.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cgveifat.chassis", tipo="String")
private String chassis;
@Coluna(nome="cgveifat.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cgveifat.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cgveifat.custocompra", tipo="double")
private double custocompra;
private boolean custocompraNull;
@Coluna(nome="cgveifat.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cgveifat.svalorpis", tipo="double")
private double svalorpis;
private boolean svalorpisNull;
@Coluna(nome="cgveifat.valorbonus", tipo="double")
private double valorbonus;
private boolean valorbonusNull;
@Coluna(nome="cgveifat.valoracresc", tipo="double")
private double valoracresc;
private boolean valoracrescNull;
@Coluna(nome="cgveifat.valorcomis", tipo="double")
private double valorcomis;
private boolean valorcomisNull;
@Coluna(nome="cgveifat.valorrecon", tipo="double")
private double valorrecon;
private boolean valorreconNull;

public TabCgveifat() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setDtnota(null);
setNovousado(null);
setFamilia(null);
setChassis(null);
setValor(null);
setValordesc(null);
setCustocompra(null);
setSvaloricms(null);
setSvalorpis(null);
setValorbonus(null);
setValoracresc(null);
setValorcomis(null);
setValorrecon(null);
}

public TabCgveifat(int idNfcapa, FglDate dtnota, String novousado, int familia, String chassis, double valor, double valordesc, double custocompra, double svaloricms, double svalorpis, double valorbonus, double valoracresc, double valorcomis, double valorrecon) {
this.idNfcapa = idNfcapa;
this.dtnota = dtnota;
this.novousado = novousado;
this.familia = familia;
this.chassis = chassis;
this.valor = valor;
this.valordesc = valordesc;
this.custocompra = custocompra;
this.svaloricms = svaloricms;
this.svalorpis = svalorpis;
this.valorbonus = valorbonus;
this.valoracresc = valoracresc;
this.valorcomis = valorcomis;
this.valorrecon = valorrecon;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getCustocompra() {
return custocompra;
}

public boolean isCustocompraNull() {
return custocompraNull;
}

public void setCustocompra(int custocompra) {
setCustocompra(new Double(custocompra));
}

public void setCustocompra(long custocompra) {
setCustocompra(new Double(custocompra));
}

public void setCustocompra(Double custocompra) {
if (custocompra == null) {
custocompraNull = true;
this.custocompra = 0.;
} else { 
custocompraNull = false;
this.custocompra = FglDouble.round(custocompra, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getSvalorpis() {
return svalorpis;
}

public boolean isSvalorpisNull() {
return svalorpisNull;
}

public void setSvalorpis(int svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(long svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(Double svalorpis) {
if (svalorpis == null) {
svalorpisNull = true;
this.svalorpis = 0.;
} else { 
svalorpisNull = false;
this.svalorpis = FglDouble.round(svalorpis, 2);
}
}

public double getValorbonus() {
return valorbonus;
}

public boolean isValorbonusNull() {
return valorbonusNull;
}

public void setValorbonus(int valorbonus) {
setValorbonus(new Double(valorbonus));
}

public void setValorbonus(long valorbonus) {
setValorbonus(new Double(valorbonus));
}

public void setValorbonus(Double valorbonus) {
if (valorbonus == null) {
valorbonusNull = true;
this.valorbonus = 0.;
} else { 
valorbonusNull = false;
this.valorbonus = FglDouble.round(valorbonus, 2);
}
}

public double getValoracresc() {
return valoracresc;
}

public boolean isValoracrescNull() {
return valoracrescNull;
}

public void setValoracresc(int valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(long valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(Double valoracresc) {
if (valoracresc == null) {
valoracrescNull = true;
this.valoracresc = 0.;
} else { 
valoracrescNull = false;
this.valoracresc = FglDouble.round(valoracresc, 2);
}
}

public double getValorcomis() {
return valorcomis;
}

public boolean isValorcomisNull() {
return valorcomisNull;
}

public void setValorcomis(int valorcomis) {
setValorcomis(new Double(valorcomis));
}

public void setValorcomis(long valorcomis) {
setValorcomis(new Double(valorcomis));
}

public void setValorcomis(Double valorcomis) {
if (valorcomis == null) {
valorcomisNull = true;
this.valorcomis = 0.;
} else { 
valorcomisNull = false;
this.valorcomis = FglDouble.round(valorcomis, 2);
}
}

public double getValorrecon() {
return valorrecon;
}

public boolean isValorreconNull() {
return valorreconNull;
}

public void setValorrecon(int valorrecon) {
setValorrecon(new Double(valorrecon));
}

public void setValorrecon(long valorrecon) {
setValorrecon(new Double(valorrecon));
}

public void setValorrecon(Double valorrecon) {
if (valorrecon == null) {
valorreconNull = true;
this.valorrecon = 0.;
} else { 
valorreconNull = false;
this.valorrecon = FglDouble.round(valorrecon, 2);
}
}

}

