package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgvenres {
@Coluna(nome="cgvenres.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgvenres.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cgvenres.dataven", tipo="FglDate")
private FglDate dataven;
@Coluna(nome="cgvenres.vdapecas", tipo="double")
private double vdapecas;
private boolean vdapecasNull;
@Coluna(nome="cgvenres.vdamobra", tipo="double")
private double vdamobra;
private boolean vdamobraNull;
@Coluna(nome="cgvenres.vdaveic", tipo="double")
private double vdaveic;
private boolean vdaveicNull;
@Coluna(nome="cgvenres.vdaoutro", tipo="double")
private double vdaoutro;
private boolean vdaoutroNull;
@Coluna(nome="cgvenres.cuspecas", tipo="double")
private double cuspecas;
private boolean cuspecasNull;
@Coluna(nome="cgvenres.cusmobra", tipo="double")
private double cusmobra;
private boolean cusmobraNull;
@Coluna(nome="cgvenres.cusveic", tipo="double")
private double cusveic;
private boolean cusveicNull;
@Coluna(nome="cgvenres.cusoutro", tipo="double")
private double cusoutro;
private boolean cusoutroNull;
@Coluna(nome="cgvenres.qtdeveic", tipo="int")
private int qtdeveic;
private boolean qtdeveicNull;
@Coluna(nome="cgvenres.prazo", tipo="double")
private double prazo;
private boolean prazoNull;

public TabCgvenres() {
initialize();
}

public void initialize() {
setFilial(null);
setIdSetor(null);
setDataven(null);
setVdapecas(null);
setVdamobra(null);
setVdaveic(null);
setVdaoutro(null);
setCuspecas(null);
setCusmobra(null);
setCusveic(null);
setCusoutro(null);
setQtdeveic(null);
setPrazo(null);
}

public TabCgvenres(int filial, int idSetor, FglDate dataven, double vdapecas, double vdamobra, double vdaveic, double vdaoutro, double cuspecas, double cusmobra, double cusveic, double cusoutro, int qtdeveic, double prazo) {
this.filial = filial;
this.idSetor = idSetor;
this.dataven = dataven;
this.vdapecas = vdapecas;
this.vdamobra = vdamobra;
this.vdaveic = vdaveic;
this.vdaoutro = vdaoutro;
this.cuspecas = cuspecas;
this.cusmobra = cusmobra;
this.cusveic = cusveic;
this.cusoutro = cusoutro;
this.qtdeveic = qtdeveic;
this.prazo = prazo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public FglDate getDataven() {
return dataven;
}

public void setDataven(FglDate dataven) {
this.dataven = dataven;
}

public double getVdapecas() {
return vdapecas;
}

public boolean isVdapecasNull() {
return vdapecasNull;
}

public void setVdapecas(int vdapecas) {
setVdapecas(new Double(vdapecas));
}

public void setVdapecas(long vdapecas) {
setVdapecas(new Double(vdapecas));
}

public void setVdapecas(Double vdapecas) {
if (vdapecas == null) {
vdapecasNull = true;
this.vdapecas = 0.;
} else { 
vdapecasNull = false;
this.vdapecas = FglDouble.round(vdapecas, 2);
}
}

public double getVdamobra() {
return vdamobra;
}

public boolean isVdamobraNull() {
return vdamobraNull;
}

public void setVdamobra(int vdamobra) {
setVdamobra(new Double(vdamobra));
}

public void setVdamobra(long vdamobra) {
setVdamobra(new Double(vdamobra));
}

public void setVdamobra(Double vdamobra) {
if (vdamobra == null) {
vdamobraNull = true;
this.vdamobra = 0.;
} else { 
vdamobraNull = false;
this.vdamobra = FglDouble.round(vdamobra, 2);
}
}

public double getVdaveic() {
return vdaveic;
}

public boolean isVdaveicNull() {
return vdaveicNull;
}

public void setVdaveic(int vdaveic) {
setVdaveic(new Double(vdaveic));
}

public void setVdaveic(long vdaveic) {
setVdaveic(new Double(vdaveic));
}

public void setVdaveic(Double vdaveic) {
if (vdaveic == null) {
vdaveicNull = true;
this.vdaveic = 0.;
} else { 
vdaveicNull = false;
this.vdaveic = FglDouble.round(vdaveic, 2);
}
}

public double getVdaoutro() {
return vdaoutro;
}

public boolean isVdaoutroNull() {
return vdaoutroNull;
}

public void setVdaoutro(int vdaoutro) {
setVdaoutro(new Double(vdaoutro));
}

public void setVdaoutro(long vdaoutro) {
setVdaoutro(new Double(vdaoutro));
}

public void setVdaoutro(Double vdaoutro) {
if (vdaoutro == null) {
vdaoutroNull = true;
this.vdaoutro = 0.;
} else { 
vdaoutroNull = false;
this.vdaoutro = FglDouble.round(vdaoutro, 2);
}
}

public double getCuspecas() {
return cuspecas;
}

public boolean isCuspecasNull() {
return cuspecasNull;
}

public void setCuspecas(int cuspecas) {
setCuspecas(new Double(cuspecas));
}

public void setCuspecas(long cuspecas) {
setCuspecas(new Double(cuspecas));
}

public void setCuspecas(Double cuspecas) {
if (cuspecas == null) {
cuspecasNull = true;
this.cuspecas = 0.;
} else { 
cuspecasNull = false;
this.cuspecas = FglDouble.round(cuspecas, 2);
}
}

public double getCusmobra() {
return cusmobra;
}

public boolean isCusmobraNull() {
return cusmobraNull;
}

public void setCusmobra(int cusmobra) {
setCusmobra(new Double(cusmobra));
}

public void setCusmobra(long cusmobra) {
setCusmobra(new Double(cusmobra));
}

public void setCusmobra(Double cusmobra) {
if (cusmobra == null) {
cusmobraNull = true;
this.cusmobra = 0.;
} else { 
cusmobraNull = false;
this.cusmobra = FglDouble.round(cusmobra, 2);
}
}

public double getCusveic() {
return cusveic;
}

public boolean isCusveicNull() {
return cusveicNull;
}

public void setCusveic(int cusveic) {
setCusveic(new Double(cusveic));
}

public void setCusveic(long cusveic) {
setCusveic(new Double(cusveic));
}

public void setCusveic(Double cusveic) {
if (cusveic == null) {
cusveicNull = true;
this.cusveic = 0.;
} else { 
cusveicNull = false;
this.cusveic = FglDouble.round(cusveic, 2);
}
}

public double getCusoutro() {
return cusoutro;
}

public boolean isCusoutroNull() {
return cusoutroNull;
}

public void setCusoutro(int cusoutro) {
setCusoutro(new Double(cusoutro));
}

public void setCusoutro(long cusoutro) {
setCusoutro(new Double(cusoutro));
}

public void setCusoutro(Double cusoutro) {
if (cusoutro == null) {
cusoutroNull = true;
this.cusoutro = 0.;
} else { 
cusoutroNull = false;
this.cusoutro = FglDouble.round(cusoutro, 2);
}
}

public int getQtdeveic() {
return qtdeveic;
}

public boolean isQtdeveicNull() {
return qtdeveicNull;
}

public void setQtdeveic(Integer qtdeveic) {
if (qtdeveic == null) {
qtdeveicNull = true;
this.qtdeveic = 0;
} else { 
qtdeveicNull = false;
this.qtdeveic = qtdeveic;
}
}

public double getPrazo() {
return prazo;
}

public boolean isPrazoNull() {
return prazoNull;
}

public void setPrazo(int prazo) {
setPrazo(new Double(prazo));
}

public void setPrazo(long prazo) {
setPrazo(new Double(prazo));
}

public void setPrazo(Double prazo) {
if (prazo == null) {
prazoNull = true;
this.prazo = 0.;
} else { 
prazoNull = false;
this.prazo = FglDouble.round(prazo, 2);
}
}

}

