package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChasoexa {
@Coluna(nome="chasoexa.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chasoexa.dtaso", tipo="FglDate")
private FglDate dtaso;
@Coluna(nome="chasoexa.tpexame", tipo="String")
private String tpexame;
@Coluna(nome="chasoexa.dtprevista", tipo="FglDate")
private FglDate dtprevista;

public TabChasoexa() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtaso(null);
setTpexame(null);
setDtprevista(null);
}

public TabChasoexa(int idContrat, FglDate dtaso, String tpexame, FglDate dtprevista) {
this.idContrat = idContrat;
this.dtaso = dtaso;
this.tpexame = tpexame;
this.dtprevista = dtprevista;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtaso() {
return dtaso;
}

public void setDtaso(FglDate dtaso) {
this.dtaso = dtaso;
}

public String getTpexame() {
return tpexame;
}

public void setTpexame(String tpexame) {
this.tpexame = tpexame;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

}

