package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChavipre {
@Coluna(nome="chavipre.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chavipre.dtaviso", tipo="FglDate")
private FglDate dtaviso;
@Coluna(nome="chavipre.dtinicioavi", tipo="FglDate")
private FglDate dtinicioavi;
@Coluna(nome="chavipre.dtfimavi", tipo="FglDate")
private FglDate dtfimavi;
@Coluna(nome="chavipre.dtrecisao", tipo="FglDate")
private FglDate dtrecisao;
@Coluna(nome="chavipre.tpavisoprevio", tipo="int")
private int tpavisoprevio;
private boolean tpavisoprevioNull;
@Coluna(nome="chavipre.observacao", tipo="String")
private String observacao;
@Coluna(nome="chavipre.dtcancela", tipo="FglDate")
private FglDate dtcancela;
@Coluna(nome="chavipre.motivocancela", tipo="int")
private int motivocancela;
private boolean motivocancelaNull;

public TabChavipre() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtaviso(null);
setDtinicioavi(null);
setDtfimavi(null);
setDtrecisao(null);
setTpavisoprevio(null);
setObservacao(null);
setDtcancela(null);
setMotivocancela(null);
}

public TabChavipre(int idContrat, FglDate dtaviso, FglDate dtinicioavi, FglDate dtfimavi, FglDate dtrecisao, int tpavisoprevio, String observacao, FglDate dtcancela, int motivocancela) {
this.idContrat = idContrat;
this.dtaviso = dtaviso;
this.dtinicioavi = dtinicioavi;
this.dtfimavi = dtfimavi;
this.dtrecisao = dtrecisao;
this.tpavisoprevio = tpavisoprevio;
this.observacao = observacao;
this.dtcancela = dtcancela;
this.motivocancela = motivocancela;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtaviso() {
return dtaviso;
}

public void setDtaviso(FglDate dtaviso) {
this.dtaviso = dtaviso;
}

public FglDate getDtinicioavi() {
return dtinicioavi;
}

public void setDtinicioavi(FglDate dtinicioavi) {
this.dtinicioavi = dtinicioavi;
}

public FglDate getDtfimavi() {
return dtfimavi;
}

public void setDtfimavi(FglDate dtfimavi) {
this.dtfimavi = dtfimavi;
}

public FglDate getDtrecisao() {
return dtrecisao;
}

public void setDtrecisao(FglDate dtrecisao) {
this.dtrecisao = dtrecisao;
}

public int getTpavisoprevio() {
return tpavisoprevio;
}

public boolean isTpavisoprevioNull() {
return tpavisoprevioNull;
}

public void setTpavisoprevio(Integer tpavisoprevio) {
if (tpavisoprevio == null) {
tpavisoprevioNull = true;
this.tpavisoprevio = 0;
} else { 
tpavisoprevioNull = false;
this.tpavisoprevio = tpavisoprevio;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public FglDate getDtcancela() {
return dtcancela;
}

public void setDtcancela(FglDate dtcancela) {
this.dtcancela = dtcancela;
}

public int getMotivocancela() {
return motivocancela;
}

public boolean isMotivocancelaNull() {
return motivocancelaNull;
}

public void setMotivocancela(Integer motivocancela) {
if (motivocancela == null) {
motivocancelaNull = true;
this.motivocancela = 0;
} else { 
motivocancelaNull = false;
this.motivocancela = motivocancela;
}
}

}

