package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChbasfun {
@Coluna(nome="chbasfun.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chbasfun.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chbasfun.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chbasfun.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chbasfun.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chbasfun.baseinss", tipo="double")
private double baseinss;
private boolean baseinssNull;
@Coluna(nome="chbasfun.valorinss", tipo="double")
private double valorinss;
private boolean valorinssNull;
@Coluna(nome="chbasfun.duplicareg", tipo="String")
private String duplicareg;

public TabChbasfun() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdContrat(null);
setEmpresa(null);
setCgccpf(null);
setTppessoa(null);
setBaseinss(null);
setValorinss(null);
setDuplicareg(null);
}

public TabChbasfun(FglDateTimeYM anomes, int idContrat, int empresa, long cgccpf, int tppessoa, double baseinss, double valorinss, String duplicareg) {
this.anomes = anomes;
this.idContrat = idContrat;
this.empresa = empresa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.baseinss = baseinss;
this.valorinss = valorinss;
this.duplicareg = duplicareg;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getBaseinss() {
return baseinss;
}

public boolean isBaseinssNull() {
return baseinssNull;
}

public void setBaseinss(int baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(long baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(Double baseinss) {
if (baseinss == null) {
baseinssNull = true;
this.baseinss = 0.;
} else { 
baseinssNull = false;
this.baseinss = FglDouble.round(baseinss, 2);
}
}

public double getValorinss() {
return valorinss;
}

public boolean isValorinssNull() {
return valorinssNull;
}

public void setValorinss(int valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(long valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(Double valorinss) {
if (valorinss == null) {
valorinssNull = true;
this.valorinss = 0.;
} else { 
valorinssNull = false;
this.valorinss = FglDouble.round(valorinss, 2);
}
}

public String getDuplicareg() {
return duplicareg;
}

public void setDuplicareg(String duplicareg) {
this.duplicareg = duplicareg;
}

}

