package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChcalend {
@Coluna(nome="chcalend.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="chcalend.tipodia", tipo="String")
private String tipodia;
@Coluna(nome="chcalend.cotacao", tipo="double")
private double cotacao;
private boolean cotacaoNull;
@Coluna(nome="chcalend.tipodiapos", tipo="String")
private String tipodiapos;

public TabChcalend() {
initialize();
}

public void initialize() {
setData(null);
setTipodia(null);
setCotacao(null);
setTipodiapos(null);
}

public TabChcalend(FglDate data, String tipodia, double cotacao, String tipodiapos) {
this.data = data;
this.tipodia = tipodia;
this.cotacao = cotacao;
this.tipodiapos = tipodiapos;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public String getTipodia() {
return tipodia;
}

public void setTipodia(String tipodia) {
this.tipodia = tipodia;
}

public double getCotacao() {
return cotacao;
}

public boolean isCotacaoNull() {
return cotacaoNull;
}

public void setCotacao(int cotacao) {
setCotacao(new Double(cotacao));
}

public void setCotacao(long cotacao) {
setCotacao(new Double(cotacao));
}

public void setCotacao(Double cotacao) {
if (cotacao == null) {
cotacaoNull = true;
this.cotacao = 0.;
} else { 
cotacaoNull = false;
this.cotacao = FglDouble.round(cotacao, 4);
}
}

public String getTipodiapos() {
return tipodiapos;
}

public void setTipodiapos(String tipodiapos) {
this.tipodiapos = tipodiapos;
}

}

