package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabChcatrab {
@Coluna(nome="chcatrab.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chcatrab.dtacidente", tipo="FglDate")
private FglDate dtacidente;
@Coluna(nome="chcatrab.tipocatrab", tipo="int")
private int tipocatrab;
private boolean tipocatrabNull;
@Coluna(nome="chcatrab.dtcomobito", tipo="FglDate")
private FglDate dtcomobito;
@Coluna(nome="chcatrab.hracidente", tipo="FglDateTimeHMin")
private FglDateTimeHMin hracidente;
@Coluna(nome="chcatrab.qtdehstrab", tipo="FglDateTimeHMin")
private FglDateTimeHMin qtdehstrab;
@Coluna(nome="chcatrab.tipoaciden", tipo="int")
private int tipoaciden;
private boolean tipoacidenNull;
@Coluna(nome="chcatrab.houveafast", tipo="int")
private int houveafast;
private boolean houveafastNull;
@Coluna(nome="chcatrab.ultdiatrab", tipo="FglDate")
private FglDate ultdiatrab;
@Coluna(nome="chcatrab.localacide", tipo="int")
private int localacide;
private boolean localacideNull;
@Coluna(nome="chcatrab.especlocal", tipo="String")
private String especlocal;
@Coluna(nome="chcatrab.nro_endloc", tipo="long")
private long nroEndloc;
private boolean nroEndlocNull;
@Coluna(nome="chcatrab.partcorpat", tipo="String")
private String partcorpat;
@Coluna(nome="chcatrab.agentecaus", tipo="String")
private String agentecaus;
@Coluna(nome="chcatrab.descracide", tipo="String")
private String descracide;
@Coluna(nome="chcatrab.regpolicia", tipo="int")
private int regpolicia;
private boolean regpoliciaNull;
@Coluna(nome="chcatrab.houvemorte", tipo="int")
private int houvemorte;
private boolean houvemorteNull;
@Coluna(nome="chcatrab.nro_endte1", tipo="long")
private long nroEndte1;
private boolean nroEndte1Null;
@Coluna(nome="chcatrab.nro_endte2", tipo="long")
private long nroEndte2;
private boolean nroEndte2Null;
@Coluna(nome="chcatrab.codsituac", tipo="String")
private String codsituac;
@Coluna(nome="chcatrab.desclogradouro", tipo="String")
private String desclogradouro;
@Coluna(nome="chcatrab.nrlogradouro", tipo="int")
private int nrlogradouro;
private boolean nrlogradouroNull;
@Coluna(nome="chcatrab.codmunicipio", tipo="int")
private int codmunicipio;
private boolean codmunicipioNull;
@Coluna(nome="chcatrab.uf", tipo="String")
private String uf;
@Coluna(nome="chcatrab.tpacidentetransito", tipo="int")
private int tpacidentetransito;
private boolean tpacidentetransitoNull;
@Coluna(nome="chcatrab.dtatestado", tipo="FglDate")
private FglDate dtatestado;
@Coluna(nome="chcatrab.iniciativacat", tipo="int")
private int iniciativacat;
private boolean iniciativacatNull;
@Coluna(nome="chcatrab.observacao", tipo="String")
private String observacao;
@Coluna(nome="chcatrab.id_contrat_orig", tipo="int")
private int idContratOrig;
private boolean idContratOrigNull;
@Coluna(nome="chcatrab.dtacidente_orig", tipo="FglDate")
private FglDate dtacidenteOrig;

public TabChcatrab() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtacidente(null);
setTipocatrab(null);
setDtcomobito(null);
setHracidente(null);
setQtdehstrab(null);
setTipoaciden(null);
setHouveafast(null);
setUltdiatrab(null);
setLocalacide(null);
setEspeclocal(null);
setNroEndloc(null);
setPartcorpat(null);
setAgentecaus(null);
setDescracide(null);
setRegpolicia(null);
setHouvemorte(null);
setNroEndte1(null);
setNroEndte2(null);
setCodsituac(null);
setDesclogradouro(null);
setNrlogradouro(null);
setCodmunicipio(null);
setUf(null);
setTpacidentetransito(null);
setDtatestado(null);
setIniciativacat(null);
setObservacao(null);
setIdContratOrig(null);
setDtacidenteOrig(null);
}

public TabChcatrab(int idContrat, FglDate dtacidente, int tipocatrab, FglDate dtcomobito, FglDateTimeHMin hracidente, FglDateTimeHMin qtdehstrab, int tipoaciden, int houveafast, FglDate ultdiatrab, int localacide, String especlocal, long nroEndloc, String partcorpat, String agentecaus, String descracide, int regpolicia, int houvemorte, long nroEndte1, long nroEndte2, String codsituac, String desclogradouro, int nrlogradouro, int codmunicipio, String uf, int tpacidentetransito, FglDate dtatestado, int iniciativacat, String observacao, int idContratOrig, FglDate dtacidenteOrig) {
this.idContrat = idContrat;
this.dtacidente = dtacidente;
this.tipocatrab = tipocatrab;
this.dtcomobito = dtcomobito;
this.hracidente = hracidente;
this.qtdehstrab = qtdehstrab;
this.tipoaciden = tipoaciden;
this.houveafast = houveafast;
this.ultdiatrab = ultdiatrab;
this.localacide = localacide;
this.especlocal = especlocal;
this.nroEndloc = nroEndloc;
this.partcorpat = partcorpat;
this.agentecaus = agentecaus;
this.descracide = descracide;
this.regpolicia = regpolicia;
this.houvemorte = houvemorte;
this.nroEndte1 = nroEndte1;
this.nroEndte2 = nroEndte2;
this.codsituac = codsituac;
this.desclogradouro = desclogradouro;
this.nrlogradouro = nrlogradouro;
this.codmunicipio = codmunicipio;
this.uf = uf;
this.tpacidentetransito = tpacidentetransito;
this.dtatestado = dtatestado;
this.iniciativacat = iniciativacat;
this.observacao = observacao;
this.idContratOrig = idContratOrig;
this.dtacidenteOrig = dtacidenteOrig;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtacidente() {
return dtacidente;
}

public void setDtacidente(FglDate dtacidente) {
this.dtacidente = dtacidente;
}

public int getTipocatrab() {
return tipocatrab;
}

public boolean isTipocatrabNull() {
return tipocatrabNull;
}

public void setTipocatrab(Integer tipocatrab) {
if (tipocatrab == null) {
tipocatrabNull = true;
this.tipocatrab = 0;
} else { 
tipocatrabNull = false;
this.tipocatrab = tipocatrab;
}
}

public FglDate getDtcomobito() {
return dtcomobito;
}

public void setDtcomobito(FglDate dtcomobito) {
this.dtcomobito = dtcomobito;
}

public FglDateTimeHMin getHracidente() {
return hracidente;
}

public void setHracidente(FglDateTimeHMin hracidente) {
this.hracidente = hracidente;
}

public FglDateTimeHMin getQtdehstrab() {
return qtdehstrab;
}

public void setQtdehstrab(FglDateTimeHMin qtdehstrab) {
this.qtdehstrab = qtdehstrab;
}

public int getTipoaciden() {
return tipoaciden;
}

public boolean isTipoacidenNull() {
return tipoacidenNull;
}

public void setTipoaciden(Integer tipoaciden) {
if (tipoaciden == null) {
tipoacidenNull = true;
this.tipoaciden = 0;
} else { 
tipoacidenNull = false;
this.tipoaciden = tipoaciden;
}
}

public int getHouveafast() {
return houveafast;
}

public boolean isHouveafastNull() {
return houveafastNull;
}

public void setHouveafast(Integer houveafast) {
if (houveafast == null) {
houveafastNull = true;
this.houveafast = 0;
} else { 
houveafastNull = false;
this.houveafast = houveafast;
}
}

public FglDate getUltdiatrab() {
return ultdiatrab;
}

public void setUltdiatrab(FglDate ultdiatrab) {
this.ultdiatrab = ultdiatrab;
}

public int getLocalacide() {
return localacide;
}

public boolean isLocalacideNull() {
return localacideNull;
}

public void setLocalacide(Integer localacide) {
if (localacide == null) {
localacideNull = true;
this.localacide = 0;
} else { 
localacideNull = false;
this.localacide = localacide;
}
}

public String getEspeclocal() {
return especlocal;
}

public void setEspeclocal(String especlocal) {
this.especlocal = especlocal;
}

public long getNroEndloc() {
return nroEndloc;
}

public boolean isNroEndlocNull() {
return nroEndlocNull;
}

public void setNroEndloc(int nroEndloc) {
setNroEndloc(new Long(nroEndloc));
}

public void setNroEndloc(Long nroEndloc) {
if (nroEndloc == null) {
nroEndlocNull = true;
this.nroEndloc = 0l;
} else { 
nroEndlocNull = false;
this.nroEndloc = nroEndloc;
}
}

public String getPartcorpat() {
return partcorpat;
}

public void setPartcorpat(String partcorpat) {
this.partcorpat = partcorpat;
}

public String getAgentecaus() {
return agentecaus;
}

public void setAgentecaus(String agentecaus) {
this.agentecaus = agentecaus;
}

public String getDescracide() {
return descracide;
}

public void setDescracide(String descracide) {
this.descracide = descracide;
}

public int getRegpolicia() {
return regpolicia;
}

public boolean isRegpoliciaNull() {
return regpoliciaNull;
}

public void setRegpolicia(Integer regpolicia) {
if (regpolicia == null) {
regpoliciaNull = true;
this.regpolicia = 0;
} else { 
regpoliciaNull = false;
this.regpolicia = regpolicia;
}
}

public int getHouvemorte() {
return houvemorte;
}

public boolean isHouvemorteNull() {
return houvemorteNull;
}

public void setHouvemorte(Integer houvemorte) {
if (houvemorte == null) {
houvemorteNull = true;
this.houvemorte = 0;
} else { 
houvemorteNull = false;
this.houvemorte = houvemorte;
}
}

public long getNroEndte1() {
return nroEndte1;
}

public boolean isNroEndte1Null() {
return nroEndte1Null;
}

public void setNroEndte1(int nroEndte1) {
setNroEndte1(new Long(nroEndte1));
}

public void setNroEndte1(Long nroEndte1) {
if (nroEndte1 == null) {
nroEndte1Null = true;
this.nroEndte1 = 0l;
} else { 
nroEndte1Null = false;
this.nroEndte1 = nroEndte1;
}
}

public long getNroEndte2() {
return nroEndte2;
}

public boolean isNroEndte2Null() {
return nroEndte2Null;
}

public void setNroEndte2(int nroEndte2) {
setNroEndte2(new Long(nroEndte2));
}

public void setNroEndte2(Long nroEndte2) {
if (nroEndte2 == null) {
nroEndte2Null = true;
this.nroEndte2 = 0l;
} else { 
nroEndte2Null = false;
this.nroEndte2 = nroEndte2;
}
}

public String getCodsituac() {
return codsituac;
}

public void setCodsituac(String codsituac) {
this.codsituac = codsituac;
}

public String getDesclogradouro() {
return desclogradouro;
}

public void setDesclogradouro(String desclogradouro) {
this.desclogradouro = desclogradouro;
}

public int getNrlogradouro() {
return nrlogradouro;
}

public boolean isNrlogradouroNull() {
return nrlogradouroNull;
}

public void setNrlogradouro(Integer nrlogradouro) {
if (nrlogradouro == null) {
nrlogradouroNull = true;
this.nrlogradouro = 0;
} else { 
nrlogradouroNull = false;
this.nrlogradouro = nrlogradouro;
}
}

public int getCodmunicipio() {
return codmunicipio;
}

public boolean isCodmunicipioNull() {
return codmunicipioNull;
}

public void setCodmunicipio(Integer codmunicipio) {
if (codmunicipio == null) {
codmunicipioNull = true;
this.codmunicipio = 0;
} else { 
codmunicipioNull = false;
this.codmunicipio = codmunicipio;
}
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public int getTpacidentetransito() {
return tpacidentetransito;
}

public boolean isTpacidentetransitoNull() {
return tpacidentetransitoNull;
}

public void setTpacidentetransito(Integer tpacidentetransito) {
if (tpacidentetransito == null) {
tpacidentetransitoNull = true;
this.tpacidentetransito = 0;
} else { 
tpacidentetransitoNull = false;
this.tpacidentetransito = tpacidentetransito;
}
}

public FglDate getDtatestado() {
return dtatestado;
}

public void setDtatestado(FglDate dtatestado) {
this.dtatestado = dtatestado;
}

public int getIniciativacat() {
return iniciativacat;
}

public boolean isIniciativacatNull() {
return iniciativacatNull;
}

public void setIniciativacat(Integer iniciativacat) {
if (iniciativacat == null) {
iniciativacatNull = true;
this.iniciativacat = 0;
} else { 
iniciativacatNull = false;
this.iniciativacat = iniciativacat;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getIdContratOrig() {
return idContratOrig;
}

public boolean isIdContratOrigNull() {
return idContratOrigNull;
}

public void setIdContratOrig(Integer idContratOrig) {
if (idContratOrig == null) {
idContratOrigNull = true;
this.idContratOrig = 0;
} else { 
idContratOrigNull = false;
this.idContratOrig = idContratOrig;
}
}

public FglDate getDtacidenteOrig() {
return dtacidenteOrig;
}

public void setDtacidenteOrig(FglDate dtacidenteOrig) {
this.dtacidenteOrig = dtacidenteOrig;
}

}

