package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabChcojdto {
@Coluna(nome="chcojdto.id_cojdto", tipo="int")
private int idCojdto;
private boolean idCojdtoNull;
@Coluna(nome="chcojdto.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="chcojdto.cargo", tipo="int")
private int cargo;
private boolean cargoNull;
@Coluna(nome="chcojdto.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="chcojdto.tipobase", tipo="String")
private String tipobase;
@Coluna(nome="chcojdto.anomesini", tipo="FglDateTimeYM")
private FglDateTimeYM anomesini;
@Coluna(nome="chcojdto.anomesfim", tipo="FglDateTimeYM")
private FglDateTimeYM anomesfim;
@Coluna(nome="chcojdto.comissaoag", tipo="String")
private String comissaoag;
@Coluna(nome="chcojdto.evento", tipo="int")
private int evento;
private boolean eventoNull;

public TabChcojdto() {
initialize();
}

public void initialize() {
setIdCojdto(null);
setIdDeptos(null);
setCargo(null);
setTpordem(null);
setTipobase(null);
setAnomesini(null);
setAnomesfim(null);
setComissaoag(null);
setEvento(null);
}

public TabChcojdto(int idCojdto, int idDeptos, int cargo, String tpordem, String tipobase, FglDateTimeYM anomesini, FglDateTimeYM anomesfim, String comissaoag, int evento) {
this.idCojdto = idCojdto;
this.idDeptos = idDeptos;
this.cargo = cargo;
this.tpordem = tpordem;
this.tipobase = tipobase;
this.anomesini = anomesini;
this.anomesfim = anomesfim;
this.comissaoag = comissaoag;
this.evento = evento;
}

public int getIdCojdto() {
return idCojdto;
}

public boolean isIdCojdtoNull() {
return idCojdtoNull;
}

public void setIdCojdto(Integer idCojdto) {
if (idCojdto == null) {
idCojdtoNull = true;
this.idCojdto = 0;
} else { 
idCojdtoNull = false;
this.idCojdto = idCojdto;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public int getCargo() {
return cargo;
}

public boolean isCargoNull() {
return cargoNull;
}

public void setCargo(Integer cargo) {
if (cargo == null) {
cargoNull = true;
this.cargo = 0;
} else { 
cargoNull = false;
this.cargo = cargo;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public String getTipobase() {
return tipobase;
}

public void setTipobase(String tipobase) {
this.tipobase = tipobase;
}

public FglDateTimeYM getAnomesini() {
return anomesini;
}

public void setAnomesini(FglDateTimeYM anomesini) {
this.anomesini = anomesini;
}

public FglDateTimeYM getAnomesfim() {
return anomesfim;
}

public void setAnomesfim(FglDateTimeYM anomesfim) {
this.anomesfim = anomesfim;
}

public String getComissaoag() {
return comissaoag;
}

public void setComissaoag(String comissaoag) {
this.comissaoag = comissaoag;
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

}

