package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabChcontab {
@Coluna(nome="chcontab.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chcontab.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chcontab.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabChcontab() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAnomes(null);
setIdLancto(null);
}

public TabChcontab(int empresa, FglDateTimeYM anomes, int idLancto) {
this.empresa = empresa;
this.anomes = anomes;
this.idLancto = idLancto;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

