package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChdadser {
@Coluna(nome="chdadser.id_dadser", tipo="int")
private int idDadser;
private boolean idDadserNull;
@Coluna(nome="chdadser.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chdadser.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chdadser.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chdadser.descrservidor", tipo="String")
private String descrservidor;
@Coluna(nome="chdadser.vlrfatura", tipo="double")
private double vlrfatura;
private boolean vlrfaturaNull;
@Coluna(nome="chdadser.vlrretencao", tipo="double")
private double vlrretencao;
private boolean vlrretencaoNull;
@Coluna(nome="chdadser.vlrsalfamilia", tipo="double")
private double vlrsalfamilia;
private boolean vlrsalfamiliaNull;

public TabChdadser() {
initialize();
}

public void initialize() {
setIdDadser(null);
setCgccpf(null);
setTppessoa(null);
setAnomes(null);
setDescrservidor(null);
setVlrfatura(null);
setVlrretencao(null);
setVlrsalfamilia(null);
}

public TabChdadser(int idDadser, long cgccpf, int tppessoa, FglDateTimeYM anomes, String descrservidor, double vlrfatura, double vlrretencao, double vlrsalfamilia) {
this.idDadser = idDadser;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.anomes = anomes;
this.descrservidor = descrservidor;
this.vlrfatura = vlrfatura;
this.vlrretencao = vlrretencao;
this.vlrsalfamilia = vlrsalfamilia;
}

public int getIdDadser() {
return idDadser;
}

public boolean isIdDadserNull() {
return idDadserNull;
}

public void setIdDadser(Integer idDadser) {
if (idDadser == null) {
idDadserNull = true;
this.idDadser = 0;
} else { 
idDadserNull = false;
this.idDadser = idDadser;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getDescrservidor() {
return descrservidor;
}

public void setDescrservidor(String descrservidor) {
this.descrservidor = descrservidor;
}

public double getVlrfatura() {
return vlrfatura;
}

public boolean isVlrfaturaNull() {
return vlrfaturaNull;
}

public void setVlrfatura(int vlrfatura) {
setVlrfatura(new Double(vlrfatura));
}

public void setVlrfatura(long vlrfatura) {
setVlrfatura(new Double(vlrfatura));
}

public void setVlrfatura(Double vlrfatura) {
if (vlrfatura == null) {
vlrfaturaNull = true;
this.vlrfatura = 0.;
} else { 
vlrfaturaNull = false;
this.vlrfatura = FglDouble.round(vlrfatura, 2);
}
}

public double getVlrretencao() {
return vlrretencao;
}

public boolean isVlrretencaoNull() {
return vlrretencaoNull;
}

public void setVlrretencao(int vlrretencao) {
setVlrretencao(new Double(vlrretencao));
}

public void setVlrretencao(long vlrretencao) {
setVlrretencao(new Double(vlrretencao));
}

public void setVlrretencao(Double vlrretencao) {
if (vlrretencao == null) {
vlrretencaoNull = true;
this.vlrretencao = 0.;
} else { 
vlrretencaoNull = false;
this.vlrretencao = FglDouble.round(vlrretencao, 2);
}
}

public double getVlrsalfamilia() {
return vlrsalfamilia;
}

public boolean isVlrsalfamiliaNull() {
return vlrsalfamiliaNull;
}

public void setVlrsalfamilia(int vlrsalfamilia) {
setVlrsalfamilia(new Double(vlrsalfamilia));
}

public void setVlrsalfamilia(long vlrsalfamilia) {
setVlrsalfamilia(new Double(vlrsalfamilia));
}

public void setVlrsalfamilia(Double vlrsalfamilia) {
if (vlrsalfamilia == null) {
vlrsalfamiliaNull = true;
this.vlrsalfamilia = 0.;
} else { 
vlrsalfamiliaNull = false;
this.vlrsalfamilia = FglDouble.round(vlrsalfamilia, 2);
}
}

}

