package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChdepmed {
@Coluna(nome="chdepmed.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chdepmed.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chdepmed.tipodepen", tipo="int")
private int tipodepen;
private boolean tipodepenNull;
@Coluna(nome="chdepmed.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="chdepmed.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chdepmed.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChdepmed() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setTipodepen(null);
setSequencia(null);
setEvento(null);
setValor(null);
}

public TabChdepmed(int tppessoa, long cgccpf, int tipodepen, int sequencia, int evento, double valor) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.tipodepen = tipodepen;
this.sequencia = sequencia;
this.evento = evento;
this.valor = valor;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTipodepen() {
return tipodepen;
}

public boolean isTipodepenNull() {
return tipodepenNull;
}

public void setTipodepen(Integer tipodepen) {
if (tipodepen == null) {
tipodepenNull = true;
this.tipodepen = 0;
} else { 
tipodepenNull = false;
this.tipodepen = tipodepen;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

