package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChempper {
@Coluna(nome="chempper.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chempper.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="chempper.tipoinst", tipo="int")
private int tipoinst;
private boolean tipoinstNull;
@Coluna(nome="chempper.percempr", tipo="double")
private double percempr;
private boolean percemprNull;

public TabChempper() {
initialize();
}

public void initialize() {
setEmpresa(null);
setIdSetor(null);
setTipoinst(null);
setPercempr(null);
}

public TabChempper(int empresa, int idSetor, int tipoinst, double percempr) {
this.empresa = empresa;
this.idSetor = idSetor;
this.tipoinst = tipoinst;
this.percempr = percempr;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getTipoinst() {
return tipoinst;
}

public boolean isTipoinstNull() {
return tipoinstNull;
}

public void setTipoinst(Integer tipoinst) {
if (tipoinst == null) {
tipoinstNull = true;
this.tipoinst = 0;
} else { 
tipoinstNull = false;
this.tipoinst = tipoinst;
}
}

public double getPercempr() {
return percempr;
}

public boolean isPercemprNull() {
return percemprNull;
}

public void setPercempr(int percempr) {
setPercempr(new Double(percempr));
}

public void setPercempr(long percempr) {
setPercempr(new Double(percempr));
}

public void setPercempr(Double percempr) {
if (percempr == null) {
percemprNull = true;
this.percempr = 0.;
} else { 
percemprNull = false;
this.percempr = FglDouble.round(percempr, 5);
}
}

}

