package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChesccor {
@Coluna(nome="chesccor.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chesccor.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chesccor.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chesccor.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chesccor.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chesccor.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="chesccor.dtdocto", tipo="FglDate")
private FglDate dtdocto;
@Coluna(nome="chesccor.dtlcto", tipo="FglDate")
private FglDate dtlcto;
@Coluna(nome="chesccor.anomes_lcto", tipo="FglDateTimeYM")
private FglDateTimeYM anomesLcto;
@Coluna(nome="chesccor.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="chesccor.dtlimite", tipo="FglDateTimeYM")
private FglDateTimeYM dtlimite;

public TabChesccor() {
initialize();
}

public void initialize() {
setEmpresa(null);
setCgccpf(null);
setTppessoa(null);
setEvento(null);
setAnomes(null);
setNrodocto(null);
setDtdocto(null);
setDtlcto(null);
setAnomesLcto(null);
setValor(null);
setDtlimite(null);
}

public TabChesccor(int empresa, long cgccpf, int tppessoa, int evento, FglDateTimeYM anomes, int nrodocto, FglDate dtdocto, FglDate dtlcto, FglDateTimeYM anomesLcto, double valor, FglDateTimeYM dtlimite) {
this.empresa = empresa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.evento = evento;
this.anomes = anomes;
this.nrodocto = nrodocto;
this.dtdocto = dtdocto;
this.dtlcto = dtlcto;
this.anomesLcto = anomesLcto;
this.valor = valor;
this.dtlimite = dtlimite;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public FglDate getDtdocto() {
return dtdocto;
}

public void setDtdocto(FglDate dtdocto) {
this.dtdocto = dtdocto;
}

public FglDate getDtlcto() {
return dtlcto;
}

public void setDtlcto(FglDate dtlcto) {
this.dtlcto = dtlcto;
}

public FglDateTimeYM getAnomesLcto() {
return anomesLcto;
}

public void setAnomesLcto(FglDateTimeYM anomesLcto) {
this.anomesLcto = anomesLcto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public FglDateTimeYM getDtlimite() {
return dtlimite;
}

public void setDtlimite(FglDateTimeYM dtlimite) {
this.dtlimite = dtlimite;
}

}

