package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChesfich {
@Coluna(nome="chesfich.id_ficha", tipo="int")
private int idFicha;
private boolean idFichaNull;
@Coluna(nome="chesfich.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chesfich.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chesfich.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chesfich.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chesfich.dtpgto", tipo="FglDate")
private FglDate dtpgto;
@Coluna(nome="chesfich.valorbruto", tipo="double")
private double valorbruto;
private boolean valorbrutoNull;
@Coluna(nome="chesfich.valordepen", tipo="double")
private double valordepen;
private boolean valordepenNull;
@Coluna(nome="chesfich.vlrbirrf", tipo="double")
private double vlrbirrf;
private boolean vlrbirrfNull;
@Coluna(nome="chesfich.valorirrf", tipo="double")
private double valorirrf;
private boolean valorirrfNull;
@Coluna(nome="chesfich.liquido", tipo="double")
private double liquido;
private boolean liquidoNull;

public TabChesfich() {
initialize();
}

public void initialize() {
setIdFicha(null);
setEmpresa(null);
setAnomes(null);
setCgccpf(null);
setTppessoa(null);
setDtpgto(null);
setValorbruto(null);
setValordepen(null);
setVlrbirrf(null);
setValorirrf(null);
setLiquido(null);
}

public TabChesfich(int idFicha, int empresa, FglDateTimeYM anomes, long cgccpf, int tppessoa, FglDate dtpgto, double valorbruto, double valordepen, double vlrbirrf, double valorirrf, double liquido) {
this.idFicha = idFicha;
this.empresa = empresa;
this.anomes = anomes;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtpgto = dtpgto;
this.valorbruto = valorbruto;
this.valordepen = valordepen;
this.vlrbirrf = vlrbirrf;
this.valorirrf = valorirrf;
this.liquido = liquido;
}

public int getIdFicha() {
return idFicha;
}

public boolean isIdFichaNull() {
return idFichaNull;
}

public void setIdFicha(Integer idFicha) {
if (idFicha == null) {
idFichaNull = true;
this.idFicha = 0;
} else { 
idFichaNull = false;
this.idFicha = idFicha;
}
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

public double getValorbruto() {
return valorbruto;
}

public boolean isValorbrutoNull() {
return valorbrutoNull;
}

public void setValorbruto(int valorbruto) {
setValorbruto(new Double(valorbruto));
}

public void setValorbruto(long valorbruto) {
setValorbruto(new Double(valorbruto));
}

public void setValorbruto(Double valorbruto) {
if (valorbruto == null) {
valorbrutoNull = true;
this.valorbruto = 0.;
} else { 
valorbrutoNull = false;
this.valorbruto = FglDouble.round(valorbruto, 2);
}
}

public double getValordepen() {
return valordepen;
}

public boolean isValordepenNull() {
return valordepenNull;
}

public void setValordepen(int valordepen) {
setValordepen(new Double(valordepen));
}

public void setValordepen(long valordepen) {
setValordepen(new Double(valordepen));
}

public void setValordepen(Double valordepen) {
if (valordepen == null) {
valordepenNull = true;
this.valordepen = 0.;
} else { 
valordepenNull = false;
this.valordepen = FglDouble.round(valordepen, 2);
}
}

public double getVlrbirrf() {
return vlrbirrf;
}

public boolean isVlrbirrfNull() {
return vlrbirrfNull;
}

public void setVlrbirrf(int vlrbirrf) {
setVlrbirrf(new Double(vlrbirrf));
}

public void setVlrbirrf(long vlrbirrf) {
setVlrbirrf(new Double(vlrbirrf));
}

public void setVlrbirrf(Double vlrbirrf) {
if (vlrbirrf == null) {
vlrbirrfNull = true;
this.vlrbirrf = 0.;
} else { 
vlrbirrfNull = false;
this.vlrbirrf = FglDouble.round(vlrbirrf, 2);
}
}

public double getValorirrf() {
return valorirrf;
}

public boolean isValorirrfNull() {
return valorirrfNull;
}

public void setValorirrf(int valorirrf) {
setValorirrf(new Double(valorirrf));
}

public void setValorirrf(long valorirrf) {
setValorirrf(new Double(valorirrf));
}

public void setValorirrf(Double valorirrf) {
if (valorirrf == null) {
valorirrfNull = true;
this.valorirrf = 0.;
} else { 
valorirrfNull = false;
this.valorirrf = FglDouble.round(valorirrf, 2);
}
}

public double getLiquido() {
return liquido;
}

public boolean isLiquidoNull() {
return liquidoNull;
}

public void setLiquido(int liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(long liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(Double liquido) {
if (liquido == null) {
liquidoNull = true;
this.liquido = 0.;
} else { 
liquidoNull = false;
this.liquido = FglDouble.round(liquido, 2);
}
}

}

