package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChestfun {
@Coluna(nome="chestfun.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chestfun.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="chestfun.dtini", tipo="FglDate")
private FglDate dtini;
@Coluna(nome="chestfun.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="chestfun.observacao", tipo="String")
private String observacao;

public TabChestfun() {
initialize();
}

public void initialize() {
setIdContrat(null);
setCodigo(null);
setDtini(null);
setDtfim(null);
setObservacao(null);
}

public TabChestfun(int idContrat, int codigo, FglDate dtini, FglDate dtfim, String observacao) {
this.idContrat = idContrat;
this.codigo = codigo;
this.dtini = dtini;
this.dtfim = dtfim;
this.observacao = observacao;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public FglDate getDtini() {
return dtini;
}

public void setDtini(FglDate dtini) {
this.dtini = dtini;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

