package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChevento {
@Coluna(nome="chevento.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chevento.descricao", tipo="String")
private String descricao;
@Coluna(nome="chevento.vencdesc", tipo="String")
private String vencdesc;
@Coluna(nome="chevento.qtvlrz", tipo="String")
private String qtvlrz;
@Coluna(nome="chevento.taxaacre", tipo="double")
private double taxaacre;
private boolean taxaacreNull;
@Coluna(nome="chevento.rotinacalc", tipo="int")
private int rotinacalc;
private boolean rotinacalcNull;
@Coluna(nome="chevento.colunafol", tipo="int")
private int colunafol;
private boolean colunafolNull;
@Coluna(nome="chevento.unidade", tipo="String")
private String unidade;
@Coluna(nome="chevento.limiteqtde", tipo="double")
private double limiteqtde;
private boolean limiteqtdeNull;
@Coluna(nome="chevento.limitevlr", tipo="double")
private double limitevlr;
private boolean limitevlrNull;
@Coluna(nome="chevento.ordemrec", tipo="int")
private int ordemrec;
private boolean ordemrecNull;
@Coluna(nome="chevento.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="chevento.pededias", tipo="String")
private String pededias;
@Coluna(nome="chevento.id_histor", tipo="int")
private int idHistor;
private boolean idHistorNull;
@Coluna(nome="chevento.codrubrica", tipo="int")
private int codrubrica;
private boolean codrubricaNull;

public TabChevento() {
initialize();
}

public void initialize() {
setEvento(null);
setDescricao(null);
setVencdesc(null);
setQtvlrz(null);
setTaxaacre(null);
setRotinacalc(null);
setColunafol(null);
setUnidade(null);
setLimiteqtde(null);
setLimitevlr(null);
setOrdemrec(null);
setUnitario(null);
setPededias(null);
setIdHistor(null);
setCodrubrica(null);
}

public TabChevento(int evento, String descricao, String vencdesc, String qtvlrz, double taxaacre, int rotinacalc, int colunafol, String unidade, double limiteqtde, double limitevlr, int ordemrec, double unitario, String pededias, int idHistor, int codrubrica) {
this.evento = evento;
this.descricao = descricao;
this.vencdesc = vencdesc;
this.qtvlrz = qtvlrz;
this.taxaacre = taxaacre;
this.rotinacalc = rotinacalc;
this.colunafol = colunafol;
this.unidade = unidade;
this.limiteqtde = limiteqtde;
this.limitevlr = limitevlr;
this.ordemrec = ordemrec;
this.unitario = unitario;
this.pededias = pededias;
this.idHistor = idHistor;
this.codrubrica = codrubrica;
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getVencdesc() {
return vencdesc;
}

public void setVencdesc(String vencdesc) {
this.vencdesc = vencdesc;
}

public String getQtvlrz() {
return qtvlrz;
}

public void setQtvlrz(String qtvlrz) {
this.qtvlrz = qtvlrz;
}

public double getTaxaacre() {
return taxaacre;
}

public boolean isTaxaacreNull() {
return taxaacreNull;
}

public void setTaxaacre(int taxaacre) {
setTaxaacre(new Double(taxaacre));
}

public void setTaxaacre(long taxaacre) {
setTaxaacre(new Double(taxaacre));
}

public void setTaxaacre(Double taxaacre) {
if (taxaacre == null) {
taxaacreNull = true;
this.taxaacre = 0.;
} else { 
taxaacreNull = false;
this.taxaacre = FglDouble.round(taxaacre, 2);
}
}

public int getRotinacalc() {
return rotinacalc;
}

public boolean isRotinacalcNull() {
return rotinacalcNull;
}

public void setRotinacalc(Integer rotinacalc) {
if (rotinacalc == null) {
rotinacalcNull = true;
this.rotinacalc = 0;
} else { 
rotinacalcNull = false;
this.rotinacalc = rotinacalc;
}
}

public int getColunafol() {
return colunafol;
}

public boolean isColunafolNull() {
return colunafolNull;
}

public void setColunafol(Integer colunafol) {
if (colunafol == null) {
colunafolNull = true;
this.colunafol = 0;
} else { 
colunafolNull = false;
this.colunafol = colunafol;
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getLimiteqtde() {
return limiteqtde;
}

public boolean isLimiteqtdeNull() {
return limiteqtdeNull;
}

public void setLimiteqtde(int limiteqtde) {
setLimiteqtde(new Double(limiteqtde));
}

public void setLimiteqtde(long limiteqtde) {
setLimiteqtde(new Double(limiteqtde));
}

public void setLimiteqtde(Double limiteqtde) {
if (limiteqtde == null) {
limiteqtdeNull = true;
this.limiteqtde = 0.;
} else { 
limiteqtdeNull = false;
this.limiteqtde = FglDouble.round(limiteqtde, 2);
}
}

public double getLimitevlr() {
return limitevlr;
}

public boolean isLimitevlrNull() {
return limitevlrNull;
}

public void setLimitevlr(int limitevlr) {
setLimitevlr(new Double(limitevlr));
}

public void setLimitevlr(long limitevlr) {
setLimitevlr(new Double(limitevlr));
}

public void setLimitevlr(Double limitevlr) {
if (limitevlr == null) {
limitevlrNull = true;
this.limitevlr = 0.;
} else { 
limitevlrNull = false;
this.limitevlr = FglDouble.round(limitevlr, 2);
}
}

public int getOrdemrec() {
return ordemrec;
}

public boolean isOrdemrecNull() {
return ordemrecNull;
}

public void setOrdemrec(Integer ordemrec) {
if (ordemrec == null) {
ordemrecNull = true;
this.ordemrec = 0;
} else { 
ordemrecNull = false;
this.ordemrec = ordemrec;
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public String getPededias() {
return pededias;
}

public void setPededias(String pededias) {
this.pededias = pededias;
}

public int getIdHistor() {
return idHistor;
}

public boolean isIdHistorNull() {
return idHistorNull;
}

public void setIdHistor(Integer idHistor) {
if (idHistor == null) {
idHistorNull = true;
this.idHistor = 0;
} else { 
idHistorNull = false;
this.idHistor = idHistor;
}
}

public int getCodrubrica() {
return codrubrica;
}

public boolean isCodrubricaNull() {
return codrubricaNull;
}

public void setCodrubrica(Integer codrubrica) {
if (codrubrica == null) {
codrubricaNull = true;
this.codrubrica = 0;
} else { 
codrubricaNull = false;
this.codrubrica = codrubrica;
}
}

}

