package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChferias {
@Coluna(nome="chferias.id_ferias", tipo="int")
private int idFerias;
private boolean idFeriasNull;
@Coluna(nome="chferias.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chferias.anoinipaq", tipo="int")
private int anoinipaq;
private boolean anoinipaqNull;
@Coluna(nome="chferias.dtinipaq", tipo="FglDate")
private FglDate dtinipaq;
@Coluna(nome="chferias.dtfimpaq", tipo="FglDate")
private FglDate dtfimpaq;
@Coluna(nome="chferias.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chferias.faltas", tipo="double")
private double faltas;
private boolean faltasNull;
@Coluna(nome="chferias.diasadqui", tipo="double")
private double diasadqui;
private boolean diasadquiNull;
@Coluna(nome="chferias.diassaldo", tipo="double")
private double diassaldo;
private boolean diassaldoNull;
@Coluna(nome="chferias.meses", tipo="int")
private int meses;
private boolean mesesNull;
@Coluna(nome="chferias.diasprovisao", tipo="double")
private double diasprovisao;
private boolean diasprovisaoNull;
@Coluna(nome="chferias.diasafast", tipo="double")
private double diasafast;
private boolean diasafastNull;
@Coluna(nome="chferias.dtiniprog", tipo="FglDate")
private FglDate dtiniprog;
@Coluna(nome="chferias.dtfimprog", tipo="FglDate")
private FglDate dtfimprog;

public TabChferias() {
initialize();
}

public void initialize() {
setIdFerias(null);
setIdContrat(null);
setAnoinipaq(null);
setDtinipaq(null);
setDtfimpaq(null);
setAnomes(null);
setFaltas(null);
setDiasadqui(null);
setDiassaldo(null);
setMeses(null);
setDiasprovisao(null);
setDiasafast(null);
setDtiniprog(null);
setDtfimprog(null);
}

public TabChferias(int idFerias, int idContrat, int anoinipaq, FglDate dtinipaq, FglDate dtfimpaq, FglDateTimeYM anomes, double faltas, double diasadqui, double diassaldo, int meses, double diasprovisao, double diasafast, FglDate dtiniprog, FglDate dtfimprog) {
this.idFerias = idFerias;
this.idContrat = idContrat;
this.anoinipaq = anoinipaq;
this.dtinipaq = dtinipaq;
this.dtfimpaq = dtfimpaq;
this.anomes = anomes;
this.faltas = faltas;
this.diasadqui = diasadqui;
this.diassaldo = diassaldo;
this.meses = meses;
this.diasprovisao = diasprovisao;
this.diasafast = diasafast;
this.dtiniprog = dtiniprog;
this.dtfimprog = dtfimprog;
}

public int getIdFerias() {
return idFerias;
}

public boolean isIdFeriasNull() {
return idFeriasNull;
}

public void setIdFerias(Integer idFerias) {
if (idFerias == null) {
idFeriasNull = true;
this.idFerias = 0;
} else { 
idFeriasNull = false;
this.idFerias = idFerias;
}
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public int getAnoinipaq() {
return anoinipaq;
}

public boolean isAnoinipaqNull() {
return anoinipaqNull;
}

public void setAnoinipaq(Integer anoinipaq) {
if (anoinipaq == null) {
anoinipaqNull = true;
this.anoinipaq = 0;
} else { 
anoinipaqNull = false;
this.anoinipaq = anoinipaq;
}
}

public FglDate getDtinipaq() {
return dtinipaq;
}

public void setDtinipaq(FglDate dtinipaq) {
this.dtinipaq = dtinipaq;
}

public FglDate getDtfimpaq() {
return dtfimpaq;
}

public void setDtfimpaq(FglDate dtfimpaq) {
this.dtfimpaq = dtfimpaq;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getFaltas() {
return faltas;
}

public boolean isFaltasNull() {
return faltasNull;
}

public void setFaltas(int faltas) {
setFaltas(new Double(faltas));
}

public void setFaltas(long faltas) {
setFaltas(new Double(faltas));
}

public void setFaltas(Double faltas) {
if (faltas == null) {
faltasNull = true;
this.faltas = 0.;
} else { 
faltasNull = false;
this.faltas = FglDouble.round(faltas, 1);
}
}

public double getDiasadqui() {
return diasadqui;
}

public boolean isDiasadquiNull() {
return diasadquiNull;
}

public void setDiasadqui(int diasadqui) {
setDiasadqui(new Double(diasadqui));
}

public void setDiasadqui(long diasadqui) {
setDiasadqui(new Double(diasadqui));
}

public void setDiasadqui(Double diasadqui) {
if (diasadqui == null) {
diasadquiNull = true;
this.diasadqui = 0.;
} else { 
diasadquiNull = false;
this.diasadqui = FglDouble.round(diasadqui, 1);
}
}

public double getDiassaldo() {
return diassaldo;
}

public boolean isDiassaldoNull() {
return diassaldoNull;
}

public void setDiassaldo(int diassaldo) {
setDiassaldo(new Double(diassaldo));
}

public void setDiassaldo(long diassaldo) {
setDiassaldo(new Double(diassaldo));
}

public void setDiassaldo(Double diassaldo) {
if (diassaldo == null) {
diassaldoNull = true;
this.diassaldo = 0.;
} else { 
diassaldoNull = false;
this.diassaldo = FglDouble.round(diassaldo, 1);
}
}

public int getMeses() {
return meses;
}

public boolean isMesesNull() {
return mesesNull;
}

public void setMeses(Integer meses) {
if (meses == null) {
mesesNull = true;
this.meses = 0;
} else { 
mesesNull = false;
this.meses = meses;
}
}

public double getDiasprovisao() {
return diasprovisao;
}

public boolean isDiasprovisaoNull() {
return diasprovisaoNull;
}

public void setDiasprovisao(int diasprovisao) {
setDiasprovisao(new Double(diasprovisao));
}

public void setDiasprovisao(long diasprovisao) {
setDiasprovisao(new Double(diasprovisao));
}

public void setDiasprovisao(Double diasprovisao) {
if (diasprovisao == null) {
diasprovisaoNull = true;
this.diasprovisao = 0.;
} else { 
diasprovisaoNull = false;
this.diasprovisao = FglDouble.round(diasprovisao, 1);
}
}

public double getDiasafast() {
return diasafast;
}

public boolean isDiasafastNull() {
return diasafastNull;
}

public void setDiasafast(int diasafast) {
setDiasafast(new Double(diasafast));
}

public void setDiasafast(long diasafast) {
setDiasafast(new Double(diasafast));
}

public void setDiasafast(Double diasafast) {
if (diasafast == null) {
diasafastNull = true;
this.diasafast = 0.;
} else { 
diasafastNull = false;
this.diasafast = FglDouble.round(diasafast, 1);
}
}

public FglDate getDtiniprog() {
return dtiniprog;
}

public void setDtiniprog(FglDate dtiniprog) {
this.dtiniprog = dtiniprog;
}

public FglDate getDtfimprog() {
return dtfimprog;
}

public void setDtfimprog(FglDate dtfimprog) {
this.dtfimprog = dtfimprog;
}

}

