package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChficdis {
@Coluna(nome="chficdis.id_ficha", tipo="int")
private int idFicha;
private boolean idFichaNull;
@Coluna(nome="chficdis.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chficdis.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChficdis() {
initialize();
}

public void initialize() {
setIdFicha(null);
setEvento(null);
setValor(null);
}

public TabChficdis(int idFicha, int evento, double valor) {
this.idFicha = idFicha;
this.evento = evento;
this.valor = valor;
}

public int getIdFicha() {
return idFicha;
}

public boolean isIdFichaNull() {
return idFichaNull;
}

public void setIdFicha(Integer idFicha) {
if (idFicha == null) {
idFichaNull = true;
this.idFicha = 0;
} else { 
idFichaNull = false;
this.idFicha = idFicha;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

