package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChficmed {
@Coluna(nome="chficmed.id_ficha", tipo="int")
private int idFicha;
private boolean idFichaNull;
@Coluna(nome="chficmed.tipodepen", tipo="int")
private int tipodepen;
private boolean tipodepenNull;
@Coluna(nome="chficmed.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="chficmed.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chficmed.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChficmed() {
initialize();
}

public void initialize() {
setIdFicha(null);
setTipodepen(null);
setSequencia(null);
setEvento(null);
setValor(null);
}

public TabChficmed(int idFicha, int tipodepen, int sequencia, int evento, double valor) {
this.idFicha = idFicha;
this.tipodepen = tipodepen;
this.sequencia = sequencia;
this.evento = evento;
this.valor = valor;
}

public int getIdFicha() {
return idFicha;
}

public boolean isIdFichaNull() {
return idFichaNull;
}

public void setIdFicha(Integer idFicha) {
if (idFicha == null) {
idFichaNull = true;
this.idFicha = 0;
} else { 
idFichaNull = false;
this.idFicha = idFicha;
}
}

public int getTipodepen() {
return tipodepen;
}

public boolean isTipodepenNull() {
return tipodepenNull;
}

public void setTipodepen(Integer tipodepen) {
if (tipodepen == null) {
tipodepenNull = true;
this.tipodepen = 0;
} else { 
tipodepenNull = false;
this.tipodepen = tipodepen;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

