package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabChhorari {
@Coluna(nome="chhorari.horario", tipo="int")
private int horario;
private boolean horarioNull;
@Coluna(nome="chhorari.horassem", tipo="double")
private double horassem;
private boolean horassemNull;
@Coluna(nome="chhorari.inijorn1", tipo="FglDateTimeHMin")
private FglDateTimeHMin inijorn1;
@Coluna(nome="chhorari.fimjorn1", tipo="FglDateTimeHMin")
private FglDateTimeHMin fimjorn1;
@Coluna(nome="chhorari.inijorn2", tipo="FglDateTimeHMin")
private FglDateTimeHMin inijorn2;
@Coluna(nome="chhorari.fimjorn2", tipo="FglDateTimeHMin")
private FglDateTimeHMin fimjorn2;
@Coluna(nome="chhorari.inisaba1", tipo="FglDateTimeHMin")
private FglDateTimeHMin inisaba1;
@Coluna(nome="chhorari.fimsaba1", tipo="FglDateTimeHMin")
private FglDateTimeHMin fimsaba1;
@Coluna(nome="chhorari.inisaba2", tipo="FglDateTimeHMin")
private FglDateTimeHMin inisaba2;
@Coluna(nome="chhorari.fimsaba2", tipo="FglDateTimeHMin")
private FglDateTimeHMin fimsaba2;
@Coluna(nome="chhorari.observacao", tipo="String")
private String observacao;

public TabChhorari() {
initialize();
}

public void initialize() {
setHorario(null);
setHorassem(null);
setInijorn1(null);
setFimjorn1(null);
setInijorn2(null);
setFimjorn2(null);
setInisaba1(null);
setFimsaba1(null);
setInisaba2(null);
setFimsaba2(null);
setObservacao(null);
}

public TabChhorari(int horario, double horassem, FglDateTimeHMin inijorn1, FglDateTimeHMin fimjorn1, FglDateTimeHMin inijorn2, FglDateTimeHMin fimjorn2, FglDateTimeHMin inisaba1, FglDateTimeHMin fimsaba1, FglDateTimeHMin inisaba2, FglDateTimeHMin fimsaba2, String observacao) {
this.horario = horario;
this.horassem = horassem;
this.inijorn1 = inijorn1;
this.fimjorn1 = fimjorn1;
this.inijorn2 = inijorn2;
this.fimjorn2 = fimjorn2;
this.inisaba1 = inisaba1;
this.fimsaba1 = fimsaba1;
this.inisaba2 = inisaba2;
this.fimsaba2 = fimsaba2;
this.observacao = observacao;
}

public int getHorario() {
return horario;
}

public boolean isHorarioNull() {
return horarioNull;
}

public void setHorario(Integer horario) {
if (horario == null) {
horarioNull = true;
this.horario = 0;
} else { 
horarioNull = false;
this.horario = horario;
}
}

public double getHorassem() {
return horassem;
}

public boolean isHorassemNull() {
return horassemNull;
}

public void setHorassem(int horassem) {
setHorassem(new Double(horassem));
}

public void setHorassem(long horassem) {
setHorassem(new Double(horassem));
}

public void setHorassem(Double horassem) {
if (horassem == null) {
horassemNull = true;
this.horassem = 0.;
} else { 
horassemNull = false;
this.horassem = FglDouble.round(horassem, 2);
}
}

public FglDateTimeHMin getInijorn1() {
return inijorn1;
}

public void setInijorn1(FglDateTimeHMin inijorn1) {
this.inijorn1 = inijorn1;
}

public FglDateTimeHMin getFimjorn1() {
return fimjorn1;
}

public void setFimjorn1(FglDateTimeHMin fimjorn1) {
this.fimjorn1 = fimjorn1;
}

public FglDateTimeHMin getInijorn2() {
return inijorn2;
}

public void setInijorn2(FglDateTimeHMin inijorn2) {
this.inijorn2 = inijorn2;
}

public FglDateTimeHMin getFimjorn2() {
return fimjorn2;
}

public void setFimjorn2(FglDateTimeHMin fimjorn2) {
this.fimjorn2 = fimjorn2;
}

public FglDateTimeHMin getInisaba1() {
return inisaba1;
}

public void setInisaba1(FglDateTimeHMin inisaba1) {
this.inisaba1 = inisaba1;
}

public FglDateTimeHMin getFimsaba1() {
return fimsaba1;
}

public void setFimsaba1(FglDateTimeHMin fimsaba1) {
this.fimsaba1 = fimsaba1;
}

public FglDateTimeHMin getInisaba2() {
return inisaba2;
}

public void setInisaba2(FglDateTimeHMin inisaba2) {
this.inisaba2 = inisaba2;
}

public FglDateTimeHMin getFimsaba2() {
return fimsaba2;
}

public void setFimsaba2(FglDateTimeHMin fimsaba2) {
this.fimsaba2 = fimsaba2;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

