package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChinfrei {
@Coluna(nome="chinfrei.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chinfrei.dtestorno", tipo="FglDateTimeYS")
private FglDateTimeYS dtestorno;
@Coluna(nome="chinfrei.tpreint", tipo="int")
private int tpreint;
private boolean tpreintNull;
@Coluna(nome="chinfrei.nrprocjud", tipo="String")
private String nrprocjud;
@Coluna(nome="chinfrei.nrleianistia", tipo="int")
private int nrleianistia;
private boolean nrleianistiaNull;
@Coluna(nome="chinfrei.dtefetretorno", tipo="FglDate")
private FglDate dtefetretorno;
@Coluna(nome="chinfrei.dtefeito", tipo="FglDate")
private FglDate dtefeito;
@Coluna(nome="chinfrei.indpagtojuizo", tipo="String")
private String indpagtojuizo;

public TabChinfrei() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtestorno(null);
setTpreint(null);
setNrprocjud(null);
setNrleianistia(null);
setDtefetretorno(null);
setDtefeito(null);
setIndpagtojuizo(null);
}

public TabChinfrei(int idContrat, FglDateTimeYS dtestorno, int tpreint, String nrprocjud, int nrleianistia, FglDate dtefetretorno, FglDate dtefeito, String indpagtojuizo) {
this.idContrat = idContrat;
this.dtestorno = dtestorno;
this.tpreint = tpreint;
this.nrprocjud = nrprocjud;
this.nrleianistia = nrleianistia;
this.dtefetretorno = dtefetretorno;
this.dtefeito = dtefeito;
this.indpagtojuizo = indpagtojuizo;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDateTimeYS getDtestorno() {
return dtestorno;
}

public void setDtestorno(FglDateTimeYS dtestorno) {
this.dtestorno = dtestorno;
}

public int getTpreint() {
return tpreint;
}

public boolean isTpreintNull() {
return tpreintNull;
}

public void setTpreint(Integer tpreint) {
if (tpreint == null) {
tpreintNull = true;
this.tpreint = 0;
} else { 
tpreintNull = false;
this.tpreint = tpreint;
}
}

public String getNrprocjud() {
return nrprocjud;
}

public void setNrprocjud(String nrprocjud) {
this.nrprocjud = nrprocjud;
}

public int getNrleianistia() {
return nrleianistia;
}

public boolean isNrleianistiaNull() {
return nrleianistiaNull;
}

public void setNrleianistia(Integer nrleianistia) {
if (nrleianistia == null) {
nrleianistiaNull = true;
this.nrleianistia = 0;
} else { 
nrleianistiaNull = false;
this.nrleianistia = nrleianistia;
}
}

public FglDate getDtefetretorno() {
return dtefetretorno;
}

public void setDtefetretorno(FglDate dtefetretorno) {
this.dtefetretorno = dtefetretorno;
}

public FglDate getDtefeito() {
return dtefeito;
}

public void setDtefeito(FglDate dtefeito) {
this.dtefeito = dtefeito;
}

public String getIndpagtojuizo() {
return indpagtojuizo;
}

public void setIndpagtojuizo(String indpagtojuizo) {
this.indpagtojuizo = indpagtojuizo;
}

}

