package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChpadepr {
@Coluna(nome="chpadepr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="chpadepr.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chpadepr.salarioini", tipo="double")
private double salarioini;
private boolean salarioiniNull;
@Coluna(nome="chpadepr.salariofim", tipo="double")
private double salariofim;
private boolean salariofimNull;
@Coluna(nome="chpadepr.percdesconto", tipo="double")
private double percdesconto;
private boolean percdescontoNull;

public TabChpadepr() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setSalarioini(null);
setSalariofim(null);
setPercdesconto(null);
}

public TabChpadepr(int filial, FglDateTimeYM anomes, double salarioini, double salariofim, double percdesconto) {
this.filial = filial;
this.anomes = anomes;
this.salarioini = salarioini;
this.salariofim = salariofim;
this.percdesconto = percdesconto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getSalarioini() {
return salarioini;
}

public boolean isSalarioiniNull() {
return salarioiniNull;
}

public void setSalarioini(int salarioini) {
setSalarioini(new Double(salarioini));
}

public void setSalarioini(long salarioini) {
setSalarioini(new Double(salarioini));
}

public void setSalarioini(Double salarioini) {
if (salarioini == null) {
salarioiniNull = true;
this.salarioini = 0.;
} else { 
salarioiniNull = false;
this.salarioini = FglDouble.round(salarioini, 2);
}
}

public double getSalariofim() {
return salariofim;
}

public boolean isSalariofimNull() {
return salariofimNull;
}

public void setSalariofim(int salariofim) {
setSalariofim(new Double(salariofim));
}

public void setSalariofim(long salariofim) {
setSalariofim(new Double(salariofim));
}

public void setSalariofim(Double salariofim) {
if (salariofim == null) {
salariofimNull = true;
this.salariofim = 0.;
} else { 
salariofimNull = false;
this.salariofim = FglDouble.round(salariofim, 2);
}
}

public double getPercdesconto() {
return percdesconto;
}

public boolean isPercdescontoNull() {
return percdescontoNull;
}

public void setPercdesconto(int percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(long percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(Double percdesconto) {
if (percdesconto == null) {
percdescontoNull = true;
this.percdesconto = 0.;
} else { 
percdescontoNull = false;
this.percdesconto = FglDouble.round(percdesconto, 4);
}
}

}

