package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChperiod {
@Coluna(nome="chperiod.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="chperiod.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chperiod.dtini", tipo="FglDate")
private FglDate dtini;
@Coluna(nome="chperiod.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="chperiod.dtpgto", tipo="FglDate")
private FglDate dtpgto;

public TabChperiod() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setDtini(null);
setDtfim(null);
setDtpgto(null);
}

public TabChperiod(int filial, FglDateTimeYM anomes, FglDate dtini, FglDate dtfim, FglDate dtpgto) {
this.filial = filial;
this.anomes = anomes;
this.dtini = dtini;
this.dtfim = dtfim;
this.dtpgto = dtpgto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public FglDate getDtini() {
return dtini;
}

public void setDtini(FglDate dtini) {
this.dtini = dtini;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

}

