package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChplpess {
@Coluna(nome="chplpess.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chplpess.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chplpess.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chplpess.qtdedepen", tipo="int")
private int qtdedepen;
private boolean qtdedepenNull;
@Coluna(nome="chplpess.dtadmis", tipo="FglDate")
private FglDate dtadmis;
@Coluna(nome="chplpess.cbo", tipo="int")
private int cbo;
private boolean cboNull;
@Coluna(nome="chplpess.darf", tipo="int")
private int darf;
private boolean darfNull;
@Coluna(nome="chplpess.tipoadmi", tipo="int")
private int tipoadmi;
private boolean tipoadmiNull;
@Coluna(nome="chplpess.horassem", tipo="int")
private int horassem;
private boolean horassemNull;
@Coluna(nome="chplpess.salcont", tipo="int")
private int salcont;
private boolean salcontNull;
@Coluna(nome="chplpess.vinculo", tipo="int")
private int vinculo;
private boolean vinculoNull;
@Coluna(nome="chplpess.valorprolab", tipo="double")
private double valorprolab;
private boolean valorprolabNull;
@Coluna(nome="chplpess.valorpensao", tipo="double")
private double valorpensao;
private boolean valorpensaoNull;
@Coluna(nome="chplpess.vlrprevp", tipo="double")
private double vlrprevp;
private boolean vlrprevpNull;
@Coluna(nome="chplpess.aposentado", tipo="String")
private String aposentado;
@Coluna(nome="chplpess.categoria", tipo="int")
private int categoria;
private boolean categoriaNull;
@Coluna(nome="chplpess.ocorrencia", tipo="int")
private int ocorrencia;
private boolean ocorrenciaNull;
@Coluna(nome="chplpess.codsefip", tipo="int")
private int codsefip;
private boolean codsefipNull;
@Coluna(nome="chplpess.codinss", tipo="long")
private long codinss;
private boolean codinssNull;
@Coluna(nome="chplpess.valorinss", tipo="double")
private double valorinss;
private boolean valorinssNull;
@Coluna(nome="chplpess.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="chplpess.conta", tipo="long")
private long conta;
private boolean contaNull;
@Coluna(nome="chplpess.digito", tipo="String")
private String digito;
@Coluna(nome="chplpess.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="chplpess.contafgts", tipo="long")
private long contafgts;
private boolean contafgtsNull;
@Coluna(nome="chplpess.digitfgts", tipo="String")
private String digitfgts;
@Coluna(nome="chplpess.funcao", tipo="int")
private int funcao;
private boolean funcaoNull;

public TabChplpess() {
initialize();
}

public void initialize() {
setEmpresa(null);
setCgccpf(null);
setTppessoa(null);
setQtdedepen(null);
setDtadmis(null);
setCbo(null);
setDarf(null);
setTipoadmi(null);
setHorassem(null);
setSalcont(null);
setVinculo(null);
setValorprolab(null);
setValorpensao(null);
setVlrprevp(null);
setAposentado(null);
setCategoria(null);
setOcorrencia(null);
setCodsefip(null);
setCodinss(null);
setValorinss(null);
setIdBancos(null);
setConta(null);
setDigito(null);
setIdSetor(null);
setContafgts(null);
setDigitfgts(null);
setFuncao(null);
}

public TabChplpess(int empresa, long cgccpf, int tppessoa, int qtdedepen, FglDate dtadmis, int cbo, int darf, int tipoadmi, int horassem, int salcont, int vinculo, double valorprolab, double valorpensao, double vlrprevp, String aposentado, int categoria, int ocorrencia, int codsefip, long codinss, double valorinss, int idBancos, long conta, String digito, int idSetor, long contafgts, String digitfgts, int funcao) {
this.empresa = empresa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtdedepen = qtdedepen;
this.dtadmis = dtadmis;
this.cbo = cbo;
this.darf = darf;
this.tipoadmi = tipoadmi;
this.horassem = horassem;
this.salcont = salcont;
this.vinculo = vinculo;
this.valorprolab = valorprolab;
this.valorpensao = valorpensao;
this.vlrprevp = vlrprevp;
this.aposentado = aposentado;
this.categoria = categoria;
this.ocorrencia = ocorrencia;
this.codsefip = codsefip;
this.codinss = codinss;
this.valorinss = valorinss;
this.idBancos = idBancos;
this.conta = conta;
this.digito = digito;
this.idSetor = idSetor;
this.contafgts = contafgts;
this.digitfgts = digitfgts;
this.funcao = funcao;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getQtdedepen() {
return qtdedepen;
}

public boolean isQtdedepenNull() {
return qtdedepenNull;
}

public void setQtdedepen(Integer qtdedepen) {
if (qtdedepen == null) {
qtdedepenNull = true;
this.qtdedepen = 0;
} else { 
qtdedepenNull = false;
this.qtdedepen = qtdedepen;
}
}

public FglDate getDtadmis() {
return dtadmis;
}

public void setDtadmis(FglDate dtadmis) {
this.dtadmis = dtadmis;
}

public int getCbo() {
return cbo;
}

public boolean isCboNull() {
return cboNull;
}

public void setCbo(Integer cbo) {
if (cbo == null) {
cboNull = true;
this.cbo = 0;
} else { 
cboNull = false;
this.cbo = cbo;
}
}

public int getDarf() {
return darf;
}

public boolean isDarfNull() {
return darfNull;
}

public void setDarf(Integer darf) {
if (darf == null) {
darfNull = true;
this.darf = 0;
} else { 
darfNull = false;
this.darf = darf;
}
}

public int getTipoadmi() {
return tipoadmi;
}

public boolean isTipoadmiNull() {
return tipoadmiNull;
}

public void setTipoadmi(Integer tipoadmi) {
if (tipoadmi == null) {
tipoadmiNull = true;
this.tipoadmi = 0;
} else { 
tipoadmiNull = false;
this.tipoadmi = tipoadmi;
}
}

public int getHorassem() {
return horassem;
}

public boolean isHorassemNull() {
return horassemNull;
}

public void setHorassem(Integer horassem) {
if (horassem == null) {
horassemNull = true;
this.horassem = 0;
} else { 
horassemNull = false;
this.horassem = horassem;
}
}

public int getSalcont() {
return salcont;
}

public boolean isSalcontNull() {
return salcontNull;
}

public void setSalcont(Integer salcont) {
if (salcont == null) {
salcontNull = true;
this.salcont = 0;
} else { 
salcontNull = false;
this.salcont = salcont;
}
}

public int getVinculo() {
return vinculo;
}

public boolean isVinculoNull() {
return vinculoNull;
}

public void setVinculo(Integer vinculo) {
if (vinculo == null) {
vinculoNull = true;
this.vinculo = 0;
} else { 
vinculoNull = false;
this.vinculo = vinculo;
}
}

public double getValorprolab() {
return valorprolab;
}

public boolean isValorprolabNull() {
return valorprolabNull;
}

public void setValorprolab(int valorprolab) {
setValorprolab(new Double(valorprolab));
}

public void setValorprolab(long valorprolab) {
setValorprolab(new Double(valorprolab));
}

public void setValorprolab(Double valorprolab) {
if (valorprolab == null) {
valorprolabNull = true;
this.valorprolab = 0.;
} else { 
valorprolabNull = false;
this.valorprolab = FglDouble.round(valorprolab, 2);
}
}

public double getValorpensao() {
return valorpensao;
}

public boolean isValorpensaoNull() {
return valorpensaoNull;
}

public void setValorpensao(int valorpensao) {
setValorpensao(new Double(valorpensao));
}

public void setValorpensao(long valorpensao) {
setValorpensao(new Double(valorpensao));
}

public void setValorpensao(Double valorpensao) {
if (valorpensao == null) {
valorpensaoNull = true;
this.valorpensao = 0.;
} else { 
valorpensaoNull = false;
this.valorpensao = FglDouble.round(valorpensao, 2);
}
}

public double getVlrprevp() {
return vlrprevp;
}

public boolean isVlrprevpNull() {
return vlrprevpNull;
}

public void setVlrprevp(int vlrprevp) {
setVlrprevp(new Double(vlrprevp));
}

public void setVlrprevp(long vlrprevp) {
setVlrprevp(new Double(vlrprevp));
}

public void setVlrprevp(Double vlrprevp) {
if (vlrprevp == null) {
vlrprevpNull = true;
this.vlrprevp = 0.;
} else { 
vlrprevpNull = false;
this.vlrprevp = FglDouble.round(vlrprevp, 2);
}
}

public String getAposentado() {
return aposentado;
}

public void setAposentado(String aposentado) {
this.aposentado = aposentado;
}

public int getCategoria() {
return categoria;
}

public boolean isCategoriaNull() {
return categoriaNull;
}

public void setCategoria(Integer categoria) {
if (categoria == null) {
categoriaNull = true;
this.categoria = 0;
} else { 
categoriaNull = false;
this.categoria = categoria;
}
}

public int getOcorrencia() {
return ocorrencia;
}

public boolean isOcorrenciaNull() {
return ocorrenciaNull;
}

public void setOcorrencia(Integer ocorrencia) {
if (ocorrencia == null) {
ocorrenciaNull = true;
this.ocorrencia = 0;
} else { 
ocorrenciaNull = false;
this.ocorrencia = ocorrencia;
}
}

public int getCodsefip() {
return codsefip;
}

public boolean isCodsefipNull() {
return codsefipNull;
}

public void setCodsefip(Integer codsefip) {
if (codsefip == null) {
codsefipNull = true;
this.codsefip = 0;
} else { 
codsefipNull = false;
this.codsefip = codsefip;
}
}

public long getCodinss() {
return codinss;
}

public boolean isCodinssNull() {
return codinssNull;
}

public void setCodinss(int codinss) {
setCodinss(new Long(codinss));
}

public void setCodinss(Long codinss) {
if (codinss == null) {
codinssNull = true;
this.codinss = 0l;
} else { 
codinssNull = false;
this.codinss = codinss;
}
}

public double getValorinss() {
return valorinss;
}

public boolean isValorinssNull() {
return valorinssNull;
}

public void setValorinss(int valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(long valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(Double valorinss) {
if (valorinss == null) {
valorinssNull = true;
this.valorinss = 0.;
} else { 
valorinssNull = false;
this.valorinss = FglDouble.round(valorinss, 2);
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(int conta) {
setConta(new Long(conta));
}

public void setConta(Long conta) {
if (conta == null) {
contaNull = true;
this.conta = 0l;
} else { 
contaNull = false;
this.conta = conta;
}
}

public String getDigito() {
return digito;
}

public void setDigito(String digito) {
this.digito = digito;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public long getContafgts() {
return contafgts;
}

public boolean isContafgtsNull() {
return contafgtsNull;
}

public void setContafgts(int contafgts) {
setContafgts(new Long(contafgts));
}

public void setContafgts(Long contafgts) {
if (contafgts == null) {
contafgtsNull = true;
this.contafgts = 0l;
} else { 
contafgtsNull = false;
this.contafgts = contafgts;
}
}

public String getDigitfgts() {
return digitfgts;
}

public void setDigitfgts(String digitfgts) {
this.digitfgts = digitfgts;
}

public int getFuncao() {
return funcao;
}

public boolean isFuncaoNull() {
return funcaoNull;
}

public void setFuncao(Integer funcao) {
if (funcao == null) {
funcaoNull = true;
this.funcao = 0;
} else { 
funcaoNull = false;
this.funcao = funcao;
}
}

}

