package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChponfer {
@Coluna(nome="chponfer.id_ponto", tipo="int")
private int idPonto;
private boolean idPontoNull;
@Coluna(nome="chponfer.id_ferias", tipo="int")
private int idFerias;
private boolean idFeriasNull;
@Coluna(nome="chponfer.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chponfer.qtdeeve", tipo="long")
private long qtdeeve;
private boolean qtdeeveNull;
@Coluna(nome="chponfer.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChponfer() {
initialize();
}

public void initialize() {
setIdPonto(null);
setIdFerias(null);
setEvento(null);
setQtdeeve(null);
setValor(null);
}

public TabChponfer(int idPonto, int idFerias, int evento, long qtdeeve, double valor) {
this.idPonto = idPonto;
this.idFerias = idFerias;
this.evento = evento;
this.qtdeeve = qtdeeve;
this.valor = valor;
}

public int getIdPonto() {
return idPonto;
}

public boolean isIdPontoNull() {
return idPontoNull;
}

public void setIdPonto(Integer idPonto) {
if (idPonto == null) {
idPontoNull = true;
this.idPonto = 0;
} else { 
idPontoNull = false;
this.idPonto = idPonto;
}
}

public int getIdFerias() {
return idFerias;
}

public boolean isIdFeriasNull() {
return idFeriasNull;
}

public void setIdFerias(Integer idFerias) {
if (idFerias == null) {
idFeriasNull = true;
this.idFerias = 0;
} else { 
idFeriasNull = false;
this.idFerias = idFerias;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public long getQtdeeve() {
return qtdeeve;
}

public boolean isQtdeeveNull() {
return qtdeeveNull;
}

public void setQtdeeve(int qtdeeve) {
setQtdeeve(new Long(qtdeeve));
}

public void setQtdeeve(Long qtdeeve) {
if (qtdeeve == null) {
qtdeeveNull = true;
this.qtdeeve = 0l;
} else { 
qtdeeveNull = false;
this.qtdeeve = qtdeeve;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

