package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChponto {
@Coluna(nome="chponto.id_ponto", tipo="int")
private int idPonto;
private boolean idPontoNull;
@Coluna(nome="chponto.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chponto.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chponto.diempreit", tipo="double")
private double diempreit;
private boolean diempreitNull;
@Coluna(nome="chponto.didiarias", tipo="double")
private double didiarias;
private boolean didiariasNull;
@Coluna(nome="chponto.diferias", tipo="double")
private double diferias;
private boolean diferiasNull;
@Coluna(nome="chponto.diatestad", tipo="double")
private double diatestad;
private boolean diatestadNull;
@Coluna(nome="chponto.diafastad", tipo="double")
private double diafastad;
private boolean diafastadNull;
@Coluna(nome="chponto.dijustifi", tipo="double")
private double dijustifi;
private boolean dijustifiNull;
@Coluna(nome="chponto.dichuva", tipo="double")
private double dichuva;
private boolean dichuvaNull;
@Coluna(nome="chponto.dimedia", tipo="double")
private double dimedia;
private boolean dimediaNull;
@Coluna(nome="chponto.diaviso", tipo="double")
private double diaviso;
private boolean diavisoNull;
@Coluna(nome="chponto.faltasper", tipo="double")
private double faltasper;
private boolean faltasperNull;
@Coluna(nome="chponto.faltasant", tipo="double")
private double faltasant;
private boolean faltasantNull;

public TabChponto() {
initialize();
}

public void initialize() {
setIdPonto(null);
setAnomes(null);
setIdContrat(null);
setDiempreit(null);
setDidiarias(null);
setDiferias(null);
setDiatestad(null);
setDiafastad(null);
setDijustifi(null);
setDichuva(null);
setDimedia(null);
setDiaviso(null);
setFaltasper(null);
setFaltasant(null);
}

public TabChponto(int idPonto, FglDateTimeYM anomes, int idContrat, double diempreit, double didiarias, double diferias, double diatestad, double diafastad, double dijustifi, double dichuva, double dimedia, double diaviso, double faltasper, double faltasant) {
this.idPonto = idPonto;
this.anomes = anomes;
this.idContrat = idContrat;
this.diempreit = diempreit;
this.didiarias = didiarias;
this.diferias = diferias;
this.diatestad = diatestad;
this.diafastad = diafastad;
this.dijustifi = dijustifi;
this.dichuva = dichuva;
this.dimedia = dimedia;
this.diaviso = diaviso;
this.faltasper = faltasper;
this.faltasant = faltasant;
}

public int getIdPonto() {
return idPonto;
}

public boolean isIdPontoNull() {
return idPontoNull;
}

public void setIdPonto(Integer idPonto) {
if (idPonto == null) {
idPontoNull = true;
this.idPonto = 0;
} else { 
idPontoNull = false;
this.idPonto = idPonto;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public double getDiempreit() {
return diempreit;
}

public boolean isDiempreitNull() {
return diempreitNull;
}

public void setDiempreit(int diempreit) {
setDiempreit(new Double(diempreit));
}

public void setDiempreit(long diempreit) {
setDiempreit(new Double(diempreit));
}

public void setDiempreit(Double diempreit) {
if (diempreit == null) {
diempreitNull = true;
this.diempreit = 0.;
} else { 
diempreitNull = false;
this.diempreit = FglDouble.round(diempreit, 1);
}
}

public double getDidiarias() {
return didiarias;
}

public boolean isDidiariasNull() {
return didiariasNull;
}

public void setDidiarias(int didiarias) {
setDidiarias(new Double(didiarias));
}

public void setDidiarias(long didiarias) {
setDidiarias(new Double(didiarias));
}

public void setDidiarias(Double didiarias) {
if (didiarias == null) {
didiariasNull = true;
this.didiarias = 0.;
} else { 
didiariasNull = false;
this.didiarias = FglDouble.round(didiarias, 1);
}
}

public double getDiferias() {
return diferias;
}

public boolean isDiferiasNull() {
return diferiasNull;
}

public void setDiferias(int diferias) {
setDiferias(new Double(diferias));
}

public void setDiferias(long diferias) {
setDiferias(new Double(diferias));
}

public void setDiferias(Double diferias) {
if (diferias == null) {
diferiasNull = true;
this.diferias = 0.;
} else { 
diferiasNull = false;
this.diferias = FglDouble.round(diferias, 1);
}
}

public double getDiatestad() {
return diatestad;
}

public boolean isDiatestadNull() {
return diatestadNull;
}

public void setDiatestad(int diatestad) {
setDiatestad(new Double(diatestad));
}

public void setDiatestad(long diatestad) {
setDiatestad(new Double(diatestad));
}

public void setDiatestad(Double diatestad) {
if (diatestad == null) {
diatestadNull = true;
this.diatestad = 0.;
} else { 
diatestadNull = false;
this.diatestad = FglDouble.round(diatestad, 1);
}
}

public double getDiafastad() {
return diafastad;
}

public boolean isDiafastadNull() {
return diafastadNull;
}

public void setDiafastad(int diafastad) {
setDiafastad(new Double(diafastad));
}

public void setDiafastad(long diafastad) {
setDiafastad(new Double(diafastad));
}

public void setDiafastad(Double diafastad) {
if (diafastad == null) {
diafastadNull = true;
this.diafastad = 0.;
} else { 
diafastadNull = false;
this.diafastad = FglDouble.round(diafastad, 1);
}
}

public double getDijustifi() {
return dijustifi;
}

public boolean isDijustifiNull() {
return dijustifiNull;
}

public void setDijustifi(int dijustifi) {
setDijustifi(new Double(dijustifi));
}

public void setDijustifi(long dijustifi) {
setDijustifi(new Double(dijustifi));
}

public void setDijustifi(Double dijustifi) {
if (dijustifi == null) {
dijustifiNull = true;
this.dijustifi = 0.;
} else { 
dijustifiNull = false;
this.dijustifi = FglDouble.round(dijustifi, 1);
}
}

public double getDichuva() {
return dichuva;
}

public boolean isDichuvaNull() {
return dichuvaNull;
}

public void setDichuva(int dichuva) {
setDichuva(new Double(dichuva));
}

public void setDichuva(long dichuva) {
setDichuva(new Double(dichuva));
}

public void setDichuva(Double dichuva) {
if (dichuva == null) {
dichuvaNull = true;
this.dichuva = 0.;
} else { 
dichuvaNull = false;
this.dichuva = FglDouble.round(dichuva, 1);
}
}

public double getDimedia() {
return dimedia;
}

public boolean isDimediaNull() {
return dimediaNull;
}

public void setDimedia(int dimedia) {
setDimedia(new Double(dimedia));
}

public void setDimedia(long dimedia) {
setDimedia(new Double(dimedia));
}

public void setDimedia(Double dimedia) {
if (dimedia == null) {
dimediaNull = true;
this.dimedia = 0.;
} else { 
dimediaNull = false;
this.dimedia = FglDouble.round(dimedia, 1);
}
}

public double getDiaviso() {
return diaviso;
}

public boolean isDiavisoNull() {
return diavisoNull;
}

public void setDiaviso(int diaviso) {
setDiaviso(new Double(diaviso));
}

public void setDiaviso(long diaviso) {
setDiaviso(new Double(diaviso));
}

public void setDiaviso(Double diaviso) {
if (diaviso == null) {
diavisoNull = true;
this.diaviso = 0.;
} else { 
diavisoNull = false;
this.diaviso = FglDouble.round(diaviso, 1);
}
}

public double getFaltasper() {
return faltasper;
}

public boolean isFaltasperNull() {
return faltasperNull;
}

public void setFaltasper(int faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(long faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(Double faltasper) {
if (faltasper == null) {
faltasperNull = true;
this.faltasper = 0.;
} else { 
faltasperNull = false;
this.faltasper = FglDouble.round(faltasper, 1);
}
}

public double getFaltasant() {
return faltasant;
}

public boolean isFaltasantNull() {
return faltasantNull;
}

public void setFaltasant(int faltasant) {
setFaltasant(new Double(faltasant));
}

public void setFaltasant(long faltasant) {
setFaltasant(new Double(faltasant));
}

public void setFaltasant(Double faltasant) {
if (faltasant == null) {
faltasantNull = true;
this.faltasant = 0.;
} else { 
faltasantNull = false;
this.faltasant = FglDouble.round(faltasant, 1);
}
}

}

