package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabChrSalesEntrega {
@Coluna(nome="chr_sales_entrega.cod_concessionaria", tipo="String")
private String codConcessionaria;
@Coluna(nome="chr_sales_entrega.chassi", tipo="String")
private String chassi;
@Coluna(nome="chr_sales_entrega.dta_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaInclusao;
@Coluna(nome="chr_sales_entrega.dta_entrega", tipo="FglDateTimeYS")
private FglDateTimeYS dtaEntrega;
@Coluna(nome="chr_sales_entrega.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="chr_sales_entrega.observacoes", tipo="String")
private String observacoes;
@Coluna(nome="chr_sales_entrega.status_entrega", tipo="String")
private String statusEntrega;
@Coluna(nome="chr_sales_entrega.cod_retorno", tipo="String")
private String codRetorno;
@Coluna(nome="chr_sales_entrega.des_retorno", tipo="String")
private String desRetorno;

public TabChrSalesEntrega() {
initialize();
}

public void initialize() {
setCodConcessionaria(null);
setChassi(null);
setDtaInclusao(null);
setDtaEntrega(null);
setStatusEnvio(null);
setObservacoes(null);
setStatusEntrega(null);
setCodRetorno(null);
setDesRetorno(null);
}

public TabChrSalesEntrega(String codConcessionaria, String chassi, FglDateTimeYS dtaInclusao, FglDateTimeYS dtaEntrega, String statusEnvio, String observacoes, String statusEntrega, String codRetorno, String desRetorno) {
this.codConcessionaria = codConcessionaria;
this.chassi = chassi;
this.dtaInclusao = dtaInclusao;
this.dtaEntrega = dtaEntrega;
this.statusEnvio = statusEnvio;
this.observacoes = observacoes;
this.statusEntrega = statusEntrega;
this.codRetorno = codRetorno;
this.desRetorno = desRetorno;
}

public String getCodConcessionaria() {
return codConcessionaria;
}

public void setCodConcessionaria(String codConcessionaria) {
this.codConcessionaria = codConcessionaria;
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public FglDateTimeYS getDtaInclusao() {
return dtaInclusao;
}

public void setDtaInclusao(FglDateTimeYS dtaInclusao) {
this.dtaInclusao = dtaInclusao;
}

public FglDateTimeYS getDtaEntrega() {
return dtaEntrega;
}

public void setDtaEntrega(FglDateTimeYS dtaEntrega) {
this.dtaEntrega = dtaEntrega;
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

public String getStatusEntrega() {
return statusEntrega;
}

public void setStatusEntrega(String statusEntrega) {
this.statusEntrega = statusEntrega;
}

public String getCodRetorno() {
return codRetorno;
}

public void setCodRetorno(String codRetorno) {
this.codRetorno = codRetorno;
}

public String getDesRetorno() {
return desRetorno;
}

public void setDesRetorno(String desRetorno) {
this.desRetorno = desRetorno;
}

}

