package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabChrSalesFutura {
@Coluna(nome="chr_sales_futura.cod_concessionaria", tipo="String")
private String codConcessionaria;
@Coluna(nome="chr_sales_futura.id_atendimento", tipo="String")
private String idAtendimento;
@Coluna(nome="chr_sales_futura.dta_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaInclusao;
@Coluna(nome="chr_sales_futura.chassis", tipo="String")
private String chassis;

public TabChrSalesFutura() {
initialize();
}

public void initialize() {
setCodConcessionaria(null);
setIdAtendimento(null);
setDtaInclusao(null);
setChassis(null);
}

public TabChrSalesFutura(String codConcessionaria, String idAtendimento, FglDateTimeYS dtaInclusao, String chassis) {
this.codConcessionaria = codConcessionaria;
this.idAtendimento = idAtendimento;
this.dtaInclusao = dtaInclusao;
this.chassis = chassis;
}

public String getCodConcessionaria() {
return codConcessionaria;
}

public void setCodConcessionaria(String codConcessionaria) {
this.codConcessionaria = codConcessionaria;
}

public String getIdAtendimento() {
return idAtendimento;
}

public void setIdAtendimento(String idAtendimento) {
this.idAtendimento = idAtendimento;
}

public FglDateTimeYS getDtaInclusao() {
return dtaInclusao;
}

public void setDtaInclusao(FglDateTimeYS dtaInclusao) {
this.dtaInclusao = dtaInclusao;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

}

