package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabChrSalesReserva {
@Coluna(nome="chr_sales_reserva.cod_concessionaria", tipo="String")
private String codConcessionaria;
@Coluna(nome="chr_sales_reserva.chassi", tipo="String")
private String chassi;
@Coluna(nome="chr_sales_reserva.dta_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaInclusao;
@Coluna(nome="chr_sales_reserva.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="chr_sales_reserva.dta_atendimento", tipo="FglDateTimeYS")
private FglDateTimeYS dtaAtendimento;
@Coluna(nome="chr_sales_reserva.tipo_atendimento", tipo="String")
private String tipoAtendimento;
@Coluna(nome="chr_sales_reserva.veiculo_interesse", tipo="String")
private String veiculoInteresse;
@Coluna(nome="chr_sales_reserva.midia_origem", tipo="String")
private String midiaOrigem;
@Coluna(nome="chr_sales_reserva.nome", tipo="String")
private String nome;
@Coluna(nome="chr_sales_reserva.sobrenome", tipo="String")
private String sobrenome;
@Coluna(nome="chr_sales_reserva.nome_empresa", tipo="String")
private String nomeEmpresa;
@Coluna(nome="chr_sales_reserva.telefone_residencial", tipo="String")
private String telefoneResidencial;
@Coluna(nome="chr_sales_reserva.telefone_comercial", tipo="String")
private String telefoneComercial;
@Coluna(nome="chr_sales_reserva.telefone_celular", tipo="String")
private String telefoneCelular;
@Coluna(nome="chr_sales_reserva.cod_vendedor", tipo="String")
private String codVendedor;
@Coluna(nome="chr_sales_reserva.situacao", tipo="String")
private String situacao;
@Coluna(nome="chr_sales_reserva.status", tipo="String")
private String status;
@Coluna(nome="chr_sales_reserva.cod_atendimento_dms", tipo="String")
private String codAtendimentoDms;
@Coluna(nome="chr_sales_reserva.cod_retorno", tipo="String")
private String codRetorno;
@Coluna(nome="chr_sales_reserva.des_retorno", tipo="String")
private String desRetorno;

public TabChrSalesReserva() {
initialize();
}

public void initialize() {
setCodConcessionaria(null);
setChassi(null);
setDtaInclusao(null);
setStatusEnvio(null);
setDtaAtendimento(null);
setTipoAtendimento(null);
setVeiculoInteresse(null);
setMidiaOrigem(null);
setNome(null);
setSobrenome(null);
setNomeEmpresa(null);
setTelefoneResidencial(null);
setTelefoneComercial(null);
setTelefoneCelular(null);
setCodVendedor(null);
setSituacao(null);
setStatus(null);
setCodAtendimentoDms(null);
setCodRetorno(null);
setDesRetorno(null);
}

public TabChrSalesReserva(String codConcessionaria, String chassi, FglDateTimeYS dtaInclusao, String statusEnvio, FglDateTimeYS dtaAtendimento, String tipoAtendimento, String veiculoInteresse, String midiaOrigem, String nome, String sobrenome, String nomeEmpresa, String telefoneResidencial, String telefoneComercial, String telefoneCelular, String codVendedor, String situacao, String status, String codAtendimentoDms, String codRetorno, String desRetorno) {
this.codConcessionaria = codConcessionaria;
this.chassi = chassi;
this.dtaInclusao = dtaInclusao;
this.statusEnvio = statusEnvio;
this.dtaAtendimento = dtaAtendimento;
this.tipoAtendimento = tipoAtendimento;
this.veiculoInteresse = veiculoInteresse;
this.midiaOrigem = midiaOrigem;
this.nome = nome;
this.sobrenome = sobrenome;
this.nomeEmpresa = nomeEmpresa;
this.telefoneResidencial = telefoneResidencial;
this.telefoneComercial = telefoneComercial;
this.telefoneCelular = telefoneCelular;
this.codVendedor = codVendedor;
this.situacao = situacao;
this.status = status;
this.codAtendimentoDms = codAtendimentoDms;
this.codRetorno = codRetorno;
this.desRetorno = desRetorno;
}

public String getCodConcessionaria() {
return codConcessionaria;
}

public void setCodConcessionaria(String codConcessionaria) {
this.codConcessionaria = codConcessionaria;
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public FglDateTimeYS getDtaInclusao() {
return dtaInclusao;
}

public void setDtaInclusao(FglDateTimeYS dtaInclusao) {
this.dtaInclusao = dtaInclusao;
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public FglDateTimeYS getDtaAtendimento() {
return dtaAtendimento;
}

public void setDtaAtendimento(FglDateTimeYS dtaAtendimento) {
this.dtaAtendimento = dtaAtendimento;
}

public String getTipoAtendimento() {
return tipoAtendimento;
}

public void setTipoAtendimento(String tipoAtendimento) {
this.tipoAtendimento = tipoAtendimento;
}

public String getVeiculoInteresse() {
return veiculoInteresse;
}

public void setVeiculoInteresse(String veiculoInteresse) {
this.veiculoInteresse = veiculoInteresse;
}

public String getMidiaOrigem() {
return midiaOrigem;
}

public void setMidiaOrigem(String midiaOrigem) {
this.midiaOrigem = midiaOrigem;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getSobrenome() {
return sobrenome;
}

public void setSobrenome(String sobrenome) {
this.sobrenome = sobrenome;
}

public String getNomeEmpresa() {
return nomeEmpresa;
}

public void setNomeEmpresa(String nomeEmpresa) {
this.nomeEmpresa = nomeEmpresa;
}

public String getTelefoneResidencial() {
return telefoneResidencial;
}

public void setTelefoneResidencial(String telefoneResidencial) {
this.telefoneResidencial = telefoneResidencial;
}

public String getTelefoneComercial() {
return telefoneComercial;
}

public void setTelefoneComercial(String telefoneComercial) {
this.telefoneComercial = telefoneComercial;
}

public String getTelefoneCelular() {
return telefoneCelular;
}

public void setTelefoneCelular(String telefoneCelular) {
this.telefoneCelular = telefoneCelular;
}

public String getCodVendedor() {
return codVendedor;
}

public void setCodVendedor(String codVendedor) {
this.codVendedor = codVendedor;
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getCodAtendimentoDms() {
return codAtendimentoDms;
}

public void setCodAtendimentoDms(String codAtendimentoDms) {
this.codAtendimentoDms = codAtendimentoDms;
}

public String getCodRetorno() {
return codRetorno;
}

public void setCodRetorno(String codRetorno) {
this.codRetorno = codRetorno;
}

public String getDesRetorno() {
return desRetorno;
}

public void setDesRetorno(String desRetorno) {
this.desRetorno = desRetorno;
}

}

