package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChreouvi {
@Coluna(nome="chreouvi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chreouvi.id_vinculo", tipo="int")
private int idVinculo;
private boolean idVinculoNull;
@Coluna(nome="chreouvi.vlrremuneracao", tipo="double")
private double vlrremuneracao;
private boolean vlrremuneracaoNull;

public TabChreouvi() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdVinculo(null);
setVlrremuneracao(null);
}

public TabChreouvi(FglDateTimeYM anomes, int idVinculo, double vlrremuneracao) {
this.anomes = anomes;
this.idVinculo = idVinculo;
this.vlrremuneracao = vlrremuneracao;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdVinculo() {
return idVinculo;
}

public boolean isIdVinculoNull() {
return idVinculoNull;
}

public void setIdVinculo(Integer idVinculo) {
if (idVinculo == null) {
idVinculoNull = true;
this.idVinculo = 0;
} else { 
idVinculoNull = false;
this.idVinculo = idVinculo;
}
}

public double getVlrremuneracao() {
return vlrremuneracao;
}

public boolean isVlrremuneracaoNull() {
return vlrremuneracaoNull;
}

public void setVlrremuneracao(int vlrremuneracao) {
setVlrremuneracao(new Double(vlrremuneracao));
}

public void setVlrremuneracao(long vlrremuneracao) {
setVlrremuneracao(new Double(vlrremuneracao));
}

public void setVlrremuneracao(Double vlrremuneracao) {
if (vlrremuneracao == null) {
vlrremuneracaoNull = true;
this.vlrremuneracao = 0.;
} else { 
vlrremuneracaoNull = false;
this.vlrremuneracao = FglDouble.round(vlrremuneracao, 2);
}
}

}

