package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabChreseve {
@Coluna(nome="chreseve.camporesc", tipo="int")
private int camporesc;
private boolean camporescNull;
@Coluna(nome="chreseve.subitem", tipo="int")
private int subitem;
private boolean subitemNull;
@Coluna(nome="chreseve.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chreseve.descricao", tipo="String")
private String descricao;

public TabChreseve() {
initialize();
}

public void initialize() {
setCamporesc(null);
setSubitem(null);
setEvento(null);
setDescricao(null);
}

public TabChreseve(int camporesc, int subitem, int evento, String descricao) {
this.camporesc = camporesc;
this.subitem = subitem;
this.evento = evento;
this.descricao = descricao;
}

public int getCamporesc() {
return camporesc;
}

public boolean isCamporescNull() {
return camporescNull;
}

public void setCamporesc(Integer camporesc) {
if (camporesc == null) {
camporescNull = true;
this.camporesc = 0;
} else { 
camporescNull = false;
this.camporesc = camporesc;
}
}

public int getSubitem() {
return subitem;
}

public boolean isSubitemNull() {
return subitemNull;
}

public void setSubitem(Integer subitem) {
if (subitem == null) {
subitemNull = true;
this.subitem = 0;
} else { 
subitemNull = false;
this.subitem = subitem;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

