package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChsitfun {
@Coluna(nome="chsitfun.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chsitfun.dtini", tipo="FglDate")
private FglDate dtini;
@Coluna(nome="chsitfun.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="chsitfun.sindicato", tipo="int")
private int sindicato;
private boolean sindicatoNull;
@Coluna(nome="chsitfun.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="chsitfun.funcao", tipo="int")
private int funcao;
private boolean funcaoNull;
@Coluna(nome="chsitfun.salario", tipo="double")
private double salario;
private boolean salarioNull;
@Coluna(nome="chsitfun.salgarant", tipo="double")
private double salgarant;
private boolean salgarantNull;
@Coluna(nome="chsitfun.motafast", tipo="int")
private int motafast;
private boolean motafastNull;
@Coluna(nome="chsitfun.periculos", tipo="int")
private int periculos;
private boolean periculosNull;
@Coluna(nome="chsitfun.insalubri", tipo="int")
private int insalubri;
private boolean insalubriNull;
@Coluna(nome="chsitfun.codcateg", tipo="int")
private int codcateg;
private boolean codcategNull;
@Coluna(nome="chsitfun.salcont", tipo="int")
private int salcont;
private boolean salcontNull;
@Coluna(nome="chsitfun.observacao", tipo="String")
private String observacao;
@Coluna(nome="chsitfun.observacao2", tipo="String")
private String observacao2;

public TabChsitfun() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtini(null);
setDtfim(null);
setSindicato(null);
setIdSetor(null);
setFuncao(null);
setSalario(null);
setSalgarant(null);
setMotafast(null);
setPericulos(null);
setInsalubri(null);
setCodcateg(null);
setSalcont(null);
setObservacao(null);
setObservacao2(null);
}

public TabChsitfun(int idContrat, FglDate dtini, FglDate dtfim, int sindicato, int idSetor, int funcao, double salario, double salgarant, int motafast, int periculos, int insalubri, int codcateg, int salcont, String observacao, String observacao2) {
this.idContrat = idContrat;
this.dtini = dtini;
this.dtfim = dtfim;
this.sindicato = sindicato;
this.idSetor = idSetor;
this.funcao = funcao;
this.salario = salario;
this.salgarant = salgarant;
this.motafast = motafast;
this.periculos = periculos;
this.insalubri = insalubri;
this.codcateg = codcateg;
this.salcont = salcont;
this.observacao = observacao;
this.observacao2 = observacao2;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtini() {
return dtini;
}

public void setDtini(FglDate dtini) {
this.dtini = dtini;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public int getSindicato() {
return sindicato;
}

public boolean isSindicatoNull() {
return sindicatoNull;
}

public void setSindicato(Integer sindicato) {
if (sindicato == null) {
sindicatoNull = true;
this.sindicato = 0;
} else { 
sindicatoNull = false;
this.sindicato = sindicato;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getFuncao() {
return funcao;
}

public boolean isFuncaoNull() {
return funcaoNull;
}

public void setFuncao(Integer funcao) {
if (funcao == null) {
funcaoNull = true;
this.funcao = 0;
} else { 
funcaoNull = false;
this.funcao = funcao;
}
}

public double getSalario() {
return salario;
}

public boolean isSalarioNull() {
return salarioNull;
}

public void setSalario(int salario) {
setSalario(new Double(salario));
}

public void setSalario(long salario) {
setSalario(new Double(salario));
}

public void setSalario(Double salario) {
if (salario == null) {
salarioNull = true;
this.salario = 0.;
} else { 
salarioNull = false;
this.salario = FglDouble.round(salario, 2);
}
}

public double getSalgarant() {
return salgarant;
}

public boolean isSalgarantNull() {
return salgarantNull;
}

public void setSalgarant(int salgarant) {
setSalgarant(new Double(salgarant));
}

public void setSalgarant(long salgarant) {
setSalgarant(new Double(salgarant));
}

public void setSalgarant(Double salgarant) {
if (salgarant == null) {
salgarantNull = true;
this.salgarant = 0.;
} else { 
salgarantNull = false;
this.salgarant = FglDouble.round(salgarant, 2);
}
}

public int getMotafast() {
return motafast;
}

public boolean isMotafastNull() {
return motafastNull;
}

public void setMotafast(Integer motafast) {
if (motafast == null) {
motafastNull = true;
this.motafast = 0;
} else { 
motafastNull = false;
this.motafast = motafast;
}
}

public int getPericulos() {
return periculos;
}

public boolean isPericulosNull() {
return periculosNull;
}

public void setPericulos(Integer periculos) {
if (periculos == null) {
periculosNull = true;
this.periculos = 0;
} else { 
periculosNull = false;
this.periculos = periculos;
}
}

public int getInsalubri() {
return insalubri;
}

public boolean isInsalubriNull() {
return insalubriNull;
}

public void setInsalubri(Integer insalubri) {
if (insalubri == null) {
insalubriNull = true;
this.insalubri = 0;
} else { 
insalubriNull = false;
this.insalubri = insalubri;
}
}

public int getCodcateg() {
return codcateg;
}

public boolean isCodcategNull() {
return codcategNull;
}

public void setCodcateg(Integer codcateg) {
if (codcateg == null) {
codcategNull = true;
this.codcateg = 0;
} else { 
codcategNull = false;
this.codcateg = codcateg;
}
}

public int getSalcont() {
return salcont;
}

public boolean isSalcontNull() {
return salcontNull;
}

public void setSalcont(Integer salcont) {
if (salcont == null) {
salcontNull = true;
this.salcont = 0;
} else { 
salcontNull = false;
this.salcont = salcont;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getObservacao2() {
return observacao2;
}

public void setObservacao2(String observacao2) {
this.observacao2 = observacao2;
}

}

