package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCicacepe {
@Coluna(nome="cicacepe.nro_endere", tipo="double")
private double nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cicacepe.cacepe", tipo="String")
private String cacepe;
@Coluna(nome="cicacepe.inscprodut", tipo="String")
private String inscprodut;

public TabCicacepe() {
initialize();
}

public void initialize() {
setNroEndere(null);
setCacepe(null);
setInscprodut(null);
}

public TabCicacepe(double nroEndere, String cacepe, String inscprodut) {
this.nroEndere = nroEndere;
this.cacepe = cacepe;
this.inscprodut = inscprodut;
}

public double getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Double(nroEndere));
}

public void setNroEndere(long nroEndere) {
setNroEndere(new Double(nroEndere));
}

public void setNroEndere(Double nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0.;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getCacepe() {
return cacepe;
}

public void setCacepe(String cacepe) {
this.cacepe = cacepe;
}

public String getInscprodut() {
return inscprodut;
}

public void setInscprodut(String inscprodut) {
this.inscprodut = inscprodut;
}

}

