package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCicadinf {
@Coluna(nome="cicadinf.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cicadinf.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cicadinf.tpinformacao", tipo="int")
private int tpinformacao;
private boolean tpinformacaoNull;
@Coluna(nome="cicadinf.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cicadinf.texto1", tipo="String")
private String texto1;
@Coluna(nome="cicadinf.texto2", tipo="String")
private String texto2;
@Coluna(nome="cicadinf.texto3", tipo="String")
private String texto3;
@Coluna(nome="cicadinf.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCicadinf() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setTpinformacao(null);
setSequencia(null);
setTexto1(null);
setTexto2(null);
setTexto3(null);
setValor(null);
}

public TabCicadinf(int tppessoa, long cgccpf, int tpinformacao, int sequencia, String texto1, String texto2, String texto3, double valor) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.tpinformacao = tpinformacao;
this.sequencia = sequencia;
this.texto1 = texto1;
this.texto2 = texto2;
this.texto3 = texto3;
this.valor = valor;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTpinformacao() {
return tpinformacao;
}

public boolean isTpinformacaoNull() {
return tpinformacaoNull;
}

public void setTpinformacao(Integer tpinformacao) {
if (tpinformacao == null) {
tpinformacaoNull = true;
this.tpinformacao = 0;
} else { 
tpinformacaoNull = false;
this.tpinformacao = tpinformacao;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getTexto1() {
return texto1;
}

public void setTexto1(String texto1) {
this.texto1 = texto1;
}

public String getTexto2() {
return texto2;
}

public void setTexto2(String texto2) {
this.texto2 = texto2;
}

public String getTexto3() {
return texto3;
}

public void setTexto3(String texto3) {
this.texto3 = texto3;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

