package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCiclipro {
@Coluna(nome="ciclipro.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciclipro.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciclipro.dtaadmissao", tipo="FglDate")
private FglDate dtaadmissao;
@Coluna(nome="ciclipro.nomempregado", tipo="String")
private String nomempregado;
@Coluna(nome="ciclipro.nomrua", tipo="String")
private String nomrua;
@Coluna(nome="ciclipro.nrocep", tipo="int")
private int nrocep;
private boolean nrocepNull;
@Coluna(nome="ciclipro.nrotelefone", tipo="String")
private String nrotelefone;
@Coluna(nome="ciclipro.nroramal", tipo="String")
private String nroramal;
@Coluna(nome="ciclipro.vlrremuner", tipo="double")
private double vlrremuner;
private boolean vlrremunerNull;
@Coluna(nome="ciclipro.outrasrendas", tipo="String")
private String outrasrendas;
@Coluna(nome="ciclipro.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="ciclipro.nroend", tipo="int")
private int nroend;
private boolean nroendNull;
@Coluna(nome="ciclipro.complemento", tipo="String")
private String complemento;
@Coluna(nome="ciclipro.nrocxapostal", tipo="int")
private int nrocxapostal;
private boolean nrocxapostalNull;
@Coluna(nome="ciclipro.nombairro", tipo="String")
private String nombairro;

public TabCiclipro() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setDtaadmissao(null);
setNomempregado(null);
setNomrua(null);
setNrocep(null);
setNrotelefone(null);
setNroramal(null);
setVlrremuner(null);
setOutrasrendas(null);
setCidade(null);
setNroend(null);
setComplemento(null);
setNrocxapostal(null);
setNombairro(null);
}

public TabCiclipro(long cgccpf, int tppessoa, FglDate dtaadmissao, String nomempregado, String nomrua, int nrocep, String nrotelefone, String nroramal, double vlrremuner, String outrasrendas, int cidade, int nroend, String complemento, int nrocxapostal, String nombairro) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtaadmissao = dtaadmissao;
this.nomempregado = nomempregado;
this.nomrua = nomrua;
this.nrocep = nrocep;
this.nrotelefone = nrotelefone;
this.nroramal = nroramal;
this.vlrremuner = vlrremuner;
this.outrasrendas = outrasrendas;
this.cidade = cidade;
this.nroend = nroend;
this.complemento = complemento;
this.nrocxapostal = nrocxapostal;
this.nombairro = nombairro;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtaadmissao() {
return dtaadmissao;
}

public void setDtaadmissao(FglDate dtaadmissao) {
this.dtaadmissao = dtaadmissao;
}

public String getNomempregado() {
return nomempregado;
}

public void setNomempregado(String nomempregado) {
this.nomempregado = nomempregado;
}

public String getNomrua() {
return nomrua;
}

public void setNomrua(String nomrua) {
this.nomrua = nomrua;
}

public int getNrocep() {
return nrocep;
}

public boolean isNrocepNull() {
return nrocepNull;
}

public void setNrocep(Integer nrocep) {
if (nrocep == null) {
nrocepNull = true;
this.nrocep = 0;
} else { 
nrocepNull = false;
this.nrocep = nrocep;
}
}

public String getNrotelefone() {
return nrotelefone;
}

public void setNrotelefone(String nrotelefone) {
this.nrotelefone = nrotelefone;
}

public String getNroramal() {
return nroramal;
}

public void setNroramal(String nroramal) {
this.nroramal = nroramal;
}

public double getVlrremuner() {
return vlrremuner;
}

public boolean isVlrremunerNull() {
return vlrremunerNull;
}

public void setVlrremuner(int vlrremuner) {
setVlrremuner(new Double(vlrremuner));
}

public void setVlrremuner(long vlrremuner) {
setVlrremuner(new Double(vlrremuner));
}

public void setVlrremuner(Double vlrremuner) {
if (vlrremuner == null) {
vlrremunerNull = true;
this.vlrremuner = 0.;
} else { 
vlrremunerNull = false;
this.vlrremuner = FglDouble.round(vlrremuner, 2);
}
}

public String getOutrasrendas() {
return outrasrendas;
}

public void setOutrasrendas(String outrasrendas) {
this.outrasrendas = outrasrendas;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public int getNroend() {
return nroend;
}

public boolean isNroendNull() {
return nroendNull;
}

public void setNroend(Integer nroend) {
if (nroend == null) {
nroendNull = true;
this.nroend = 0;
} else { 
nroendNull = false;
this.nroend = nroend;
}
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public int getNrocxapostal() {
return nrocxapostal;
}

public boolean isNrocxapostalNull() {
return nrocxapostalNull;
}

public void setNrocxapostal(Integer nrocxapostal) {
if (nrocxapostal == null) {
nrocxapostalNull = true;
this.nrocxapostal = 0;
} else { 
nrocxapostalNull = false;
this.nrocxapostal = nrocxapostal;
}
}

public String getNombairro() {
return nombairro;
}

public void setNombairro(String nombairro) {
this.nombairro = nombairro;
}

}

