package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiculpro {
@Coluna(nome="ciculpro.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciculpro.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciculpro.seqproprieagr", tipo="int")
private int seqproprieagr;
private boolean seqproprieagrNull;
@Coluna(nome="ciculpro.seqcultura", tipo="int")
private int seqcultura;
private boolean seqculturaNull;
@Coluna(nome="ciculpro.cod_cultura", tipo="String")
private String codCultura;
@Coluna(nome="ciculpro.vlrarea", tipo="double")
private double vlrarea;
private boolean vlrareaNull;
@Coluna(nome="ciculpro.qtdproducao", tipo="int")
private int qtdproducao;
private boolean qtdproducaoNull;
@Coluna(nome="ciculpro.dtaplainicio", tipo="FglDate")
private FglDate dtaplainicio;
@Coluna(nome="ciculpro.dtaplafim", tipo="FglDate")
private FglDate dtaplafim;
@Coluna(nome="ciculpro.dtacolheiini", tipo="FglDate")
private FglDate dtacolheiini;
@Coluna(nome="ciculpro.dtacolheifim", tipo="FglDate")
private FglDate dtacolheifim;
@Coluna(nome="ciculpro.qtdestoque", tipo="int")
private int qtdestoque;
private boolean qtdestoqueNull;
@Coluna(nome="ciculpro.medida", tipo="String")
private String medida;
@Coluna(nome="ciculpro.vlrprecoun", tipo="double")
private double vlrprecoun;
private boolean vlrprecounNull;
@Coluna(nome="ciculpro.nomregiao", tipo="String")
private String nomregiao;
@Coluna(nome="ciculpro.vlrcustopre", tipo="double")
private double vlrcustopre;
private boolean vlrcustopreNull;
@Coluna(nome="ciculpro.nroanoprod", tipo="int")
private int nroanoprod;
private boolean nroanoprodNull;
@Coluna(nome="ciculpro.qtdsafra", tipo="int")
private int qtdsafra;
private boolean qtdsafraNull;

public TabCiculpro() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqproprieagr(null);
setSeqcultura(null);
setCodCultura(null);
setVlrarea(null);
setQtdproducao(null);
setDtaplainicio(null);
setDtaplafim(null);
setDtacolheiini(null);
setDtacolheifim(null);
setQtdestoque(null);
setMedida(null);
setVlrprecoun(null);
setNomregiao(null);
setVlrcustopre(null);
setNroanoprod(null);
setQtdsafra(null);
}

public TabCiculpro(long cgccpf, int tppessoa, int seqproprieagr, int seqcultura, String codCultura, double vlrarea, int qtdproducao, FglDate dtaplainicio, FglDate dtaplafim, FglDate dtacolheiini, FglDate dtacolheifim, int qtdestoque, String medida, double vlrprecoun, String nomregiao, double vlrcustopre, int nroanoprod, int qtdsafra) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqproprieagr = seqproprieagr;
this.seqcultura = seqcultura;
this.codCultura = codCultura;
this.vlrarea = vlrarea;
this.qtdproducao = qtdproducao;
this.dtaplainicio = dtaplainicio;
this.dtaplafim = dtaplafim;
this.dtacolheiini = dtacolheiini;
this.dtacolheifim = dtacolheifim;
this.qtdestoque = qtdestoque;
this.medida = medida;
this.vlrprecoun = vlrprecoun;
this.nomregiao = nomregiao;
this.vlrcustopre = vlrcustopre;
this.nroanoprod = nroanoprod;
this.qtdsafra = qtdsafra;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqproprieagr() {
return seqproprieagr;
}

public boolean isSeqproprieagrNull() {
return seqproprieagrNull;
}

public void setSeqproprieagr(Integer seqproprieagr) {
if (seqproprieagr == null) {
seqproprieagrNull = true;
this.seqproprieagr = 0;
} else { 
seqproprieagrNull = false;
this.seqproprieagr = seqproprieagr;
}
}

public int getSeqcultura() {
return seqcultura;
}

public boolean isSeqculturaNull() {
return seqculturaNull;
}

public void setSeqcultura(Integer seqcultura) {
if (seqcultura == null) {
seqculturaNull = true;
this.seqcultura = 0;
} else { 
seqculturaNull = false;
this.seqcultura = seqcultura;
}
}

public String getCodCultura() {
return codCultura;
}

public void setCodCultura(String codCultura) {
this.codCultura = codCultura;
}

public double getVlrarea() {
return vlrarea;
}

public boolean isVlrareaNull() {
return vlrareaNull;
}

public void setVlrarea(int vlrarea) {
setVlrarea(new Double(vlrarea));
}

public void setVlrarea(long vlrarea) {
setVlrarea(new Double(vlrarea));
}

public void setVlrarea(Double vlrarea) {
if (vlrarea == null) {
vlrareaNull = true;
this.vlrarea = 0.;
} else { 
vlrareaNull = false;
this.vlrarea = FglDouble.round(vlrarea, 2);
}
}

public int getQtdproducao() {
return qtdproducao;
}

public boolean isQtdproducaoNull() {
return qtdproducaoNull;
}

public void setQtdproducao(Integer qtdproducao) {
if (qtdproducao == null) {
qtdproducaoNull = true;
this.qtdproducao = 0;
} else { 
qtdproducaoNull = false;
this.qtdproducao = qtdproducao;
}
}

public FglDate getDtaplainicio() {
return dtaplainicio;
}

public void setDtaplainicio(FglDate dtaplainicio) {
this.dtaplainicio = dtaplainicio;
}

public FglDate getDtaplafim() {
return dtaplafim;
}

public void setDtaplafim(FglDate dtaplafim) {
this.dtaplafim = dtaplafim;
}

public FglDate getDtacolheiini() {
return dtacolheiini;
}

public void setDtacolheiini(FglDate dtacolheiini) {
this.dtacolheiini = dtacolheiini;
}

public FglDate getDtacolheifim() {
return dtacolheifim;
}

public void setDtacolheifim(FglDate dtacolheifim) {
this.dtacolheifim = dtacolheifim;
}

public int getQtdestoque() {
return qtdestoque;
}

public boolean isQtdestoqueNull() {
return qtdestoqueNull;
}

public void setQtdestoque(Integer qtdestoque) {
if (qtdestoque == null) {
qtdestoqueNull = true;
this.qtdestoque = 0;
} else { 
qtdestoqueNull = false;
this.qtdestoque = qtdestoque;
}
}

public String getMedida() {
return medida;
}

public void setMedida(String medida) {
this.medida = medida;
}

public double getVlrprecoun() {
return vlrprecoun;
}

public boolean isVlrprecounNull() {
return vlrprecounNull;
}

public void setVlrprecoun(int vlrprecoun) {
setVlrprecoun(new Double(vlrprecoun));
}

public void setVlrprecoun(long vlrprecoun) {
setVlrprecoun(new Double(vlrprecoun));
}

public void setVlrprecoun(Double vlrprecoun) {
if (vlrprecoun == null) {
vlrprecounNull = true;
this.vlrprecoun = 0.;
} else { 
vlrprecounNull = false;
this.vlrprecoun = FglDouble.round(vlrprecoun, 2);
}
}

public String getNomregiao() {
return nomregiao;
}

public void setNomregiao(String nomregiao) {
this.nomregiao = nomregiao;
}

public double getVlrcustopre() {
return vlrcustopre;
}

public boolean isVlrcustopreNull() {
return vlrcustopreNull;
}

public void setVlrcustopre(int vlrcustopre) {
setVlrcustopre(new Double(vlrcustopre));
}

public void setVlrcustopre(long vlrcustopre) {
setVlrcustopre(new Double(vlrcustopre));
}

public void setVlrcustopre(Double vlrcustopre) {
if (vlrcustopre == null) {
vlrcustopreNull = true;
this.vlrcustopre = 0.;
} else { 
vlrcustopreNull = false;
this.vlrcustopre = FglDouble.round(vlrcustopre, 2);
}
}

public int getNroanoprod() {
return nroanoprod;
}

public boolean isNroanoprodNull() {
return nroanoprodNull;
}

public void setNroanoprod(Integer nroanoprod) {
if (nroanoprod == null) {
nroanoprodNull = true;
this.nroanoprod = 0;
} else { 
nroanoprodNull = false;
this.nroanoprod = nroanoprod;
}
}

public int getQtdsafra() {
return qtdsafra;
}

public boolean isQtdsafraNull() {
return qtdsafraNull;
}

public void setQtdsafra(Integer qtdsafra) {
if (qtdsafra == null) {
qtdsafraNull = true;
this.qtdsafra = 0;
} else { 
qtdsafraNull = false;
this.qtdsafra = qtdsafra;
}
}

}

