package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCiendesp {
@Coluna(nome="ciendesp.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="ciendesp.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciendesp.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciendesp.seqendereco", tipo="int")
private int seqendereco;
private boolean seqenderecoNull;
@Coluna(nome="ciendesp.tipoendereco", tipo="String")
private String tipoendereco;
@Coluna(nome="ciendesp.endereco", tipo="String")
private String endereco;
@Coluna(nome="ciendesp.complemento", tipo="String")
private String complemento;
@Coluna(nome="ciendesp.bairro", tipo="String")
private String bairro;
@Coluna(nome="ciendesp.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="ciendesp.cep", tipo="String")
private String cep;
@Coluna(nome="ciendesp.endeletronic", tipo="String")
private String endeletronic;
@Coluna(nome="ciendesp.cxpostal", tipo="String")
private String cxpostal;
@Coluna(nome="ciendesp.fone", tipo="String")
private String fone;
@Coluna(nome="ciendesp.celular", tipo="String")
private String celular;
@Coluna(nome="ciendesp.fax", tipo="String")
private String fax;
@Coluna(nome="ciendesp.contato", tipo="String")
private String contato;
@Coluna(nome="ciendesp.ramal", tipo="int")
private int ramal;
private boolean ramalNull;
@Coluna(nome="ciendesp.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="ciendesp.produtorrural", tipo="String")
private String produtorrural;
@Coluna(nome="ciendesp.inscprodutor", tipo="String")
private String inscprodutor;
@Coluna(nome="ciendesp.nro_cobranca", tipo="int")
private int nroCobranca;
private boolean nroCobrancaNull;
@Coluna(nome="ciendesp.ativo", tipo="String")
private String ativo;
@Coluna(nome="ciendesp.principal", tipo="String")
private String principal;

public TabCiendesp() {
initialize();
}

public void initialize() {
setNroEndere(null);
setCgccpf(null);
setTppessoa(null);
setSeqendereco(null);
setTipoendereco(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setCidade(null);
setCep(null);
setEndeletronic(null);
setCxpostal(null);
setFone(null);
setCelular(null);
setFax(null);
setContato(null);
setRamal(null);
setIdBancos(null);
setProdutorrural(null);
setInscprodutor(null);
setNroCobranca(null);
setAtivo(null);
setPrincipal(null);
}

public TabCiendesp(long nroEndere, long cgccpf, int tppessoa, int seqendereco, String tipoendereco, String endereco, String complemento, String bairro, int cidade, String cep, String endeletronic, String cxpostal, String fone, String celular, String fax, String contato, int ramal, int idBancos, String produtorrural, String inscprodutor, int nroCobranca, String ativo, String principal) {
this.nroEndere = nroEndere;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqendereco = seqendereco;
this.tipoendereco = tipoendereco;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.cidade = cidade;
this.cep = cep;
this.endeletronic = endeletronic;
this.cxpostal = cxpostal;
this.fone = fone;
this.celular = celular;
this.fax = fax;
this.contato = contato;
this.ramal = ramal;
this.idBancos = idBancos;
this.produtorrural = produtorrural;
this.inscprodutor = inscprodutor;
this.nroCobranca = nroCobranca;
this.ativo = ativo;
this.principal = principal;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqendereco() {
return seqendereco;
}

public boolean isSeqenderecoNull() {
return seqenderecoNull;
}

public void setSeqendereco(Integer seqendereco) {
if (seqendereco == null) {
seqenderecoNull = true;
this.seqendereco = 0;
} else { 
seqenderecoNull = false;
this.seqendereco = seqendereco;
}
}

public String getTipoendereco() {
return tipoendereco;
}

public void setTipoendereco(String tipoendereco) {
this.tipoendereco = tipoendereco;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getEndeletronic() {
return endeletronic;
}

public void setEndeletronic(String endeletronic) {
this.endeletronic = endeletronic;
}

public String getCxpostal() {
return cxpostal;
}

public void setCxpostal(String cxpostal) {
this.cxpostal = cxpostal;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getCelular() {
return celular;
}

public void setCelular(String celular) {
this.celular = celular;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public String getContato() {
return contato;
}

public void setContato(String contato) {
this.contato = contato;
}

public int getRamal() {
return ramal;
}

public boolean isRamalNull() {
return ramalNull;
}

public void setRamal(Integer ramal) {
if (ramal == null) {
ramalNull = true;
this.ramal = 0;
} else { 
ramalNull = false;
this.ramal = ramal;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public String getProdutorrural() {
return produtorrural;
}

public void setProdutorrural(String produtorrural) {
this.produtorrural = produtorrural;
}

public String getInscprodutor() {
return inscprodutor;
}

public void setInscprodutor(String inscprodutor) {
this.inscprodutor = inscprodutor;
}

public int getNroCobranca() {
return nroCobranca;
}

public boolean isNroCobrancaNull() {
return nroCobrancaNull;
}

public void setNroCobranca(Integer nroCobranca) {
if (nroCobranca == null) {
nroCobrancaNull = true;
this.nroCobranca = 0;
} else { 
nroCobrancaNull = false;
this.nroCobranca = nroCobranca;
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getPrincipal() {
return principal;
}

public void setPrincipal(String principal) {
this.principal = principal;
}

}

