package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiieativ {
@Coluna(nome="ciieativ.uf", tipo="String")
private String uf;
@Coluna(nome="ciieativ.inscestadual", tipo="String")
private String inscestadual;
@Coluna(nome="ciieativ.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciieativ.dataatualiz", tipo="FglDate")
private FglDate dataatualiz;

public TabCiieativ() {
initialize();
}

public void initialize() {
setUf(null);
setInscestadual(null);
setCgccpf(null);
setDataatualiz(null);
}

public TabCiieativ(String uf, String inscestadual, long cgccpf, FglDate dataatualiz) {
this.uf = uf;
this.inscestadual = inscestadual;
this.cgccpf = cgccpf;
this.dataatualiz = dataatualiz;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public String getInscestadual() {
return inscestadual;
}

public void setInscestadual(String inscestadual) {
this.inscestadual = inscestadual;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDate getDataatualiz() {
return dataatualiz;
}

public void setDataatualiz(FglDate dataatualiz) {
this.dataatualiz = dataatualiz;
}

}

