package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiimocli {
@Coluna(nome="ciimocli.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciimocli.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciimocli.codigoimovel", tipo="int")
private int codigoimovel;
private boolean codigoimovelNull;
@Coluna(nome="ciimocli.vlratual", tipo="double")
private double vlratual;
private boolean vlratualNull;
@Coluna(nome="ciimocli.descrimovel", tipo="String")
private String descrimovel;
@Coluna(nome="ciimocli.nromatricula", tipo="String")
private String nromatricula;
@Coluna(nome="ciimocli.nomcartorio", tipo="String")
private String nomcartorio;
@Coluna(nome="ciimocli.situacaoimovel", tipo="String")
private String situacaoimovel;
@Coluna(nome="ciimocli.nomfavorecido", tipo="String")
private String nomfavorecido;
@Coluna(nome="ciimocli.tamanhoarea", tipo="double")
private double tamanhoarea;
private boolean tamanhoareaNull;
@Coluna(nome="ciimocli.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="ciimocli.vlrarredo", tipo="double")
private double vlrarredo;
private boolean vlrarredoNull;
@Coluna(nome="ciimocli.tipoimovel", tipo="String")
private String tipoimovel;
@Coluna(nome="ciimocli.areacultivada", tipo="double")
private double areacultivada;
private boolean areacultivadaNull;
@Coluna(nome="ciimocli.areapastagem", tipo="double")
private double areapastagem;
private boolean areapastagemNull;
@Coluna(nome="ciimocli.nompropri", tipo="String")
private String nompropri;
@Coluna(nome="ciimocli.dtavencfi", tipo="FglDate")
private FglDate dtavencfi;
@Coluna(nome="ciimocli.titpropriedade", tipo="String")
private String titpropriedade;

public TabCiimocli() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setCodigoimovel(null);
setVlratual(null);
setDescrimovel(null);
setNromatricula(null);
setNomcartorio(null);
setSituacaoimovel(null);
setNomfavorecido(null);
setTamanhoarea(null);
setCidade(null);
setVlrarredo(null);
setTipoimovel(null);
setAreacultivada(null);
setAreapastagem(null);
setNompropri(null);
setDtavencfi(null);
setTitpropriedade(null);
}

public TabCiimocli(long cgccpf, int tppessoa, int codigoimovel, double vlratual, String descrimovel, String nromatricula, String nomcartorio, String situacaoimovel, String nomfavorecido, double tamanhoarea, int cidade, double vlrarredo, String tipoimovel, double areacultivada, double areapastagem, String nompropri, FglDate dtavencfi, String titpropriedade) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.codigoimovel = codigoimovel;
this.vlratual = vlratual;
this.descrimovel = descrimovel;
this.nromatricula = nromatricula;
this.nomcartorio = nomcartorio;
this.situacaoimovel = situacaoimovel;
this.nomfavorecido = nomfavorecido;
this.tamanhoarea = tamanhoarea;
this.cidade = cidade;
this.vlrarredo = vlrarredo;
this.tipoimovel = tipoimovel;
this.areacultivada = areacultivada;
this.areapastagem = areapastagem;
this.nompropri = nompropri;
this.dtavencfi = dtavencfi;
this.titpropriedade = titpropriedade;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getCodigoimovel() {
return codigoimovel;
}

public boolean isCodigoimovelNull() {
return codigoimovelNull;
}

public void setCodigoimovel(Integer codigoimovel) {
if (codigoimovel == null) {
codigoimovelNull = true;
this.codigoimovel = 0;
} else { 
codigoimovelNull = false;
this.codigoimovel = codigoimovel;
}
}

public double getVlratual() {
return vlratual;
}

public boolean isVlratualNull() {
return vlratualNull;
}

public void setVlratual(int vlratual) {
setVlratual(new Double(vlratual));
}

public void setVlratual(long vlratual) {
setVlratual(new Double(vlratual));
}

public void setVlratual(Double vlratual) {
if (vlratual == null) {
vlratualNull = true;
this.vlratual = 0.;
} else { 
vlratualNull = false;
this.vlratual = FglDouble.round(vlratual, 2);
}
}

public String getDescrimovel() {
return descrimovel;
}

public void setDescrimovel(String descrimovel) {
this.descrimovel = descrimovel;
}

public String getNromatricula() {
return nromatricula;
}

public void setNromatricula(String nromatricula) {
this.nromatricula = nromatricula;
}

public String getNomcartorio() {
return nomcartorio;
}

public void setNomcartorio(String nomcartorio) {
this.nomcartorio = nomcartorio;
}

public String getSituacaoimovel() {
return situacaoimovel;
}

public void setSituacaoimovel(String situacaoimovel) {
this.situacaoimovel = situacaoimovel;
}

public String getNomfavorecido() {
return nomfavorecido;
}

public void setNomfavorecido(String nomfavorecido) {
this.nomfavorecido = nomfavorecido;
}

public double getTamanhoarea() {
return tamanhoarea;
}

public boolean isTamanhoareaNull() {
return tamanhoareaNull;
}

public void setTamanhoarea(int tamanhoarea) {
setTamanhoarea(new Double(tamanhoarea));
}

public void setTamanhoarea(long tamanhoarea) {
setTamanhoarea(new Double(tamanhoarea));
}

public void setTamanhoarea(Double tamanhoarea) {
if (tamanhoarea == null) {
tamanhoareaNull = true;
this.tamanhoarea = 0.;
} else { 
tamanhoareaNull = false;
this.tamanhoarea = FglDouble.round(tamanhoarea, 2);
}
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public double getVlrarredo() {
return vlrarredo;
}

public boolean isVlrarredoNull() {
return vlrarredoNull;
}

public void setVlrarredo(int vlrarredo) {
setVlrarredo(new Double(vlrarredo));
}

public void setVlrarredo(long vlrarredo) {
setVlrarredo(new Double(vlrarredo));
}

public void setVlrarredo(Double vlrarredo) {
if (vlrarredo == null) {
vlrarredoNull = true;
this.vlrarredo = 0.;
} else { 
vlrarredoNull = false;
this.vlrarredo = FglDouble.round(vlrarredo, 2);
}
}

public String getTipoimovel() {
return tipoimovel;
}

public void setTipoimovel(String tipoimovel) {
this.tipoimovel = tipoimovel;
}

public double getAreacultivada() {
return areacultivada;
}

public boolean isAreacultivadaNull() {
return areacultivadaNull;
}

public void setAreacultivada(int areacultivada) {
setAreacultivada(new Double(areacultivada));
}

public void setAreacultivada(long areacultivada) {
setAreacultivada(new Double(areacultivada));
}

public void setAreacultivada(Double areacultivada) {
if (areacultivada == null) {
areacultivadaNull = true;
this.areacultivada = 0.;
} else { 
areacultivadaNull = false;
this.areacultivada = FglDouble.round(areacultivada, 2);
}
}

public double getAreapastagem() {
return areapastagem;
}

public boolean isAreapastagemNull() {
return areapastagemNull;
}

public void setAreapastagem(int areapastagem) {
setAreapastagem(new Double(areapastagem));
}

public void setAreapastagem(long areapastagem) {
setAreapastagem(new Double(areapastagem));
}

public void setAreapastagem(Double areapastagem) {
if (areapastagem == null) {
areapastagemNull = true;
this.areapastagem = 0.;
} else { 
areapastagemNull = false;
this.areapastagem = FglDouble.round(areapastagem, 2);
}
}

public String getNompropri() {
return nompropri;
}

public void setNompropri(String nompropri) {
this.nompropri = nompropri;
}

public FglDate getDtavencfi() {
return dtavencfi;
}

public void setDtavencfi(FglDate dtavencfi) {
this.dtavencfi = dtavencfi;
}

public String getTitpropriedade() {
return titpropriedade;
}

public void setTitpropriedade(String titpropriedade) {
this.titpropriedade = titpropriedade;
}

}

