package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCiinsagr {
@Coluna(nome="ciinsagr.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciinsagr.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciinsagr.seqinstalacao", tipo="int")
private int seqinstalacao;
private boolean seqinstalacaoNull;
@Coluna(nome="ciinsagr.nomeinstagric", tipo="String")
private String nomeinstagric;
@Coluna(nome="ciinsagr.vlrinstagric", tipo="double")
private double vlrinstagric;
private boolean vlrinstagricNull;

public TabCiinsagr() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqinstalacao(null);
setNomeinstagric(null);
setVlrinstagric(null);
}

public TabCiinsagr(long cgccpf, int tppessoa, int seqinstalacao, String nomeinstagric, double vlrinstagric) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqinstalacao = seqinstalacao;
this.nomeinstagric = nomeinstagric;
this.vlrinstagric = vlrinstagric;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqinstalacao() {
return seqinstalacao;
}

public boolean isSeqinstalacaoNull() {
return seqinstalacaoNull;
}

public void setSeqinstalacao(Integer seqinstalacao) {
if (seqinstalacao == null) {
seqinstalacaoNull = true;
this.seqinstalacao = 0;
} else { 
seqinstalacaoNull = false;
this.seqinstalacao = seqinstalacao;
}
}

public String getNomeinstagric() {
return nomeinstagric;
}

public void setNomeinstagric(String nomeinstagric) {
this.nomeinstagric = nomeinstagric;
}

public double getVlrinstagric() {
return vlrinstagric;
}

public boolean isVlrinstagricNull() {
return vlrinstagricNull;
}

public void setVlrinstagric(int vlrinstagric) {
setVlrinstagric(new Double(vlrinstagric));
}

public void setVlrinstagric(long vlrinstagric) {
setVlrinstagric(new Double(vlrinstagric));
}

public void setVlrinstagric(Double vlrinstagric) {
if (vlrinstagric == null) {
vlrinstagricNull = true;
this.vlrinstagric = 0.;
} else { 
vlrinstagricNull = false;
this.vlrinstagric = FglDouble.round(vlrinstagric, 2);
}
}

}

