package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCiloglpd {
@Coluna(nome="ciloglpd.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciloglpd.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciloglpd.tipo_solicitacao", tipo="String")
private String tipoSolicitacao;
@Coluna(nome="ciloglpd.data_solicitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dataSolicitacao;
@Coluna(nome="ciloglpd.solicitante", tipo="String")
private String solicitante;
@Coluna(nome="ciloglpd.executante", tipo="int")
private int executante;
private boolean executanteNull;
@Coluna(nome="ciloglpd.observacao", tipo="String")
private String observacao;

public TabCiloglpd() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setTipoSolicitacao(null);
setDataSolicitacao(null);
setSolicitante(null);
setExecutante(null);
setObservacao(null);
}

public TabCiloglpd(long cgccpf, int tppessoa, String tipoSolicitacao, FglDateTimeYS dataSolicitacao, String solicitante, int executante, String observacao) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.tipoSolicitacao = tipoSolicitacao;
this.dataSolicitacao = dataSolicitacao;
this.solicitante = solicitante;
this.executante = executante;
this.observacao = observacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getTipoSolicitacao() {
return tipoSolicitacao;
}

public void setTipoSolicitacao(String tipoSolicitacao) {
this.tipoSolicitacao = tipoSolicitacao;
}

public FglDateTimeYS getDataSolicitacao() {
return dataSolicitacao;
}

public void setDataSolicitacao(FglDateTimeYS dataSolicitacao) {
this.dataSolicitacao = dataSolicitacao;
}

public String getSolicitante() {
return solicitante;
}

public void setSolicitante(String solicitante) {
this.solicitante = solicitante;
}

public int getExecutante() {
return executante;
}

public boolean isExecutanteNull() {
return executanteNull;
}

public void setExecutante(Integer executante) {
if (executante == null) {
executanteNull = true;
this.executante = 0;
} else { 
executanteNull = false;
this.executante = executante;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

