package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCipartcl {
@Coluna(nome="cipartcl.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cipartcl.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cipartcl.seqparticipacao", tipo="int")
private int seqparticipacao;
private boolean seqparticipacaoNull;
@Coluna(nome="cipartcl.nomrazao", tipo="String")
private String nomrazao;
@Coluna(nome="cipartcl.vlrpatrliq", tipo="double")
private double vlrpatrliq;
private boolean vlrpatrliqNull;
@Coluna(nome="cipartcl.perpartcapit", tipo="double")
private double perpartcapit;
private boolean perpartcapitNull;
@Coluna(nome="cipartcl.cgcrazaopart", tipo="long")
private long cgcrazaopart;
private boolean cgcrazaopartNull;
@Coluna(nome="cipartcl.tppessoarazaopart", tipo="int")
private int tppessoarazaopart;
private boolean tppessoarazaopartNull;
@Coluna(nome="cipartcl.cod_atividade", tipo="String")
private String codAtividade;
@Coluna(nome="cipartcl.dtafundacao", tipo="FglDate")
private FglDate dtafundacao;
@Coluna(nome="cipartcl.vlrfatanual", tipo="double")
private double vlrfatanual;
private boolean vlrfatanualNull;
@Coluna(nome="cipartcl.tipoparticipacao", tipo="String")
private String tipoparticipacao;

public TabCipartcl() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqparticipacao(null);
setNomrazao(null);
setVlrpatrliq(null);
setPerpartcapit(null);
setCgcrazaopart(null);
setTppessoarazaopart(null);
setCodAtividade(null);
setDtafundacao(null);
setVlrfatanual(null);
setTipoparticipacao(null);
}

public TabCipartcl(long cgccpf, int tppessoa, int seqparticipacao, String nomrazao, double vlrpatrliq, double perpartcapit, long cgcrazaopart, int tppessoarazaopart, String codAtividade, FglDate dtafundacao, double vlrfatanual, String tipoparticipacao) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqparticipacao = seqparticipacao;
this.nomrazao = nomrazao;
this.vlrpatrliq = vlrpatrliq;
this.perpartcapit = perpartcapit;
this.cgcrazaopart = cgcrazaopart;
this.tppessoarazaopart = tppessoarazaopart;
this.codAtividade = codAtividade;
this.dtafundacao = dtafundacao;
this.vlrfatanual = vlrfatanual;
this.tipoparticipacao = tipoparticipacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqparticipacao() {
return seqparticipacao;
}

public boolean isSeqparticipacaoNull() {
return seqparticipacaoNull;
}

public void setSeqparticipacao(Integer seqparticipacao) {
if (seqparticipacao == null) {
seqparticipacaoNull = true;
this.seqparticipacao = 0;
} else { 
seqparticipacaoNull = false;
this.seqparticipacao = seqparticipacao;
}
}

public String getNomrazao() {
return nomrazao;
}

public void setNomrazao(String nomrazao) {
this.nomrazao = nomrazao;
}

public double getVlrpatrliq() {
return vlrpatrliq;
}

public boolean isVlrpatrliqNull() {
return vlrpatrliqNull;
}

public void setVlrpatrliq(int vlrpatrliq) {
setVlrpatrliq(new Double(vlrpatrliq));
}

public void setVlrpatrliq(long vlrpatrliq) {
setVlrpatrliq(new Double(vlrpatrliq));
}

public void setVlrpatrliq(Double vlrpatrliq) {
if (vlrpatrliq == null) {
vlrpatrliqNull = true;
this.vlrpatrliq = 0.;
} else { 
vlrpatrliqNull = false;
this.vlrpatrliq = FglDouble.round(vlrpatrliq, 2);
}
}

public double getPerpartcapit() {
return perpartcapit;
}

public boolean isPerpartcapitNull() {
return perpartcapitNull;
}

public void setPerpartcapit(int perpartcapit) {
setPerpartcapit(new Double(perpartcapit));
}

public void setPerpartcapit(long perpartcapit) {
setPerpartcapit(new Double(perpartcapit));
}

public void setPerpartcapit(Double perpartcapit) {
if (perpartcapit == null) {
perpartcapitNull = true;
this.perpartcapit = 0.;
} else { 
perpartcapitNull = false;
this.perpartcapit = FglDouble.round(perpartcapit, 2);
}
}

public long getCgcrazaopart() {
return cgcrazaopart;
}

public boolean isCgcrazaopartNull() {
return cgcrazaopartNull;
}

public void setCgcrazaopart(int cgcrazaopart) {
setCgcrazaopart(new Long(cgcrazaopart));
}

public void setCgcrazaopart(Long cgcrazaopart) {
if (cgcrazaopart == null) {
cgcrazaopartNull = true;
this.cgcrazaopart = 0l;
} else { 
cgcrazaopartNull = false;
this.cgcrazaopart = cgcrazaopart;
}
}

public int getTppessoarazaopart() {
return tppessoarazaopart;
}

public boolean isTppessoarazaopartNull() {
return tppessoarazaopartNull;
}

public void setTppessoarazaopart(Integer tppessoarazaopart) {
if (tppessoarazaopart == null) {
tppessoarazaopartNull = true;
this.tppessoarazaopart = 0;
} else { 
tppessoarazaopartNull = false;
this.tppessoarazaopart = tppessoarazaopart;
}
}

public String getCodAtividade() {
return codAtividade;
}

public void setCodAtividade(String codAtividade) {
this.codAtividade = codAtividade;
}

public FglDate getDtafundacao() {
return dtafundacao;
}

public void setDtafundacao(FglDate dtafundacao) {
this.dtafundacao = dtafundacao;
}

public double getVlrfatanual() {
return vlrfatanual;
}

public boolean isVlrfatanualNull() {
return vlrfatanualNull;
}

public void setVlrfatanual(int vlrfatanual) {
setVlrfatanual(new Double(vlrfatanual));
}

public void setVlrfatanual(long vlrfatanual) {
setVlrfatanual(new Double(vlrfatanual));
}

public void setVlrfatanual(Double vlrfatanual) {
if (vlrfatanual == null) {
vlrfatanualNull = true;
this.vlrfatanual = 0.;
} else { 
vlrfatanualNull = false;
this.vlrfatanual = FglDouble.round(vlrfatanual, 2);
}
}

public String getTipoparticipacao() {
return tipoparticipacao;
}

public void setTipoparticipacao(String tipoparticipacao) {
this.tipoparticipacao = tipoparticipacao;
}

}

