package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCiproagr {
@Coluna(nome="ciproagr.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciproagr.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciproagr.seqproprieagr", tipo="int")
private int seqproprieagr;
private boolean seqproprieagrNull;
@Coluna(nome="ciproagr.nompropr", tipo="String")
private String nompropr;
@Coluna(nome="ciproagr.vlrareapropr", tipo="double")
private double vlrareapropr;
private boolean vlrareaproprNull;
@Coluna(nome="ciproagr.vlrarrenda", tipo="double")
private double vlrarrenda;
private boolean vlrarrendaNull;
@Coluna(nome="ciproagr.vlrcustoarre", tipo="double")
private double vlrcustoarre;
private boolean vlrcustoarreNull;
@Coluna(nome="ciproagr.peragricult", tipo="double")
private double peragricult;
private boolean peragricultNull;
@Coluna(nome="ciproagr.perpecuaria", tipo="double")
private double perpecuaria;
private boolean perpecuariaNull;
@Coluna(nome="ciproagr.perplantdir", tipo="double")
private double perplantdir;
private boolean perplantdirNull;
@Coluna(nome="ciproagr.perplantconv", tipo="double")
private double perplantconv;
private boolean perplantconvNull;
@Coluna(nome="ciproagr.codmatricula", tipo="String")
private String codmatricula;
@Coluna(nome="ciproagr.periodarrend", tipo="String")
private String periodarrend;

public TabCiproagr() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqproprieagr(null);
setNompropr(null);
setVlrareapropr(null);
setVlrarrenda(null);
setVlrcustoarre(null);
setPeragricult(null);
setPerpecuaria(null);
setPerplantdir(null);
setPerplantconv(null);
setCodmatricula(null);
setPeriodarrend(null);
}

public TabCiproagr(long cgccpf, int tppessoa, int seqproprieagr, String nompropr, double vlrareapropr, double vlrarrenda, double vlrcustoarre, double peragricult, double perpecuaria, double perplantdir, double perplantconv, String codmatricula, String periodarrend) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqproprieagr = seqproprieagr;
this.nompropr = nompropr;
this.vlrareapropr = vlrareapropr;
this.vlrarrenda = vlrarrenda;
this.vlrcustoarre = vlrcustoarre;
this.peragricult = peragricult;
this.perpecuaria = perpecuaria;
this.perplantdir = perplantdir;
this.perplantconv = perplantconv;
this.codmatricula = codmatricula;
this.periodarrend = periodarrend;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqproprieagr() {
return seqproprieagr;
}

public boolean isSeqproprieagrNull() {
return seqproprieagrNull;
}

public void setSeqproprieagr(Integer seqproprieagr) {
if (seqproprieagr == null) {
seqproprieagrNull = true;
this.seqproprieagr = 0;
} else { 
seqproprieagrNull = false;
this.seqproprieagr = seqproprieagr;
}
}

public String getNompropr() {
return nompropr;
}

public void setNompropr(String nompropr) {
this.nompropr = nompropr;
}

public double getVlrareapropr() {
return vlrareapropr;
}

public boolean isVlrareaproprNull() {
return vlrareaproprNull;
}

public void setVlrareapropr(int vlrareapropr) {
setVlrareapropr(new Double(vlrareapropr));
}

public void setVlrareapropr(long vlrareapropr) {
setVlrareapropr(new Double(vlrareapropr));
}

public void setVlrareapropr(Double vlrareapropr) {
if (vlrareapropr == null) {
vlrareaproprNull = true;
this.vlrareapropr = 0.;
} else { 
vlrareaproprNull = false;
this.vlrareapropr = FglDouble.round(vlrareapropr, 2);
}
}

public double getVlrarrenda() {
return vlrarrenda;
}

public boolean isVlrarrendaNull() {
return vlrarrendaNull;
}

public void setVlrarrenda(int vlrarrenda) {
setVlrarrenda(new Double(vlrarrenda));
}

public void setVlrarrenda(long vlrarrenda) {
setVlrarrenda(new Double(vlrarrenda));
}

public void setVlrarrenda(Double vlrarrenda) {
if (vlrarrenda == null) {
vlrarrendaNull = true;
this.vlrarrenda = 0.;
} else { 
vlrarrendaNull = false;
this.vlrarrenda = FglDouble.round(vlrarrenda, 2);
}
}

public double getVlrcustoarre() {
return vlrcustoarre;
}

public boolean isVlrcustoarreNull() {
return vlrcustoarreNull;
}

public void setVlrcustoarre(int vlrcustoarre) {
setVlrcustoarre(new Double(vlrcustoarre));
}

public void setVlrcustoarre(long vlrcustoarre) {
setVlrcustoarre(new Double(vlrcustoarre));
}

public void setVlrcustoarre(Double vlrcustoarre) {
if (vlrcustoarre == null) {
vlrcustoarreNull = true;
this.vlrcustoarre = 0.;
} else { 
vlrcustoarreNull = false;
this.vlrcustoarre = FglDouble.round(vlrcustoarre, 2);
}
}

public double getPeragricult() {
return peragricult;
}

public boolean isPeragricultNull() {
return peragricultNull;
}

public void setPeragricult(int peragricult) {
setPeragricult(new Double(peragricult));
}

public void setPeragricult(long peragricult) {
setPeragricult(new Double(peragricult));
}

public void setPeragricult(Double peragricult) {
if (peragricult == null) {
peragricultNull = true;
this.peragricult = 0.;
} else { 
peragricultNull = false;
this.peragricult = FglDouble.round(peragricult, 2);
}
}

public double getPerpecuaria() {
return perpecuaria;
}

public boolean isPerpecuariaNull() {
return perpecuariaNull;
}

public void setPerpecuaria(int perpecuaria) {
setPerpecuaria(new Double(perpecuaria));
}

public void setPerpecuaria(long perpecuaria) {
setPerpecuaria(new Double(perpecuaria));
}

public void setPerpecuaria(Double perpecuaria) {
if (perpecuaria == null) {
perpecuariaNull = true;
this.perpecuaria = 0.;
} else { 
perpecuariaNull = false;
this.perpecuaria = FglDouble.round(perpecuaria, 2);
}
}

public double getPerplantdir() {
return perplantdir;
}

public boolean isPerplantdirNull() {
return perplantdirNull;
}

public void setPerplantdir(int perplantdir) {
setPerplantdir(new Double(perplantdir));
}

public void setPerplantdir(long perplantdir) {
setPerplantdir(new Double(perplantdir));
}

public void setPerplantdir(Double perplantdir) {
if (perplantdir == null) {
perplantdirNull = true;
this.perplantdir = 0.;
} else { 
perplantdirNull = false;
this.perplantdir = FglDouble.round(perplantdir, 2);
}
}

public double getPerplantconv() {
return perplantconv;
}

public boolean isPerplantconvNull() {
return perplantconvNull;
}

public void setPerplantconv(int perplantconv) {
setPerplantconv(new Double(perplantconv));
}

public void setPerplantconv(long perplantconv) {
setPerplantconv(new Double(perplantconv));
}

public void setPerplantconv(Double perplantconv) {
if (perplantconv == null) {
perplantconvNull = true;
this.perplantconv = 0.;
} else { 
perplantconvNull = false;
this.perplantconv = FglDouble.round(perplantconv, 2);
}
}

public String getCodmatricula() {
return codmatricula;
}

public void setCodmatricula(String codmatricula) {
this.codmatricula = codmatricula;
}

public String getPeriodarrend() {
return periodarrend;
}

public void setPeriodarrend(String periodarrend) {
this.periodarrend = periodarrend;
}

}

