package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCirefban {
@Coluna(nome="cirefban.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cirefban.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cirefban.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cirefban.nroconta", tipo="String")
private String nroconta;
@Coluna(nome="cirefban.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cirefban.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="cirefban.ddd", tipo="String")
private String ddd;
@Coluna(nome="cirefban.nrotelefone", tipo="String")
private String nrotelefone;
@Coluna(nome="cirefban.dtaabertcad", tipo="FglDate")
private FglDate dtaabertcad;
@Coluna(nome="cirefban.vlrmaiorcred", tipo="double")
private double vlrmaiorcred;
private boolean vlrmaiorcredNull;
@Coluna(nome="cirefban.vlrsaldodev", tipo="double")
private double vlrsaldodev;
private boolean vlrsaldodevNull;

public TabCirefban() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setIdBancos(null);
setNroconta(null);
setCidade(null);
setUfederacao(null);
setDdd(null);
setNrotelefone(null);
setDtaabertcad(null);
setVlrmaiorcred(null);
setVlrsaldodev(null);
}

public TabCirefban(long cgccpf, int tppessoa, int idBancos, String nroconta, int cidade, String ufederacao, String ddd, String nrotelefone, FglDate dtaabertcad, double vlrmaiorcred, double vlrsaldodev) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.idBancos = idBancos;
this.nroconta = nroconta;
this.cidade = cidade;
this.ufederacao = ufederacao;
this.ddd = ddd;
this.nrotelefone = nrotelefone;
this.dtaabertcad = dtaabertcad;
this.vlrmaiorcred = vlrmaiorcred;
this.vlrsaldodev = vlrsaldodev;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public String getNroconta() {
return nroconta;
}

public void setNroconta(String nroconta) {
this.nroconta = nroconta;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public String getDdd() {
return ddd;
}

public void setDdd(String ddd) {
this.ddd = ddd;
}

public String getNrotelefone() {
return nrotelefone;
}

public void setNrotelefone(String nrotelefone) {
this.nrotelefone = nrotelefone;
}

public FglDate getDtaabertcad() {
return dtaabertcad;
}

public void setDtaabertcad(FglDate dtaabertcad) {
this.dtaabertcad = dtaabertcad;
}

public double getVlrmaiorcred() {
return vlrmaiorcred;
}

public boolean isVlrmaiorcredNull() {
return vlrmaiorcredNull;
}

public void setVlrmaiorcred(int vlrmaiorcred) {
setVlrmaiorcred(new Double(vlrmaiorcred));
}

public void setVlrmaiorcred(long vlrmaiorcred) {
setVlrmaiorcred(new Double(vlrmaiorcred));
}

public void setVlrmaiorcred(Double vlrmaiorcred) {
if (vlrmaiorcred == null) {
vlrmaiorcredNull = true;
this.vlrmaiorcred = 0.;
} else { 
vlrmaiorcredNull = false;
this.vlrmaiorcred = FglDouble.round(vlrmaiorcred, 2);
}
}

public double getVlrsaldodev() {
return vlrsaldodev;
}

public boolean isVlrsaldodevNull() {
return vlrsaldodevNull;
}

public void setVlrsaldodev(int vlrsaldodev) {
setVlrsaldodev(new Double(vlrsaldodev));
}

public void setVlrsaldodev(long vlrsaldodev) {
setVlrsaldodev(new Double(vlrsaldodev));
}

public void setVlrsaldodev(Double vlrsaldodev) {
if (vlrsaldodev == null) {
vlrsaldodevNull = true;
this.vlrsaldodev = 0.;
} else { 
vlrsaldodevNull = false;
this.vlrsaldodev = FglDouble.round(vlrsaldodev, 2);
}
}

}

