package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCisoccli {
@Coluna(nome="cisoccli.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cisoccli.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cisoccli.seqsocio", tipo="int")
private int seqsocio;
private boolean seqsocioNull;
@Coluna(nome="cisoccli.nomesocio", tipo="String")
private String nomesocio;
@Coluna(nome="cisoccli.valorcapital", tipo="double")
private double valorcapital;
private boolean valorcapitalNull;
@Coluna(nome="cisoccli.cgccpfsocio", tipo="long")
private long cgccpfsocio;
private boolean cgccpfsocioNull;
@Coluna(nome="cisoccli.tppessoasocio", tipo="int")
private int tppessoasocio;
private boolean tppessoasocioNull;
@Coluna(nome="cisoccli.cargo", tipo="String")
private String cargo;
@Coluna(nome="cisoccli.perpartici", tipo="double")
private double perpartici;
private boolean perparticiNull;
@Coluna(nome="cisoccli.mandato", tipo="String")
private String mandato;
@Coluna(nome="cisoccli.tipo", tipo="String")
private String tipo;

public TabCisoccli() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqsocio(null);
setNomesocio(null);
setValorcapital(null);
setCgccpfsocio(null);
setTppessoasocio(null);
setCargo(null);
setPerpartici(null);
setMandato(null);
setTipo(null);
}

public TabCisoccli(long cgccpf, int tppessoa, int seqsocio, String nomesocio, double valorcapital, long cgccpfsocio, int tppessoasocio, String cargo, double perpartici, String mandato, String tipo) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqsocio = seqsocio;
this.nomesocio = nomesocio;
this.valorcapital = valorcapital;
this.cgccpfsocio = cgccpfsocio;
this.tppessoasocio = tppessoasocio;
this.cargo = cargo;
this.perpartici = perpartici;
this.mandato = mandato;
this.tipo = tipo;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqsocio() {
return seqsocio;
}

public boolean isSeqsocioNull() {
return seqsocioNull;
}

public void setSeqsocio(Integer seqsocio) {
if (seqsocio == null) {
seqsocioNull = true;
this.seqsocio = 0;
} else { 
seqsocioNull = false;
this.seqsocio = seqsocio;
}
}

public String getNomesocio() {
return nomesocio;
}

public void setNomesocio(String nomesocio) {
this.nomesocio = nomesocio;
}

public double getValorcapital() {
return valorcapital;
}

public boolean isValorcapitalNull() {
return valorcapitalNull;
}

public void setValorcapital(int valorcapital) {
setValorcapital(new Double(valorcapital));
}

public void setValorcapital(long valorcapital) {
setValorcapital(new Double(valorcapital));
}

public void setValorcapital(Double valorcapital) {
if (valorcapital == null) {
valorcapitalNull = true;
this.valorcapital = 0.;
} else { 
valorcapitalNull = false;
this.valorcapital = FglDouble.round(valorcapital, 2);
}
}

public long getCgccpfsocio() {
return cgccpfsocio;
}

public boolean isCgccpfsocioNull() {
return cgccpfsocioNull;
}

public void setCgccpfsocio(int cgccpfsocio) {
setCgccpfsocio(new Long(cgccpfsocio));
}

public void setCgccpfsocio(Long cgccpfsocio) {
if (cgccpfsocio == null) {
cgccpfsocioNull = true;
this.cgccpfsocio = 0l;
} else { 
cgccpfsocioNull = false;
this.cgccpfsocio = cgccpfsocio;
}
}

public int getTppessoasocio() {
return tppessoasocio;
}

public boolean isTppessoasocioNull() {
return tppessoasocioNull;
}

public void setTppessoasocio(Integer tppessoasocio) {
if (tppessoasocio == null) {
tppessoasocioNull = true;
this.tppessoasocio = 0;
} else { 
tppessoasocioNull = false;
this.tppessoasocio = tppessoasocio;
}
}

public String getCargo() {
return cargo;
}

public void setCargo(String cargo) {
this.cargo = cargo;
}

public double getPerpartici() {
return perpartici;
}

public boolean isPerparticiNull() {
return perparticiNull;
}

public void setPerpartici(int perpartici) {
setPerpartici(new Double(perpartici));
}

public void setPerpartici(long perpartici) {
setPerpartici(new Double(perpartici));
}

public void setPerpartici(Double perpartici) {
if (perpartici == null) {
perparticiNull = true;
this.perpartici = 0.;
} else { 
perparticiNull = false;
this.perpartici = FglDouble.round(perpartici, 2);
}
}

public String getMandato() {
return mandato;
}

public void setMandato(String mandato) {
this.mandato = mandato;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

}

