package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabClatendi {
@Coluna(nome="clatendi.nrorac", tipo="int")
private int nrorac;
private boolean nroracNull;
@Coluna(nome="clatendi.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="clatendi.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="clatendi.chassis", tipo="String")
private String chassis;
@Coluna(nome="clatendi.reclamacao", tipo="String")
private String reclamacao;
@Coluna(nome="clatendi.tiporeclamacao", tipo="String")
private String tiporeclamacao;
@Coluna(nome="clatendi.dtagendamento", tipo="FglDate")
private FglDate dtagendamento;
@Coluna(nome="clatendi.hragendamento", tipo="FglDateTimeHMin")
private FglDateTimeHMin hragendamento;
@Coluna(nome="clatendi.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="clatendi.dtconclusao", tipo="FglDate")
private FglDate dtconclusao;
@Coluna(nome="clatendi.hrconclusao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrconclusao;
@Coluna(nome="clatendi.satisfeito", tipo="String")
private String satisfeito;
@Coluna(nome="clatendi.id_agenteate", tipo="int")
private int idAgenteate;
private boolean idAgenteateNull;
@Coluna(nome="clatendi.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="clatendi.reclaprocede", tipo="String")
private String reclaprocede;
@Coluna(nome="clatendi.tpreclamacao", tipo="String")
private String tpreclamacao;
@Coluna(nome="clatendi.tipo", tipo="String")
private String tipo;
@Coluna(nome="clatendi.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;

public TabClatendi() {
initialize();
}

public void initialize() {
setNrorac(null);
setData(null);
setNroEndere(null);
setChassis(null);
setReclamacao(null);
setTiporeclamacao(null);
setDtagendamento(null);
setHragendamento(null);
setIdAgente(null);
setDtconclusao(null);
setHrconclusao(null);
setSatisfeito(null);
setIdAgenteate(null);
setIdDeptos(null);
setReclaprocede(null);
setTpreclamacao(null);
setTipo(null);
setNrodocto(null);
}

public TabClatendi(int nrorac, FglDate data, long nroEndere, String chassis, String reclamacao, String tiporeclamacao, FglDate dtagendamento, FglDateTimeHMin hragendamento, int idAgente, FglDate dtconclusao, FglDateTimeHMin hrconclusao, String satisfeito, int idAgenteate, int idDeptos, String reclaprocede, String tpreclamacao, String tipo, int nrodocto) {
this.nrorac = nrorac;
this.data = data;
this.nroEndere = nroEndere;
this.chassis = chassis;
this.reclamacao = reclamacao;
this.tiporeclamacao = tiporeclamacao;
this.dtagendamento = dtagendamento;
this.hragendamento = hragendamento;
this.idAgente = idAgente;
this.dtconclusao = dtconclusao;
this.hrconclusao = hrconclusao;
this.satisfeito = satisfeito;
this.idAgenteate = idAgenteate;
this.idDeptos = idDeptos;
this.reclaprocede = reclaprocede;
this.tpreclamacao = tpreclamacao;
this.tipo = tipo;
this.nrodocto = nrodocto;
}

public int getNrorac() {
return nrorac;
}

public boolean isNroracNull() {
return nroracNull;
}

public void setNrorac(Integer nrorac) {
if (nrorac == null) {
nroracNull = true;
this.nrorac = 0;
} else { 
nroracNull = false;
this.nrorac = nrorac;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getReclamacao() {
return reclamacao;
}

public void setReclamacao(String reclamacao) {
this.reclamacao = reclamacao;
}

public String getTiporeclamacao() {
return tiporeclamacao;
}

public void setTiporeclamacao(String tiporeclamacao) {
this.tiporeclamacao = tiporeclamacao;
}

public FglDate getDtagendamento() {
return dtagendamento;
}

public void setDtagendamento(FglDate dtagendamento) {
this.dtagendamento = dtagendamento;
}

public FglDateTimeHMin getHragendamento() {
return hragendamento;
}

public void setHragendamento(FglDateTimeHMin hragendamento) {
this.hragendamento = hragendamento;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtconclusao() {
return dtconclusao;
}

public void setDtconclusao(FglDate dtconclusao) {
this.dtconclusao = dtconclusao;
}

public FglDateTimeHMin getHrconclusao() {
return hrconclusao;
}

public void setHrconclusao(FglDateTimeHMin hrconclusao) {
this.hrconclusao = hrconclusao;
}

public String getSatisfeito() {
return satisfeito;
}

public void setSatisfeito(String satisfeito) {
this.satisfeito = satisfeito;
}

public int getIdAgenteate() {
return idAgenteate;
}

public boolean isIdAgenteateNull() {
return idAgenteateNull;
}

public void setIdAgenteate(Integer idAgenteate) {
if (idAgenteate == null) {
idAgenteateNull = true;
this.idAgenteate = 0;
} else { 
idAgenteateNull = false;
this.idAgenteate = idAgenteate;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public String getReclaprocede() {
return reclaprocede;
}

public void setReclaprocede(String reclaprocede) {
this.reclaprocede = reclaprocede;
}

public String getTpreclamacao() {
return tpreclamacao;
}

public void setTpreclamacao(String tpreclamacao) {
this.tpreclamacao = tpreclamacao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

}

