package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabClativid {
@Coluna(nome="clativid.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="clativid.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="clativid.atividcliente", tipo="String")
private String atividcliente;
@Coluna(nome="clativid.percrelativo", tipo="double")
private double percrelativo;
private boolean percrelativoNull;
@Coluna(nome="clativid.idademedia", tipo="int")
private int idademedia;
private boolean idademediaNull;

public TabClativid() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setAtividcliente(null);
setPercrelativo(null);
setIdademedia(null);
}

public TabClativid(int tppessoa, long cgccpf, String atividcliente, double percrelativo, int idademedia) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.atividcliente = atividcliente;
this.percrelativo = percrelativo;
this.idademedia = idademedia;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getAtividcliente() {
return atividcliente;
}

public void setAtividcliente(String atividcliente) {
this.atividcliente = atividcliente;
}

public double getPercrelativo() {
return percrelativo;
}

public boolean isPercrelativoNull() {
return percrelativoNull;
}

public void setPercrelativo(int percrelativo) {
setPercrelativo(new Double(percrelativo));
}

public void setPercrelativo(long percrelativo) {
setPercrelativo(new Double(percrelativo));
}

public void setPercrelativo(Double percrelativo) {
if (percrelativo == null) {
percrelativoNull = true;
this.percrelativo = 0.;
} else { 
percrelativoNull = false;
this.percrelativo = FglDouble.round(percrelativo, 2);
}
}

public int getIdademedia() {
return idademedia;
}

public boolean isIdademediaNull() {
return idademediaNull;
}

public void setIdademedia(Integer idademedia) {
if (idademedia == null) {
idademediaNull = true;
this.idademedia = 0;
} else { 
idademediaNull = false;
this.idademedia = idademedia;
}
}

}

