package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabClatufro {
@Coluna(nome="clatufro.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="clatufro.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="clatufro.dtultatu", tipo="FglDate")
private FglDate dtultatu;

public TabClatufro() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setDtultatu(null);
}

public TabClatufro(long cgccpf, int tppessoa, FglDate dtultatu) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtultatu = dtultatu;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtultatu() {
return dtultatu;
}

public void setDtultatu(FglDate dtultatu) {
this.dtultatu = dtultatu;
}

}

