package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabClcldcla {
@Coluna(nome="clcldcla.id_cldept", tipo="int")
private int idCldept;
private boolean idCldeptNull;
@Coluna(nome="clcldcla.administ", tipo="String")
private String administ;
@Coluna(nome="clcldcla.prazo", tipo="String")
private String prazo;
@Coluna(nome="clcldcla.grupo", tipo="String")
private String grupo;
@Coluna(nome="clcldcla.cota", tipo="String")
private String cota;
@Coluna(nome="clcldcla.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="clcldcla.modelo", tipo="String")
private String modelo;
@Coluna(nome="clcldcla.prevterm", tipo="FglDateTimeYM")
private FglDateTimeYM prevterm;
@Coluna(nome="clcldcla.contemplado", tipo="String")
private String contemplado;
@Coluna(nome="clcldcla.segurombb", tipo="String")
private String segurombb;
@Coluna(nome="clcldcla.seguroout", tipo="String")
private String seguroout;
@Coluna(nome="clcldcla.qtdesegura", tipo="int")
private int qtdesegura;
private boolean qtdeseguraNull;
@Coluna(nome="clcldcla.oficprop", tipo="String")
private String oficprop;
@Coluna(nome="clcldcla.estoqprop", tipo="String")
private String estoqprop;
@Coluna(nome="clcldcla.contrato", tipo="String")
private String contrato;
@Coluna(nome="clcldcla.tipocont", tipo="String")
private String tipocont;
@Coluna(nome="clcldcla.garantest", tipo="String")
private String garantest;
@Coluna(nome="clcldcla.tipogar", tipo="String")
private String tipogar;
@Coluna(nome="clcldcla.revisoes", tipo="String")
private String revisoes;
@Coluna(nome="clcldcla.formapagto", tipo="int")
private int formapagto;
private boolean formapagtoNull;
@Coluna(nome="clcldcla.dificaprov", tipo="int")
private int dificaprov;
private boolean dificaprovNull;
@Coluna(nome="clcldcla.credito", tipo="int")
private int credito;
private boolean creditoNull;
@Coluna(nome="clcldcla.outcred", tipo="String")
private String outcred;

public TabClcldcla() {
initialize();
}

public void initialize() {
setIdCldept(null);
setAdminist(null);
setPrazo(null);
setGrupo(null);
setCota(null);
setQuantidade(null);
setModelo(null);
setPrevterm(null);
setContemplado(null);
setSegurombb(null);
setSeguroout(null);
setQtdesegura(null);
setOficprop(null);
setEstoqprop(null);
setContrato(null);
setTipocont(null);
setGarantest(null);
setTipogar(null);
setRevisoes(null);
setFormapagto(null);
setDificaprov(null);
setCredito(null);
setOutcred(null);
}

public TabClcldcla(int idCldept, String administ, String prazo, String grupo, String cota, int quantidade, String modelo, FglDateTimeYM prevterm, String contemplado, String segurombb, String seguroout, int qtdesegura, String oficprop, String estoqprop, String contrato, String tipocont, String garantest, String tipogar, String revisoes, int formapagto, int dificaprov, int credito, String outcred) {
this.idCldept = idCldept;
this.administ = administ;
this.prazo = prazo;
this.grupo = grupo;
this.cota = cota;
this.quantidade = quantidade;
this.modelo = modelo;
this.prevterm = prevterm;
this.contemplado = contemplado;
this.segurombb = segurombb;
this.seguroout = seguroout;
this.qtdesegura = qtdesegura;
this.oficprop = oficprop;
this.estoqprop = estoqprop;
this.contrato = contrato;
this.tipocont = tipocont;
this.garantest = garantest;
this.tipogar = tipogar;
this.revisoes = revisoes;
this.formapagto = formapagto;
this.dificaprov = dificaprov;
this.credito = credito;
this.outcred = outcred;
}

public int getIdCldept() {
return idCldept;
}

public boolean isIdCldeptNull() {
return idCldeptNull;
}

public void setIdCldept(Integer idCldept) {
if (idCldept == null) {
idCldeptNull = true;
this.idCldept = 0;
} else { 
idCldeptNull = false;
this.idCldept = idCldept;
}
}

public String getAdminist() {
return administ;
}

public void setAdminist(String administ) {
this.administ = administ;
}

public String getPrazo() {
return prazo;
}

public void setPrazo(String prazo) {
this.prazo = prazo;
}

public String getGrupo() {
return grupo;
}

public void setGrupo(String grupo) {
this.grupo = grupo;
}

public String getCota() {
return cota;
}

public void setCota(String cota) {
this.cota = cota;
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public FglDateTimeYM getPrevterm() {
return prevterm;
}

public void setPrevterm(FglDateTimeYM prevterm) {
this.prevterm = prevterm;
}

public String getContemplado() {
return contemplado;
}

public void setContemplado(String contemplado) {
this.contemplado = contemplado;
}

public String getSegurombb() {
return segurombb;
}

public void setSegurombb(String segurombb) {
this.segurombb = segurombb;
}

public String getSeguroout() {
return seguroout;
}

public void setSeguroout(String seguroout) {
this.seguroout = seguroout;
}

public int getQtdesegura() {
return qtdesegura;
}

public boolean isQtdeseguraNull() {
return qtdeseguraNull;
}

public void setQtdesegura(Integer qtdesegura) {
if (qtdesegura == null) {
qtdeseguraNull = true;
this.qtdesegura = 0;
} else { 
qtdeseguraNull = false;
this.qtdesegura = qtdesegura;
}
}

public String getOficprop() {
return oficprop;
}

public void setOficprop(String oficprop) {
this.oficprop = oficprop;
}

public String getEstoqprop() {
return estoqprop;
}

public void setEstoqprop(String estoqprop) {
this.estoqprop = estoqprop;
}

public String getContrato() {
return contrato;
}

public void setContrato(String contrato) {
this.contrato = contrato;
}

public String getTipocont() {
return tipocont;
}

public void setTipocont(String tipocont) {
this.tipocont = tipocont;
}

public String getGarantest() {
return garantest;
}

public void setGarantest(String garantest) {
this.garantest = garantest;
}

public String getTipogar() {
return tipogar;
}

public void setTipogar(String tipogar) {
this.tipogar = tipogar;
}

public String getRevisoes() {
return revisoes;
}

public void setRevisoes(String revisoes) {
this.revisoes = revisoes;
}

public int getFormapagto() {
return formapagto;
}

public boolean isFormapagtoNull() {
return formapagtoNull;
}

public void setFormapagto(Integer formapagto) {
if (formapagto == null) {
formapagtoNull = true;
this.formapagto = 0;
} else { 
formapagtoNull = false;
this.formapagto = formapagto;
}
}

public int getDificaprov() {
return dificaprov;
}

public boolean isDificaprovNull() {
return dificaprovNull;
}

public void setDificaprov(Integer dificaprov) {
if (dificaprov == null) {
dificaprovNull = true;
this.dificaprov = 0;
} else { 
dificaprovNull = false;
this.dificaprov = dificaprov;
}
}

public int getCredito() {
return credito;
}

public boolean isCreditoNull() {
return creditoNull;
}

public void setCredito(Integer credito) {
if (credito == null) {
creditoNull = true;
this.credito = 0;
} else { 
creditoNull = false;
this.credito = credito;
}
}

public String getOutcred() {
return outcred;
}

public void setOutcred(String outcred) {
this.outcred = outcred;
}

}

