package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabClclient {
@Coluna(nome="clclient.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="clclient.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="clclient.limitecred", tipo="double")
private double limitecred;
private boolean limitecredNull;
@Coluna(nome="clclient.saldodevedor", tipo="double")
private double saldodevedor;
private boolean saldodevedorNull;
@Coluna(nome="clclient.conceito", tipo="int")
private int conceito;
private boolean conceitoNull;
@Coluna(nome="clclient.mandacarta", tipo="String")
private String mandacarta;
@Coluna(nome="clclient.condpgpadrao", tipo="int")
private int condpgpadrao;
private boolean condpgpadraoNull;
@Coluna(nome="clclient.dtcadastro", tipo="FglDate")
private FglDate dtcadastro;
@Coluna(nome="clclient.dtvctocad", tipo="FglDate")
private FglDate dtvctocad;
@Coluna(nome="clclient.dtprimfatura", tipo="FglDate")
private FglDate dtprimfatura;
@Coluna(nome="clclient.vlrprimfatura", tipo="double")
private double vlrprimfatura;
private boolean vlrprimfaturaNull;
@Coluna(nome="clclient.dtultfatura", tipo="FglDate")
private FglDate dtultfatura;
@Coluna(nome="clclient.vlrultfatura", tipo="double")
private double vlrultfatura;
private boolean vlrultfaturaNull;
@Coluna(nome="clclient.dtmaifatura", tipo="FglDate")
private FglDate dtmaifatura;
@Coluna(nome="clclient.vlrmaifatura", tipo="double")
private double vlrmaifatura;
private boolean vlrmaifaturaNull;
@Coluna(nome="clclient.dtmaiacumulo", tipo="FglDate")
private FglDate dtmaiacumulo;
@Coluna(nome="clclient.vlrmaiacumulo", tipo="double")
private double vlrmaiacumulo;
private boolean vlrmaiacumuloNull;
@Coluna(nome="clclient.maioratraso", tipo="int")
private int maioratraso;
private boolean maioratrasoNull;
@Coluna(nome="clclient.dtultatraso", tipo="FglDate")
private FglDate dtultatraso;
@Coluna(nome="clclient.diasultatraso", tipo="int")
private int diasultatraso;
private boolean diasultatrasoNull;
@Coluna(nome="clclient.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="clclient.dtatualiza", tipo="FglDate")
private FglDate dtatualiza;
@Coluna(nome="clclient.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="clclient.ctacorrente", tipo="long")
private long ctacorrente;
private boolean ctacorrenteNull;
@Coluna(nome="clclient.digctacorr", tipo="String")
private String digctacorr;

public TabClclient() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setLimitecred(null);
setSaldodevedor(null);
setConceito(null);
setMandacarta(null);
setCondpgpadrao(null);
setDtcadastro(null);
setDtvctocad(null);
setDtprimfatura(null);
setVlrprimfatura(null);
setDtultfatura(null);
setVlrultfatura(null);
setDtmaifatura(null);
setVlrmaifatura(null);
setDtmaiacumulo(null);
setVlrmaiacumulo(null);
setMaioratraso(null);
setDtultatraso(null);
setDiasultatraso(null);
setMensagem(null);
setDtatualiza(null);
setIdBancos(null);
setCtacorrente(null);
setDigctacorr(null);
}

public TabClclient(int tppessoa, long cgccpf, double limitecred, double saldodevedor, int conceito, String mandacarta, int condpgpadrao, FglDate dtcadastro, FglDate dtvctocad, FglDate dtprimfatura, double vlrprimfatura, FglDate dtultfatura, double vlrultfatura, FglDate dtmaifatura, double vlrmaifatura, FglDate dtmaiacumulo, double vlrmaiacumulo, int maioratraso, FglDate dtultatraso, int diasultatraso, String mensagem, FglDate dtatualiza, int idBancos, long ctacorrente, String digctacorr) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.limitecred = limitecred;
this.saldodevedor = saldodevedor;
this.conceito = conceito;
this.mandacarta = mandacarta;
this.condpgpadrao = condpgpadrao;
this.dtcadastro = dtcadastro;
this.dtvctocad = dtvctocad;
this.dtprimfatura = dtprimfatura;
this.vlrprimfatura = vlrprimfatura;
this.dtultfatura = dtultfatura;
this.vlrultfatura = vlrultfatura;
this.dtmaifatura = dtmaifatura;
this.vlrmaifatura = vlrmaifatura;
this.dtmaiacumulo = dtmaiacumulo;
this.vlrmaiacumulo = vlrmaiacumulo;
this.maioratraso = maioratraso;
this.dtultatraso = dtultatraso;
this.diasultatraso = diasultatraso;
this.mensagem = mensagem;
this.dtatualiza = dtatualiza;
this.idBancos = idBancos;
this.ctacorrente = ctacorrente;
this.digctacorr = digctacorr;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public double getLimitecred() {
return limitecred;
}

public boolean isLimitecredNull() {
return limitecredNull;
}

public void setLimitecred(int limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(long limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(Double limitecred) {
if (limitecred == null) {
limitecredNull = true;
this.limitecred = 0.;
} else { 
limitecredNull = false;
this.limitecred = FglDouble.round(limitecred, 2);
}
}

public double getSaldodevedor() {
return saldodevedor;
}

public boolean isSaldodevedorNull() {
return saldodevedorNull;
}

public void setSaldodevedor(int saldodevedor) {
setSaldodevedor(new Double(saldodevedor));
}

public void setSaldodevedor(long saldodevedor) {
setSaldodevedor(new Double(saldodevedor));
}

public void setSaldodevedor(Double saldodevedor) {
if (saldodevedor == null) {
saldodevedorNull = true;
this.saldodevedor = 0.;
} else { 
saldodevedorNull = false;
this.saldodevedor = FglDouble.round(saldodevedor, 2);
}
}

public int getConceito() {
return conceito;
}

public boolean isConceitoNull() {
return conceitoNull;
}

public void setConceito(Integer conceito) {
if (conceito == null) {
conceitoNull = true;
this.conceito = 0;
} else { 
conceitoNull = false;
this.conceito = conceito;
}
}

public String getMandacarta() {
return mandacarta;
}

public void setMandacarta(String mandacarta) {
this.mandacarta = mandacarta;
}

public int getCondpgpadrao() {
return condpgpadrao;
}

public boolean isCondpgpadraoNull() {
return condpgpadraoNull;
}

public void setCondpgpadrao(Integer condpgpadrao) {
if (condpgpadrao == null) {
condpgpadraoNull = true;
this.condpgpadrao = 0;
} else { 
condpgpadraoNull = false;
this.condpgpadrao = condpgpadrao;
}
}

public FglDate getDtcadastro() {
return dtcadastro;
}

public void setDtcadastro(FglDate dtcadastro) {
this.dtcadastro = dtcadastro;
}

public FglDate getDtvctocad() {
return dtvctocad;
}

public void setDtvctocad(FglDate dtvctocad) {
this.dtvctocad = dtvctocad;
}

public FglDate getDtprimfatura() {
return dtprimfatura;
}

public void setDtprimfatura(FglDate dtprimfatura) {
this.dtprimfatura = dtprimfatura;
}

public double getVlrprimfatura() {
return vlrprimfatura;
}

public boolean isVlrprimfaturaNull() {
return vlrprimfaturaNull;
}

public void setVlrprimfatura(int vlrprimfatura) {
setVlrprimfatura(new Double(vlrprimfatura));
}

public void setVlrprimfatura(long vlrprimfatura) {
setVlrprimfatura(new Double(vlrprimfatura));
}

public void setVlrprimfatura(Double vlrprimfatura) {
if (vlrprimfatura == null) {
vlrprimfaturaNull = true;
this.vlrprimfatura = 0.;
} else { 
vlrprimfaturaNull = false;
this.vlrprimfatura = FglDouble.round(vlrprimfatura, 2);
}
}

public FglDate getDtultfatura() {
return dtultfatura;
}

public void setDtultfatura(FglDate dtultfatura) {
this.dtultfatura = dtultfatura;
}

public double getVlrultfatura() {
return vlrultfatura;
}

public boolean isVlrultfaturaNull() {
return vlrultfaturaNull;
}

public void setVlrultfatura(int vlrultfatura) {
setVlrultfatura(new Double(vlrultfatura));
}

public void setVlrultfatura(long vlrultfatura) {
setVlrultfatura(new Double(vlrultfatura));
}

public void setVlrultfatura(Double vlrultfatura) {
if (vlrultfatura == null) {
vlrultfaturaNull = true;
this.vlrultfatura = 0.;
} else { 
vlrultfaturaNull = false;
this.vlrultfatura = FglDouble.round(vlrultfatura, 2);
}
}

public FglDate getDtmaifatura() {
return dtmaifatura;
}

public void setDtmaifatura(FglDate dtmaifatura) {
this.dtmaifatura = dtmaifatura;
}

public double getVlrmaifatura() {
return vlrmaifatura;
}

public boolean isVlrmaifaturaNull() {
return vlrmaifaturaNull;
}

public void setVlrmaifatura(int vlrmaifatura) {
setVlrmaifatura(new Double(vlrmaifatura));
}

public void setVlrmaifatura(long vlrmaifatura) {
setVlrmaifatura(new Double(vlrmaifatura));
}

public void setVlrmaifatura(Double vlrmaifatura) {
if (vlrmaifatura == null) {
vlrmaifaturaNull = true;
this.vlrmaifatura = 0.;
} else { 
vlrmaifaturaNull = false;
this.vlrmaifatura = FglDouble.round(vlrmaifatura, 2);
}
}

public FglDate getDtmaiacumulo() {
return dtmaiacumulo;
}

public void setDtmaiacumulo(FglDate dtmaiacumulo) {
this.dtmaiacumulo = dtmaiacumulo;
}

public double getVlrmaiacumulo() {
return vlrmaiacumulo;
}

public boolean isVlrmaiacumuloNull() {
return vlrmaiacumuloNull;
}

public void setVlrmaiacumulo(int vlrmaiacumulo) {
setVlrmaiacumulo(new Double(vlrmaiacumulo));
}

public void setVlrmaiacumulo(long vlrmaiacumulo) {
setVlrmaiacumulo(new Double(vlrmaiacumulo));
}

public void setVlrmaiacumulo(Double vlrmaiacumulo) {
if (vlrmaiacumulo == null) {
vlrmaiacumuloNull = true;
this.vlrmaiacumulo = 0.;
} else { 
vlrmaiacumuloNull = false;
this.vlrmaiacumulo = FglDouble.round(vlrmaiacumulo, 2);
}
}

public int getMaioratraso() {
return maioratraso;
}

public boolean isMaioratrasoNull() {
return maioratrasoNull;
}

public void setMaioratraso(Integer maioratraso) {
if (maioratraso == null) {
maioratrasoNull = true;
this.maioratraso = 0;
} else { 
maioratrasoNull = false;
this.maioratraso = maioratraso;
}
}

public FglDate getDtultatraso() {
return dtultatraso;
}

public void setDtultatraso(FglDate dtultatraso) {
this.dtultatraso = dtultatraso;
}

public int getDiasultatraso() {
return diasultatraso;
}

public boolean isDiasultatrasoNull() {
return diasultatrasoNull;
}

public void setDiasultatraso(Integer diasultatraso) {
if (diasultatraso == null) {
diasultatrasoNull = true;
this.diasultatraso = 0;
} else { 
diasultatrasoNull = false;
this.diasultatraso = diasultatraso;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public FglDate getDtatualiza() {
return dtatualiza;
}

public void setDtatualiza(FglDate dtatualiza) {
this.dtatualiza = dtatualiza;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getCtacorrente() {
return ctacorrente;
}

public boolean isCtacorrenteNull() {
return ctacorrenteNull;
}

public void setCtacorrente(int ctacorrente) {
setCtacorrente(new Long(ctacorrente));
}

public void setCtacorrente(Long ctacorrente) {
if (ctacorrente == null) {
ctacorrenteNull = true;
this.ctacorrente = 0l;
} else { 
ctacorrenteNull = false;
this.ctacorrente = ctacorrente;
}
}

public String getDigctacorr() {
return digctacorr;
}

public void setDigctacorr(String digctacorr) {
this.digctacorr = digctacorr;
}

}

