package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabClfrocla {
@Coluna(nome="clfrocla.id_frotag", tipo="int")
private int idFrotag;
private boolean idFrotagNull;
@Coluna(nome="clfrocla.onus", tipo="String")
private String onus;
@Coluna(nome="clfrocla.seguro", tipo="String")
private String seguro;
@Coluna(nome="clfrocla.kmmedia", tipo="int")
private int kmmedia;
private boolean kmmediaNull;
@Coluna(nome="clfrocla.valoraprox", tipo="double")
private double valoraprox;
private boolean valoraproxNull;

public TabClfrocla() {
initialize();
}

public void initialize() {
setIdFrotag(null);
setOnus(null);
setSeguro(null);
setKmmedia(null);
setValoraprox(null);
}

public TabClfrocla(int idFrotag, String onus, String seguro, int kmmedia, double valoraprox) {
this.idFrotag = idFrotag;
this.onus = onus;
this.seguro = seguro;
this.kmmedia = kmmedia;
this.valoraprox = valoraprox;
}

public int getIdFrotag() {
return idFrotag;
}

public boolean isIdFrotagNull() {
return idFrotagNull;
}

public void setIdFrotag(Integer idFrotag) {
if (idFrotag == null) {
idFrotagNull = true;
this.idFrotag = 0;
} else { 
idFrotagNull = false;
this.idFrotag = idFrotag;
}
}

public String getOnus() {
return onus;
}

public void setOnus(String onus) {
this.onus = onus;
}

public String getSeguro() {
return seguro;
}

public void setSeguro(String seguro) {
this.seguro = seguro;
}

public int getKmmedia() {
return kmmedia;
}

public boolean isKmmediaNull() {
return kmmediaNull;
}

public void setKmmedia(Integer kmmedia) {
if (kmmedia == null) {
kmmediaNull = true;
this.kmmedia = 0;
} else { 
kmmediaNull = false;
this.kmmedia = kmmedia;
}
}

public double getValoraprox() {
return valoraprox;
}

public boolean isValoraproxNull() {
return valoraproxNull;
}

public void setValoraprox(int valoraprox) {
setValoraprox(new Double(valoraprox));
}

public void setValoraprox(long valoraprox) {
setValoraprox(new Double(valoraprox));
}

public void setValoraprox(Double valoraprox) {
if (valoraprox == null) {
valoraproxNull = true;
this.valoraprox = 0.;
} else { 
valoraproxNull = false;
this.valoraprox = FglDouble.round(valoraprox, 2);
}
}

}

