package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabClguecar {
@Coluna(nome="clguecar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="clguecar.controle", tipo="int")
private int controle;
private boolean controleNull;
@Coluna(nome="clguecar.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="clguecar.hrabertura", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrabertura;
@Coluna(nome="clguecar.id_recepcionista", tipo="int")
private int idRecepcionista;
private boolean idRecepcionistaNull;
@Coluna(nome="clguecar.nomecliente", tipo="String")
private String nomecliente;
@Coluna(nome="clguecar.dtnascto", tipo="FglDate")
private FglDate dtnascto;
@Coluna(nome="clguecar.fonecomercial", tipo="String")
private String fonecomercial;
@Coluna(nome="clguecar.foneresidencial", tipo="String")
private String foneresidencial;
@Coluna(nome="clguecar.fonecontato", tipo="String")
private String fonecontato;
@Coluna(nome="clguecar.hrcontato", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrcontato;
@Coluna(nome="clguecar.tipocontato", tipo="String")
private String tipocontato;
@Coluna(nome="clguecar.id_vendedor", tipo="int")
private int idVendedor;
private boolean idVendedorNull;
@Coluna(nome="clguecar.modelo", tipo="String")
private String modelo;
@Coluna(nome="clguecar.estava_passeio", tipo="String")
private String estavaPasseio;
@Coluna(nome="clguecar.como_chegou", tipo="String")
private String comoChegou;
@Coluna(nome="clguecar.observacao", tipo="String")
private String observacao;

public TabClguecar() {
initialize();
}

public void initialize() {
setFilial(null);
setControle(null);
setDtabertura(null);
setHrabertura(null);
setIdRecepcionista(null);
setNomecliente(null);
setDtnascto(null);
setFonecomercial(null);
setFoneresidencial(null);
setFonecontato(null);
setHrcontato(null);
setTipocontato(null);
setIdVendedor(null);
setModelo(null);
setEstavaPasseio(null);
setComoChegou(null);
setObservacao(null);
}

public TabClguecar(int filial, int controle, FglDate dtabertura, FglDateTimeHMin hrabertura, int idRecepcionista, String nomecliente, FglDate dtnascto, String fonecomercial, String foneresidencial, String fonecontato, FglDateTimeHMin hrcontato, String tipocontato, int idVendedor, String modelo, String estavaPasseio, String comoChegou, String observacao) {
this.filial = filial;
this.controle = controle;
this.dtabertura = dtabertura;
this.hrabertura = hrabertura;
this.idRecepcionista = idRecepcionista;
this.nomecliente = nomecliente;
this.dtnascto = dtnascto;
this.fonecomercial = fonecomercial;
this.foneresidencial = foneresidencial;
this.fonecontato = fonecontato;
this.hrcontato = hrcontato;
this.tipocontato = tipocontato;
this.idVendedor = idVendedor;
this.modelo = modelo;
this.estavaPasseio = estavaPasseio;
this.comoChegou = comoChegou;
this.observacao = observacao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getControle() {
return controle;
}

public boolean isControleNull() {
return controleNull;
}

public void setControle(Integer controle) {
if (controle == null) {
controleNull = true;
this.controle = 0;
} else { 
controleNull = false;
this.controle = controle;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public FglDateTimeHMin getHrabertura() {
return hrabertura;
}

public void setHrabertura(FglDateTimeHMin hrabertura) {
this.hrabertura = hrabertura;
}

public int getIdRecepcionista() {
return idRecepcionista;
}

public boolean isIdRecepcionistaNull() {
return idRecepcionistaNull;
}

public void setIdRecepcionista(Integer idRecepcionista) {
if (idRecepcionista == null) {
idRecepcionistaNull = true;
this.idRecepcionista = 0;
} else { 
idRecepcionistaNull = false;
this.idRecepcionista = idRecepcionista;
}
}

public String getNomecliente() {
return nomecliente;
}

public void setNomecliente(String nomecliente) {
this.nomecliente = nomecliente;
}

public FglDate getDtnascto() {
return dtnascto;
}

public void setDtnascto(FglDate dtnascto) {
this.dtnascto = dtnascto;
}

public String getFonecomercial() {
return fonecomercial;
}

public void setFonecomercial(String fonecomercial) {
this.fonecomercial = fonecomercial;
}

public String getFoneresidencial() {
return foneresidencial;
}

public void setFoneresidencial(String foneresidencial) {
this.foneresidencial = foneresidencial;
}

public String getFonecontato() {
return fonecontato;
}

public void setFonecontato(String fonecontato) {
this.fonecontato = fonecontato;
}

public FglDateTimeHMin getHrcontato() {
return hrcontato;
}

public void setHrcontato(FglDateTimeHMin hrcontato) {
this.hrcontato = hrcontato;
}

public String getTipocontato() {
return tipocontato;
}

public void setTipocontato(String tipocontato) {
this.tipocontato = tipocontato;
}

public int getIdVendedor() {
return idVendedor;
}

public boolean isIdVendedorNull() {
return idVendedorNull;
}

public void setIdVendedor(Integer idVendedor) {
if (idVendedor == null) {
idVendedorNull = true;
this.idVendedor = 0;
} else { 
idVendedorNull = false;
this.idVendedor = idVendedor;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getEstavaPasseio() {
return estavaPasseio;
}

public void setEstavaPasseio(String estavaPasseio) {
this.estavaPasseio = estavaPasseio;
}

public String getComoChegou() {
return comoChegou;
}

public void setComoChegou(String comoChegou) {
this.comoChegou = comoChegou;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

