package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabClintcli {
@Coluna(nome="clintcli.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="clintcli.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="clintcli.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="clintcli.dtefetivacao", tipo="FglDate")
private FglDate dtefetivacao;
@Coluna(nome="clintcli.limite_cred", tipo="double")
private double limiteCred;
private boolean limiteCredNull;
@Coluna(nome="clintcli.conceito", tipo="int")
private int conceito;
private boolean conceitoNull;
@Coluna(nome="clintcli.codalteracao", tipo="String")
private String codalteracao;
@Coluna(nome="clintcli.observacao", tipo="String")
private String observacao;
@Coluna(nome="clintcli.login", tipo="String")
private String login;

public TabClintcli() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setDtocorrencia(null);
setDtefetivacao(null);
setLimiteCred(null);
setConceito(null);
setCodalteracao(null);
setObservacao(null);
setLogin(null);
}

public TabClintcli(int tppessoa, long cgccpf, FglDateTimeYS dtocorrencia, FglDate dtefetivacao, double limiteCred, int conceito, String codalteracao, String observacao, String login) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.dtocorrencia = dtocorrencia;
this.dtefetivacao = dtefetivacao;
this.limiteCred = limiteCred;
this.conceito = conceito;
this.codalteracao = codalteracao;
this.observacao = observacao;
this.login = login;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public FglDate getDtefetivacao() {
return dtefetivacao;
}

public void setDtefetivacao(FglDate dtefetivacao) {
this.dtefetivacao = dtefetivacao;
}

public double getLimiteCred() {
return limiteCred;
}

public boolean isLimiteCredNull() {
return limiteCredNull;
}

public void setLimiteCred(int limiteCred) {
setLimiteCred(new Double(limiteCred));
}

public void setLimiteCred(long limiteCred) {
setLimiteCred(new Double(limiteCred));
}

public void setLimiteCred(Double limiteCred) {
if (limiteCred == null) {
limiteCredNull = true;
this.limiteCred = 0.;
} else { 
limiteCredNull = false;
this.limiteCred = FglDouble.round(limiteCred, 2);
}
}

public int getConceito() {
return conceito;
}

public boolean isConceitoNull() {
return conceitoNull;
}

public void setConceito(Integer conceito) {
if (conceito == null) {
conceitoNull = true;
this.conceito = 0;
} else { 
conceitoNull = false;
this.conceito = conceito;
}
}

public String getCodalteracao() {
return codalteracao;
}

public void setCodalteracao(String codalteracao) {
this.codalteracao = codalteracao;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

}

