package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabClpefin {
@Coluna(nome="clpefin.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;
@Coluna(nome="clpefin.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="clpefin.nroremessa", tipo="long")
private long nroremessa;
private boolean nroremessaNull;
@Coluna(nome="clpefin.seqremessa", tipo="int")
private int seqremessa;
private boolean seqremessaNull;
@Coluna(nome="clpefin.seqregistro", tipo="int")
private int seqregistro;
private boolean seqregistroNull;
@Coluna(nome="clpefin.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="clpefin.codenvio", tipo="String")
private String codenvio;
@Coluna(nome="clpefin.codoperacao", tipo="String")
private String codoperacao;
@Coluna(nome="clpefin.coderro", tipo="String")
private String coderro;

public TabClpefin() {
initialize();
}

public void initialize() {
setIdDuplic(null);
setDtgeracao(null);
setNroremessa(null);
setSeqremessa(null);
setSeqregistro(null);
setFilial(null);
setCodenvio(null);
setCodoperacao(null);
setCoderro(null);
}

public TabClpefin(int idDuplic, FglDate dtgeracao, long nroremessa, int seqremessa, int seqregistro, int filial, String codenvio, String codoperacao, String coderro) {
this.idDuplic = idDuplic;
this.dtgeracao = dtgeracao;
this.nroremessa = nroremessa;
this.seqremessa = seqremessa;
this.seqregistro = seqregistro;
this.filial = filial;
this.codenvio = codenvio;
this.codoperacao = codoperacao;
this.coderro = coderro;
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public long getNroremessa() {
return nroremessa;
}

public boolean isNroremessaNull() {
return nroremessaNull;
}

public void setNroremessa(int nroremessa) {
setNroremessa(new Long(nroremessa));
}

public void setNroremessa(Long nroremessa) {
if (nroremessa == null) {
nroremessaNull = true;
this.nroremessa = 0l;
} else { 
nroremessaNull = false;
this.nroremessa = nroremessa;
}
}

public int getSeqremessa() {
return seqremessa;
}

public boolean isSeqremessaNull() {
return seqremessaNull;
}

public void setSeqremessa(Integer seqremessa) {
if (seqremessa == null) {
seqremessaNull = true;
this.seqremessa = 0;
} else { 
seqremessaNull = false;
this.seqremessa = seqremessa;
}
}

public int getSeqregistro() {
return seqregistro;
}

public boolean isSeqregistroNull() {
return seqregistroNull;
}

public void setSeqregistro(Integer seqregistro) {
if (seqregistro == null) {
seqregistroNull = true;
this.seqregistro = 0;
} else { 
seqregistroNull = false;
this.seqregistro = seqregistro;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getCodenvio() {
return codenvio;
}

public void setCodenvio(String codenvio) {
this.codenvio = codenvio;
}

public String getCodoperacao() {
return codoperacao;
}

public void setCodoperacao(String codoperacao) {
this.codoperacao = codoperacao;
}

public String getCoderro() {
return coderro;
}

public void setCoderro(String coderro) {
this.coderro = coderro;
}

}

