package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabClsatser {
@Coluna(nome="clsatser.nroavaliacao", tipo="int")
private int nroavaliacao;
private boolean nroavaliacaoNull;
@Coluna(nome="clsatser.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="clsatser.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="clsatser.chassis", tipo="String")
private String chassis;
@Coluna(nome="clsatser.nota", tipo="int")
private int nota;
private boolean notaNull;
@Coluna(nome="clsatser.observacao", tipo="String")
private String observacao;
@Coluna(nome="clsatser.primeiro_contato", tipo="FglDate")
private FglDate primeiroContato;
@Coluna(nome="clsatser.questionario", tipo="int")
private int questionario;
private boolean questionarioNull;

public TabClsatser() {
initialize();
}

public void initialize() {
setNroavaliacao(null);
setData(null);
setNroEndere(null);
setChassis(null);
setNota(null);
setObservacao(null);
setPrimeiroContato(null);
setQuestionario(null);
}

public TabClsatser(int nroavaliacao, FglDate data, long nroEndere, String chassis, int nota, String observacao, FglDate primeiroContato, int questionario) {
this.nroavaliacao = nroavaliacao;
this.data = data;
this.nroEndere = nroEndere;
this.chassis = chassis;
this.nota = nota;
this.observacao = observacao;
this.primeiroContato = primeiroContato;
this.questionario = questionario;
}

public int getNroavaliacao() {
return nroavaliacao;
}

public boolean isNroavaliacaoNull() {
return nroavaliacaoNull;
}

public void setNroavaliacao(Integer nroavaliacao) {
if (nroavaliacao == null) {
nroavaliacaoNull = true;
this.nroavaliacao = 0;
} else { 
nroavaliacaoNull = false;
this.nroavaliacao = nroavaliacao;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getNota() {
return nota;
}

public boolean isNotaNull() {
return notaNull;
}

public void setNota(Integer nota) {
if (nota == null) {
notaNull = true;
this.nota = 0;
} else { 
notaNull = false;
this.nota = nota;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public FglDate getPrimeiroContato() {
return primeiroContato;
}

public void setPrimeiroContato(FglDate primeiroContato) {
this.primeiroContato = primeiroContato;
}

public int getQuestionario() {
return questionario;
}

public boolean isQuestionarioNull() {
return questionarioNull;
}

public void setQuestionario(Integer questionario) {
if (questionario == null) {
questionarioNull = true;
this.questionario = 0;
} else { 
questionarioNull = false;
this.questionario = questionario;
}
}

}

