package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabClsegugd {
@Coluna(nome="clsegugd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="clsegugd.segmento", tipo="String")
private String segmento;
@Coluna(nome="clsegugd.potencial", tipo="String")
private String potencial;
@Coluna(nome="clsegugd.sugmargem", tipo="String")
private String sugmargem;
@Coluna(nome="clsegugd.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="clsegugd.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="clsegugd.desconto", tipo="double")
private double desconto;
private boolean descontoNull;

public TabClsegugd() {
initialize();
}

public void initialize() {
setFilial(null);
setSegmento(null);
setPotencial(null);
setSugmargem(null);
setDtinicio(null);
setDtfim(null);
setDesconto(null);
}

public TabClsegugd(int filial, String segmento, String potencial, String sugmargem, FglDate dtinicio, FglDate dtfim, double desconto) {
this.filial = filial;
this.segmento = segmento;
this.potencial = potencial;
this.sugmargem = sugmargem;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.desconto = desconto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getSegmento() {
return segmento;
}

public void setSegmento(String segmento) {
this.segmento = segmento;
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

public String getSugmargem() {
return sugmargem;
}

public void setSugmargem(String sugmargem) {
this.sugmargem = sugmargem;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

}

