package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCltelefo {
@Coluna(nome="cltelefo.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cltelefo.tipo", tipo="String")
private String tipo;
@Coluna(nome="cltelefo.id_telefo", tipo="int")
private int idTelefo;
private boolean idTelefoNull;
@Coluna(nome="cltelefo.questionario", tipo="int")
private int questionario;
private boolean questionarioNull;
@Coluna(nome="cltelefo.telefonar", tipo="String")
private String telefonar;
@Coluna(nome="cltelefo.primeiro_contato", tipo="FglDate")
private FglDate primeiroContato;
@Coluna(nome="cltelefo.ultimo_contato", tipo="FglDate")
private FglDate ultimoContato;

public TabCltelefo() {
initialize();
}

public void initialize() {
setFilial(null);
setTipo(null);
setIdTelefo(null);
setQuestionario(null);
setTelefonar(null);
setPrimeiroContato(null);
setUltimoContato(null);
}

public TabCltelefo(int filial, String tipo, int idTelefo, int questionario, String telefonar, FglDate primeiroContato, FglDate ultimoContato) {
this.filial = filial;
this.tipo = tipo;
this.idTelefo = idTelefo;
this.questionario = questionario;
this.telefonar = telefonar;
this.primeiroContato = primeiroContato;
this.ultimoContato = ultimoContato;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getIdTelefo() {
return idTelefo;
}

public boolean isIdTelefoNull() {
return idTelefoNull;
}

public void setIdTelefo(Integer idTelefo) {
if (idTelefo == null) {
idTelefoNull = true;
this.idTelefo = 0;
} else { 
idTelefoNull = false;
this.idTelefo = idTelefo;
}
}

public int getQuestionario() {
return questionario;
}

public boolean isQuestionarioNull() {
return questionarioNull;
}

public void setQuestionario(Integer questionario) {
if (questionario == null) {
questionarioNull = true;
this.questionario = 0;
} else { 
questionarioNull = false;
this.questionario = questionario;
}
}

public String getTelefonar() {
return telefonar;
}

public void setTelefonar(String telefonar) {
this.telefonar = telefonar;
}

public FglDate getPrimeiroContato() {
return primeiroContato;
}

public void setPrimeiroContato(FglDate primeiroContato) {
this.primeiroContato = primeiroContato;
}

public FglDate getUltimoContato() {
return ultimoContato;
}

public void setUltimoContato(FglDate ultimoContato) {
this.ultimoContato = ultimoContato;
}

}

