package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCltelfei {
@Coluna(nome="cltelfei.id_telfei", tipo="int")
private int idTelfei;
private boolean idTelfeiNull;
@Coluna(nome="cltelfei.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cltelfei.tipo", tipo="String")
private String tipo;
@Coluna(nome="cltelfei.id_telefo", tipo="int")
private int idTelefo;
private boolean idTelefoNull;
@Coluna(nome="cltelfei.questionario", tipo="int")
private int questionario;
private boolean questionarioNull;
@Coluna(nome="cltelfei.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cltelfei.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="cltelfei.resultado", tipo="int")
private int resultado;
private boolean resultadoNull;
@Coluna(nome="cltelfei.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;

public TabCltelfei() {
initialize();
}

public void initialize() {
setIdTelfei(null);
setFilial(null);
setTipo(null);
setIdTelefo(null);
setQuestionario(null);
setData(null);
setHora(null);
setResultado(null);
setIdAgente(null);
}

public TabCltelfei(int idTelfei, int filial, String tipo, int idTelefo, int questionario, FglDate data, FglDateTimeHMin hora, int resultado, int idAgente) {
this.idTelfei = idTelfei;
this.filial = filial;
this.tipo = tipo;
this.idTelefo = idTelefo;
this.questionario = questionario;
this.data = data;
this.hora = hora;
this.resultado = resultado;
this.idAgente = idAgente;
}

public int getIdTelfei() {
return idTelfei;
}

public boolean isIdTelfeiNull() {
return idTelfeiNull;
}

public void setIdTelfei(Integer idTelfei) {
if (idTelfei == null) {
idTelfeiNull = true;
this.idTelfei = 0;
} else { 
idTelfeiNull = false;
this.idTelfei = idTelfei;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getIdTelefo() {
return idTelefo;
}

public boolean isIdTelefoNull() {
return idTelefoNull;
}

public void setIdTelefo(Integer idTelefo) {
if (idTelefo == null) {
idTelefoNull = true;
this.idTelefo = 0;
} else { 
idTelefoNull = false;
this.idTelefo = idTelefo;
}
}

public int getQuestionario() {
return questionario;
}

public boolean isQuestionarioNull() {
return questionarioNull;
}

public void setQuestionario(Integer questionario) {
if (questionario == null) {
questionarioNull = true;
this.questionario = 0;
} else { 
questionarioNull = false;
this.questionario = questionario;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public int getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(Integer resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

}

