package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCmautori {
@Coluna(nome="cmautori.id_cmautori", tipo="int")
private int idCmautori;
private boolean idCmautoriNull;
@Coluna(nome="cmautori.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cmautori.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cmautori.dtautori", tipo="FglDate")
private FglDate dtautori;
@Coluna(nome="cmautori.hrautori", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrautori;
@Coluna(nome="cmautori.nivel", tipo="int")
private int nivel;
private boolean nivelNull;
@Coluna(nome="cmautori.obs", tipo="String")
private String obs;

public TabCmautori() {
initialize();
}

public void initialize() {
setIdCmautori(null);
setIdOrccap(null);
setIdAgente(null);
setDtautori(null);
setHrautori(null);
setNivel(null);
setObs(null);
}

public TabCmautori(int idCmautori, int idOrccap, int idAgente, FglDate dtautori, FglDateTimeHMin hrautori, int nivel, String obs) {
this.idCmautori = idCmautori;
this.idOrccap = idOrccap;
this.idAgente = idAgente;
this.dtautori = dtautori;
this.hrautori = hrautori;
this.nivel = nivel;
this.obs = obs;
}

public int getIdCmautori() {
return idCmautori;
}

public boolean isIdCmautoriNull() {
return idCmautoriNull;
}

public void setIdCmautori(Integer idCmautori) {
if (idCmautori == null) {
idCmautoriNull = true;
this.idCmautori = 0;
} else { 
idCmautoriNull = false;
this.idCmautori = idCmautori;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtautori() {
return dtautori;
}

public void setDtautori(FglDate dtautori) {
this.dtautori = dtautori;
}

public FglDateTimeHMin getHrautori() {
return hrautori;
}

public void setHrautori(FglDateTimeHMin hrautori) {
this.hrautori = hrautori;
}

public int getNivel() {
return nivel;
}

public boolean isNivelNull() {
return nivelNull;
}

public void setNivel(Integer nivel) {
if (nivel == null) {
nivelNull = true;
this.nivel = 0;
} else { 
nivelNull = false;
this.nivel = nivel;
}
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

