package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;

public class TabCmcapdpm {
@Coluna(nome="cmcapdpm.id_capdpm", tipo="int")
private int idCapdpm;
private boolean idCapdpmNull;
@Coluna(nome="cmcapdpm.nomearquivo", tipo="String")
private String nomearquivo;
@Coluna(nome="cmcapdpm.tipoarquivo", tipo="String")
private String tipoarquivo;
@Coluna(nome="cmcapdpm.tipopreco", tipo="String")
private String tipopreco;
@Coluna(nome="cmcapdpm.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="cmcapdpm.hrgeracao", tipo="FglDateTimeHS")
private FglDateTimeHS hrgeracao;

public TabCmcapdpm() {
initialize();
}

public void initialize() {
setIdCapdpm(null);
setNomearquivo(null);
setTipoarquivo(null);
setTipopreco(null);
setDtgeracao(null);
setHrgeracao(null);
}

public TabCmcapdpm(int idCapdpm, String nomearquivo, String tipoarquivo, String tipopreco, FglDate dtgeracao, FglDateTimeHS hrgeracao) {
this.idCapdpm = idCapdpm;
this.nomearquivo = nomearquivo;
this.tipoarquivo = tipoarquivo;
this.tipopreco = tipopreco;
this.dtgeracao = dtgeracao;
this.hrgeracao = hrgeracao;
}

public int getIdCapdpm() {
return idCapdpm;
}

public boolean isIdCapdpmNull() {
return idCapdpmNull;
}

public void setIdCapdpm(Integer idCapdpm) {
if (idCapdpm == null) {
idCapdpmNull = true;
this.idCapdpm = 0;
} else { 
idCapdpmNull = false;
this.idCapdpm = idCapdpm;
}
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

public String getTipoarquivo() {
return tipoarquivo;
}

public void setTipoarquivo(String tipoarquivo) {
this.tipoarquivo = tipoarquivo;
}

public String getTipopreco() {
return tipopreco;
}

public void setTipopreco(String tipopreco) {
this.tipopreco = tipopreco;
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDateTimeHS getHrgeracao() {
return hrgeracao;
}

public void setHrgeracao(FglDateTimeHS hrgeracao) {
this.hrgeracao = hrgeracao;
}

}

