package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmclagir {
@Coluna(nome="cmclagir.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmclagir.classeabc", tipo="String")
private String classeabc;
@Coluna(nome="cmclagir.subclasse", tipo="String")
private String subclasse;
@Coluna(nome="cmclagir.descricao", tipo="String")
private String descricao;
@Coluna(nome="cmclagir.percestcri", tipo="double")
private double percestcri;
private boolean percestcriNull;
@Coluna(nome="cmclagir.resumogiro", tipo="String")
private String resumogiro;
@Coluna(nome="cmclagir.produtonovo", tipo="String")
private String produtonovo;
@Coluna(nome="cmclagir.corpreco", tipo="String")
private String corpreco;
@Coluna(nome="cmclagir.tipogiro", tipo="String")
private String tipogiro;

public TabCmclagir() {
initialize();
}

public void initialize() {
setFilial(null);
setClasseabc(null);
setSubclasse(null);
setDescricao(null);
setPercestcri(null);
setResumogiro(null);
setProdutonovo(null);
setCorpreco(null);
setTipogiro(null);
}

public TabCmclagir(int filial, String classeabc, String subclasse, String descricao, double percestcri, String resumogiro, String produtonovo, String corpreco, String tipogiro) {
this.filial = filial;
this.classeabc = classeabc;
this.subclasse = subclasse;
this.descricao = descricao;
this.percestcri = percestcri;
this.resumogiro = resumogiro;
this.produtonovo = produtonovo;
this.corpreco = corpreco;
this.tipogiro = tipogiro;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getClasseabc() {
return classeabc;
}

public void setClasseabc(String classeabc) {
this.classeabc = classeabc;
}

public String getSubclasse() {
return subclasse;
}

public void setSubclasse(String subclasse) {
this.subclasse = subclasse;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getPercestcri() {
return percestcri;
}

public boolean isPercestcriNull() {
return percestcriNull;
}

public void setPercestcri(int percestcri) {
setPercestcri(new Double(percestcri));
}

public void setPercestcri(long percestcri) {
setPercestcri(new Double(percestcri));
}

public void setPercestcri(Double percestcri) {
if (percestcri == null) {
percestcriNull = true;
this.percestcri = 0.;
} else { 
percestcriNull = false;
this.percestcri = FglDouble.round(percestcri, 2);
}
}

public String getResumogiro() {
return resumogiro;
}

public void setResumogiro(String resumogiro) {
this.resumogiro = resumogiro;
}

public String getProdutonovo() {
return produtonovo;
}

public void setProdutonovo(String produtonovo) {
this.produtonovo = produtonovo;
}

public String getCorpreco() {
return corpreco;
}

public void setCorpreco(String corpreco) {
this.corpreco = corpreco;
}

public String getTipogiro() {
return tipogiro;
}

public void setTipogiro(String tipogiro) {
this.tipogiro = tipogiro;
}

}

