package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmclainv {
@Coluna(nome="cmclainv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmclainv.datainv", tipo="FglDate")
private FglDate datainv;
@Coluna(nome="cmclainv.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cmclainv.desconsidera", tipo="String")
private String desconsidera;
@Coluna(nome="cmclainv.lucropres_o", tipo="double")
private double lucropresO;
private boolean lucropresONull;
@Coluna(nome="cmclainv.lucropres_p", tipo="double")
private double lucropresP;
private boolean lucropresPNull;

public TabCmclainv() {
initialize();
}

public void initialize() {
setFilial(null);
setDatainv(null);
setClassefiscal(null);
setDesconsidera(null);
setLucropresO(null);
setLucropresP(null);
}

public TabCmclainv(int filial, FglDate datainv, String classefiscal, String desconsidera, double lucropresO, double lucropresP) {
this.filial = filial;
this.datainv = datainv;
this.classefiscal = classefiscal;
this.desconsidera = desconsidera;
this.lucropresO = lucropresO;
this.lucropresP = lucropresP;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatainv() {
return datainv;
}

public void setDatainv(FglDate datainv) {
this.datainv = datainv;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getDesconsidera() {
return desconsidera;
}

public void setDesconsidera(String desconsidera) {
this.desconsidera = desconsidera;
}

public double getLucropresO() {
return lucropresO;
}

public boolean isLucropresONull() {
return lucropresONull;
}

public void setLucropresO(int lucropresO) {
setLucropresO(new Double(lucropresO));
}

public void setLucropresO(long lucropresO) {
setLucropresO(new Double(lucropresO));
}

public void setLucropresO(Double lucropresO) {
if (lucropresO == null) {
lucropresONull = true;
this.lucropresO = 0.;
} else { 
lucropresONull = false;
this.lucropresO = FglDouble.round(lucropresO, 2);
}
}

public double getLucropresP() {
return lucropresP;
}

public boolean isLucropresPNull() {
return lucropresPNull;
}

public void setLucropresP(int lucropresP) {
setLucropresP(new Double(lucropresP));
}

public void setLucropresP(long lucropresP) {
setLucropresP(new Double(lucropresP));
}

public void setLucropresP(Double lucropresP) {
if (lucropresP == null) {
lucropresPNull = true;
this.lucropresP = 0.;
} else { 
lucropresPNull = false;
this.lucropresP = FglDouble.round(lucropresP, 2);
}
}

}

