package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmcontpar {
@Coluna(nome="cmcontpar.movcontag", tipo="int")
private int movcontag;
private boolean movcontagNull;
@Coluna(nome="cmcontpar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmcontpar.datacontag", tipo="FglDateTimeYMin")
private FglDateTimeYMin datacontag;
@Coluna(nome="cmcontpar.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cmcontpar.rua", tipo="String")
private String rua;
@Coluna(nome="cmcontpar.prateleira", tipo="String")
private String prateleira;
@Coluna(nome="cmcontpar.gaveta", tipo="String")
private String gaveta;
@Coluna(nome="cmcontpar.prodinicial", tipo="String")
private String prodinicial;
@Coluna(nome="cmcontpar.prodfinal", tipo="String")
private String prodfinal;
@Coluna(nome="cmcontpar.limite", tipo="double")
private double limite;
private boolean limiteNull;

public TabCmcontpar() {
initialize();
}

public void initialize() {
setMovcontag(null);
setFilial(null);
setDatacontag(null);
setIdGrupos(null);
setRua(null);
setPrateleira(null);
setGaveta(null);
setProdinicial(null);
setProdfinal(null);
setLimite(null);
}

public TabCmcontpar(int movcontag, int filial, FglDateTimeYMin datacontag, int idGrupos, String rua, String prateleira, String gaveta, String prodinicial, String prodfinal, double limite) {
this.movcontag = movcontag;
this.filial = filial;
this.datacontag = datacontag;
this.idGrupos = idGrupos;
this.rua = rua;
this.prateleira = prateleira;
this.gaveta = gaveta;
this.prodinicial = prodinicial;
this.prodfinal = prodfinal;
this.limite = limite;
}

public int getMovcontag() {
return movcontag;
}

public boolean isMovcontagNull() {
return movcontagNull;
}

public void setMovcontag(Integer movcontag) {
if (movcontag == null) {
movcontagNull = true;
this.movcontag = 0;
} else { 
movcontagNull = false;
this.movcontag = movcontag;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYMin getDatacontag() {
return datacontag;
}

public void setDatacontag(FglDateTimeYMin datacontag) {
this.datacontag = datacontag;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public String getRua() {
return rua;
}

public void setRua(String rua) {
this.rua = rua;
}

public String getPrateleira() {
return prateleira;
}

public void setPrateleira(String prateleira) {
this.prateleira = prateleira;
}

public String getGaveta() {
return gaveta;
}

public void setGaveta(String gaveta) {
this.gaveta = gaveta;
}

public String getProdinicial() {
return prodinicial;
}

public void setProdinicial(String prodinicial) {
this.prodinicial = prodinicial;
}

public String getProdfinal() {
return prodfinal;
}

public void setProdfinal(String prodfinal) {
this.prodfinal = prodfinal;
}

public double getLimite() {
return limite;
}

public boolean isLimiteNull() {
return limiteNull;
}

public void setLimite(int limite) {
setLimite(new Double(limite));
}

public void setLimite(long limite) {
setLimite(new Double(limite));
}

public void setLimite(Double limite) {
if (limite == null) {
limiteNull = true;
this.limite = 0.;
} else { 
limiteNull = false;
this.limite = FglDouble.round(limite, 2);
}
}

}

