package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCmfatprc {
@Coluna(nome="cmfatprc.id_fatprc", tipo="int")
private int idFatprc;
private boolean idFatprcNull;
@Coluna(nome="cmfatprc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmfatprc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cmfatprc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cmfatprc.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cmfatprc.serienf", tipo="String")
private String serienf;
@Coluna(nome="cmfatprc.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="cmfatprc.dttransacao", tipo="FglDate")
private FglDate dttransacao;
@Coluna(nome="cmfatprc.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cmfatprc.valoritem", tipo="double")
private double valoritem;
private boolean valoritemNull;
@Coluna(nome="cmfatprc.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cmfatprc.valoracresc", tipo="double")
private double valoracresc;
private boolean valoracrescNull;
@Coluna(nome="cmfatprc.valorfrete", tipo="double")
private double valorfrete;
private boolean valorfreteNull;
@Coluna(nome="cmfatprc.valorseguro", tipo="double")
private double valorseguro;
private boolean valorseguroNull;
@Coluna(nome="cmfatprc.totnfiscal", tipo="double")
private double totnfiscal;
private boolean totnfiscalNull;
@Coluna(nome="cmfatprc.baseicms", tipo="double")
private double baseicms;
private boolean baseicmsNull;
@Coluna(nome="cmfatprc.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;
@Coluna(nome="cmfatprc.sbaseicms", tipo="double")
private double sbaseicms;
private boolean sbaseicmsNull;
@Coluna(nome="cmfatprc.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cmfatprc.valoripi", tipo="double")
private double valoripi;
private boolean valoripiNull;
@Coluna(nome="cmfatprc.baseipi", tipo="double")
private double baseipi;
private boolean baseipiNull;
@Coluna(nome="cmfatprc.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="cmfatprc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cmfatprc.dtcarga", tipo="FglDateTimeYS")
private FglDateTimeYS dtcarga;
@Coluna(nome="cmfatprc.chavenfe", tipo="String")
private String chavenfe;

public TabCmfatprc() {
initialize();
}

public void initialize() {
setIdFatprc(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setDttransacao(null);
setCondpgto(null);
setValoritem(null);
setValordesc(null);
setValoracresc(null);
setValorfrete(null);
setValorseguro(null);
setTotnfiscal(null);
setBaseicms(null);
setValoricms(null);
setSbaseicms(null);
setSvaloricms(null);
setValoripi(null);
setBaseipi(null);
setTpdocto(null);
setIdNfcapa(null);
setDtcarga(null);
setChavenfe(null);
}

public TabCmfatprc(int idFatprc, int filial, long cgccpf, int tppessoa, int nronota, String serienf, FglDate dtnota, FglDate dttransacao, int condpgto, double valoritem, double valordesc, double valoracresc, double valorfrete, double valorseguro, double totnfiscal, double baseicms, double valoricms, double sbaseicms, double svaloricms, double valoripi, double baseipi, String tpdocto, int idNfcapa, FglDateTimeYS dtcarga, String chavenfe) {
this.idFatprc = idFatprc;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.dttransacao = dttransacao;
this.condpgto = condpgto;
this.valoritem = valoritem;
this.valordesc = valordesc;
this.valoracresc = valoracresc;
this.valorfrete = valorfrete;
this.valorseguro = valorseguro;
this.totnfiscal = totnfiscal;
this.baseicms = baseicms;
this.valoricms = valoricms;
this.sbaseicms = sbaseicms;
this.svaloricms = svaloricms;
this.valoripi = valoripi;
this.baseipi = baseipi;
this.tpdocto = tpdocto;
this.idNfcapa = idNfcapa;
this.dtcarga = dtcarga;
this.chavenfe = chavenfe;
}

public int getIdFatprc() {
return idFatprc;
}

public boolean isIdFatprcNull() {
return idFatprcNull;
}

public void setIdFatprc(Integer idFatprc) {
if (idFatprc == null) {
idFatprcNull = true;
this.idFatprc = 0;
} else { 
idFatprcNull = false;
this.idFatprc = idFatprc;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public FglDate getDttransacao() {
return dttransacao;
}

public void setDttransacao(FglDate dttransacao) {
this.dttransacao = dttransacao;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public double getValoritem() {
return valoritem;
}

public boolean isValoritemNull() {
return valoritemNull;
}

public void setValoritem(int valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(long valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(Double valoritem) {
if (valoritem == null) {
valoritemNull = true;
this.valoritem = 0.;
} else { 
valoritemNull = false;
this.valoritem = FglDouble.round(valoritem, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValoracresc() {
return valoracresc;
}

public boolean isValoracrescNull() {
return valoracrescNull;
}

public void setValoracresc(int valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(long valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(Double valoracresc) {
if (valoracresc == null) {
valoracrescNull = true;
this.valoracresc = 0.;
} else { 
valoracrescNull = false;
this.valoracresc = FglDouble.round(valoracresc, 2);
}
}

public double getValorfrete() {
return valorfrete;
}

public boolean isValorfreteNull() {
return valorfreteNull;
}

public void setValorfrete(int valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(long valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(Double valorfrete) {
if (valorfrete == null) {
valorfreteNull = true;
this.valorfrete = 0.;
} else { 
valorfreteNull = false;
this.valorfrete = FglDouble.round(valorfrete, 2);
}
}

public double getValorseguro() {
return valorseguro;
}

public boolean isValorseguroNull() {
return valorseguroNull;
}

public void setValorseguro(int valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(long valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(Double valorseguro) {
if (valorseguro == null) {
valorseguroNull = true;
this.valorseguro = 0.;
} else { 
valorseguroNull = false;
this.valorseguro = FglDouble.round(valorseguro, 2);
}
}

public double getTotnfiscal() {
return totnfiscal;
}

public boolean isTotnfiscalNull() {
return totnfiscalNull;
}

public void setTotnfiscal(int totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(long totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(Double totnfiscal) {
if (totnfiscal == null) {
totnfiscalNull = true;
this.totnfiscal = 0.;
} else { 
totnfiscalNull = false;
this.totnfiscal = FglDouble.round(totnfiscal, 2);
}
}

public double getBaseicms() {
return baseicms;
}

public boolean isBaseicmsNull() {
return baseicmsNull;
}

public void setBaseicms(int baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(long baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(Double baseicms) {
if (baseicms == null) {
baseicmsNull = true;
this.baseicms = 0.;
} else { 
baseicmsNull = false;
this.baseicms = FglDouble.round(baseicms, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

public double getSbaseicms() {
return sbaseicms;
}

public boolean isSbaseicmsNull() {
return sbaseicmsNull;
}

public void setSbaseicms(int sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(long sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(Double sbaseicms) {
if (sbaseicms == null) {
sbaseicmsNull = true;
this.sbaseicms = 0.;
} else { 
sbaseicmsNull = false;
this.sbaseicms = FglDouble.round(sbaseicms, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getValoripi() {
return valoripi;
}

public boolean isValoripiNull() {
return valoripiNull;
}

public void setValoripi(int valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(long valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(Double valoripi) {
if (valoripi == null) {
valoripiNull = true;
this.valoripi = 0.;
} else { 
valoripiNull = false;
this.valoripi = FglDouble.round(valoripi, 2);
}
}

public double getBaseipi() {
return baseipi;
}

public boolean isBaseipiNull() {
return baseipiNull;
}

public void setBaseipi(int baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(long baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(Double baseipi) {
if (baseipi == null) {
baseipiNull = true;
this.baseipi = 0.;
} else { 
baseipiNull = false;
this.baseipi = FglDouble.round(baseipi, 2);
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public FglDateTimeYS getDtcarga() {
return dtcarga;
}

public void setDtcarga(FglDateTimeYS dtcarga) {
this.dtcarga = dtcarga;
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

}

