package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCmferrca {
@Coluna(nome="cmferrca.id_ferrca", tipo="int")
private int idFerrca;
private boolean idFerrcaNull;
@Coluna(nome="cmferrca.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmferrca.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="cmferrca.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cmferrca.id_agsolicit", tipo="int")
private int idAgsolicit;
private boolean idAgsolicitNull;
@Coluna(nome="cmferrca.id_agrequis", tipo="int")
private int idAgrequis;
private boolean idAgrequisNull;
@Coluna(nome="cmferrca.observacao", tipo="String")
private String observacao;
@Coluna(nome="cmferrca.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="cmferrca.tiporeq", tipo="String")
private String tiporeq;
@Coluna(nome="cmferrca.codigokit", tipo="String")
private String codigokit;

public TabCmferrca() {
initialize();
}

public void initialize() {
setIdFerrca(null);
setFilial(null);
setRomaneio(null);
setData(null);
setIdAgsolicit(null);
setIdAgrequis(null);
setObservacao(null);
setOrdemserv(null);
setTiporeq(null);
setCodigokit(null);
}

public TabCmferrca(int idFerrca, int filial, int romaneio, FglDate data, int idAgsolicit, int idAgrequis, String observacao, int ordemserv, String tiporeq, String codigokit) {
this.idFerrca = idFerrca;
this.filial = filial;
this.romaneio = romaneio;
this.data = data;
this.idAgsolicit = idAgsolicit;
this.idAgrequis = idAgrequis;
this.observacao = observacao;
this.ordemserv = ordemserv;
this.tiporeq = tiporeq;
this.codigokit = codigokit;
}

public int getIdFerrca() {
return idFerrca;
}

public boolean isIdFerrcaNull() {
return idFerrcaNull;
}

public void setIdFerrca(Integer idFerrca) {
if (idFerrca == null) {
idFerrcaNull = true;
this.idFerrca = 0;
} else { 
idFerrcaNull = false;
this.idFerrca = idFerrca;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getIdAgsolicit() {
return idAgsolicit;
}

public boolean isIdAgsolicitNull() {
return idAgsolicitNull;
}

public void setIdAgsolicit(Integer idAgsolicit) {
if (idAgsolicit == null) {
idAgsolicitNull = true;
this.idAgsolicit = 0;
} else { 
idAgsolicitNull = false;
this.idAgsolicit = idAgsolicit;
}
}

public int getIdAgrequis() {
return idAgrequis;
}

public boolean isIdAgrequisNull() {
return idAgrequisNull;
}

public void setIdAgrequis(Integer idAgrequis) {
if (idAgrequis == null) {
idAgrequisNull = true;
this.idAgrequis = 0;
} else { 
idAgrequisNull = false;
this.idAgrequis = idAgrequis;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public String getTiporeq() {
return tiporeq;
}

public void setTiporeq(String tiporeq) {
this.tiporeq = tiporeq;
}

public String getCodigokit() {
return codigokit;
}

public void setCodigokit(String codigokit) {
this.codigokit = codigokit;
}

}

