package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmferseq {
@Coluna(nome="cmferseq.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmferseq.codigo", tipo="String")
private String codigo;
@Coluna(nome="cmferseq.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cmferseq.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cmferseq.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cmferseq.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cmferseq.dataaquis", tipo="FglDate")
private FglDate dataaquis;
@Coluna(nome="cmferseq.qtde", tipo="int")
private int qtde;
private boolean qtdeNull;
@Coluna(nome="cmferseq.valortotal", tipo="double")
private double valortotal;
private boolean valortotalNull;
@Coluna(nome="cmferseq.dtultafer", tipo="FglDate")
private FglDate dtultafer;
@Coluna(nome="cmferseq.dfproxafer", tipo="FglDate")
private FglDate dfproxafer;
@Coluna(nome="cmferseq.dtdesativ", tipo="FglDate")
private FglDate dtdesativ;
@Coluna(nome="cmferseq.disponivel", tipo="int")
private int disponivel;
private boolean disponivelNull;

public TabCmferseq() {
initialize();
}

public void initialize() {
setFilial(null);
setCodigo(null);
setSequencia(null);
setCgccpf(null);
setTppessoa(null);
setNronota(null);
setDataaquis(null);
setQtde(null);
setValortotal(null);
setDtultafer(null);
setDfproxafer(null);
setDtdesativ(null);
setDisponivel(null);
}

public TabCmferseq(int filial, String codigo, int sequencia, long cgccpf, int tppessoa, int nronota, FglDate dataaquis, int qtde, double valortotal, FglDate dtultafer, FglDate dfproxafer, FglDate dtdesativ, int disponivel) {
this.filial = filial;
this.codigo = codigo;
this.sequencia = sequencia;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nronota = nronota;
this.dataaquis = dataaquis;
this.qtde = qtde;
this.valortotal = valortotal;
this.dtultafer = dtultafer;
this.dfproxafer = dfproxafer;
this.dtdesativ = dtdesativ;
this.disponivel = disponivel;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public FglDate getDataaquis() {
return dataaquis;
}

public void setDataaquis(FglDate dataaquis) {
this.dataaquis = dataaquis;
}

public int getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(Integer qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0;
} else { 
qtdeNull = false;
this.qtde = qtde;
}
}

public double getValortotal() {
return valortotal;
}

public boolean isValortotalNull() {
return valortotalNull;
}

public void setValortotal(int valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(long valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(Double valortotal) {
if (valortotal == null) {
valortotalNull = true;
this.valortotal = 0.;
} else { 
valortotalNull = false;
this.valortotal = FglDouble.round(valortotal, 2);
}
}

public FglDate getDtultafer() {
return dtultafer;
}

public void setDtultafer(FglDate dtultafer) {
this.dtultafer = dtultafer;
}

public FglDate getDfproxafer() {
return dfproxafer;
}

public void setDfproxafer(FglDate dfproxafer) {
this.dfproxafer = dfproxafer;
}

public FglDate getDtdesativ() {
return dtdesativ;
}

public void setDtdesativ(FglDate dtdesativ) {
this.dtdesativ = dtdesativ;
}

public int getDisponivel() {
return disponivel;
}

public boolean isDisponivelNull() {
return disponivelNull;
}

public void setDisponivel(Integer disponivel) {
if (disponivel == null) {
disponivelNull = true;
this.disponivel = 0;
} else { 
disponivelNull = false;
this.disponivel = disponivel;
}
}

}

