package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmiccite {
@Coluna(nome="cmiccite.id_iccite", tipo="int")
private int idIccite;
private boolean idIcciteNull;
@Coluna(nome="cmiccite.icc", tipo="String")
private String icc;
@Coluna(nome="cmiccite.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmiccite.demini", tipo="double")
private double demini;
private boolean deminiNull;
@Coluna(nome="cmiccite.demfin", tipo="double")
private double demfin;
private boolean demfinNull;
@Coluna(nome="cmiccite.frqini", tipo="double")
private double frqini;
private boolean frqiniNull;
@Coluna(nome="cmiccite.frqfin", tipo="double")
private double frqfin;
private boolean frqfinNull;

public TabCmiccite() {
initialize();
}

public void initialize() {
setIdIccite(null);
setIcc(null);
setFilial(null);
setDemini(null);
setDemfin(null);
setFrqini(null);
setFrqfin(null);
}

public TabCmiccite(int idIccite, String icc, int filial, double demini, double demfin, double frqini, double frqfin) {
this.idIccite = idIccite;
this.icc = icc;
this.filial = filial;
this.demini = demini;
this.demfin = demfin;
this.frqini = frqini;
this.frqfin = frqfin;
}

public int getIdIccite() {
return idIccite;
}

public boolean isIdIcciteNull() {
return idIcciteNull;
}

public void setIdIccite(Integer idIccite) {
if (idIccite == null) {
idIcciteNull = true;
this.idIccite = 0;
} else { 
idIcciteNull = false;
this.idIccite = idIccite;
}
}

public String getIcc() {
return icc;
}

public void setIcc(String icc) {
this.icc = icc;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getDemini() {
return demini;
}

public boolean isDeminiNull() {
return deminiNull;
}

public void setDemini(int demini) {
setDemini(new Double(demini));
}

public void setDemini(long demini) {
setDemini(new Double(demini));
}

public void setDemini(Double demini) {
if (demini == null) {
deminiNull = true;
this.demini = 0.;
} else { 
deminiNull = false;
this.demini = FglDouble.round(demini, 2);
}
}

public double getDemfin() {
return demfin;
}

public boolean isDemfinNull() {
return demfinNull;
}

public void setDemfin(int demfin) {
setDemfin(new Double(demfin));
}

public void setDemfin(long demfin) {
setDemfin(new Double(demfin));
}

public void setDemfin(Double demfin) {
if (demfin == null) {
demfinNull = true;
this.demfin = 0.;
} else { 
demfinNull = false;
this.demfin = FglDouble.round(demfin, 2);
}
}

public double getFrqini() {
return frqini;
}

public boolean isFrqiniNull() {
return frqiniNull;
}

public void setFrqini(int frqini) {
setFrqini(new Double(frqini));
}

public void setFrqini(long frqini) {
setFrqini(new Double(frqini));
}

public void setFrqini(Double frqini) {
if (frqini == null) {
frqiniNull = true;
this.frqini = 0.;
} else { 
frqiniNull = false;
this.frqini = FglDouble.round(frqini, 2);
}
}

public double getFrqfin() {
return frqfin;
}

public boolean isFrqfinNull() {
return frqfinNull;
}

public void setFrqfin(int frqfin) {
setFrqfin(new Double(frqfin));
}

public void setFrqfin(long frqfin) {
setFrqfin(new Double(frqfin));
}

public void setFrqfin(Double frqfin) {
if (frqfin == null) {
frqfinNull = true;
this.frqfin = 0.;
} else { 
frqfinNull = false;
this.frqfin = FglDouble.round(frqfin, 2);
}
}

}

