package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmindper {
@Coluna(nome="cmindper.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmindper.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cmindper.valormin", tipo="double")
private double valormin;
private boolean valorminNull;
@Coluna(nome="cmindper.valormax", tipo="double")
private double valormax;
private boolean valormaxNull;
@Coluna(nome="cmindper.percentual", tipo="double")
private double percentual;
private boolean percentualNull;

public TabCmindper() {
initialize();
}

public void initialize() {
setFilial(null);
setIdGrupos(null);
setValormin(null);
setValormax(null);
setPercentual(null);
}

public TabCmindper(int filial, int idGrupos, double valormin, double valormax, double percentual) {
this.filial = filial;
this.idGrupos = idGrupos;
this.valormin = valormin;
this.valormax = valormax;
this.percentual = percentual;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public double getValormin() {
return valormin;
}

public boolean isValorminNull() {
return valorminNull;
}

public void setValormin(int valormin) {
setValormin(new Double(valormin));
}

public void setValormin(long valormin) {
setValormin(new Double(valormin));
}

public void setValormin(Double valormin) {
if (valormin == null) {
valorminNull = true;
this.valormin = 0.;
} else { 
valorminNull = false;
this.valormin = FglDouble.round(valormin, 2);
}
}

public double getValormax() {
return valormax;
}

public boolean isValormaxNull() {
return valormaxNull;
}

public void setValormax(int valormax) {
setValormax(new Double(valormax));
}

public void setValormax(long valormax) {
setValormax(new Double(valormax));
}

public void setValormax(Double valormax) {
if (valormax == null) {
valormaxNull = true;
this.valormax = 0.;
} else { 
valormaxNull = false;
this.valormax = FglDouble.round(valormax, 2);
}
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

}

