package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCminvdia {
@Coluna(nome="cminvdia.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="cminvdia.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cminvdia.produto", tipo="String")
private String produto;
@Coluna(nome="cminvdia.saldocontabil", tipo="double")
private double saldocontabil;
private boolean saldocontabilNull;
@Coluna(nome="cminvdia.pendenfisica", tipo="double")
private double pendenfisica;
private boolean pendenfisicaNull;
@Coluna(nome="cminvdia.reqoficina", tipo="double")
private double reqoficina;
private boolean reqoficinaNull;
@Coluna(nome="cminvdia.contagem", tipo="double")
private double contagem;
private boolean contagemNull;
@Coluna(nome="cminvdia.dtcontagem", tipo="FglDateTimeYS")
private FglDateTimeYS dtcontagem;
@Coluna(nome="cminvdia.id_agenteg", tipo="int")
private int idAgenteg;
private boolean idAgentegNull;
@Coluna(nome="cminvdia.id_agentec", tipo="int")
private int idAgentec;
private boolean idAgentecNull;

public TabCminvdia() {
initialize();
}

public void initialize() {
setDtgeracao(null);
setFilial(null);
setProduto(null);
setSaldocontabil(null);
setPendenfisica(null);
setReqoficina(null);
setContagem(null);
setDtcontagem(null);
setIdAgenteg(null);
setIdAgentec(null);
}

public TabCminvdia(FglDate dtgeracao, int filial, String produto, double saldocontabil, double pendenfisica, double reqoficina, double contagem, FglDateTimeYS dtcontagem, int idAgenteg, int idAgentec) {
this.dtgeracao = dtgeracao;
this.filial = filial;
this.produto = produto;
this.saldocontabil = saldocontabil;
this.pendenfisica = pendenfisica;
this.reqoficina = reqoficina;
this.contagem = contagem;
this.dtcontagem = dtcontagem;
this.idAgenteg = idAgenteg;
this.idAgentec = idAgentec;
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getSaldocontabil() {
return saldocontabil;
}

public boolean isSaldocontabilNull() {
return saldocontabilNull;
}

public void setSaldocontabil(int saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(long saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(Double saldocontabil) {
if (saldocontabil == null) {
saldocontabilNull = true;
this.saldocontabil = 0.;
} else { 
saldocontabilNull = false;
this.saldocontabil = FglDouble.round(saldocontabil, 2);
}
}

public double getPendenfisica() {
return pendenfisica;
}

public boolean isPendenfisicaNull() {
return pendenfisicaNull;
}

public void setPendenfisica(int pendenfisica) {
setPendenfisica(new Double(pendenfisica));
}

public void setPendenfisica(long pendenfisica) {
setPendenfisica(new Double(pendenfisica));
}

public void setPendenfisica(Double pendenfisica) {
if (pendenfisica == null) {
pendenfisicaNull = true;
this.pendenfisica = 0.;
} else { 
pendenfisicaNull = false;
this.pendenfisica = FglDouble.round(pendenfisica, 2);
}
}

public double getReqoficina() {
return reqoficina;
}

public boolean isReqoficinaNull() {
return reqoficinaNull;
}

public void setReqoficina(int reqoficina) {
setReqoficina(new Double(reqoficina));
}

public void setReqoficina(long reqoficina) {
setReqoficina(new Double(reqoficina));
}

public void setReqoficina(Double reqoficina) {
if (reqoficina == null) {
reqoficinaNull = true;
this.reqoficina = 0.;
} else { 
reqoficinaNull = false;
this.reqoficina = FglDouble.round(reqoficina, 2);
}
}

public double getContagem() {
return contagem;
}

public boolean isContagemNull() {
return contagemNull;
}

public void setContagem(int contagem) {
setContagem(new Double(contagem));
}

public void setContagem(long contagem) {
setContagem(new Double(contagem));
}

public void setContagem(Double contagem) {
if (contagem == null) {
contagemNull = true;
this.contagem = 0.;
} else { 
contagemNull = false;
this.contagem = FglDouble.round(contagem, 2);
}
}

public FglDateTimeYS getDtcontagem() {
return dtcontagem;
}

public void setDtcontagem(FglDateTimeYS dtcontagem) {
this.dtcontagem = dtcontagem;
}

public int getIdAgenteg() {
return idAgenteg;
}

public boolean isIdAgentegNull() {
return idAgentegNull;
}

public void setIdAgenteg(Integer idAgenteg) {
if (idAgenteg == null) {
idAgentegNull = true;
this.idAgenteg = 0;
} else { 
idAgentegNull = false;
this.idAgenteg = idAgenteg;
}
}

public int getIdAgentec() {
return idAgentec;
}

public boolean isIdAgentecNull() {
return idAgentecNull;
}

public void setIdAgentec(Integer idAgentec) {
if (idAgentec == null) {
idAgentecNull = true;
this.idAgentec = 0;
} else { 
idAgentecNull = false;
this.idAgentec = idAgentec;
}
}

}

