package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCmmatcon {
@Coluna(nome="cmmatcon.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmmatcon.produto", tipo="String")
private String produto;
@Coluna(nome="cmmatcon.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="cmmatcon.unidcompra", tipo="String")
private String unidcompra;
@Coluna(nome="cmmatcon.unidrequis", tipo="String")
private String unidrequis;
@Coluna(nome="cmmatcon.rua", tipo="String")
private String rua;
@Coluna(nome="cmmatcon.prateleira", tipo="String")
private String prateleira;
@Coluna(nome="cmmatcon.gaveta", tipo="String")
private String gaveta;
@Coluna(nome="cmmatcon.saldo", tipo="double")
private double saldo;
private boolean saldoNull;
@Coluna(nome="cmmatcon.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cmmatcon.dtadmissao", tipo="FglDate")
private FglDate dtadmissao;
@Coluna(nome="cmmatcon.dtultentr", tipo="FglDate")
private FglDate dtultentr;
@Coluna(nome="cmmatcon.qtultentr", tipo="double")
private double qtultentr;
private boolean qtultentrNull;
@Coluna(nome="cmmatcon.vlultentr", tipo="double")
private double vlultentr;
private boolean vlultentrNull;
@Coluna(nome="cmmatcon.dtultsaid", tipo="FglDate")
private FglDate dtultsaid;
@Coluna(nome="cmmatcon.qtultsaid", tipo="double")
private double qtultsaid;
private boolean qtultsaidNull;
@Coluna(nome="cmmatcon.vlultsaid", tipo="double")
private double vlultsaid;
private boolean vlultsaidNull;

public TabCmmatcon() {
initialize();
}

public void initialize() {
setFilial(null);
setProduto(null);
setDescrprodut(null);
setUnidcompra(null);
setUnidrequis(null);
setRua(null);
setPrateleira(null);
setGaveta(null);
setSaldo(null);
setValor(null);
setDtadmissao(null);
setDtultentr(null);
setQtultentr(null);
setVlultentr(null);
setDtultsaid(null);
setQtultsaid(null);
setVlultsaid(null);
}

public TabCmmatcon(int filial, String produto, String descrprodut, String unidcompra, String unidrequis, String rua, String prateleira, String gaveta, double saldo, double valor, FglDate dtadmissao, FglDate dtultentr, double qtultentr, double vlultentr, FglDate dtultsaid, double qtultsaid, double vlultsaid) {
this.filial = filial;
this.produto = produto;
this.descrprodut = descrprodut;
this.unidcompra = unidcompra;
this.unidrequis = unidrequis;
this.rua = rua;
this.prateleira = prateleira;
this.gaveta = gaveta;
this.saldo = saldo;
this.valor = valor;
this.dtadmissao = dtadmissao;
this.dtultentr = dtultentr;
this.qtultentr = qtultentr;
this.vlultentr = vlultentr;
this.dtultsaid = dtultsaid;
this.qtultsaid = qtultsaid;
this.vlultsaid = vlultsaid;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public String getUnidcompra() {
return unidcompra;
}

public void setUnidcompra(String unidcompra) {
this.unidcompra = unidcompra;
}

public String getUnidrequis() {
return unidrequis;
}

public void setUnidrequis(String unidrequis) {
this.unidrequis = unidrequis;
}

public String getRua() {
return rua;
}

public void setRua(String rua) {
this.rua = rua;
}

public String getPrateleira() {
return prateleira;
}

public void setPrateleira(String prateleira) {
this.prateleira = prateleira;
}

public String getGaveta() {
return gaveta;
}

public void setGaveta(String gaveta) {
this.gaveta = gaveta;
}

public double getSaldo() {
return saldo;
}

public boolean isSaldoNull() {
return saldoNull;
}

public void setSaldo(int saldo) {
setSaldo(new Double(saldo));
}

public void setSaldo(long saldo) {
setSaldo(new Double(saldo));
}

public void setSaldo(Double saldo) {
if (saldo == null) {
saldoNull = true;
this.saldo = 0.;
} else { 
saldoNull = false;
this.saldo = FglDouble.round(saldo, 2);
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public FglDate getDtadmissao() {
return dtadmissao;
}

public void setDtadmissao(FglDate dtadmissao) {
this.dtadmissao = dtadmissao;
}

public FglDate getDtultentr() {
return dtultentr;
}

public void setDtultentr(FglDate dtultentr) {
this.dtultentr = dtultentr;
}

public double getQtultentr() {
return qtultentr;
}

public boolean isQtultentrNull() {
return qtultentrNull;
}

public void setQtultentr(int qtultentr) {
setQtultentr(new Double(qtultentr));
}

public void setQtultentr(long qtultentr) {
setQtultentr(new Double(qtultentr));
}

public void setQtultentr(Double qtultentr) {
if (qtultentr == null) {
qtultentrNull = true;
this.qtultentr = 0.;
} else { 
qtultentrNull = false;
this.qtultentr = FglDouble.round(qtultentr, 2);
}
}

public double getVlultentr() {
return vlultentr;
}

public boolean isVlultentrNull() {
return vlultentrNull;
}

public void setVlultentr(int vlultentr) {
setVlultentr(new Double(vlultentr));
}

public void setVlultentr(long vlultentr) {
setVlultentr(new Double(vlultentr));
}

public void setVlultentr(Double vlultentr) {
if (vlultentr == null) {
vlultentrNull = true;
this.vlultentr = 0.;
} else { 
vlultentrNull = false;
this.vlultentr = FglDouble.round(vlultentr, 2);
}
}

public FglDate getDtultsaid() {
return dtultsaid;
}

public void setDtultsaid(FglDate dtultsaid) {
this.dtultsaid = dtultsaid;
}

public double getQtultsaid() {
return qtultsaid;
}

public boolean isQtultsaidNull() {
return qtultsaidNull;
}

public void setQtultsaid(int qtultsaid) {
setQtultsaid(new Double(qtultsaid));
}

public void setQtultsaid(long qtultsaid) {
setQtultsaid(new Double(qtultsaid));
}

public void setQtultsaid(Double qtultsaid) {
if (qtultsaid == null) {
qtultsaidNull = true;
this.qtultsaid = 0.;
} else { 
qtultsaidNull = false;
this.qtultsaid = FglDouble.round(qtultsaid, 2);
}
}

public double getVlultsaid() {
return vlultsaid;
}

public boolean isVlultsaidNull() {
return vlultsaidNull;
}

public void setVlultsaid(int vlultsaid) {
setVlultsaid(new Double(vlultsaid));
}

public void setVlultsaid(long vlultsaid) {
setVlultsaid(new Double(vlultsaid));
}

public void setVlultsaid(Double vlultsaid) {
if (vlultsaid == null) {
vlultsaidNull = true;
this.vlultsaid = 0.;
} else { 
vlultsaidNull = false;
this.vlultsaid = FglDouble.round(vlultsaid, 2);
}
}

}

