package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmprecos {
@Coluna(nome="cmprecos.produto", tipo="String")
private String produto;
@Coluna(nome="cmprecos.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cmprecos.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cmprecos.indexador", tipo="String")
private String indexador;
@Coluna(nome="cmprecos.qtdeindex", tipo="double")
private double qtdeindex;
private boolean qtdeindexNull;
@Coluna(nome="cmprecos.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="cmprecos.precoreposic", tipo="double")
private double precoreposic;
private boolean precoreposicNull;
@Coluna(nome="cmprecos.precogarant", tipo="double")
private double precogarant;
private boolean precogarantNull;

public TabCmprecos() {
initialize();
}

public void initialize() {
setProduto(null);
setDtinicio(null);
setDtfim(null);
setIndexador(null);
setQtdeindex(null);
setPrecopublico(null);
setPrecoreposic(null);
setPrecogarant(null);
}

public TabCmprecos(String produto, FglDate dtinicio, FglDate dtfim, String indexador, double qtdeindex, double precopublico, double precoreposic, double precogarant) {
this.produto = produto;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.indexador = indexador;
this.qtdeindex = qtdeindex;
this.precopublico = precopublico;
this.precoreposic = precoreposic;
this.precogarant = precogarant;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

public double getQtdeindex() {
return qtdeindex;
}

public boolean isQtdeindexNull() {
return qtdeindexNull;
}

public void setQtdeindex(int qtdeindex) {
setQtdeindex(new Double(qtdeindex));
}

public void setQtdeindex(long qtdeindex) {
setQtdeindex(new Double(qtdeindex));
}

public void setQtdeindex(Double qtdeindex) {
if (qtdeindex == null) {
qtdeindexNull = true;
this.qtdeindex = 0.;
} else { 
qtdeindexNull = false;
this.qtdeindex = FglDouble.round(qtdeindex, 4);
}
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public double getPrecoreposic() {
return precoreposic;
}

public boolean isPrecoreposicNull() {
return precoreposicNull;
}

public void setPrecoreposic(int precoreposic) {
setPrecoreposic(new Double(precoreposic));
}

public void setPrecoreposic(long precoreposic) {
setPrecoreposic(new Double(precoreposic));
}

public void setPrecoreposic(Double precoreposic) {
if (precoreposic == null) {
precoreposicNull = true;
this.precoreposic = 0.;
} else { 
precoreposicNull = false;
this.precoreposic = FglDouble.round(precoreposic, 2);
}
}

public double getPrecogarant() {
return precogarant;
}

public boolean isPrecogarantNull() {
return precogarantNull;
}

public void setPrecogarant(int precogarant) {
setPrecogarant(new Double(precogarant));
}

public void setPrecogarant(long precogarant) {
setPrecogarant(new Double(precogarant));
}

public void setPrecogarant(Double precogarant) {
if (precogarant == null) {
precogarantNull = true;
this.precogarant = 0.;
} else { 
precogarantNull = false;
this.precogarant = FglDouble.round(precogarant, 2);
}
}

}

