package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmprepro {
@Coluna(nome="cmprepro.produto", tipo="String")
private String produto;
@Coluna(nome="cmprepro.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmprepro.dtinicio_atu", tipo="FglDate")
private FglDate dtinicioAtu;
@Coluna(nome="cmprepro.dtfim_atu", tipo="FglDate")
private FglDate dtfimAtu;
@Coluna(nome="cmprepro.indexador_atu", tipo="String")
private String indexadorAtu;
@Coluna(nome="cmprepro.qtdeindex_atu", tipo="double")
private double qtdeindexAtu;
private boolean qtdeindexAtuNull;
@Coluna(nome="cmprepro.precopublico_atu", tipo="double")
private double precopublicoAtu;
private boolean precopublicoAtuNull;
@Coluna(nome="cmprepro.precoreposic_atu", tipo="double")
private double precoreposicAtu;
private boolean precoreposicAtuNull;
@Coluna(nome="cmprepro.precogarant_atu", tipo="double")
private double precogarantAtu;
private boolean precogarantAtuNull;
@Coluna(nome="cmprepro.precogarpec_atu", tipo="double")
private double precogarpecAtu;
private boolean precogarpecAtuNull;
@Coluna(nome="cmprepro.dtinicio_ant", tipo="FglDate")
private FglDate dtinicioAnt;
@Coluna(nome="cmprepro.dtfim_ant", tipo="FglDate")
private FglDate dtfimAnt;
@Coluna(nome="cmprepro.indexador_ant", tipo="String")
private String indexadorAnt;
@Coluna(nome="cmprepro.qtdeindex_ant", tipo="double")
private double qtdeindexAnt;
private boolean qtdeindexAntNull;
@Coluna(nome="cmprepro.precopublico_ant", tipo="double")
private double precopublicoAnt;
private boolean precopublicoAntNull;
@Coluna(nome="cmprepro.precoreposic_ant", tipo="double")
private double precoreposicAnt;
private boolean precoreposicAntNull;
@Coluna(nome="cmprepro.precogarant_ant", tipo="double")
private double precogarantAnt;
private boolean precogarantAntNull;
@Coluna(nome="cmprepro.precogarpec_ant", tipo="double")
private double precogarpecAnt;
private boolean precogarpecAntNull;

public TabCmprepro() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setDtinicioAtu(null);
setDtfimAtu(null);
setIndexadorAtu(null);
setQtdeindexAtu(null);
setPrecopublicoAtu(null);
setPrecoreposicAtu(null);
setPrecogarantAtu(null);
setPrecogarpecAtu(null);
setDtinicioAnt(null);
setDtfimAnt(null);
setIndexadorAnt(null);
setQtdeindexAnt(null);
setPrecopublicoAnt(null);
setPrecoreposicAnt(null);
setPrecogarantAnt(null);
setPrecogarpecAnt(null);
}

public TabCmprepro(String produto, int filial, FglDate dtinicioAtu, FglDate dtfimAtu, String indexadorAtu, double qtdeindexAtu, double precopublicoAtu, double precoreposicAtu, double precogarantAtu, double precogarpecAtu, FglDate dtinicioAnt, FglDate dtfimAnt, String indexadorAnt, double qtdeindexAnt, double precopublicoAnt, double precoreposicAnt, double precogarantAnt, double precogarpecAnt) {
this.produto = produto;
this.filial = filial;
this.dtinicioAtu = dtinicioAtu;
this.dtfimAtu = dtfimAtu;
this.indexadorAtu = indexadorAtu;
this.qtdeindexAtu = qtdeindexAtu;
this.precopublicoAtu = precopublicoAtu;
this.precoreposicAtu = precoreposicAtu;
this.precogarantAtu = precogarantAtu;
this.precogarpecAtu = precogarpecAtu;
this.dtinicioAnt = dtinicioAnt;
this.dtfimAnt = dtfimAnt;
this.indexadorAnt = indexadorAnt;
this.qtdeindexAnt = qtdeindexAnt;
this.precopublicoAnt = precopublicoAnt;
this.precoreposicAnt = precoreposicAnt;
this.precogarantAnt = precogarantAnt;
this.precogarpecAnt = precogarpecAnt;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtinicioAtu() {
return dtinicioAtu;
}

public void setDtinicioAtu(FglDate dtinicioAtu) {
this.dtinicioAtu = dtinicioAtu;
}

public FglDate getDtfimAtu() {
return dtfimAtu;
}

public void setDtfimAtu(FglDate dtfimAtu) {
this.dtfimAtu = dtfimAtu;
}

public String getIndexadorAtu() {
return indexadorAtu;
}

public void setIndexadorAtu(String indexadorAtu) {
this.indexadorAtu = indexadorAtu;
}

public double getQtdeindexAtu() {
return qtdeindexAtu;
}

public boolean isQtdeindexAtuNull() {
return qtdeindexAtuNull;
}

public void setQtdeindexAtu(int qtdeindexAtu) {
setQtdeindexAtu(new Double(qtdeindexAtu));
}

public void setQtdeindexAtu(long qtdeindexAtu) {
setQtdeindexAtu(new Double(qtdeindexAtu));
}

public void setQtdeindexAtu(Double qtdeindexAtu) {
if (qtdeindexAtu == null) {
qtdeindexAtuNull = true;
this.qtdeindexAtu = 0.;
} else { 
qtdeindexAtuNull = false;
this.qtdeindexAtu = FglDouble.round(qtdeindexAtu, 4);
}
}

public double getPrecopublicoAtu() {
return precopublicoAtu;
}

public boolean isPrecopublicoAtuNull() {
return precopublicoAtuNull;
}

public void setPrecopublicoAtu(int precopublicoAtu) {
setPrecopublicoAtu(new Double(precopublicoAtu));
}

public void setPrecopublicoAtu(long precopublicoAtu) {
setPrecopublicoAtu(new Double(precopublicoAtu));
}

public void setPrecopublicoAtu(Double precopublicoAtu) {
if (precopublicoAtu == null) {
precopublicoAtuNull = true;
this.precopublicoAtu = 0.;
} else { 
precopublicoAtuNull = false;
this.precopublicoAtu = FglDouble.round(precopublicoAtu, 2);
}
}

public double getPrecoreposicAtu() {
return precoreposicAtu;
}

public boolean isPrecoreposicAtuNull() {
return precoreposicAtuNull;
}

public void setPrecoreposicAtu(int precoreposicAtu) {
setPrecoreposicAtu(new Double(precoreposicAtu));
}

public void setPrecoreposicAtu(long precoreposicAtu) {
setPrecoreposicAtu(new Double(precoreposicAtu));
}

public void setPrecoreposicAtu(Double precoreposicAtu) {
if (precoreposicAtu == null) {
precoreposicAtuNull = true;
this.precoreposicAtu = 0.;
} else { 
precoreposicAtuNull = false;
this.precoreposicAtu = FglDouble.round(precoreposicAtu, 2);
}
}

public double getPrecogarantAtu() {
return precogarantAtu;
}

public boolean isPrecogarantAtuNull() {
return precogarantAtuNull;
}

public void setPrecogarantAtu(int precogarantAtu) {
setPrecogarantAtu(new Double(precogarantAtu));
}

public void setPrecogarantAtu(long precogarantAtu) {
setPrecogarantAtu(new Double(precogarantAtu));
}

public void setPrecogarantAtu(Double precogarantAtu) {
if (precogarantAtu == null) {
precogarantAtuNull = true;
this.precogarantAtu = 0.;
} else { 
precogarantAtuNull = false;
this.precogarantAtu = FglDouble.round(precogarantAtu, 2);
}
}

public double getPrecogarpecAtu() {
return precogarpecAtu;
}

public boolean isPrecogarpecAtuNull() {
return precogarpecAtuNull;
}

public void setPrecogarpecAtu(int precogarpecAtu) {
setPrecogarpecAtu(new Double(precogarpecAtu));
}

public void setPrecogarpecAtu(long precogarpecAtu) {
setPrecogarpecAtu(new Double(precogarpecAtu));
}

public void setPrecogarpecAtu(Double precogarpecAtu) {
if (precogarpecAtu == null) {
precogarpecAtuNull = true;
this.precogarpecAtu = 0.;
} else { 
precogarpecAtuNull = false;
this.precogarpecAtu = FglDouble.round(precogarpecAtu, 2);
}
}

public FglDate getDtinicioAnt() {
return dtinicioAnt;
}

public void setDtinicioAnt(FglDate dtinicioAnt) {
this.dtinicioAnt = dtinicioAnt;
}

public FglDate getDtfimAnt() {
return dtfimAnt;
}

public void setDtfimAnt(FglDate dtfimAnt) {
this.dtfimAnt = dtfimAnt;
}

public String getIndexadorAnt() {
return indexadorAnt;
}

public void setIndexadorAnt(String indexadorAnt) {
this.indexadorAnt = indexadorAnt;
}

public double getQtdeindexAnt() {
return qtdeindexAnt;
}

public boolean isQtdeindexAntNull() {
return qtdeindexAntNull;
}

public void setQtdeindexAnt(int qtdeindexAnt) {
setQtdeindexAnt(new Double(qtdeindexAnt));
}

public void setQtdeindexAnt(long qtdeindexAnt) {
setQtdeindexAnt(new Double(qtdeindexAnt));
}

public void setQtdeindexAnt(Double qtdeindexAnt) {
if (qtdeindexAnt == null) {
qtdeindexAntNull = true;
this.qtdeindexAnt = 0.;
} else { 
qtdeindexAntNull = false;
this.qtdeindexAnt = FglDouble.round(qtdeindexAnt, 4);
}
}

public double getPrecopublicoAnt() {
return precopublicoAnt;
}

public boolean isPrecopublicoAntNull() {
return precopublicoAntNull;
}

public void setPrecopublicoAnt(int precopublicoAnt) {
setPrecopublicoAnt(new Double(precopublicoAnt));
}

public void setPrecopublicoAnt(long precopublicoAnt) {
setPrecopublicoAnt(new Double(precopublicoAnt));
}

public void setPrecopublicoAnt(Double precopublicoAnt) {
if (precopublicoAnt == null) {
precopublicoAntNull = true;
this.precopublicoAnt = 0.;
} else { 
precopublicoAntNull = false;
this.precopublicoAnt = FglDouble.round(precopublicoAnt, 2);
}
}

public double getPrecoreposicAnt() {
return precoreposicAnt;
}

public boolean isPrecoreposicAntNull() {
return precoreposicAntNull;
}

public void setPrecoreposicAnt(int precoreposicAnt) {
setPrecoreposicAnt(new Double(precoreposicAnt));
}

public void setPrecoreposicAnt(long precoreposicAnt) {
setPrecoreposicAnt(new Double(precoreposicAnt));
}

public void setPrecoreposicAnt(Double precoreposicAnt) {
if (precoreposicAnt == null) {
precoreposicAntNull = true;
this.precoreposicAnt = 0.;
} else { 
precoreposicAntNull = false;
this.precoreposicAnt = FglDouble.round(precoreposicAnt, 2);
}
}

public double getPrecogarantAnt() {
return precogarantAnt;
}

public boolean isPrecogarantAntNull() {
return precogarantAntNull;
}

public void setPrecogarantAnt(int precogarantAnt) {
setPrecogarantAnt(new Double(precogarantAnt));
}

public void setPrecogarantAnt(long precogarantAnt) {
setPrecogarantAnt(new Double(precogarantAnt));
}

public void setPrecogarantAnt(Double precogarantAnt) {
if (precogarantAnt == null) {
precogarantAntNull = true;
this.precogarantAnt = 0.;
} else { 
precogarantAntNull = false;
this.precogarantAnt = FglDouble.round(precogarantAnt, 2);
}
}

public double getPrecogarpecAnt() {
return precogarpecAnt;
}

public boolean isPrecogarpecAntNull() {
return precogarpecAntNull;
}

public void setPrecogarpecAnt(int precogarpecAnt) {
setPrecogarpecAnt(new Double(precogarpecAnt));
}

public void setPrecogarpecAnt(long precogarpecAnt) {
setPrecogarpecAnt(new Double(precogarpecAnt));
}

public void setPrecogarpecAnt(Double precogarpecAnt) {
if (precogarpecAnt == null) {
precogarpecAntNull = true;
this.precogarpecAnt = 0.;
} else { 
precogarpecAntNull = false;
this.precogarpecAnt = FglDouble.round(precogarpecAnt, 2);
}
}

}

