package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmprodut {
@Coluna(nome="cmprodut.produto", tipo="String")
private String produto;
@Coluna(nome="cmprodut.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cmprodut.invertido", tipo="String")
private String invertido;
@Coluna(nome="cmprodut.editado", tipo="String")
private String editado;
@Coluna(nome="cmprodut.listaforn", tipo="String")
private String listaforn;
@Coluna(nome="cmprodut.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="cmprodut.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cmprodut.aliqipi", tipo="double")
private double aliqipi;
private boolean aliqipiNull;
@Coluna(nome="cmprodut.unidcompra", tipo="String")
private String unidcompra;
@Coluna(nome="cmprodut.unidvenda", tipo="String")
private String unidvenda;
@Coluna(nome="cmprodut.embalagem", tipo="double")
private double embalagem;
private boolean embalagemNull;
@Coluna(nome="cmprodut.pesounitario", tipo="double")
private double pesounitario;
private boolean pesounitarioNull;
@Coluna(nome="cmprodut.antecessora", tipo="String")
private String antecessora;
@Coluna(nome="cmprodut.sucessora", tipo="String")
private String sucessora;
@Coluna(nome="cmprodut.origem", tipo="String")
private String origem;
@Coluna(nome="cmprodut.rateiadesconto", tipo="String")
private String rateiadesconto;
@Coluna(nome="cmprodut.reffabrica", tipo="String")
private String reffabrica;
@Coluna(nome="cmprodut.sugmargem", tipo="String")
private String sugmargem;
@Coluna(nome="cmprodut.superclasse", tipo="String")
private String superclasse;
@Coluna(nome="cmprodut.classe", tipo="String")
private String classe;
@Coluna(nome="cmprodut.subclasse", tipo="String")
private String subclasse;
@Coluna(nome="cmprodut.assinatura", tipo="String")
private String assinatura;

public TabCmprodut() {
initialize();
}

public void initialize() {
setProduto(null);
setIdGrupos(null);
setInvertido(null);
setEditado(null);
setListaforn(null);
setDescrprodut(null);
setClassefiscal(null);
setAliqipi(null);
setUnidcompra(null);
setUnidvenda(null);
setEmbalagem(null);
setPesounitario(null);
setAntecessora(null);
setSucessora(null);
setOrigem(null);
setRateiadesconto(null);
setReffabrica(null);
setSugmargem(null);
setSuperclasse(null);
setClasse(null);
setSubclasse(null);
setAssinatura(null);
}

public TabCmprodut(String produto, int idGrupos, String invertido, String editado, String listaforn, String descrprodut, String classefiscal, double aliqipi, String unidcompra, String unidvenda, double embalagem, double pesounitario, String antecessora, String sucessora, String origem, String rateiadesconto, String reffabrica, String sugmargem, String superclasse, String classe, String subclasse, String assinatura) {
this.produto = produto;
this.idGrupos = idGrupos;
this.invertido = invertido;
this.editado = editado;
this.listaforn = listaforn;
this.descrprodut = descrprodut;
this.classefiscal = classefiscal;
this.aliqipi = aliqipi;
this.unidcompra = unidcompra;
this.unidvenda = unidvenda;
this.embalagem = embalagem;
this.pesounitario = pesounitario;
this.antecessora = antecessora;
this.sucessora = sucessora;
this.origem = origem;
this.rateiadesconto = rateiadesconto;
this.reffabrica = reffabrica;
this.sugmargem = sugmargem;
this.superclasse = superclasse;
this.classe = classe;
this.subclasse = subclasse;
this.assinatura = assinatura;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public String getInvertido() {
return invertido;
}

public void setInvertido(String invertido) {
this.invertido = invertido;
}

public String getEditado() {
return editado;
}

public void setEditado(String editado) {
this.editado = editado;
}

public String getListaforn() {
return listaforn;
}

public void setListaforn(String listaforn) {
this.listaforn = listaforn;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public double getAliqipi() {
return aliqipi;
}

public boolean isAliqipiNull() {
return aliqipiNull;
}

public void setAliqipi(int aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(long aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(Double aliqipi) {
if (aliqipi == null) {
aliqipiNull = true;
this.aliqipi = 0.;
} else { 
aliqipiNull = false;
this.aliqipi = FglDouble.round(aliqipi, 2);
}
}

public String getUnidcompra() {
return unidcompra;
}

public void setUnidcompra(String unidcompra) {
this.unidcompra = unidcompra;
}

public String getUnidvenda() {
return unidvenda;
}

public void setUnidvenda(String unidvenda) {
this.unidvenda = unidvenda;
}

public double getEmbalagem() {
return embalagem;
}

public boolean isEmbalagemNull() {
return embalagemNull;
}

public void setEmbalagem(int embalagem) {
setEmbalagem(new Double(embalagem));
}

public void setEmbalagem(long embalagem) {
setEmbalagem(new Double(embalagem));
}

public void setEmbalagem(Double embalagem) {
if (embalagem == null) {
embalagemNull = true;
this.embalagem = 0.;
} else { 
embalagemNull = false;
this.embalagem = FglDouble.round(embalagem, 2);
}
}

public double getPesounitario() {
return pesounitario;
}

public boolean isPesounitarioNull() {
return pesounitarioNull;
}

public void setPesounitario(int pesounitario) {
setPesounitario(new Double(pesounitario));
}

public void setPesounitario(long pesounitario) {
setPesounitario(new Double(pesounitario));
}

public void setPesounitario(Double pesounitario) {
if (pesounitario == null) {
pesounitarioNull = true;
this.pesounitario = 0.;
} else { 
pesounitarioNull = false;
this.pesounitario = FglDouble.round(pesounitario, 2);
}
}

public String getAntecessora() {
return antecessora;
}

public void setAntecessora(String antecessora) {
this.antecessora = antecessora;
}

public String getSucessora() {
return sucessora;
}

public void setSucessora(String sucessora) {
this.sucessora = sucessora;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getRateiadesconto() {
return rateiadesconto;
}

public void setRateiadesconto(String rateiadesconto) {
this.rateiadesconto = rateiadesconto;
}

public String getReffabrica() {
return reffabrica;
}

public void setReffabrica(String reffabrica) {
this.reffabrica = reffabrica;
}

public String getSugmargem() {
return sugmargem;
}

public void setSugmargem(String sugmargem) {
this.sugmargem = sugmargem;
}

public String getSuperclasse() {
return superclasse;
}

public void setSuperclasse(String superclasse) {
this.superclasse = superclasse;
}

public String getClasse() {
return classe;
}

public void setClasse(String classe) {
this.classe = classe;
}

public String getSubclasse() {
return subclasse;
}

public void setSubclasse(String subclasse) {
this.subclasse = subclasse;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

