package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmproinv {
@Coluna(nome="cmproinv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmproinv.datainv", tipo="FglDate")
private FglDate datainv;
@Coluna(nome="cmproinv.produto", tipo="String")
private String produto;
@Coluna(nome="cmproinv.origpara", tipo="String")
private String origpara;
@Coluna(nome="cmproinv.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cmproinv.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cmproinv.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="cmproinv.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cmproinv.lucropres", tipo="double")
private double lucropres;
private boolean lucropresNull;
@Coluna(nome="cmproinv.qtdeprod", tipo="double")
private double qtdeprod;
private boolean qtdeprodNull;
@Coluna(nome="cmproinv.vlrunitario", tipo="double")
private double vlrunitario;
private boolean vlrunitarioNull;
@Coluna(nome="cmproinv.vlrtotal", tipo="double")
private double vlrtotal;
private boolean vlrtotalNull;
@Coluna(nome="cmproinv.basecalc", tipo="double")
private double basecalc;
private boolean basecalcNull;
@Coluna(nome="cmproinv.vlriva", tipo="double")
private double vlriva;
private boolean vlrivaNull;
@Coluna(nome="cmproinv.vlricms", tipo="double")
private double vlricms;
private boolean vlricmsNull;
@Coluna(nome="cmproinv.unimed", tipo="String")
private String unimed;
@Coluna(nome="cmproinv.tribde", tipo="String")
private String tribde;
@Coluna(nome="cmproinv.tribpara", tipo="String")
private String tribpara;
@Coluna(nome="cmproinv.vlrsticms", tipo="double")
private double vlrsticms;
private boolean vlrsticmsNull;

public TabCmproinv() {
initialize();
}

public void initialize() {
setFilial(null);
setDatainv(null);
setProduto(null);
setOrigpara(null);
setIdGrupos(null);
setClassefiscal(null);
setDescrprodut(null);
setAliqicms(null);
setLucropres(null);
setQtdeprod(null);
setVlrunitario(null);
setVlrtotal(null);
setBasecalc(null);
setVlriva(null);
setVlricms(null);
setUnimed(null);
setTribde(null);
setTribpara(null);
setVlrsticms(null);
}

public TabCmproinv(int filial, FglDate datainv, String produto, String origpara, int idGrupos, String classefiscal, String descrprodut, double aliqicms, double lucropres, double qtdeprod, double vlrunitario, double vlrtotal, double basecalc, double vlriva, double vlricms, String unimed, String tribde, String tribpara, double vlrsticms) {
this.filial = filial;
this.datainv = datainv;
this.produto = produto;
this.origpara = origpara;
this.idGrupos = idGrupos;
this.classefiscal = classefiscal;
this.descrprodut = descrprodut;
this.aliqicms = aliqicms;
this.lucropres = lucropres;
this.qtdeprod = qtdeprod;
this.vlrunitario = vlrunitario;
this.vlrtotal = vlrtotal;
this.basecalc = basecalc;
this.vlriva = vlriva;
this.vlricms = vlricms;
this.unimed = unimed;
this.tribde = tribde;
this.tribpara = tribpara;
this.vlrsticms = vlrsticms;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatainv() {
return datainv;
}

public void setDatainv(FglDate datainv) {
this.datainv = datainv;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getOrigpara() {
return origpara;
}

public void setOrigpara(String origpara) {
this.origpara = origpara;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getLucropres() {
return lucropres;
}

public boolean isLucropresNull() {
return lucropresNull;
}

public void setLucropres(int lucropres) {
setLucropres(new Double(lucropres));
}

public void setLucropres(long lucropres) {
setLucropres(new Double(lucropres));
}

public void setLucropres(Double lucropres) {
if (lucropres == null) {
lucropresNull = true;
this.lucropres = 0.;
} else { 
lucropresNull = false;
this.lucropres = FglDouble.round(lucropres, 2);
}
}

public double getQtdeprod() {
return qtdeprod;
}

public boolean isQtdeprodNull() {
return qtdeprodNull;
}

public void setQtdeprod(int qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(long qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(Double qtdeprod) {
if (qtdeprod == null) {
qtdeprodNull = true;
this.qtdeprod = 0.;
} else { 
qtdeprodNull = false;
this.qtdeprod = FglDouble.round(qtdeprod, 2);
}
}

public double getVlrunitario() {
return vlrunitario;
}

public boolean isVlrunitarioNull() {
return vlrunitarioNull;
}

public void setVlrunitario(int vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(long vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(Double vlrunitario) {
if (vlrunitario == null) {
vlrunitarioNull = true;
this.vlrunitario = 0.;
} else { 
vlrunitarioNull = false;
this.vlrunitario = FglDouble.round(vlrunitario, 2);
}
}

public double getVlrtotal() {
return vlrtotal;
}

public boolean isVlrtotalNull() {
return vlrtotalNull;
}

public void setVlrtotal(int vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(long vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(Double vlrtotal) {
if (vlrtotal == null) {
vlrtotalNull = true;
this.vlrtotal = 0.;
} else { 
vlrtotalNull = false;
this.vlrtotal = FglDouble.round(vlrtotal, 2);
}
}

public double getBasecalc() {
return basecalc;
}

public boolean isBasecalcNull() {
return basecalcNull;
}

public void setBasecalc(int basecalc) {
setBasecalc(new Double(basecalc));
}

public void setBasecalc(long basecalc) {
setBasecalc(new Double(basecalc));
}

public void setBasecalc(Double basecalc) {
if (basecalc == null) {
basecalcNull = true;
this.basecalc = 0.;
} else { 
basecalcNull = false;
this.basecalc = FglDouble.round(basecalc, 2);
}
}

public double getVlriva() {
return vlriva;
}

public boolean isVlrivaNull() {
return vlrivaNull;
}

public void setVlriva(int vlriva) {
setVlriva(new Double(vlriva));
}

public void setVlriva(long vlriva) {
setVlriva(new Double(vlriva));
}

public void setVlriva(Double vlriva) {
if (vlriva == null) {
vlrivaNull = true;
this.vlriva = 0.;
} else { 
vlrivaNull = false;
this.vlriva = FglDouble.round(vlriva, 2);
}
}

public double getVlricms() {
return vlricms;
}

public boolean isVlricmsNull() {
return vlricmsNull;
}

public void setVlricms(int vlricms) {
setVlricms(new Double(vlricms));
}

public void setVlricms(long vlricms) {
setVlricms(new Double(vlricms));
}

public void setVlricms(Double vlricms) {
if (vlricms == null) {
vlricmsNull = true;
this.vlricms = 0.;
} else { 
vlricmsNull = false;
this.vlricms = FglDouble.round(vlricms, 2);
}
}

public String getUnimed() {
return unimed;
}

public void setUnimed(String unimed) {
this.unimed = unimed;
}

public String getTribde() {
return tribde;
}

public void setTribde(String tribde) {
this.tribde = tribde;
}

public String getTribpara() {
return tribpara;
}

public void setTribpara(String tribpara) {
this.tribpara = tribpara;
}

public double getVlrsticms() {
return vlrsticms;
}

public boolean isVlrsticmsNull() {
return vlrsticmsNull;
}

public void setVlrsticms(int vlrsticms) {
setVlrsticms(new Double(vlrsticms));
}

public void setVlrsticms(long vlrsticms) {
setVlrsticms(new Double(vlrsticms));
}

public void setVlrsticms(Double vlrsticms) {
if (vlrsticms == null) {
vlrsticmsNull = true;
this.vlrsticms = 0.;
} else { 
vlrsticmsNull = false;
this.vlrsticms = FglDouble.round(vlrsticms, 2);
}
}

}

