package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmpromoc {
@Coluna(nome="cmpromoc.produto", tipo="String")
private String produto;
@Coluna(nome="cmpromoc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmpromoc.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cmpromoc.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cmpromoc.preco", tipo="double")
private double preco;
private boolean precoNull;
@Coluna(nome="cmpromoc.tppromoc", tipo="String")
private String tppromoc;
@Coluna(nome="cmpromoc.qtdepromoc", tipo="double")
private double qtdepromoc;
private boolean qtdepromocNull;
@Coluna(nome="cmpromoc.saldopromoc", tipo="double")
private double saldopromoc;
private boolean saldopromocNull;
@Coluna(nome="cmpromoc.desconto", tipo="String")
private String desconto;
@Coluna(nome="cmpromoc.setor", tipo="String")
private String setor;
@Coluna(nome="cmpromoc.basedemand", tipo="String")
private String basedemand;

public TabCmpromoc() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setDtinicio(null);
setDtfim(null);
setPreco(null);
setTppromoc(null);
setQtdepromoc(null);
setSaldopromoc(null);
setDesconto(null);
setSetor(null);
setBasedemand(null);
}

public TabCmpromoc(String produto, int filial, FglDate dtinicio, FglDate dtfim, double preco, String tppromoc, double qtdepromoc, double saldopromoc, String desconto, String setor, String basedemand) {
this.produto = produto;
this.filial = filial;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.preco = preco;
this.tppromoc = tppromoc;
this.qtdepromoc = qtdepromoc;
this.saldopromoc = saldopromoc;
this.desconto = desconto;
this.setor = setor;
this.basedemand = basedemand;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPreco() {
return preco;
}

public boolean isPrecoNull() {
return precoNull;
}

public void setPreco(int preco) {
setPreco(new Double(preco));
}

public void setPreco(long preco) {
setPreco(new Double(preco));
}

public void setPreco(Double preco) {
if (preco == null) {
precoNull = true;
this.preco = 0.;
} else { 
precoNull = false;
this.preco = FglDouble.round(preco, 2);
}
}

public String getTppromoc() {
return tppromoc;
}

public void setTppromoc(String tppromoc) {
this.tppromoc = tppromoc;
}

public double getQtdepromoc() {
return qtdepromoc;
}

public boolean isQtdepromocNull() {
return qtdepromocNull;
}

public void setQtdepromoc(int qtdepromoc) {
setQtdepromoc(new Double(qtdepromoc));
}

public void setQtdepromoc(long qtdepromoc) {
setQtdepromoc(new Double(qtdepromoc));
}

public void setQtdepromoc(Double qtdepromoc) {
if (qtdepromoc == null) {
qtdepromocNull = true;
this.qtdepromoc = 0.;
} else { 
qtdepromocNull = false;
this.qtdepromoc = FglDouble.round(qtdepromoc, 2);
}
}

public double getSaldopromoc() {
return saldopromoc;
}

public boolean isSaldopromocNull() {
return saldopromocNull;
}

public void setSaldopromoc(int saldopromoc) {
setSaldopromoc(new Double(saldopromoc));
}

public void setSaldopromoc(long saldopromoc) {
setSaldopromoc(new Double(saldopromoc));
}

public void setSaldopromoc(Double saldopromoc) {
if (saldopromoc == null) {
saldopromocNull = true;
this.saldopromoc = 0.;
} else { 
saldopromocNull = false;
this.saldopromoc = FglDouble.round(saldopromoc, 2);
}
}

public String getDesconto() {
return desconto;
}

public void setDesconto(String desconto) {
this.desconto = desconto;
}

public String getSetor() {
return setor;
}

public void setSetor(String setor) {
this.setor = setor;
}

public String getBasedemand() {
return basedemand;
}

public void setBasedemand(String basedemand) {
this.basedemand = basedemand;
}

}

