package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmreqdet {
@Coluna(nome="cmreqdet.id_reqcap", tipo="int")
private int idReqcap;
private boolean idReqcapNull;
@Coluna(nome="cmreqdet.produto", tipo="String")
private String produto;
@Coluna(nome="cmreqdet.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;

public TabCmreqdet() {
initialize();
}

public void initialize() {
setIdReqcap(null);
setProduto(null);
setQuantidade(null);
}

public TabCmreqdet(int idReqcap, String produto, double quantidade) {
this.idReqcap = idReqcap;
this.produto = produto;
this.quantidade = quantidade;
}

public int getIdReqcap() {
return idReqcap;
}

public boolean isIdReqcapNull() {
return idReqcapNull;
}

public void setIdReqcap(Integer idReqcap) {
if (idReqcap == null) {
idReqcapNull = true;
this.idReqcap = 0;
} else { 
idReqcapNull = false;
this.idReqcap = idReqcap;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

}

