package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCmreqgar {
@Coluna(nome="cmreqgar.id_reqgar", tipo="int")
private int idReqgar;
private boolean idReqgarNull;
@Coluna(nome="cmreqgar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmreqgar.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cmreqgar.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cmreqgar.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="cmreqgar.produto", tipo="String")
private String produto;
@Coluna(nome="cmreqgar.id_reqcap", tipo="int")
private int idReqcap;
private boolean idReqcapNull;
@Coluna(nome="cmreqgar.id_pdcomd", tipo="int")
private int idPdcomd;
private boolean idPdcomdNull;
@Coluna(nome="cmreqgar.id_pdcomp", tipo="int")
private int idPdcomp;
private boolean idPdcompNull;
@Coluna(nome="cmreqgar.id_nfitem_sai", tipo="int")
private int idNfitemSai;
private boolean idNfitemSaiNull;
@Coluna(nome="cmreqgar.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="cmreqgar.possuiestoque", tipo="String")
private String possuiestoque;
@Coluna(nome="cmreqgar.modalidade", tipo="int")
private int modalidade;
private boolean modalidadeNull;
@Coluna(nome="cmreqgar.datageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datageracao;
@Coluna(nome="cmreqgar.status", tipo="String")
private String status;
@Coluna(nome="cmreqgar.qtdedevsaida", tipo="int")
private int qtdedevsaida;
private boolean qtdedevsaidaNull;

public TabCmreqgar() {
initialize();
}

public void initialize() {
setIdReqgar(null);
setFilial(null);
setIdOscapa(null);
setNroitem(null);
setRomaneio(null);
setProduto(null);
setIdReqcap(null);
setIdPdcomd(null);
setIdPdcomp(null);
setIdNfitemSai(null);
setQuantidade(null);
setPossuiestoque(null);
setModalidade(null);
setDatageracao(null);
setStatus(null);
setQtdedevsaida(null);
}

public TabCmreqgar(int idReqgar, int filial, int idOscapa, int nroitem, int romaneio, String produto, int idReqcap, int idPdcomd, int idPdcomp, int idNfitemSai, int quantidade, String possuiestoque, int modalidade, FglDateTimeYS datageracao, String status, int qtdedevsaida) {
this.idReqgar = idReqgar;
this.filial = filial;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.romaneio = romaneio;
this.produto = produto;
this.idReqcap = idReqcap;
this.idPdcomd = idPdcomd;
this.idPdcomp = idPdcomp;
this.idNfitemSai = idNfitemSai;
this.quantidade = quantidade;
this.possuiestoque = possuiestoque;
this.modalidade = modalidade;
this.datageracao = datageracao;
this.status = status;
this.qtdedevsaida = qtdedevsaida;
}

public int getIdReqgar() {
return idReqgar;
}

public boolean isIdReqgarNull() {
return idReqgarNull;
}

public void setIdReqgar(Integer idReqgar) {
if (idReqgar == null) {
idReqgarNull = true;
this.idReqgar = 0;
} else { 
idReqgarNull = false;
this.idReqgar = idReqgar;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdReqcap() {
return idReqcap;
}

public boolean isIdReqcapNull() {
return idReqcapNull;
}

public void setIdReqcap(Integer idReqcap) {
if (idReqcap == null) {
idReqcapNull = true;
this.idReqcap = 0;
} else { 
idReqcapNull = false;
this.idReqcap = idReqcap;
}
}

public int getIdPdcomd() {
return idPdcomd;
}

public boolean isIdPdcomdNull() {
return idPdcomdNull;
}

public void setIdPdcomd(Integer idPdcomd) {
if (idPdcomd == null) {
idPdcomdNull = true;
this.idPdcomd = 0;
} else { 
idPdcomdNull = false;
this.idPdcomd = idPdcomd;
}
}

public int getIdPdcomp() {
return idPdcomp;
}

public boolean isIdPdcompNull() {
return idPdcompNull;
}

public void setIdPdcomp(Integer idPdcomp) {
if (idPdcomp == null) {
idPdcompNull = true;
this.idPdcomp = 0;
} else { 
idPdcompNull = false;
this.idPdcomp = idPdcomp;
}
}

public int getIdNfitemSai() {
return idNfitemSai;
}

public boolean isIdNfitemSaiNull() {
return idNfitemSaiNull;
}

public void setIdNfitemSai(Integer idNfitemSai) {
if (idNfitemSai == null) {
idNfitemSaiNull = true;
this.idNfitemSai = 0;
} else { 
idNfitemSaiNull = false;
this.idNfitemSai = idNfitemSai;
}
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public String getPossuiestoque() {
return possuiestoque;
}

public void setPossuiestoque(String possuiestoque) {
this.possuiestoque = possuiestoque;
}

public int getModalidade() {
return modalidade;
}

public boolean isModalidadeNull() {
return modalidadeNull;
}

public void setModalidade(Integer modalidade) {
if (modalidade == null) {
modalidadeNull = true;
this.modalidade = 0;
} else { 
modalidadeNull = false;
this.modalidade = modalidade;
}
}

public FglDateTimeYS getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDateTimeYS datageracao) {
this.datageracao = datageracao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getQtdedevsaida() {
return qtdedevsaida;
}

public boolean isQtdedevsaidaNull() {
return qtdedevsaidaNull;
}

public void setQtdedevsaida(Integer qtdedevsaida) {
if (qtdedevsaida == null) {
qtdedevsaidaNull = true;
this.qtdedevsaida = 0;
} else { 
qtdedevsaidaNull = false;
this.qtdedevsaida = qtdedevsaida;
}
}

}

