package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmreqmat {
@Coluna(nome="cmreqmat.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmreqmat.produto", tipo="String")
private String produto;
@Coluna(nome="cmreqmat.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="cmreqmat.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="cmreqmat.dtrequis", tipo="FglDate")
private FglDate dtrequis;
@Coluna(nome="cmreqmat.qtderequis", tipo="double")
private double qtderequis;
private boolean qtderequisNull;
@Coluna(nome="cmreqmat.vlrrequis", tipo="double")
private double vlrrequis;
private boolean vlrrequisNull;
@Coluna(nome="cmreqmat.obsrequis", tipo="String")
private String obsrequis;
@Coluna(nome="cmreqmat.login", tipo="String")
private String login;
@Coluna(nome="cmreqmat.id_agrequis", tipo="int")
private int idAgrequis;
private boolean idAgrequisNull;
@Coluna(nome="cmreqmat.id_agentesolicitante", tipo="int")
private int idAgentesolicitante;
private boolean idAgentesolicitanteNull;

public TabCmreqmat() {
initialize();
}

public void initialize() {
setFilial(null);
setProduto(null);
setNrodocto(null);
setTipo(null);
setDtrequis(null);
setQtderequis(null);
setVlrrequis(null);
setObsrequis(null);
setLogin(null);
setIdAgrequis(null);
setIdAgentesolicitante(null);
}

public TabCmreqmat(int filial, String produto, int nrodocto, int tipo, FglDate dtrequis, double qtderequis, double vlrrequis, String obsrequis, String login, int idAgrequis, int idAgentesolicitante) {
this.filial = filial;
this.produto = produto;
this.nrodocto = nrodocto;
this.tipo = tipo;
this.dtrequis = dtrequis;
this.qtderequis = qtderequis;
this.vlrrequis = vlrrequis;
this.obsrequis = obsrequis;
this.login = login;
this.idAgrequis = idAgrequis;
this.idAgentesolicitante = idAgentesolicitante;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public FglDate getDtrequis() {
return dtrequis;
}

public void setDtrequis(FglDate dtrequis) {
this.dtrequis = dtrequis;
}

public double getQtderequis() {
return qtderequis;
}

public boolean isQtderequisNull() {
return qtderequisNull;
}

public void setQtderequis(int qtderequis) {
setQtderequis(new Double(qtderequis));
}

public void setQtderequis(long qtderequis) {
setQtderequis(new Double(qtderequis));
}

public void setQtderequis(Double qtderequis) {
if (qtderequis == null) {
qtderequisNull = true;
this.qtderequis = 0.;
} else { 
qtderequisNull = false;
this.qtderequis = FglDouble.round(qtderequis, 2);
}
}

public double getVlrrequis() {
return vlrrequis;
}

public boolean isVlrrequisNull() {
return vlrrequisNull;
}

public void setVlrrequis(int vlrrequis) {
setVlrrequis(new Double(vlrrequis));
}

public void setVlrrequis(long vlrrequis) {
setVlrrequis(new Double(vlrrequis));
}

public void setVlrrequis(Double vlrrequis) {
if (vlrrequis == null) {
vlrrequisNull = true;
this.vlrrequis = 0.;
} else { 
vlrrequisNull = false;
this.vlrrequis = FglDouble.round(vlrrequis, 2);
}
}

public String getObsrequis() {
return obsrequis;
}

public void setObsrequis(String obsrequis) {
this.obsrequis = obsrequis;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

public int getIdAgrequis() {
return idAgrequis;
}

public boolean isIdAgrequisNull() {
return idAgrequisNull;
}

public void setIdAgrequis(Integer idAgrequis) {
if (idAgrequis == null) {
idAgrequisNull = true;
this.idAgrequis = 0;
} else { 
idAgrequisNull = false;
this.idAgrequis = idAgrequis;
}
}

public int getIdAgentesolicitante() {
return idAgentesolicitante;
}

public boolean isIdAgentesolicitanteNull() {
return idAgentesolicitanteNull;
}

public void setIdAgentesolicitante(Integer idAgentesolicitante) {
if (idAgentesolicitante == null) {
idAgentesolicitanteNull = true;
this.idAgentesolicitante = 0;
} else { 
idAgentesolicitanteNull = false;
this.idAgentesolicitante = idAgentesolicitante;
}
}

}

