package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmsugfam {
@Coluna(nome="cmsugfam.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cmsugfam.descrfamilia", tipo="String")
private String descrfamilia;
@Coluna(nome="cmsugfam.percentual", tipo="double")
private double percentual;
private boolean percentualNull;
@Coluna(nome="cmsugfam.sigla", tipo="String")
private String sigla;

public TabCmsugfam() {
initialize();
}

public void initialize() {
setFamilia(null);
setDescrfamilia(null);
setPercentual(null);
setSigla(null);
}

public TabCmsugfam(int familia, String descrfamilia, double percentual, String sigla) {
this.familia = familia;
this.descrfamilia = descrfamilia;
this.percentual = percentual;
this.sigla = sigla;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getDescrfamilia() {
return descrfamilia;
}

public void setDescrfamilia(String descrfamilia) {
this.descrfamilia = descrfamilia;
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

}

