package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmunconv {
@Coluna(nome="cmunconv.unidadeo", tipo="String")
private String unidadeo;
@Coluna(nome="cmunconv.unidaded", tipo="String")
private String unidaded;
@Coluna(nome="cmunconv.fatorconver", tipo="double")
private double fatorconver;
private boolean fatorconverNull;

public TabCmunconv() {
initialize();
}

public void initialize() {
setUnidadeo(null);
setUnidaded(null);
setFatorconver(null);
}

public TabCmunconv(String unidadeo, String unidaded, double fatorconver) {
this.unidadeo = unidadeo;
this.unidaded = unidaded;
this.fatorconver = fatorconver;
}

public String getUnidadeo() {
return unidadeo;
}

public void setUnidadeo(String unidadeo) {
this.unidadeo = unidadeo;
}

public String getUnidaded() {
return unidaded;
}

public void setUnidaded(String unidaded) {
this.unidaded = unidaded;
}

public double getFatorconver() {
return fatorconver;
}

public boolean isFatorconverNull() {
return fatorconverNull;
}

public void setFatorconver(int fatorconver) {
setFatorconver(new Double(fatorconver));
}

public void setFatorconver(long fatorconver) {
setFatorconver(new Double(fatorconver));
}

public void setFatorconver(Double fatorconver) {
if (fatorconver == null) {
fatorconverNull = true;
this.fatorconver = 0.;
} else { 
fatorconverNull = false;
this.fatorconver = FglDouble.round(fatorconver, 3);
}
}

}

