package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnaidfse {
@Coluna(nome="cnaidfse.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnaidfse.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cnaidfse.dtintegracao", tipo="FglDate")
private FglDate dtintegracao;
@Coluna(nome="cnaidfse.inscricao", tipo="String")
private String inscricao;
@Coluna(nome="cnaidfse.codver", tipo="String")
private String codver;
@Coluna(nome="cnaidfse.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnaidfse.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;

public TabCnaidfse() {
initialize();
}

public void initialize() {
setFilial(null);
setNronota(null);
setDtintegracao(null);
setInscricao(null);
setCodver(null);
setQuantidade(null);
setIdNfcapa(null);
}

public TabCnaidfse(int filial, int nronota, FglDate dtintegracao, String inscricao, String codver, int quantidade, int idNfcapa) {
this.filial = filial;
this.nronota = nronota;
this.dtintegracao = dtintegracao;
this.inscricao = inscricao;
this.codver = codver;
this.quantidade = quantidade;
this.idNfcapa = idNfcapa;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public FglDate getDtintegracao() {
return dtintegracao;
}

public void setDtintegracao(FglDate dtintegracao) {
this.dtintegracao = dtintegracao;
}

public String getInscricao() {
return inscricao;
}

public void setInscricao(String inscricao) {
this.inscricao = inscricao;
}

public String getCodver() {
return codver;
}

public void setCodver(String codver) {
this.codver = codver;
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

}

