package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCnautori {
@Coluna(nome="cnautori.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnautori.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cnautori.dtautori", tipo="FglDate")
private FglDate dtautori;
@Coluna(nome="cnautori.hrautori", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrautori;
@Coluna(nome="cnautori.tipo", tipo="int")
private int tipo;
private boolean tipoNull;

public TabCnautori() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setIdAgente(null);
setDtautori(null);
setHrautori(null);
setTipo(null);
}

public TabCnautori(int idNfcapa, int idAgente, FglDate dtautori, FglDateTimeHMin hrautori, int tipo) {
this.idNfcapa = idNfcapa;
this.idAgente = idAgente;
this.dtautori = dtautori;
this.hrautori = hrautori;
this.tipo = tipo;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtautori() {
return dtautori;
}

public void setDtautori(FglDate dtautori) {
this.dtautori = dtautori;
}

public FglDateTimeHMin getHrautori() {
return hrautori;
}

public void setHrautori(FglDateTimeHMin hrautori) {
this.hrautori = hrautori;
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

}

