package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCncodiss {
@Coluna(nome="cncodiss.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cncodiss.tpservico", tipo="int")
private int tpservico;
private boolean tpservicoNull;
@Coluna(nome="cncodiss.tipotransacao", tipo="String")
private String tipotransacao;
@Coluna(nome="cncodiss.codigoiss", tipo="String")
private String codigoiss;
@Coluna(nome="cncodiss.compcodigoiss", tipo="String")
private String compcodigoiss;
@Coluna(nome="cncodiss.codigoissfora", tipo="String")
private String codigoissfora;
@Coluna(nome="cncodiss.compcodigoissfora", tipo="String")
private String compcodigoissfora;
@Coluna(nome="cncodiss.perciss", tipo="double")
private double perciss;
private boolean percissNull;
@Coluna(nome="cncodiss.percredtrib", tipo="double")
private double percredtrib;
private boolean percredtribNull;
@Coluna(nome="cncodiss.aplicacao", tipo="String")
private String aplicacao;

public TabCncodiss() {
initialize();
}

public void initialize() {
setFilial(null);
setTpservico(null);
setTipotransacao(null);
setCodigoiss(null);
setCompcodigoiss(null);
setCodigoissfora(null);
setCompcodigoissfora(null);
setPerciss(null);
setPercredtrib(null);
setAplicacao(null);
}

public TabCncodiss(int filial, int tpservico, String tipotransacao, String codigoiss, String compcodigoiss, String codigoissfora, String compcodigoissfora, double perciss, double percredtrib, String aplicacao) {
this.filial = filial;
this.tpservico = tpservico;
this.tipotransacao = tipotransacao;
this.codigoiss = codigoiss;
this.compcodigoiss = compcodigoiss;
this.codigoissfora = codigoissfora;
this.compcodigoissfora = compcodigoissfora;
this.perciss = perciss;
this.percredtrib = percredtrib;
this.aplicacao = aplicacao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getTpservico() {
return tpservico;
}

public boolean isTpservicoNull() {
return tpservicoNull;
}

public void setTpservico(Integer tpservico) {
if (tpservico == null) {
tpservicoNull = true;
this.tpservico = 0;
} else { 
tpservicoNull = false;
this.tpservico = tpservico;
}
}

public String getTipotransacao() {
return tipotransacao;
}

public void setTipotransacao(String tipotransacao) {
this.tipotransacao = tipotransacao;
}

public String getCodigoiss() {
return codigoiss;
}

public void setCodigoiss(String codigoiss) {
this.codigoiss = codigoiss;
}

public String getCompcodigoiss() {
return compcodigoiss;
}

public void setCompcodigoiss(String compcodigoiss) {
this.compcodigoiss = compcodigoiss;
}

public String getCodigoissfora() {
return codigoissfora;
}

public void setCodigoissfora(String codigoissfora) {
this.codigoissfora = codigoissfora;
}

public String getCompcodigoissfora() {
return compcodigoissfora;
}

public void setCompcodigoissfora(String compcodigoissfora) {
this.compcodigoissfora = compcodigoissfora;
}

public double getPerciss() {
return perciss;
}

public boolean isPercissNull() {
return percissNull;
}

public void setPerciss(int perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(long perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(Double perciss) {
if (perciss == null) {
percissNull = true;
this.perciss = 0.;
} else { 
percissNull = false;
this.perciss = FglDouble.round(perciss, 2);
}
}

public double getPercredtrib() {
return percredtrib;
}

public boolean isPercredtribNull() {
return percredtribNull;
}

public void setPercredtrib(int percredtrib) {
setPercredtrib(new Double(percredtrib));
}

public void setPercredtrib(long percredtrib) {
setPercredtrib(new Double(percredtrib));
}

public void setPercredtrib(Double percredtrib) {
if (percredtrib == null) {
percredtribNull = true;
this.percredtrib = 0.;
} else { 
percredtribNull = false;
this.percredtrib = FglDouble.round(percredtrib, 2);
}
}

public String getAplicacao() {
return aplicacao;
}

public void setAplicacao(String aplicacao) {
this.aplicacao = aplicacao;
}

}

