package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnconfrc {
@Coluna(nome="cnconfrc.id_conhfrc", tipo="int")
private int idConhfrc;
private boolean idConhfrcNull;
@Coluna(nome="cnconfrc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnconfrc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cnconfrc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cnconfrc.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cnconfrc.serienf", tipo="String")
private String serienf;
@Coluna(nome="cnconfrc.valorconhec", tipo="double")
private double valorconhec;
private boolean valorconhecNull;
@Coluna(nome="cnconfrc.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;
@Coluna(nome="cnconfrc.valortotpedagio", tipo="double")
private double valortotpedagio;
private boolean valortotpedagioNull;
@Coluna(nome="cnconfrc.nat_frete", tipo="int")
private int natFrete;
private boolean natFreteNull;
@Coluna(nome="cnconfrc.pedepercsubs", tipo="String")
private String pedepercsubs;
@Coluna(nome="cnconfrc.telapercsubstrib", tipo="double")
private double telapercsubstrib;
private boolean telapercsubstribNull;
@Coluna(nome="cnconfrc.credicmsant", tipo="String")
private String credicmsant;
@Coluna(nome="cnconfrc.idt_rateiofrete", tipo="String")
private String idtRateiofrete;

public TabCnconfrc() {
initialize();
}

public void initialize() {
setIdConhfrc(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setNronota(null);
setSerienf(null);
setValorconhec(null);
setValoricms(null);
setValortotpedagio(null);
setNatFrete(null);
setPedepercsubs(null);
setTelapercsubstrib(null);
setCredicmsant(null);
setIdtRateiofrete(null);
}

public TabCnconfrc(int idConhfrc, int filial, long cgccpf, int tppessoa, int nronota, String serienf, double valorconhec, double valoricms, double valortotpedagio, int natFrete, String pedepercsubs, double telapercsubstrib, String credicmsant, String idtRateiofrete) {
this.idConhfrc = idConhfrc;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nronota = nronota;
this.serienf = serienf;
this.valorconhec = valorconhec;
this.valoricms = valoricms;
this.valortotpedagio = valortotpedagio;
this.natFrete = natFrete;
this.pedepercsubs = pedepercsubs;
this.telapercsubstrib = telapercsubstrib;
this.credicmsant = credicmsant;
this.idtRateiofrete = idtRateiofrete;
}

public int getIdConhfrc() {
return idConhfrc;
}

public boolean isIdConhfrcNull() {
return idConhfrcNull;
}

public void setIdConhfrc(Integer idConhfrc) {
if (idConhfrc == null) {
idConhfrcNull = true;
this.idConhfrc = 0;
} else { 
idConhfrcNull = false;
this.idConhfrc = idConhfrc;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public double getValorconhec() {
return valorconhec;
}

public boolean isValorconhecNull() {
return valorconhecNull;
}

public void setValorconhec(int valorconhec) {
setValorconhec(new Double(valorconhec));
}

public void setValorconhec(long valorconhec) {
setValorconhec(new Double(valorconhec));
}

public void setValorconhec(Double valorconhec) {
if (valorconhec == null) {
valorconhecNull = true;
this.valorconhec = 0.;
} else { 
valorconhecNull = false;
this.valorconhec = FglDouble.round(valorconhec, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

public double getValortotpedagio() {
return valortotpedagio;
}

public boolean isValortotpedagioNull() {
return valortotpedagioNull;
}

public void setValortotpedagio(int valortotpedagio) {
setValortotpedagio(new Double(valortotpedagio));
}

public void setValortotpedagio(long valortotpedagio) {
setValortotpedagio(new Double(valortotpedagio));
}

public void setValortotpedagio(Double valortotpedagio) {
if (valortotpedagio == null) {
valortotpedagioNull = true;
this.valortotpedagio = 0.;
} else { 
valortotpedagioNull = false;
this.valortotpedagio = FglDouble.round(valortotpedagio, 2);
}
}

public int getNatFrete() {
return natFrete;
}

public boolean isNatFreteNull() {
return natFreteNull;
}

public void setNatFrete(Integer natFrete) {
if (natFrete == null) {
natFreteNull = true;
this.natFrete = 0;
} else { 
natFreteNull = false;
this.natFrete = natFrete;
}
}

public String getPedepercsubs() {
return pedepercsubs;
}

public void setPedepercsubs(String pedepercsubs) {
this.pedepercsubs = pedepercsubs;
}

public double getTelapercsubstrib() {
return telapercsubstrib;
}

public boolean isTelapercsubstribNull() {
return telapercsubstribNull;
}

public void setTelapercsubstrib(int telapercsubstrib) {
setTelapercsubstrib(new Double(telapercsubstrib));
}

public void setTelapercsubstrib(long telapercsubstrib) {
setTelapercsubstrib(new Double(telapercsubstrib));
}

public void setTelapercsubstrib(Double telapercsubstrib) {
if (telapercsubstrib == null) {
telapercsubstribNull = true;
this.telapercsubstrib = 0.;
} else { 
telapercsubstribNull = false;
this.telapercsubstrib = FglDouble.round(telapercsubstrib, 2);
}
}

public String getCredicmsant() {
return credicmsant;
}

public void setCredicmsant(String credicmsant) {
this.credicmsant = credicmsant;
}

public String getIdtRateiofrete() {
return idtRateiofrete;
}

public void setIdtRateiofrete(String idtRateiofrete) {
this.idtRateiofrete = idtRateiofrete;
}

}

