package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndactra {
@Coluna(nome="cndactra.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndactra.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cndactra.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cndactra.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cndactra.numproctransf", tipo="long")
private long numproctransf;
private boolean numproctransfNull;
@Coluna(nome="cndactra.vlrtransf", tipo="double")
private double vlrtransf;
private boolean vlrtransfNull;
@Coluna(nome="cndactra.displegtransf", tipo="String")
private String displegtransf;

public TabCndactra() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setCgccpf(null);
setTppessoa(null);
setNumproctransf(null);
setVlrtransf(null);
setDisplegtransf(null);
}

public TabCndactra(int filial, FglDateTimeYM anomes, long cgccpf, int tppessoa, long numproctransf, double vlrtransf, String displegtransf) {
this.filial = filial;
this.anomes = anomes;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.numproctransf = numproctransf;
this.vlrtransf = vlrtransf;
this.displegtransf = displegtransf;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getNumproctransf() {
return numproctransf;
}

public boolean isNumproctransfNull() {
return numproctransfNull;
}

public void setNumproctransf(int numproctransf) {
setNumproctransf(new Long(numproctransf));
}

public void setNumproctransf(Long numproctransf) {
if (numproctransf == null) {
numproctransfNull = true;
this.numproctransf = 0l;
} else { 
numproctransfNull = false;
this.numproctransf = numproctransf;
}
}

public double getVlrtransf() {
return vlrtransf;
}

public boolean isVlrtransfNull() {
return vlrtransfNull;
}

public void setVlrtransf(int vlrtransf) {
setVlrtransf(new Double(vlrtransf));
}

public void setVlrtransf(long vlrtransf) {
setVlrtransf(new Double(vlrtransf));
}

public void setVlrtransf(Double vlrtransf) {
if (vlrtransf == null) {
vlrtransfNull = true;
this.vlrtransf = 0.;
} else { 
vlrtransfNull = false;
this.vlrtransf = FglDouble.round(vlrtransf, 2);
}
}

public String getDisplegtransf() {
return displegtransf;
}

public void setDisplegtransf(String displegtransf) {
this.displegtransf = displegtransf;
}

}

