package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYY;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCndiefin {
@Coluna(nome="cndiefin.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndiefin.ano", tipo="FglDateTimeYY")
private FglDateTimeYY ano;
@Coluna(nome="cndiefin.anobase", tipo="FglDateTimeYY")
private FglDateTimeYY anobase;
@Coluna(nome="cndiefin.substit", tipo="String")
private String substit;
@Coluna(nome="cndiefin.escrcont", tipo="String")
private String escrcont;
@Coluna(nome="cndiefin.livfiscal", tipo="String")
private String livfiscal;
@Coluna(nome="cndiefin.nfiscal", tipo="String")
private String nfiscal;
@Coluna(nome="cndiefin.microcomp", tipo="String")
private String microcomp;
@Coluna(nome="cndiefin.empregados", tipo="int")
private int empregados;
private boolean empregadosNull;
@Coluna(nome="cndiefin.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="cndiefin.quadrot", tipo="String")
private String quadrot;
@Coluna(nome="cndiefin.requerim", tipo="int")
private int requerim;
private boolean requerimNull;

public TabCndiefin() {
initialize();
}

public void initialize() {
setFilial(null);
setAno(null);
setAnobase(null);
setSubstit(null);
setEscrcont(null);
setLivfiscal(null);
setNfiscal(null);
setMicrocomp(null);
setEmpregados(null);
setDtentrega(null);
setQuadrot(null);
setRequerim(null);
}

public TabCndiefin(int filial, FglDateTimeYY ano, FglDateTimeYY anobase, String substit, String escrcont, String livfiscal, String nfiscal, String microcomp, int empregados, FglDate dtentrega, String quadrot, int requerim) {
this.filial = filial;
this.ano = ano;
this.anobase = anobase;
this.substit = substit;
this.escrcont = escrcont;
this.livfiscal = livfiscal;
this.nfiscal = nfiscal;
this.microcomp = microcomp;
this.empregados = empregados;
this.dtentrega = dtentrega;
this.quadrot = quadrot;
this.requerim = requerim;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYY getAno() {
return ano;
}

public void setAno(FglDateTimeYY ano) {
this.ano = ano;
}

public FglDateTimeYY getAnobase() {
return anobase;
}

public void setAnobase(FglDateTimeYY anobase) {
this.anobase = anobase;
}

public String getSubstit() {
return substit;
}

public void setSubstit(String substit) {
this.substit = substit;
}

public String getEscrcont() {
return escrcont;
}

public void setEscrcont(String escrcont) {
this.escrcont = escrcont;
}

public String getLivfiscal() {
return livfiscal;
}

public void setLivfiscal(String livfiscal) {
this.livfiscal = livfiscal;
}

public String getNfiscal() {
return nfiscal;
}

public void setNfiscal(String nfiscal) {
this.nfiscal = nfiscal;
}

public String getMicrocomp() {
return microcomp;
}

public void setMicrocomp(String microcomp) {
this.microcomp = microcomp;
}

public int getEmpregados() {
return empregados;
}

public boolean isEmpregadosNull() {
return empregadosNull;
}

public void setEmpregados(Integer empregados) {
if (empregados == null) {
empregadosNull = true;
this.empregados = 0;
} else { 
empregadosNull = false;
this.empregados = empregados;
}
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public String getQuadrot() {
return quadrot;
}

public void setQuadrot(String quadrot) {
this.quadrot = quadrot;
}

public int getRequerim() {
return requerim;
}

public boolean isRequerimNull() {
return requerimNull;
}

public void setRequerim(Integer requerim) {
if (requerim == null) {
requerimNull = true;
this.requerim = 0;
} else { 
requerimNull = false;
this.requerim = requerim;
}
}

}

