package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCnequicf {
@Coluna(nome="cnequicf.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnequicf.nroequip", tipo="int")
private int nroequip;
private boolean nroequipNull;
@Coluna(nome="cnequicf.dataini", tipo="FglDate")
private FglDate dataini;
@Coluna(nome="cnequicf.datafim", tipo="FglDate")
private FglDate datafim;
@Coluna(nome="cnequicf.marca", tipo="String")
private String marca;
@Coluna(nome="cnequicf.modelo", tipo="String")
private String modelo;
@Coluna(nome="cnequicf.nroserie", tipo="String")
private String nroserie;
@Coluna(nome="cnequicf.serienota", tipo="String")
private String serienota;
@Coluna(nome="cnequicf.ultnota", tipo="int")
private int ultnota;
private boolean ultnotaNull;
@Coluna(nome="cnequicf.codequip", tipo="String")
private String codequip;
@Coluna(nome="cnequicf.estacao", tipo="String")
private String estacao;
@Coluna(nome="cnequicf.mfadicional", tipo="String")
private String mfadicional;
@Coluna(nome="cnequicf.tipoecf", tipo="String")
private String tipoecf;
@Coluna(nome="cnequicf.vsoftbasico", tipo="String")
private String vsoftbasico;
@Coluna(nome="cnequicf.dt_vsoftbasico", tipo="FglDateTimeYS")
private FglDateTimeYS dtVsoftbasico;
@Coluna(nome="cnequicf.nrocredenc", tipo="String")
private String nrocredenc;
@Coluna(nome="cnequicf.assinatura", tipo="String")
private String assinatura;

public TabCnequicf() {
initialize();
}

public void initialize() {
setFilial(null);
setNroequip(null);
setDataini(null);
setDatafim(null);
setMarca(null);
setModelo(null);
setNroserie(null);
setSerienota(null);
setUltnota(null);
setCodequip(null);
setEstacao(null);
setMfadicional(null);
setTipoecf(null);
setVsoftbasico(null);
setDtVsoftbasico(null);
setNrocredenc(null);
setAssinatura(null);
}

public TabCnequicf(int filial, int nroequip, FglDate dataini, FglDate datafim, String marca, String modelo, String nroserie, String serienota, int ultnota, String codequip, String estacao, String mfadicional, String tipoecf, String vsoftbasico, FglDateTimeYS dtVsoftbasico, String nrocredenc, String assinatura) {
this.filial = filial;
this.nroequip = nroequip;
this.dataini = dataini;
this.datafim = datafim;
this.marca = marca;
this.modelo = modelo;
this.nroserie = nroserie;
this.serienota = serienota;
this.ultnota = ultnota;
this.codequip = codequip;
this.estacao = estacao;
this.mfadicional = mfadicional;
this.tipoecf = tipoecf;
this.vsoftbasico = vsoftbasico;
this.dtVsoftbasico = dtVsoftbasico;
this.nrocredenc = nrocredenc;
this.assinatura = assinatura;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroequip() {
return nroequip;
}

public boolean isNroequipNull() {
return nroequipNull;
}

public void setNroequip(Integer nroequip) {
if (nroequip == null) {
nroequipNull = true;
this.nroequip = 0;
} else { 
nroequipNull = false;
this.nroequip = nroequip;
}
}

public FglDate getDataini() {
return dataini;
}

public void setDataini(FglDate dataini) {
this.dataini = dataini;
}

public FglDate getDatafim() {
return datafim;
}

public void setDatafim(FglDate datafim) {
this.datafim = datafim;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getNroserie() {
return nroserie;
}

public void setNroserie(String nroserie) {
this.nroserie = nroserie;
}

public String getSerienota() {
return serienota;
}

public void setSerienota(String serienota) {
this.serienota = serienota;
}

public int getUltnota() {
return ultnota;
}

public boolean isUltnotaNull() {
return ultnotaNull;
}

public void setUltnota(Integer ultnota) {
if (ultnota == null) {
ultnotaNull = true;
this.ultnota = 0;
} else { 
ultnotaNull = false;
this.ultnota = ultnota;
}
}

public String getCodequip() {
return codequip;
}

public void setCodequip(String codequip) {
this.codequip = codequip;
}

public String getEstacao() {
return estacao;
}

public void setEstacao(String estacao) {
this.estacao = estacao;
}

public String getMfadicional() {
return mfadicional;
}

public void setMfadicional(String mfadicional) {
this.mfadicional = mfadicional;
}

public String getTipoecf() {
return tipoecf;
}

public void setTipoecf(String tipoecf) {
this.tipoecf = tipoecf;
}

public String getVsoftbasico() {
return vsoftbasico;
}

public void setVsoftbasico(String vsoftbasico) {
this.vsoftbasico = vsoftbasico;
}

public FglDateTimeYS getDtVsoftbasico() {
return dtVsoftbasico;
}

public void setDtVsoftbasico(FglDateTimeYS dtVsoftbasico) {
this.dtVsoftbasico = dtVsoftbasico;
}

public String getNrocredenc() {
return nrocredenc;
}

public void setNrocredenc(String nrocredenc) {
this.nrocredenc = nrocredenc;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

