package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCnetkaor {
@Coluna(nome="cnetkaor.filialorcament", tipo="int")
private int filialorcament;
private boolean filialorcamentNull;
@Coluna(nome="cnetkaor.nroorcament", tipo="double")
private double nroorcament;
private boolean nroorcamentNull;
@Coluna(nome="cnetkaor.tipoorcament", tipo="String")
private String tipoorcament;
@Coluna(nome="cnetkaor.produto", tipo="String")
private String produto;
@Coluna(nome="cnetkaor.grupoprodutoetka", tipo="String")
private String grupoprodutoetka;
@Coluna(nome="cnetkaor.codmanufatura", tipo="String")
private String codmanufatura;
@Coluna(nome="cnetkaor.valorproduto", tipo="double")
private double valorproduto;
private boolean valorprodutoNull;
@Coluna(nome="cnetkaor.descprodutoetka", tipo="String")
private String descprodutoetka;
@Coluna(nome="cnetkaor.sinalqtde", tipo="String")
private String sinalqtde;
@Coluna(nome="cnetkaor.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnetkaor.dttransferencia", tipo="FglDateTimeYS")
private FglDateTimeYS dttransferencia;

public TabCnetkaor() {
initialize();
}

public void initialize() {
setFilialorcament(null);
setNroorcament(null);
setTipoorcament(null);
setProduto(null);
setGrupoprodutoetka(null);
setCodmanufatura(null);
setValorproduto(null);
setDescprodutoetka(null);
setSinalqtde(null);
setQuantidade(null);
setDttransferencia(null);
}

public TabCnetkaor(int filialorcament, double nroorcament, String tipoorcament, String produto, String grupoprodutoetka, String codmanufatura, double valorproduto, String descprodutoetka, String sinalqtde, double quantidade, FglDateTimeYS dttransferencia) {
this.filialorcament = filialorcament;
this.nroorcament = nroorcament;
this.tipoorcament = tipoorcament;
this.produto = produto;
this.grupoprodutoetka = grupoprodutoetka;
this.codmanufatura = codmanufatura;
this.valorproduto = valorproduto;
this.descprodutoetka = descprodutoetka;
this.sinalqtde = sinalqtde;
this.quantidade = quantidade;
this.dttransferencia = dttransferencia;
}

public int getFilialorcament() {
return filialorcament;
}

public boolean isFilialorcamentNull() {
return filialorcamentNull;
}

public void setFilialorcament(Integer filialorcament) {
if (filialorcament == null) {
filialorcamentNull = true;
this.filialorcament = 0;
} else { 
filialorcamentNull = false;
this.filialorcament = filialorcament;
}
}

public double getNroorcament() {
return nroorcament;
}

public boolean isNroorcamentNull() {
return nroorcamentNull;
}

public void setNroorcament(int nroorcament) {
setNroorcament(new Double(nroorcament));
}

public void setNroorcament(long nroorcament) {
setNroorcament(new Double(nroorcament));
}

public void setNroorcament(Double nroorcament) {
if (nroorcament == null) {
nroorcamentNull = true;
this.nroorcament = 0.;
} else { 
nroorcamentNull = false;
this.nroorcament = nroorcament;
}
}

public String getTipoorcament() {
return tipoorcament;
}

public void setTipoorcament(String tipoorcament) {
this.tipoorcament = tipoorcament;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getGrupoprodutoetka() {
return grupoprodutoetka;
}

public void setGrupoprodutoetka(String grupoprodutoetka) {
this.grupoprodutoetka = grupoprodutoetka;
}

public String getCodmanufatura() {
return codmanufatura;
}

public void setCodmanufatura(String codmanufatura) {
this.codmanufatura = codmanufatura;
}

public double getValorproduto() {
return valorproduto;
}

public boolean isValorprodutoNull() {
return valorprodutoNull;
}

public void setValorproduto(int valorproduto) {
setValorproduto(new Double(valorproduto));
}

public void setValorproduto(long valorproduto) {
setValorproduto(new Double(valorproduto));
}

public void setValorproduto(Double valorproduto) {
if (valorproduto == null) {
valorprodutoNull = true;
this.valorproduto = 0.;
} else { 
valorprodutoNull = false;
this.valorproduto = FglDouble.round(valorproduto, 2);
}
}

public String getDescprodutoetka() {
return descprodutoetka;
}

public void setDescprodutoetka(String descprodutoetka) {
this.descprodutoetka = descprodutoetka;
}

public String getSinalqtde() {
return sinalqtde;
}

public void setSinalqtde(String sinalqtde) {
this.sinalqtde = sinalqtde;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public FglDateTimeYS getDttransferencia() {
return dttransferencia;
}

public void setDttransferencia(FglDateTimeYS dttransferencia) {
this.dttransferencia = dttransferencia;
}

}

