package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCngnre {
@Coluna(nome="cngnre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cngnre.nrognre", tipo="String")
private String nrognre;
@Coluna(nome="cngnre.dtgnre", tipo="FglDate")
private FglDate dtgnre;
@Coluna(nome="cngnre.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cngnre.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cngnre.insestfav", tipo="String")
private String insestfav;
@Coluna(nome="cngnre.uffavorec", tipo="String")
private String uffavorec;
@Coluna(nome="cngnre.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cngnre.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cngnre.vlrprinc", tipo="double")
private double vlrprinc;
private boolean vlrprincNull;
@Coluna(nome="cngnre.vlratumonet", tipo="double")
private double vlratumonet;
private boolean vlratumonetNull;
@Coluna(nome="cngnre.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="cngnre.vlrmulta", tipo="double")
private double vlrmulta;
private boolean vlrmultaNull;
@Coluna(nome="cngnre.vlrgnre", tipo="double")
private double vlrgnre;
private boolean vlrgnreNull;
@Coluna(nome="cngnre.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="cngnre.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="cngnre.mercadoria", tipo="String")
private String mercadoria;
@Coluna(nome="cngnre.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cngnre.codreceita", tipo="int")
private int codreceita;
private boolean codreceitaNull;

public TabCngnre() {
initialize();
}

public void initialize() {
setFilial(null);
setNrognre(null);
setDtgnre(null);
setCgccpf(null);
setTppessoa(null);
setInsestfav(null);
setUffavorec(null);
setAnomes(null);
setDtvencto(null);
setVlrprinc(null);
setVlratumonet(null);
setVlrjuros(null);
setVlrmulta(null);
setVlrgnre(null);
setNrobanco(null);
setNroagencia(null);
setMercadoria(null);
setIdNfcapa(null);
setCodreceita(null);
}

public TabCngnre(int filial, String nrognre, FglDate dtgnre, long cgccpf, int tppessoa, String insestfav, String uffavorec, FglDateTimeYM anomes, FglDate dtvencto, double vlrprinc, double vlratumonet, double vlrjuros, double vlrmulta, double vlrgnre, int nrobanco, int nroagencia, String mercadoria, int idNfcapa, int codreceita) {
this.filial = filial;
this.nrognre = nrognre;
this.dtgnre = dtgnre;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.insestfav = insestfav;
this.uffavorec = uffavorec;
this.anomes = anomes;
this.dtvencto = dtvencto;
this.vlrprinc = vlrprinc;
this.vlratumonet = vlratumonet;
this.vlrjuros = vlrjuros;
this.vlrmulta = vlrmulta;
this.vlrgnre = vlrgnre;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.mercadoria = mercadoria;
this.idNfcapa = idNfcapa;
this.codreceita = codreceita;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNrognre() {
return nrognre;
}

public void setNrognre(String nrognre) {
this.nrognre = nrognre;
}

public FglDate getDtgnre() {
return dtgnre;
}

public void setDtgnre(FglDate dtgnre) {
this.dtgnre = dtgnre;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getInsestfav() {
return insestfav;
}

public void setInsestfav(String insestfav) {
this.insestfav = insestfav;
}

public String getUffavorec() {
return uffavorec;
}

public void setUffavorec(String uffavorec) {
this.uffavorec = uffavorec;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getVlrprinc() {
return vlrprinc;
}

public boolean isVlrprincNull() {
return vlrprincNull;
}

public void setVlrprinc(int vlrprinc) {
setVlrprinc(new Double(vlrprinc));
}

public void setVlrprinc(long vlrprinc) {
setVlrprinc(new Double(vlrprinc));
}

public void setVlrprinc(Double vlrprinc) {
if (vlrprinc == null) {
vlrprincNull = true;
this.vlrprinc = 0.;
} else { 
vlrprincNull = false;
this.vlrprinc = FglDouble.round(vlrprinc, 2);
}
}

public double getVlratumonet() {
return vlratumonet;
}

public boolean isVlratumonetNull() {
return vlratumonetNull;
}

public void setVlratumonet(int vlratumonet) {
setVlratumonet(new Double(vlratumonet));
}

public void setVlratumonet(long vlratumonet) {
setVlratumonet(new Double(vlratumonet));
}

public void setVlratumonet(Double vlratumonet) {
if (vlratumonet == null) {
vlratumonetNull = true;
this.vlratumonet = 0.;
} else { 
vlratumonetNull = false;
this.vlratumonet = FglDouble.round(vlratumonet, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public double getVlrmulta() {
return vlrmulta;
}

public boolean isVlrmultaNull() {
return vlrmultaNull;
}

public void setVlrmulta(int vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(long vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(Double vlrmulta) {
if (vlrmulta == null) {
vlrmultaNull = true;
this.vlrmulta = 0.;
} else { 
vlrmultaNull = false;
this.vlrmulta = FglDouble.round(vlrmulta, 2);
}
}

public double getVlrgnre() {
return vlrgnre;
}

public boolean isVlrgnreNull() {
return vlrgnreNull;
}

public void setVlrgnre(int vlrgnre) {
setVlrgnre(new Double(vlrgnre));
}

public void setVlrgnre(long vlrgnre) {
setVlrgnre(new Double(vlrgnre));
}

public void setVlrgnre(Double vlrgnre) {
if (vlrgnre == null) {
vlrgnreNull = true;
this.vlrgnre = 0.;
} else { 
vlrgnreNull = false;
this.vlrgnre = FglDouble.round(vlrgnre, 2);
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public String getMercadoria() {
return mercadoria;
}

public void setMercadoria(String mercadoria) {
this.mercadoria = mercadoria;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getCodreceita() {
return codreceita;
}

public boolean isCodreceitaNull() {
return codreceitaNull;
}

public void setCodreceita(Integer codreceita) {
if (codreceita == null) {
codreceitaNull = true;
this.codreceita = 0;
} else { 
codreceitaNull = false;
this.codreceita = codreceita;
}
}

}

