package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnincven {
@Coluna(nome="cnincven.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnincven.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnincven.vlr_previsto", tipo="double")
private double vlrPrevisto;
private boolean vlrPrevistoNull;
@Coluna(nome="cnincven.tipo", tipo="String")
private String tipo;
@Coluna(nome="cnincven.status", tipo="String")
private String status;
@Coluna(nome="cnincven.id_retinc", tipo="int")
private int idRetinc;
private boolean idRetincNull;

public TabCnincven() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setIdNfitem(null);
setVlrPrevisto(null);
setTipo(null);
setStatus(null);
setIdRetinc(null);
}

public TabCnincven(int idNfcapa, int idNfitem, double vlrPrevisto, String tipo, String status, int idRetinc) {
this.idNfcapa = idNfcapa;
this.idNfitem = idNfitem;
this.vlrPrevisto = vlrPrevisto;
this.tipo = tipo;
this.status = status;
this.idRetinc = idRetinc;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public double getVlrPrevisto() {
return vlrPrevisto;
}

public boolean isVlrPrevistoNull() {
return vlrPrevistoNull;
}

public void setVlrPrevisto(int vlrPrevisto) {
setVlrPrevisto(new Double(vlrPrevisto));
}

public void setVlrPrevisto(long vlrPrevisto) {
setVlrPrevisto(new Double(vlrPrevisto));
}

public void setVlrPrevisto(Double vlrPrevisto) {
if (vlrPrevisto == null) {
vlrPrevistoNull = true;
this.vlrPrevisto = 0.;
} else { 
vlrPrevistoNull = false;
this.vlrPrevisto = FglDouble.round(vlrPrevisto, 2);
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getIdRetinc() {
return idRetinc;
}

public boolean isIdRetincNull() {
return idRetincNull;
}

public void setIdRetinc(Integer idRetinc) {
if (idRetinc == null) {
idRetincNull = true;
this.idRetinc = 0;
} else { 
idRetincNull = false;
this.idRetinc = idRetinc;
}
}

}

