package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;

public class TabCnlote {
@Coluna(nome="cnlote.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnlote.nrolote", tipo="int")
private int nrolote;
private boolean nroloteNull;
@Coluna(nome="cnlote.data_envio", tipo="FglDate")
private FglDate dataEnvio;
@Coluna(nome="cnlote.hora_envio", tipo="FglDateTimeHS")
private FglDateTimeHS horaEnvio;
@Coluna(nome="cnlote.data_retorno", tipo="FglDate")
private FglDate dataRetorno;
@Coluna(nome="cnlote.hora_retorno", tipo="FglDateTimeHS")
private FglDateTimeHS horaRetorno;
@Coluna(nome="cnlote.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="cnlote.nroprotocolo", tipo="String")
private String nroprotocolo;
@Coluna(nome="cnlote.xmlenvio", tipo="String")
private String xmlenvio;
@Coluna(nome="cnlote.xmlretorno", tipo="String")
private String xmlretorno;
@Coluna(nome="cnlote.arqenvio", tipo="String")
private String arqenvio;
@Coluna(nome="cnlote.arqretorno", tipo="String")
private String arqretorno;

public TabCnlote() {
initialize();
}

public void initialize() {
setFilial(null);
setNrolote(null);
setDataEnvio(null);
setHoraEnvio(null);
setDataRetorno(null);
setHoraRetorno(null);
setStatus(null);
setNroprotocolo(null);
setXmlenvio(null);
setXmlretorno(null);
setArqenvio(null);
setArqretorno(null);
}

public TabCnlote(int filial, int nrolote, FglDate dataEnvio, FglDateTimeHS horaEnvio, FglDate dataRetorno, FglDateTimeHS horaRetorno, int status, String nroprotocolo, String xmlenvio, String xmlretorno, String arqenvio, String arqretorno) {
this.filial = filial;
this.nrolote = nrolote;
this.dataEnvio = dataEnvio;
this.horaEnvio = horaEnvio;
this.dataRetorno = dataRetorno;
this.horaRetorno = horaRetorno;
this.status = status;
this.nroprotocolo = nroprotocolo;
this.xmlenvio = xmlenvio;
this.xmlretorno = xmlretorno;
this.arqenvio = arqenvio;
this.arqretorno = arqretorno;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolote() {
return nrolote;
}

public boolean isNroloteNull() {
return nroloteNull;
}

public void setNrolote(Integer nrolote) {
if (nrolote == null) {
nroloteNull = true;
this.nrolote = 0;
} else { 
nroloteNull = false;
this.nrolote = nrolote;
}
}

public FglDate getDataEnvio() {
return dataEnvio;
}

public void setDataEnvio(FglDate dataEnvio) {
this.dataEnvio = dataEnvio;
}

public FglDateTimeHS getHoraEnvio() {
return horaEnvio;
}

public void setHoraEnvio(FglDateTimeHS horaEnvio) {
this.horaEnvio = horaEnvio;
}

public FglDate getDataRetorno() {
return dataRetorno;
}

public void setDataRetorno(FglDate dataRetorno) {
this.dataRetorno = dataRetorno;
}

public FglDateTimeHS getHoraRetorno() {
return horaRetorno;
}

public void setHoraRetorno(FglDateTimeHS horaRetorno) {
this.horaRetorno = horaRetorno;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getNroprotocolo() {
return nroprotocolo;
}

public void setNroprotocolo(String nroprotocolo) {
this.nroprotocolo = nroprotocolo;
}

public String getXmlenvio() {
return xmlenvio;
}

public void setXmlenvio(String xmlenvio) {
this.xmlenvio = xmlenvio;
}

public String getXmlretorno() {
return xmlretorno;
}

public void setXmlretorno(String xmlretorno) {
this.xmlretorno = xmlretorno;
}

public String getArqenvio() {
return arqenvio;
}

public void setArqenvio(String arqenvio) {
this.arqenvio = arqenvio;
}

public String getArqretorno() {
return arqretorno;
}

public void setArqretorno(String arqretorno) {
this.arqretorno = arqretorno;
}

}

