package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnatfre {
@Coluna(nome="cnnatfre.nat_frete", tipo="int")
private int natFrete;
private boolean natFreteNull;
@Coluna(nome="cnnatfre.descricao", tipo="String")
private String descricao;
@Coluna(nome="cnnatfre.cred_piscof", tipo="String")
private String credPiscof;
@Coluna(nome="cnnatfre.cst_pis", tipo="int")
private int cstPis;
private boolean cstPisNull;
@Coluna(nome="cnnatfre.cst_cofins", tipo="int")
private int cstCofins;
private boolean cstCofinsNull;
@Coluna(nome="cnnatfre.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="cnnatfre.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;
@Coluna(nome="cnnatfre.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;

public TabCnnatfre() {
initialize();
}

public void initialize() {
setNatFrete(null);
setDescricao(null);
setCredPiscof(null);
setCstPis(null);
setCstCofins(null);
setAliqpis(null);
setAliqcofins(null);
setCodCalculo(null);
}

public TabCnnatfre(int natFrete, String descricao, String credPiscof, int cstPis, int cstCofins, double aliqpis, double aliqcofins, int codCalculo) {
this.natFrete = natFrete;
this.descricao = descricao;
this.credPiscof = credPiscof;
this.cstPis = cstPis;
this.cstCofins = cstCofins;
this.aliqpis = aliqpis;
this.aliqcofins = aliqcofins;
this.codCalculo = codCalculo;
}

public int getNatFrete() {
return natFrete;
}

public boolean isNatFreteNull() {
return natFreteNull;
}

public void setNatFrete(Integer natFrete) {
if (natFrete == null) {
natFreteNull = true;
this.natFrete = 0;
} else { 
natFreteNull = false;
this.natFrete = natFrete;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getCredPiscof() {
return credPiscof;
}

public void setCredPiscof(String credPiscof) {
this.credPiscof = credPiscof;
}

public int getCstPis() {
return cstPis;
}

public boolean isCstPisNull() {
return cstPisNull;
}

public void setCstPis(Integer cstPis) {
if (cstPis == null) {
cstPisNull = true;
this.cstPis = 0;
} else { 
cstPisNull = false;
this.cstPis = cstPis;
}
}

public int getCstCofins() {
return cstCofins;
}

public boolean isCstCofinsNull() {
return cstCofinsNull;
}

public void setCstCofins(Integer cstCofins) {
if (cstCofins == null) {
cstCofinsNull = true;
this.cstCofins = 0;
} else { 
cstCofinsNull = false;
this.cstCofins = cstCofins;
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

}

