package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfbkpi {
@Coluna(nome="cnnfbkpi.tipo", tipo="String")
private String tipo;
@Coluna(nome="cnnfbkpi.id_item", tipo="int")
private int idItem;
private boolean idItemNull;
@Coluna(nome="cnnfbkpi.datagrav", tipo="FglDateTimeYS")
private FglDateTimeYS datagrav;
@Coluna(nome="cnnfbkpi.customedio", tipo="double")
private double customedio;
private boolean customedioNull;

public TabCnnfbkpi() {
initialize();
}

public void initialize() {
setTipo(null);
setIdItem(null);
setDatagrav(null);
setCustomedio(null);
}

public TabCnnfbkpi(String tipo, int idItem, FglDateTimeYS datagrav, double customedio) {
this.tipo = tipo;
this.idItem = idItem;
this.datagrav = datagrav;
this.customedio = customedio;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getIdItem() {
return idItem;
}

public boolean isIdItemNull() {
return idItemNull;
}

public void setIdItem(Integer idItem) {
if (idItem == null) {
idItemNull = true;
this.idItem = 0;
} else { 
idItemNull = false;
this.idItem = idItem;
}
}

public FglDateTimeYS getDatagrav() {
return datagrav;
}

public void setDatagrav(FglDateTimeYS datagrav) {
this.datagrav = datagrav;
}

public double getCustomedio() {
return customedio;
}

public boolean isCustomedioNull() {
return customedioNull;
}

public void setCustomedio(int customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(long customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(Double customedio) {
if (customedio == null) {
customedioNull = true;
this.customedio = 0.;
} else { 
customedioNull = false;
this.customedio = FglDouble.round(customedio, 2);
}
}

}

