package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCnnfcce {
@Coluna(nome="cnnfcce.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfcce.nseqevento", tipo="int")
private int nseqevento;
private boolean nseqeventoNull;
@Coluna(nome="cnnfcce.datageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datageracao;
@Coluna(nome="cnnfcce.status", tipo="String")
private String status;
@Coluna(nome="cnnfcce.protocolo", tipo="String")
private String protocolo;
@Coluna(nome="cnnfcce.descricao", tipo="String")
private String descricao;

public TabCnnfcce() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNseqevento(null);
setDatageracao(null);
setStatus(null);
setProtocolo(null);
setDescricao(null);
}

public TabCnnfcce(int idNfcapa, int nseqevento, FglDateTimeYS datageracao, String status, String protocolo, String descricao) {
this.idNfcapa = idNfcapa;
this.nseqevento = nseqevento;
this.datageracao = datageracao;
this.status = status;
this.protocolo = protocolo;
this.descricao = descricao;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNseqevento() {
return nseqevento;
}

public boolean isNseqeventoNull() {
return nseqeventoNull;
}

public void setNseqevento(Integer nseqevento) {
if (nseqevento == null) {
nseqeventoNull = true;
this.nseqevento = 0;
} else { 
nseqeventoNull = false;
this.nseqevento = nseqevento;
}
}

public FglDateTimeYS getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDateTimeYS datageracao) {
this.datageracao = datageracao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getProtocolo() {
return protocolo;
}

public void setProtocolo(String protocolo) {
this.protocolo = protocolo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

