package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfdevd {
@Coluna(nome="cnnfdevd.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfdevd.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cnnfdevd.tpitem", tipo="int")
private int tpitem;
private boolean tpitemNull;
@Coluna(nome="cnnfdevd.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="cnnfdevd.textocodigo", tipo="String")
private String textocodigo;
@Coluna(nome="cnnfdevd.descritem", tipo="String")
private String descritem;
@Coluna(nome="cnnfdevd.unidade", tipo="String")
private String unidade;
@Coluna(nome="cnnfdevd.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnnfdevd.valoritem", tipo="double")
private double valoritem;
private boolean valoritemNull;
@Coluna(nome="cnnfdevd.isentoicms", tipo="double")
private double isentoicms;
private boolean isentoicmsNull;
@Coluna(nome="cnnfdevd.id_nfcapasaida", tipo="int")
private int idNfcapasaida;
private boolean idNfcapasaidaNull;

public TabCnnfdevd() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNrolinha(null);
setTpitem(null);
setTributacao(null);
setTextocodigo(null);
setDescritem(null);
setUnidade(null);
setQuantidade(null);
setValoritem(null);
setIsentoicms(null);
setIdNfcapasaida(null);
}

public TabCnnfdevd(int idNfcapa, int nrolinha, int tpitem, int tributacao, String textocodigo, String descritem, String unidade, double quantidade, double valoritem, double isentoicms, int idNfcapasaida) {
this.idNfcapa = idNfcapa;
this.nrolinha = nrolinha;
this.tpitem = tpitem;
this.tributacao = tributacao;
this.textocodigo = textocodigo;
this.descritem = descritem;
this.unidade = unidade;
this.quantidade = quantidade;
this.valoritem = valoritem;
this.isentoicms = isentoicms;
this.idNfcapasaida = idNfcapasaida;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public int getTpitem() {
return tpitem;
}

public boolean isTpitemNull() {
return tpitemNull;
}

public void setTpitem(Integer tpitem) {
if (tpitem == null) {
tpitemNull = true;
this.tpitem = 0;
} else { 
tpitemNull = false;
this.tpitem = tpitem;
}
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public String getTextocodigo() {
return textocodigo;
}

public void setTextocodigo(String textocodigo) {
this.textocodigo = textocodigo;
}

public String getDescritem() {
return descritem;
}

public void setDescritem(String descritem) {
this.descritem = descritem;
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getValoritem() {
return valoritem;
}

public boolean isValoritemNull() {
return valoritemNull;
}

public void setValoritem(int valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(long valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(Double valoritem) {
if (valoritem == null) {
valoritemNull = true;
this.valoritem = 0.;
} else { 
valoritemNull = false;
this.valoritem = FglDouble.round(valoritem, 2);
}
}

public double getIsentoicms() {
return isentoicms;
}

public boolean isIsentoicmsNull() {
return isentoicmsNull;
}

public void setIsentoicms(int isentoicms) {
setIsentoicms(new Double(isentoicms));
}

public void setIsentoicms(long isentoicms) {
setIsentoicms(new Double(isentoicms));
}

public void setIsentoicms(Double isentoicms) {
if (isentoicms == null) {
isentoicmsNull = true;
this.isentoicms = 0.;
} else { 
isentoicmsNull = false;
this.isentoicms = FglDouble.round(isentoicms, 2);
}
}

public int getIdNfcapasaida() {
return idNfcapasaida;
}

public boolean isIdNfcapasaidaNull() {
return idNfcapasaidaNull;
}

public void setIdNfcapasaida(Integer idNfcapasaida) {
if (idNfcapasaida == null) {
idNfcapasaidaNull = true;
this.idNfcapasaida = 0;
} else { 
idNfcapasaidaNull = false;
this.idNfcapasaida = idNfcapasaida;
}
}

}

