package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfe310 {
@Coluna(nome="cnnfe310.id_e310", tipo="int")
private int idE310;
private boolean idE310Null;
@Coluna(nome="cnnfe310.id_difa", tipo="int")
private int idDifa;
private boolean idDifaNull;
@Coluna(nome="cnnfe310.ind_mov_difal", tipo="String")
private String indMovDifal;
@Coluna(nome="cnnfe310.vl_sld_cred_ant_difal", tipo="double")
private double vlSldCredAntDifal;
private boolean vlSldCredAntDifalNull;
@Coluna(nome="cnnfe310.vl_tot_debitos_difal", tipo="double")
private double vlTotDebitosDifal;
private boolean vlTotDebitosDifalNull;
@Coluna(nome="cnnfe310.vl_out_deb_difal", tipo="double")
private double vlOutDebDifal;
private boolean vlOutDebDifalNull;
@Coluna(nome="cnnfe310.vl_tot_deb_fcp", tipo="double")
private double vlTotDebFcp;
private boolean vlTotDebFcpNull;
@Coluna(nome="cnnfe310.vl_tot_creditos_difal", tipo="double")
private double vlTotCreditosDifal;
private boolean vlTotCreditosDifalNull;
@Coluna(nome="cnnfe310.vl_tot_cred_fcp", tipo="double")
private double vlTotCredFcp;
private boolean vlTotCredFcpNull;
@Coluna(nome="cnnfe310.vl_out_cred_difal", tipo="double")
private double vlOutCredDifal;
private boolean vlOutCredDifalNull;
@Coluna(nome="cnnfe310.vl_sld_dev_ant_difal", tipo="double")
private double vlSldDevAntDifal;
private boolean vlSldDevAntDifalNull;
@Coluna(nome="cnnfe310.vl_deducoes_difal", tipo="double")
private double vlDeducoesDifal;
private boolean vlDeducoesDifalNull;
@Coluna(nome="cnnfe310.vl_recol_difal", tipo="double")
private double vlRecolDifal;
private boolean vlRecolDifalNull;
@Coluna(nome="cnnfe310.vl_sld_cred_transportar_difal", tipo="double")
private double vlSldCredTransportarDifal;
private boolean vlSldCredTransportarDifalNull;
@Coluna(nome="cnnfe310.deb_esp_difal", tipo="double")
private double debEspDifal;
private boolean debEspDifalNull;
@Coluna(nome="cnnfe310.vl_sld_cred_ant_fcp", tipo="double")
private double vlSldCredAntFcp;
private boolean vlSldCredAntFcpNull;
@Coluna(nome="cnnfe310.vl_out_deb_fcp", tipo="double")
private double vlOutDebFcp;
private boolean vlOutDebFcpNull;
@Coluna(nome="cnnfe310.vl_out_cred_fcp", tipo="double")
private double vlOutCredFcp;
private boolean vlOutCredFcpNull;
@Coluna(nome="cnnfe310.vl_sld_dev_ant_fcp", tipo="double")
private double vlSldDevAntFcp;
private boolean vlSldDevAntFcpNull;
@Coluna(nome="cnnfe310.vl_deducoes_fcp", tipo="double")
private double vlDeducoesFcp;
private boolean vlDeducoesFcpNull;
@Coluna(nome="cnnfe310.vl_recol_fcp", tipo="double")
private double vlRecolFcp;
private boolean vlRecolFcpNull;
@Coluna(nome="cnnfe310.vl_sld_cred_transportar_fcp", tipo="double")
private double vlSldCredTransportarFcp;
private boolean vlSldCredTransportarFcpNull;
@Coluna(nome="cnnfe310.deb_esp_fcp", tipo="double")
private double debEspFcp;
private boolean debEspFcpNull;

public TabCnnfe310() {
initialize();
}

public void initialize() {
setIdE310(null);
setIdDifa(null);
setIndMovDifal(null);
setVlSldCredAntDifal(null);
setVlTotDebitosDifal(null);
setVlOutDebDifal(null);
setVlTotDebFcp(null);
setVlTotCreditosDifal(null);
setVlTotCredFcp(null);
setVlOutCredDifal(null);
setVlSldDevAntDifal(null);
setVlDeducoesDifal(null);
setVlRecolDifal(null);
setVlSldCredTransportarDifal(null);
setDebEspDifal(null);
setVlSldCredAntFcp(null);
setVlOutDebFcp(null);
setVlOutCredFcp(null);
setVlSldDevAntFcp(null);
setVlDeducoesFcp(null);
setVlRecolFcp(null);
setVlSldCredTransportarFcp(null);
setDebEspFcp(null);
}

public TabCnnfe310(int idE310, int idDifa, String indMovDifal, double vlSldCredAntDifal, double vlTotDebitosDifal, double vlOutDebDifal, double vlTotDebFcp, double vlTotCreditosDifal, double vlTotCredFcp, double vlOutCredDifal, double vlSldDevAntDifal, double vlDeducoesDifal, double vlRecolDifal, double vlSldCredTransportarDifal, double debEspDifal, double vlSldCredAntFcp, double vlOutDebFcp, double vlOutCredFcp, double vlSldDevAntFcp, double vlDeducoesFcp, double vlRecolFcp, double vlSldCredTransportarFcp, double debEspFcp) {
this.idE310 = idE310;
this.idDifa = idDifa;
this.indMovDifal = indMovDifal;
this.vlSldCredAntDifal = vlSldCredAntDifal;
this.vlTotDebitosDifal = vlTotDebitosDifal;
this.vlOutDebDifal = vlOutDebDifal;
this.vlTotDebFcp = vlTotDebFcp;
this.vlTotCreditosDifal = vlTotCreditosDifal;
this.vlTotCredFcp = vlTotCredFcp;
this.vlOutCredDifal = vlOutCredDifal;
this.vlSldDevAntDifal = vlSldDevAntDifal;
this.vlDeducoesDifal = vlDeducoesDifal;
this.vlRecolDifal = vlRecolDifal;
this.vlSldCredTransportarDifal = vlSldCredTransportarDifal;
this.debEspDifal = debEspDifal;
this.vlSldCredAntFcp = vlSldCredAntFcp;
this.vlOutDebFcp = vlOutDebFcp;
this.vlOutCredFcp = vlOutCredFcp;
this.vlSldDevAntFcp = vlSldDevAntFcp;
this.vlDeducoesFcp = vlDeducoesFcp;
this.vlRecolFcp = vlRecolFcp;
this.vlSldCredTransportarFcp = vlSldCredTransportarFcp;
this.debEspFcp = debEspFcp;
}

public int getIdE310() {
return idE310;
}

public boolean isIdE310Null() {
return idE310Null;
}

public void setIdE310(Integer idE310) {
if (idE310 == null) {
idE310Null = true;
this.idE310 = 0;
} else { 
idE310Null = false;
this.idE310 = idE310;
}
}

public int getIdDifa() {
return idDifa;
}

public boolean isIdDifaNull() {
return idDifaNull;
}

public void setIdDifa(Integer idDifa) {
if (idDifa == null) {
idDifaNull = true;
this.idDifa = 0;
} else { 
idDifaNull = false;
this.idDifa = idDifa;
}
}

public String getIndMovDifal() {
return indMovDifal;
}

public void setIndMovDifal(String indMovDifal) {
this.indMovDifal = indMovDifal;
}

public double getVlSldCredAntDifal() {
return vlSldCredAntDifal;
}

public boolean isVlSldCredAntDifalNull() {
return vlSldCredAntDifalNull;
}

public void setVlSldCredAntDifal(int vlSldCredAntDifal) {
setVlSldCredAntDifal(new Double(vlSldCredAntDifal));
}

public void setVlSldCredAntDifal(long vlSldCredAntDifal) {
setVlSldCredAntDifal(new Double(vlSldCredAntDifal));
}

public void setVlSldCredAntDifal(Double vlSldCredAntDifal) {
if (vlSldCredAntDifal == null) {
vlSldCredAntDifalNull = true;
this.vlSldCredAntDifal = 0.;
} else { 
vlSldCredAntDifalNull = false;
this.vlSldCredAntDifal = FglDouble.round(vlSldCredAntDifal, 2);
}
}

public double getVlTotDebitosDifal() {
return vlTotDebitosDifal;
}

public boolean isVlTotDebitosDifalNull() {
return vlTotDebitosDifalNull;
}

public void setVlTotDebitosDifal(int vlTotDebitosDifal) {
setVlTotDebitosDifal(new Double(vlTotDebitosDifal));
}

public void setVlTotDebitosDifal(long vlTotDebitosDifal) {
setVlTotDebitosDifal(new Double(vlTotDebitosDifal));
}

public void setVlTotDebitosDifal(Double vlTotDebitosDifal) {
if (vlTotDebitosDifal == null) {
vlTotDebitosDifalNull = true;
this.vlTotDebitosDifal = 0.;
} else { 
vlTotDebitosDifalNull = false;
this.vlTotDebitosDifal = FglDouble.round(vlTotDebitosDifal, 2);
}
}

public double getVlOutDebDifal() {
return vlOutDebDifal;
}

public boolean isVlOutDebDifalNull() {
return vlOutDebDifalNull;
}

public void setVlOutDebDifal(int vlOutDebDifal) {
setVlOutDebDifal(new Double(vlOutDebDifal));
}

public void setVlOutDebDifal(long vlOutDebDifal) {
setVlOutDebDifal(new Double(vlOutDebDifal));
}

public void setVlOutDebDifal(Double vlOutDebDifal) {
if (vlOutDebDifal == null) {
vlOutDebDifalNull = true;
this.vlOutDebDifal = 0.;
} else { 
vlOutDebDifalNull = false;
this.vlOutDebDifal = FglDouble.round(vlOutDebDifal, 2);
}
}

public double getVlTotDebFcp() {
return vlTotDebFcp;
}

public boolean isVlTotDebFcpNull() {
return vlTotDebFcpNull;
}

public void setVlTotDebFcp(int vlTotDebFcp) {
setVlTotDebFcp(new Double(vlTotDebFcp));
}

public void setVlTotDebFcp(long vlTotDebFcp) {
setVlTotDebFcp(new Double(vlTotDebFcp));
}

public void setVlTotDebFcp(Double vlTotDebFcp) {
if (vlTotDebFcp == null) {
vlTotDebFcpNull = true;
this.vlTotDebFcp = 0.;
} else { 
vlTotDebFcpNull = false;
this.vlTotDebFcp = FglDouble.round(vlTotDebFcp, 2);
}
}

public double getVlTotCreditosDifal() {
return vlTotCreditosDifal;
}

public boolean isVlTotCreditosDifalNull() {
return vlTotCreditosDifalNull;
}

public void setVlTotCreditosDifal(int vlTotCreditosDifal) {
setVlTotCreditosDifal(new Double(vlTotCreditosDifal));
}

public void setVlTotCreditosDifal(long vlTotCreditosDifal) {
setVlTotCreditosDifal(new Double(vlTotCreditosDifal));
}

public void setVlTotCreditosDifal(Double vlTotCreditosDifal) {
if (vlTotCreditosDifal == null) {
vlTotCreditosDifalNull = true;
this.vlTotCreditosDifal = 0.;
} else { 
vlTotCreditosDifalNull = false;
this.vlTotCreditosDifal = FglDouble.round(vlTotCreditosDifal, 2);
}
}

public double getVlTotCredFcp() {
return vlTotCredFcp;
}

public boolean isVlTotCredFcpNull() {
return vlTotCredFcpNull;
}

public void setVlTotCredFcp(int vlTotCredFcp) {
setVlTotCredFcp(new Double(vlTotCredFcp));
}

public void setVlTotCredFcp(long vlTotCredFcp) {
setVlTotCredFcp(new Double(vlTotCredFcp));
}

public void setVlTotCredFcp(Double vlTotCredFcp) {
if (vlTotCredFcp == null) {
vlTotCredFcpNull = true;
this.vlTotCredFcp = 0.;
} else { 
vlTotCredFcpNull = false;
this.vlTotCredFcp = FglDouble.round(vlTotCredFcp, 2);
}
}

public double getVlOutCredDifal() {
return vlOutCredDifal;
}

public boolean isVlOutCredDifalNull() {
return vlOutCredDifalNull;
}

public void setVlOutCredDifal(int vlOutCredDifal) {
setVlOutCredDifal(new Double(vlOutCredDifal));
}

public void setVlOutCredDifal(long vlOutCredDifal) {
setVlOutCredDifal(new Double(vlOutCredDifal));
}

public void setVlOutCredDifal(Double vlOutCredDifal) {
if (vlOutCredDifal == null) {
vlOutCredDifalNull = true;
this.vlOutCredDifal = 0.;
} else { 
vlOutCredDifalNull = false;
this.vlOutCredDifal = FglDouble.round(vlOutCredDifal, 2);
}
}

public double getVlSldDevAntDifal() {
return vlSldDevAntDifal;
}

public boolean isVlSldDevAntDifalNull() {
return vlSldDevAntDifalNull;
}

public void setVlSldDevAntDifal(int vlSldDevAntDifal) {
setVlSldDevAntDifal(new Double(vlSldDevAntDifal));
}

public void setVlSldDevAntDifal(long vlSldDevAntDifal) {
setVlSldDevAntDifal(new Double(vlSldDevAntDifal));
}

public void setVlSldDevAntDifal(Double vlSldDevAntDifal) {
if (vlSldDevAntDifal == null) {
vlSldDevAntDifalNull = true;
this.vlSldDevAntDifal = 0.;
} else { 
vlSldDevAntDifalNull = false;
this.vlSldDevAntDifal = FglDouble.round(vlSldDevAntDifal, 2);
}
}

public double getVlDeducoesDifal() {
return vlDeducoesDifal;
}

public boolean isVlDeducoesDifalNull() {
return vlDeducoesDifalNull;
}

public void setVlDeducoesDifal(int vlDeducoesDifal) {
setVlDeducoesDifal(new Double(vlDeducoesDifal));
}

public void setVlDeducoesDifal(long vlDeducoesDifal) {
setVlDeducoesDifal(new Double(vlDeducoesDifal));
}

public void setVlDeducoesDifal(Double vlDeducoesDifal) {
if (vlDeducoesDifal == null) {
vlDeducoesDifalNull = true;
this.vlDeducoesDifal = 0.;
} else { 
vlDeducoesDifalNull = false;
this.vlDeducoesDifal = FglDouble.round(vlDeducoesDifal, 2);
}
}

public double getVlRecolDifal() {
return vlRecolDifal;
}

public boolean isVlRecolDifalNull() {
return vlRecolDifalNull;
}

public void setVlRecolDifal(int vlRecolDifal) {
setVlRecolDifal(new Double(vlRecolDifal));
}

public void setVlRecolDifal(long vlRecolDifal) {
setVlRecolDifal(new Double(vlRecolDifal));
}

public void setVlRecolDifal(Double vlRecolDifal) {
if (vlRecolDifal == null) {
vlRecolDifalNull = true;
this.vlRecolDifal = 0.;
} else { 
vlRecolDifalNull = false;
this.vlRecolDifal = FglDouble.round(vlRecolDifal, 2);
}
}

public double getVlSldCredTransportarDifal() {
return vlSldCredTransportarDifal;
}

public boolean isVlSldCredTransportarDifalNull() {
return vlSldCredTransportarDifalNull;
}

public void setVlSldCredTransportarDifal(int vlSldCredTransportarDifal) {
setVlSldCredTransportarDifal(new Double(vlSldCredTransportarDifal));
}

public void setVlSldCredTransportarDifal(long vlSldCredTransportarDifal) {
setVlSldCredTransportarDifal(new Double(vlSldCredTransportarDifal));
}

public void setVlSldCredTransportarDifal(Double vlSldCredTransportarDifal) {
if (vlSldCredTransportarDifal == null) {
vlSldCredTransportarDifalNull = true;
this.vlSldCredTransportarDifal = 0.;
} else { 
vlSldCredTransportarDifalNull = false;
this.vlSldCredTransportarDifal = FglDouble.round(vlSldCredTransportarDifal, 2);
}
}

public double getDebEspDifal() {
return debEspDifal;
}

public boolean isDebEspDifalNull() {
return debEspDifalNull;
}

public void setDebEspDifal(int debEspDifal) {
setDebEspDifal(new Double(debEspDifal));
}

public void setDebEspDifal(long debEspDifal) {
setDebEspDifal(new Double(debEspDifal));
}

public void setDebEspDifal(Double debEspDifal) {
if (debEspDifal == null) {
debEspDifalNull = true;
this.debEspDifal = 0.;
} else { 
debEspDifalNull = false;
this.debEspDifal = FglDouble.round(debEspDifal, 2);
}
}

public double getVlSldCredAntFcp() {
return vlSldCredAntFcp;
}

public boolean isVlSldCredAntFcpNull() {
return vlSldCredAntFcpNull;
}

public void setVlSldCredAntFcp(int vlSldCredAntFcp) {
setVlSldCredAntFcp(new Double(vlSldCredAntFcp));
}

public void setVlSldCredAntFcp(long vlSldCredAntFcp) {
setVlSldCredAntFcp(new Double(vlSldCredAntFcp));
}

public void setVlSldCredAntFcp(Double vlSldCredAntFcp) {
if (vlSldCredAntFcp == null) {
vlSldCredAntFcpNull = true;
this.vlSldCredAntFcp = 0.;
} else { 
vlSldCredAntFcpNull = false;
this.vlSldCredAntFcp = FglDouble.round(vlSldCredAntFcp, 2);
}
}

public double getVlOutDebFcp() {
return vlOutDebFcp;
}

public boolean isVlOutDebFcpNull() {
return vlOutDebFcpNull;
}

public void setVlOutDebFcp(int vlOutDebFcp) {
setVlOutDebFcp(new Double(vlOutDebFcp));
}

public void setVlOutDebFcp(long vlOutDebFcp) {
setVlOutDebFcp(new Double(vlOutDebFcp));
}

public void setVlOutDebFcp(Double vlOutDebFcp) {
if (vlOutDebFcp == null) {
vlOutDebFcpNull = true;
this.vlOutDebFcp = 0.;
} else { 
vlOutDebFcpNull = false;
this.vlOutDebFcp = FglDouble.round(vlOutDebFcp, 2);
}
}

public double getVlOutCredFcp() {
return vlOutCredFcp;
}

public boolean isVlOutCredFcpNull() {
return vlOutCredFcpNull;
}

public void setVlOutCredFcp(int vlOutCredFcp) {
setVlOutCredFcp(new Double(vlOutCredFcp));
}

public void setVlOutCredFcp(long vlOutCredFcp) {
setVlOutCredFcp(new Double(vlOutCredFcp));
}

public void setVlOutCredFcp(Double vlOutCredFcp) {
if (vlOutCredFcp == null) {
vlOutCredFcpNull = true;
this.vlOutCredFcp = 0.;
} else { 
vlOutCredFcpNull = false;
this.vlOutCredFcp = FglDouble.round(vlOutCredFcp, 2);
}
}

public double getVlSldDevAntFcp() {
return vlSldDevAntFcp;
}

public boolean isVlSldDevAntFcpNull() {
return vlSldDevAntFcpNull;
}

public void setVlSldDevAntFcp(int vlSldDevAntFcp) {
setVlSldDevAntFcp(new Double(vlSldDevAntFcp));
}

public void setVlSldDevAntFcp(long vlSldDevAntFcp) {
setVlSldDevAntFcp(new Double(vlSldDevAntFcp));
}

public void setVlSldDevAntFcp(Double vlSldDevAntFcp) {
if (vlSldDevAntFcp == null) {
vlSldDevAntFcpNull = true;
this.vlSldDevAntFcp = 0.;
} else { 
vlSldDevAntFcpNull = false;
this.vlSldDevAntFcp = FglDouble.round(vlSldDevAntFcp, 2);
}
}

public double getVlDeducoesFcp() {
return vlDeducoesFcp;
}

public boolean isVlDeducoesFcpNull() {
return vlDeducoesFcpNull;
}

public void setVlDeducoesFcp(int vlDeducoesFcp) {
setVlDeducoesFcp(new Double(vlDeducoesFcp));
}

public void setVlDeducoesFcp(long vlDeducoesFcp) {
setVlDeducoesFcp(new Double(vlDeducoesFcp));
}

public void setVlDeducoesFcp(Double vlDeducoesFcp) {
if (vlDeducoesFcp == null) {
vlDeducoesFcpNull = true;
this.vlDeducoesFcp = 0.;
} else { 
vlDeducoesFcpNull = false;
this.vlDeducoesFcp = FglDouble.round(vlDeducoesFcp, 2);
}
}

public double getVlRecolFcp() {
return vlRecolFcp;
}

public boolean isVlRecolFcpNull() {
return vlRecolFcpNull;
}

public void setVlRecolFcp(int vlRecolFcp) {
setVlRecolFcp(new Double(vlRecolFcp));
}

public void setVlRecolFcp(long vlRecolFcp) {
setVlRecolFcp(new Double(vlRecolFcp));
}

public void setVlRecolFcp(Double vlRecolFcp) {
if (vlRecolFcp == null) {
vlRecolFcpNull = true;
this.vlRecolFcp = 0.;
} else { 
vlRecolFcpNull = false;
this.vlRecolFcp = FglDouble.round(vlRecolFcp, 2);
}
}

public double getVlSldCredTransportarFcp() {
return vlSldCredTransportarFcp;
}

public boolean isVlSldCredTransportarFcpNull() {
return vlSldCredTransportarFcpNull;
}

public void setVlSldCredTransportarFcp(int vlSldCredTransportarFcp) {
setVlSldCredTransportarFcp(new Double(vlSldCredTransportarFcp));
}

public void setVlSldCredTransportarFcp(long vlSldCredTransportarFcp) {
setVlSldCredTransportarFcp(new Double(vlSldCredTransportarFcp));
}

public void setVlSldCredTransportarFcp(Double vlSldCredTransportarFcp) {
if (vlSldCredTransportarFcp == null) {
vlSldCredTransportarFcpNull = true;
this.vlSldCredTransportarFcp = 0.;
} else { 
vlSldCredTransportarFcpNull = false;
this.vlSldCredTransportarFcp = FglDouble.round(vlSldCredTransportarFcp, 2);
}
}

public double getDebEspFcp() {
return debEspFcp;
}

public boolean isDebEspFcpNull() {
return debEspFcpNull;
}

public void setDebEspFcp(int debEspFcp) {
setDebEspFcp(new Double(debEspFcp));
}

public void setDebEspFcp(long debEspFcp) {
setDebEspFcp(new Double(debEspFcp));
}

public void setDebEspFcp(Double debEspFcp) {
if (debEspFcp == null) {
debEspFcpNull = true;
this.debEspFcp = 0.;
} else { 
debEspFcpNull = false;
this.debEspFcp = FglDouble.round(debEspFcp, 2);
}
}

}

