package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfe313 {
@Coluna(nome="cnnfe313.id_e313", tipo="int")
private int idE313;
private boolean idE313Null;
@Coluna(nome="cnnfe313.id_e310", tipo="int")
private int idE310;
private boolean idE310Null;
@Coluna(nome="cnnfe313.cod_part", tipo="String")
private String codPart;
@Coluna(nome="cnnfe313.cod_mod", tipo="String")
private String codMod;
@Coluna(nome="cnnfe313.ser", tipo="String")
private String ser;
@Coluna(nome="cnnfe313.sub", tipo="int")
private int sub;
private boolean subNull;
@Coluna(nome="cnnfe313.num_doc", tipo="int")
private int numDoc;
private boolean numDocNull;
@Coluna(nome="cnnfe313.chv_doce", tipo="String")
private String chvDoce;
@Coluna(nome="cnnfe313.dt_doc", tipo="FglDate")
private FglDate dtDoc;
@Coluna(nome="cnnfe313.cod_item", tipo="String")
private String codItem;
@Coluna(nome="cnnfe313.vl_aj_item", tipo="double")
private double vlAjItem;
private boolean vlAjItemNull;

public TabCnnfe313() {
initialize();
}

public void initialize() {
setIdE313(null);
setIdE310(null);
setCodPart(null);
setCodMod(null);
setSer(null);
setSub(null);
setNumDoc(null);
setChvDoce(null);
setDtDoc(null);
setCodItem(null);
setVlAjItem(null);
}

public TabCnnfe313(int idE313, int idE310, String codPart, String codMod, String ser, int sub, int numDoc, String chvDoce, FglDate dtDoc, String codItem, double vlAjItem) {
this.idE313 = idE313;
this.idE310 = idE310;
this.codPart = codPart;
this.codMod = codMod;
this.ser = ser;
this.sub = sub;
this.numDoc = numDoc;
this.chvDoce = chvDoce;
this.dtDoc = dtDoc;
this.codItem = codItem;
this.vlAjItem = vlAjItem;
}

public int getIdE313() {
return idE313;
}

public boolean isIdE313Null() {
return idE313Null;
}

public void setIdE313(Integer idE313) {
if (idE313 == null) {
idE313Null = true;
this.idE313 = 0;
} else { 
idE313Null = false;
this.idE313 = idE313;
}
}

public int getIdE310() {
return idE310;
}

public boolean isIdE310Null() {
return idE310Null;
}

public void setIdE310(Integer idE310) {
if (idE310 == null) {
idE310Null = true;
this.idE310 = 0;
} else { 
idE310Null = false;
this.idE310 = idE310;
}
}

public String getCodPart() {
return codPart;
}

public void setCodPart(String codPart) {
this.codPart = codPart;
}

public String getCodMod() {
return codMod;
}

public void setCodMod(String codMod) {
this.codMod = codMod;
}

public String getSer() {
return ser;
}

public void setSer(String ser) {
this.ser = ser;
}

public int getSub() {
return sub;
}

public boolean isSubNull() {
return subNull;
}

public void setSub(Integer sub) {
if (sub == null) {
subNull = true;
this.sub = 0;
} else { 
subNull = false;
this.sub = sub;
}
}

public int getNumDoc() {
return numDoc;
}

public boolean isNumDocNull() {
return numDocNull;
}

public void setNumDoc(Integer numDoc) {
if (numDoc == null) {
numDocNull = true;
this.numDoc = 0;
} else { 
numDocNull = false;
this.numDoc = numDoc;
}
}

public String getChvDoce() {
return chvDoce;
}

public void setChvDoce(String chvDoce) {
this.chvDoce = chvDoce;
}

public FglDate getDtDoc() {
return dtDoc;
}

public void setDtDoc(FglDate dtDoc) {
this.dtDoc = dtDoc;
}

public String getCodItem() {
return codItem;
}

public void setCodItem(String codItem) {
this.codItem = codItem;
}

public double getVlAjItem() {
return vlAjItem;
}

public boolean isVlAjItemNull() {
return vlAjItemNull;
}

public void setVlAjItem(int vlAjItem) {
setVlAjItem(new Double(vlAjItem));
}

public void setVlAjItem(long vlAjItem) {
setVlAjItem(new Double(vlAjItem));
}

public void setVlAjItem(Double vlAjItem) {
if (vlAjItem == null) {
vlAjItemNull = true;
this.vlAjItem = 0.;
} else { 
vlAjItemNull = false;
this.vlAjItem = FglDouble.round(vlAjItem, 2);
}
}

}

