package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfistr {
@Coluna(nome="cnnfistr.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnnfistr.vlbasestret", tipo="double")
private double vlbasestret;
private boolean vlbasestretNull;
@Coluna(nome="cnnfistr.vlaliqstret", tipo="double")
private double vlaliqstret;
private boolean vlaliqstretNull;
@Coluna(nome="cnnfistr.vlicmsstret", tipo="double")
private double vlicmsstret;
private boolean vlicmsstretNull;
@Coluna(nome="cnnfistr.vlicmssubstituto", tipo="double")
private double vlicmssubstituto;
private boolean vlicmssubstitutoNull;
@Coluna(nome="cnnfistr.percredbaseefet", tipo="double")
private double percredbaseefet;
private boolean percredbaseefetNull;
@Coluna(nome="cnnfistr.vlbaseefet", tipo="double")
private double vlbaseefet;
private boolean vlbaseefetNull;
@Coluna(nome="cnnfistr.vlaliqefet", tipo="double")
private double vlaliqefet;
private boolean vlaliqefetNull;
@Coluna(nome="cnnfistr.vlicmsefet", tipo="double")
private double vlicmsefet;
private boolean vlicmsefetNull;

public TabCnnfistr() {
initialize();
}

public void initialize() {
setIdNfitem(null);
setVlbasestret(null);
setVlaliqstret(null);
setVlicmsstret(null);
setVlicmssubstituto(null);
setPercredbaseefet(null);
setVlbaseefet(null);
setVlaliqefet(null);
setVlicmsefet(null);
}

public TabCnnfistr(int idNfitem, double vlbasestret, double vlaliqstret, double vlicmsstret, double vlicmssubstituto, double percredbaseefet, double vlbaseefet, double vlaliqefet, double vlicmsefet) {
this.idNfitem = idNfitem;
this.vlbasestret = vlbasestret;
this.vlaliqstret = vlaliqstret;
this.vlicmsstret = vlicmsstret;
this.vlicmssubstituto = vlicmssubstituto;
this.percredbaseefet = percredbaseefet;
this.vlbaseefet = vlbaseefet;
this.vlaliqefet = vlaliqefet;
this.vlicmsefet = vlicmsefet;
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public double getVlbasestret() {
return vlbasestret;
}

public boolean isVlbasestretNull() {
return vlbasestretNull;
}

public void setVlbasestret(int vlbasestret) {
setVlbasestret(new Double(vlbasestret));
}

public void setVlbasestret(long vlbasestret) {
setVlbasestret(new Double(vlbasestret));
}

public void setVlbasestret(Double vlbasestret) {
if (vlbasestret == null) {
vlbasestretNull = true;
this.vlbasestret = 0.;
} else { 
vlbasestretNull = false;
this.vlbasestret = FglDouble.round(vlbasestret, 2);
}
}

public double getVlaliqstret() {
return vlaliqstret;
}

public boolean isVlaliqstretNull() {
return vlaliqstretNull;
}

public void setVlaliqstret(int vlaliqstret) {
setVlaliqstret(new Double(vlaliqstret));
}

public void setVlaliqstret(long vlaliqstret) {
setVlaliqstret(new Double(vlaliqstret));
}

public void setVlaliqstret(Double vlaliqstret) {
if (vlaliqstret == null) {
vlaliqstretNull = true;
this.vlaliqstret = 0.;
} else { 
vlaliqstretNull = false;
this.vlaliqstret = FglDouble.round(vlaliqstret, 2);
}
}

public double getVlicmsstret() {
return vlicmsstret;
}

public boolean isVlicmsstretNull() {
return vlicmsstretNull;
}

public void setVlicmsstret(int vlicmsstret) {
setVlicmsstret(new Double(vlicmsstret));
}

public void setVlicmsstret(long vlicmsstret) {
setVlicmsstret(new Double(vlicmsstret));
}

public void setVlicmsstret(Double vlicmsstret) {
if (vlicmsstret == null) {
vlicmsstretNull = true;
this.vlicmsstret = 0.;
} else { 
vlicmsstretNull = false;
this.vlicmsstret = FglDouble.round(vlicmsstret, 2);
}
}

public double getVlicmssubstituto() {
return vlicmssubstituto;
}

public boolean isVlicmssubstitutoNull() {
return vlicmssubstitutoNull;
}

public void setVlicmssubstituto(int vlicmssubstituto) {
setVlicmssubstituto(new Double(vlicmssubstituto));
}

public void setVlicmssubstituto(long vlicmssubstituto) {
setVlicmssubstituto(new Double(vlicmssubstituto));
}

public void setVlicmssubstituto(Double vlicmssubstituto) {
if (vlicmssubstituto == null) {
vlicmssubstitutoNull = true;
this.vlicmssubstituto = 0.;
} else { 
vlicmssubstitutoNull = false;
this.vlicmssubstituto = FglDouble.round(vlicmssubstituto, 2);
}
}

public double getPercredbaseefet() {
return percredbaseefet;
}

public boolean isPercredbaseefetNull() {
return percredbaseefetNull;
}

public void setPercredbaseefet(int percredbaseefet) {
setPercredbaseefet(new Double(percredbaseefet));
}

public void setPercredbaseefet(long percredbaseefet) {
setPercredbaseefet(new Double(percredbaseefet));
}

public void setPercredbaseefet(Double percredbaseefet) {
if (percredbaseefet == null) {
percredbaseefetNull = true;
this.percredbaseefet = 0.;
} else { 
percredbaseefetNull = false;
this.percredbaseefet = FglDouble.round(percredbaseefet, 2);
}
}

public double getVlbaseefet() {
return vlbaseefet;
}

public boolean isVlbaseefetNull() {
return vlbaseefetNull;
}

public void setVlbaseefet(int vlbaseefet) {
setVlbaseefet(new Double(vlbaseefet));
}

public void setVlbaseefet(long vlbaseefet) {
setVlbaseefet(new Double(vlbaseefet));
}

public void setVlbaseefet(Double vlbaseefet) {
if (vlbaseefet == null) {
vlbaseefetNull = true;
this.vlbaseefet = 0.;
} else { 
vlbaseefetNull = false;
this.vlbaseefet = FglDouble.round(vlbaseefet, 2);
}
}

public double getVlaliqefet() {
return vlaliqefet;
}

public boolean isVlaliqefetNull() {
return vlaliqefetNull;
}

public void setVlaliqefet(int vlaliqefet) {
setVlaliqefet(new Double(vlaliqefet));
}

public void setVlaliqefet(long vlaliqefet) {
setVlaliqefet(new Double(vlaliqefet));
}

public void setVlaliqefet(Double vlaliqefet) {
if (vlaliqefet == null) {
vlaliqefetNull = true;
this.vlaliqefet = 0.;
} else { 
vlaliqefetNull = false;
this.vlaliqefet = FglDouble.round(vlaliqefet, 2);
}
}

public double getVlicmsefet() {
return vlicmsefet;
}

public boolean isVlicmsefetNull() {
return vlicmsefetNull;
}

public void setVlicmsefet(int vlicmsefet) {
setVlicmsefet(new Double(vlicmsefet));
}

public void setVlicmsefet(long vlicmsefet) {
setVlicmsefet(new Double(vlicmsefet));
}

public void setVlicmsefet(Double vlicmsefet) {
if (vlicmsefet == null) {
vlicmsefetNull = true;
this.vlicmsefet = 0.;
} else { 
vlicmsefetNull = false;
this.vlicmsefet = FglDouble.round(vlicmsefet, 2);
}
}

}

