package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfpadv {
@Coluna(nome="cnnfpadv.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfpadv.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="cnnfpadv.id_devoluc", tipo="int")
private int idDevoluc;
private boolean idDevolucNull;
@Coluna(nome="cnnfpadv.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCnnfpadv() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNroparcela(null);
setIdDevoluc(null);
setValor(null);
}

public TabCnnfpadv(int idNfcapa, int nroparcela, int idDevoluc, double valor) {
this.idNfcapa = idNfcapa;
this.nroparcela = nroparcela;
this.idDevoluc = idDevoluc;
this.valor = valor;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public int getIdDevoluc() {
return idDevoluc;
}

public boolean isIdDevolucNull() {
return idDevolucNull;
}

public void setIdDevoluc(Integer idDevoluc) {
if (idDevoluc == null) {
idDevolucNull = true;
this.idDevoluc = 0;
} else { 
idDevolucNull = false;
this.idDevoluc = idDevoluc;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

