package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfpcex {
@Coluna(nome="cnnfpcex.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnnfpcex.basecalcpis", tipo="double")
private double basecalcpis;
private boolean basecalcpisNull;
@Coluna(nome="cnnfpcex.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="cnnfpcex.valorpis", tipo="double")
private double valorpis;
private boolean valorpisNull;
@Coluna(nome="cnnfpcex.basecalccofins", tipo="double")
private double basecalccofins;
private boolean basecalccofinsNull;
@Coluna(nome="cnnfpcex.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;
@Coluna(nome="cnnfpcex.valorcofins", tipo="double")
private double valorcofins;
private boolean valorcofinsNull;

public TabCnnfpcex() {
initialize();
}

public void initialize() {
setIdNfitem(null);
setBasecalcpis(null);
setAliqpis(null);
setValorpis(null);
setBasecalccofins(null);
setAliqcofins(null);
setValorcofins(null);
}

public TabCnnfpcex(int idNfitem, double basecalcpis, double aliqpis, double valorpis, double basecalccofins, double aliqcofins, double valorcofins) {
this.idNfitem = idNfitem;
this.basecalcpis = basecalcpis;
this.aliqpis = aliqpis;
this.valorpis = valorpis;
this.basecalccofins = basecalccofins;
this.aliqcofins = aliqcofins;
this.valorcofins = valorcofins;
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public double getBasecalcpis() {
return basecalcpis;
}

public boolean isBasecalcpisNull() {
return basecalcpisNull;
}

public void setBasecalcpis(int basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(long basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(Double basecalcpis) {
if (basecalcpis == null) {
basecalcpisNull = true;
this.basecalcpis = 0.;
} else { 
basecalcpisNull = false;
this.basecalcpis = FglDouble.round(basecalcpis, 2);
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getValorpis() {
return valorpis;
}

public boolean isValorpisNull() {
return valorpisNull;
}

public void setValorpis(int valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(long valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(Double valorpis) {
if (valorpis == null) {
valorpisNull = true;
this.valorpis = 0.;
} else { 
valorpisNull = false;
this.valorpis = FglDouble.round(valorpis, 2);
}
}

public double getBasecalccofins() {
return basecalccofins;
}

public boolean isBasecalccofinsNull() {
return basecalccofinsNull;
}

public void setBasecalccofins(int basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(long basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(Double basecalccofins) {
if (basecalccofins == null) {
basecalccofinsNull = true;
this.basecalccofins = 0.;
} else { 
basecalccofinsNull = false;
this.basecalccofins = FglDouble.round(basecalccofins, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

public double getValorcofins() {
return valorcofins;
}

public boolean isValorcofinsNull() {
return valorcofinsNull;
}

public void setValorcofins(int valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(long valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(Double valorcofins) {
if (valorcofins == null) {
valorcofinsNull = true;
this.valorcofins = 0.;
} else { 
valorcofinsNull = false;
this.valorcofins = FglDouble.round(valorcofins, 2);
}
}

}

