package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnnfpgto {
@Coluna(nome="cnnfpgto.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfpgto.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="cnnfpgto.plano_pagto", tipo="String")
private String planoPagto;
@Coluna(nome="cnnfpgto.forma_pagto", tipo="String")
private String formaPagto;
@Coluna(nome="cnnfpgto.perc_desconto", tipo="double")
private double percDesconto;
private boolean percDescontoNull;
@Coluna(nome="cnnfpgto.valor_desconto", tipo="double")
private double valorDesconto;
private boolean valorDescontoNull;
@Coluna(nome="cnnfpgto.vencto_desconto", tipo="FglDate")
private FglDate venctoDesconto;

public TabCnnfpgto() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setParcela(null);
setPlanoPagto(null);
setFormaPagto(null);
setPercDesconto(null);
setValorDesconto(null);
setVenctoDesconto(null);
}

public TabCnnfpgto(int idNfcapa, int parcela, String planoPagto, String formaPagto, double percDesconto, double valorDesconto, FglDate venctoDesconto) {
this.idNfcapa = idNfcapa;
this.parcela = parcela;
this.planoPagto = planoPagto;
this.formaPagto = formaPagto;
this.percDesconto = percDesconto;
this.valorDesconto = valorDesconto;
this.venctoDesconto = venctoDesconto;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public String getPlanoPagto() {
return planoPagto;
}

public void setPlanoPagto(String planoPagto) {
this.planoPagto = planoPagto;
}

public String getFormaPagto() {
return formaPagto;
}

public void setFormaPagto(String formaPagto) {
this.formaPagto = formaPagto;
}

public double getPercDesconto() {
return percDesconto;
}

public boolean isPercDescontoNull() {
return percDescontoNull;
}

public void setPercDesconto(int percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(long percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(Double percDesconto) {
if (percDesconto == null) {
percDescontoNull = true;
this.percDesconto = 0.;
} else { 
percDescontoNull = false;
this.percDesconto = FglDouble.round(percDesconto, 2);
}
}

public double getValorDesconto() {
return valorDesconto;
}

public boolean isValorDescontoNull() {
return valorDescontoNull;
}

public void setValorDesconto(int valorDesconto) {
setValorDesconto(new Double(valorDesconto));
}

public void setValorDesconto(long valorDesconto) {
setValorDesconto(new Double(valorDesconto));
}

public void setValorDesconto(Double valorDesconto) {
if (valorDesconto == null) {
valorDescontoNull = true;
this.valorDesconto = 0.;
} else { 
valorDescontoNull = false;
this.valorDesconto = FglDouble.round(valorDesconto, 2);
}
}

public FglDate getVenctoDesconto() {
return venctoDesconto;
}

public void setVenctoDesconto(FglDate venctoDesconto) {
this.venctoDesconto = venctoDesconto;
}

}

