package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfpicm {
@Coluna(nome="cnnfpicm.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnnfpicm.vbcufdest", tipo="double")
private double vbcufdest;
private boolean vbcufdestNull;
@Coluna(nome="cnnfpicm.vbcfcpufdest", tipo="double")
private double vbcfcpufdest;
private boolean vbcfcpufdestNull;
@Coluna(nome="cnnfpicm.vbcstfcpufdest", tipo="double")
private double vbcstfcpufdest;
private boolean vbcstfcpufdestNull;
@Coluna(nome="cnnfpicm.pfcpufdest", tipo="double")
private double pfcpufdest;
private boolean pfcpufdestNull;
@Coluna(nome="cnnfpicm.pstfcpufdest", tipo="double")
private double pstfcpufdest;
private boolean pstfcpufdestNull;
@Coluna(nome="cnnfpicm.picmsufdest", tipo="double")
private double picmsufdest;
private boolean picmsufdestNull;
@Coluna(nome="cnnfpicm.picmsinter", tipo="double")
private double picmsinter;
private boolean picmsinterNull;
@Coluna(nome="cnnfpicm.picmsinterpart", tipo="double")
private double picmsinterpart;
private boolean picmsinterpartNull;
@Coluna(nome="cnnfpicm.vfcpufdest", tipo="double")
private double vfcpufdest;
private boolean vfcpufdestNull;
@Coluna(nome="cnnfpicm.vstfcpufdest", tipo="double")
private double vstfcpufdest;
private boolean vstfcpufdestNull;
@Coluna(nome="cnnfpicm.vicmsufdest", tipo="double")
private double vicmsufdest;
private boolean vicmsufdestNull;
@Coluna(nome="cnnfpicm.vicmsufremet", tipo="double")
private double vicmsufremet;
private boolean vicmsufremetNull;

public TabCnnfpicm() {
initialize();
}

public void initialize() {
setIdNfitem(null);
setVbcufdest(null);
setVbcfcpufdest(null);
setVbcstfcpufdest(null);
setPfcpufdest(null);
setPstfcpufdest(null);
setPicmsufdest(null);
setPicmsinter(null);
setPicmsinterpart(null);
setVfcpufdest(null);
setVstfcpufdest(null);
setVicmsufdest(null);
setVicmsufremet(null);
}

public TabCnnfpicm(int idNfitem, double vbcufdest, double vbcfcpufdest, double vbcstfcpufdest, double pfcpufdest, double pstfcpufdest, double picmsufdest, double picmsinter, double picmsinterpart, double vfcpufdest, double vstfcpufdest, double vicmsufdest, double vicmsufremet) {
this.idNfitem = idNfitem;
this.vbcufdest = vbcufdest;
this.vbcfcpufdest = vbcfcpufdest;
this.vbcstfcpufdest = vbcstfcpufdest;
this.pfcpufdest = pfcpufdest;
this.pstfcpufdest = pstfcpufdest;
this.picmsufdest = picmsufdest;
this.picmsinter = picmsinter;
this.picmsinterpart = picmsinterpart;
this.vfcpufdest = vfcpufdest;
this.vstfcpufdest = vstfcpufdest;
this.vicmsufdest = vicmsufdest;
this.vicmsufremet = vicmsufremet;
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public double getVbcufdest() {
return vbcufdest;
}

public boolean isVbcufdestNull() {
return vbcufdestNull;
}

public void setVbcufdest(int vbcufdest) {
setVbcufdest(new Double(vbcufdest));
}

public void setVbcufdest(long vbcufdest) {
setVbcufdest(new Double(vbcufdest));
}

public void setVbcufdest(Double vbcufdest) {
if (vbcufdest == null) {
vbcufdestNull = true;
this.vbcufdest = 0.;
} else { 
vbcufdestNull = false;
this.vbcufdest = FglDouble.round(vbcufdest, 2);
}
}

public double getVbcfcpufdest() {
return vbcfcpufdest;
}

public boolean isVbcfcpufdestNull() {
return vbcfcpufdestNull;
}

public void setVbcfcpufdest(int vbcfcpufdest) {
setVbcfcpufdest(new Double(vbcfcpufdest));
}

public void setVbcfcpufdest(long vbcfcpufdest) {
setVbcfcpufdest(new Double(vbcfcpufdest));
}

public void setVbcfcpufdest(Double vbcfcpufdest) {
if (vbcfcpufdest == null) {
vbcfcpufdestNull = true;
this.vbcfcpufdest = 0.;
} else { 
vbcfcpufdestNull = false;
this.vbcfcpufdest = FglDouble.round(vbcfcpufdest, 2);
}
}

public double getVbcstfcpufdest() {
return vbcstfcpufdest;
}

public boolean isVbcstfcpufdestNull() {
return vbcstfcpufdestNull;
}

public void setVbcstfcpufdest(int vbcstfcpufdest) {
setVbcstfcpufdest(new Double(vbcstfcpufdest));
}

public void setVbcstfcpufdest(long vbcstfcpufdest) {
setVbcstfcpufdest(new Double(vbcstfcpufdest));
}

public void setVbcstfcpufdest(Double vbcstfcpufdest) {
if (vbcstfcpufdest == null) {
vbcstfcpufdestNull = true;
this.vbcstfcpufdest = 0.;
} else { 
vbcstfcpufdestNull = false;
this.vbcstfcpufdest = FglDouble.round(vbcstfcpufdest, 2);
}
}

public double getPfcpufdest() {
return pfcpufdest;
}

public boolean isPfcpufdestNull() {
return pfcpufdestNull;
}

public void setPfcpufdest(int pfcpufdest) {
setPfcpufdest(new Double(pfcpufdest));
}

public void setPfcpufdest(long pfcpufdest) {
setPfcpufdest(new Double(pfcpufdest));
}

public void setPfcpufdest(Double pfcpufdest) {
if (pfcpufdest == null) {
pfcpufdestNull = true;
this.pfcpufdest = 0.;
} else { 
pfcpufdestNull = false;
this.pfcpufdest = FglDouble.round(pfcpufdest, 2);
}
}

public double getPstfcpufdest() {
return pstfcpufdest;
}

public boolean isPstfcpufdestNull() {
return pstfcpufdestNull;
}

public void setPstfcpufdest(int pstfcpufdest) {
setPstfcpufdest(new Double(pstfcpufdest));
}

public void setPstfcpufdest(long pstfcpufdest) {
setPstfcpufdest(new Double(pstfcpufdest));
}

public void setPstfcpufdest(Double pstfcpufdest) {
if (pstfcpufdest == null) {
pstfcpufdestNull = true;
this.pstfcpufdest = 0.;
} else { 
pstfcpufdestNull = false;
this.pstfcpufdest = FglDouble.round(pstfcpufdest, 2);
}
}

public double getPicmsufdest() {
return picmsufdest;
}

public boolean isPicmsufdestNull() {
return picmsufdestNull;
}

public void setPicmsufdest(int picmsufdest) {
setPicmsufdest(new Double(picmsufdest));
}

public void setPicmsufdest(long picmsufdest) {
setPicmsufdest(new Double(picmsufdest));
}

public void setPicmsufdest(Double picmsufdest) {
if (picmsufdest == null) {
picmsufdestNull = true;
this.picmsufdest = 0.;
} else { 
picmsufdestNull = false;
this.picmsufdest = FglDouble.round(picmsufdest, 2);
}
}

public double getPicmsinter() {
return picmsinter;
}

public boolean isPicmsinterNull() {
return picmsinterNull;
}

public void setPicmsinter(int picmsinter) {
setPicmsinter(new Double(picmsinter));
}

public void setPicmsinter(long picmsinter) {
setPicmsinter(new Double(picmsinter));
}

public void setPicmsinter(Double picmsinter) {
if (picmsinter == null) {
picmsinterNull = true;
this.picmsinter = 0.;
} else { 
picmsinterNull = false;
this.picmsinter = FglDouble.round(picmsinter, 2);
}
}

public double getPicmsinterpart() {
return picmsinterpart;
}

public boolean isPicmsinterpartNull() {
return picmsinterpartNull;
}

public void setPicmsinterpart(int picmsinterpart) {
setPicmsinterpart(new Double(picmsinterpart));
}

public void setPicmsinterpart(long picmsinterpart) {
setPicmsinterpart(new Double(picmsinterpart));
}

public void setPicmsinterpart(Double picmsinterpart) {
if (picmsinterpart == null) {
picmsinterpartNull = true;
this.picmsinterpart = 0.;
} else { 
picmsinterpartNull = false;
this.picmsinterpart = FglDouble.round(picmsinterpart, 2);
}
}

public double getVfcpufdest() {
return vfcpufdest;
}

public boolean isVfcpufdestNull() {
return vfcpufdestNull;
}

public void setVfcpufdest(int vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(long vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(Double vfcpufdest) {
if (vfcpufdest == null) {
vfcpufdestNull = true;
this.vfcpufdest = 0.;
} else { 
vfcpufdestNull = false;
this.vfcpufdest = FglDouble.round(vfcpufdest, 2);
}
}

public double getVstfcpufdest() {
return vstfcpufdest;
}

public boolean isVstfcpufdestNull() {
return vstfcpufdestNull;
}

public void setVstfcpufdest(int vstfcpufdest) {
setVstfcpufdest(new Double(vstfcpufdest));
}

public void setVstfcpufdest(long vstfcpufdest) {
setVstfcpufdest(new Double(vstfcpufdest));
}

public void setVstfcpufdest(Double vstfcpufdest) {
if (vstfcpufdest == null) {
vstfcpufdestNull = true;
this.vstfcpufdest = 0.;
} else { 
vstfcpufdestNull = false;
this.vstfcpufdest = FglDouble.round(vstfcpufdest, 2);
}
}

public double getVicmsufdest() {
return vicmsufdest;
}

public boolean isVicmsufdestNull() {
return vicmsufdestNull;
}

public void setVicmsufdest(int vicmsufdest) {
setVicmsufdest(new Double(vicmsufdest));
}

public void setVicmsufdest(long vicmsufdest) {
setVicmsufdest(new Double(vicmsufdest));
}

public void setVicmsufdest(Double vicmsufdest) {
if (vicmsufdest == null) {
vicmsufdestNull = true;
this.vicmsufdest = 0.;
} else { 
vicmsufdestNull = false;
this.vicmsufdest = FglDouble.round(vicmsufdest, 2);
}
}

public double getVicmsufremet() {
return vicmsufremet;
}

public boolean isVicmsufremetNull() {
return vicmsufremetNull;
}

public void setVicmsufremet(int vicmsufremet) {
setVicmsufremet(new Double(vicmsufremet));
}

public void setVicmsufremet(long vicmsufremet) {
setVicmsufremet(new Double(vicmsufremet));
}

public void setVicmsufremet(Double vicmsufremet) {
if (vicmsufremet == null) {
vicmsufremetNull = true;
this.vicmsufremet = 0.;
} else { 
vicmsufremetNull = false;
this.vicmsufremet = FglDouble.round(vicmsufremet, 2);
}
}

}

