package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfretf {
@Coluna(nome="cnnfretf.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfretf.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cnnfretf.baseir", tipo="double")
private double baseir;
private boolean baseirNull;
@Coluna(nome="cnnfretf.valorir", tipo="double")
private double valorir;
private boolean valorirNull;
@Coluna(nome="cnnfretf.valorinss", tipo="double")
private double valorinss;
private boolean valorinssNull;
@Coluna(nome="cnnfretf.valorcsl", tipo="double")
private double valorcsl;
private boolean valorcslNull;
@Coluna(nome="cnnfretf.valorpis", tipo="double")
private double valorpis;
private boolean valorpisNull;
@Coluna(nome="cnnfretf.valorcof", tipo="double")
private double valorcof;
private boolean valorcofNull;
@Coluna(nome="cnnfretf.deduzretnf", tipo="String")
private String deduzretnf;
@Coluna(nome="cnnfretf.baseinss", tipo="double")
private double baseinss;
private boolean baseinssNull;

public TabCnnfretf() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNrolinha(null);
setBaseir(null);
setValorir(null);
setValorinss(null);
setValorcsl(null);
setValorpis(null);
setValorcof(null);
setDeduzretnf(null);
setBaseinss(null);
}

public TabCnnfretf(int idNfcapa, int nrolinha, double baseir, double valorir, double valorinss, double valorcsl, double valorpis, double valorcof, String deduzretnf, double baseinss) {
this.idNfcapa = idNfcapa;
this.nrolinha = nrolinha;
this.baseir = baseir;
this.valorir = valorir;
this.valorinss = valorinss;
this.valorcsl = valorcsl;
this.valorpis = valorpis;
this.valorcof = valorcof;
this.deduzretnf = deduzretnf;
this.baseinss = baseinss;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getBaseir() {
return baseir;
}

public boolean isBaseirNull() {
return baseirNull;
}

public void setBaseir(int baseir) {
setBaseir(new Double(baseir));
}

public void setBaseir(long baseir) {
setBaseir(new Double(baseir));
}

public void setBaseir(Double baseir) {
if (baseir == null) {
baseirNull = true;
this.baseir = 0.;
} else { 
baseirNull = false;
this.baseir = FglDouble.round(baseir, 2);
}
}

public double getValorir() {
return valorir;
}

public boolean isValorirNull() {
return valorirNull;
}

public void setValorir(int valorir) {
setValorir(new Double(valorir));
}

public void setValorir(long valorir) {
setValorir(new Double(valorir));
}

public void setValorir(Double valorir) {
if (valorir == null) {
valorirNull = true;
this.valorir = 0.;
} else { 
valorirNull = false;
this.valorir = FglDouble.round(valorir, 2);
}
}

public double getValorinss() {
return valorinss;
}

public boolean isValorinssNull() {
return valorinssNull;
}

public void setValorinss(int valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(long valorinss) {
setValorinss(new Double(valorinss));
}

public void setValorinss(Double valorinss) {
if (valorinss == null) {
valorinssNull = true;
this.valorinss = 0.;
} else { 
valorinssNull = false;
this.valorinss = FglDouble.round(valorinss, 2);
}
}

public double getValorcsl() {
return valorcsl;
}

public boolean isValorcslNull() {
return valorcslNull;
}

public void setValorcsl(int valorcsl) {
setValorcsl(new Double(valorcsl));
}

public void setValorcsl(long valorcsl) {
setValorcsl(new Double(valorcsl));
}

public void setValorcsl(Double valorcsl) {
if (valorcsl == null) {
valorcslNull = true;
this.valorcsl = 0.;
} else { 
valorcslNull = false;
this.valorcsl = FglDouble.round(valorcsl, 2);
}
}

public double getValorpis() {
return valorpis;
}

public boolean isValorpisNull() {
return valorpisNull;
}

public void setValorpis(int valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(long valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(Double valorpis) {
if (valorpis == null) {
valorpisNull = true;
this.valorpis = 0.;
} else { 
valorpisNull = false;
this.valorpis = FglDouble.round(valorpis, 2);
}
}

public double getValorcof() {
return valorcof;
}

public boolean isValorcofNull() {
return valorcofNull;
}

public void setValorcof(int valorcof) {
setValorcof(new Double(valorcof));
}

public void setValorcof(long valorcof) {
setValorcof(new Double(valorcof));
}

public void setValorcof(Double valorcof) {
if (valorcof == null) {
valorcofNull = true;
this.valorcof = 0.;
} else { 
valorcofNull = false;
this.valorcof = FglDouble.round(valorcof, 2);
}
}

public String getDeduzretnf() {
return deduzretnf;
}

public void setDeduzretnf(String deduzretnf) {
this.deduzretnf = deduzretnf;
}

public double getBaseinss() {
return baseinss;
}

public boolean isBaseinssNull() {
return baseinssNull;
}

public void setBaseinss(int baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(long baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(Double baseinss) {
if (baseinss == null) {
baseinssNull = true;
this.baseinss = 0.;
} else { 
baseinssNull = false;
this.baseinss = FglDouble.round(baseinss, 2);
}
}

}

