package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfsubs {
@Coluna(nome="cnnfsubs.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfsubs.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cnnfsubs.sbasepis", tipo="double")
private double sbasepis;
private boolean sbasepisNull;
@Coluna(nome="cnnfsubs.svalorpis", tipo="double")
private double svalorpis;
private boolean svalorpisNull;
@Coluna(nome="cnnfsubs.sbasecofins", tipo="double")
private double sbasecofins;
private boolean sbasecofinsNull;
@Coluna(nome="cnnfsubs.svalorcofins", tipo="double")
private double svalorcofins;
private boolean svalorcofinsNull;
@Coluna(nome="cnnfsubs.somatotnf", tipo="String")
private String somatotnf;

public TabCnnfsubs() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNrolinha(null);
setSbasepis(null);
setSvalorpis(null);
setSbasecofins(null);
setSvalorcofins(null);
setSomatotnf(null);
}

public TabCnnfsubs(int idNfcapa, int nrolinha, double sbasepis, double svalorpis, double sbasecofins, double svalorcofins, String somatotnf) {
this.idNfcapa = idNfcapa;
this.nrolinha = nrolinha;
this.sbasepis = sbasepis;
this.svalorpis = svalorpis;
this.sbasecofins = sbasecofins;
this.svalorcofins = svalorcofins;
this.somatotnf = somatotnf;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getSbasepis() {
return sbasepis;
}

public boolean isSbasepisNull() {
return sbasepisNull;
}

public void setSbasepis(int sbasepis) {
setSbasepis(new Double(sbasepis));
}

public void setSbasepis(long sbasepis) {
setSbasepis(new Double(sbasepis));
}

public void setSbasepis(Double sbasepis) {
if (sbasepis == null) {
sbasepisNull = true;
this.sbasepis = 0.;
} else { 
sbasepisNull = false;
this.sbasepis = FglDouble.round(sbasepis, 2);
}
}

public double getSvalorpis() {
return svalorpis;
}

public boolean isSvalorpisNull() {
return svalorpisNull;
}

public void setSvalorpis(int svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(long svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(Double svalorpis) {
if (svalorpis == null) {
svalorpisNull = true;
this.svalorpis = 0.;
} else { 
svalorpisNull = false;
this.svalorpis = FglDouble.round(svalorpis, 2);
}
}

public double getSbasecofins() {
return sbasecofins;
}

public boolean isSbasecofinsNull() {
return sbasecofinsNull;
}

public void setSbasecofins(int sbasecofins) {
setSbasecofins(new Double(sbasecofins));
}

public void setSbasecofins(long sbasecofins) {
setSbasecofins(new Double(sbasecofins));
}

public void setSbasecofins(Double sbasecofins) {
if (sbasecofins == null) {
sbasecofinsNull = true;
this.sbasecofins = 0.;
} else { 
sbasecofinsNull = false;
this.sbasecofins = FglDouble.round(sbasecofins, 2);
}
}

public double getSvalorcofins() {
return svalorcofins;
}

public boolean isSvalorcofinsNull() {
return svalorcofinsNull;
}

public void setSvalorcofins(int svalorcofins) {
setSvalorcofins(new Double(svalorcofins));
}

public void setSvalorcofins(long svalorcofins) {
setSvalorcofins(new Double(svalorcofins));
}

public void setSvalorcofins(Double svalorcofins) {
if (svalorcofins == null) {
svalorcofinsNull = true;
this.svalorcofins = 0.;
} else { 
svalorcofinsNull = false;
this.svalorcofins = FglDouble.round(svalorcofins, 2);
}
}

public String getSomatotnf() {
return somatotnf;
}

public void setSomatotnf(String somatotnf) {
this.somatotnf = somatotnf;
}

}

