package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnnfts {
@Coluna(nome="cnnfts.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfts.nronfts", tipo="int")
private int nronfts;
private boolean nronftsNull;
@Coluna(nome="cnnfts.dthremissao", tipo="FglDateTimeYS")
private FglDateTimeYS dthremissao;
@Coluna(nome="cnnfts.tipdocumento", tipo="int")
private int tipdocumento;
private boolean tipdocumentoNull;
@Coluna(nome="cnnfts.datcancelamento", tipo="FglDate")
private FglDate datcancelamento;
@Coluna(nome="cnnfts.nroguia", tipo="int")
private int nroguia;
private boolean nroguiaNull;
@Coluna(nome="cnnfts.datquitacao", tipo="FglDate")
private FglDate datquitacao;
@Coluna(nome="cnnfts.nronftssubstituta", tipo="int")
private int nronftssubstituta;
private boolean nronftssubstitutaNull;

public TabCnnfts() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNronfts(null);
setDthremissao(null);
setTipdocumento(null);
setDatcancelamento(null);
setNroguia(null);
setDatquitacao(null);
setNronftssubstituta(null);
}

public TabCnnfts(int idNfcapa, int nronfts, FglDateTimeYS dthremissao, int tipdocumento, FglDate datcancelamento, int nroguia, FglDate datquitacao, int nronftssubstituta) {
this.idNfcapa = idNfcapa;
this.nronfts = nronfts;
this.dthremissao = dthremissao;
this.tipdocumento = tipdocumento;
this.datcancelamento = datcancelamento;
this.nroguia = nroguia;
this.datquitacao = datquitacao;
this.nronftssubstituta = nronftssubstituta;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNronfts() {
return nronfts;
}

public boolean isNronftsNull() {
return nronftsNull;
}

public void setNronfts(Integer nronfts) {
if (nronfts == null) {
nronftsNull = true;
this.nronfts = 0;
} else { 
nronftsNull = false;
this.nronfts = nronfts;
}
}

public FglDateTimeYS getDthremissao() {
return dthremissao;
}

public void setDthremissao(FglDateTimeYS dthremissao) {
this.dthremissao = dthremissao;
}

public int getTipdocumento() {
return tipdocumento;
}

public boolean isTipdocumentoNull() {
return tipdocumentoNull;
}

public void setTipdocumento(Integer tipdocumento) {
if (tipdocumento == null) {
tipdocumentoNull = true;
this.tipdocumento = 0;
} else { 
tipdocumentoNull = false;
this.tipdocumento = tipdocumento;
}
}

public FglDate getDatcancelamento() {
return datcancelamento;
}

public void setDatcancelamento(FglDate datcancelamento) {
this.datcancelamento = datcancelamento;
}

public int getNroguia() {
return nroguia;
}

public boolean isNroguiaNull() {
return nroguiaNull;
}

public void setNroguia(Integer nroguia) {
if (nroguia == null) {
nroguiaNull = true;
this.nroguia = 0;
} else { 
nroguiaNull = false;
this.nroguia = nroguia;
}
}

public FglDate getDatquitacao() {
return datquitacao;
}

public void setDatquitacao(FglDate datquitacao) {
this.datquitacao = datquitacao;
}

public int getNronftssubstituta() {
return nronftssubstituta;
}

public boolean isNronftssubstitutaNull() {
return nronftssubstitutaNull;
}

public void setNronftssubstituta(Integer nronftssubstituta) {
if (nronftssubstituta == null) {
nronftssubstitutaNull = true;
this.nronftssubstituta = 0;
} else { 
nronftssubstitutaNull = false;
this.nronftssubstituta = nronftssubstituta;
}
}

}

