package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnoavem {
@Coluna(nome="cnnoavem.id_noavem", tipo="int")
private int idNoavem;
private boolean idNoavemNull;
@Coluna(nome="cnnoavem.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnnoavem.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cnnoavem.serienf", tipo="String")
private String serienf;
@Coluna(nome="cnnoavem.chavenfe", tipo="String")
private String chavenfe;
@Coluna(nome="cnnoavem.cgcfornec", tipo="long")
private long cgcfornec;
private boolean cgcfornecNull;
@Coluna(nome="cnnoavem.tppessoafor", tipo="int")
private int tppessoafor;
private boolean tppessoaforNull;
@Coluna(nome="cnnoavem.cgccliente", tipo="long")
private long cgccliente;
private boolean cgcclienteNull;
@Coluna(nome="cnnoavem.tppessoacli", tipo="int")
private int tppessoacli;
private boolean tppessoacliNull;
@Coluna(nome="cnnoavem.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="cnnoavem.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="cnnoavem.dtrecebimento", tipo="FglDate")
private FglDate dtrecebimento;
@Coluna(nome="cnnoavem.tpfrete", tipo="String")
private String tpfrete;
@Coluna(nome="cnnoavem.conhfrete", tipo="int")
private int conhfrete;
private boolean conhfreteNull;
@Coluna(nome="cnnoavem.vlrtotprod", tipo="double")
private double vlrtotprod;
private boolean vlrtotprodNull;

public TabCnnoavem() {
initialize();
}

public void initialize() {
setIdNoavem(null);
setFilial(null);
setNronota(null);
setSerienf(null);
setChavenfe(null);
setCgcfornec(null);
setTppessoafor(null);
setCgccliente(null);
setTppessoacli(null);
setDtemissao(null);
setDtentrega(null);
setDtrecebimento(null);
setTpfrete(null);
setConhfrete(null);
setVlrtotprod(null);
}

public TabCnnoavem(int idNoavem, int filial, int nronota, String serienf, String chavenfe, long cgcfornec, int tppessoafor, long cgccliente, int tppessoacli, FglDate dtemissao, FglDate dtentrega, FglDate dtrecebimento, String tpfrete, int conhfrete, double vlrtotprod) {
this.idNoavem = idNoavem;
this.filial = filial;
this.nronota = nronota;
this.serienf = serienf;
this.chavenfe = chavenfe;
this.cgcfornec = cgcfornec;
this.tppessoafor = tppessoafor;
this.cgccliente = cgccliente;
this.tppessoacli = tppessoacli;
this.dtemissao = dtemissao;
this.dtentrega = dtentrega;
this.dtrecebimento = dtrecebimento;
this.tpfrete = tpfrete;
this.conhfrete = conhfrete;
this.vlrtotprod = vlrtotprod;
}

public int getIdNoavem() {
return idNoavem;
}

public boolean isIdNoavemNull() {
return idNoavemNull;
}

public void setIdNoavem(Integer idNoavem) {
if (idNoavem == null) {
idNoavemNull = true;
this.idNoavem = 0;
} else { 
idNoavemNull = false;
this.idNoavem = idNoavem;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

public long getCgcfornec() {
return cgcfornec;
}

public boolean isCgcfornecNull() {
return cgcfornecNull;
}

public void setCgcfornec(int cgcfornec) {
setCgcfornec(new Long(cgcfornec));
}

public void setCgcfornec(Long cgcfornec) {
if (cgcfornec == null) {
cgcfornecNull = true;
this.cgcfornec = 0l;
} else { 
cgcfornecNull = false;
this.cgcfornec = cgcfornec;
}
}

public int getTppessoafor() {
return tppessoafor;
}

public boolean isTppessoaforNull() {
return tppessoaforNull;
}

public void setTppessoafor(Integer tppessoafor) {
if (tppessoafor == null) {
tppessoaforNull = true;
this.tppessoafor = 0;
} else { 
tppessoaforNull = false;
this.tppessoafor = tppessoafor;
}
}

public long getCgccliente() {
return cgccliente;
}

public boolean isCgcclienteNull() {
return cgcclienteNull;
}

public void setCgccliente(int cgccliente) {
setCgccliente(new Long(cgccliente));
}

public void setCgccliente(Long cgccliente) {
if (cgccliente == null) {
cgcclienteNull = true;
this.cgccliente = 0l;
} else { 
cgcclienteNull = false;
this.cgccliente = cgccliente;
}
}

public int getTppessoacli() {
return tppessoacli;
}

public boolean isTppessoacliNull() {
return tppessoacliNull;
}

public void setTppessoacli(Integer tppessoacli) {
if (tppessoacli == null) {
tppessoacliNull = true;
this.tppessoacli = 0;
} else { 
tppessoacliNull = false;
this.tppessoacli = tppessoacli;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public FglDate getDtrecebimento() {
return dtrecebimento;
}

public void setDtrecebimento(FglDate dtrecebimento) {
this.dtrecebimento = dtrecebimento;
}

public String getTpfrete() {
return tpfrete;
}

public void setTpfrete(String tpfrete) {
this.tpfrete = tpfrete;
}

public int getConhfrete() {
return conhfrete;
}

public boolean isConhfreteNull() {
return conhfreteNull;
}

public void setConhfrete(Integer conhfrete) {
if (conhfrete == null) {
conhfreteNull = true;
this.conhfrete = 0;
} else { 
conhfreteNull = false;
this.conhfrete = conhfrete;
}
}

public double getVlrtotprod() {
return vlrtotprod;
}

public boolean isVlrtotprodNull() {
return vlrtotprodNull;
}

public void setVlrtotprod(int vlrtotprod) {
setVlrtotprod(new Double(vlrtotprod));
}

public void setVlrtotprod(long vlrtotprod) {
setVlrtotprod(new Double(vlrtotprod));
}

public void setVlrtotprod(Double vlrtotprod) {
if (vlrtotprod == null) {
vlrtotprodNull = true;
this.vlrtotprod = 0.;
} else { 
vlrtotprodNull = false;
this.vlrtotprod = FglDouble.round(vlrtotprod, 2);
}
}

}

