package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnotcap {
@Coluna(nome="cnnotcap.id_notcap", tipo="int")
private int idNotcap;
private boolean idNotcapNull;
@Coluna(nome="cnnotcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnnotcap.nronota_deb", tipo="int")
private int nronotaDeb;
private boolean nronotaDebNull;
@Coluna(nome="cnnotcap.dtnota_deb", tipo="FglDate")
private FglDate dtnotaDeb;
@Coluna(nome="cnnotcap.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cnnotcap.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cnnotcap.observacao", tipo="String")
private String observacao;
@Coluna(nome="cnnotcap.motivo", tipo="String")
private String motivo;
@Coluna(nome="cnnotcap.vlrtotal", tipo="double")
private double vlrtotal;
private boolean vlrtotalNull;

public TabCnnotcap() {
initialize();
}

public void initialize() {
setIdNotcap(null);
setFilial(null);
setNronotaDeb(null);
setDtnotaDeb(null);
setNroEndere(null);
setIdAgente(null);
setObservacao(null);
setMotivo(null);
setVlrtotal(null);
}

public TabCnnotcap(int idNotcap, int filial, int nronotaDeb, FglDate dtnotaDeb, long nroEndere, int idAgente, String observacao, String motivo, double vlrtotal) {
this.idNotcap = idNotcap;
this.filial = filial;
this.nronotaDeb = nronotaDeb;
this.dtnotaDeb = dtnotaDeb;
this.nroEndere = nroEndere;
this.idAgente = idAgente;
this.observacao = observacao;
this.motivo = motivo;
this.vlrtotal = vlrtotal;
}

public int getIdNotcap() {
return idNotcap;
}

public boolean isIdNotcapNull() {
return idNotcapNull;
}

public void setIdNotcap(Integer idNotcap) {
if (idNotcap == null) {
idNotcapNull = true;
this.idNotcap = 0;
} else { 
idNotcapNull = false;
this.idNotcap = idNotcap;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronotaDeb() {
return nronotaDeb;
}

public boolean isNronotaDebNull() {
return nronotaDebNull;
}

public void setNronotaDeb(Integer nronotaDeb) {
if (nronotaDeb == null) {
nronotaDebNull = true;
this.nronotaDeb = 0;
} else { 
nronotaDebNull = false;
this.nronotaDeb = nronotaDeb;
}
}

public FglDate getDtnotaDeb() {
return dtnotaDeb;
}

public void setDtnotaDeb(FglDate dtnotaDeb) {
this.dtnotaDeb = dtnotaDeb;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public double getVlrtotal() {
return vlrtotal;
}

public boolean isVlrtotalNull() {
return vlrtotalNull;
}

public void setVlrtotal(int vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(long vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(Double vlrtotal) {
if (vlrtotal == null) {
vlrtotalNull = true;
this.vlrtotal = 0.;
} else { 
vlrtotalNull = false;
this.vlrtotal = FglDouble.round(vlrtotal, 2);
}
}

}

