package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnorclog {
@Coluna(nome="cnorclog.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnorclog.nroorcament", tipo="int")
private int nroorcament;
private boolean nroorcamentNull;
@Coluna(nome="cnorclog.produto", tipo="String")
private String produto;
@Coluna(nome="cnorclog.qtde_tab", tipo="double")
private double qtdeTab;
private boolean qtdeTabNull;
@Coluna(nome="cnorclog.qtde_orc", tipo="double")
private double qtdeOrc;
private boolean qtdeOrcNull;
@Coluna(nome="cnorclog.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;

public TabCnorclog() {
initialize();
}

public void initialize() {
setFilial(null);
setNroorcament(null);
setProduto(null);
setQtdeTab(null);
setQtdeOrc(null);
setRomaneio(null);
}

public TabCnorclog(int filial, int nroorcament, String produto, double qtdeTab, double qtdeOrc, int romaneio) {
this.filial = filial;
this.nroorcament = nroorcament;
this.produto = produto;
this.qtdeTab = qtdeTab;
this.qtdeOrc = qtdeOrc;
this.romaneio = romaneio;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroorcament() {
return nroorcament;
}

public boolean isNroorcamentNull() {
return nroorcamentNull;
}

public void setNroorcament(Integer nroorcament) {
if (nroorcament == null) {
nroorcamentNull = true;
this.nroorcament = 0;
} else { 
nroorcamentNull = false;
this.nroorcament = nroorcament;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeTab() {
return qtdeTab;
}

public boolean isQtdeTabNull() {
return qtdeTabNull;
}

public void setQtdeTab(int qtdeTab) {
setQtdeTab(new Double(qtdeTab));
}

public void setQtdeTab(long qtdeTab) {
setQtdeTab(new Double(qtdeTab));
}

public void setQtdeTab(Double qtdeTab) {
if (qtdeTab == null) {
qtdeTabNull = true;
this.qtdeTab = 0.;
} else { 
qtdeTabNull = false;
this.qtdeTab = FglDouble.round(qtdeTab, 2);
}
}

public double getQtdeOrc() {
return qtdeOrc;
}

public boolean isQtdeOrcNull() {
return qtdeOrcNull;
}

public void setQtdeOrc(int qtdeOrc) {
setQtdeOrc(new Double(qtdeOrc));
}

public void setQtdeOrc(long qtdeOrc) {
setQtdeOrc(new Double(qtdeOrc));
}

public void setQtdeOrc(Double qtdeOrc) {
if (qtdeOrc == null) {
qtdeOrcNull = true;
this.qtdeOrc = 0.;
} else { 
qtdeOrcNull = false;
this.qtdeOrc = FglDouble.round(qtdeOrc, 2);
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

}

