package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnorcpcp {
@Coluna(nome="cnorcpcp.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cnorcpcp.id_reqcap", tipo="int")
private int idReqcap;
private boolean idReqcapNull;
@Coluna(nome="cnorcpcp.produto", tipo="String")
private String produto;
@Coluna(nome="cnorcpcp.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnorcpcp.demandacriada", tipo="String")
private String demandacriada;

public TabCnorcpcp() {
initialize();
}

public void initialize() {
setIdOrccap(null);
setIdReqcap(null);
setProduto(null);
setQuantidade(null);
setDemandacriada(null);
}

public TabCnorcpcp(int idOrccap, int idReqcap, String produto, double quantidade, String demandacriada) {
this.idOrccap = idOrccap;
this.idReqcap = idReqcap;
this.produto = produto;
this.quantidade = quantidade;
this.demandacriada = demandacriada;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdReqcap() {
return idReqcap;
}

public boolean isIdReqcapNull() {
return idReqcapNull;
}

public void setIdReqcap(Integer idReqcap) {
if (idReqcap == null) {
idReqcapNull = true;
this.idReqcap = 0;
} else { 
idReqcapNull = false;
this.idReqcap = idReqcap;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public String getDemandacriada() {
return demandacriada;
}

public void setDemandacriada(String demandacriada) {
this.demandacriada = demandacriada;
}

}

