package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpadime {
@Coluna(nome="cnpadime.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnpadime.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cnpadime.indconsolidada", tipo="int")
private int indconsolidada;
private boolean indconsolidadaNull;
@Coluna(nome="cnpadime.indtipo", tipo="int")
private int indtipo;
private boolean indtipoNull;
@Coluna(nome="cnpadime.indtransfer", tipo="int")
private int indtransfer;
private boolean indtransferNull;
@Coluna(nome="cnpadime.indmovto", tipo="int")
private int indmovto;
private boolean indmovtoNull;
@Coluna(nome="cnpadime.indst", tipo="int")
private int indst;
private boolean indstNull;
@Coluna(nome="cnpadime.totalcredito", tipo="double")
private double totalcredito;
private boolean totalcreditoNull;
@Coluna(nome="cnpadime.totaldebito", tipo="double")
private double totaldebito;
private boolean totaldebitoNull;

public TabCnpadime() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setIndconsolidada(null);
setIndtipo(null);
setIndtransfer(null);
setIndmovto(null);
setIndst(null);
setTotalcredito(null);
setTotaldebito(null);
}

public TabCnpadime(int filial, FglDateTimeYM anomes, int indconsolidada, int indtipo, int indtransfer, int indmovto, int indst, double totalcredito, double totaldebito) {
this.filial = filial;
this.anomes = anomes;
this.indconsolidada = indconsolidada;
this.indtipo = indtipo;
this.indtransfer = indtransfer;
this.indmovto = indmovto;
this.indst = indst;
this.totalcredito = totalcredito;
this.totaldebito = totaldebito;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIndconsolidada() {
return indconsolidada;
}

public boolean isIndconsolidadaNull() {
return indconsolidadaNull;
}

public void setIndconsolidada(Integer indconsolidada) {
if (indconsolidada == null) {
indconsolidadaNull = true;
this.indconsolidada = 0;
} else { 
indconsolidadaNull = false;
this.indconsolidada = indconsolidada;
}
}

public int getIndtipo() {
return indtipo;
}

public boolean isIndtipoNull() {
return indtipoNull;
}

public void setIndtipo(Integer indtipo) {
if (indtipo == null) {
indtipoNull = true;
this.indtipo = 0;
} else { 
indtipoNull = false;
this.indtipo = indtipo;
}
}

public int getIndtransfer() {
return indtransfer;
}

public boolean isIndtransferNull() {
return indtransferNull;
}

public void setIndtransfer(Integer indtransfer) {
if (indtransfer == null) {
indtransferNull = true;
this.indtransfer = 0;
} else { 
indtransferNull = false;
this.indtransfer = indtransfer;
}
}

public int getIndmovto() {
return indmovto;
}

public boolean isIndmovtoNull() {
return indmovtoNull;
}

public void setIndmovto(Integer indmovto) {
if (indmovto == null) {
indmovtoNull = true;
this.indmovto = 0;
} else { 
indmovtoNull = false;
this.indmovto = indmovto;
}
}

public int getIndst() {
return indst;
}

public boolean isIndstNull() {
return indstNull;
}

public void setIndst(Integer indst) {
if (indst == null) {
indstNull = true;
this.indst = 0;
} else { 
indstNull = false;
this.indst = indst;
}
}

public double getTotalcredito() {
return totalcredito;
}

public boolean isTotalcreditoNull() {
return totalcreditoNull;
}

public void setTotalcredito(int totalcredito) {
setTotalcredito(new Double(totalcredito));
}

public void setTotalcredito(long totalcredito) {
setTotalcredito(new Double(totalcredito));
}

public void setTotalcredito(Double totalcredito) {
if (totalcredito == null) {
totalcreditoNull = true;
this.totalcredito = 0.;
} else { 
totalcreditoNull = false;
this.totalcredito = FglDouble.round(totalcredito, 2);
}
}

public double getTotaldebito() {
return totaldebito;
}

public boolean isTotaldebitoNull() {
return totaldebitoNull;
}

public void setTotaldebito(int totaldebito) {
setTotaldebito(new Double(totaldebito));
}

public void setTotaldebito(long totaldebito) {
setTotaldebito(new Double(totaldebito));
}

public void setTotaldebito(Double totaldebito) {
if (totaldebito == null) {
totaldebitoNull = true;
this.totaldebito = 0.;
} else { 
totaldebitoNull = false;
this.totaldebito = FglDouble.round(totaldebito, 2);
}
}

}

