package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnracfoc {
@Coluna(nome="cnracfoc.id_raicms", tipo="int")
private int idRaicms;
private boolean idRaicmsNull;
@Coluna(nome="cnracfoc.codfiscal", tipo="String")
private String codfiscal;
@Coluna(nome="cnracfoc.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cnracfoc.saliqicms", tipo="double")
private double saliqicms;
private boolean saliqicmsNull;
@Coluna(nome="cnracfoc.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cnracfoc.contribuinte", tipo="String")
private String contribuinte;
@Coluna(nome="cnracfoc.vlrcontabil", tipo="double")
private double vlrcontabil;
private boolean vlrcontabilNull;
@Coluna(nome="cnracfoc.vlrbasecalc", tipo="double")
private double vlrbasecalc;
private boolean vlrbasecalcNull;
@Coluna(nome="cnracfoc.vlricms", tipo="double")
private double vlricms;
private boolean vlricmsNull;
@Coluna(nome="cnracfoc.vlrisentoicms", tipo="double")
private double vlrisentoicms;
private boolean vlrisentoicmsNull;
@Coluna(nome="cnracfoc.vlroutrosicms", tipo="double")
private double vlroutrosicms;
private boolean vlroutrosicmsNull;
@Coluna(nome="cnracfoc.svlrbasecalc", tipo="double")
private double svlrbasecalc;
private boolean svlrbasecalcNull;
@Coluna(nome="cnracfoc.svlricms", tipo="double")
private double svlricms;
private boolean svlricmsNull;
@Coluna(nome="cnracfoc.vlripi", tipo="double")
private double vlripi;
private boolean vlripiNull;
@Coluna(nome="cnracfoc.difaliqicms", tipo="double")
private double difaliqicms;
private boolean difaliqicmsNull;

public TabCnracfoc() {
initialize();
}

public void initialize() {
setIdRaicms(null);
setCodfiscal(null);
setAliqicms(null);
setSaliqicms(null);
setCidade(null);
setContribuinte(null);
setVlrcontabil(null);
setVlrbasecalc(null);
setVlricms(null);
setVlrisentoicms(null);
setVlroutrosicms(null);
setSvlrbasecalc(null);
setSvlricms(null);
setVlripi(null);
setDifaliqicms(null);
}

public TabCnracfoc(int idRaicms, String codfiscal, double aliqicms, double saliqicms, int cidade, String contribuinte, double vlrcontabil, double vlrbasecalc, double vlricms, double vlrisentoicms, double vlroutrosicms, double svlrbasecalc, double svlricms, double vlripi, double difaliqicms) {
this.idRaicms = idRaicms;
this.codfiscal = codfiscal;
this.aliqicms = aliqicms;
this.saliqicms = saliqicms;
this.cidade = cidade;
this.contribuinte = contribuinte;
this.vlrcontabil = vlrcontabil;
this.vlrbasecalc = vlrbasecalc;
this.vlricms = vlricms;
this.vlrisentoicms = vlrisentoicms;
this.vlroutrosicms = vlroutrosicms;
this.svlrbasecalc = svlrbasecalc;
this.svlricms = svlricms;
this.vlripi = vlripi;
this.difaliqicms = difaliqicms;
}

public int getIdRaicms() {
return idRaicms;
}

public boolean isIdRaicmsNull() {
return idRaicmsNull;
}

public void setIdRaicms(Integer idRaicms) {
if (idRaicms == null) {
idRaicmsNull = true;
this.idRaicms = 0;
} else { 
idRaicmsNull = false;
this.idRaicms = idRaicms;
}
}

public String getCodfiscal() {
return codfiscal;
}

public void setCodfiscal(String codfiscal) {
this.codfiscal = codfiscal;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getSaliqicms() {
return saliqicms;
}

public boolean isSaliqicmsNull() {
return saliqicmsNull;
}

public void setSaliqicms(int saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(long saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(Double saliqicms) {
if (saliqicms == null) {
saliqicmsNull = true;
this.saliqicms = 0.;
} else { 
saliqicmsNull = false;
this.saliqicms = FglDouble.round(saliqicms, 2);
}
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getContribuinte() {
return contribuinte;
}

public void setContribuinte(String contribuinte) {
this.contribuinte = contribuinte;
}

public double getVlrcontabil() {
return vlrcontabil;
}

public boolean isVlrcontabilNull() {
return vlrcontabilNull;
}

public void setVlrcontabil(int vlrcontabil) {
setVlrcontabil(new Double(vlrcontabil));
}

public void setVlrcontabil(long vlrcontabil) {
setVlrcontabil(new Double(vlrcontabil));
}

public void setVlrcontabil(Double vlrcontabil) {
if (vlrcontabil == null) {
vlrcontabilNull = true;
this.vlrcontabil = 0.;
} else { 
vlrcontabilNull = false;
this.vlrcontabil = FglDouble.round(vlrcontabil, 2);
}
}

public double getVlrbasecalc() {
return vlrbasecalc;
}

public boolean isVlrbasecalcNull() {
return vlrbasecalcNull;
}

public void setVlrbasecalc(int vlrbasecalc) {
setVlrbasecalc(new Double(vlrbasecalc));
}

public void setVlrbasecalc(long vlrbasecalc) {
setVlrbasecalc(new Double(vlrbasecalc));
}

public void setVlrbasecalc(Double vlrbasecalc) {
if (vlrbasecalc == null) {
vlrbasecalcNull = true;
this.vlrbasecalc = 0.;
} else { 
vlrbasecalcNull = false;
this.vlrbasecalc = FglDouble.round(vlrbasecalc, 2);
}
}

public double getVlricms() {
return vlricms;
}

public boolean isVlricmsNull() {
return vlricmsNull;
}

public void setVlricms(int vlricms) {
setVlricms(new Double(vlricms));
}

public void setVlricms(long vlricms) {
setVlricms(new Double(vlricms));
}

public void setVlricms(Double vlricms) {
if (vlricms == null) {
vlricmsNull = true;
this.vlricms = 0.;
} else { 
vlricmsNull = false;
this.vlricms = FglDouble.round(vlricms, 2);
}
}

public double getVlrisentoicms() {
return vlrisentoicms;
}

public boolean isVlrisentoicmsNull() {
return vlrisentoicmsNull;
}

public void setVlrisentoicms(int vlrisentoicms) {
setVlrisentoicms(new Double(vlrisentoicms));
}

public void setVlrisentoicms(long vlrisentoicms) {
setVlrisentoicms(new Double(vlrisentoicms));
}

public void setVlrisentoicms(Double vlrisentoicms) {
if (vlrisentoicms == null) {
vlrisentoicmsNull = true;
this.vlrisentoicms = 0.;
} else { 
vlrisentoicmsNull = false;
this.vlrisentoicms = FglDouble.round(vlrisentoicms, 2);
}
}

public double getVlroutrosicms() {
return vlroutrosicms;
}

public boolean isVlroutrosicmsNull() {
return vlroutrosicmsNull;
}

public void setVlroutrosicms(int vlroutrosicms) {
setVlroutrosicms(new Double(vlroutrosicms));
}

public void setVlroutrosicms(long vlroutrosicms) {
setVlroutrosicms(new Double(vlroutrosicms));
}

public void setVlroutrosicms(Double vlroutrosicms) {
if (vlroutrosicms == null) {
vlroutrosicmsNull = true;
this.vlroutrosicms = 0.;
} else { 
vlroutrosicmsNull = false;
this.vlroutrosicms = FglDouble.round(vlroutrosicms, 2);
}
}

public double getSvlrbasecalc() {
return svlrbasecalc;
}

public boolean isSvlrbasecalcNull() {
return svlrbasecalcNull;
}

public void setSvlrbasecalc(int svlrbasecalc) {
setSvlrbasecalc(new Double(svlrbasecalc));
}

public void setSvlrbasecalc(long svlrbasecalc) {
setSvlrbasecalc(new Double(svlrbasecalc));
}

public void setSvlrbasecalc(Double svlrbasecalc) {
if (svlrbasecalc == null) {
svlrbasecalcNull = true;
this.svlrbasecalc = 0.;
} else { 
svlrbasecalcNull = false;
this.svlrbasecalc = FglDouble.round(svlrbasecalc, 2);
}
}

public double getSvlricms() {
return svlricms;
}

public boolean isSvlricmsNull() {
return svlricmsNull;
}

public void setSvlricms(int svlricms) {
setSvlricms(new Double(svlricms));
}

public void setSvlricms(long svlricms) {
setSvlricms(new Double(svlricms));
}

public void setSvlricms(Double svlricms) {
if (svlricms == null) {
svlricmsNull = true;
this.svlricms = 0.;
} else { 
svlricmsNull = false;
this.svlricms = FglDouble.round(svlricms, 2);
}
}

public double getVlripi() {
return vlripi;
}

public boolean isVlripiNull() {
return vlripiNull;
}

public void setVlripi(int vlripi) {
setVlripi(new Double(vlripi));
}

public void setVlripi(long vlripi) {
setVlripi(new Double(vlripi));
}

public void setVlripi(Double vlripi) {
if (vlripi == null) {
vlripiNull = true;
this.vlripi = 0.;
} else { 
vlripiNull = false;
this.vlripi = FglDouble.round(vlripi, 2);
}
}

public double getDifaliqicms() {
return difaliqicms;
}

public boolean isDifaliqicmsNull() {
return difaliqicmsNull;
}

public void setDifaliqicms(int difaliqicms) {
setDifaliqicms(new Double(difaliqicms));
}

public void setDifaliqicms(long difaliqicms) {
setDifaliqicms(new Double(difaliqicms));
}

public void setDifaliqicms(Double difaliqicms) {
if (difaliqicms == null) {
difaliqicmsNull = true;
this.difaliqicms = 0.;
} else { 
difaliqicmsNull = false;
this.difaliqicms = FglDouble.round(difaliqicms, 2);
}
}

}

