package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnragia {
@Coluna(nome="cnragia.id_ragia", tipo="int")
private int idRagia;
private boolean idRagiaNull;
@Coluna(nome="cnragia.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnragia.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cnragia.dt1venc", tipo="FglDate")
private FglDate dt1venc;
@Coluna(nome="cnragia.vlr1venc", tipo="double")
private double vlr1venc;
private boolean vlr1vencNull;
@Coluna(nome="cnragia.dt2venc", tipo="FglDate")
private FglDate dt2venc;
@Coluna(nome="cnragia.vlr2venc", tipo="double")
private double vlr2venc;
private boolean vlr2vencNull;
@Coluna(nome="cnragia.dt3venc", tipo="FglDate")
private FglDate dt3venc;
@Coluna(nome="cnragia.vlr3venc", tipo="double")
private double vlr3venc;
private boolean vlr3vencNull;
@Coluna(nome="cnragia.dt4venc", tipo="FglDate")
private FglDate dt4venc;
@Coluna(nome="cnragia.vlr4venc", tipo="double")
private double vlr4venc;
private boolean vlr4vencNull;
@Coluna(nome="cnragia.dt5venc", tipo="FglDate")
private FglDate dt5venc;
@Coluna(nome="cnragia.vlr5venc", tipo="double")
private double vlr5venc;
private boolean vlr5vencNull;
@Coluna(nome="cnragia.dt6venc", tipo="FglDate")
private FglDate dt6venc;
@Coluna(nome="cnragia.vlr6venc", tipo="double")
private double vlr6venc;
private boolean vlr6vencNull;
@Coluna(nome="cnragia.rescicms", tipo="double")
private double rescicms;
private boolean rescicmsNull;
@Coluna(nome="cnragia.credperant", tipo="double")
private double credperant;
private boolean credperantNull;
@Coluna(nome="cnragia.pagantecip", tipo="double")
private double pagantecip;
private boolean pagantecipNull;
@Coluna(nome="cnragia.infcomplem", tipo="String")
private String infcomplem;

public TabCnragia() {
initialize();
}

public void initialize() {
setIdRagia(null);
setFilial(null);
setAnomes(null);
setDt1venc(null);
setVlr1venc(null);
setDt2venc(null);
setVlr2venc(null);
setDt3venc(null);
setVlr3venc(null);
setDt4venc(null);
setVlr4venc(null);
setDt5venc(null);
setVlr5venc(null);
setDt6venc(null);
setVlr6venc(null);
setRescicms(null);
setCredperant(null);
setPagantecip(null);
setInfcomplem(null);
}

public TabCnragia(int idRagia, int filial, FglDateTimeYM anomes, FglDate dt1venc, double vlr1venc, FglDate dt2venc, double vlr2venc, FglDate dt3venc, double vlr3venc, FglDate dt4venc, double vlr4venc, FglDate dt5venc, double vlr5venc, FglDate dt6venc, double vlr6venc, double rescicms, double credperant, double pagantecip, String infcomplem) {
this.idRagia = idRagia;
this.filial = filial;
this.anomes = anomes;
this.dt1venc = dt1venc;
this.vlr1venc = vlr1venc;
this.dt2venc = dt2venc;
this.vlr2venc = vlr2venc;
this.dt3venc = dt3venc;
this.vlr3venc = vlr3venc;
this.dt4venc = dt4venc;
this.vlr4venc = vlr4venc;
this.dt5venc = dt5venc;
this.vlr5venc = vlr5venc;
this.dt6venc = dt6venc;
this.vlr6venc = vlr6venc;
this.rescicms = rescicms;
this.credperant = credperant;
this.pagantecip = pagantecip;
this.infcomplem = infcomplem;
}

public int getIdRagia() {
return idRagia;
}

public boolean isIdRagiaNull() {
return idRagiaNull;
}

public void setIdRagia(Integer idRagia) {
if (idRagia == null) {
idRagiaNull = true;
this.idRagia = 0;
} else { 
idRagiaNull = false;
this.idRagia = idRagia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public FglDate getDt1venc() {
return dt1venc;
}

public void setDt1venc(FglDate dt1venc) {
this.dt1venc = dt1venc;
}

public double getVlr1venc() {
return vlr1venc;
}

public boolean isVlr1vencNull() {
return vlr1vencNull;
}

public void setVlr1venc(int vlr1venc) {
setVlr1venc(new Double(vlr1venc));
}

public void setVlr1venc(long vlr1venc) {
setVlr1venc(new Double(vlr1venc));
}

public void setVlr1venc(Double vlr1venc) {
if (vlr1venc == null) {
vlr1vencNull = true;
this.vlr1venc = 0.;
} else { 
vlr1vencNull = false;
this.vlr1venc = FglDouble.round(vlr1venc, 2);
}
}

public FglDate getDt2venc() {
return dt2venc;
}

public void setDt2venc(FglDate dt2venc) {
this.dt2venc = dt2venc;
}

public double getVlr2venc() {
return vlr2venc;
}

public boolean isVlr2vencNull() {
return vlr2vencNull;
}

public void setVlr2venc(int vlr2venc) {
setVlr2venc(new Double(vlr2venc));
}

public void setVlr2venc(long vlr2venc) {
setVlr2venc(new Double(vlr2venc));
}

public void setVlr2venc(Double vlr2venc) {
if (vlr2venc == null) {
vlr2vencNull = true;
this.vlr2venc = 0.;
} else { 
vlr2vencNull = false;
this.vlr2venc = FglDouble.round(vlr2venc, 2);
}
}

public FglDate getDt3venc() {
return dt3venc;
}

public void setDt3venc(FglDate dt3venc) {
this.dt3venc = dt3venc;
}

public double getVlr3venc() {
return vlr3venc;
}

public boolean isVlr3vencNull() {
return vlr3vencNull;
}

public void setVlr3venc(int vlr3venc) {
setVlr3venc(new Double(vlr3venc));
}

public void setVlr3venc(long vlr3venc) {
setVlr3venc(new Double(vlr3venc));
}

public void setVlr3venc(Double vlr3venc) {
if (vlr3venc == null) {
vlr3vencNull = true;
this.vlr3venc = 0.;
} else { 
vlr3vencNull = false;
this.vlr3venc = FglDouble.round(vlr3venc, 2);
}
}

public FglDate getDt4venc() {
return dt4venc;
}

public void setDt4venc(FglDate dt4venc) {
this.dt4venc = dt4venc;
}

public double getVlr4venc() {
return vlr4venc;
}

public boolean isVlr4vencNull() {
return vlr4vencNull;
}

public void setVlr4venc(int vlr4venc) {
setVlr4venc(new Double(vlr4venc));
}

public void setVlr4venc(long vlr4venc) {
setVlr4venc(new Double(vlr4venc));
}

public void setVlr4venc(Double vlr4venc) {
if (vlr4venc == null) {
vlr4vencNull = true;
this.vlr4venc = 0.;
} else { 
vlr4vencNull = false;
this.vlr4venc = FglDouble.round(vlr4venc, 2);
}
}

public FglDate getDt5venc() {
return dt5venc;
}

public void setDt5venc(FglDate dt5venc) {
this.dt5venc = dt5venc;
}

public double getVlr5venc() {
return vlr5venc;
}

public boolean isVlr5vencNull() {
return vlr5vencNull;
}

public void setVlr5venc(int vlr5venc) {
setVlr5venc(new Double(vlr5venc));
}

public void setVlr5venc(long vlr5venc) {
setVlr5venc(new Double(vlr5venc));
}

public void setVlr5venc(Double vlr5venc) {
if (vlr5venc == null) {
vlr5vencNull = true;
this.vlr5venc = 0.;
} else { 
vlr5vencNull = false;
this.vlr5venc = FglDouble.round(vlr5venc, 2);
}
}

public FglDate getDt6venc() {
return dt6venc;
}

public void setDt6venc(FglDate dt6venc) {
this.dt6venc = dt6venc;
}

public double getVlr6venc() {
return vlr6venc;
}

public boolean isVlr6vencNull() {
return vlr6vencNull;
}

public void setVlr6venc(int vlr6venc) {
setVlr6venc(new Double(vlr6venc));
}

public void setVlr6venc(long vlr6venc) {
setVlr6venc(new Double(vlr6venc));
}

public void setVlr6venc(Double vlr6venc) {
if (vlr6venc == null) {
vlr6vencNull = true;
this.vlr6venc = 0.;
} else { 
vlr6vencNull = false;
this.vlr6venc = FglDouble.round(vlr6venc, 2);
}
}

public double getRescicms() {
return rescicms;
}

public boolean isRescicmsNull() {
return rescicmsNull;
}

public void setRescicms(int rescicms) {
setRescicms(new Double(rescicms));
}

public void setRescicms(long rescicms) {
setRescicms(new Double(rescicms));
}

public void setRescicms(Double rescicms) {
if (rescicms == null) {
rescicmsNull = true;
this.rescicms = 0.;
} else { 
rescicmsNull = false;
this.rescicms = FglDouble.round(rescicms, 2);
}
}

public double getCredperant() {
return credperant;
}

public boolean isCredperantNull() {
return credperantNull;
}

public void setCredperant(int credperant) {
setCredperant(new Double(credperant));
}

public void setCredperant(long credperant) {
setCredperant(new Double(credperant));
}

public void setCredperant(Double credperant) {
if (credperant == null) {
credperantNull = true;
this.credperant = 0.;
} else { 
credperantNull = false;
this.credperant = FglDouble.round(credperant, 2);
}
}

public double getPagantecip() {
return pagantecip;
}

public boolean isPagantecipNull() {
return pagantecipNull;
}

public void setPagantecip(int pagantecip) {
setPagantecip(new Double(pagantecip));
}

public void setPagantecip(long pagantecip) {
setPagantecip(new Double(pagantecip));
}

public void setPagantecip(Double pagantecip) {
if (pagantecip == null) {
pagantecipNull = true;
this.pagantecip = 0.;
} else { 
pagantecipNull = false;
this.pagantecip = FglDouble.round(pagantecip, 2);
}
}

public String getInfcomplem() {
return infcomplem;
}

public void setInfcomplem(String infcomplem) {
this.infcomplem = infcomplem;
}

}

