package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnstresp {
@Coluna(nome="cnstresp.ufdestino", tipo="String")
private String ufdestino;
@Coluna(nome="cnstresp.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cnstresp.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cnstresp.mva", tipo="double")
private double mva;
private boolean mvaNull;
@Coluna(nome="cnstresp.mva_importado", tipo="double")
private double mvaImportado;
private boolean mvaImportadoNull;

public TabCnstresp() {
initialize();
}

public void initialize() {
setUfdestino(null);
setCgccpf(null);
setTppessoa(null);
setMva(null);
setMvaImportado(null);
}

public TabCnstresp(String ufdestino, long cgccpf, int tppessoa, double mva, double mvaImportado) {
this.ufdestino = ufdestino;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.mva = mva;
this.mvaImportado = mvaImportado;
}

public String getUfdestino() {
return ufdestino;
}

public void setUfdestino(String ufdestino) {
this.ufdestino = ufdestino;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getMva() {
return mva;
}

public boolean isMvaNull() {
return mvaNull;
}

public void setMva(int mva) {
setMva(new Double(mva));
}

public void setMva(long mva) {
setMva(new Double(mva));
}

public void setMva(Double mva) {
if (mva == null) {
mvaNull = true;
this.mva = 0.;
} else { 
mvaNull = false;
this.mva = FglDouble.round(mva, 2);
}
}

public double getMvaImportado() {
return mvaImportado;
}

public boolean isMvaImportadoNull() {
return mvaImportadoNull;
}

public void setMvaImportado(int mvaImportado) {
setMvaImportado(new Double(mvaImportado));
}

public void setMvaImportado(long mvaImportado) {
setMvaImportado(new Double(mvaImportado));
}

public void setMvaImportado(Double mvaImportado) {
if (mvaImportado == null) {
mvaImportadoNull = true;
this.mvaImportado = 0.;
} else { 
mvaImportadoNull = false;
this.mvaImportado = FglDouble.round(mvaImportado, 2);
}
}

}

