package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCntridif {
@Coluna(nome="cntridif.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cntridif.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cntridif.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cntridif.tipoiss", tipo="String")
private String tipoiss;
@Coluna(nome="cntridif.vlrinicial", tipo="double")
private double vlrinicial;
private boolean vlrinicialNull;
@Coluna(nome="cntridif.vlrfinal", tipo="double")
private double vlrfinal;
private boolean vlrfinalNull;
@Coluna(nome="cntridif.perciss", tipo="double")
private double perciss;
private boolean percissNull;

public TabCntridif() {
initialize();
}

public void initialize() {
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setTipoiss(null);
setVlrinicial(null);
setVlrfinal(null);
setPerciss(null);
}

public TabCntridif(int filial, long cgccpf, int tppessoa, String tipoiss, double vlrinicial, double vlrfinal, double perciss) {
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.tipoiss = tipoiss;
this.vlrinicial = vlrinicial;
this.vlrfinal = vlrfinal;
this.perciss = perciss;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getTipoiss() {
return tipoiss;
}

public void setTipoiss(String tipoiss) {
this.tipoiss = tipoiss;
}

public double getVlrinicial() {
return vlrinicial;
}

public boolean isVlrinicialNull() {
return vlrinicialNull;
}

public void setVlrinicial(int vlrinicial) {
setVlrinicial(new Double(vlrinicial));
}

public void setVlrinicial(long vlrinicial) {
setVlrinicial(new Double(vlrinicial));
}

public void setVlrinicial(Double vlrinicial) {
if (vlrinicial == null) {
vlrinicialNull = true;
this.vlrinicial = 0.;
} else { 
vlrinicialNull = false;
this.vlrinicial = FglDouble.round(vlrinicial, 2);
}
}

public double getVlrfinal() {
return vlrfinal;
}

public boolean isVlrfinalNull() {
return vlrfinalNull;
}

public void setVlrfinal(int vlrfinal) {
setVlrfinal(new Double(vlrfinal));
}

public void setVlrfinal(long vlrfinal) {
setVlrfinal(new Double(vlrfinal));
}

public void setVlrfinal(Double vlrfinal) {
if (vlrfinal == null) {
vlrfinalNull = true;
this.vlrfinal = 0.;
} else { 
vlrfinalNull = false;
this.vlrfinal = FglDouble.round(vlrfinal, 2);
}
}

public double getPerciss() {
return perciss;
}

public boolean isPercissNull() {
return percissNull;
}

public void setPerciss(int perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(long perciss) {
setPerciss(new Double(perciss));
}

public void setPerciss(Double perciss) {
if (perciss == null) {
percissNull = true;
this.perciss = 0.;
} else { 
percissNull = false;
this.perciss = FglDouble.round(perciss, 2);
}
}

}

