package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCntriobs {
@Coluna(nome="cntriobs.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="cntriobs.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cntriobs.observacao", tipo="String")
private String observacao;

public TabCntriobs() {
initialize();
}

public void initialize() {
setTributacao(null);
setSequencia(null);
setObservacao(null);
}

public TabCntriobs(int tributacao, int sequencia, String observacao) {
this.tributacao = tributacao;
this.sequencia = sequencia;
this.observacao = observacao;
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

