package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCofilial {
@Coluna(nome="cofilial.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cofilial.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cofilial.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cofilial.apelido", tipo="String")
private String apelido;
@Coluna(nome="cofilial.anomesctcorr", tipo="FglDateTimeYM")
private FglDateTimeYM anomesctcorr;
@Coluna(nome="cofilial.datactbloq", tipo="FglDate")
private FglDate datactbloq;
@Coluna(nome="cofilial.anomesestoque", tipo="FglDateTimeYM")
private FglDateTimeYM anomesestoque;
@Coluna(nome="cofilial.icmsantcusto", tipo="String")
private String icmsantcusto;
@Coluna(nome="cofilial.tipocom", tipo="int")
private int tipocom;
private boolean tipocomNull;
@Coluna(nome="cofilial.codativecon", tipo="String")
private String codativecon;
@Coluna(nome="cofilial.qtdelinhas", tipo="int")
private int qtdelinhas;
private boolean qtdelinhasNull;
@Coluna(nome="cofilial.qtdeservico", tipo="int")
private int qtdeservico;
private boolean qtdeservicoNull;
@Coluna(nome="cofilial.qtdecoment", tipo="int")
private int qtdecoment;
private boolean qtdecomentNull;
@Coluna(nome="cofilial.usactareduzida", tipo="String")
private String usactareduzida;
@Coluna(nome="cofilial.usatempopadrao", tipo="String")
private String usatempopadrao;
@Coluna(nome="cofilial.usaromaneio", tipo="String")
private String usaromaneio;
@Coluna(nome="cofilial.usadigconta", tipo="String")
private String usadigconta;
@Coluna(nome="cofilial.bloqvenda", tipo="String")
private String bloqvenda;
@Coluna(nome="cofilial.bloqcliven", tipo="String")
private String bloqcliven;
@Coluna(nome="cofilial.diascarta1", tipo="int")
private int diascarta1;
private boolean diascarta1Null;
@Coluna(nome="cofilial.diascarta2", tipo="int")
private int diascarta2;
private boolean diascarta2Null;
@Coluna(nome="cofilial.diascarta3", tipo="int")
private int diascarta3;
private boolean diascarta3Null;
@Coluna(nome="cofilial.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cofilial.nroformnota", tipo="int")
private int nroformnota;
private boolean nroformnotaNull;
@Coluna(nome="cofilial.nroformdupl", tipo="int")
private int nroformdupl;
private boolean nroformduplNull;
@Coluna(nome="cofilial.nroformos", tipo="int")
private int nroformos;
private boolean nroformosNull;
@Coluna(nome="cofilial.contnfaut", tipo="String")
private String contnfaut;
@Coluna(nome="cofilial.conferemerc", tipo="String")
private String conferemerc;
@Coluna(nome="cofilial.utilizanff", tipo="String")
private String utilizanff;
@Coluna(nome="cofilial.imprimeosint", tipo="String")
private String imprimeosint;
@Coluna(nome="cofilial.perccofins", tipo="double")
private double perccofins;
private boolean perccofinsNull;
@Coluna(nome="cofilial.percpis", tipo="double")
private double percpis;
private boolean percpisNull;
@Coluna(nome="cofilial.nroplano", tipo="int")
private int nroplano;
private boolean nroplanoNull;
@Coluna(nome="cofilial.complserv", tipo="String")
private String complserv;
@Coluna(nome="cofilial.pisecusto", tipo="String")
private String pisecusto;
@Coluna(nome="cofilial.nroformfatu", tipo="int")
private int nroformfatu;
private boolean nroformfatuNull;
@Coluna(nome="cofilial.diasbloqcxba", tipo="int")
private int diasbloqcxba;
private boolean diasbloqcxbaNull;
@Coluna(nome="cofilial.reabreos", tipo="String")
private String reabreos;
@Coluna(nome="cofilial.reabreorc", tipo="String")
private String reabreorc;
@Coluna(nome="cofilial.alteraveic", tipo="String")
private String alteraveic;
@Coluna(nome="cofilial.altrapidacli", tipo="String")
private String altrapidacli;
@Coluna(nome="cofilial.filialpreco", tipo="int")
private int filialpreco;
private boolean filialprecoNull;
@Coluna(nome="cofilial.dtbloqnf", tipo="FglDate")
private FglDate dtbloqnf;
@Coluna(nome="cofilial.bloqmvtocxba", tipo="String")
private String bloqmvtocxba;
@Coluna(nome="cofilial.tptribir", tipo="int")
private int tptribir;
private boolean tptribirNull;
@Coluna(nome="cofilial.filialprecov", tipo="int")
private int filialprecov;
private boolean filialprecovNull;
@Coluna(nome="cofilial.usaauttitpag", tipo="String")
private String usaauttitpag;
@Coluna(nome="cofilial.assinatura", tipo="String")
private String assinatura;
@Coluna(nome="cofilial.bloqlctofut", tipo="String")
private String bloqlctofut;
@Coluna(nome="cofilial.permlanctoretro", tipo="String")
private String permlanctoretro;
@Coluna(nome="cofilial.anomeslanctoretro", tipo="FglDateTimeYM")
private FglDateTimeYM anomeslanctoretro;
@Coluna(nome="cofilial.diasnfretroativo", tipo="int")
private int diasnfretroativo;
private boolean diasnfretroativoNull;

public TabCofilial() {
initialize();
}

public void initialize() {
setFilial(null);
setTppessoa(null);
setCgccpf(null);
setApelido(null);
setAnomesctcorr(null);
setDatactbloq(null);
setAnomesestoque(null);
setIcmsantcusto(null);
setTipocom(null);
setCodativecon(null);
setQtdelinhas(null);
setQtdeservico(null);
setQtdecoment(null);
setUsactareduzida(null);
setUsatempopadrao(null);
setUsaromaneio(null);
setUsadigconta(null);
setBloqvenda(null);
setBloqcliven(null);
setDiascarta1(null);
setDiascarta2(null);
setDiascarta3(null);
setIdBancos(null);
setNroformnota(null);
setNroformdupl(null);
setNroformos(null);
setContnfaut(null);
setConferemerc(null);
setUtilizanff(null);
setImprimeosint(null);
setPerccofins(null);
setPercpis(null);
setNroplano(null);
setComplserv(null);
setPisecusto(null);
setNroformfatu(null);
setDiasbloqcxba(null);
setReabreos(null);
setReabreorc(null);
setAlteraveic(null);
setAltrapidacli(null);
setFilialpreco(null);
setDtbloqnf(null);
setBloqmvtocxba(null);
setTptribir(null);
setFilialprecov(null);
setUsaauttitpag(null);
setAssinatura(null);
setBloqlctofut(null);
setPermlanctoretro(null);
setAnomeslanctoretro(null);
setDiasnfretroativo(null);
}

public TabCofilial(int filial, int tppessoa, long cgccpf, String apelido, FglDateTimeYM anomesctcorr, FglDate datactbloq, FglDateTimeYM anomesestoque, String icmsantcusto, int tipocom, String codativecon, int qtdelinhas, int qtdeservico, int qtdecoment, String usactareduzida, String usatempopadrao, String usaromaneio, String usadigconta, String bloqvenda, String bloqcliven, int diascarta1, int diascarta2, int diascarta3, int idBancos, int nroformnota, int nroformdupl, int nroformos, String contnfaut, String conferemerc, String utilizanff, String imprimeosint, double perccofins, double percpis, int nroplano, String complserv, String pisecusto, int nroformfatu, int diasbloqcxba, String reabreos, String reabreorc, String alteraveic, String altrapidacli, int filialpreco, FglDate dtbloqnf, String bloqmvtocxba, int tptribir, int filialprecov, String usaauttitpag, String assinatura, String bloqlctofut, String permlanctoretro, FglDateTimeYM anomeslanctoretro, int diasnfretroativo) {
this.filial = filial;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.apelido = apelido;
this.anomesctcorr = anomesctcorr;
this.datactbloq = datactbloq;
this.anomesestoque = anomesestoque;
this.icmsantcusto = icmsantcusto;
this.tipocom = tipocom;
this.codativecon = codativecon;
this.qtdelinhas = qtdelinhas;
this.qtdeservico = qtdeservico;
this.qtdecoment = qtdecoment;
this.usactareduzida = usactareduzida;
this.usatempopadrao = usatempopadrao;
this.usaromaneio = usaromaneio;
this.usadigconta = usadigconta;
this.bloqvenda = bloqvenda;
this.bloqcliven = bloqcliven;
this.diascarta1 = diascarta1;
this.diascarta2 = diascarta2;
this.diascarta3 = diascarta3;
this.idBancos = idBancos;
this.nroformnota = nroformnota;
this.nroformdupl = nroformdupl;
this.nroformos = nroformos;
this.contnfaut = contnfaut;
this.conferemerc = conferemerc;
this.utilizanff = utilizanff;
this.imprimeosint = imprimeosint;
this.perccofins = perccofins;
this.percpis = percpis;
this.nroplano = nroplano;
this.complserv = complserv;
this.pisecusto = pisecusto;
this.nroformfatu = nroformfatu;
this.diasbloqcxba = diasbloqcxba;
this.reabreos = reabreos;
this.reabreorc = reabreorc;
this.alteraveic = alteraveic;
this.altrapidacli = altrapidacli;
this.filialpreco = filialpreco;
this.dtbloqnf = dtbloqnf;
this.bloqmvtocxba = bloqmvtocxba;
this.tptribir = tptribir;
this.filialprecov = filialprecov;
this.usaauttitpag = usaauttitpag;
this.assinatura = assinatura;
this.bloqlctofut = bloqlctofut;
this.permlanctoretro = permlanctoretro;
this.anomeslanctoretro = anomeslanctoretro;
this.diasnfretroativo = diasnfretroativo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getApelido() {
return apelido;
}

public void setApelido(String apelido) {
this.apelido = apelido;
}

public FglDateTimeYM getAnomesctcorr() {
return anomesctcorr;
}

public void setAnomesctcorr(FglDateTimeYM anomesctcorr) {
this.anomesctcorr = anomesctcorr;
}

public FglDate getDatactbloq() {
return datactbloq;
}

public void setDatactbloq(FglDate datactbloq) {
this.datactbloq = datactbloq;
}

public FglDateTimeYM getAnomesestoque() {
return anomesestoque;
}

public void setAnomesestoque(FglDateTimeYM anomesestoque) {
this.anomesestoque = anomesestoque;
}

public String getIcmsantcusto() {
return icmsantcusto;
}

public void setIcmsantcusto(String icmsantcusto) {
this.icmsantcusto = icmsantcusto;
}

public int getTipocom() {
return tipocom;
}

public boolean isTipocomNull() {
return tipocomNull;
}

public void setTipocom(Integer tipocom) {
if (tipocom == null) {
tipocomNull = true;
this.tipocom = 0;
} else { 
tipocomNull = false;
this.tipocom = tipocom;
}
}

public String getCodativecon() {
return codativecon;
}

public void setCodativecon(String codativecon) {
this.codativecon = codativecon;
}

public int getQtdelinhas() {
return qtdelinhas;
}

public boolean isQtdelinhasNull() {
return qtdelinhasNull;
}

public void setQtdelinhas(Integer qtdelinhas) {
if (qtdelinhas == null) {
qtdelinhasNull = true;
this.qtdelinhas = 0;
} else { 
qtdelinhasNull = false;
this.qtdelinhas = qtdelinhas;
}
}

public int getQtdeservico() {
return qtdeservico;
}

public boolean isQtdeservicoNull() {
return qtdeservicoNull;
}

public void setQtdeservico(Integer qtdeservico) {
if (qtdeservico == null) {
qtdeservicoNull = true;
this.qtdeservico = 0;
} else { 
qtdeservicoNull = false;
this.qtdeservico = qtdeservico;
}
}

public int getQtdecoment() {
return qtdecoment;
}

public boolean isQtdecomentNull() {
return qtdecomentNull;
}

public void setQtdecoment(Integer qtdecoment) {
if (qtdecoment == null) {
qtdecomentNull = true;
this.qtdecoment = 0;
} else { 
qtdecomentNull = false;
this.qtdecoment = qtdecoment;
}
}

public String getUsactareduzida() {
return usactareduzida;
}

public void setUsactareduzida(String usactareduzida) {
this.usactareduzida = usactareduzida;
}

public String getUsatempopadrao() {
return usatempopadrao;
}

public void setUsatempopadrao(String usatempopadrao) {
this.usatempopadrao = usatempopadrao;
}

public String getUsaromaneio() {
return usaromaneio;
}

public void setUsaromaneio(String usaromaneio) {
this.usaromaneio = usaromaneio;
}

public String getUsadigconta() {
return usadigconta;
}

public void setUsadigconta(String usadigconta) {
this.usadigconta = usadigconta;
}

public String getBloqvenda() {
return bloqvenda;
}

public void setBloqvenda(String bloqvenda) {
this.bloqvenda = bloqvenda;
}

public String getBloqcliven() {
return bloqcliven;
}

public void setBloqcliven(String bloqcliven) {
this.bloqcliven = bloqcliven;
}

public int getDiascarta1() {
return diascarta1;
}

public boolean isDiascarta1Null() {
return diascarta1Null;
}

public void setDiascarta1(Integer diascarta1) {
if (diascarta1 == null) {
diascarta1Null = true;
this.diascarta1 = 0;
} else { 
diascarta1Null = false;
this.diascarta1 = diascarta1;
}
}

public int getDiascarta2() {
return diascarta2;
}

public boolean isDiascarta2Null() {
return diascarta2Null;
}

public void setDiascarta2(Integer diascarta2) {
if (diascarta2 == null) {
diascarta2Null = true;
this.diascarta2 = 0;
} else { 
diascarta2Null = false;
this.diascarta2 = diascarta2;
}
}

public int getDiascarta3() {
return diascarta3;
}

public boolean isDiascarta3Null() {
return diascarta3Null;
}

public void setDiascarta3(Integer diascarta3) {
if (diascarta3 == null) {
diascarta3Null = true;
this.diascarta3 = 0;
} else { 
diascarta3Null = false;
this.diascarta3 = diascarta3;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getNroformnota() {
return nroformnota;
}

public boolean isNroformnotaNull() {
return nroformnotaNull;
}

public void setNroformnota(Integer nroformnota) {
if (nroformnota == null) {
nroformnotaNull = true;
this.nroformnota = 0;
} else { 
nroformnotaNull = false;
this.nroformnota = nroformnota;
}
}

public int getNroformdupl() {
return nroformdupl;
}

public boolean isNroformduplNull() {
return nroformduplNull;
}

public void setNroformdupl(Integer nroformdupl) {
if (nroformdupl == null) {
nroformduplNull = true;
this.nroformdupl = 0;
} else { 
nroformduplNull = false;
this.nroformdupl = nroformdupl;
}
}

public int getNroformos() {
return nroformos;
}

public boolean isNroformosNull() {
return nroformosNull;
}

public void setNroformos(Integer nroformos) {
if (nroformos == null) {
nroformosNull = true;
this.nroformos = 0;
} else { 
nroformosNull = false;
this.nroformos = nroformos;
}
}

public String getContnfaut() {
return contnfaut;
}

public void setContnfaut(String contnfaut) {
this.contnfaut = contnfaut;
}

public String getConferemerc() {
return conferemerc;
}

public void setConferemerc(String conferemerc) {
this.conferemerc = conferemerc;
}

public String getUtilizanff() {
return utilizanff;
}

public void setUtilizanff(String utilizanff) {
this.utilizanff = utilizanff;
}

public String getImprimeosint() {
return imprimeosint;
}

public void setImprimeosint(String imprimeosint) {
this.imprimeosint = imprimeosint;
}

public double getPerccofins() {
return perccofins;
}

public boolean isPerccofinsNull() {
return perccofinsNull;
}

public void setPerccofins(int perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(long perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(Double perccofins) {
if (perccofins == null) {
perccofinsNull = true;
this.perccofins = 0.;
} else { 
perccofinsNull = false;
this.perccofins = FglDouble.round(perccofins, 2);
}
}

public double getPercpis() {
return percpis;
}

public boolean isPercpisNull() {
return percpisNull;
}

public void setPercpis(int percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(long percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(Double percpis) {
if (percpis == null) {
percpisNull = true;
this.percpis = 0.;
} else { 
percpisNull = false;
this.percpis = FglDouble.round(percpis, 2);
}
}

public int getNroplano() {
return nroplano;
}

public boolean isNroplanoNull() {
return nroplanoNull;
}

public void setNroplano(Integer nroplano) {
if (nroplano == null) {
nroplanoNull = true;
this.nroplano = 0;
} else { 
nroplanoNull = false;
this.nroplano = nroplano;
}
}

public String getComplserv() {
return complserv;
}

public void setComplserv(String complserv) {
this.complserv = complserv;
}

public String getPisecusto() {
return pisecusto;
}

public void setPisecusto(String pisecusto) {
this.pisecusto = pisecusto;
}

public int getNroformfatu() {
return nroformfatu;
}

public boolean isNroformfatuNull() {
return nroformfatuNull;
}

public void setNroformfatu(Integer nroformfatu) {
if (nroformfatu == null) {
nroformfatuNull = true;
this.nroformfatu = 0;
} else { 
nroformfatuNull = false;
this.nroformfatu = nroformfatu;
}
}

public int getDiasbloqcxba() {
return diasbloqcxba;
}

public boolean isDiasbloqcxbaNull() {
return diasbloqcxbaNull;
}

public void setDiasbloqcxba(Integer diasbloqcxba) {
if (diasbloqcxba == null) {
diasbloqcxbaNull = true;
this.diasbloqcxba = 0;
} else { 
diasbloqcxbaNull = false;
this.diasbloqcxba = diasbloqcxba;
}
}

public String getReabreos() {
return reabreos;
}

public void setReabreos(String reabreos) {
this.reabreos = reabreos;
}

public String getReabreorc() {
return reabreorc;
}

public void setReabreorc(String reabreorc) {
this.reabreorc = reabreorc;
}

public String getAlteraveic() {
return alteraveic;
}

public void setAlteraveic(String alteraveic) {
this.alteraveic = alteraveic;
}

public String getAltrapidacli() {
return altrapidacli;
}

public void setAltrapidacli(String altrapidacli) {
this.altrapidacli = altrapidacli;
}

public int getFilialpreco() {
return filialpreco;
}

public boolean isFilialprecoNull() {
return filialprecoNull;
}

public void setFilialpreco(Integer filialpreco) {
if (filialpreco == null) {
filialprecoNull = true;
this.filialpreco = 0;
} else { 
filialprecoNull = false;
this.filialpreco = filialpreco;
}
}

public FglDate getDtbloqnf() {
return dtbloqnf;
}

public void setDtbloqnf(FglDate dtbloqnf) {
this.dtbloqnf = dtbloqnf;
}

public String getBloqmvtocxba() {
return bloqmvtocxba;
}

public void setBloqmvtocxba(String bloqmvtocxba) {
this.bloqmvtocxba = bloqmvtocxba;
}

public int getTptribir() {
return tptribir;
}

public boolean isTptribirNull() {
return tptribirNull;
}

public void setTptribir(Integer tptribir) {
if (tptribir == null) {
tptribirNull = true;
this.tptribir = 0;
} else { 
tptribirNull = false;
this.tptribir = tptribir;
}
}

public int getFilialprecov() {
return filialprecov;
}

public boolean isFilialprecovNull() {
return filialprecovNull;
}

public void setFilialprecov(Integer filialprecov) {
if (filialprecov == null) {
filialprecovNull = true;
this.filialprecov = 0;
} else { 
filialprecovNull = false;
this.filialprecov = filialprecov;
}
}

public String getUsaauttitpag() {
return usaauttitpag;
}

public void setUsaauttitpag(String usaauttitpag) {
this.usaauttitpag = usaauttitpag;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

public String getBloqlctofut() {
return bloqlctofut;
}

public void setBloqlctofut(String bloqlctofut) {
this.bloqlctofut = bloqlctofut;
}

public String getPermlanctoretro() {
return permlanctoretro;
}

public void setPermlanctoretro(String permlanctoretro) {
this.permlanctoretro = permlanctoretro;
}

public FglDateTimeYM getAnomeslanctoretro() {
return anomeslanctoretro;
}

public void setAnomeslanctoretro(FglDateTimeYM anomeslanctoretro) {
this.anomeslanctoretro = anomeslanctoretro;
}

public int getDiasnfretroativo() {
return diasnfretroativo;
}

public boolean isDiasnfretroativoNull() {
return diasnfretroativoNull;
}

public void setDiasnfretroativo(Integer diasnfretroativo) {
if (diasnfretroativo == null) {
diasnfretroativoNull = true;
this.diasnfretroativo = 0;
} else { 
diasnfretroativoNull = false;
this.diasnfretroativo = diasnfretroativo;
}
}

}

