package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCoinfins {
@Coluna(nome="coinfins.id_grupo", tipo="double")
private double idGrupo;
private boolean idGrupoNull;
@Coluna(nome="coinfins.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="coinfins.nome", tipo="String")
private String nome;
@Coluna(nome="coinfins.numero", tipo="int")
private int numero;
private boolean numeroNull;
@Coluna(nome="coinfins.status", tipo="String")
private String status;
@Coluna(nome="coinfins.versao", tipo="String")
private String versao;
@Coluna(nome="coinfins.host", tipo="String")
private String host;

public TabCoinfins() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setAnomes(null);
setNome(null);
setNumero(null);
setStatus(null);
setVersao(null);
setHost(null);
}

public TabCoinfins(double idGrupo, FglDateTimeYM anomes, String nome, int numero, String status, String versao, String host) {
this.idGrupo = idGrupo;
this.anomes = anomes;
this.nome = nome;
this.numero = numero;
this.status = status;
this.versao = versao;
this.host = host;
}

public double getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(int idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(long idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(Double idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0.;
} else { 
idGrupoNull = false;
this.idGrupo = FglDouble.round(idGrupo, 2);
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public int getNumero() {
return numero;
}

public boolean isNumeroNull() {
return numeroNull;
}

public void setNumero(Integer numero) {
if (numero == null) {
numeroNull = true;
this.numero = 0;
} else { 
numeroNull = false;
this.numero = numero;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getHost() {
return host;
}

public void setHost(String host) {
this.host = host;
}

}

