package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCoinsdbs {
@Coluna(nome="coinsdbs.id_grupo", tipo="double")
private double idGrupo;
private boolean idGrupoNull;
@Coluna(nome="coinsdbs.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="coinsdbs.nomeinstancia", tipo="String")
private String nomeinstancia;
@Coluna(nome="coinsdbs.nomebddbs", tipo="String")
private String nomebddbs;
@Coluna(nome="coinsdbs.tipo", tipo="String")
private String tipo;

public TabCoinsdbs() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setAnomes(null);
setNomeinstancia(null);
setNomebddbs(null);
setTipo(null);
}

public TabCoinsdbs(double idGrupo, FglDateTimeYM anomes, String nomeinstancia, String nomebddbs, String tipo) {
this.idGrupo = idGrupo;
this.anomes = anomes;
this.nomeinstancia = nomeinstancia;
this.nomebddbs = nomebddbs;
this.tipo = tipo;
}

public double getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(int idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(long idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(Double idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0.;
} else { 
idGrupoNull = false;
this.idGrupo = FglDouble.round(idGrupo, 2);
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getNomeinstancia() {
return nomeinstancia;
}

public void setNomeinstancia(String nomeinstancia) {
this.nomeinstancia = nomeinstancia;
}

public String getNomebddbs() {
return nomebddbs;
}

public void setNomebddbs(String nomebddbs) {
this.nomebddbs = nomebddbs;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

}

