package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCointtur {
@Coluna(nome="cointtur.codturno", tipo="int")
private int codturno;
private boolean codturnoNull;
@Coluna(nome="cointtur.diasemana", tipo="int")
private int diasemana;
private boolean diasemanaNull;
@Coluna(nome="cointtur.hriniinter", tipo="FglDateTimeHMin")
private FglDateTimeHMin hriniinter;
@Coluna(nome="cointtur.hrfiminter", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfiminter;

public TabCointtur() {
initialize();
}

public void initialize() {
setCodturno(null);
setDiasemana(null);
setHriniinter(null);
setHrfiminter(null);
}

public TabCointtur(int codturno, int diasemana, FglDateTimeHMin hriniinter, FglDateTimeHMin hrfiminter) {
this.codturno = codturno;
this.diasemana = diasemana;
this.hriniinter = hriniinter;
this.hrfiminter = hrfiminter;
}

public int getCodturno() {
return codturno;
}

public boolean isCodturnoNull() {
return codturnoNull;
}

public void setCodturno(Integer codturno) {
if (codturno == null) {
codturnoNull = true;
this.codturno = 0;
} else { 
codturnoNull = false;
this.codturno = codturno;
}
}

public int getDiasemana() {
return diasemana;
}

public boolean isDiasemanaNull() {
return diasemanaNull;
}

public void setDiasemana(Integer diasemana) {
if (diasemana == null) {
diasemanaNull = true;
this.diasemana = 0;
} else { 
diasemanaNull = false;
this.diasemana = diasemana;
}
}

public FglDateTimeHMin getHriniinter() {
return hriniinter;
}

public void setHriniinter(FglDateTimeHMin hriniinter) {
this.hriniinter = hriniinter;
}

public FglDateTimeHMin getHrfiminter() {
return hrfiminter;
}

public void setHrfiminter(FglDateTimeHMin hrfiminter) {
this.hrfiminter = hrfiminter;
}

}

