package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabComodset {
@Coluna(nome="comodset.modelo", tipo="String")
private String modelo;
@Coluna(nome="comodset.novousado", tipo="String")
private String novousado;
@Coluna(nome="comodset.vlrmincomi", tipo="double")
private double vlrmincomi;
private boolean vlrmincomiNull;

public TabComodset() {
initialize();
}

public void initialize() {
setModelo(null);
setNovousado(null);
setVlrmincomi(null);
}

public TabComodset(String modelo, String novousado, double vlrmincomi) {
this.modelo = modelo;
this.novousado = novousado;
this.vlrmincomi = vlrmincomi;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public double getVlrmincomi() {
return vlrmincomi;
}

public boolean isVlrmincomiNull() {
return vlrmincomiNull;
}

public void setVlrmincomi(int vlrmincomi) {
setVlrmincomi(new Double(vlrmincomi));
}

public void setVlrmincomi(long vlrmincomi) {
setVlrmincomi(new Double(vlrmincomi));
}

public void setVlrmincomi(Double vlrmincomi) {
if (vlrmincomi == null) {
vlrmincomiNull = true;
this.vlrmincomi = 0.;
} else { 
vlrmincomiNull = false;
this.vlrmincomi = FglDouble.round(vlrmincomi, 2);
}
}

}

