package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCoproces {
@Coluna(nome="coproces.id_grupo", tipo="double")
private double idGrupo;
private boolean idGrupoNull;
@Coluna(nome="coproces.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="coproces.nome", tipo="String")
private String nome;
@Coluna(nome="coproces.qtdeprocessadores", tipo="int")
private int qtdeprocessadores;
private boolean qtdeprocessadoresNull;
@Coluna(nome="coproces.qtdenucleos", tipo="int")
private int qtdenucleos;
private boolean qtdenucleosNull;
@Coluna(nome="coproces.cpumhz", tipo="double")
private double cpumhz;
private boolean cpumhzNull;
@Coluna(nome="coproces.cachesize", tipo="double")
private double cachesize;
private boolean cachesizeNull;
@Coluna(nome="coproces.bogomips", tipo="double")
private double bogomips;
private boolean bogomipsNull;

public TabCoproces() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setAnomes(null);
setNome(null);
setQtdeprocessadores(null);
setQtdenucleos(null);
setCpumhz(null);
setCachesize(null);
setBogomips(null);
}

public TabCoproces(double idGrupo, FglDateTimeYM anomes, String nome, int qtdeprocessadores, int qtdenucleos, double cpumhz, double cachesize, double bogomips) {
this.idGrupo = idGrupo;
this.anomes = anomes;
this.nome = nome;
this.qtdeprocessadores = qtdeprocessadores;
this.qtdenucleos = qtdenucleos;
this.cpumhz = cpumhz;
this.cachesize = cachesize;
this.bogomips = bogomips;
}

public double getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(int idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(long idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(Double idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0.;
} else { 
idGrupoNull = false;
this.idGrupo = FglDouble.round(idGrupo, 2);
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public int getQtdeprocessadores() {
return qtdeprocessadores;
}

public boolean isQtdeprocessadoresNull() {
return qtdeprocessadoresNull;
}

public void setQtdeprocessadores(Integer qtdeprocessadores) {
if (qtdeprocessadores == null) {
qtdeprocessadoresNull = true;
this.qtdeprocessadores = 0;
} else { 
qtdeprocessadoresNull = false;
this.qtdeprocessadores = qtdeprocessadores;
}
}

public int getQtdenucleos() {
return qtdenucleos;
}

public boolean isQtdenucleosNull() {
return qtdenucleosNull;
}

public void setQtdenucleos(Integer qtdenucleos) {
if (qtdenucleos == null) {
qtdenucleosNull = true;
this.qtdenucleos = 0;
} else { 
qtdenucleosNull = false;
this.qtdenucleos = qtdenucleos;
}
}

public double getCpumhz() {
return cpumhz;
}

public boolean isCpumhzNull() {
return cpumhzNull;
}

public void setCpumhz(int cpumhz) {
setCpumhz(new Double(cpumhz));
}

public void setCpumhz(long cpumhz) {
setCpumhz(new Double(cpumhz));
}

public void setCpumhz(Double cpumhz) {
if (cpumhz == null) {
cpumhzNull = true;
this.cpumhz = 0.;
} else { 
cpumhzNull = false;
this.cpumhz = FglDouble.round(cpumhz, 3);
}
}

public double getCachesize() {
return cachesize;
}

public boolean isCachesizeNull() {
return cachesizeNull;
}

public void setCachesize(int cachesize) {
setCachesize(new Double(cachesize));
}

public void setCachesize(long cachesize) {
setCachesize(new Double(cachesize));
}

public void setCachesize(Double cachesize) {
if (cachesize == null) {
cachesizeNull = true;
this.cachesize = 0.;
} else { 
cachesizeNull = false;
this.cachesize = FglDouble.round(cachesize, 3);
}
}

public double getBogomips() {
return bogomips;
}

public boolean isBogomipsNull() {
return bogomipsNull;
}

public void setBogomips(int bogomips) {
setBogomips(new Double(bogomips));
}

public void setBogomips(long bogomips) {
setBogomips(new Double(bogomips));
}

public void setBogomips(Double bogomips) {
if (bogomips == null) {
bogomipsNull = true;
this.bogomips = 0.;
} else { 
bogomipsNull = false;
this.bogomips = FglDouble.round(bogomips, 3);
}
}

}

