package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCoturage {
@Coluna(nome="coturage.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="coturage.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="coturage.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="coturage.codturno", tipo="int")
private int codturno;
private boolean codturnoNull;

public TabCoturage() {
initialize();
}

public void initialize() {
setIdAgente(null);
setDtinicio(null);
setDtfim(null);
setCodturno(null);
}

public TabCoturage(int idAgente, FglDate dtinicio, FglDate dtfim, int codturno) {
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.codturno = codturno;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public int getCodturno() {
return codturno;
}

public boolean isCodturnoNull() {
return codturnoNull;
}

public void setCodturno(Integer codturno) {
if (codturno == null) {
codturnoNull = true;
this.codturno = 0;
} else { 
codturnoNull = false;
this.codturno = codturno;
}
}

}

