package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCoturnos {
@Coluna(nome="coturnos.codturno", tipo="int")
private int codturno;
private boolean codturnoNull;
@Coluna(nome="coturnos.diasemana", tipo="int")
private int diasemana;
private boolean diasemanaNull;
@Coluna(nome="coturnos.hriniturno", tipo="FglDateTimeHMin")
private FglDateTimeHMin hriniturno;
@Coluna(nome="coturnos.hrfimturno", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfimturno;

public TabCoturnos() {
initialize();
}

public void initialize() {
setCodturno(null);
setDiasemana(null);
setHriniturno(null);
setHrfimturno(null);
}

public TabCoturnos(int codturno, int diasemana, FglDateTimeHMin hriniturno, FglDateTimeHMin hrfimturno) {
this.codturno = codturno;
this.diasemana = diasemana;
this.hriniturno = hriniturno;
this.hrfimturno = hrfimturno;
}

public int getCodturno() {
return codturno;
}

public boolean isCodturnoNull() {
return codturnoNull;
}

public void setCodturno(Integer codturno) {
if (codturno == null) {
codturnoNull = true;
this.codturno = 0;
} else { 
codturnoNull = false;
this.codturno = codturno;
}
}

public int getDiasemana() {
return diasemana;
}

public boolean isDiasemanaNull() {
return diasemanaNull;
}

public void setDiasemana(Integer diasemana) {
if (diasemana == null) {
diasemanaNull = true;
this.diasemana = 0;
} else { 
diasemanaNull = false;
this.diasemana = diasemana;
}
}

public FglDateTimeHMin getHriniturno() {
return hriniturno;
}

public void setHriniturno(FglDateTimeHMin hriniturno) {
this.hriniturno = hriniturno;
}

public FglDateTimeHMin getHrfimturno() {
return hrfimturno;
}

public void setHrfimturno(FglDateTimeHMin hrfimturno) {
this.hrfimturno = hrfimturno;
}

}

