package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCpchelot {
@Coluna(nome="cpchelot.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cpchelot.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cpchelot.cheque_ini", tipo="int")
private int chequeIni;
private boolean chequeIniNull;
@Coluna(nome="cpchelot.cheque_fim", tipo="int")
private int chequeFim;
private boolean chequeFimNull;
@Coluna(nome="cpchelot.serie_lote", tipo="String")
private String serieLote;
@Coluna(nome="cpchelot.ch_utilizado", tipo="int")
private int chUtilizado;
private boolean chUtilizadoNull;
@Coluna(nome="cpchelot.dtemissao_ini", tipo="FglDate")
private FglDate dtemissaoIni;
@Coluna(nome="cpchelot.dtemissao_fim", tipo="FglDate")
private FglDate dtemissaoFim;

public TabCpchelot() {
initialize();
}

public void initialize() {
setFilial(null);
setIdBancos(null);
setChequeIni(null);
setChequeFim(null);
setSerieLote(null);
setChUtilizado(null);
setDtemissaoIni(null);
setDtemissaoFim(null);
}

public TabCpchelot(int filial, int idBancos, int chequeIni, int chequeFim, String serieLote, int chUtilizado, FglDate dtemissaoIni, FglDate dtemissaoFim) {
this.filial = filial;
this.idBancos = idBancos;
this.chequeIni = chequeIni;
this.chequeFim = chequeFim;
this.serieLote = serieLote;
this.chUtilizado = chUtilizado;
this.dtemissaoIni = dtemissaoIni;
this.dtemissaoFim = dtemissaoFim;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getChequeIni() {
return chequeIni;
}

public boolean isChequeIniNull() {
return chequeIniNull;
}

public void setChequeIni(Integer chequeIni) {
if (chequeIni == null) {
chequeIniNull = true;
this.chequeIni = 0;
} else { 
chequeIniNull = false;
this.chequeIni = chequeIni;
}
}

public int getChequeFim() {
return chequeFim;
}

public boolean isChequeFimNull() {
return chequeFimNull;
}

public void setChequeFim(Integer chequeFim) {
if (chequeFim == null) {
chequeFimNull = true;
this.chequeFim = 0;
} else { 
chequeFimNull = false;
this.chequeFim = chequeFim;
}
}

public String getSerieLote() {
return serieLote;
}

public void setSerieLote(String serieLote) {
this.serieLote = serieLote;
}

public int getChUtilizado() {
return chUtilizado;
}

public boolean isChUtilizadoNull() {
return chUtilizadoNull;
}

public void setChUtilizado(Integer chUtilizado) {
if (chUtilizado == null) {
chUtilizadoNull = true;
this.chUtilizado = 0;
} else { 
chUtilizadoNull = false;
this.chUtilizado = chUtilizado;
}
}

public FglDate getDtemissaoIni() {
return dtemissaoIni;
}

public void setDtemissaoIni(FglDate dtemissaoIni) {
this.dtemissaoIni = dtemissaoIni;
}

public FglDate getDtemissaoFim() {
return dtemissaoFim;
}

public void setDtemissaoFim(FglDate dtemissaoFim) {
this.dtemissaoFim = dtemissaoFim;
}

}

