package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpcheque {
@Coluna(nome="cpcheque.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cpcheque.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cpcheque.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="cpcheque.sercheque", tipo="String")
private String sercheque;
@Coluna(nome="cpcheque.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="cpcheque.dtcompens", tipo="FglDate")
private FglDate dtcompens;
@Coluna(nome="cpcheque.favorecido", tipo="String")
private String favorecido;
@Coluna(nome="cpcheque.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpcheque.id_memcap", tipo="int")
private int idMemcap;
private boolean idMemcapNull;
@Coluna(nome="cpcheque.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabCpcheque() {
initialize();
}

public void initialize() {
setFilial(null);
setIdBancos(null);
setNrocheque(null);
setSercheque(null);
setDtemissao(null);
setDtcompens(null);
setFavorecido(null);
setValor(null);
setIdMemcap(null);
setIdLancto(null);
}

public TabCpcheque(int filial, int idBancos, int nrocheque, String sercheque, FglDate dtemissao, FglDate dtcompens, String favorecido, double valor, int idMemcap, int idLancto) {
this.filial = filial;
this.idBancos = idBancos;
this.nrocheque = nrocheque;
this.sercheque = sercheque;
this.dtemissao = dtemissao;
this.dtcompens = dtcompens;
this.favorecido = favorecido;
this.valor = valor;
this.idMemcap = idMemcap;
this.idLancto = idLancto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public String getSercheque() {
return sercheque;
}

public void setSercheque(String sercheque) {
this.sercheque = sercheque;
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public FglDate getDtcompens() {
return dtcompens;
}

public void setDtcompens(FglDate dtcompens) {
this.dtcompens = dtcompens;
}

public String getFavorecido() {
return favorecido;
}

public void setFavorecido(String favorecido) {
this.favorecido = favorecido;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdMemcap() {
return idMemcap;
}

public boolean isIdMemcapNull() {
return idMemcapNull;
}

public void setIdMemcap(Integer idMemcap) {
if (idMemcap == null) {
idMemcapNull = true;
this.idMemcap = 0;
} else { 
idMemcapNull = false;
this.idMemcap = idMemcap;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

