package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpmembai {
@Coluna(nome="cpmembai.id_memorando", tipo="int")
private int idMemorando;
private boolean idMemorandoNull;
@Coluna(nome="cpmembai.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpmembai.tppagto", tipo="String")
private String tppagto;
@Coluna(nome="cpmembai.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCpmembai() {
initialize();
}

public void initialize() {
setIdMemorando(null);
setIdOrdpag(null);
setTppagto(null);
setValor(null);
}

public TabCpmembai(int idMemorando, int idOrdpag, String tppagto, double valor) {
this.idMemorando = idMemorando;
this.idOrdpag = idOrdpag;
this.tppagto = tppagto;
this.valor = valor;
}

public int getIdMemorando() {
return idMemorando;
}

public boolean isIdMemorandoNull() {
return idMemorandoNull;
}

public void setIdMemorando(Integer idMemorando) {
if (idMemorando == null) {
idMemorandoNull = true;
this.idMemorando = 0;
} else { 
idMemorandoNull = false;
this.idMemorando = idMemorando;
}
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public String getTppagto() {
return tppagto;
}

public void setTppagto(String tppagto) {
this.tppagto = tppagto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

