package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpordgps {
@Coluna(nome="cpordgps.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpordgps.codpagto", tipo="int")
private int codpagto;
private boolean codpagtoNull;
@Coluna(nome="cpordgps.competenc", tipo="FglDate")
private FglDate competenc;
@Coluna(nome="cpordgps.identific", tipo="long")
private long identific;
private boolean identificNull;
@Coluna(nome="cpordgps.vlrentid", tipo="double")
private double vlrentid;
private boolean vlrentidNull;
@Coluna(nome="cpordgps.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;

public TabCpordgps() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setCodpagto(null);
setCompetenc(null);
setIdentific(null);
setVlrentid(null);
setVlrjuros(null);
}

public TabCpordgps(int idOrdpag, int codpagto, FglDate competenc, long identific, double vlrentid, double vlrjuros) {
this.idOrdpag = idOrdpag;
this.codpagto = codpagto;
this.competenc = competenc;
this.identific = identific;
this.vlrentid = vlrentid;
this.vlrjuros = vlrjuros;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public int getCodpagto() {
return codpagto;
}

public boolean isCodpagtoNull() {
return codpagtoNull;
}

public void setCodpagto(Integer codpagto) {
if (codpagto == null) {
codpagtoNull = true;
this.codpagto = 0;
} else { 
codpagtoNull = false;
this.codpagto = codpagto;
}
}

public FglDate getCompetenc() {
return competenc;
}

public void setCompetenc(FglDate competenc) {
this.competenc = competenc;
}

public long getIdentific() {
return identific;
}

public boolean isIdentificNull() {
return identificNull;
}

public void setIdentific(int identific) {
setIdentific(new Long(identific));
}

public void setIdentific(Long identific) {
if (identific == null) {
identificNull = true;
this.identific = 0l;
} else { 
identificNull = false;
this.identific = identific;
}
}

public double getVlrentid() {
return vlrentid;
}

public boolean isVlrentidNull() {
return vlrentidNull;
}

public void setVlrentid(int vlrentid) {
setVlrentid(new Double(vlrentid));
}

public void setVlrentid(long vlrentid) {
setVlrentid(new Double(vlrentid));
}

public void setVlrentid(Double vlrentid) {
if (vlrentid == null) {
vlrentidNull = true;
this.vlrentid = 0.;
} else { 
vlrentidNull = false;
this.vlrentid = FglDouble.round(vlrentid, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

}

