package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpordmul {
@Coluna(nome="cpordmul.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpordmul.dtliberacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtliberacao;
@Coluna(nome="cpordmul.loginliberacao", tipo="String")
private String loginliberacao;
@Coluna(nome="cpordmul.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;
@Coluna(nome="cpordmul.vlrmultaori", tipo="double")
private double vlrmultaori;
private boolean vlrmultaoriNull;
@Coluna(nome="cpordmul.vlrmultalib", tipo="double")
private double vlrmultalib;
private boolean vlrmultalibNull;

public TabCpordmul() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setDtliberacao(null);
setLoginliberacao(null);
setDtvalidade(null);
setVlrmultaori(null);
setVlrmultalib(null);
}

public TabCpordmul(int idOrdpag, FglDateTimeYS dtliberacao, String loginliberacao, FglDate dtvalidade, double vlrmultaori, double vlrmultalib) {
this.idOrdpag = idOrdpag;
this.dtliberacao = dtliberacao;
this.loginliberacao = loginliberacao;
this.dtvalidade = dtvalidade;
this.vlrmultaori = vlrmultaori;
this.vlrmultalib = vlrmultalib;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public FglDateTimeYS getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDateTimeYS dtliberacao) {
this.dtliberacao = dtliberacao;
}

public String getLoginliberacao() {
return loginliberacao;
}

public void setLoginliberacao(String loginliberacao) {
this.loginliberacao = loginliberacao;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

public double getVlrmultaori() {
return vlrmultaori;
}

public boolean isVlrmultaoriNull() {
return vlrmultaoriNull;
}

public void setVlrmultaori(int vlrmultaori) {
setVlrmultaori(new Double(vlrmultaori));
}

public void setVlrmultaori(long vlrmultaori) {
setVlrmultaori(new Double(vlrmultaori));
}

public void setVlrmultaori(Double vlrmultaori) {
if (vlrmultaori == null) {
vlrmultaoriNull = true;
this.vlrmultaori = 0.;
} else { 
vlrmultaoriNull = false;
this.vlrmultaori = FglDouble.round(vlrmultaori, 2);
}
}

public double getVlrmultalib() {
return vlrmultalib;
}

public boolean isVlrmultalibNull() {
return vlrmultalibNull;
}

public void setVlrmultalib(int vlrmultalib) {
setVlrmultalib(new Double(vlrmultalib));
}

public void setVlrmultalib(long vlrmultalib) {
setVlrmultalib(new Double(vlrmultalib));
}

public void setVlrmultalib(Double vlrmultalib) {
if (vlrmultalib == null) {
vlrmultalibNull = true;
this.vlrmultalib = 0.;
} else { 
vlrmultalibNull = false;
this.vlrmultalib = FglDouble.round(vlrmultalib, 2);
}
}

}

