package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpordsub {
@Coluna(nome="cpordsub.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpordsub.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpordsub.tppagto", tipo="String")
private String tppagto;

public TabCpordsub() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setValor(null);
setTppagto(null);
}

public TabCpordsub(int idOrdpag, double valor, String tppagto) {
this.idOrdpag = idOrdpag;
this.valor = valor;
this.tppagto = tppagto;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getTppagto() {
return tppagto;
}

public void setTppagto(String tppagto) {
this.tppagto = tppagto;
}

}

