package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpparneg {
@Coluna(nome="cpparneg.id_dogneg", tipo="int")
private int idDogneg;
private boolean idDognegNull;
@Coluna(nome="cpparneg.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="cpparneg.dtdocto", tipo="FglDate")
private FglDate dtdocto;
@Coluna(nome="cpparneg.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cpparneg.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpparneg.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cpparneg.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cpparneg.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cpparneg.vlrdesc", tipo="double")
private double vlrdesc;
private boolean vlrdescNull;
@Coluna(nome="cpparneg.vlrcorrec", tipo="double")
private double vlrcorrec;
private boolean vlrcorrecNull;
@Coluna(nome="cpparneg.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="cpparneg.vlriof", tipo="double")
private double vlriof;
private boolean vlriofNull;
@Coluna(nome="cpparneg.vlrmulta", tipo="double")
private double vlrmulta;
private boolean vlrmultaNull;
@Coluna(nome="cpparneg.id_ordpagori", tipo="int")
private int idOrdpagori;
private boolean idOrdpagoriNull;
@Coluna(nome="cpparneg.id_ordpagdes", tipo="int")
private int idOrdpagdes;
private boolean idOrdpagdesNull;
@Coluna(nome="cpparneg.observacao", tipo="String")
private String observacao;

public TabCpparneg() {
initialize();
}

public void initialize() {
setIdDogneg(null);
setParcela(null);
setDtdocto(null);
setDtvencto(null);
setValor(null);
setCondpgto(null);
setIdBancos(null);
setIdSetor(null);
setVlrdesc(null);
setVlrcorrec(null);
setVlrjuros(null);
setVlriof(null);
setVlrmulta(null);
setIdOrdpagori(null);
setIdOrdpagdes(null);
setObservacao(null);
}

public TabCpparneg(int idDogneg, int parcela, FglDate dtdocto, FglDate dtvencto, double valor, int condpgto, int idBancos, int idSetor, double vlrdesc, double vlrcorrec, double vlrjuros, double vlriof, double vlrmulta, int idOrdpagori, int idOrdpagdes, String observacao) {
this.idDogneg = idDogneg;
this.parcela = parcela;
this.dtdocto = dtdocto;
this.dtvencto = dtvencto;
this.valor = valor;
this.condpgto = condpgto;
this.idBancos = idBancos;
this.idSetor = idSetor;
this.vlrdesc = vlrdesc;
this.vlrcorrec = vlrcorrec;
this.vlrjuros = vlrjuros;
this.vlriof = vlriof;
this.vlrmulta = vlrmulta;
this.idOrdpagori = idOrdpagori;
this.idOrdpagdes = idOrdpagdes;
this.observacao = observacao;
}

public int getIdDogneg() {
return idDogneg;
}

public boolean isIdDognegNull() {
return idDognegNull;
}

public void setIdDogneg(Integer idDogneg) {
if (idDogneg == null) {
idDognegNull = true;
this.idDogneg = 0;
} else { 
idDognegNull = false;
this.idDogneg = idDogneg;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public FglDate getDtdocto() {
return dtdocto;
}

public void setDtdocto(FglDate dtdocto) {
this.dtdocto = dtdocto;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public double getVlrdesc() {
return vlrdesc;
}

public boolean isVlrdescNull() {
return vlrdescNull;
}

public void setVlrdesc(int vlrdesc) {
setVlrdesc(new Double(vlrdesc));
}

public void setVlrdesc(long vlrdesc) {
setVlrdesc(new Double(vlrdesc));
}

public void setVlrdesc(Double vlrdesc) {
if (vlrdesc == null) {
vlrdescNull = true;
this.vlrdesc = 0.;
} else { 
vlrdescNull = false;
this.vlrdesc = FglDouble.round(vlrdesc, 2);
}
}

public double getVlrcorrec() {
return vlrcorrec;
}

public boolean isVlrcorrecNull() {
return vlrcorrecNull;
}

public void setVlrcorrec(int vlrcorrec) {
setVlrcorrec(new Double(vlrcorrec));
}

public void setVlrcorrec(long vlrcorrec) {
setVlrcorrec(new Double(vlrcorrec));
}

public void setVlrcorrec(Double vlrcorrec) {
if (vlrcorrec == null) {
vlrcorrecNull = true;
this.vlrcorrec = 0.;
} else { 
vlrcorrecNull = false;
this.vlrcorrec = FglDouble.round(vlrcorrec, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public double getVlriof() {
return vlriof;
}

public boolean isVlriofNull() {
return vlriofNull;
}

public void setVlriof(int vlriof) {
setVlriof(new Double(vlriof));
}

public void setVlriof(long vlriof) {
setVlriof(new Double(vlriof));
}

public void setVlriof(Double vlriof) {
if (vlriof == null) {
vlriofNull = true;
this.vlriof = 0.;
} else { 
vlriofNull = false;
this.vlriof = FglDouble.round(vlriof, 2);
}
}

public double getVlrmulta() {
return vlrmulta;
}

public boolean isVlrmultaNull() {
return vlrmultaNull;
}

public void setVlrmulta(int vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(long vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(Double vlrmulta) {
if (vlrmulta == null) {
vlrmultaNull = true;
this.vlrmulta = 0.;
} else { 
vlrmultaNull = false;
this.vlrmulta = FglDouble.round(vlrmulta, 2);
}
}

public int getIdOrdpagori() {
return idOrdpagori;
}

public boolean isIdOrdpagoriNull() {
return idOrdpagoriNull;
}

public void setIdOrdpagori(Integer idOrdpagori) {
if (idOrdpagori == null) {
idOrdpagoriNull = true;
this.idOrdpagori = 0;
} else { 
idOrdpagoriNull = false;
this.idOrdpagori = idOrdpagori;
}
}

public int getIdOrdpagdes() {
return idOrdpagdes;
}

public boolean isIdOrdpagdesNull() {
return idOrdpagdesNull;
}

public void setIdOrdpagdes(Integer idOrdpagdes) {
if (idOrdpagdes == null) {
idOrdpagdesNull = true;
this.idOrdpagdes = 0;
} else { 
idOrdpagdesNull = false;
this.idOrdpagdes = idOrdpagdes;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

