package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrautdes {
@Coluna(nome="crautdes.id_recbto", tipo="int")
private int idRecbto;
private boolean idRecbtoNull;
@Coluna(nome="crautdes.dtautori", tipo="FglDate")
private FglDate dtautori;
@Coluna(nome="crautdes.hrautori", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrautori;
@Coluna(nome="crautdes.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="crautdes.descontoaut", tipo="double")
private double descontoaut;
private boolean descontoautNull;

public TabCrautdes() {
initialize();
}

public void initialize() {
setIdRecbto(null);
setDtautori(null);
setHrautori(null);
setIdAgente(null);
setDescontoaut(null);
}

public TabCrautdes(int idRecbto, FglDate dtautori, FglDateTimeHMin hrautori, int idAgente, double descontoaut) {
this.idRecbto = idRecbto;
this.dtautori = dtautori;
this.hrautori = hrautori;
this.idAgente = idAgente;
this.descontoaut = descontoaut;
}

public int getIdRecbto() {
return idRecbto;
}

public boolean isIdRecbtoNull() {
return idRecbtoNull;
}

public void setIdRecbto(Integer idRecbto) {
if (idRecbto == null) {
idRecbtoNull = true;
this.idRecbto = 0;
} else { 
idRecbtoNull = false;
this.idRecbto = idRecbto;
}
}

public FglDate getDtautori() {
return dtautori;
}

public void setDtautori(FglDate dtautori) {
this.dtautori = dtautori;
}

public FglDateTimeHMin getHrautori() {
return hrautori;
}

public void setHrautori(FglDateTimeHMin hrautori) {
this.hrautori = hrautori;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public double getDescontoaut() {
return descontoaut;
}

public boolean isDescontoautNull() {
return descontoautNull;
}

public void setDescontoaut(int descontoaut) {
setDescontoaut(new Double(descontoaut));
}

public void setDescontoaut(long descontoaut) {
setDescontoaut(new Double(descontoaut));
}

public void setDescontoaut(Double descontoaut) {
if (descontoaut == null) {
descontoautNull = true;
this.descontoaut = 0.;
} else { 
descontoautNull = false;
this.descontoaut = FglDouble.round(descontoaut, 2);
}
}

}

