package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrautori {
@Coluna(nome="crautori.id_recbto", tipo="int")
private int idRecbto;
private boolean idRecbtoNull;
@Coluna(nome="crautori.dtautori", tipo="FglDate")
private FglDate dtautori;
@Coluna(nome="crautori.hrautori", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrautori;
@Coluna(nome="crautori.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="crautori.tpautori", tipo="String")
private String tpautori;
@Coluna(nome="crautori.valorprev", tipo="double")
private double valorprev;
private boolean valorprevNull;

public TabCrautori() {
initialize();
}

public void initialize() {
setIdRecbto(null);
setDtautori(null);
setHrautori(null);
setIdAgente(null);
setTpautori(null);
setValorprev(null);
}

public TabCrautori(int idRecbto, FglDate dtautori, FglDateTimeHMin hrautori, int idAgente, String tpautori, double valorprev) {
this.idRecbto = idRecbto;
this.dtautori = dtautori;
this.hrautori = hrautori;
this.idAgente = idAgente;
this.tpautori = tpautori;
this.valorprev = valorprev;
}

public int getIdRecbto() {
return idRecbto;
}

public boolean isIdRecbtoNull() {
return idRecbtoNull;
}

public void setIdRecbto(Integer idRecbto) {
if (idRecbto == null) {
idRecbtoNull = true;
this.idRecbto = 0;
} else { 
idRecbtoNull = false;
this.idRecbto = idRecbto;
}
}

public FglDate getDtautori() {
return dtautori;
}

public void setDtautori(FglDate dtautori) {
this.dtautori = dtautori;
}

public FglDateTimeHMin getHrautori() {
return hrautori;
}

public void setHrautori(FglDateTimeHMin hrautori) {
this.hrautori = hrautori;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getTpautori() {
return tpautori;
}

public void setTpautori(String tpautori) {
this.tpautori = tpautori;
}

public double getValorprev() {
return valorprev;
}

public boolean isValorprevNull() {
return valorprevNull;
}

public void setValorprev(int valorprev) {
setValorprev(new Double(valorprev));
}

public void setValorprev(long valorprev) {
setValorprev(new Double(valorprev));
}

public void setValorprev(Double valorprev) {
if (valorprev == null) {
valorprevNull = true;
this.valorprev = 0.;
} else { 
valorprevNull = false;
this.valorprev = FglDouble.round(valorprev, 2);
}
}

}

