package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrcacomp {
@Coluna(nome="crcacomp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crcacomp.camaracomp", tipo="int")
private int camaracomp;
private boolean camaracompNull;
@Coluna(nome="crcacomp.valorcomp", tipo="double")
private double valorcomp;
private boolean valorcompNull;
@Coluna(nome="crcacomp.diascomp", tipo="int")
private int diascomp;
private boolean diascompNull;

public TabCrcacomp() {
initialize();
}

public void initialize() {
setFilial(null);
setCamaracomp(null);
setValorcomp(null);
setDiascomp(null);
}

public TabCrcacomp(int filial, int camaracomp, double valorcomp, int diascomp) {
this.filial = filial;
this.camaracomp = camaracomp;
this.valorcomp = valorcomp;
this.diascomp = diascomp;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getCamaracomp() {
return camaracomp;
}

public boolean isCamaracompNull() {
return camaracompNull;
}

public void setCamaracomp(Integer camaracomp) {
if (camaracomp == null) {
camaracompNull = true;
this.camaracomp = 0;
} else { 
camaracompNull = false;
this.camaracomp = camaracomp;
}
}

public double getValorcomp() {
return valorcomp;
}

public boolean isValorcompNull() {
return valorcompNull;
}

public void setValorcomp(int valorcomp) {
setValorcomp(new Double(valorcomp));
}

public void setValorcomp(long valorcomp) {
setValorcomp(new Double(valorcomp));
}

public void setValorcomp(Double valorcomp) {
if (valorcomp == null) {
valorcompNull = true;
this.valorcomp = 0.;
} else { 
valorcompNull = false;
this.valorcomp = FglDouble.round(valorcomp, 2);
}
}

public int getDiascomp() {
return diascomp;
}

public boolean isDiascompNull() {
return diascompNull;
}

public void setDiascomp(Integer diascomp) {
if (diascomp == null) {
diascompNull = true;
this.diascomp = 0;
} else { 
diascompNull = false;
this.diascomp = diascomp;
}
}

}

