package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrcheque {
@Coluna(nome="crcheque.id_cheque", tipo="int")
private int idCheque;
private boolean idChequeNull;
@Coluna(nome="crcheque.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crcheque.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="crcheque.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="crcheque.digagencia", tipo="int")
private int digagencia;
private boolean digagenciaNull;
@Coluna(nome="crcheque.ctacorrente", tipo="long")
private long ctacorrente;
private boolean ctacorrenteNull;
@Coluna(nome="crcheque.digitoconta", tipo="String")
private String digitoconta;
@Coluna(nome="crcheque.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="crcheque.sercheque", tipo="String")
private String sercheque;
@Coluna(nome="crcheque.camaracomp", tipo="int")
private int camaracomp;
private boolean camaracompNull;
@Coluna(nome="crcheque.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="crcheque.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="crcheque.dtvenctoori", tipo="FglDate")
private FglDate dtvenctoori;
@Coluna(nome="crcheque.dtcompens", tipo="FglDate")
private FglDate dtcompens;
@Coluna(nome="crcheque.situacao", tipo="String")
private String situacao;
@Coluna(nome="crcheque.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="crcheque.tppessoacli", tipo="int")
private int tppessoacli;
private boolean tppessoacliNull;
@Coluna(nome="crcheque.cgccpfcli", tipo="long")
private long cgccpfcli;
private boolean cgccpfcliNull;
@Coluna(nome="crcheque.tppessoaemi", tipo="int")
private int tppessoaemi;
private boolean tppessoaemiNull;
@Coluna(nome="crcheque.cgccpfemi", tipo="long")
private long cgccpfemi;
private boolean cgccpfemiNull;
@Coluna(nome="crcheque.nomepessoaemi", tipo="String")
private String nomepessoaemi;
@Coluna(nome="crcheque.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="crcheque.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="crcheque.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="crcheque.dtefetivacao", tipo="FglDate")
private FglDate dtefetivacao;
@Coluna(nome="crcheque.id_bcoportador", tipo="int")
private int idBcoportador;
private boolean idBcoportadorNull;
@Coluna(nome="crcheque.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="crcheque.dtemisgrav", tipo="FglDate")
private FglDate dtemisgrav;
@Coluna(nome="crcheque.nroremessa", tipo="int")
private int nroremessa;
private boolean nroremessaNull;
@Coluna(nome="crcheque.ocorrencia", tipo="int")
private int ocorrencia;
private boolean ocorrenciaNull;
@Coluna(nome="crcheque.motivo2", tipo="int")
private int motivo2;
private boolean motivo2Null;

public TabCrcheque() {
initialize();
}

public void initialize() {
setIdCheque(null);
setFilial(null);
setNrobanco(null);
setNroagencia(null);
setDigagencia(null);
setCtacorrente(null);
setDigitoconta(null);
setNrocheque(null);
setSercheque(null);
setCamaracomp(null);
setDtemissao(null);
setDtvencto(null);
setDtvenctoori(null);
setDtcompens(null);
setSituacao(null);
setValor(null);
setTppessoacli(null);
setCgccpfcli(null);
setTppessoaemi(null);
setCgccpfemi(null);
setNomepessoaemi(null);
setIdAgente(null);
setIdSetor(null);
setIdLancto(null);
setDtefetivacao(null);
setIdBcoportador(null);
setMotivo(null);
setDtemisgrav(null);
setNroremessa(null);
setOcorrencia(null);
setMotivo2(null);
}

public TabCrcheque(int idCheque, int filial, int nrobanco, int nroagencia, int digagencia, long ctacorrente, String digitoconta, int nrocheque, String sercheque, int camaracomp, FglDate dtemissao, FglDate dtvencto, FglDate dtvenctoori, FglDate dtcompens, String situacao, double valor, int tppessoacli, long cgccpfcli, int tppessoaemi, long cgccpfemi, String nomepessoaemi, int idAgente, int idSetor, int idLancto, FglDate dtefetivacao, int idBcoportador, int motivo, FglDate dtemisgrav, int nroremessa, int ocorrencia, int motivo2) {
this.idCheque = idCheque;
this.filial = filial;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.digagencia = digagencia;
this.ctacorrente = ctacorrente;
this.digitoconta = digitoconta;
this.nrocheque = nrocheque;
this.sercheque = sercheque;
this.camaracomp = camaracomp;
this.dtemissao = dtemissao;
this.dtvencto = dtvencto;
this.dtvenctoori = dtvenctoori;
this.dtcompens = dtcompens;
this.situacao = situacao;
this.valor = valor;
this.tppessoacli = tppessoacli;
this.cgccpfcli = cgccpfcli;
this.tppessoaemi = tppessoaemi;
this.cgccpfemi = cgccpfemi;
this.nomepessoaemi = nomepessoaemi;
this.idAgente = idAgente;
this.idSetor = idSetor;
this.idLancto = idLancto;
this.dtefetivacao = dtefetivacao;
this.idBcoportador = idBcoportador;
this.motivo = motivo;
this.dtemisgrav = dtemisgrav;
this.nroremessa = nroremessa;
this.ocorrencia = ocorrencia;
this.motivo2 = motivo2;
}

public int getIdCheque() {
return idCheque;
}

public boolean isIdChequeNull() {
return idChequeNull;
}

public void setIdCheque(Integer idCheque) {
if (idCheque == null) {
idChequeNull = true;
this.idCheque = 0;
} else { 
idChequeNull = false;
this.idCheque = idCheque;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public int getDigagencia() {
return digagencia;
}

public boolean isDigagenciaNull() {
return digagenciaNull;
}

public void setDigagencia(Integer digagencia) {
if (digagencia == null) {
digagenciaNull = true;
this.digagencia = 0;
} else { 
digagenciaNull = false;
this.digagencia = digagencia;
}
}

public long getCtacorrente() {
return ctacorrente;
}

public boolean isCtacorrenteNull() {
return ctacorrenteNull;
}

public void setCtacorrente(int ctacorrente) {
setCtacorrente(new Long(ctacorrente));
}

public void setCtacorrente(Long ctacorrente) {
if (ctacorrente == null) {
ctacorrenteNull = true;
this.ctacorrente = 0l;
} else { 
ctacorrenteNull = false;
this.ctacorrente = ctacorrente;
}
}

public String getDigitoconta() {
return digitoconta;
}

public void setDigitoconta(String digitoconta) {
this.digitoconta = digitoconta;
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public String getSercheque() {
return sercheque;
}

public void setSercheque(String sercheque) {
this.sercheque = sercheque;
}

public int getCamaracomp() {
return camaracomp;
}

public boolean isCamaracompNull() {
return camaracompNull;
}

public void setCamaracomp(Integer camaracomp) {
if (camaracomp == null) {
camaracompNull = true;
this.camaracomp = 0;
} else { 
camaracompNull = false;
this.camaracomp = camaracomp;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public FglDate getDtvenctoori() {
return dtvenctoori;
}

public void setDtvenctoori(FglDate dtvenctoori) {
this.dtvenctoori = dtvenctoori;
}

public FglDate getDtcompens() {
return dtcompens;
}

public void setDtcompens(FglDate dtcompens) {
this.dtcompens = dtcompens;
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getTppessoacli() {
return tppessoacli;
}

public boolean isTppessoacliNull() {
return tppessoacliNull;
}

public void setTppessoacli(Integer tppessoacli) {
if (tppessoacli == null) {
tppessoacliNull = true;
this.tppessoacli = 0;
} else { 
tppessoacliNull = false;
this.tppessoacli = tppessoacli;
}
}

public long getCgccpfcli() {
return cgccpfcli;
}

public boolean isCgccpfcliNull() {
return cgccpfcliNull;
}

public void setCgccpfcli(int cgccpfcli) {
setCgccpfcli(new Long(cgccpfcli));
}

public void setCgccpfcli(Long cgccpfcli) {
if (cgccpfcli == null) {
cgccpfcliNull = true;
this.cgccpfcli = 0l;
} else { 
cgccpfcliNull = false;
this.cgccpfcli = cgccpfcli;
}
}

public int getTppessoaemi() {
return tppessoaemi;
}

public boolean isTppessoaemiNull() {
return tppessoaemiNull;
}

public void setTppessoaemi(Integer tppessoaemi) {
if (tppessoaemi == null) {
tppessoaemiNull = true;
this.tppessoaemi = 0;
} else { 
tppessoaemiNull = false;
this.tppessoaemi = tppessoaemi;
}
}

public long getCgccpfemi() {
return cgccpfemi;
}

public boolean isCgccpfemiNull() {
return cgccpfemiNull;
}

public void setCgccpfemi(int cgccpfemi) {
setCgccpfemi(new Long(cgccpfemi));
}

public void setCgccpfemi(Long cgccpfemi) {
if (cgccpfemi == null) {
cgccpfemiNull = true;
this.cgccpfemi = 0l;
} else { 
cgccpfemiNull = false;
this.cgccpfemi = cgccpfemi;
}
}

public String getNomepessoaemi() {
return nomepessoaemi;
}

public void setNomepessoaemi(String nomepessoaemi) {
this.nomepessoaemi = nomepessoaemi;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public FglDate getDtefetivacao() {
return dtefetivacao;
}

public void setDtefetivacao(FglDate dtefetivacao) {
this.dtefetivacao = dtefetivacao;
}

public int getIdBcoportador() {
return idBcoportador;
}

public boolean isIdBcoportadorNull() {
return idBcoportadorNull;
}

public void setIdBcoportador(Integer idBcoportador) {
if (idBcoportador == null) {
idBcoportadorNull = true;
this.idBcoportador = 0;
} else { 
idBcoportadorNull = false;
this.idBcoportador = idBcoportador;
}
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public FglDate getDtemisgrav() {
return dtemisgrav;
}

public void setDtemisgrav(FglDate dtemisgrav) {
this.dtemisgrav = dtemisgrav;
}

public int getNroremessa() {
return nroremessa;
}

public boolean isNroremessaNull() {
return nroremessaNull;
}

public void setNroremessa(Integer nroremessa) {
if (nroremessa == null) {
nroremessaNull = true;
this.nroremessa = 0;
} else { 
nroremessaNull = false;
this.nroremessa = nroremessa;
}
}

public int getOcorrencia() {
return ocorrencia;
}

public boolean isOcorrenciaNull() {
return ocorrenciaNull;
}

public void setOcorrencia(Integer ocorrencia) {
if (ocorrencia == null) {
ocorrenciaNull = true;
this.ocorrencia = 0;
} else { 
ocorrenciaNull = false;
this.ocorrencia = ocorrencia;
}
}

public int getMotivo2() {
return motivo2;
}

public boolean isMotivo2Null() {
return motivo2Null;
}

public void setMotivo2(Integer motivo2) {
if (motivo2 == null) {
motivo2Null = true;
this.motivo2 = 0;
} else { 
motivo2Null = false;
this.motivo2 = motivo2;
}
}

}

