package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrcondpg {
@Coluna(nome="crcondpg.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="crcondpg.descrcondpg", tipo="String")
private String descrcondpg;
@Coluna(nome="crcondpg.tpfat", tipo="String")
private String tpfat;
@Coluna(nome="crcondpg.pedevcvl", tipo="String")
private String pedevcvl;
@Coluna(nome="crcondpg.venctofixo", tipo="String")
private String venctofixo;
@Coluna(nome="crcondpg.datavencto", tipo="FglDate")
private FglDate datavencto;
@Coluna(nome="crcondpg.juros", tipo="double")
private double juros;
private boolean jurosNull;
@Coluna(nome="crcondpg.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="crcondpg.jurosemicm", tipo="double")
private double jurosemicm;
private boolean jurosemicmNull;
@Coluna(nome="crcondpg.vlrarredond", tipo="double")
private double vlrarredond;
private boolean vlrarredondNull;
@Coluna(nome="crcondpg.ativa", tipo="String")
private String ativa;
@Coluna(nome="crcondpg.tpmvto", tipo="String")
private String tpmvto;

public TabCrcondpg() {
initialize();
}

public void initialize() {
setCondpgto(null);
setDescrcondpg(null);
setTpfat(null);
setPedevcvl(null);
setVenctofixo(null);
setDatavencto(null);
setJuros(null);
setDesconto(null);
setJurosemicm(null);
setVlrarredond(null);
setAtiva(null);
setTpmvto(null);
}

public TabCrcondpg(int condpgto, String descrcondpg, String tpfat, String pedevcvl, String venctofixo, FglDate datavencto, double juros, double desconto, double jurosemicm, double vlrarredond, String ativa, String tpmvto) {
this.condpgto = condpgto;
this.descrcondpg = descrcondpg;
this.tpfat = tpfat;
this.pedevcvl = pedevcvl;
this.venctofixo = venctofixo;
this.datavencto = datavencto;
this.juros = juros;
this.desconto = desconto;
this.jurosemicm = jurosemicm;
this.vlrarredond = vlrarredond;
this.ativa = ativa;
this.tpmvto = tpmvto;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public String getDescrcondpg() {
return descrcondpg;
}

public void setDescrcondpg(String descrcondpg) {
this.descrcondpg = descrcondpg;
}

public String getTpfat() {
return tpfat;
}

public void setTpfat(String tpfat) {
this.tpfat = tpfat;
}

public String getPedevcvl() {
return pedevcvl;
}

public void setPedevcvl(String pedevcvl) {
this.pedevcvl = pedevcvl;
}

public String getVenctofixo() {
return venctofixo;
}

public void setVenctofixo(String venctofixo) {
this.venctofixo = venctofixo;
}

public FglDate getDatavencto() {
return datavencto;
}

public void setDatavencto(FglDate datavencto) {
this.datavencto = datavencto;
}

public double getJuros() {
return juros;
}

public boolean isJurosNull() {
return jurosNull;
}

public void setJuros(int juros) {
setJuros(new Double(juros));
}

public void setJuros(long juros) {
setJuros(new Double(juros));
}

public void setJuros(Double juros) {
if (juros == null) {
jurosNull = true;
this.juros = 0.;
} else { 
jurosNull = false;
this.juros = FglDouble.round(juros, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getJurosemicm() {
return jurosemicm;
}

public boolean isJurosemicmNull() {
return jurosemicmNull;
}

public void setJurosemicm(int jurosemicm) {
setJurosemicm(new Double(jurosemicm));
}

public void setJurosemicm(long jurosemicm) {
setJurosemicm(new Double(jurosemicm));
}

public void setJurosemicm(Double jurosemicm) {
if (jurosemicm == null) {
jurosemicmNull = true;
this.jurosemicm = 0.;
} else { 
jurosemicmNull = false;
this.jurosemicm = FglDouble.round(jurosemicm, 2);
}
}

public double getVlrarredond() {
return vlrarredond;
}

public boolean isVlrarredondNull() {
return vlrarredondNull;
}

public void setVlrarredond(int vlrarredond) {
setVlrarredond(new Double(vlrarredond));
}

public void setVlrarredond(long vlrarredond) {
setVlrarredond(new Double(vlrarredond));
}

public void setVlrarredond(Double vlrarredond) {
if (vlrarredond == null) {
vlrarredondNull = true;
this.vlrarredond = 0.;
} else { 
vlrarredondNull = false;
this.vlrarredond = FglDouble.round(vlrarredond, 2);
}
}

public String getAtiva() {
return ativa;
}

public void setAtiva(String ativa) {
this.ativa = ativa;
}

public String getTpmvto() {
return tpmvto;
}

public void setTpmvto(String tpmvto) {
this.tpmvto = tpmvto;
}

}

