package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrdupjur {
@Coluna(nome="crdupjur.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;
@Coluna(nome="crdupjur.dtliberacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtliberacao;
@Coluna(nome="crdupjur.loginliberacao", tipo="String")
private String loginliberacao;
@Coluna(nome="crdupjur.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;
@Coluna(nome="crdupjur.vlrjurosori", tipo="double")
private double vlrjurosori;
private boolean vlrjurosoriNull;
@Coluna(nome="crdupjur.vlrjuroslib", tipo="double")
private double vlrjuroslib;
private boolean vlrjuroslibNull;

public TabCrdupjur() {
initialize();
}

public void initialize() {
setIdDuplic(null);
setDtliberacao(null);
setLoginliberacao(null);
setDtvalidade(null);
setVlrjurosori(null);
setVlrjuroslib(null);
}

public TabCrdupjur(int idDuplic, FglDateTimeYS dtliberacao, String loginliberacao, FglDate dtvalidade, double vlrjurosori, double vlrjuroslib) {
this.idDuplic = idDuplic;
this.dtliberacao = dtliberacao;
this.loginliberacao = loginliberacao;
this.dtvalidade = dtvalidade;
this.vlrjurosori = vlrjurosori;
this.vlrjuroslib = vlrjuroslib;
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

public FglDateTimeYS getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDateTimeYS dtliberacao) {
this.dtliberacao = dtliberacao;
}

public String getLoginliberacao() {
return loginliberacao;
}

public void setLoginliberacao(String loginliberacao) {
this.loginliberacao = loginliberacao;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

public double getVlrjurosori() {
return vlrjurosori;
}

public boolean isVlrjurosoriNull() {
return vlrjurosoriNull;
}

public void setVlrjurosori(int vlrjurosori) {
setVlrjurosori(new Double(vlrjurosori));
}

public void setVlrjurosori(long vlrjurosori) {
setVlrjurosori(new Double(vlrjurosori));
}

public void setVlrjurosori(Double vlrjurosori) {
if (vlrjurosori == null) {
vlrjurosoriNull = true;
this.vlrjurosori = 0.;
} else { 
vlrjurosoriNull = false;
this.vlrjurosori = FglDouble.round(vlrjurosori, 2);
}
}

public double getVlrjuroslib() {
return vlrjuroslib;
}

public boolean isVlrjuroslibNull() {
return vlrjuroslibNull;
}

public void setVlrjuroslib(int vlrjuroslib) {
setVlrjuroslib(new Double(vlrjuroslib));
}

public void setVlrjuroslib(long vlrjuroslib) {
setVlrjuroslib(new Double(vlrjuroslib));
}

public void setVlrjuroslib(Double vlrjuroslib) {
if (vlrjuroslib == null) {
vlrjuroslibNull = true;
this.vlrjuroslib = 0.;
} else { 
vlrjuroslibNull = false;
this.vlrjuroslib = FglDouble.round(vlrjuroslib, 2);
}
}

}

