package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrextcar {
@Coluna(nome="crextcar.id_extrato", tipo="int")
private int idExtrato;
private boolean idExtratoNull;
@Coluna(nome="crextcar.numero_ro", tipo="String")
private String numeroRo;
@Coluna(nome="crextcar.numero_ro_unico", tipo="String")
private String numeroRoUnico;
@Coluna(nome="crextcar.estabelecimento", tipo="String")
private String estabelecimento;
@Coluna(nome="crextcar.dtvencimento", tipo="FglDate")
private FglDate dtvencimento;
@Coluna(nome="crextcar.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="crextcar.autorizacao", tipo="String")
private String autorizacao;
@Coluna(nome="crextcar.nroduplic", tipo="int")
private int nroduplic;
private boolean nroduplicNull;
@Coluna(nome="crextcar.valorvenda", tipo="double")
private double valorvenda;
private boolean valorvendaNull;

public TabCrextcar() {
initialize();
}

public void initialize() {
setIdExtrato(null);
setNumeroRo(null);
setNumeroRoUnico(null);
setEstabelecimento(null);
setDtvencimento(null);
setDtvenda(null);
setAutorizacao(null);
setNroduplic(null);
setValorvenda(null);
}

public TabCrextcar(int idExtrato, String numeroRo, String numeroRoUnico, String estabelecimento, FglDate dtvencimento, FglDate dtvenda, String autorizacao, int nroduplic, double valorvenda) {
this.idExtrato = idExtrato;
this.numeroRo = numeroRo;
this.numeroRoUnico = numeroRoUnico;
this.estabelecimento = estabelecimento;
this.dtvencimento = dtvencimento;
this.dtvenda = dtvenda;
this.autorizacao = autorizacao;
this.nroduplic = nroduplic;
this.valorvenda = valorvenda;
}

public int getIdExtrato() {
return idExtrato;
}

public boolean isIdExtratoNull() {
return idExtratoNull;
}

public void setIdExtrato(Integer idExtrato) {
if (idExtrato == null) {
idExtratoNull = true;
this.idExtrato = 0;
} else { 
idExtratoNull = false;
this.idExtrato = idExtrato;
}
}

public String getNumeroRo() {
return numeroRo;
}

public void setNumeroRo(String numeroRo) {
this.numeroRo = numeroRo;
}

public String getNumeroRoUnico() {
return numeroRoUnico;
}

public void setNumeroRoUnico(String numeroRoUnico) {
this.numeroRoUnico = numeroRoUnico;
}

public String getEstabelecimento() {
return estabelecimento;
}

public void setEstabelecimento(String estabelecimento) {
this.estabelecimento = estabelecimento;
}

public FglDate getDtvencimento() {
return dtvencimento;
}

public void setDtvencimento(FglDate dtvencimento) {
this.dtvencimento = dtvencimento;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public String getAutorizacao() {
return autorizacao;
}

public void setAutorizacao(String autorizacao) {
this.autorizacao = autorizacao;
}

public int getNroduplic() {
return nroduplic;
}

public boolean isNroduplicNull() {
return nroduplicNull;
}

public void setNroduplic(Integer nroduplic) {
if (nroduplic == null) {
nroduplicNull = true;
this.nroduplic = 0;
} else { 
nroduplicNull = false;
this.nroduplic = nroduplic;
}
}

public double getValorvenda() {
return valorvenda;
}

public boolean isValorvendaNull() {
return valorvendaNull;
}

public void setValorvenda(int valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(long valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(Double valorvenda) {
if (valorvenda == null) {
valorvendaNull = true;
this.valorvenda = 0.;
} else { 
valorvendaNull = false;
this.valorvenda = FglDouble.round(valorvenda, 2);
}
}

}

