package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrfortax {
@Coluna(nome="crfortax.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crfortax.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="crfortax.dtini", tipo="FglDate")
private FglDate dtini;
@Coluna(nome="crfortax.nro_parcelas", tipo="int")
private int nroParcelas;
private boolean nroParcelasNull;
@Coluna(nome="crfortax.taxoperadp", tipo="double")
private double taxoperadp;
private boolean taxoperadpNull;

public TabCrfortax() {
initialize();
}

public void initialize() {
setFilial(null);
setFormapgto(null);
setDtini(null);
setNroParcelas(null);
setTaxoperadp(null);
}

public TabCrfortax(int filial, String formapgto, FglDate dtini, int nroParcelas, double taxoperadp) {
this.filial = filial;
this.formapgto = formapgto;
this.dtini = dtini;
this.nroParcelas = nroParcelas;
this.taxoperadp = taxoperadp;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public FglDate getDtini() {
return dtini;
}

public void setDtini(FglDate dtini) {
this.dtini = dtini;
}

public int getNroParcelas() {
return nroParcelas;
}

public boolean isNroParcelasNull() {
return nroParcelasNull;
}

public void setNroParcelas(Integer nroParcelas) {
if (nroParcelas == null) {
nroParcelasNull = true;
this.nroParcelas = 0;
} else { 
nroParcelasNull = false;
this.nroParcelas = nroParcelas;
}
}

public double getTaxoperadp() {
return taxoperadp;
}

public boolean isTaxoperadpNull() {
return taxoperadpNull;
}

public void setTaxoperadp(int taxoperadp) {
setTaxoperadp(new Double(taxoperadp));
}

public void setTaxoperadp(long taxoperadp) {
setTaxoperadp(new Double(taxoperadp));
}

public void setTaxoperadp(Double taxoperadp) {
if (taxoperadp == null) {
taxoperadpNull = true;
this.taxoperadp = 0.;
} else { 
taxoperadpNull = false;
this.taxoperadp = FglDouble.round(taxoperadp, 2);
}
}

}

