package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrmemban {
@Coluna(nome="crmemban.id_memorando", tipo="int")
private int idMemorando;
private boolean idMemorandoNull;
@Coluna(nome="crmemban.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="crmemban.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="crmemban.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCrmemban() {
initialize();
}

public void initialize() {
setIdMemorando(null);
setIdBancos(null);
setIdSetor(null);
setValor(null);
}

public TabCrmemban(int idMemorando, int idBancos, int idSetor, double valor) {
this.idMemorando = idMemorando;
this.idBancos = idBancos;
this.idSetor = idSetor;
this.valor = valor;
}

public int getIdMemorando() {
return idMemorando;
}

public boolean isIdMemorandoNull() {
return idMemorandoNull;
}

public void setIdMemorando(Integer idMemorando) {
if (idMemorando == null) {
idMemorandoNull = true;
this.idMemorando = 0;
} else { 
idMemorandoNull = false;
this.idMemorando = idMemorando;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

