package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrmemdev {
@Coluna(nome="crmemdev.id_memorando", tipo="int")
private int idMemorando;
private boolean idMemorandoNull;
@Coluna(nome="crmemdev.id_devoluc", tipo="int")
private int idDevoluc;
private boolean idDevolucNull;
@Coluna(nome="crmemdev.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCrmemdev() {
initialize();
}

public void initialize() {
setIdMemorando(null);
setIdDevoluc(null);
setValor(null);
}

public TabCrmemdev(int idMemorando, int idDevoluc, double valor) {
this.idMemorando = idMemorando;
this.idDevoluc = idDevoluc;
this.valor = valor;
}

public int getIdMemorando() {
return idMemorando;
}

public boolean isIdMemorandoNull() {
return idMemorandoNull;
}

public void setIdMemorando(Integer idMemorando) {
if (idMemorando == null) {
idMemorandoNull = true;
this.idMemorando = 0;
} else { 
idMemorandoNull = false;
this.idMemorando = idMemorando;
}
}

public int getIdDevoluc() {
return idDevoluc;
}

public boolean isIdDevolucNull() {
return idDevolucNull;
}

public void setIdDevoluc(Integer idDevoluc) {
if (idDevoluc == null) {
idDevolucNull = true;
this.idDevoluc = 0;
} else { 
idDevolucNull = false;
this.idDevoluc = idDevoluc;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

