package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCrontab {
@Coluna(nome="crontab.chave", tipo="String")
private String chave;
@Coluna(nome="crontab.programa", tipo="String")
private String programa;
@Coluna(nome="crontab.inicio", tipo="FglDateTimeYS")
private FglDateTimeYS inicio;
@Coluna(nome="crontab.fim", tipo="FglDateTimeYS")
private FglDateTimeYS fim;
@Coluna(nome="crontab.retorno", tipo="int")
private int retorno;
private boolean retornoNull;

public TabCrontab() {
initialize();
}

public void initialize() {
setChave(null);
setPrograma(null);
setInicio(null);
setFim(null);
setRetorno(null);
}

public TabCrontab(String chave, String programa, FglDateTimeYS inicio, FglDateTimeYS fim, int retorno) {
this.chave = chave;
this.programa = programa;
this.inicio = inicio;
this.fim = fim;
this.retorno = retorno;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public String getPrograma() {
return programa;
}

public void setPrograma(String programa) {
this.programa = programa;
}

public FglDateTimeYS getInicio() {
return inicio;
}

public void setInicio(FglDateTimeYS inicio) {
this.inicio = inicio;
}

public FglDateTimeYS getFim() {
return fim;
}

public void setFim(FglDateTimeYS fim) {
this.fim = fim;
}

public int getRetorno() {
return retorno;
}

public boolean isRetornoNull() {
return retornoNull;
}

public void setRetorno(Integer retorno) {
if (retorno == null) {
retornoNull = true;
this.retorno = 0;
} else { 
retornoNull = false;
this.retorno = retorno;
}
}

}

