package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrparcpg {
@Coluna(nome="crparcpg.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="crparcpg.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="crparcpg.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="crparcpg.qtddias", tipo="int")
private int qtddias;
private boolean qtddiasNull;
@Coluna(nome="crparcpg.amortizacao", tipo="double")
private double amortizacao;
private boolean amortizacaoNull;

public TabCrparcpg() {
initialize();
}

public void initialize() {
setCondpgto(null);
setParcela(null);
setFormapgto(null);
setQtddias(null);
setAmortizacao(null);
}

public TabCrparcpg(int condpgto, int parcela, String formapgto, int qtddias, double amortizacao) {
this.condpgto = condpgto;
this.parcela = parcela;
this.formapgto = formapgto;
this.qtddias = qtddias;
this.amortizacao = amortizacao;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public int getQtddias() {
return qtddias;
}

public boolean isQtddiasNull() {
return qtddiasNull;
}

public void setQtddias(Integer qtddias) {
if (qtddias == null) {
qtddiasNull = true;
this.qtddias = 0;
} else { 
qtddiasNull = false;
this.qtddias = qtddias;
}
}

public double getAmortizacao() {
return amortizacao;
}

public boolean isAmortizacaoNull() {
return amortizacaoNull;
}

public void setAmortizacao(int amortizacao) {
setAmortizacao(new Double(amortizacao));
}

public void setAmortizacao(long amortizacao) {
setAmortizacao(new Double(amortizacao));
}

public void setAmortizacao(Double amortizacao) {
if (amortizacao == null) {
amortizacaoNull = true;
this.amortizacao = 0.;
} else { 
amortizacaoNull = false;
this.amortizacao = FglDouble.round(amortizacao, 6);
}
}

}

