package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrparpdd {
@Coluna(nome="crparpdd.faixa_valor", tipo="double")
private double faixaValor;
private boolean faixaValorNull;
@Coluna(nome="crparpdd.prazo", tipo="int")
private int prazo;
private boolean prazoNull;
@Coluna(nome="crparpdd.id_bcoportador", tipo="int")
private int idBcoportador;
private boolean idBcoportadorNull;

public TabCrparpdd() {
initialize();
}

public void initialize() {
setFaixaValor(null);
setPrazo(null);
setIdBcoportador(null);
}

public TabCrparpdd(double faixaValor, int prazo, int idBcoportador) {
this.faixaValor = faixaValor;
this.prazo = prazo;
this.idBcoportador = idBcoportador;
}

public double getFaixaValor() {
return faixaValor;
}

public boolean isFaixaValorNull() {
return faixaValorNull;
}

public void setFaixaValor(int faixaValor) {
setFaixaValor(new Double(faixaValor));
}

public void setFaixaValor(long faixaValor) {
setFaixaValor(new Double(faixaValor));
}

public void setFaixaValor(Double faixaValor) {
if (faixaValor == null) {
faixaValorNull = true;
this.faixaValor = 0.;
} else { 
faixaValorNull = false;
this.faixaValor = FglDouble.round(faixaValor, 2);
}
}

public int getPrazo() {
return prazo;
}

public boolean isPrazoNull() {
return prazoNull;
}

public void setPrazo(Integer prazo) {
if (prazo == null) {
prazoNull = true;
this.prazo = 0;
} else { 
prazoNull = false;
this.prazo = prazo;
}
}

public int getIdBcoportador() {
return idBcoportador;
}

public boolean isIdBcoportadorNull() {
return idBcoportadorNull;
}

public void setIdBcoportador(Integer idBcoportador) {
if (idBcoportador == null) {
idBcoportadorNull = true;
this.idBcoportador = 0;
} else { 
idBcoportadorNull = false;
this.idBcoportador = idBcoportador;
}
}

}

