package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrrecdev {
@Coluna(nome="crrecdev.id_recche", tipo="int")
private int idRecche;
private boolean idReccheNull;
@Coluna(nome="crrecdev.id_cheque", tipo="int")
private int idCheque;
private boolean idChequeNull;
@Coluna(nome="crrecdev.tprecbto", tipo="String")
private String tprecbto;
@Coluna(nome="crrecdev.dtrecbto", tipo="FglDate")
private FglDate dtrecbto;
@Coluna(nome="crrecdev.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="crrecdev.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="crrecdev.id_bcodepos", tipo="int")
private int idBcodepos;
private boolean idBcodeposNull;
@Coluna(nome="crrecdev.dtdevolucao", tipo="FglDate")
private FglDate dtdevolucao;

public TabCrrecdev() {
initialize();
}

public void initialize() {
setIdRecche(null);
setIdCheque(null);
setTprecbto(null);
setDtrecbto(null);
setValor(null);
setIdLancto(null);
setIdBcodepos(null);
setDtdevolucao(null);
}

public TabCrrecdev(int idRecche, int idCheque, String tprecbto, FglDate dtrecbto, double valor, int idLancto, int idBcodepos, FglDate dtdevolucao) {
this.idRecche = idRecche;
this.idCheque = idCheque;
this.tprecbto = tprecbto;
this.dtrecbto = dtrecbto;
this.valor = valor;
this.idLancto = idLancto;
this.idBcodepos = idBcodepos;
this.dtdevolucao = dtdevolucao;
}

public int getIdRecche() {
return idRecche;
}

public boolean isIdReccheNull() {
return idReccheNull;
}

public void setIdRecche(Integer idRecche) {
if (idRecche == null) {
idReccheNull = true;
this.idRecche = 0;
} else { 
idReccheNull = false;
this.idRecche = idRecche;
}
}

public int getIdCheque() {
return idCheque;
}

public boolean isIdChequeNull() {
return idChequeNull;
}

public void setIdCheque(Integer idCheque) {
if (idCheque == null) {
idChequeNull = true;
this.idCheque = 0;
} else { 
idChequeNull = false;
this.idCheque = idCheque;
}
}

public String getTprecbto() {
return tprecbto;
}

public void setTprecbto(String tprecbto) {
this.tprecbto = tprecbto;
}

public FglDate getDtrecbto() {
return dtrecbto;
}

public void setDtrecbto(FglDate dtrecbto) {
this.dtrecbto = dtrecbto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdBcodepos() {
return idBcodepos;
}

public boolean isIdBcodeposNull() {
return idBcodeposNull;
}

public void setIdBcodepos(Integer idBcodepos) {
if (idBcodepos == null) {
idBcodeposNull = true;
this.idBcodepos = 0;
} else { 
idBcodeposNull = false;
this.idBcodepos = idBcodepos;
}
}

public FglDate getDtdevolucao() {
return dtdevolucao;
}

public void setDtdevolucao(FglDate dtdevolucao) {
this.dtdevolucao = dtdevolucao;
}

}

