package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCrrelato {
@Coluna(nome="crrelato.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crrelato.dtprocessa", tipo="FglDate")
private FglDate dtprocessa;
@Coluna(nome="crrelato.dtarquivo", tipo="FglDate")
private FglDate dtarquivo;
@Coluna(nome="crrelato.tparquivo", tipo="String")
private String tparquivo;
@Coluna(nome="crrelato.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;

public TabCrrelato() {
initialize();
}

public void initialize() {
setFilial(null);
setDtprocessa(null);
setDtarquivo(null);
setTparquivo(null);
setIdDuplic(null);
}

public TabCrrelato(int filial, FglDate dtprocessa, FglDate dtarquivo, String tparquivo, int idDuplic) {
this.filial = filial;
this.dtprocessa = dtprocessa;
this.dtarquivo = dtarquivo;
this.tparquivo = tparquivo;
this.idDuplic = idDuplic;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtprocessa() {
return dtprocessa;
}

public void setDtprocessa(FglDate dtprocessa) {
this.dtprocessa = dtprocessa;
}

public FglDate getDtarquivo() {
return dtarquivo;
}

public void setDtarquivo(FglDate dtarquivo) {
this.dtarquivo = dtarquivo;
}

public String getTparquivo() {
return tparquivo;
}

public void setTparquivo(String tparquivo) {
this.tparquivo = tparquivo;
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

}

