package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsagetoy {
@Coluna(nome="csagetoy.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="csagetoy.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csagetoy.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="csagetoy.placa", tipo="String")
private String placa;
@Coluna(nome="csagetoy.chassis", tipo="String")
private String chassis;
@Coluna(nome="csagetoy.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csagetoy.dtchegada", tipo="FglDate")
private FglDate dtchegada;
@Coluna(nome="csagetoy.hrchegada", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrchegada;
@Coluna(nome="csagetoy.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="csagetoy.hrentrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrentrega;
@Coluna(nome="csagetoy.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="csagetoy.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="csagetoy.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csagetoy.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="csagetoy.aguarda_pc", tipo="String")
private String aguardaPc;
@Coluna(nome="csagetoy.retrabalho", tipo="String")
private String retrabalho;
@Coluna(nome="csagetoy.taxi", tipo="String")
private String taxi;
@Coluna(nome="csagetoy.prioridfone", tipo="String")
private String prioridfone;
@Coluna(nome="csagetoy.motcan", tipo="String")
private String motcan;
@Coluna(nome="csagetoy.tpagendamento", tipo="String")
private String tpagendamento;
@Coluna(nome="csagetoy.dtcontato", tipo="FglDate")
private FglDate dtcontato;
@Coluna(nome="csagetoy.lavagem", tipo="String")
private String lavagem;
@Coluna(nome="csagetoy.ctqualidade", tipo="String")
private String ctqualidade;
@Coluna(nome="csagetoy.ageentregatec", tipo="String")
private String ageentregatec;
@Coluna(nome="csagetoy.agendativo", tipo="String")
private String agendativo;
@Coluna(nome="csagetoy.colaboravendas", tipo="String")
private String colaboravendas;

public TabCsagetoy() {
initialize();
}

public void initialize() {
setIdAgetoy(null);
setFilial(null);
setNroEndere(null);
setPlaca(null);
setChassis(null);
setQuilometr(null);
setDtchegada(null);
setHrchegada(null);
setDtentrega(null);
setHrentrega(null);
setDtprevista(null);
setHrprevista(null);
setIdAgente(null);
setIdPreos(null);
setAguardaPc(null);
setRetrabalho(null);
setTaxi(null);
setPrioridfone(null);
setMotcan(null);
setTpagendamento(null);
setDtcontato(null);
setLavagem(null);
setCtqualidade(null);
setAgeentregatec(null);
setAgendativo(null);
setColaboravendas(null);
}

public TabCsagetoy(int idAgetoy, int filial, long nroEndere, String placa, String chassis, int quilometr, FglDate dtchegada, FglDateTimeHMin hrchegada, FglDate dtentrega, FglDateTimeHMin hrentrega, FglDate dtprevista, FglDateTimeHMin hrprevista, int idAgente, int idPreos, String aguardaPc, String retrabalho, String taxi, String prioridfone, String motcan, String tpagendamento, FglDate dtcontato, String lavagem, String ctqualidade, String ageentregatec, String agendativo, String colaboravendas) {
this.idAgetoy = idAgetoy;
this.filial = filial;
this.nroEndere = nroEndere;
this.placa = placa;
this.chassis = chassis;
this.quilometr = quilometr;
this.dtchegada = dtchegada;
this.hrchegada = hrchegada;
this.dtentrega = dtentrega;
this.hrentrega = hrentrega;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.idAgente = idAgente;
this.idPreos = idPreos;
this.aguardaPc = aguardaPc;
this.retrabalho = retrabalho;
this.taxi = taxi;
this.prioridfone = prioridfone;
this.motcan = motcan;
this.tpagendamento = tpagendamento;
this.dtcontato = dtcontato;
this.lavagem = lavagem;
this.ctqualidade = ctqualidade;
this.ageentregatec = ageentregatec;
this.agendativo = agendativo;
this.colaboravendas = colaboravendas;
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public FglDate getDtchegada() {
return dtchegada;
}

public void setDtchegada(FglDate dtchegada) {
this.dtchegada = dtchegada;
}

public FglDateTimeHMin getHrchegada() {
return hrchegada;
}

public void setHrchegada(FglDateTimeHMin hrchegada) {
this.hrchegada = hrchegada;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public FglDateTimeHMin getHrentrega() {
return hrentrega;
}

public void setHrentrega(FglDateTimeHMin hrentrega) {
this.hrentrega = hrentrega;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public String getAguardaPc() {
return aguardaPc;
}

public void setAguardaPc(String aguardaPc) {
this.aguardaPc = aguardaPc;
}

public String getRetrabalho() {
return retrabalho;
}

public void setRetrabalho(String retrabalho) {
this.retrabalho = retrabalho;
}

public String getTaxi() {
return taxi;
}

public void setTaxi(String taxi) {
this.taxi = taxi;
}

public String getPrioridfone() {
return prioridfone;
}

public void setPrioridfone(String prioridfone) {
this.prioridfone = prioridfone;
}

public String getMotcan() {
return motcan;
}

public void setMotcan(String motcan) {
this.motcan = motcan;
}

public String getTpagendamento() {
return tpagendamento;
}

public void setTpagendamento(String tpagendamento) {
this.tpagendamento = tpagendamento;
}

public FglDate getDtcontato() {
return dtcontato;
}

public void setDtcontato(FglDate dtcontato) {
this.dtcontato = dtcontato;
}

public String getLavagem() {
return lavagem;
}

public void setLavagem(String lavagem) {
this.lavagem = lavagem;
}

public String getCtqualidade() {
return ctqualidade;
}

public void setCtqualidade(String ctqualidade) {
this.ctqualidade = ctqualidade;
}

public String getAgeentregatec() {
return ageentregatec;
}

public void setAgeentregatec(String ageentregatec) {
this.ageentregatec = ageentregatec;
}

public String getAgendativo() {
return agendativo;
}

public void setAgendativo(String agendativo) {
this.agendativo = agendativo;
}

public String getColaboravendas() {
return colaboravendas;
}

public void setColaboravendas(String colaboravendas) {
this.colaboravendas = colaboravendas;
}

}

