package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;

public class TabCsatupac {
@Coluna(nome="csatupac.id_atupac", tipo="int")
private int idAtupac;
private boolean idAtupacNull;
@Coluna(nome="csatupac.id_staarq", tipo="int")
private int idStaarq;
private boolean idStaarqNull;
@Coluna(nome="csatupac.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="csatupac.hora", tipo="FglDateTimeHS")
private FglDateTimeHS hora;
@Coluna(nome="csatupac.tipo_atualizacao", tipo="String")
private String tipoAtualizacao;
@Coluna(nome="csatupac.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;

public TabCsatupac() {
initialize();
}

public void initialize() {
setIdAtupac(null);
setIdStaarq(null);
setData(null);
setHora(null);
setTipoAtualizacao(null);
setIdAgente(null);
}

public TabCsatupac(int idAtupac, int idStaarq, FglDate data, FglDateTimeHS hora, String tipoAtualizacao, int idAgente) {
this.idAtupac = idAtupac;
this.idStaarq = idStaarq;
this.data = data;
this.hora = hora;
this.tipoAtualizacao = tipoAtualizacao;
this.idAgente = idAgente;
}

public int getIdAtupac() {
return idAtupac;
}

public boolean isIdAtupacNull() {
return idAtupacNull;
}

public void setIdAtupac(Integer idAtupac) {
if (idAtupac == null) {
idAtupacNull = true;
this.idAtupac = 0;
} else { 
idAtupacNull = false;
this.idAtupac = idAtupac;
}
}

public int getIdStaarq() {
return idStaarq;
}

public boolean isIdStaarqNull() {
return idStaarqNull;
}

public void setIdStaarq(Integer idStaarq) {
if (idStaarq == null) {
idStaarqNull = true;
this.idStaarq = 0;
} else { 
idStaarqNull = false;
this.idStaarq = idStaarq;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public FglDateTimeHS getHora() {
return hora;
}

public void setHora(FglDateTimeHS hora) {
this.hora = hora;
}

public String getTipoAtualizacao() {
return tipoAtualizacao;
}

public void setTipoAtualizacao(String tipoAtualizacao) {
this.tipoAtualizacao = tipoAtualizacao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

}

