package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsautori {
@Coluna(nome="csautori.id_csautori", tipo="int")
private int idCsautori;
private boolean idCsautoriNull;
@Coluna(nome="csautori.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csautori.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csautori.dtautori", tipo="FglDate")
private FglDate dtautori;
@Coluna(nome="csautori.hrautori", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrautori;
@Coluna(nome="csautori.item", tipo="String")
private String item;
@Coluna(nome="csautori.nivel", tipo="int")
private int nivel;
private boolean nivelNull;
@Coluna(nome="csautori.obs", tipo="String")
private String obs;

public TabCsautori() {
initialize();
}

public void initialize() {
setIdCsautori(null);
setIdOscapa(null);
setIdAgente(null);
setDtautori(null);
setHrautori(null);
setItem(null);
setNivel(null);
setObs(null);
}

public TabCsautori(int idCsautori, int idOscapa, int idAgente, FglDate dtautori, FglDateTimeHMin hrautori, String item, int nivel, String obs) {
this.idCsautori = idCsautori;
this.idOscapa = idOscapa;
this.idAgente = idAgente;
this.dtautori = dtautori;
this.hrautori = hrautori;
this.item = item;
this.nivel = nivel;
this.obs = obs;
}

public int getIdCsautori() {
return idCsautori;
}

public boolean isIdCsautoriNull() {
return idCsautoriNull;
}

public void setIdCsautori(Integer idCsautori) {
if (idCsautori == null) {
idCsautoriNull = true;
this.idCsautori = 0;
} else { 
idCsautoriNull = false;
this.idCsautori = idCsautori;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtautori() {
return dtautori;
}

public void setDtautori(FglDate dtautori) {
this.dtautori = dtautori;
}

public FglDateTimeHMin getHrautori() {
return hrautori;
}

public void setHrautori(FglDateTimeHMin hrautori) {
this.hrautori = hrautori;
}

public String getItem() {
return item;
}

public void setItem(String item) {
this.item = item;
}

public int getNivel() {
return nivel;
}

public boolean isNivelNull() {
return nivelNull;
}

public void setNivel(Integer nivel) {
if (nivel == null) {
nivelNull = true;
this.nivel = 0;
} else { 
nivelNull = false;
this.nivel = nivel;
}
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

