package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsavaria {
@Coluna(nome="csavaria.id_csavaria", tipo="int")
private int idCsavaria;
private boolean idCsavariaNull;
@Coluna(nome="csavaria.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csavaria.dealer", tipo="String")
private String dealer;
@Coluna(nome="csavaria.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="csavaria.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="csavaria.modelo", tipo="String")
private String modelo;
@Coluna(nome="csavaria.chassis", tipo="String")
private String chassis;
@Coluna(nome="csavaria.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csavaria.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="csavaria.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="csavaria.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csavaria.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="csavaria.numero_sinistro", tipo="int")
private int numeroSinistro;
private boolean numeroSinistroNull;
@Coluna(nome="csavaria.dtab_sinistro", tipo="FglDate")
private FglDate dtabSinistro;
@Coluna(nome="csavaria.dta_vistoria", tipo="FglDate")
private FglDate dtaVistoria;
@Coluna(nome="csavaria.dta_libsegu", tipo="FglDate")
private FglDate dtaLibsegu;
@Coluna(nome="csavaria.class_avaria", tipo="String")
private String classAvaria;
@Coluna(nome="csavaria.tpavaria", tipo="String")
private String tpavaria;
@Coluna(nome="csavaria.origem_transp", tipo="String")
private String origemTransp;
@Coluna(nome="csavaria.nome_transp", tipo="String")
private String nomeTransp;
@Coluna(nome="csavaria.status_transmissao", tipo="int")
private int statusTransmissao;
private boolean statusTransmissaoNull;
@Coluna(nome="csavaria.descri_erro", tipo="String")
private String descriErro;

public TabCsavaria() {
initialize();
}

public void initialize() {
setIdCsavaria(null);
setFilial(null);
setDealer(null);
setNroEndere(null);
setCidade(null);
setModelo(null);
setChassis(null);
setQuilometr(null);
setIdNfcapa(null);
setTpordem(null);
setIdOscapa(null);
setOrdemserv(null);
setNumeroSinistro(null);
setDtabSinistro(null);
setDtaVistoria(null);
setDtaLibsegu(null);
setClassAvaria(null);
setTpavaria(null);
setOrigemTransp(null);
setNomeTransp(null);
setStatusTransmissao(null);
setDescriErro(null);
}

public TabCsavaria(int idCsavaria, int filial, String dealer, long nroEndere, int cidade, String modelo, String chassis, int quilometr, int idNfcapa, String tpordem, int idOscapa, int ordemserv, int numeroSinistro, FglDate dtabSinistro, FglDate dtaVistoria, FglDate dtaLibsegu, String classAvaria, String tpavaria, String origemTransp, String nomeTransp, int statusTransmissao, String descriErro) {
this.idCsavaria = idCsavaria;
this.filial = filial;
this.dealer = dealer;
this.nroEndere = nroEndere;
this.cidade = cidade;
this.modelo = modelo;
this.chassis = chassis;
this.quilometr = quilometr;
this.idNfcapa = idNfcapa;
this.tpordem = tpordem;
this.idOscapa = idOscapa;
this.ordemserv = ordemserv;
this.numeroSinistro = numeroSinistro;
this.dtabSinistro = dtabSinistro;
this.dtaVistoria = dtaVistoria;
this.dtaLibsegu = dtaLibsegu;
this.classAvaria = classAvaria;
this.tpavaria = tpavaria;
this.origemTransp = origemTransp;
this.nomeTransp = nomeTransp;
this.statusTransmissao = statusTransmissao;
this.descriErro = descriErro;
}

public int getIdCsavaria() {
return idCsavaria;
}

public boolean isIdCsavariaNull() {
return idCsavariaNull;
}

public void setIdCsavaria(Integer idCsavaria) {
if (idCsavaria == null) {
idCsavariaNull = true;
this.idCsavaria = 0;
} else { 
idCsavariaNull = false;
this.idCsavaria = idCsavaria;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getNumeroSinistro() {
return numeroSinistro;
}

public boolean isNumeroSinistroNull() {
return numeroSinistroNull;
}

public void setNumeroSinistro(Integer numeroSinistro) {
if (numeroSinistro == null) {
numeroSinistroNull = true;
this.numeroSinistro = 0;
} else { 
numeroSinistroNull = false;
this.numeroSinistro = numeroSinistro;
}
}

public FglDate getDtabSinistro() {
return dtabSinistro;
}

public void setDtabSinistro(FglDate dtabSinistro) {
this.dtabSinistro = dtabSinistro;
}

public FglDate getDtaVistoria() {
return dtaVistoria;
}

public void setDtaVistoria(FglDate dtaVistoria) {
this.dtaVistoria = dtaVistoria;
}

public FglDate getDtaLibsegu() {
return dtaLibsegu;
}

public void setDtaLibsegu(FglDate dtaLibsegu) {
this.dtaLibsegu = dtaLibsegu;
}

public String getClassAvaria() {
return classAvaria;
}

public void setClassAvaria(String classAvaria) {
this.classAvaria = classAvaria;
}

public String getTpavaria() {
return tpavaria;
}

public void setTpavaria(String tpavaria) {
this.tpavaria = tpavaria;
}

public String getOrigemTransp() {
return origemTransp;
}

public void setOrigemTransp(String origemTransp) {
this.origemTransp = origemTransp;
}

public String getNomeTransp() {
return nomeTransp;
}

public void setNomeTransp(String nomeTransp) {
this.nomeTransp = nomeTransp;
}

public int getStatusTransmissao() {
return statusTransmissao;
}

public boolean isStatusTransmissaoNull() {
return statusTransmissaoNull;
}

public void setStatusTransmissao(Integer statusTransmissao) {
if (statusTransmissao == null) {
statusTransmissaoNull = true;
this.statusTransmissao = 0;
} else { 
statusTransmissaoNull = false;
this.statusTransmissao = statusTransmissao;
}
}

public String getDescriErro() {
return descriErro;
}

public void setDescriErro(String descriErro) {
this.descriErro = descriErro;
}

}

