package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabCscomsvt {
@Coluna(nome="cscomsvt.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="cscomsvt.tipo_acao", tipo="String")
private String tipoAcao;
@Coluna(nome="cscomsvt.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="cscomsvt.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cscomsvt.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cscomsvt.dtprevista", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtprevista;
@Coluna(nome="cscomsvt.coderro", tipo="int")
private int coderro;
private boolean coderroNull;
@Coluna(nome="cscomsvt.mensagem", tipo="String")
private String mensagem;

public TabCscomsvt() {
initialize();
}

public void initialize() {
setIdAgetoy(null);
setTipoAcao(null);
setIdProspe(null);
setSequencia(null);
setFilial(null);
setDtprevista(null);
setCoderro(null);
setMensagem(null);
}

public TabCscomsvt(int idAgetoy, String tipoAcao, int idProspe, int sequencia, int filial, FglDateTimeYMin dtprevista, int coderro, String mensagem) {
this.idAgetoy = idAgetoy;
this.tipoAcao = tipoAcao;
this.idProspe = idProspe;
this.sequencia = sequencia;
this.filial = filial;
this.dtprevista = dtprevista;
this.coderro = coderro;
this.mensagem = mensagem;
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public String getTipoAcao() {
return tipoAcao;
}

public void setTipoAcao(String tipoAcao) {
this.tipoAcao = tipoAcao;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYMin getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDateTimeYMin dtprevista) {
this.dtprevista = dtprevista;
}

public int getCoderro() {
return coderro;
}

public boolean isCoderroNull() {
return coderroNull;
}

public void setCoderro(Integer coderro) {
if (coderro == null) {
coderroNull = true;
this.coderro = 0;
} else { 
coderroNull = false;
this.coderro = coderro;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

