package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCscotser {
@Coluna(nome="cscotser.numerocomlink", tipo="int")
private int numerocomlink;
private boolean numerocomlinkNull;
@Coluna(nome="cscotser.numeroordem", tipo="String")
private String numeroordem;
@Coluna(nome="cscotser.numerofrota", tipo="int")
private int numerofrota;
private boolean numerofrotaNull;
@Coluna(nome="cscotser.stcotacao", tipo="String")
private String stcotacao;
@Coluna(nome="cscotser.dtstatus", tipo="FglDateTimeYS")
private FglDateTimeYS dtstatus;
@Coluna(nome="cscotser.codigocliente", tipo="int")
private int codigocliente;
private boolean codigoclienteNull;
@Coluna(nome="cscotser.dataresposta", tipo="FglDate")
private FglDate dataresposta;
@Coluna(nome="cscotser.prazoentrega", tipo="int")
private int prazoentrega;
private boolean prazoentregaNull;
@Coluna(nome="cscotser.localentrega", tipo="String")
private String localentrega;
@Coluna(nome="cscotser.codigocondicaopecas", tipo="int")
private int codigocondicaopecas;
private boolean codigocondicaopecasNull;
@Coluna(nome="cscotser.codigocondicaomo", tipo="int")
private int codigocondicaomo;
private boolean codigocondicaomoNull;
@Coluna(nome="cscotser.formaremessa", tipo="String")
private String formaremessa;
@Coluna(nome="cscotser.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cscotser.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cscotser.validadeproposta", tipo="int")
private int validadeproposta;
private boolean validadepropostaNull;
@Coluna(nome="cscotser.observacao", tipo="String")
private String observacao;

public TabCscotser() {
initialize();
}

public void initialize() {
setNumerocomlink(null);
setNumeroordem(null);
setNumerofrota(null);
setStcotacao(null);
setDtstatus(null);
setCodigocliente(null);
setDataresposta(null);
setPrazoentrega(null);
setLocalentrega(null);
setCodigocondicaopecas(null);
setCodigocondicaomo(null);
setFormaremessa(null);
setIdOrccap(null);
setIdOscapa(null);
setValidadeproposta(null);
setObservacao(null);
}

public TabCscotser(int numerocomlink, String numeroordem, int numerofrota, String stcotacao, FglDateTimeYS dtstatus, int codigocliente, FglDate dataresposta, int prazoentrega, String localentrega, int codigocondicaopecas, int codigocondicaomo, String formaremessa, int idOrccap, int idOscapa, int validadeproposta, String observacao) {
this.numerocomlink = numerocomlink;
this.numeroordem = numeroordem;
this.numerofrota = numerofrota;
this.stcotacao = stcotacao;
this.dtstatus = dtstatus;
this.codigocliente = codigocliente;
this.dataresposta = dataresposta;
this.prazoentrega = prazoentrega;
this.localentrega = localentrega;
this.codigocondicaopecas = codigocondicaopecas;
this.codigocondicaomo = codigocondicaomo;
this.formaremessa = formaremessa;
this.idOrccap = idOrccap;
this.idOscapa = idOscapa;
this.validadeproposta = validadeproposta;
this.observacao = observacao;
}

public int getNumerocomlink() {
return numerocomlink;
}

public boolean isNumerocomlinkNull() {
return numerocomlinkNull;
}

public void setNumerocomlink(Integer numerocomlink) {
if (numerocomlink == null) {
numerocomlinkNull = true;
this.numerocomlink = 0;
} else { 
numerocomlinkNull = false;
this.numerocomlink = numerocomlink;
}
}

public String getNumeroordem() {
return numeroordem;
}

public void setNumeroordem(String numeroordem) {
this.numeroordem = numeroordem;
}

public int getNumerofrota() {
return numerofrota;
}

public boolean isNumerofrotaNull() {
return numerofrotaNull;
}

public void setNumerofrota(Integer numerofrota) {
if (numerofrota == null) {
numerofrotaNull = true;
this.numerofrota = 0;
} else { 
numerofrotaNull = false;
this.numerofrota = numerofrota;
}
}

public String getStcotacao() {
return stcotacao;
}

public void setStcotacao(String stcotacao) {
this.stcotacao = stcotacao;
}

public FglDateTimeYS getDtstatus() {
return dtstatus;
}

public void setDtstatus(FglDateTimeYS dtstatus) {
this.dtstatus = dtstatus;
}

public int getCodigocliente() {
return codigocliente;
}

public boolean isCodigoclienteNull() {
return codigoclienteNull;
}

public void setCodigocliente(Integer codigocliente) {
if (codigocliente == null) {
codigoclienteNull = true;
this.codigocliente = 0;
} else { 
codigoclienteNull = false;
this.codigocliente = codigocliente;
}
}

public FglDate getDataresposta() {
return dataresposta;
}

public void setDataresposta(FglDate dataresposta) {
this.dataresposta = dataresposta;
}

public int getPrazoentrega() {
return prazoentrega;
}

public boolean isPrazoentregaNull() {
return prazoentregaNull;
}

public void setPrazoentrega(Integer prazoentrega) {
if (prazoentrega == null) {
prazoentregaNull = true;
this.prazoentrega = 0;
} else { 
prazoentregaNull = false;
this.prazoentrega = prazoentrega;
}
}

public String getLocalentrega() {
return localentrega;
}

public void setLocalentrega(String localentrega) {
this.localentrega = localentrega;
}

public int getCodigocondicaopecas() {
return codigocondicaopecas;
}

public boolean isCodigocondicaopecasNull() {
return codigocondicaopecasNull;
}

public void setCodigocondicaopecas(Integer codigocondicaopecas) {
if (codigocondicaopecas == null) {
codigocondicaopecasNull = true;
this.codigocondicaopecas = 0;
} else { 
codigocondicaopecasNull = false;
this.codigocondicaopecas = codigocondicaopecas;
}
}

public int getCodigocondicaomo() {
return codigocondicaomo;
}

public boolean isCodigocondicaomoNull() {
return codigocondicaomoNull;
}

public void setCodigocondicaomo(Integer codigocondicaomo) {
if (codigocondicaomo == null) {
codigocondicaomoNull = true;
this.codigocondicaomo = 0;
} else { 
codigocondicaomoNull = false;
this.codigocondicaomo = codigocondicaomo;
}
}

public String getFormaremessa() {
return formaremessa;
}

public void setFormaremessa(String formaremessa) {
this.formaremessa = formaremessa;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getValidadeproposta() {
return validadeproposta;
}

public boolean isValidadepropostaNull() {
return validadepropostaNull;
}

public void setValidadeproposta(Integer validadeproposta) {
if (validadeproposta == null) {
validadepropostaNull = true;
this.validadeproposta = 0;
} else { 
validadepropostaNull = false;
this.validadeproposta = validadeproposta;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

