package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCscusmes {
@Coluna(nome="cscusmes.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cscusmes.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cscusmes.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="cscusmes.tipoponto", tipo="String")
private String tipoponto;
@Coluna(nome="cscusmes.horastrab", tipo="double")
private double horastrab;
private boolean horastrabNull;
@Coluna(nome="cscusmes.desptotal", tipo="double")
private double desptotal;
private boolean desptotalNull;
@Coluna(nome="cscusmes.horasencer", tipo="double")
private double horasencer;
private boolean horasencerNull;
@Coluna(nome="cscusmes.custohora", tipo="double")
private double custohora;
private boolean custohoraNull;
@Coluna(nome="cscusmes.custototal", tipo="double")
private double custototal;
private boolean custototalNull;
@Coluna(nome="cscusmes.saldohora", tipo="double")
private double saldohora;
private boolean saldohoraNull;
@Coluna(nome="cscusmes.saldodesp", tipo="double")
private double saldodesp;
private boolean saldodespNull;
@Coluna(nome="cscusmes.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabCscusmes() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setAbrevsetor(null);
setTipoponto(null);
setHorastrab(null);
setDesptotal(null);
setHorasencer(null);
setCustohora(null);
setCustototal(null);
setSaldohora(null);
setSaldodesp(null);
setIdLancto(null);
}

public TabCscusmes(int filial, FglDateTimeYM anomes, String abrevsetor, String tipoponto, double horastrab, double desptotal, double horasencer, double custohora, double custototal, double saldohora, double saldodesp, int idLancto) {
this.filial = filial;
this.anomes = anomes;
this.abrevsetor = abrevsetor;
this.tipoponto = tipoponto;
this.horastrab = horastrab;
this.desptotal = desptotal;
this.horasencer = horasencer;
this.custohora = custohora;
this.custototal = custototal;
this.saldohora = saldohora;
this.saldodesp = saldodesp;
this.idLancto = idLancto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getTipoponto() {
return tipoponto;
}

public void setTipoponto(String tipoponto) {
this.tipoponto = tipoponto;
}

public double getHorastrab() {
return horastrab;
}

public boolean isHorastrabNull() {
return horastrabNull;
}

public void setHorastrab(int horastrab) {
setHorastrab(new Double(horastrab));
}

public void setHorastrab(long horastrab) {
setHorastrab(new Double(horastrab));
}

public void setHorastrab(Double horastrab) {
if (horastrab == null) {
horastrabNull = true;
this.horastrab = 0.;
} else { 
horastrabNull = false;
this.horastrab = FglDouble.round(horastrab, 2);
}
}

public double getDesptotal() {
return desptotal;
}

public boolean isDesptotalNull() {
return desptotalNull;
}

public void setDesptotal(int desptotal) {
setDesptotal(new Double(desptotal));
}

public void setDesptotal(long desptotal) {
setDesptotal(new Double(desptotal));
}

public void setDesptotal(Double desptotal) {
if (desptotal == null) {
desptotalNull = true;
this.desptotal = 0.;
} else { 
desptotalNull = false;
this.desptotal = FglDouble.round(desptotal, 2);
}
}

public double getHorasencer() {
return horasencer;
}

public boolean isHorasencerNull() {
return horasencerNull;
}

public void setHorasencer(int horasencer) {
setHorasencer(new Double(horasencer));
}

public void setHorasencer(long horasencer) {
setHorasencer(new Double(horasencer));
}

public void setHorasencer(Double horasencer) {
if (horasencer == null) {
horasencerNull = true;
this.horasencer = 0.;
} else { 
horasencerNull = false;
this.horasencer = FglDouble.round(horasencer, 2);
}
}

public double getCustohora() {
return custohora;
}

public boolean isCustohoraNull() {
return custohoraNull;
}

public void setCustohora(int custohora) {
setCustohora(new Double(custohora));
}

public void setCustohora(long custohora) {
setCustohora(new Double(custohora));
}

public void setCustohora(Double custohora) {
if (custohora == null) {
custohoraNull = true;
this.custohora = 0.;
} else { 
custohoraNull = false;
this.custohora = FglDouble.round(custohora, 2);
}
}

public double getCustototal() {
return custototal;
}

public boolean isCustototalNull() {
return custototalNull;
}

public void setCustototal(int custototal) {
setCustototal(new Double(custototal));
}

public void setCustototal(long custototal) {
setCustototal(new Double(custototal));
}

public void setCustototal(Double custototal) {
if (custototal == null) {
custototalNull = true;
this.custototal = 0.;
} else { 
custototalNull = false;
this.custototal = FglDouble.round(custototal, 2);
}
}

public double getSaldohora() {
return saldohora;
}

public boolean isSaldohoraNull() {
return saldohoraNull;
}

public void setSaldohora(int saldohora) {
setSaldohora(new Double(saldohora));
}

public void setSaldohora(long saldohora) {
setSaldohora(new Double(saldohora));
}

public void setSaldohora(Double saldohora) {
if (saldohora == null) {
saldohoraNull = true;
this.saldohora = 0.;
} else { 
saldohoraNull = false;
this.saldohora = FglDouble.round(saldohora, 2);
}
}

public double getSaldodesp() {
return saldodesp;
}

public boolean isSaldodespNull() {
return saldodespNull;
}

public void setSaldodesp(int saldodesp) {
setSaldodesp(new Double(saldodesp));
}

public void setSaldodesp(long saldodesp) {
setSaldodesp(new Double(saldodesp));
}

public void setSaldodesp(Double saldodesp) {
if (saldodesp == null) {
saldodespNull = true;
this.saldodesp = 0.;
} else { 
saldodespNull = false;
this.saldodesp = FglDouble.round(saldodesp, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

