package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdca {
@Coluna(nome="csgajdca.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdca.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdca.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgajdca.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csgajdca.pecacausadora", tipo="String")
private String pecacausadora;
@Coluna(nome="csgajdca.cod_tipo_falha", tipo="int")
private int codTipoFalha;
private boolean codTipoFalhaNull;
@Coluna(nome="csgajdca.nrosg_ant", tipo="int")
private int nrosgAnt;
private boolean nrosgAntNull;
@Coluna(nome="csgajdca.cod_status_sd", tipo="String")
private String codStatusSd;
@Coluna(nome="csgajdca.cod_status_jd", tipo="int")
private int codStatusJd;
private boolean codStatusJdNull;
@Coluna(nome="csgajdca.cod_tip_gar", tipo="String")
private String codTipGar;
@Coluna(nome="csgajdca.cod_subtipo_rev", tipo="String")
private String codSubtipoRev;
@Coluna(nome="csgajdca.cod_tipo_aplica", tipo="String")
private String codTipoAplica;
@Coluna(nome="csgajdca.cod_autorizacao", tipo="String")
private String codAutorizacao;
@Coluna(nome="csgajdca.instalador", tipo="String")
private String instalador;
@Coluna(nome="csgajdca.cod_propriedade", tipo="int")
private int codPropriedade;
private boolean codPropriedadeNull;
@Coluna(nome="csgajdca.dt_falha", tipo="FglDate")
private FglDate dtFalha;
@Coluna(nome="csgajdca.dt_instalacao", tipo="FglDate")
private FglDate dtInstalacao;
@Coluna(nome="csgajdca.id_revisao_campanha", tipo="int")
private int idRevisaoCampanha;
private boolean idRevisaoCampanhaNull;
@Coluna(nome="csgajdca.cod_tipo_int_serv", tipo="String")
private String codTipoIntServ;
@Coluna(nome="csgajdca.uso_maquina", tipo="int")
private int usoMaquina;
private boolean usoMaquinaNull;
@Coluna(nome="csgajdca.descr_teste", tipo="String")
private String descrTeste;
@Coluna(nome="csgajdca.nro_sap", tipo="String")
private String nroSap;
@Coluna(nome="csgajdca.dt_criacao", tipo="FglDate")
private FglDate dtCriacao;
@Coluna(nome="csgajdca.dt_envio", tipo="FglDate")
private FglDate dtEnvio;
@Coluna(nome="csgajdca.dt_retorno", tipo="FglDate")
private FglDate dtRetorno;
@Coluna(nome="csgajdca.dt_ultimaalt", tipo="FglDate")
private FglDate dtUltimaalt;
@Coluna(nome="csgajdca.nro_ser_pec_causa", tipo="String")
private String nroSerPecCausa;
@Coluna(nome="csgajdca.nro_nota_ant", tipo="int")
private int nroNotaAnt;
private boolean nroNotaAntNull;
@Coluna(nome="csgajdca.comentario_falha", tipo="String")
private String comentarioFalha;
@Coluna(nome="csgajdca.cod_dtac", tipo="String")
private String codDtac;
@Coluna(nome="csgajdca.sol_dtac", tipo="String")
private String solDtac;
@Coluna(nome="csgajdca.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="csgajdca.cod_subsidio", tipo="String")
private String codSubsidio;
@Coluna(nome="csgajdca.instalacao_opc", tipo="String")
private String instalacaoOpc;
@Coluna(nome="csgajdca.viagem", tipo="String")
private String viagem;
@Coluna(nome="csgajdca.cod_tipo_maquina", tipo="String")
private String codTipoMaquina;
@Coluna(nome="csgajdca.envio_nf", tipo="String")
private String envioNf;
@Coluna(nome="csgajdca.cod_ind_temp_inat", tipo="String")
private String codIndTempInat;
@Coluna(nome="csgajdca.dt_reparo", tipo="FglDate")
private FglDate dtReparo;
@Coluna(nome="csgajdca.atualizou_os", tipo="String")
private String atualizouOs;
@Coluna(nome="csgajdca.area_falha", tipo="String")
private String areaFalha;
@Coluna(nome="csgajdca.altura_porca", tipo="double")
private double alturaPorca;
private boolean alturaPorcaNull;
@Coluna(nome="csgajdca.maquina_jd", tipo="String")
private String maquinaJd;
@Coluna(nome="csgajdca.garantia_ext", tipo="String")
private String garantiaExt;
@Coluna(nome="csgajdca.descr_retorno", tipo="String")
private String descrRetorno;
@Coluna(nome="csgajdca.nro_fab", tipo="String")
private String nroFab;
@Coluna(nome="csgajdca.modelo", tipo="String")
private String modelo;
@Coluna(nome="csgajdca.serie_equ", tipo="String")
private String serieEqu;
@Coluna(nome="csgajdca.pmp_matriz", tipo="String")
private String pmpMatriz;
@Coluna(nome="csgajdca.ret_nro_creditmemo", tipo="String")
private String retNroCreditmemo;
@Coluna(nome="csgajdca.ret_aut_perc_vlr_cli", tipo="double")
private double retAutPercVlrCli;
private boolean retAutPercVlrCliNull;
@Coluna(nome="csgajdca.ret_aut_vlr_cli", tipo="double")
private double retAutVlrCli;
private boolean retAutVlrCliNull;
@Coluna(nome="csgajdca.ret_aut_perc_vlr_con", tipo="double")
private double retAutPercVlrCon;
private boolean retAutPercVlrConNull;
@Coluna(nome="csgajdca.ret_aut_vlr_con", tipo="double")
private double retAutVlrCon;
private boolean retAutVlrConNull;
@Coluna(nome="csgajdca.ret_aut_perc_vlr_fab", tipo="double")
private double retAutPercVlrFab;
private boolean retAutPercVlrFabNull;
@Coluna(nome="csgajdca.ret_aut_vlr_fab", tipo="double")
private double retAutVlrFab;
private boolean retAutVlrFabNull;
@Coluna(nome="csgajdca.ret_vlr_aditmo", tipo="double")
private double retVlrAditmo;
private boolean retVlrAditmoNull;
@Coluna(nome="csgajdca.ret_vlr_desloc", tipo="double")
private double retVlrDesloc;
private boolean retVlrDeslocNull;
@Coluna(nome="csgajdca.ret_vlr_imposto", tipo="double")
private double retVlrImposto;
private boolean retVlrImpostoNull;
@Coluna(nome="csgajdca.ret_vlr_outros_cred", tipo="double")
private double retVlrOutrosCred;
private boolean retVlrOutrosCredNull;
@Coluna(nome="csgajdca.ret_vlr_ded_jd", tipo="double")
private double retVlrDedJd;
private boolean retVlrDedJdNull;
@Coluna(nome="csgajdca.ret_vlr_cli_jd", tipo="double")
private double retVlrCliJd;
private boolean retVlrCliJdNull;
@Coluna(nome="csgajdca.ret_vlr_con_jd", tipo="double")
private double retVlrConJd;
private boolean retVlrConJdNull;
@Coluna(nome="csgajdca.ret_vlr_fab_jd", tipo="double")
private double retVlrFabJd;
private boolean retVlrFabJdNull;
@Coluna(nome="csgajdca.ret_dt_ret_jd", tipo="FglDate")
private FglDate retDtRetJd;
@Coluna(nome="csgajdca.ret_vlr_total_jd", tipo="double")
private double retVlrTotalJd;
private boolean retVlrTotalJdNull;
@Coluna(nome="csgajdca.ret_vlr_servico_jd", tipo="double")
private double retVlrServicoJd;
private boolean retVlrServicoJdNull;
@Coluna(nome="csgajdca.ret_vlr_peca_jd", tipo="double")
private double retVlrPecaJd;
private boolean retVlrPecaJdNull;
@Coluna(nome="csgajdca.ret_dt_creditmemo", tipo="FglDate")
private FglDate retDtCreditmemo;

public TabCsgajdca() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setIdOscapa(null);
setNroitem(null);
setPecacausadora(null);
setCodTipoFalha(null);
setNrosgAnt(null);
setCodStatusSd(null);
setCodStatusJd(null);
setCodTipGar(null);
setCodSubtipoRev(null);
setCodTipoAplica(null);
setCodAutorizacao(null);
setInstalador(null);
setCodPropriedade(null);
setDtFalha(null);
setDtInstalacao(null);
setIdRevisaoCampanha(null);
setCodTipoIntServ(null);
setUsoMaquina(null);
setDescrTeste(null);
setNroSap(null);
setDtCriacao(null);
setDtEnvio(null);
setDtRetorno(null);
setDtUltimaalt(null);
setNroSerPecCausa(null);
setNroNotaAnt(null);
setComentarioFalha(null);
setCodDtac(null);
setSolDtac(null);
setIdNfcapa(null);
setCodSubsidio(null);
setInstalacaoOpc(null);
setViagem(null);
setCodTipoMaquina(null);
setEnvioNf(null);
setCodIndTempInat(null);
setDtReparo(null);
setAtualizouOs(null);
setAreaFalha(null);
setAlturaPorca(null);
setMaquinaJd(null);
setGarantiaExt(null);
setDescrRetorno(null);
setNroFab(null);
setModelo(null);
setSerieEqu(null);
setPmpMatriz(null);
setRetNroCreditmemo(null);
setRetAutPercVlrCli(null);
setRetAutVlrCli(null);
setRetAutPercVlrCon(null);
setRetAutVlrCon(null);
setRetAutPercVlrFab(null);
setRetAutVlrFab(null);
setRetVlrAditmo(null);
setRetVlrDesloc(null);
setRetVlrImposto(null);
setRetVlrOutrosCred(null);
setRetVlrDedJd(null);
setRetVlrCliJd(null);
setRetVlrConJd(null);
setRetVlrFabJd(null);
setRetDtRetJd(null);
setRetVlrTotalJd(null);
setRetVlrServicoJd(null);
setRetVlrPecaJd(null);
setRetDtCreditmemo(null);
}

public TabCsgajdca(int filial, int nrosg, int idOscapa, int nroitem, String pecacausadora, int codTipoFalha, int nrosgAnt, String codStatusSd, int codStatusJd, String codTipGar, String codSubtipoRev, String codTipoAplica, String codAutorizacao, String instalador, int codPropriedade, FglDate dtFalha, FglDate dtInstalacao, int idRevisaoCampanha, String codTipoIntServ, int usoMaquina, String descrTeste, String nroSap, FglDate dtCriacao, FglDate dtEnvio, FglDate dtRetorno, FglDate dtUltimaalt, String nroSerPecCausa, int nroNotaAnt, String comentarioFalha, String codDtac, String solDtac, int idNfcapa, String codSubsidio, String instalacaoOpc, String viagem, String codTipoMaquina, String envioNf, String codIndTempInat, FglDate dtReparo, String atualizouOs, String areaFalha, double alturaPorca, String maquinaJd, String garantiaExt, String descrRetorno, String nroFab, String modelo, String serieEqu, String pmpMatriz, String retNroCreditmemo, double retAutPercVlrCli, double retAutVlrCli, double retAutPercVlrCon, double retAutVlrCon, double retAutPercVlrFab, double retAutVlrFab, double retVlrAditmo, double retVlrDesloc, double retVlrImposto, double retVlrOutrosCred, double retVlrDedJd, double retVlrCliJd, double retVlrConJd, double retVlrFabJd, FglDate retDtRetJd, double retVlrTotalJd, double retVlrServicoJd, double retVlrPecaJd, FglDate retDtCreditmemo) {
this.filial = filial;
this.nrosg = nrosg;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.pecacausadora = pecacausadora;
this.codTipoFalha = codTipoFalha;
this.nrosgAnt = nrosgAnt;
this.codStatusSd = codStatusSd;
this.codStatusJd = codStatusJd;
this.codTipGar = codTipGar;
this.codSubtipoRev = codSubtipoRev;
this.codTipoAplica = codTipoAplica;
this.codAutorizacao = codAutorizacao;
this.instalador = instalador;
this.codPropriedade = codPropriedade;
this.dtFalha = dtFalha;
this.dtInstalacao = dtInstalacao;
this.idRevisaoCampanha = idRevisaoCampanha;
this.codTipoIntServ = codTipoIntServ;
this.usoMaquina = usoMaquina;
this.descrTeste = descrTeste;
this.nroSap = nroSap;
this.dtCriacao = dtCriacao;
this.dtEnvio = dtEnvio;
this.dtRetorno = dtRetorno;
this.dtUltimaalt = dtUltimaalt;
this.nroSerPecCausa = nroSerPecCausa;
this.nroNotaAnt = nroNotaAnt;
this.comentarioFalha = comentarioFalha;
this.codDtac = codDtac;
this.solDtac = solDtac;
this.idNfcapa = idNfcapa;
this.codSubsidio = codSubsidio;
this.instalacaoOpc = instalacaoOpc;
this.viagem = viagem;
this.codTipoMaquina = codTipoMaquina;
this.envioNf = envioNf;
this.codIndTempInat = codIndTempInat;
this.dtReparo = dtReparo;
this.atualizouOs = atualizouOs;
this.areaFalha = areaFalha;
this.alturaPorca = alturaPorca;
this.maquinaJd = maquinaJd;
this.garantiaExt = garantiaExt;
this.descrRetorno = descrRetorno;
this.nroFab = nroFab;
this.modelo = modelo;
this.serieEqu = serieEqu;
this.pmpMatriz = pmpMatriz;
this.retNroCreditmemo = retNroCreditmemo;
this.retAutPercVlrCli = retAutPercVlrCli;
this.retAutVlrCli = retAutVlrCli;
this.retAutPercVlrCon = retAutPercVlrCon;
this.retAutVlrCon = retAutVlrCon;
this.retAutPercVlrFab = retAutPercVlrFab;
this.retAutVlrFab = retAutVlrFab;
this.retVlrAditmo = retVlrAditmo;
this.retVlrDesloc = retVlrDesloc;
this.retVlrImposto = retVlrImposto;
this.retVlrOutrosCred = retVlrOutrosCred;
this.retVlrDedJd = retVlrDedJd;
this.retVlrCliJd = retVlrCliJd;
this.retVlrConJd = retVlrConJd;
this.retVlrFabJd = retVlrFabJd;
this.retDtRetJd = retDtRetJd;
this.retVlrTotalJd = retVlrTotalJd;
this.retVlrServicoJd = retVlrServicoJd;
this.retVlrPecaJd = retVlrPecaJd;
this.retDtCreditmemo = retDtCreditmemo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getPecacausadora() {
return pecacausadora;
}

public void setPecacausadora(String pecacausadora) {
this.pecacausadora = pecacausadora;
}

public int getCodTipoFalha() {
return codTipoFalha;
}

public boolean isCodTipoFalhaNull() {
return codTipoFalhaNull;
}

public void setCodTipoFalha(Integer codTipoFalha) {
if (codTipoFalha == null) {
codTipoFalhaNull = true;
this.codTipoFalha = 0;
} else { 
codTipoFalhaNull = false;
this.codTipoFalha = codTipoFalha;
}
}

public int getNrosgAnt() {
return nrosgAnt;
}

public boolean isNrosgAntNull() {
return nrosgAntNull;
}

public void setNrosgAnt(Integer nrosgAnt) {
if (nrosgAnt == null) {
nrosgAntNull = true;
this.nrosgAnt = 0;
} else { 
nrosgAntNull = false;
this.nrosgAnt = nrosgAnt;
}
}

public String getCodStatusSd() {
return codStatusSd;
}

public void setCodStatusSd(String codStatusSd) {
this.codStatusSd = codStatusSd;
}

public int getCodStatusJd() {
return codStatusJd;
}

public boolean isCodStatusJdNull() {
return codStatusJdNull;
}

public void setCodStatusJd(Integer codStatusJd) {
if (codStatusJd == null) {
codStatusJdNull = true;
this.codStatusJd = 0;
} else { 
codStatusJdNull = false;
this.codStatusJd = codStatusJd;
}
}

public String getCodTipGar() {
return codTipGar;
}

public void setCodTipGar(String codTipGar) {
this.codTipGar = codTipGar;
}

public String getCodSubtipoRev() {
return codSubtipoRev;
}

public void setCodSubtipoRev(String codSubtipoRev) {
this.codSubtipoRev = codSubtipoRev;
}

public String getCodTipoAplica() {
return codTipoAplica;
}

public void setCodTipoAplica(String codTipoAplica) {
this.codTipoAplica = codTipoAplica;
}

public String getCodAutorizacao() {
return codAutorizacao;
}

public void setCodAutorizacao(String codAutorizacao) {
this.codAutorizacao = codAutorizacao;
}

public String getInstalador() {
return instalador;
}

public void setInstalador(String instalador) {
this.instalador = instalador;
}

public int getCodPropriedade() {
return codPropriedade;
}

public boolean isCodPropriedadeNull() {
return codPropriedadeNull;
}

public void setCodPropriedade(Integer codPropriedade) {
if (codPropriedade == null) {
codPropriedadeNull = true;
this.codPropriedade = 0;
} else { 
codPropriedadeNull = false;
this.codPropriedade = codPropriedade;
}
}

public FglDate getDtFalha() {
return dtFalha;
}

public void setDtFalha(FglDate dtFalha) {
this.dtFalha = dtFalha;
}

public FglDate getDtInstalacao() {
return dtInstalacao;
}

public void setDtInstalacao(FglDate dtInstalacao) {
this.dtInstalacao = dtInstalacao;
}

public int getIdRevisaoCampanha() {
return idRevisaoCampanha;
}

public boolean isIdRevisaoCampanhaNull() {
return idRevisaoCampanhaNull;
}

public void setIdRevisaoCampanha(Integer idRevisaoCampanha) {
if (idRevisaoCampanha == null) {
idRevisaoCampanhaNull = true;
this.idRevisaoCampanha = 0;
} else { 
idRevisaoCampanhaNull = false;
this.idRevisaoCampanha = idRevisaoCampanha;
}
}

public String getCodTipoIntServ() {
return codTipoIntServ;
}

public void setCodTipoIntServ(String codTipoIntServ) {
this.codTipoIntServ = codTipoIntServ;
}

public int getUsoMaquina() {
return usoMaquina;
}

public boolean isUsoMaquinaNull() {
return usoMaquinaNull;
}

public void setUsoMaquina(Integer usoMaquina) {
if (usoMaquina == null) {
usoMaquinaNull = true;
this.usoMaquina = 0;
} else { 
usoMaquinaNull = false;
this.usoMaquina = usoMaquina;
}
}

public String getDescrTeste() {
return descrTeste;
}

public void setDescrTeste(String descrTeste) {
this.descrTeste = descrTeste;
}

public String getNroSap() {
return nroSap;
}

public void setNroSap(String nroSap) {
this.nroSap = nroSap;
}

public FglDate getDtCriacao() {
return dtCriacao;
}

public void setDtCriacao(FglDate dtCriacao) {
this.dtCriacao = dtCriacao;
}

public FglDate getDtEnvio() {
return dtEnvio;
}

public void setDtEnvio(FglDate dtEnvio) {
this.dtEnvio = dtEnvio;
}

public FglDate getDtRetorno() {
return dtRetorno;
}

public void setDtRetorno(FglDate dtRetorno) {
this.dtRetorno = dtRetorno;
}

public FglDate getDtUltimaalt() {
return dtUltimaalt;
}

public void setDtUltimaalt(FglDate dtUltimaalt) {
this.dtUltimaalt = dtUltimaalt;
}

public String getNroSerPecCausa() {
return nroSerPecCausa;
}

public void setNroSerPecCausa(String nroSerPecCausa) {
this.nroSerPecCausa = nroSerPecCausa;
}

public int getNroNotaAnt() {
return nroNotaAnt;
}

public boolean isNroNotaAntNull() {
return nroNotaAntNull;
}

public void setNroNotaAnt(Integer nroNotaAnt) {
if (nroNotaAnt == null) {
nroNotaAntNull = true;
this.nroNotaAnt = 0;
} else { 
nroNotaAntNull = false;
this.nroNotaAnt = nroNotaAnt;
}
}

public String getComentarioFalha() {
return comentarioFalha;
}

public void setComentarioFalha(String comentarioFalha) {
this.comentarioFalha = comentarioFalha;
}

public String getCodDtac() {
return codDtac;
}

public void setCodDtac(String codDtac) {
this.codDtac = codDtac;
}

public String getSolDtac() {
return solDtac;
}

public void setSolDtac(String solDtac) {
this.solDtac = solDtac;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getCodSubsidio() {
return codSubsidio;
}

public void setCodSubsidio(String codSubsidio) {
this.codSubsidio = codSubsidio;
}

public String getInstalacaoOpc() {
return instalacaoOpc;
}

public void setInstalacaoOpc(String instalacaoOpc) {
this.instalacaoOpc = instalacaoOpc;
}

public String getViagem() {
return viagem;
}

public void setViagem(String viagem) {
this.viagem = viagem;
}

public String getCodTipoMaquina() {
return codTipoMaquina;
}

public void setCodTipoMaquina(String codTipoMaquina) {
this.codTipoMaquina = codTipoMaquina;
}

public String getEnvioNf() {
return envioNf;
}

public void setEnvioNf(String envioNf) {
this.envioNf = envioNf;
}

public String getCodIndTempInat() {
return codIndTempInat;
}

public void setCodIndTempInat(String codIndTempInat) {
this.codIndTempInat = codIndTempInat;
}

public FglDate getDtReparo() {
return dtReparo;
}

public void setDtReparo(FglDate dtReparo) {
this.dtReparo = dtReparo;
}

public String getAtualizouOs() {
return atualizouOs;
}

public void setAtualizouOs(String atualizouOs) {
this.atualizouOs = atualizouOs;
}

public String getAreaFalha() {
return areaFalha;
}

public void setAreaFalha(String areaFalha) {
this.areaFalha = areaFalha;
}

public double getAlturaPorca() {
return alturaPorca;
}

public boolean isAlturaPorcaNull() {
return alturaPorcaNull;
}

public void setAlturaPorca(int alturaPorca) {
setAlturaPorca(new Double(alturaPorca));
}

public void setAlturaPorca(long alturaPorca) {
setAlturaPorca(new Double(alturaPorca));
}

public void setAlturaPorca(Double alturaPorca) {
if (alturaPorca == null) {
alturaPorcaNull = true;
this.alturaPorca = 0.;
} else { 
alturaPorcaNull = false;
this.alturaPorca = FglDouble.round(alturaPorca, 3);
}
}

public String getMaquinaJd() {
return maquinaJd;
}

public void setMaquinaJd(String maquinaJd) {
this.maquinaJd = maquinaJd;
}

public String getGarantiaExt() {
return garantiaExt;
}

public void setGarantiaExt(String garantiaExt) {
this.garantiaExt = garantiaExt;
}

public String getDescrRetorno() {
return descrRetorno;
}

public void setDescrRetorno(String descrRetorno) {
this.descrRetorno = descrRetorno;
}

public String getNroFab() {
return nroFab;
}

public void setNroFab(String nroFab) {
this.nroFab = nroFab;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getSerieEqu() {
return serieEqu;
}

public void setSerieEqu(String serieEqu) {
this.serieEqu = serieEqu;
}

public String getPmpMatriz() {
return pmpMatriz;
}

public void setPmpMatriz(String pmpMatriz) {
this.pmpMatriz = pmpMatriz;
}

public String getRetNroCreditmemo() {
return retNroCreditmemo;
}

public void setRetNroCreditmemo(String retNroCreditmemo) {
this.retNroCreditmemo = retNroCreditmemo;
}

public double getRetAutPercVlrCli() {
return retAutPercVlrCli;
}

public boolean isRetAutPercVlrCliNull() {
return retAutPercVlrCliNull;
}

public void setRetAutPercVlrCli(int retAutPercVlrCli) {
setRetAutPercVlrCli(new Double(retAutPercVlrCli));
}

public void setRetAutPercVlrCli(long retAutPercVlrCli) {
setRetAutPercVlrCli(new Double(retAutPercVlrCli));
}

public void setRetAutPercVlrCli(Double retAutPercVlrCli) {
if (retAutPercVlrCli == null) {
retAutPercVlrCliNull = true;
this.retAutPercVlrCli = 0.;
} else { 
retAutPercVlrCliNull = false;
this.retAutPercVlrCli = FglDouble.round(retAutPercVlrCli, 2);
}
}

public double getRetAutVlrCli() {
return retAutVlrCli;
}

public boolean isRetAutVlrCliNull() {
return retAutVlrCliNull;
}

public void setRetAutVlrCli(int retAutVlrCli) {
setRetAutVlrCli(new Double(retAutVlrCli));
}

public void setRetAutVlrCli(long retAutVlrCli) {
setRetAutVlrCli(new Double(retAutVlrCli));
}

public void setRetAutVlrCli(Double retAutVlrCli) {
if (retAutVlrCli == null) {
retAutVlrCliNull = true;
this.retAutVlrCli = 0.;
} else { 
retAutVlrCliNull = false;
this.retAutVlrCli = FglDouble.round(retAutVlrCli, 2);
}
}

public double getRetAutPercVlrCon() {
return retAutPercVlrCon;
}

public boolean isRetAutPercVlrConNull() {
return retAutPercVlrConNull;
}

public void setRetAutPercVlrCon(int retAutPercVlrCon) {
setRetAutPercVlrCon(new Double(retAutPercVlrCon));
}

public void setRetAutPercVlrCon(long retAutPercVlrCon) {
setRetAutPercVlrCon(new Double(retAutPercVlrCon));
}

public void setRetAutPercVlrCon(Double retAutPercVlrCon) {
if (retAutPercVlrCon == null) {
retAutPercVlrConNull = true;
this.retAutPercVlrCon = 0.;
} else { 
retAutPercVlrConNull = false;
this.retAutPercVlrCon = FglDouble.round(retAutPercVlrCon, 2);
}
}

public double getRetAutVlrCon() {
return retAutVlrCon;
}

public boolean isRetAutVlrConNull() {
return retAutVlrConNull;
}

public void setRetAutVlrCon(int retAutVlrCon) {
setRetAutVlrCon(new Double(retAutVlrCon));
}

public void setRetAutVlrCon(long retAutVlrCon) {
setRetAutVlrCon(new Double(retAutVlrCon));
}

public void setRetAutVlrCon(Double retAutVlrCon) {
if (retAutVlrCon == null) {
retAutVlrConNull = true;
this.retAutVlrCon = 0.;
} else { 
retAutVlrConNull = false;
this.retAutVlrCon = FglDouble.round(retAutVlrCon, 2);
}
}

public double getRetAutPercVlrFab() {
return retAutPercVlrFab;
}

public boolean isRetAutPercVlrFabNull() {
return retAutPercVlrFabNull;
}

public void setRetAutPercVlrFab(int retAutPercVlrFab) {
setRetAutPercVlrFab(new Double(retAutPercVlrFab));
}

public void setRetAutPercVlrFab(long retAutPercVlrFab) {
setRetAutPercVlrFab(new Double(retAutPercVlrFab));
}

public void setRetAutPercVlrFab(Double retAutPercVlrFab) {
if (retAutPercVlrFab == null) {
retAutPercVlrFabNull = true;
this.retAutPercVlrFab = 0.;
} else { 
retAutPercVlrFabNull = false;
this.retAutPercVlrFab = FglDouble.round(retAutPercVlrFab, 2);
}
}

public double getRetAutVlrFab() {
return retAutVlrFab;
}

public boolean isRetAutVlrFabNull() {
return retAutVlrFabNull;
}

public void setRetAutVlrFab(int retAutVlrFab) {
setRetAutVlrFab(new Double(retAutVlrFab));
}

public void setRetAutVlrFab(long retAutVlrFab) {
setRetAutVlrFab(new Double(retAutVlrFab));
}

public void setRetAutVlrFab(Double retAutVlrFab) {
if (retAutVlrFab == null) {
retAutVlrFabNull = true;
this.retAutVlrFab = 0.;
} else { 
retAutVlrFabNull = false;
this.retAutVlrFab = FglDouble.round(retAutVlrFab, 2);
}
}

public double getRetVlrAditmo() {
return retVlrAditmo;
}

public boolean isRetVlrAditmoNull() {
return retVlrAditmoNull;
}

public void setRetVlrAditmo(int retVlrAditmo) {
setRetVlrAditmo(new Double(retVlrAditmo));
}

public void setRetVlrAditmo(long retVlrAditmo) {
setRetVlrAditmo(new Double(retVlrAditmo));
}

public void setRetVlrAditmo(Double retVlrAditmo) {
if (retVlrAditmo == null) {
retVlrAditmoNull = true;
this.retVlrAditmo = 0.;
} else { 
retVlrAditmoNull = false;
this.retVlrAditmo = FglDouble.round(retVlrAditmo, 2);
}
}

public double getRetVlrDesloc() {
return retVlrDesloc;
}

public boolean isRetVlrDeslocNull() {
return retVlrDeslocNull;
}

public void setRetVlrDesloc(int retVlrDesloc) {
setRetVlrDesloc(new Double(retVlrDesloc));
}

public void setRetVlrDesloc(long retVlrDesloc) {
setRetVlrDesloc(new Double(retVlrDesloc));
}

public void setRetVlrDesloc(Double retVlrDesloc) {
if (retVlrDesloc == null) {
retVlrDeslocNull = true;
this.retVlrDesloc = 0.;
} else { 
retVlrDeslocNull = false;
this.retVlrDesloc = FglDouble.round(retVlrDesloc, 2);
}
}

public double getRetVlrImposto() {
return retVlrImposto;
}

public boolean isRetVlrImpostoNull() {
return retVlrImpostoNull;
}

public void setRetVlrImposto(int retVlrImposto) {
setRetVlrImposto(new Double(retVlrImposto));
}

public void setRetVlrImposto(long retVlrImposto) {
setRetVlrImposto(new Double(retVlrImposto));
}

public void setRetVlrImposto(Double retVlrImposto) {
if (retVlrImposto == null) {
retVlrImpostoNull = true;
this.retVlrImposto = 0.;
} else { 
retVlrImpostoNull = false;
this.retVlrImposto = FglDouble.round(retVlrImposto, 2);
}
}

public double getRetVlrOutrosCred() {
return retVlrOutrosCred;
}

public boolean isRetVlrOutrosCredNull() {
return retVlrOutrosCredNull;
}

public void setRetVlrOutrosCred(int retVlrOutrosCred) {
setRetVlrOutrosCred(new Double(retVlrOutrosCred));
}

public void setRetVlrOutrosCred(long retVlrOutrosCred) {
setRetVlrOutrosCred(new Double(retVlrOutrosCred));
}

public void setRetVlrOutrosCred(Double retVlrOutrosCred) {
if (retVlrOutrosCred == null) {
retVlrOutrosCredNull = true;
this.retVlrOutrosCred = 0.;
} else { 
retVlrOutrosCredNull = false;
this.retVlrOutrosCred = FglDouble.round(retVlrOutrosCred, 2);
}
}

public double getRetVlrDedJd() {
return retVlrDedJd;
}

public boolean isRetVlrDedJdNull() {
return retVlrDedJdNull;
}

public void setRetVlrDedJd(int retVlrDedJd) {
setRetVlrDedJd(new Double(retVlrDedJd));
}

public void setRetVlrDedJd(long retVlrDedJd) {
setRetVlrDedJd(new Double(retVlrDedJd));
}

public void setRetVlrDedJd(Double retVlrDedJd) {
if (retVlrDedJd == null) {
retVlrDedJdNull = true;
this.retVlrDedJd = 0.;
} else { 
retVlrDedJdNull = false;
this.retVlrDedJd = FglDouble.round(retVlrDedJd, 2);
}
}

public double getRetVlrCliJd() {
return retVlrCliJd;
}

public boolean isRetVlrCliJdNull() {
return retVlrCliJdNull;
}

public void setRetVlrCliJd(int retVlrCliJd) {
setRetVlrCliJd(new Double(retVlrCliJd));
}

public void setRetVlrCliJd(long retVlrCliJd) {
setRetVlrCliJd(new Double(retVlrCliJd));
}

public void setRetVlrCliJd(Double retVlrCliJd) {
if (retVlrCliJd == null) {
retVlrCliJdNull = true;
this.retVlrCliJd = 0.;
} else { 
retVlrCliJdNull = false;
this.retVlrCliJd = FglDouble.round(retVlrCliJd, 2);
}
}

public double getRetVlrConJd() {
return retVlrConJd;
}

public boolean isRetVlrConJdNull() {
return retVlrConJdNull;
}

public void setRetVlrConJd(int retVlrConJd) {
setRetVlrConJd(new Double(retVlrConJd));
}

public void setRetVlrConJd(long retVlrConJd) {
setRetVlrConJd(new Double(retVlrConJd));
}

public void setRetVlrConJd(Double retVlrConJd) {
if (retVlrConJd == null) {
retVlrConJdNull = true;
this.retVlrConJd = 0.;
} else { 
retVlrConJdNull = false;
this.retVlrConJd = FglDouble.round(retVlrConJd, 2);
}
}

public double getRetVlrFabJd() {
return retVlrFabJd;
}

public boolean isRetVlrFabJdNull() {
return retVlrFabJdNull;
}

public void setRetVlrFabJd(int retVlrFabJd) {
setRetVlrFabJd(new Double(retVlrFabJd));
}

public void setRetVlrFabJd(long retVlrFabJd) {
setRetVlrFabJd(new Double(retVlrFabJd));
}

public void setRetVlrFabJd(Double retVlrFabJd) {
if (retVlrFabJd == null) {
retVlrFabJdNull = true;
this.retVlrFabJd = 0.;
} else { 
retVlrFabJdNull = false;
this.retVlrFabJd = FglDouble.round(retVlrFabJd, 2);
}
}

public FglDate getRetDtRetJd() {
return retDtRetJd;
}

public void setRetDtRetJd(FglDate retDtRetJd) {
this.retDtRetJd = retDtRetJd;
}

public double getRetVlrTotalJd() {
return retVlrTotalJd;
}

public boolean isRetVlrTotalJdNull() {
return retVlrTotalJdNull;
}

public void setRetVlrTotalJd(int retVlrTotalJd) {
setRetVlrTotalJd(new Double(retVlrTotalJd));
}

public void setRetVlrTotalJd(long retVlrTotalJd) {
setRetVlrTotalJd(new Double(retVlrTotalJd));
}

public void setRetVlrTotalJd(Double retVlrTotalJd) {
if (retVlrTotalJd == null) {
retVlrTotalJdNull = true;
this.retVlrTotalJd = 0.;
} else { 
retVlrTotalJdNull = false;
this.retVlrTotalJd = FglDouble.round(retVlrTotalJd, 2);
}
}

public double getRetVlrServicoJd() {
return retVlrServicoJd;
}

public boolean isRetVlrServicoJdNull() {
return retVlrServicoJdNull;
}

public void setRetVlrServicoJd(int retVlrServicoJd) {
setRetVlrServicoJd(new Double(retVlrServicoJd));
}

public void setRetVlrServicoJd(long retVlrServicoJd) {
setRetVlrServicoJd(new Double(retVlrServicoJd));
}

public void setRetVlrServicoJd(Double retVlrServicoJd) {
if (retVlrServicoJd == null) {
retVlrServicoJdNull = true;
this.retVlrServicoJd = 0.;
} else { 
retVlrServicoJdNull = false;
this.retVlrServicoJd = FglDouble.round(retVlrServicoJd, 2);
}
}

public double getRetVlrPecaJd() {
return retVlrPecaJd;
}

public boolean isRetVlrPecaJdNull() {
return retVlrPecaJdNull;
}

public void setRetVlrPecaJd(int retVlrPecaJd) {
setRetVlrPecaJd(new Double(retVlrPecaJd));
}

public void setRetVlrPecaJd(long retVlrPecaJd) {
setRetVlrPecaJd(new Double(retVlrPecaJd));
}

public void setRetVlrPecaJd(Double retVlrPecaJd) {
if (retVlrPecaJd == null) {
retVlrPecaJdNull = true;
this.retVlrPecaJd = 0.;
} else { 
retVlrPecaJdNull = false;
this.retVlrPecaJd = FglDouble.round(retVlrPecaJd, 2);
}
}

public FglDate getRetDtCreditmemo() {
return retDtCreditmemo;
}

public void setRetDtCreditmemo(FglDate retDtCreditmemo) {
this.retDtCreditmemo = retDtCreditmemo;
}

}

