package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdcs {
@Coluna(nome="csgajdcs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdcs.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdcs.creditmemo_nro", tipo="String")
private String creditmemoNro;
@Coluna(nome="csgajdcs.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="csgajdcs.tipo_maodeobra", tipo="String")
private String tipoMaodeobra;
@Coluna(nome="csgajdcs.localizacao_maodeobra", tipo="String")
private String localizacaoMaodeobra;
@Coluna(nome="csgajdcs.qtde_hrs_maodeobra", tipo="double")
private double qtdeHrsMaodeobra;
private boolean qtdeHrsMaodeobraNull;
@Coluna(nome="csgajdcs.vlr_unti_maodeobra", tipo="double")
private double vlrUntiMaodeobra;
private boolean vlrUntiMaodeobraNull;

public TabCsgajdcs() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setCreditmemoNro(null);
setSeq(null);
setTipoMaodeobra(null);
setLocalizacaoMaodeobra(null);
setQtdeHrsMaodeobra(null);
setVlrUntiMaodeobra(null);
}

public TabCsgajdcs(int filial, int nrosg, String creditmemoNro, int seq, String tipoMaodeobra, String localizacaoMaodeobra, double qtdeHrsMaodeobra, double vlrUntiMaodeobra) {
this.filial = filial;
this.nrosg = nrosg;
this.creditmemoNro = creditmemoNro;
this.seq = seq;
this.tipoMaodeobra = tipoMaodeobra;
this.localizacaoMaodeobra = localizacaoMaodeobra;
this.qtdeHrsMaodeobra = qtdeHrsMaodeobra;
this.vlrUntiMaodeobra = vlrUntiMaodeobra;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public String getCreditmemoNro() {
return creditmemoNro;
}

public void setCreditmemoNro(String creditmemoNro) {
this.creditmemoNro = creditmemoNro;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTipoMaodeobra() {
return tipoMaodeobra;
}

public void setTipoMaodeobra(String tipoMaodeobra) {
this.tipoMaodeobra = tipoMaodeobra;
}

public String getLocalizacaoMaodeobra() {
return localizacaoMaodeobra;
}

public void setLocalizacaoMaodeobra(String localizacaoMaodeobra) {
this.localizacaoMaodeobra = localizacaoMaodeobra;
}

public double getQtdeHrsMaodeobra() {
return qtdeHrsMaodeobra;
}

public boolean isQtdeHrsMaodeobraNull() {
return qtdeHrsMaodeobraNull;
}

public void setQtdeHrsMaodeobra(int qtdeHrsMaodeobra) {
setQtdeHrsMaodeobra(new Double(qtdeHrsMaodeobra));
}

public void setQtdeHrsMaodeobra(long qtdeHrsMaodeobra) {
setQtdeHrsMaodeobra(new Double(qtdeHrsMaodeobra));
}

public void setQtdeHrsMaodeobra(Double qtdeHrsMaodeobra) {
if (qtdeHrsMaodeobra == null) {
qtdeHrsMaodeobraNull = true;
this.qtdeHrsMaodeobra = 0.;
} else { 
qtdeHrsMaodeobraNull = false;
this.qtdeHrsMaodeobra = FglDouble.round(qtdeHrsMaodeobra, 3);
}
}

public double getVlrUntiMaodeobra() {
return vlrUntiMaodeobra;
}

public boolean isVlrUntiMaodeobraNull() {
return vlrUntiMaodeobraNull;
}

public void setVlrUntiMaodeobra(int vlrUntiMaodeobra) {
setVlrUntiMaodeobra(new Double(vlrUntiMaodeobra));
}

public void setVlrUntiMaodeobra(long vlrUntiMaodeobra) {
setVlrUntiMaodeobra(new Double(vlrUntiMaodeobra));
}

public void setVlrUntiMaodeobra(Double vlrUntiMaodeobra) {
if (vlrUntiMaodeobra == null) {
vlrUntiMaodeobraNull = true;
this.vlrUntiMaodeobra = 0.;
} else { 
vlrUntiMaodeobraNull = false;
this.vlrUntiMaodeobra = FglDouble.round(vlrUntiMaodeobra, 2);
}
}

}

