package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdpa {
@Coluna(nome="csgajdpa.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdpa.nro_ult_sg", tipo="int")
private int nroUltSg;
private boolean nroUltSgNull;
@Coluna(nome="csgajdpa.vlr_mo_oficina", tipo="double")
private double vlrMoOficina;
private boolean vlrMoOficinaNull;
@Coluna(nome="csgajdpa.vlr_mo_campo", tipo="double")
private double vlrMoCampo;
private boolean vlrMoCampoNull;
@Coluna(nome="csgajdpa.id_servico_deslocamento", tipo="int")
private int idServicoDeslocamento;
private boolean idServicoDeslocamentoNull;
@Coluna(nome="csgajdpa.id_servico_km", tipo="int")
private int idServicoKm;
private boolean idServicoKmNull;
@Coluna(nome="csgajdpa.id_servico_aditivo", tipo="int")
private int idServicoAditivo;
private boolean idServicoAditivoNull;
@Coluna(nome="csgajdpa.tpordem_cli", tipo="String")
private String tpordemCli;
@Coluna(nome="csgajdpa.tpitem_pro_cli", tipo="int")
private int tpitemProCli;
private boolean tpitemProCliNull;
@Coluna(nome="csgajdpa.tpitem_ser_ext_cli", tipo="int")
private int tpitemSerExtCli;
private boolean tpitemSerExtCliNull;
@Coluna(nome="csgajdpa.tpitem_ser_int_cli", tipo="int")
private int tpitemSerIntCli;
private boolean tpitemSerIntCliNull;
@Coluna(nome="csgajdpa.tpordem_con", tipo="String")
private String tpordemCon;
@Coluna(nome="csgajdpa.tpitem_pro_con", tipo="int")
private int tpitemProCon;
private boolean tpitemProConNull;
@Coluna(nome="csgajdpa.tpitem_ser_ext_con", tipo="int")
private int tpitemSerExtCon;
private boolean tpitemSerExtConNull;
@Coluna(nome="csgajdpa.tpitem_ser_int_con", tipo="int")
private int tpitemSerIntCon;
private boolean tpitemSerIntConNull;
@Coluna(nome="csgajdpa.tpordem_rem", tipo="String")
private String tpordemRem;
@Coluna(nome="csgajdpa.trans_sm_env", tipo="String")
private String transSmEnv;
@Coluna(nome="csgajdpa.trans_sm_ret", tipo="String")
private String transSmRet;
@Coluna(nome="csgajdpa.tpordem_agreg", tipo="String")
private String tpordemAgreg;
@Coluna(nome="csgajdpa.envregproduto", tipo="String")
private String envregproduto;
@Coluna(nome="csgajdpa.trans_rem_fab", tipo="String")
private String transRemFab;

public TabCsgajdpa() {
initialize();
}

public void initialize() {
setFilial(null);
setNroUltSg(null);
setVlrMoOficina(null);
setVlrMoCampo(null);
setIdServicoDeslocamento(null);
setIdServicoKm(null);
setIdServicoAditivo(null);
setTpordemCli(null);
setTpitemProCli(null);
setTpitemSerExtCli(null);
setTpitemSerIntCli(null);
setTpordemCon(null);
setTpitemProCon(null);
setTpitemSerExtCon(null);
setTpitemSerIntCon(null);
setTpordemRem(null);
setTransSmEnv(null);
setTransSmRet(null);
setTpordemAgreg(null);
setEnvregproduto(null);
setTransRemFab(null);
}

public TabCsgajdpa(int filial, int nroUltSg, double vlrMoOficina, double vlrMoCampo, int idServicoDeslocamento, int idServicoKm, int idServicoAditivo, String tpordemCli, int tpitemProCli, int tpitemSerExtCli, int tpitemSerIntCli, String tpordemCon, int tpitemProCon, int tpitemSerExtCon, int tpitemSerIntCon, String tpordemRem, String transSmEnv, String transSmRet, String tpordemAgreg, String envregproduto, String transRemFab) {
this.filial = filial;
this.nroUltSg = nroUltSg;
this.vlrMoOficina = vlrMoOficina;
this.vlrMoCampo = vlrMoCampo;
this.idServicoDeslocamento = idServicoDeslocamento;
this.idServicoKm = idServicoKm;
this.idServicoAditivo = idServicoAditivo;
this.tpordemCli = tpordemCli;
this.tpitemProCli = tpitemProCli;
this.tpitemSerExtCli = tpitemSerExtCli;
this.tpitemSerIntCli = tpitemSerIntCli;
this.tpordemCon = tpordemCon;
this.tpitemProCon = tpitemProCon;
this.tpitemSerExtCon = tpitemSerExtCon;
this.tpitemSerIntCon = tpitemSerIntCon;
this.tpordemRem = tpordemRem;
this.transSmEnv = transSmEnv;
this.transSmRet = transSmRet;
this.tpordemAgreg = tpordemAgreg;
this.envregproduto = envregproduto;
this.transRemFab = transRemFab;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroUltSg() {
return nroUltSg;
}

public boolean isNroUltSgNull() {
return nroUltSgNull;
}

public void setNroUltSg(Integer nroUltSg) {
if (nroUltSg == null) {
nroUltSgNull = true;
this.nroUltSg = 0;
} else { 
nroUltSgNull = false;
this.nroUltSg = nroUltSg;
}
}

public double getVlrMoOficina() {
return vlrMoOficina;
}

public boolean isVlrMoOficinaNull() {
return vlrMoOficinaNull;
}

public void setVlrMoOficina(int vlrMoOficina) {
setVlrMoOficina(new Double(vlrMoOficina));
}

public void setVlrMoOficina(long vlrMoOficina) {
setVlrMoOficina(new Double(vlrMoOficina));
}

public void setVlrMoOficina(Double vlrMoOficina) {
if (vlrMoOficina == null) {
vlrMoOficinaNull = true;
this.vlrMoOficina = 0.;
} else { 
vlrMoOficinaNull = false;
this.vlrMoOficina = FglDouble.round(vlrMoOficina, 2);
}
}

public double getVlrMoCampo() {
return vlrMoCampo;
}

public boolean isVlrMoCampoNull() {
return vlrMoCampoNull;
}

public void setVlrMoCampo(int vlrMoCampo) {
setVlrMoCampo(new Double(vlrMoCampo));
}

public void setVlrMoCampo(long vlrMoCampo) {
setVlrMoCampo(new Double(vlrMoCampo));
}

public void setVlrMoCampo(Double vlrMoCampo) {
if (vlrMoCampo == null) {
vlrMoCampoNull = true;
this.vlrMoCampo = 0.;
} else { 
vlrMoCampoNull = false;
this.vlrMoCampo = FglDouble.round(vlrMoCampo, 2);
}
}

public int getIdServicoDeslocamento() {
return idServicoDeslocamento;
}

public boolean isIdServicoDeslocamentoNull() {
return idServicoDeslocamentoNull;
}

public void setIdServicoDeslocamento(Integer idServicoDeslocamento) {
if (idServicoDeslocamento == null) {
idServicoDeslocamentoNull = true;
this.idServicoDeslocamento = 0;
} else { 
idServicoDeslocamentoNull = false;
this.idServicoDeslocamento = idServicoDeslocamento;
}
}

public int getIdServicoKm() {
return idServicoKm;
}

public boolean isIdServicoKmNull() {
return idServicoKmNull;
}

public void setIdServicoKm(Integer idServicoKm) {
if (idServicoKm == null) {
idServicoKmNull = true;
this.idServicoKm = 0;
} else { 
idServicoKmNull = false;
this.idServicoKm = idServicoKm;
}
}

public int getIdServicoAditivo() {
return idServicoAditivo;
}

public boolean isIdServicoAditivoNull() {
return idServicoAditivoNull;
}

public void setIdServicoAditivo(Integer idServicoAditivo) {
if (idServicoAditivo == null) {
idServicoAditivoNull = true;
this.idServicoAditivo = 0;
} else { 
idServicoAditivoNull = false;
this.idServicoAditivo = idServicoAditivo;
}
}

public String getTpordemCli() {
return tpordemCli;
}

public void setTpordemCli(String tpordemCli) {
this.tpordemCli = tpordemCli;
}

public int getTpitemProCli() {
return tpitemProCli;
}

public boolean isTpitemProCliNull() {
return tpitemProCliNull;
}

public void setTpitemProCli(Integer tpitemProCli) {
if (tpitemProCli == null) {
tpitemProCliNull = true;
this.tpitemProCli = 0;
} else { 
tpitemProCliNull = false;
this.tpitemProCli = tpitemProCli;
}
}

public int getTpitemSerExtCli() {
return tpitemSerExtCli;
}

public boolean isTpitemSerExtCliNull() {
return tpitemSerExtCliNull;
}

public void setTpitemSerExtCli(Integer tpitemSerExtCli) {
if (tpitemSerExtCli == null) {
tpitemSerExtCliNull = true;
this.tpitemSerExtCli = 0;
} else { 
tpitemSerExtCliNull = false;
this.tpitemSerExtCli = tpitemSerExtCli;
}
}

public int getTpitemSerIntCli() {
return tpitemSerIntCli;
}

public boolean isTpitemSerIntCliNull() {
return tpitemSerIntCliNull;
}

public void setTpitemSerIntCli(Integer tpitemSerIntCli) {
if (tpitemSerIntCli == null) {
tpitemSerIntCliNull = true;
this.tpitemSerIntCli = 0;
} else { 
tpitemSerIntCliNull = false;
this.tpitemSerIntCli = tpitemSerIntCli;
}
}

public String getTpordemCon() {
return tpordemCon;
}

public void setTpordemCon(String tpordemCon) {
this.tpordemCon = tpordemCon;
}

public int getTpitemProCon() {
return tpitemProCon;
}

public boolean isTpitemProConNull() {
return tpitemProConNull;
}

public void setTpitemProCon(Integer tpitemProCon) {
if (tpitemProCon == null) {
tpitemProConNull = true;
this.tpitemProCon = 0;
} else { 
tpitemProConNull = false;
this.tpitemProCon = tpitemProCon;
}
}

public int getTpitemSerExtCon() {
return tpitemSerExtCon;
}

public boolean isTpitemSerExtConNull() {
return tpitemSerExtConNull;
}

public void setTpitemSerExtCon(Integer tpitemSerExtCon) {
if (tpitemSerExtCon == null) {
tpitemSerExtConNull = true;
this.tpitemSerExtCon = 0;
} else { 
tpitemSerExtConNull = false;
this.tpitemSerExtCon = tpitemSerExtCon;
}
}

public int getTpitemSerIntCon() {
return tpitemSerIntCon;
}

public boolean isTpitemSerIntConNull() {
return tpitemSerIntConNull;
}

public void setTpitemSerIntCon(Integer tpitemSerIntCon) {
if (tpitemSerIntCon == null) {
tpitemSerIntConNull = true;
this.tpitemSerIntCon = 0;
} else { 
tpitemSerIntConNull = false;
this.tpitemSerIntCon = tpitemSerIntCon;
}
}

public String getTpordemRem() {
return tpordemRem;
}

public void setTpordemRem(String tpordemRem) {
this.tpordemRem = tpordemRem;
}

public String getTransSmEnv() {
return transSmEnv;
}

public void setTransSmEnv(String transSmEnv) {
this.transSmEnv = transSmEnv;
}

public String getTransSmRet() {
return transSmRet;
}

public void setTransSmRet(String transSmRet) {
this.transSmRet = transSmRet;
}

public String getTpordemAgreg() {
return tpordemAgreg;
}

public void setTpordemAgreg(String tpordemAgreg) {
this.tpordemAgreg = tpordemAgreg;
}

public String getEnvregproduto() {
return envregproduto;
}

public void setEnvregproduto(String envregproduto) {
this.envregproduto = envregproduto;
}

public String getTransRemFab() {
return transRemFab;
}

public void setTransRemFab(String transRemFab) {
this.transRemFab = transRemFab;
}

}

