package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgajdre {
@Coluna(nome="csgajdre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdre.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdre.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="csgajdre.data_retorno", tipo="FglDate")
private FglDate dataRetorno;
@Coluna(nome="csgajdre.mensagem_retorno", tipo="String")
private String mensagemRetorno;

public TabCsgajdre() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setSeq(null);
setDataRetorno(null);
setMensagemRetorno(null);
}

public TabCsgajdre(int filial, int nrosg, int seq, FglDate dataRetorno, String mensagemRetorno) {
this.filial = filial;
this.nrosg = nrosg;
this.seq = seq;
this.dataRetorno = dataRetorno;
this.mensagemRetorno = mensagemRetorno;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public FglDate getDataRetorno() {
return dataRetorno;
}

public void setDataRetorno(FglDate dataRetorno) {
this.dataRetorno = dataRetorno;
}

public String getMensagemRetorno() {
return mensagemRetorno;
}

public void setMensagemRetorno(String mensagemRetorno) {
this.mensagemRetorno = mensagemRetorno;
}

}

