package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgapgtc {
@Coluna(nome="csgapgtc.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgapgtc.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csgapgtc.codigoimputacao", tipo="String")
private String codigoimputacao;
@Coluna(nome="csgapgtc.codigocausa", tipo="String")
private String codigocausa;
@Coluna(nome="csgapgtc.nrocompostage", tipo="int")
private int nrocompostage;
private boolean nrocompostageNull;
@Coluna(nome="csgapgtc.dossie", tipo="String")
private String dossie;
@Coluna(nome="csgapgtc.tipovin", tipo="String")
private String tipovin;
@Coluna(nome="csgapgtc.dtiniciogar", tipo="FglDate")
private FglDate dtiniciogar;
@Coluna(nome="csgapgtc.dtreparo", tipo="FglDate")
private FglDate dtreparo;
@Coluna(nome="csgapgtc.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csgapgtc.nroacordo", tipo="String")
private String nroacordo;
@Coluna(nome="csgapgtc.pane", tipo="String")
private String pane;
@Coluna(nome="csgapgtc.nrohoras", tipo="double")
private double nrohoras;
private boolean nrohorasNull;
@Coluna(nome="csgapgtc.vlrtotal", tipo="double")
private double vlrtotal;
private boolean vlrtotalNull;
@Coluna(nome="csgapgtc.vlrpecas", tipo="double")
private double vlrpecas;
private boolean vlrpecasNull;
@Coluna(nome="csgapgtc.codigodefeito", tipo="String")
private String codigodefeito;
@Coluna(nome="csgapgtc.comconstatacao", tipo="String")
private String comconstatacao;
@Coluna(nome="csgapgtc.comdiagnostico", tipo="String")
private String comdiagnostico;
@Coluna(nome="csgapgtc.comreparo", tipo="String")
private String comreparo;
@Coluna(nome="csgapgtc.status", tipo="String")
private String status;
@Coluna(nome="csgapgtc.tpincide", tipo="String")
private String tpincide;

public TabCsgapgtc() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setCodigoimputacao(null);
setCodigocausa(null);
setNrocompostage(null);
setDossie(null);
setTipovin(null);
setDtiniciogar(null);
setDtreparo(null);
setQuilometr(null);
setNroacordo(null);
setPane(null);
setNrohoras(null);
setVlrtotal(null);
setVlrpecas(null);
setCodigodefeito(null);
setComconstatacao(null);
setComdiagnostico(null);
setComreparo(null);
setStatus(null);
setTpincide(null);
}

public TabCsgapgtc(int idOscapa, int nroitem, String codigoimputacao, String codigocausa, int nrocompostage, String dossie, String tipovin, FglDate dtiniciogar, FglDate dtreparo, int quilometr, String nroacordo, String pane, double nrohoras, double vlrtotal, double vlrpecas, String codigodefeito, String comconstatacao, String comdiagnostico, String comreparo, String status, String tpincide) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.codigoimputacao = codigoimputacao;
this.codigocausa = codigocausa;
this.nrocompostage = nrocompostage;
this.dossie = dossie;
this.tipovin = tipovin;
this.dtiniciogar = dtiniciogar;
this.dtreparo = dtreparo;
this.quilometr = quilometr;
this.nroacordo = nroacordo;
this.pane = pane;
this.nrohoras = nrohoras;
this.vlrtotal = vlrtotal;
this.vlrpecas = vlrpecas;
this.codigodefeito = codigodefeito;
this.comconstatacao = comconstatacao;
this.comdiagnostico = comdiagnostico;
this.comreparo = comreparo;
this.status = status;
this.tpincide = tpincide;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getCodigoimputacao() {
return codigoimputacao;
}

public void setCodigoimputacao(String codigoimputacao) {
this.codigoimputacao = codigoimputacao;
}

public String getCodigocausa() {
return codigocausa;
}

public void setCodigocausa(String codigocausa) {
this.codigocausa = codigocausa;
}

public int getNrocompostage() {
return nrocompostage;
}

public boolean isNrocompostageNull() {
return nrocompostageNull;
}

public void setNrocompostage(Integer nrocompostage) {
if (nrocompostage == null) {
nrocompostageNull = true;
this.nrocompostage = 0;
} else { 
nrocompostageNull = false;
this.nrocompostage = nrocompostage;
}
}

public String getDossie() {
return dossie;
}

public void setDossie(String dossie) {
this.dossie = dossie;
}

public String getTipovin() {
return tipovin;
}

public void setTipovin(String tipovin) {
this.tipovin = tipovin;
}

public FglDate getDtiniciogar() {
return dtiniciogar;
}

public void setDtiniciogar(FglDate dtiniciogar) {
this.dtiniciogar = dtiniciogar;
}

public FglDate getDtreparo() {
return dtreparo;
}

public void setDtreparo(FglDate dtreparo) {
this.dtreparo = dtreparo;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getNroacordo() {
return nroacordo;
}

public void setNroacordo(String nroacordo) {
this.nroacordo = nroacordo;
}

public String getPane() {
return pane;
}

public void setPane(String pane) {
this.pane = pane;
}

public double getNrohoras() {
return nrohoras;
}

public boolean isNrohorasNull() {
return nrohorasNull;
}

public void setNrohoras(int nrohoras) {
setNrohoras(new Double(nrohoras));
}

public void setNrohoras(long nrohoras) {
setNrohoras(new Double(nrohoras));
}

public void setNrohoras(Double nrohoras) {
if (nrohoras == null) {
nrohorasNull = true;
this.nrohoras = 0.;
} else { 
nrohorasNull = false;
this.nrohoras = FglDouble.round(nrohoras, 2);
}
}

public double getVlrtotal() {
return vlrtotal;
}

public boolean isVlrtotalNull() {
return vlrtotalNull;
}

public void setVlrtotal(int vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(long vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(Double vlrtotal) {
if (vlrtotal == null) {
vlrtotalNull = true;
this.vlrtotal = 0.;
} else { 
vlrtotalNull = false;
this.vlrtotal = FglDouble.round(vlrtotal, 2);
}
}

public double getVlrpecas() {
return vlrpecas;
}

public boolean isVlrpecasNull() {
return vlrpecasNull;
}

public void setVlrpecas(int vlrpecas) {
setVlrpecas(new Double(vlrpecas));
}

public void setVlrpecas(long vlrpecas) {
setVlrpecas(new Double(vlrpecas));
}

public void setVlrpecas(Double vlrpecas) {
if (vlrpecas == null) {
vlrpecasNull = true;
this.vlrpecas = 0.;
} else { 
vlrpecasNull = false;
this.vlrpecas = FglDouble.round(vlrpecas, 2);
}
}

public String getCodigodefeito() {
return codigodefeito;
}

public void setCodigodefeito(String codigodefeito) {
this.codigodefeito = codigodefeito;
}

public String getComconstatacao() {
return comconstatacao;
}

public void setComconstatacao(String comconstatacao) {
this.comconstatacao = comconstatacao;
}

public String getComdiagnostico() {
return comdiagnostico;
}

public void setComdiagnostico(String comdiagnostico) {
this.comdiagnostico = comdiagnostico;
}

public String getComreparo() {
return comreparo;
}

public void setComreparo(String comreparo) {
this.comreparo = comreparo;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getTpincide() {
return tpincide;
}

public void setTpincide(String tpincide) {
this.tpincide = tpincide;
}

}

