package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgardef {
@Coluna(nome="csgardef.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgardef.defeito", tipo="int")
private int defeito;
private boolean defeitoNull;
@Coluna(nome="csgardef.indicedef", tipo="String")
private String indicedef;
@Coluna(nome="csgardef.grupodef", tipo="String")
private String grupodef;
@Coluna(nome="csgardef.subgrpdef", tipo="String")
private String subgrpdef;
@Coluna(nome="csgardef.ilustrdef", tipo="String")
private String ilustrdef;
@Coluna(nome="csgardef.tipodef", tipo="String")
private String tipodef;
@Coluna(nome="csgardef.tiporep", tipo="String")
private String tiporep;
@Coluna(nome="csgardef.qtderep", tipo="String")
private String qtderep;
@Coluna(nome="csgardef.descrrep", tipo="String")
private String descrrep;
@Coluna(nome="csgardef.descrcus", tipo="String")
private String descrcus;
@Coluna(nome="csgardef.doctocus", tipo="String")
private String doctocus;
@Coluna(nome="csgardef.codigcus", tipo="String")
private String codigcus;
@Coluna(nome="csgardef.valorcus", tipo="double")
private double valorcus;
private boolean valorcusNull;
@Coluna(nome="csgardef.vlrliberado", tipo="double")
private double vlrliberado;
private boolean vlrliberadoNull;
@Coluna(nome="csgardef.dtliberacao", tipo="FglDate")
private FglDate dtliberacao;
@Coluna(nome="csgardef.vlrestornado", tipo="double")
private double vlrestornado;
private boolean vlrestornadoNull;
@Coluna(nome="csgardef.dtestorno", tipo="FglDate")
private FglDate dtestorno;
@Coluna(nome="csgardef.codigosg", tipo="String")
private String codigosg;
@Coluna(nome="csgardef.emitenf", tipo="String")
private String emitenf;
@Coluna(nome="csgardef.indparada", tipo="String")
private String indparada;

public TabCsgardef() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDefeito(null);
setIndicedef(null);
setGrupodef(null);
setSubgrpdef(null);
setIlustrdef(null);
setTipodef(null);
setTiporep(null);
setQtderep(null);
setDescrrep(null);
setDescrcus(null);
setDoctocus(null);
setCodigcus(null);
setValorcus(null);
setVlrliberado(null);
setDtliberacao(null);
setVlrestornado(null);
setDtestorno(null);
setCodigosg(null);
setEmitenf(null);
setIndparada(null);
}

public TabCsgardef(int idOscapa, int defeito, String indicedef, String grupodef, String subgrpdef, String ilustrdef, String tipodef, String tiporep, String qtderep, String descrrep, String descrcus, String doctocus, String codigcus, double valorcus, double vlrliberado, FglDate dtliberacao, double vlrestornado, FglDate dtestorno, String codigosg, String emitenf, String indparada) {
this.idOscapa = idOscapa;
this.defeito = defeito;
this.indicedef = indicedef;
this.grupodef = grupodef;
this.subgrpdef = subgrpdef;
this.ilustrdef = ilustrdef;
this.tipodef = tipodef;
this.tiporep = tiporep;
this.qtderep = qtderep;
this.descrrep = descrrep;
this.descrcus = descrcus;
this.doctocus = doctocus;
this.codigcus = codigcus;
this.valorcus = valorcus;
this.vlrliberado = vlrliberado;
this.dtliberacao = dtliberacao;
this.vlrestornado = vlrestornado;
this.dtestorno = dtestorno;
this.codigosg = codigosg;
this.emitenf = emitenf;
this.indparada = indparada;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getDefeito() {
return defeito;
}

public boolean isDefeitoNull() {
return defeitoNull;
}

public void setDefeito(Integer defeito) {
if (defeito == null) {
defeitoNull = true;
this.defeito = 0;
} else { 
defeitoNull = false;
this.defeito = defeito;
}
}

public String getIndicedef() {
return indicedef;
}

public void setIndicedef(String indicedef) {
this.indicedef = indicedef;
}

public String getGrupodef() {
return grupodef;
}

public void setGrupodef(String grupodef) {
this.grupodef = grupodef;
}

public String getSubgrpdef() {
return subgrpdef;
}

public void setSubgrpdef(String subgrpdef) {
this.subgrpdef = subgrpdef;
}

public String getIlustrdef() {
return ilustrdef;
}

public void setIlustrdef(String ilustrdef) {
this.ilustrdef = ilustrdef;
}

public String getTipodef() {
return tipodef;
}

public void setTipodef(String tipodef) {
this.tipodef = tipodef;
}

public String getTiporep() {
return tiporep;
}

public void setTiporep(String tiporep) {
this.tiporep = tiporep;
}

public String getQtderep() {
return qtderep;
}

public void setQtderep(String qtderep) {
this.qtderep = qtderep;
}

public String getDescrrep() {
return descrrep;
}

public void setDescrrep(String descrrep) {
this.descrrep = descrrep;
}

public String getDescrcus() {
return descrcus;
}

public void setDescrcus(String descrcus) {
this.descrcus = descrcus;
}

public String getDoctocus() {
return doctocus;
}

public void setDoctocus(String doctocus) {
this.doctocus = doctocus;
}

public String getCodigcus() {
return codigcus;
}

public void setCodigcus(String codigcus) {
this.codigcus = codigcus;
}

public double getValorcus() {
return valorcus;
}

public boolean isValorcusNull() {
return valorcusNull;
}

public void setValorcus(int valorcus) {
setValorcus(new Double(valorcus));
}

public void setValorcus(long valorcus) {
setValorcus(new Double(valorcus));
}

public void setValorcus(Double valorcus) {
if (valorcus == null) {
valorcusNull = true;
this.valorcus = 0.;
} else { 
valorcusNull = false;
this.valorcus = FglDouble.round(valorcus, 2);
}
}

public double getVlrliberado() {
return vlrliberado;
}

public boolean isVlrliberadoNull() {
return vlrliberadoNull;
}

public void setVlrliberado(int vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(long vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(Double vlrliberado) {
if (vlrliberado == null) {
vlrliberadoNull = true;
this.vlrliberado = 0.;
} else { 
vlrliberadoNull = false;
this.vlrliberado = FglDouble.round(vlrliberado, 2);
}
}

public FglDate getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDate dtliberacao) {
this.dtliberacao = dtliberacao;
}

public double getVlrestornado() {
return vlrestornado;
}

public boolean isVlrestornadoNull() {
return vlrestornadoNull;
}

public void setVlrestornado(int vlrestornado) {
setVlrestornado(new Double(vlrestornado));
}

public void setVlrestornado(long vlrestornado) {
setVlrestornado(new Double(vlrestornado));
}

public void setVlrestornado(Double vlrestornado) {
if (vlrestornado == null) {
vlrestornadoNull = true;
this.vlrestornado = 0.;
} else { 
vlrestornadoNull = false;
this.vlrestornado = FglDouble.round(vlrestornado, 2);
}
}

public FglDate getDtestorno() {
return dtestorno;
}

public void setDtestorno(FglDate dtestorno) {
this.dtestorno = dtestorno;
}

public String getCodigosg() {
return codigosg;
}

public void setCodigosg(String codigosg) {
this.codigosg = codigosg;
}

public String getEmitenf() {
return emitenf;
}

public void setEmitenf(String emitenf) {
this.emitenf = emitenf;
}

public String getIndparada() {
return indparada;
}

public void setIndparada(String indparada) {
this.indparada = indparada;
}

}

