package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgarexp {
@Coluna(nome="csgarexp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgarexp.dtrecebimento", tipo="FglDate")
private FglDate dtrecebimento;
@Coluna(nome="csgarexp.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="csgarexp.id_registro", tipo="String")
private String idRegistro;
@Coluna(nome="csgarexp.linha", tipo="String")
private String linha;

public TabCsgarexp() {
initialize();
}

public void initialize() {
setFilial(null);
setDtrecebimento(null);
setSequencia(null);
setIdRegistro(null);
setLinha(null);
}

public TabCsgarexp(int filial, FglDate dtrecebimento, int sequencia, String idRegistro, String linha) {
this.filial = filial;
this.dtrecebimento = dtrecebimento;
this.sequencia = sequencia;
this.idRegistro = idRegistro;
this.linha = linha;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtrecebimento() {
return dtrecebimento;
}

public void setDtrecebimento(FglDate dtrecebimento) {
this.dtrecebimento = dtrecebimento;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getIdRegistro() {
return idRegistro;
}

public void setIdRegistro(String idRegistro) {
this.idRegistro = idRegistro;
}

public String getLinha() {
return linha;
}

public void setLinha(String linha) {
this.linha = linha;
}

}

