package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarkbd {
@Coluna(nome="csgarkbd.nrosolicit", tipo="int")
private int nrosolicit;
private boolean nrosolicitNull;
@Coluna(nome="csgarkbd.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="csgarkbd.defeito", tipo="String")
private String defeito;
@Coluna(nome="csgarkbd.fornlocal", tipo="String")
private String fornlocal;
@Coluna(nome="csgarkbd.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="csgarkbd.produto", tipo="String")
private String produto;
@Coluna(nome="csgarkbd.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csgarkbd.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="csgarkbd.codserv", tipo="String")
private String codserv;
@Coluna(nome="csgarkbd.retida", tipo="String")
private String retida;

public TabCsgarkbd() {
initialize();
}

public void initialize() {
setNrosolicit(null);
setNrolinha(null);
setDefeito(null);
setFornlocal(null);
setQuantidade(null);
setProduto(null);
setIdServico(null);
setValor(null);
setCodserv(null);
setRetida(null);
}

public TabCsgarkbd(int nrosolicit, int nrolinha, String defeito, String fornlocal, int quantidade, String produto, int idServico, double valor, String codserv, String retida) {
this.nrosolicit = nrosolicit;
this.nrolinha = nrolinha;
this.defeito = defeito;
this.fornlocal = fornlocal;
this.quantidade = quantidade;
this.produto = produto;
this.idServico = idServico;
this.valor = valor;
this.codserv = codserv;
this.retida = retida;
}

public int getNrosolicit() {
return nrosolicit;
}

public boolean isNrosolicitNull() {
return nrosolicitNull;
}

public void setNrosolicit(Integer nrosolicit) {
if (nrosolicit == null) {
nrosolicitNull = true;
this.nrosolicit = 0;
} else { 
nrosolicitNull = false;
this.nrosolicit = nrosolicit;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public String getFornlocal() {
return fornlocal;
}

public void setFornlocal(String fornlocal) {
this.fornlocal = fornlocal;
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getCodserv() {
return codserv;
}

public void setCodserv(String codserv) {
this.codserv = codserv;
}

public String getRetida() {
return retida;
}

public void setRetida(String retida) {
this.retida = retida;
}

}

