package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarmag {
@Coluna(nome="csgarmag.nrosolicit", tipo="int")
private int nrosolicit;
private boolean nrosolicitNull;
@Coluna(nome="csgarmag.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="csgarmag.serienf", tipo="String")
private String serienf;
@Coluna(nome="csgarmag.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="csgarmag.codnovapeca", tipo="String")
private String codnovapeca;
@Coluna(nome="csgarmag.qtdnovapeca", tipo="double")
private double qtdnovapeca;
private boolean qtdnovapecaNull;
@Coluna(nome="csgarmag.fornnovapeca", tipo="String")
private String fornnovapeca;
@Coluna(nome="csgarmag.coddespesa", tipo="String")
private String coddespesa;
@Coluna(nome="csgarmag.codpecamotiv", tipo="String")
private String codpecamotiv;
@Coluna(nome="csgarmag.fornpecamotiv", tipo="String")
private String fornpecamotiv;
@Coluna(nome="csgarmag.nronotamotiv", tipo="int")
private int nronotamotiv;
private boolean nronotamotivNull;
@Coluna(nome="csgarmag.serienfmotiv", tipo="String")
private String serienfmotiv;
@Coluna(nome="csgarmag.dtnotamotiv", tipo="FglDate")
private FglDate dtnotamotiv;
@Coluna(nome="csgarmag.status", tipo="String")
private String status;
@Coluna(nome="csgarmag.datageracao", tipo="FglDate")
private FglDate datageracao;
@Coluna(nome="csgarmag.etiqueta", tipo="String")
private String etiqueta;

public TabCsgarmag() {
initialize();
}

public void initialize() {
setNrosolicit(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setCodnovapeca(null);
setQtdnovapeca(null);
setFornnovapeca(null);
setCoddespesa(null);
setCodpecamotiv(null);
setFornpecamotiv(null);
setNronotamotiv(null);
setSerienfmotiv(null);
setDtnotamotiv(null);
setStatus(null);
setDatageracao(null);
setEtiqueta(null);
}

public TabCsgarmag(int nrosolicit, int nronota, String serienf, FglDate dtnota, String codnovapeca, double qtdnovapeca, String fornnovapeca, String coddespesa, String codpecamotiv, String fornpecamotiv, int nronotamotiv, String serienfmotiv, FglDate dtnotamotiv, String status, FglDate datageracao, String etiqueta) {
this.nrosolicit = nrosolicit;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.codnovapeca = codnovapeca;
this.qtdnovapeca = qtdnovapeca;
this.fornnovapeca = fornnovapeca;
this.coddespesa = coddespesa;
this.codpecamotiv = codpecamotiv;
this.fornpecamotiv = fornpecamotiv;
this.nronotamotiv = nronotamotiv;
this.serienfmotiv = serienfmotiv;
this.dtnotamotiv = dtnotamotiv;
this.status = status;
this.datageracao = datageracao;
this.etiqueta = etiqueta;
}

public int getNrosolicit() {
return nrosolicit;
}

public boolean isNrosolicitNull() {
return nrosolicitNull;
}

public void setNrosolicit(Integer nrosolicit) {
if (nrosolicit == null) {
nrosolicitNull = true;
this.nrosolicit = 0;
} else { 
nrosolicitNull = false;
this.nrosolicit = nrosolicit;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public String getCodnovapeca() {
return codnovapeca;
}

public void setCodnovapeca(String codnovapeca) {
this.codnovapeca = codnovapeca;
}

public double getQtdnovapeca() {
return qtdnovapeca;
}

public boolean isQtdnovapecaNull() {
return qtdnovapecaNull;
}

public void setQtdnovapeca(int qtdnovapeca) {
setQtdnovapeca(new Double(qtdnovapeca));
}

public void setQtdnovapeca(long qtdnovapeca) {
setQtdnovapeca(new Double(qtdnovapeca));
}

public void setQtdnovapeca(Double qtdnovapeca) {
if (qtdnovapeca == null) {
qtdnovapecaNull = true;
this.qtdnovapeca = 0.;
} else { 
qtdnovapecaNull = false;
this.qtdnovapeca = FglDouble.round(qtdnovapeca, 2);
}
}

public String getFornnovapeca() {
return fornnovapeca;
}

public void setFornnovapeca(String fornnovapeca) {
this.fornnovapeca = fornnovapeca;
}

public String getCoddespesa() {
return coddespesa;
}

public void setCoddespesa(String coddespesa) {
this.coddespesa = coddespesa;
}

public String getCodpecamotiv() {
return codpecamotiv;
}

public void setCodpecamotiv(String codpecamotiv) {
this.codpecamotiv = codpecamotiv;
}

public String getFornpecamotiv() {
return fornpecamotiv;
}

public void setFornpecamotiv(String fornpecamotiv) {
this.fornpecamotiv = fornpecamotiv;
}

public int getNronotamotiv() {
return nronotamotiv;
}

public boolean isNronotamotivNull() {
return nronotamotivNull;
}

public void setNronotamotiv(Integer nronotamotiv) {
if (nronotamotiv == null) {
nronotamotivNull = true;
this.nronotamotiv = 0;
} else { 
nronotamotivNull = false;
this.nronotamotiv = nronotamotiv;
}
}

public String getSerienfmotiv() {
return serienfmotiv;
}

public void setSerienfmotiv(String serienfmotiv) {
this.serienfmotiv = serienfmotiv;
}

public FglDate getDtnotamotiv() {
return dtnotamotiv;
}

public void setDtnotamotiv(FglDate dtnotamotiv) {
this.dtnotamotiv = dtnotamotiv;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDate getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDate datageracao) {
this.datageracao = datageracao;
}

public String getEtiqueta() {
return etiqueta;
}

public void setEtiqueta(String etiqueta) {
this.etiqueta = etiqueta;
}

}

