package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgarpcs {
@Coluna(nome="csgarpcs.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarpcs.produto", tipo="String")
private String produto;
@Coluna(nome="csgarpcs.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csgarpcs.precoreposic", tipo="double")
private double precoreposic;
private boolean precoreposicNull;
@Coluna(nome="csgarpcs.vlrliberado", tipo="double")
private double vlrliberado;
private boolean vlrliberadoNull;
@Coluna(nome="csgarpcs.dtliberacao", tipo="FglDate")
private FglDate dtliberacao;
@Coluna(nome="csgarpcs.vlrestornado", tipo="double")
private double vlrestornado;
private boolean vlrestornadoNull;
@Coluna(nome="csgarpcs.dtestorno", tipo="FglDate")
private FglDate dtestorno;
@Coluna(nome="csgarpcs.coddefeito", tipo="int")
private int coddefeito;
private boolean coddefeitoNull;
@Coluna(nome="csgarpcs.identcaus", tipo="String")
private String identcaus;
@Coluna(nome="csgarpcs.retida", tipo="String")
private String retida;
@Coluna(nome="csgarpcs.dtenvio", tipo="FglDate")
private FglDate dtenvio;
@Coluna(nome="csgarpcs.statusenvio", tipo="int")
private int statusenvio;
private boolean statusenvioNull;
@Coluna(nome="csgarpcs.remesant", tipo="String")
private String remesant;

public TabCsgarpcs() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setProduto(null);
setQuantidade(null);
setPrecoreposic(null);
setVlrliberado(null);
setDtliberacao(null);
setVlrestornado(null);
setDtestorno(null);
setCoddefeito(null);
setIdentcaus(null);
setRetida(null);
setDtenvio(null);
setStatusenvio(null);
setRemesant(null);
}

public TabCsgarpcs(int idOscapa, String produto, double quantidade, double precoreposic, double vlrliberado, FglDate dtliberacao, double vlrestornado, FglDate dtestorno, int coddefeito, String identcaus, String retida, FglDate dtenvio, int statusenvio, String remesant) {
this.idOscapa = idOscapa;
this.produto = produto;
this.quantidade = quantidade;
this.precoreposic = precoreposic;
this.vlrliberado = vlrliberado;
this.dtliberacao = dtliberacao;
this.vlrestornado = vlrestornado;
this.dtestorno = dtestorno;
this.coddefeito = coddefeito;
this.identcaus = identcaus;
this.retida = retida;
this.dtenvio = dtenvio;
this.statusenvio = statusenvio;
this.remesant = remesant;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getPrecoreposic() {
return precoreposic;
}

public boolean isPrecoreposicNull() {
return precoreposicNull;
}

public void setPrecoreposic(int precoreposic) {
setPrecoreposic(new Double(precoreposic));
}

public void setPrecoreposic(long precoreposic) {
setPrecoreposic(new Double(precoreposic));
}

public void setPrecoreposic(Double precoreposic) {
if (precoreposic == null) {
precoreposicNull = true;
this.precoreposic = 0.;
} else { 
precoreposicNull = false;
this.precoreposic = FglDouble.round(precoreposic, 2);
}
}

public double getVlrliberado() {
return vlrliberado;
}

public boolean isVlrliberadoNull() {
return vlrliberadoNull;
}

public void setVlrliberado(int vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(long vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(Double vlrliberado) {
if (vlrliberado == null) {
vlrliberadoNull = true;
this.vlrliberado = 0.;
} else { 
vlrliberadoNull = false;
this.vlrliberado = FglDouble.round(vlrliberado, 2);
}
}

public FglDate getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDate dtliberacao) {
this.dtliberacao = dtliberacao;
}

public double getVlrestornado() {
return vlrestornado;
}

public boolean isVlrestornadoNull() {
return vlrestornadoNull;
}

public void setVlrestornado(int vlrestornado) {
setVlrestornado(new Double(vlrestornado));
}

public void setVlrestornado(long vlrestornado) {
setVlrestornado(new Double(vlrestornado));
}

public void setVlrestornado(Double vlrestornado) {
if (vlrestornado == null) {
vlrestornadoNull = true;
this.vlrestornado = 0.;
} else { 
vlrestornadoNull = false;
this.vlrestornado = FglDouble.round(vlrestornado, 2);
}
}

public FglDate getDtestorno() {
return dtestorno;
}

public void setDtestorno(FglDate dtestorno) {
this.dtestorno = dtestorno;
}

public int getCoddefeito() {
return coddefeito;
}

public boolean isCoddefeitoNull() {
return coddefeitoNull;
}

public void setCoddefeito(Integer coddefeito) {
if (coddefeito == null) {
coddefeitoNull = true;
this.coddefeito = 0;
} else { 
coddefeitoNull = false;
this.coddefeito = coddefeito;
}
}

public String getIdentcaus() {
return identcaus;
}

public void setIdentcaus(String identcaus) {
this.identcaus = identcaus;
}

public String getRetida() {
return retida;
}

public void setRetida(String retida) {
this.retida = retida;
}

public FglDate getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDate dtenvio) {
this.dtenvio = dtenvio;
}

public int getStatusenvio() {
return statusenvio;
}

public boolean isStatusenvioNull() {
return statusenvioNull;
}

public void setStatusenvio(Integer statusenvio) {
if (statusenvio == null) {
statusenvioNull = true;
this.statusenvio = 0;
} else { 
statusenvioNull = false;
this.statusenvio = statusenvio;
}
}

public String getRemesant() {
return remesant;
}

public void setRemesant(String remesant) {
this.remesant = remesant;
}

}

