package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgarren {
@Coluna(nome="csgarren.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarren.chassis", tipo="String")
private String chassis;
@Coluna(nome="csgarren.tipoposvenda", tipo="String")
private String tipoposvenda;
@Coluna(nome="csgarren.cod_motor", tipo="String")
private String codMotor;
@Coluna(nome="csgarren.serie_motor", tipo="String")
private String serieMotor;
@Coluna(nome="csgarren.cod_cambio", tipo="String")
private String codCambio;
@Coluna(nome="csgarren.serie_cambio", tipo="String")
private String serieCambio;
@Coluna(nome="csgarren.idt_status", tipo="String")
private String idtStatus;
@Coluna(nome="csgarren.idt_cancelou", tipo="String")
private String idtCancelou;
@Coluna(nome="csgarren.dt_envio", tipo="FglDate")
private FglDate dtEnvio;

public TabCsgarren() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setChassis(null);
setTipoposvenda(null);
setCodMotor(null);
setSerieMotor(null);
setCodCambio(null);
setSerieCambio(null);
setIdtStatus(null);
setIdtCancelou(null);
setDtEnvio(null);
}

public TabCsgarren(int idOscapa, String chassis, String tipoposvenda, String codMotor, String serieMotor, String codCambio, String serieCambio, String idtStatus, String idtCancelou, FglDate dtEnvio) {
this.idOscapa = idOscapa;
this.chassis = chassis;
this.tipoposvenda = tipoposvenda;
this.codMotor = codMotor;
this.serieMotor = serieMotor;
this.codCambio = codCambio;
this.serieCambio = serieCambio;
this.idtStatus = idtStatus;
this.idtCancelou = idtCancelou;
this.dtEnvio = dtEnvio;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getTipoposvenda() {
return tipoposvenda;
}

public void setTipoposvenda(String tipoposvenda) {
this.tipoposvenda = tipoposvenda;
}

public String getCodMotor() {
return codMotor;
}

public void setCodMotor(String codMotor) {
this.codMotor = codMotor;
}

public String getSerieMotor() {
return serieMotor;
}

public void setSerieMotor(String serieMotor) {
this.serieMotor = serieMotor;
}

public String getCodCambio() {
return codCambio;
}

public void setCodCambio(String codCambio) {
this.codCambio = codCambio;
}

public String getSerieCambio() {
return serieCambio;
}

public void setSerieCambio(String serieCambio) {
this.serieCambio = serieCambio;
}

public String getIdtStatus() {
return idtStatus;
}

public void setIdtStatus(String idtStatus) {
this.idtStatus = idtStatus;
}

public String getIdtCancelou() {
return idtCancelou;
}

public void setIdtCancelou(String idtCancelou) {
this.idtCancelou = idtCancelou;
}

public FglDate getDtEnvio() {
return dtEnvio;
}

public void setDtEnvio(FglDate dtEnvio) {
this.dtEnvio = dtEnvio;
}

}

