package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarvbc {
@Coluna(nome="csgarvbc.nrosolicit", tipo="int")
private int nrosolicit;
private boolean nrosolicitNull;
@Coluna(nome="csgarvbc.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="csgarvbc.tma", tipo="String")
private String tma;
@Coluna(nome="csgarvbc.reconsidera", tipo="String")
private String reconsidera;
@Coluna(nome="csgarvbc.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="csgarvbc.dtreparo", tipo="FglDate")
private FglDate dtreparo;
@Coluna(nome="csgarvbc.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csgarvbc.tipogar", tipo="String")
private String tipogar;
@Coluna(nome="csgarvbc.nroautoriza", tipo="int")
private int nroautoriza;
private boolean nroautorizaNull;
@Coluna(nome="csgarvbc.vlrtotpc", tipo="double")
private double vlrtotpc;
private boolean vlrtotpcNull;
@Coluna(nome="csgarvbc.vlrtotmo", tipo="double")
private double vlrtotmo;
private boolean vlrtotmoNull;
@Coluna(nome="csgarvbc.reservado1", tipo="String")
private String reservado1;
@Coluna(nome="csgarvbc.reservado2", tipo="String")
private String reservado2;
@Coluna(nome="csgarvbc.reservado3", tipo="String")
private String reservado3;
@Coluna(nome="csgarvbc.reservado4", tipo="String")
private String reservado4;
@Coluna(nome="csgarvbc.localatend", tipo="String")
private String localatend;
@Coluna(nome="csgarvbc.dtenvio", tipo="FglDate")
private FglDate dtenvio;
@Coluna(nome="csgarvbc.dtretorno", tipo="FglDate")
private FglDate dtretorno;
@Coluna(nome="csgarvbc.valordc", tipo="double")
private double valordc;
private boolean valordcNull;
@Coluna(nome="csgarvbc.status", tipo="String")
private String status;

public TabCsgarvbc() {
initialize();
}

public void initialize() {
setNrosolicit(null);
setNronota(null);
setTma(null);
setReconsidera(null);
setDtvenda(null);
setDtreparo(null);
setQuilometr(null);
setTipogar(null);
setNroautoriza(null);
setVlrtotpc(null);
setVlrtotmo(null);
setReservado1(null);
setReservado2(null);
setReservado3(null);
setReservado4(null);
setLocalatend(null);
setDtenvio(null);
setDtretorno(null);
setValordc(null);
setStatus(null);
}

public TabCsgarvbc(int nrosolicit, int nronota, String tma, String reconsidera, FglDate dtvenda, FglDate dtreparo, int quilometr, String tipogar, int nroautoriza, double vlrtotpc, double vlrtotmo, String reservado1, String reservado2, String reservado3, String reservado4, String localatend, FglDate dtenvio, FglDate dtretorno, double valordc, String status) {
this.nrosolicit = nrosolicit;
this.nronota = nronota;
this.tma = tma;
this.reconsidera = reconsidera;
this.dtvenda = dtvenda;
this.dtreparo = dtreparo;
this.quilometr = quilometr;
this.tipogar = tipogar;
this.nroautoriza = nroautoriza;
this.vlrtotpc = vlrtotpc;
this.vlrtotmo = vlrtotmo;
this.reservado1 = reservado1;
this.reservado2 = reservado2;
this.reservado3 = reservado3;
this.reservado4 = reservado4;
this.localatend = localatend;
this.dtenvio = dtenvio;
this.dtretorno = dtretorno;
this.valordc = valordc;
this.status = status;
}

public int getNrosolicit() {
return nrosolicit;
}

public boolean isNrosolicitNull() {
return nrosolicitNull;
}

public void setNrosolicit(Integer nrosolicit) {
if (nrosolicit == null) {
nrosolicitNull = true;
this.nrosolicit = 0;
} else { 
nrosolicitNull = false;
this.nrosolicit = nrosolicit;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getTma() {
return tma;
}

public void setTma(String tma) {
this.tma = tma;
}

public String getReconsidera() {
return reconsidera;
}

public void setReconsidera(String reconsidera) {
this.reconsidera = reconsidera;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public FglDate getDtreparo() {
return dtreparo;
}

public void setDtreparo(FglDate dtreparo) {
this.dtreparo = dtreparo;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getTipogar() {
return tipogar;
}

public void setTipogar(String tipogar) {
this.tipogar = tipogar;
}

public int getNroautoriza() {
return nroautoriza;
}

public boolean isNroautorizaNull() {
return nroautorizaNull;
}

public void setNroautoriza(Integer nroautoriza) {
if (nroautoriza == null) {
nroautorizaNull = true;
this.nroautoriza = 0;
} else { 
nroautorizaNull = false;
this.nroautoriza = nroautoriza;
}
}

public double getVlrtotpc() {
return vlrtotpc;
}

public boolean isVlrtotpcNull() {
return vlrtotpcNull;
}

public void setVlrtotpc(int vlrtotpc) {
setVlrtotpc(new Double(vlrtotpc));
}

public void setVlrtotpc(long vlrtotpc) {
setVlrtotpc(new Double(vlrtotpc));
}

public void setVlrtotpc(Double vlrtotpc) {
if (vlrtotpc == null) {
vlrtotpcNull = true;
this.vlrtotpc = 0.;
} else { 
vlrtotpcNull = false;
this.vlrtotpc = FglDouble.round(vlrtotpc, 2);
}
}

public double getVlrtotmo() {
return vlrtotmo;
}

public boolean isVlrtotmoNull() {
return vlrtotmoNull;
}

public void setVlrtotmo(int vlrtotmo) {
setVlrtotmo(new Double(vlrtotmo));
}

public void setVlrtotmo(long vlrtotmo) {
setVlrtotmo(new Double(vlrtotmo));
}

public void setVlrtotmo(Double vlrtotmo) {
if (vlrtotmo == null) {
vlrtotmoNull = true;
this.vlrtotmo = 0.;
} else { 
vlrtotmoNull = false;
this.vlrtotmo = FglDouble.round(vlrtotmo, 2);
}
}

public String getReservado1() {
return reservado1;
}

public void setReservado1(String reservado1) {
this.reservado1 = reservado1;
}

public String getReservado2() {
return reservado2;
}

public void setReservado2(String reservado2) {
this.reservado2 = reservado2;
}

public String getReservado3() {
return reservado3;
}

public void setReservado3(String reservado3) {
this.reservado3 = reservado3;
}

public String getReservado4() {
return reservado4;
}

public void setReservado4(String reservado4) {
this.reservado4 = reservado4;
}

public String getLocalatend() {
return localatend;
}

public void setLocalatend(String localatend) {
this.localatend = localatend;
}

public FglDate getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDate dtenvio) {
this.dtenvio = dtenvio;
}

public FglDate getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDate dtretorno) {
this.dtretorno = dtretorno;
}

public double getValordc() {
return valordc;
}

public boolean isValordcNull() {
return valordcNull;
}

public void setValordc(int valordc) {
setValordc(new Double(valordc));
}

public void setValordc(long valordc) {
setValordc(new Double(valordc));
}

public void setValordc(Double valordc) {
if (valordc == null) {
valordcNull = true;
this.valordc = 0.;
} else { 
valordcNull = false;
this.valordc = FglDouble.round(valordc, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

