package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgcmmat {
@Coluna(nome="csgcmmat.id_gcmmat", tipo="int")
private int idGcmmat;
private boolean idGcmmatNull;
@Coluna(nome="csgcmmat.id_gcmper", tipo="int")
private int idGcmper;
private boolean idGcmperNull;
@Coluna(nome="csgcmmat.id_gcmfat", tipo="int")
private int idGcmfat;
private boolean idGcmfatNull;
@Coluna(nome="csgcmmat.nro_drg", tipo="String")
private String nroDrg;
@Coluna(nome="csgcmmat.data_drg", tipo="FglDate")
private FglDate dataDrg;
@Coluna(nome="csgcmmat.numero_os", tipo="int")
private int numeroOs;
private boolean numeroOsNull;
@Coluna(nome="csgcmmat.tipo", tipo="String")
private String tipo;
@Coluna(nome="csgcmmat.referencia_peca", tipo="String")
private String referenciaPeca;
@Coluna(nome="csgcmmat.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="csgcmmat.total_pecas", tipo="double")
private double totalPecas;
private boolean totalPecasNull;
@Coluna(nome="csgcmmat.plus_pecas", tipo="double")
private double plusPecas;
private boolean plusPecasNull;
@Coluna(nome="csgcmmat.icms", tipo="double")
private double icms;
private boolean icmsNull;
@Coluna(nome="csgcmmat.total_validados", tipo="double")
private double totalValidados;
private boolean totalValidadosNull;
@Coluna(nome="csgcmmat.intervencao", tipo="String")
private String intervencao;

public TabCsgcmmat() {
initialize();
}

public void initialize() {
setIdGcmmat(null);
setIdGcmper(null);
setIdGcmfat(null);
setNroDrg(null);
setDataDrg(null);
setNumeroOs(null);
setTipo(null);
setReferenciaPeca(null);
setQuantidade(null);
setTotalPecas(null);
setPlusPecas(null);
setIcms(null);
setTotalValidados(null);
setIntervencao(null);
}

public TabCsgcmmat(int idGcmmat, int idGcmper, int idGcmfat, String nroDrg, FglDate dataDrg, int numeroOs, String tipo, String referenciaPeca, int quantidade, double totalPecas, double plusPecas, double icms, double totalValidados, String intervencao) {
this.idGcmmat = idGcmmat;
this.idGcmper = idGcmper;
this.idGcmfat = idGcmfat;
this.nroDrg = nroDrg;
this.dataDrg = dataDrg;
this.numeroOs = numeroOs;
this.tipo = tipo;
this.referenciaPeca = referenciaPeca;
this.quantidade = quantidade;
this.totalPecas = totalPecas;
this.plusPecas = plusPecas;
this.icms = icms;
this.totalValidados = totalValidados;
this.intervencao = intervencao;
}

public int getIdGcmmat() {
return idGcmmat;
}

public boolean isIdGcmmatNull() {
return idGcmmatNull;
}

public void setIdGcmmat(Integer idGcmmat) {
if (idGcmmat == null) {
idGcmmatNull = true;
this.idGcmmat = 0;
} else { 
idGcmmatNull = false;
this.idGcmmat = idGcmmat;
}
}

public int getIdGcmper() {
return idGcmper;
}

public boolean isIdGcmperNull() {
return idGcmperNull;
}

public void setIdGcmper(Integer idGcmper) {
if (idGcmper == null) {
idGcmperNull = true;
this.idGcmper = 0;
} else { 
idGcmperNull = false;
this.idGcmper = idGcmper;
}
}

public int getIdGcmfat() {
return idGcmfat;
}

public boolean isIdGcmfatNull() {
return idGcmfatNull;
}

public void setIdGcmfat(Integer idGcmfat) {
if (idGcmfat == null) {
idGcmfatNull = true;
this.idGcmfat = 0;
} else { 
idGcmfatNull = false;
this.idGcmfat = idGcmfat;
}
}

public String getNroDrg() {
return nroDrg;
}

public void setNroDrg(String nroDrg) {
this.nroDrg = nroDrg;
}

public FglDate getDataDrg() {
return dataDrg;
}

public void setDataDrg(FglDate dataDrg) {
this.dataDrg = dataDrg;
}

public int getNumeroOs() {
return numeroOs;
}

public boolean isNumeroOsNull() {
return numeroOsNull;
}

public void setNumeroOs(Integer numeroOs) {
if (numeroOs == null) {
numeroOsNull = true;
this.numeroOs = 0;
} else { 
numeroOsNull = false;
this.numeroOs = numeroOs;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getReferenciaPeca() {
return referenciaPeca;
}

public void setReferenciaPeca(String referenciaPeca) {
this.referenciaPeca = referenciaPeca;
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public double getTotalPecas() {
return totalPecas;
}

public boolean isTotalPecasNull() {
return totalPecasNull;
}

public void setTotalPecas(int totalPecas) {
setTotalPecas(new Double(totalPecas));
}

public void setTotalPecas(long totalPecas) {
setTotalPecas(new Double(totalPecas));
}

public void setTotalPecas(Double totalPecas) {
if (totalPecas == null) {
totalPecasNull = true;
this.totalPecas = 0.;
} else { 
totalPecasNull = false;
this.totalPecas = FglDouble.round(totalPecas, 2);
}
}

public double getPlusPecas() {
return plusPecas;
}

public boolean isPlusPecasNull() {
return plusPecasNull;
}

public void setPlusPecas(int plusPecas) {
setPlusPecas(new Double(plusPecas));
}

public void setPlusPecas(long plusPecas) {
setPlusPecas(new Double(plusPecas));
}

public void setPlusPecas(Double plusPecas) {
if (plusPecas == null) {
plusPecasNull = true;
this.plusPecas = 0.;
} else { 
plusPecasNull = false;
this.plusPecas = FglDouble.round(plusPecas, 2);
}
}

public double getIcms() {
return icms;
}

public boolean isIcmsNull() {
return icmsNull;
}

public void setIcms(int icms) {
setIcms(new Double(icms));
}

public void setIcms(long icms) {
setIcms(new Double(icms));
}

public void setIcms(Double icms) {
if (icms == null) {
icmsNull = true;
this.icms = 0.;
} else { 
icmsNull = false;
this.icms = FglDouble.round(icms, 2);
}
}

public double getTotalValidados() {
return totalValidados;
}

public boolean isTotalValidadosNull() {
return totalValidadosNull;
}

public void setTotalValidados(int totalValidados) {
setTotalValidados(new Double(totalValidados));
}

public void setTotalValidados(long totalValidados) {
setTotalValidados(new Double(totalValidados));
}

public void setTotalValidados(Double totalValidados) {
if (totalValidados == null) {
totalValidadosNull = true;
this.totalValidados = 0.;
} else { 
totalValidadosNull = false;
this.totalValidados = FglDouble.round(totalValidados, 2);
}
}

public String getIntervencao() {
return intervencao;
}

public void setIntervencao(String intervencao) {
this.intervencao = intervencao;
}

}

