package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCsgcmper {
@Coluna(nome="csgcmper.id_gcmper", tipo="int")
private int idGcmper;
private boolean idGcmperNull;
@Coluna(nome="csgcmper.nro_bir", tipo="String")
private String nroBir;
@Coluna(nome="csgcmper.nome_concessionaria", tipo="String")
private String nomeConcessionaria;
@Coluna(nome="csgcmper.periodo_faturamento", tipo="FglDateTimeYM")
private FglDateTimeYM periodoFaturamento;

public TabCsgcmper() {
initialize();
}

public void initialize() {
setIdGcmper(null);
setNroBir(null);
setNomeConcessionaria(null);
setPeriodoFaturamento(null);
}

public TabCsgcmper(int idGcmper, String nroBir, String nomeConcessionaria, FglDateTimeYM periodoFaturamento) {
this.idGcmper = idGcmper;
this.nroBir = nroBir;
this.nomeConcessionaria = nomeConcessionaria;
this.periodoFaturamento = periodoFaturamento;
}

public int getIdGcmper() {
return idGcmper;
}

public boolean isIdGcmperNull() {
return idGcmperNull;
}

public void setIdGcmper(Integer idGcmper) {
if (idGcmper == null) {
idGcmperNull = true;
this.idGcmper = 0;
} else { 
idGcmperNull = false;
this.idGcmper = idGcmper;
}
}

public String getNroBir() {
return nroBir;
}

public void setNroBir(String nroBir) {
this.nroBir = nroBir;
}

public String getNomeConcessionaria() {
return nomeConcessionaria;
}

public void setNomeConcessionaria(String nomeConcessionaria) {
this.nomeConcessionaria = nomeConcessionaria;
}

public FglDateTimeYM getPeriodoFaturamento() {
return periodoFaturamento;
}

public void setPeriodoFaturamento(FglDateTimeYM periodoFaturamento) {
this.periodoFaturamento = periodoFaturamento;
}

}

