package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsmbbrev {
@Coluna(nome="csmbbrev.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csmbbrev.dtreparo", tipo="FglDate")
private FglDate dtreparo;
@Coluna(nome="csmbbrev.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csmbbrev.unidade", tipo="String")
private String unidade;
@Coluna(nome="csmbbrev.codrevisao", tipo="String")
private String codrevisao;
@Coluna(nome="csmbbrev.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="csmbbrev.status", tipo="String")
private String status;
@Coluna(nome="csmbbrev.observacao", tipo="String")
private String observacao;
@Coluna(nome="csmbbrev.vlrenviado", tipo="double")
private double vlrenviado;
private boolean vlrenviadoNull;
@Coluna(nome="csmbbrev.vlrliberado", tipo="double")
private double vlrliberado;
private boolean vlrliberadoNull;
@Coluna(nome="csmbbrev.dtliberacao", tipo="FglDate")
private FglDate dtliberacao;

public TabCsmbbrev() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDtreparo(null);
setQuilometr(null);
setUnidade(null);
setCodrevisao(null);
setOperacao(null);
setStatus(null);
setObservacao(null);
setVlrenviado(null);
setVlrliberado(null);
setDtliberacao(null);
}

public TabCsmbbrev(int idOscapa, FglDate dtreparo, int quilometr, String unidade, String codrevisao, int operacao, String status, String observacao, double vlrenviado, double vlrliberado, FglDate dtliberacao) {
this.idOscapa = idOscapa;
this.dtreparo = dtreparo;
this.quilometr = quilometr;
this.unidade = unidade;
this.codrevisao = codrevisao;
this.operacao = operacao;
this.status = status;
this.observacao = observacao;
this.vlrenviado = vlrenviado;
this.vlrliberado = vlrliberado;
this.dtliberacao = dtliberacao;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDtreparo() {
return dtreparo;
}

public void setDtreparo(FglDate dtreparo) {
this.dtreparo = dtreparo;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public String getCodrevisao() {
return codrevisao;
}

public void setCodrevisao(String codrevisao) {
this.codrevisao = codrevisao;
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public double getVlrenviado() {
return vlrenviado;
}

public boolean isVlrenviadoNull() {
return vlrenviadoNull;
}

public void setVlrenviado(int vlrenviado) {
setVlrenviado(new Double(vlrenviado));
}

public void setVlrenviado(long vlrenviado) {
setVlrenviado(new Double(vlrenviado));
}

public void setVlrenviado(Double vlrenviado) {
if (vlrenviado == null) {
vlrenviadoNull = true;
this.vlrenviado = 0.;
} else { 
vlrenviadoNull = false;
this.vlrenviado = FglDouble.round(vlrenviado, 2);
}
}

public double getVlrliberado() {
return vlrliberado;
}

public boolean isVlrliberadoNull() {
return vlrliberadoNull;
}

public void setVlrliberado(int vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(long vlrliberado) {
setVlrliberado(new Double(vlrliberado));
}

public void setVlrliberado(Double vlrliberado) {
if (vlrliberado == null) {
vlrliberadoNull = true;
this.vlrliberado = 0.;
} else { 
vlrliberadoNull = false;
this.vlrliberado = FglDouble.round(vlrliberado, 2);
}
}

public FglDate getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDate dtliberacao) {
this.dtliberacao = dtliberacao;
}

}

