package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsosdtae {
@Coluna(nome="csosdtae.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csosdtae.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="csosdtae.dtpreventr_ant", tipo="FglDate")
private FglDate dtpreventrAnt;
@Coluna(nome="csosdtae.hrpreventr_ant", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrpreventrAnt;

public TabCsosdtae() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setSequencia(null);
setDtpreventrAnt(null);
setHrpreventrAnt(null);
}

public TabCsosdtae(int idOscapa, int sequencia, FglDate dtpreventrAnt, FglDateTimeHMin hrpreventrAnt) {
this.idOscapa = idOscapa;
this.sequencia = sequencia;
this.dtpreventrAnt = dtpreventrAnt;
this.hrpreventrAnt = hrpreventrAnt;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDate getDtpreventrAnt() {
return dtpreventrAnt;
}

public void setDtpreventrAnt(FglDate dtpreventrAnt) {
this.dtpreventrAnt = dtpreventrAnt;
}

public FglDateTimeHMin getHrpreventrAnt() {
return hrpreventrAnt;
}

public void setHrpreventrAnt(FglDateTimeHMin hrpreventrAnt) {
this.hrpreventrAnt = hrpreventrAnt;
}

}

