package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsosford {
@Coluna(nome="csosford.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csosford.datamvto", tipo="FglDate")
private FglDate datamvto;
@Coluna(nome="csosford.motivo", tipo="String")
private String motivo;
@Coluna(nome="csosford.nrobo", tipo="int")
private int nrobo;
private boolean nroboNull;
@Coluna(nome="csosford.status_os", tipo="String")
private String statusOs;
@Coluna(nome="csosford.tpordem", tipo="String")
private String tpordem;

public TabCsosford() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDatamvto(null);
setMotivo(null);
setNrobo(null);
setStatusOs(null);
setTpordem(null);
}

public TabCsosford(int idOscapa, FglDate datamvto, String motivo, int nrobo, String statusOs, String tpordem) {
this.idOscapa = idOscapa;
this.datamvto = datamvto;
this.motivo = motivo;
this.nrobo = nrobo;
this.statusOs = statusOs;
this.tpordem = tpordem;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDatamvto() {
return datamvto;
}

public void setDatamvto(FglDate datamvto) {
this.datamvto = datamvto;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public int getNrobo() {
return nrobo;
}

public boolean isNroboNull() {
return nroboNull;
}

public void setNrobo(Integer nrobo) {
if (nrobo == null) {
nroboNull = true;
this.nrobo = 0;
} else { 
nroboNull = false;
this.nrobo = nrobo;
}
}

public String getStatusOs() {
return statusOs;
}

public void setStatusOs(String statusOs) {
this.statusOs = statusOs;
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

}

