package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsostemp {
@Coluna(nome="csostemp.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csostemp.nrrequisicao", tipo="int")
private int nrrequisicao;
private boolean nrrequisicaoNull;
@Coluna(nome="csostemp.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csostemp.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="csostemp.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="csostemp.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="csostemp.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="csostemp.codigofabr", tipo="String")
private String codigofabr;
@Coluna(nome="csostemp.estadoserv", tipo="int")
private int estadoserv;
private boolean estadoservNull;
@Coluna(nome="csostemp.id_agenteaj", tipo="int")
private int idAgenteaj;
private boolean idAgenteajNull;

public TabCsostemp() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNrrequisicao(null);
setIdAgente(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setCodigofabr(null);
setEstadoserv(null);
setIdAgenteaj(null);
}

public TabCsostemp(int idOscapa, int nrrequisicao, int idAgente, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, String codigofabr, int estadoserv, int idAgenteaj) {
this.idOscapa = idOscapa;
this.nrrequisicao = nrrequisicao;
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.codigofabr = codigofabr;
this.estadoserv = estadoserv;
this.idAgenteaj = idAgenteaj;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNrrequisicao() {
return nrrequisicao;
}

public boolean isNrrequisicaoNull() {
return nrrequisicaoNull;
}

public void setNrrequisicao(Integer nrrequisicao) {
if (nrrequisicao == null) {
nrrequisicaoNull = true;
this.nrrequisicao = 0;
} else { 
nrrequisicaoNull = false;
this.nrrequisicao = nrrequisicao;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public String getCodigofabr() {
return codigofabr;
}

public void setCodigofabr(String codigofabr) {
this.codigofabr = codigofabr;
}

public int getEstadoserv() {
return estadoserv;
}

public boolean isEstadoservNull() {
return estadoservNull;
}

public void setEstadoserv(Integer estadoserv) {
if (estadoserv == null) {
estadoservNull = true;
this.estadoserv = 0;
} else { 
estadoservNull = false;
this.estadoserv = estadoserv;
}
}

public int getIdAgenteaj() {
return idAgenteaj;
}

public boolean isIdAgenteajNull() {
return idAgenteajNull;
}

public void setIdAgenteaj(Integer idAgenteaj) {
if (idAgenteaj == null) {
idAgenteajNull = true;
this.idAgenteaj = 0;
} else { 
idAgenteajNull = false;
this.idAgenteaj = idAgenteaj;
}
}

}

