package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsostshu {
@Coluna(nome="csostshu.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="csostshu.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="csostshu.chassis", tipo="String")
private String chassis;
@Coluna(nome="csostshu.placa", tipo="String")
private String placa;
@Coluna(nome="csostshu.cons_tecnico", tipo="String")
private String consTecnico;
@Coluna(nome="csostshu.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csostshu.cliente_faturar", tipo="long")
private long clienteFaturar;
private boolean clienteFaturarNull;
@Coluna(nome="csostshu.contato", tipo="String")
private String contato;
@Coluna(nome="csostshu.ddd", tipo="String")
private String ddd;
@Coluna(nome="csostshu.telefone", tipo="String")
private String telefone;
@Coluna(nome="csostshu.cliente", tipo="long")
private long cliente;
private boolean clienteNull;
@Coluna(nome="csostshu.data_encer", tipo="FglDate")
private FglDate dataEncer;
@Coluna(nome="csostshu.data_emiss_nf", tipo="FglDate")
private FglDate dataEmissNf;
@Coluna(nome="csostshu.nota_fiscal", tipo="int")
private int notaFiscal;
private boolean notaFiscalNull;
@Coluna(nome="csostshu.total_mo", tipo="double")
private double totalMo;
private boolean totalMoNull;
@Coluna(nome="csostshu.total_pec", tipo="double")
private double totalPec;
private boolean totalPecNull;
@Coluna(nome="csostshu.total_clo", tipo="double")
private double totalClo;
private boolean totalCloNull;
@Coluna(nome="csostshu.total_terceiros", tipo="double")
private double totalTerceiros;
private boolean totalTerceirosNull;
@Coluna(nome="csostshu.total_os", tipo="double")
private double totalOs;
private boolean totalOsNull;
@Coluna(nome="csostshu.texto_1", tipo="String")
private String texto1;
@Coluna(nome="csostshu.texto_2", tipo="String")
private String texto2;
@Coluna(nome="csostshu.texto_3", tipo="String")
private String texto3;
@Coluna(nome="csostshu.texto_4", tipo="String")
private String texto4;
@Coluna(nome="csostshu.texto_5", tipo="String")
private String texto5;
@Coluna(nome="csostshu.texto_6", tipo="String")
private String texto6;
@Coluna(nome="csostshu.texto_7", tipo="String")
private String texto7;
@Coluna(nome="csostshu.texto_8", tipo="String")
private String texto8;
@Coluna(nome="csostshu.texto_9", tipo="String")
private String texto9;
@Coluna(nome="csostshu.texto_10", tipo="String")
private String texto10;

public TabCsostshu() {
initialize();
}

public void initialize() {
setOrdemserv(null);
setDtabertura(null);
setChassis(null);
setPlaca(null);
setConsTecnico(null);
setQuilometr(null);
setClienteFaturar(null);
setContato(null);
setDdd(null);
setTelefone(null);
setCliente(null);
setDataEncer(null);
setDataEmissNf(null);
setNotaFiscal(null);
setTotalMo(null);
setTotalPec(null);
setTotalClo(null);
setTotalTerceiros(null);
setTotalOs(null);
setTexto1(null);
setTexto2(null);
setTexto3(null);
setTexto4(null);
setTexto5(null);
setTexto6(null);
setTexto7(null);
setTexto8(null);
setTexto9(null);
setTexto10(null);
}

public TabCsostshu(int ordemserv, FglDate dtabertura, String chassis, String placa, String consTecnico, int quilometr, long clienteFaturar, String contato, String ddd, String telefone, long cliente, FglDate dataEncer, FglDate dataEmissNf, int notaFiscal, double totalMo, double totalPec, double totalClo, double totalTerceiros, double totalOs, String texto1, String texto2, String texto3, String texto4, String texto5, String texto6, String texto7, String texto8, String texto9, String texto10) {
this.ordemserv = ordemserv;
this.dtabertura = dtabertura;
this.chassis = chassis;
this.placa = placa;
this.consTecnico = consTecnico;
this.quilometr = quilometr;
this.clienteFaturar = clienteFaturar;
this.contato = contato;
this.ddd = ddd;
this.telefone = telefone;
this.cliente = cliente;
this.dataEncer = dataEncer;
this.dataEmissNf = dataEmissNf;
this.notaFiscal = notaFiscal;
this.totalMo = totalMo;
this.totalPec = totalPec;
this.totalClo = totalClo;
this.totalTerceiros = totalTerceiros;
this.totalOs = totalOs;
this.texto1 = texto1;
this.texto2 = texto2;
this.texto3 = texto3;
this.texto4 = texto4;
this.texto5 = texto5;
this.texto6 = texto6;
this.texto7 = texto7;
this.texto8 = texto8;
this.texto9 = texto9;
this.texto10 = texto10;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getConsTecnico() {
return consTecnico;
}

public void setConsTecnico(String consTecnico) {
this.consTecnico = consTecnico;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public long getClienteFaturar() {
return clienteFaturar;
}

public boolean isClienteFaturarNull() {
return clienteFaturarNull;
}

public void setClienteFaturar(int clienteFaturar) {
setClienteFaturar(new Long(clienteFaturar));
}

public void setClienteFaturar(Long clienteFaturar) {
if (clienteFaturar == null) {
clienteFaturarNull = true;
this.clienteFaturar = 0l;
} else { 
clienteFaturarNull = false;
this.clienteFaturar = clienteFaturar;
}
}

public String getContato() {
return contato;
}

public void setContato(String contato) {
this.contato = contato;
}

public String getDdd() {
return ddd;
}

public void setDdd(String ddd) {
this.ddd = ddd;
}

public String getTelefone() {
return telefone;
}

public void setTelefone(String telefone) {
this.telefone = telefone;
}

public long getCliente() {
return cliente;
}

public boolean isClienteNull() {
return clienteNull;
}

public void setCliente(int cliente) {
setCliente(new Long(cliente));
}

public void setCliente(Long cliente) {
if (cliente == null) {
clienteNull = true;
this.cliente = 0l;
} else { 
clienteNull = false;
this.cliente = cliente;
}
}

public FglDate getDataEncer() {
return dataEncer;
}

public void setDataEncer(FglDate dataEncer) {
this.dataEncer = dataEncer;
}

public FglDate getDataEmissNf() {
return dataEmissNf;
}

public void setDataEmissNf(FglDate dataEmissNf) {
this.dataEmissNf = dataEmissNf;
}

public int getNotaFiscal() {
return notaFiscal;
}

public boolean isNotaFiscalNull() {
return notaFiscalNull;
}

public void setNotaFiscal(Integer notaFiscal) {
if (notaFiscal == null) {
notaFiscalNull = true;
this.notaFiscal = 0;
} else { 
notaFiscalNull = false;
this.notaFiscal = notaFiscal;
}
}

public double getTotalMo() {
return totalMo;
}

public boolean isTotalMoNull() {
return totalMoNull;
}

public void setTotalMo(int totalMo) {
setTotalMo(new Double(totalMo));
}

public void setTotalMo(long totalMo) {
setTotalMo(new Double(totalMo));
}

public void setTotalMo(Double totalMo) {
if (totalMo == null) {
totalMoNull = true;
this.totalMo = 0.;
} else { 
totalMoNull = false;
this.totalMo = FglDouble.round(totalMo, 2);
}
}

public double getTotalPec() {
return totalPec;
}

public boolean isTotalPecNull() {
return totalPecNull;
}

public void setTotalPec(int totalPec) {
setTotalPec(new Double(totalPec));
}

public void setTotalPec(long totalPec) {
setTotalPec(new Double(totalPec));
}

public void setTotalPec(Double totalPec) {
if (totalPec == null) {
totalPecNull = true;
this.totalPec = 0.;
} else { 
totalPecNull = false;
this.totalPec = FglDouble.round(totalPec, 2);
}
}

public double getTotalClo() {
return totalClo;
}

public boolean isTotalCloNull() {
return totalCloNull;
}

public void setTotalClo(int totalClo) {
setTotalClo(new Double(totalClo));
}

public void setTotalClo(long totalClo) {
setTotalClo(new Double(totalClo));
}

public void setTotalClo(Double totalClo) {
if (totalClo == null) {
totalCloNull = true;
this.totalClo = 0.;
} else { 
totalCloNull = false;
this.totalClo = FglDouble.round(totalClo, 2);
}
}

public double getTotalTerceiros() {
return totalTerceiros;
}

public boolean isTotalTerceirosNull() {
return totalTerceirosNull;
}

public void setTotalTerceiros(int totalTerceiros) {
setTotalTerceiros(new Double(totalTerceiros));
}

public void setTotalTerceiros(long totalTerceiros) {
setTotalTerceiros(new Double(totalTerceiros));
}

public void setTotalTerceiros(Double totalTerceiros) {
if (totalTerceiros == null) {
totalTerceirosNull = true;
this.totalTerceiros = 0.;
} else { 
totalTerceirosNull = false;
this.totalTerceiros = FglDouble.round(totalTerceiros, 2);
}
}

public double getTotalOs() {
return totalOs;
}

public boolean isTotalOsNull() {
return totalOsNull;
}

public void setTotalOs(int totalOs) {
setTotalOs(new Double(totalOs));
}

public void setTotalOs(long totalOs) {
setTotalOs(new Double(totalOs));
}

public void setTotalOs(Double totalOs) {
if (totalOs == null) {
totalOsNull = true;
this.totalOs = 0.;
} else { 
totalOsNull = false;
this.totalOs = FglDouble.round(totalOs, 2);
}
}

public String getTexto1() {
return texto1;
}

public void setTexto1(String texto1) {
this.texto1 = texto1;
}

public String getTexto2() {
return texto2;
}

public void setTexto2(String texto2) {
this.texto2 = texto2;
}

public String getTexto3() {
return texto3;
}

public void setTexto3(String texto3) {
this.texto3 = texto3;
}

public String getTexto4() {
return texto4;
}

public void setTexto4(String texto4) {
this.texto4 = texto4;
}

public String getTexto5() {
return texto5;
}

public void setTexto5(String texto5) {
this.texto5 = texto5;
}

public String getTexto6() {
return texto6;
}

public void setTexto6(String texto6) {
this.texto6 = texto6;
}

public String getTexto7() {
return texto7;
}

public void setTexto7(String texto7) {
this.texto7 = texto7;
}

public String getTexto8() {
return texto8;
}

public void setTexto8(String texto8) {
this.texto8 = texto8;
}

public String getTexto9() {
return texto9;
}

public void setTexto9(String texto9) {
this.texto9 = texto9;
}

public String getTexto10() {
return texto10;
}

public void setTexto10(String texto10) {
this.texto10 = texto10;
}

}

