package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCspacmod {
@Coluna(nome="cspacmod.pacote", tipo="String")
private String pacote;
@Coluna(nome="cspacmod.modelo", tipo="String")
private String modelo;
@Coluna(nome="cspacmod.apartir", tipo="String")
private String apartir;
@Coluna(nome="cspacmod.ate", tipo="String")
private String ate;
@Coluna(nome="cspacmod.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="cspacmod.coluna", tipo="String")
private String coluna;

public TabCspacmod() {
initialize();
}

public void initialize() {
setPacote(null);
setModelo(null);
setApartir(null);
setAte(null);
setLinha(null);
setColuna(null);
}

public TabCspacmod(String pacote, String modelo, String apartir, String ate, int linha, String coluna) {
this.pacote = pacote;
this.modelo = modelo;
this.apartir = apartir;
this.ate = ate;
this.linha = linha;
this.coluna = coluna;
}

public String getPacote() {
return pacote;
}

public void setPacote(String pacote) {
this.pacote = pacote;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getApartir() {
return apartir;
}

public void setApartir(String apartir) {
this.apartir = apartir;
}

public String getAte() {
return ate;
}

public void setAte(String ate) {
this.ate = ate;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

}

