package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspacpec {
@Coluna(nome="cspacpec.pacote", tipo="String")
private String pacote;
@Coluna(nome="cspacpec.produto", tipo="String")
private String produto;
@Coluna(nome="cspacpec.qtdeprodut", tipo="double")
private double qtdeprodut;
private boolean qtdeprodutNull;
@Coluna(nome="cspacpec.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;

public TabCspacpec() {
initialize();
}

public void initialize() {
setPacote(null);
setProduto(null);
setQtdeprodut(null);
setUnitario(null);
}

public TabCspacpec(String pacote, String produto, double qtdeprodut, double unitario) {
this.pacote = pacote;
this.produto = produto;
this.qtdeprodut = qtdeprodut;
this.unitario = unitario;
}

public String getPacote() {
return pacote;
}

public void setPacote(String pacote) {
this.pacote = pacote;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeprodut() {
return qtdeprodut;
}

public boolean isQtdeprodutNull() {
return qtdeprodutNull;
}

public void setQtdeprodut(int qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(long qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(Double qtdeprodut) {
if (qtdeprodut == null) {
qtdeprodutNull = true;
this.qtdeprodut = 0.;
} else { 
qtdeprodutNull = false;
this.qtdeprodut = FglDouble.round(qtdeprodut, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

}

