package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsparcom {
@Coluna(nome="csparcom.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="csparcom.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="csparcom.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="csparcom.faixapreco", tipo="int")
private int faixapreco;
private boolean faixaprecoNull;
@Coluna(nome="csparcom.percpecas", tipo="double")
private double percpecas;
private boolean percpecasNull;

public TabCsparcom() {
initialize();
}

public void initialize() {
setTpordem(null);
setDtinicio(null);
setDtfim(null);
setFaixapreco(null);
setPercpecas(null);
}

public TabCsparcom(String tpordem, FglDate dtinicio, FglDate dtfim, int faixapreco, double percpecas) {
this.tpordem = tpordem;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.faixapreco = faixapreco;
this.percpecas = percpecas;
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public int getFaixapreco() {
return faixapreco;
}

public boolean isFaixaprecoNull() {
return faixaprecoNull;
}

public void setFaixapreco(Integer faixapreco) {
if (faixapreco == null) {
faixaprecoNull = true;
this.faixapreco = 0;
} else { 
faixaprecoNull = false;
this.faixapreco = faixapreco;
}
}

public double getPercpecas() {
return percpecas;
}

public boolean isPercpecasNull() {
return percpecasNull;
}

public void setPercpecas(int percpecas) {
setPercpecas(new Double(percpecas));
}

public void setPercpecas(long percpecas) {
setPercpecas(new Double(percpecas));
}

public void setPercpecas(Double percpecas) {
if (percpecas == null) {
percpecasNull = true;
this.percpecas = 0.;
} else { 
percpecasNull = false;
this.percpecas = FglDouble.round(percpecas, 2);
}
}

}

