package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspeccat {
@Coluna(nome="cspeccat.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cspeccat.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cspeccat.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="cspeccat.produto", tipo="String")
private String produto;
@Coluna(nome="cspeccat.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="cspeccat.descunit", tipo="double")
private double descunit;
private boolean descunitNull;

public TabCspeccat() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setRomaneio(null);
setProduto(null);
setUnitario(null);
setDescunit(null);
}

public TabCspeccat(int idOscapa, int nroitem, int romaneio, String produto, double unitario, double descunit) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.romaneio = romaneio;
this.produto = produto;
this.unitario = unitario;
this.descunit = descunit;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getDescunit() {
return descunit;
}

public boolean isDescunitNull() {
return descunitNull;
}

public void setDescunit(int descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(long descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(Double descunit) {
if (descunit == null) {
descunitNull = true;
this.descunit = 0.;
} else { 
descunitNull = false;
this.descunit = FglDouble.round(descunit, 2);
}
}

}

