package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCspecpen {
@Coluna(nome="cspecpen.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cspecpen.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cspecpen.produto", tipo="String")
private String produto;
@Coluna(nome="cspecpen.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="cspecpen.dtrequisicao", tipo="FglDate")
private FglDate dtrequisicao;
@Coluna(nome="cspecpen.tpitem", tipo="int")
private int tpitem;
private boolean tpitemNull;
@Coluna(nome="cspecpen.textocodigo", tipo="String")
private String textocodigo;
@Coluna(nome="cspecpen.descrproduto", tipo="String")
private String descrproduto;
@Coluna(nome="cspecpen.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="cspecpen.unidade", tipo="String")
private String unidade;
@Coluna(nome="cspecpen.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cspecpen.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="cspecpen.descunit", tipo="double")
private double descunit;
private boolean descunitNull;
@Coluna(nome="cspecpen.promocao", tipo="String")
private String promocao;
@Coluna(nome="cspecpen.revalorizar", tipo="String")
private String revalorizar;
@Coluna(nome="cspecpen.custo", tipo="double")
private double custo;
private boolean custoNull;
@Coluna(nome="cspecpen.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="cspecpen.id_agsolicit", tipo="int")
private int idAgsolicit;
private boolean idAgsolicitNull;
@Coluna(nome="cspecpen.id_agrequis", tipo="int")
private int idAgrequis;
private boolean idAgrequisNull;
@Coluna(nome="cspecpen.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="cspecpen.motpen", tipo="String")
private String motpen;

public TabCspecpen() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setRomaneio(null);
setDtrequisicao(null);
setTpitem(null);
setTextocodigo(null);
setDescrproduto(null);
setTributacao(null);
setUnidade(null);
setQuantidade(null);
setUnitario(null);
setDescunit(null);
setPromocao(null);
setRevalorizar(null);
setCusto(null);
setDtdigitacao(null);
setIdAgsolicit(null);
setIdAgrequis(null);
setAbrevsetor(null);
setMotpen(null);
}

public TabCspecpen(int idOscapa, int nroitem, String produto, int romaneio, FglDate dtrequisicao, int tpitem, String textocodigo, String descrproduto, int tributacao, String unidade, double quantidade, double unitario, double descunit, String promocao, String revalorizar, double custo, FglDateTimeYS dtdigitacao, int idAgsolicit, int idAgrequis, String abrevsetor, String motpen) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.romaneio = romaneio;
this.dtrequisicao = dtrequisicao;
this.tpitem = tpitem;
this.textocodigo = textocodigo;
this.descrproduto = descrproduto;
this.tributacao = tributacao;
this.unidade = unidade;
this.quantidade = quantidade;
this.unitario = unitario;
this.descunit = descunit;
this.promocao = promocao;
this.revalorizar = revalorizar;
this.custo = custo;
this.dtdigitacao = dtdigitacao;
this.idAgsolicit = idAgsolicit;
this.idAgrequis = idAgrequis;
this.abrevsetor = abrevsetor;
this.motpen = motpen;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public FglDate getDtrequisicao() {
return dtrequisicao;
}

public void setDtrequisicao(FglDate dtrequisicao) {
this.dtrequisicao = dtrequisicao;
}

public int getTpitem() {
return tpitem;
}

public boolean isTpitemNull() {
return tpitemNull;
}

public void setTpitem(Integer tpitem) {
if (tpitem == null) {
tpitemNull = true;
this.tpitem = 0;
} else { 
tpitemNull = false;
this.tpitem = tpitem;
}
}

public String getTextocodigo() {
return textocodigo;
}

public void setTextocodigo(String textocodigo) {
this.textocodigo = textocodigo;
}

public String getDescrproduto() {
return descrproduto;
}

public void setDescrproduto(String descrproduto) {
this.descrproduto = descrproduto;
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getDescunit() {
return descunit;
}

public boolean isDescunitNull() {
return descunitNull;
}

public void setDescunit(int descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(long descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(Double descunit) {
if (descunit == null) {
descunitNull = true;
this.descunit = 0.;
} else { 
descunitNull = false;
this.descunit = FglDouble.round(descunit, 2);
}
}

public String getPromocao() {
return promocao;
}

public void setPromocao(String promocao) {
this.promocao = promocao;
}

public String getRevalorizar() {
return revalorizar;
}

public void setRevalorizar(String revalorizar) {
this.revalorizar = revalorizar;
}

public double getCusto() {
return custo;
}

public boolean isCustoNull() {
return custoNull;
}

public void setCusto(int custo) {
setCusto(new Double(custo));
}

public void setCusto(long custo) {
setCusto(new Double(custo));
}

public void setCusto(Double custo) {
if (custo == null) {
custoNull = true;
this.custo = 0.;
} else { 
custoNull = false;
this.custo = FglDouble.round(custo, 2);
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdAgsolicit() {
return idAgsolicit;
}

public boolean isIdAgsolicitNull() {
return idAgsolicitNull;
}

public void setIdAgsolicit(Integer idAgsolicit) {
if (idAgsolicit == null) {
idAgsolicitNull = true;
this.idAgsolicit = 0;
} else { 
idAgsolicitNull = false;
this.idAgsolicit = idAgsolicit;
}
}

public int getIdAgrequis() {
return idAgrequis;
}

public boolean isIdAgrequisNull() {
return idAgrequisNull;
}

public void setIdAgrequis(Integer idAgrequis) {
if (idAgrequis == null) {
idAgrequisNull = true;
this.idAgrequis = 0;
} else { 
idAgrequisNull = false;
this.idAgrequis = idAgrequis;
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getMotpen() {
return motpen;
}

public void setMotpen(String motpen) {
this.motpen = motpen;
}

}

