package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsplaexp {
@Coluna(nome="csplaexp.placa", tipo="String")
private String placa;
@Coluna(nome="csplaexp.dtiniuso", tipo="FglDate")
private FglDate dtiniuso;
@Coluna(nome="csplaexp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csplaexp.dtfimuso", tipo="FglDate")
private FglDate dtfimuso;

public TabCsplaexp() {
initialize();
}

public void initialize() {
setPlaca(null);
setDtiniuso(null);
setFilial(null);
setDtfimuso(null);
}

public TabCsplaexp(String placa, FglDate dtiniuso, int filial, FglDate dtfimuso) {
this.placa = placa;
this.dtiniuso = dtiniuso;
this.filial = filial;
this.dtfimuso = dtfimuso;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public FglDate getDtiniuso() {
return dtiniuso;
}

public void setDtiniuso(FglDate dtiniuso) {
this.dtiniuso = dtiniuso;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtfimuso() {
return dtfimuso;
}

public void setDtfimuso(FglDate dtfimuso) {
this.dtfimuso = dtfimuso;
}

}

