package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsprecos {
@Coluna(nome="csprecos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csprecos.faixapreco", tipo="int")
private int faixapreco;
private boolean faixaprecoNull;
@Coluna(nome="csprecos.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="csprecos.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="csprecos.valorhora", tipo="double")
private double valorhora;
private boolean valorhoraNull;

public TabCsprecos() {
initialize();
}

public void initialize() {
setFilial(null);
setFaixapreco(null);
setDtinicio(null);
setDtfim(null);
setValorhora(null);
}

public TabCsprecos(int filial, int faixapreco, FglDate dtinicio, FglDate dtfim, double valorhora) {
this.filial = filial;
this.faixapreco = faixapreco;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.valorhora = valorhora;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getFaixapreco() {
return faixapreco;
}

public boolean isFaixaprecoNull() {
return faixaprecoNull;
}

public void setFaixapreco(Integer faixapreco) {
if (faixapreco == null) {
faixaprecoNull = true;
this.faixapreco = 0;
} else { 
faixaprecoNull = false;
this.faixapreco = faixapreco;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getValorhora() {
return valorhora;
}

public boolean isValorhoraNull() {
return valorhoraNull;
}

public void setValorhora(int valorhora) {
setValorhora(new Double(valorhora));
}

public void setValorhora(long valorhora) {
setValorhora(new Double(valorhora));
}

public void setValorhora(Double valorhora) {
if (valorhora == null) {
valorhoraNull = true;
this.valorhora = 0.;
} else { 
valorhoraNull = false;
this.valorhora = FglDouble.round(valorhora, 2);
}
}

}

