package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCspreos {
@Coluna(nome="cspreos.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="cspreos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cspreos.nro_preos", tipo="int")
private int nroPreos;
private boolean nroPreosNull;
@Coluna(nome="cspreos.aguarda_pc", tipo="String")
private String aguardaPc;
@Coluna(nome="cspreos.observacao", tipo="String")
private String observacao;
@Coluna(nome="cspreos.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cspreos.status", tipo="String")
private String status;
@Coluna(nome="cspreos.dtabert", tipo="FglDateTimeYS")
private FglDateTimeYS dtabert;
@Coluna(nome="cspreos.dtcancel", tipo="FglDateTimeYS")
private FglDateTimeYS dtcancel;

public TabCspreos() {
initialize();
}

public void initialize() {
setIdPreos(null);
setFilial(null);
setNroPreos(null);
setAguardaPc(null);
setObservacao(null);
setIdOscapa(null);
setStatus(null);
setDtabert(null);
setDtcancel(null);
}

public TabCspreos(int idPreos, int filial, int nroPreos, String aguardaPc, String observacao, int idOscapa, String status, FglDateTimeYS dtabert, FglDateTimeYS dtcancel) {
this.idPreos = idPreos;
this.filial = filial;
this.nroPreos = nroPreos;
this.aguardaPc = aguardaPc;
this.observacao = observacao;
this.idOscapa = idOscapa;
this.status = status;
this.dtabert = dtabert;
this.dtcancel = dtcancel;
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroPreos() {
return nroPreos;
}

public boolean isNroPreosNull() {
return nroPreosNull;
}

public void setNroPreos(Integer nroPreos) {
if (nroPreos == null) {
nroPreosNull = true;
this.nroPreos = 0;
} else { 
nroPreosNull = false;
this.nroPreos = nroPreos;
}
}

public String getAguardaPc() {
return aguardaPc;
}

public void setAguardaPc(String aguardaPc) {
this.aguardaPc = aguardaPc;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getDtabert() {
return dtabert;
}

public void setDtabert(FglDateTimeYS dtabert) {
this.dtabert = dtabert;
}

public FglDateTimeYS getDtcancel() {
return dtcancel;
}

public void setDtcancel(FglDateTimeYS dtcancel) {
this.dtcancel = dtcancel;
}

}

