package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsrevnis {
@Coluna(nome="csrevnis.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csrevnis.autorcam", tipo="String")
private String autorcam;
@Coluna(nome="csrevnis.num_orc", tipo="int")
private int numOrc;
private boolean numOrcNull;
@Coluna(nome="csrevnis.vlrrevisado", tipo="double")
private double vlrrevisado;
private boolean vlrrevisadoNull;
@Coluna(nome="csrevnis.aprovadopor", tipo="String")
private String aprovadopor;
@Coluna(nome="csrevnis.data_aprov", tipo="FglDate")
private FglDate dataAprov;
@Coluna(nome="csrevnis.hora_aprov", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaAprov;
@Coluna(nome="csrevnis.trab_realizado", tipo="String")
private String trabRealizado;
@Coluna(nome="csrevnis.limpo_denfor", tipo="String")
private String limpoDenfor;
@Coluna(nome="csrevnis.data_limpeza", tipo="FglDate")
private FglDate dataLimpeza;
@Coluna(nome="csrevnis.media_km", tipo="int")
private int mediaKm;
private boolean mediaKmNull;
@Coluna(nome="csrevnis.campanha_ser1", tipo="String")
private String campanhaSer1;
@Coluna(nome="csrevnis.campanha_ser2", tipo="String")
private String campanhaSer2;
@Coluna(nome="csrevnis.campanha_ser3", tipo="String")
private String campanhaSer3;
@Coluna(nome="csrevnis.campanha_ser4", tipo="String")
private String campanhaSer4;
@Coluna(nome="csrevnis.infadicionais", tipo="String")
private String infadicionais;
@Coluna(nome="csrevnis.prim_testerod", tipo="String")
private String primTesterod;
@Coluna(nome="csrevnis.data_prim_testerod", tipo="FglDate")
private FglDate dataPrimTesterod;
@Coluna(nome="csrevnis.hora_prim_testerod", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaPrimTesterod;
@Coluna(nome="csrevnis.seg_testerod", tipo="String")
private String segTesterod;
@Coluna(nome="csrevnis.data_seg_testerod", tipo="FglDate")
private FglDate dataSegTesterod;
@Coluna(nome="csrevnis.hora_seg_testerod", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaSegTesterod;
@Coluna(nome="csrevnis.diagnostico", tipo="String")
private String diagnostico;
@Coluna(nome="csrevnis.causaprob", tipo="String")
private String causaprob;
@Coluna(nome="csrevnis.pecascausadoras", tipo="String")
private String pecascausadoras;
@Coluna(nome="csrevnis.pecasutilizadas", tipo="String")
private String pecasutilizadas;
@Coluna(nome="csrevnis.observacao", tipo="String")
private String observacao;
@Coluna(nome="csrevnis.recomendacoes", tipo="String")
private String recomendacoes;
@Coluna(nome="csrevnis.tecnico_resp", tipo="String")
private String tecnicoResp;
@Coluna(nome="csrevnis.transp_altern", tipo="String")
private String transpAltern;
@Coluna(nome="csrevnis.data_transp_altern", tipo="FglDate")
private FglDate dataTranspAltern;
@Coluna(nome="csrevnis.hora_transp_altern", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaTranspAltern;
@Coluna(nome="csrevnis.reparo_garant", tipo="String")
private String reparoGarant;
@Coluna(nome="csrevnis.data_fimgarant", tipo="FglDate")
private FglDate dataFimgarant;
@Coluna(nome="csrevnis.data_entrega", tipo="FglDate")
private FglDate dataEntrega;
@Coluna(nome="csrevnis.hora_entrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaEntrega;

public TabCsrevnis() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setAutorcam(null);
setNumOrc(null);
setVlrrevisado(null);
setAprovadopor(null);
setDataAprov(null);
setHoraAprov(null);
setTrabRealizado(null);
setLimpoDenfor(null);
setDataLimpeza(null);
setMediaKm(null);
setCampanhaSer1(null);
setCampanhaSer2(null);
setCampanhaSer3(null);
setCampanhaSer4(null);
setInfadicionais(null);
setPrimTesterod(null);
setDataPrimTesterod(null);
setHoraPrimTesterod(null);
setSegTesterod(null);
setDataSegTesterod(null);
setHoraSegTesterod(null);
setDiagnostico(null);
setCausaprob(null);
setPecascausadoras(null);
setPecasutilizadas(null);
setObservacao(null);
setRecomendacoes(null);
setTecnicoResp(null);
setTranspAltern(null);
setDataTranspAltern(null);
setHoraTranspAltern(null);
setReparoGarant(null);
setDataFimgarant(null);
setDataEntrega(null);
setHoraEntrega(null);
}

public TabCsrevnis(int idOscapa, String autorcam, int numOrc, double vlrrevisado, String aprovadopor, FglDate dataAprov, FglDateTimeHMin horaAprov, String trabRealizado, String limpoDenfor, FglDate dataLimpeza, int mediaKm, String campanhaSer1, String campanhaSer2, String campanhaSer3, String campanhaSer4, String infadicionais, String primTesterod, FglDate dataPrimTesterod, FglDateTimeHMin horaPrimTesterod, String segTesterod, FglDate dataSegTesterod, FglDateTimeHMin horaSegTesterod, String diagnostico, String causaprob, String pecascausadoras, String pecasutilizadas, String observacao, String recomendacoes, String tecnicoResp, String transpAltern, FglDate dataTranspAltern, FglDateTimeHMin horaTranspAltern, String reparoGarant, FglDate dataFimgarant, FglDate dataEntrega, FglDateTimeHMin horaEntrega) {
this.idOscapa = idOscapa;
this.autorcam = autorcam;
this.numOrc = numOrc;
this.vlrrevisado = vlrrevisado;
this.aprovadopor = aprovadopor;
this.dataAprov = dataAprov;
this.horaAprov = horaAprov;
this.trabRealizado = trabRealizado;
this.limpoDenfor = limpoDenfor;
this.dataLimpeza = dataLimpeza;
this.mediaKm = mediaKm;
this.campanhaSer1 = campanhaSer1;
this.campanhaSer2 = campanhaSer2;
this.campanhaSer3 = campanhaSer3;
this.campanhaSer4 = campanhaSer4;
this.infadicionais = infadicionais;
this.primTesterod = primTesterod;
this.dataPrimTesterod = dataPrimTesterod;
this.horaPrimTesterod = horaPrimTesterod;
this.segTesterod = segTesterod;
this.dataSegTesterod = dataSegTesterod;
this.horaSegTesterod = horaSegTesterod;
this.diagnostico = diagnostico;
this.causaprob = causaprob;
this.pecascausadoras = pecascausadoras;
this.pecasutilizadas = pecasutilizadas;
this.observacao = observacao;
this.recomendacoes = recomendacoes;
this.tecnicoResp = tecnicoResp;
this.transpAltern = transpAltern;
this.dataTranspAltern = dataTranspAltern;
this.horaTranspAltern = horaTranspAltern;
this.reparoGarant = reparoGarant;
this.dataFimgarant = dataFimgarant;
this.dataEntrega = dataEntrega;
this.horaEntrega = horaEntrega;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getAutorcam() {
return autorcam;
}

public void setAutorcam(String autorcam) {
this.autorcam = autorcam;
}

public int getNumOrc() {
return numOrc;
}

public boolean isNumOrcNull() {
return numOrcNull;
}

public void setNumOrc(Integer numOrc) {
if (numOrc == null) {
numOrcNull = true;
this.numOrc = 0;
} else { 
numOrcNull = false;
this.numOrc = numOrc;
}
}

public double getVlrrevisado() {
return vlrrevisado;
}

public boolean isVlrrevisadoNull() {
return vlrrevisadoNull;
}

public void setVlrrevisado(int vlrrevisado) {
setVlrrevisado(new Double(vlrrevisado));
}

public void setVlrrevisado(long vlrrevisado) {
setVlrrevisado(new Double(vlrrevisado));
}

public void setVlrrevisado(Double vlrrevisado) {
if (vlrrevisado == null) {
vlrrevisadoNull = true;
this.vlrrevisado = 0.;
} else { 
vlrrevisadoNull = false;
this.vlrrevisado = FglDouble.round(vlrrevisado, 2);
}
}

public String getAprovadopor() {
return aprovadopor;
}

public void setAprovadopor(String aprovadopor) {
this.aprovadopor = aprovadopor;
}

public FglDate getDataAprov() {
return dataAprov;
}

public void setDataAprov(FglDate dataAprov) {
this.dataAprov = dataAprov;
}

public FglDateTimeHMin getHoraAprov() {
return horaAprov;
}

public void setHoraAprov(FglDateTimeHMin horaAprov) {
this.horaAprov = horaAprov;
}

public String getTrabRealizado() {
return trabRealizado;
}

public void setTrabRealizado(String trabRealizado) {
this.trabRealizado = trabRealizado;
}

public String getLimpoDenfor() {
return limpoDenfor;
}

public void setLimpoDenfor(String limpoDenfor) {
this.limpoDenfor = limpoDenfor;
}

public FglDate getDataLimpeza() {
return dataLimpeza;
}

public void setDataLimpeza(FglDate dataLimpeza) {
this.dataLimpeza = dataLimpeza;
}

public int getMediaKm() {
return mediaKm;
}

public boolean isMediaKmNull() {
return mediaKmNull;
}

public void setMediaKm(Integer mediaKm) {
if (mediaKm == null) {
mediaKmNull = true;
this.mediaKm = 0;
} else { 
mediaKmNull = false;
this.mediaKm = mediaKm;
}
}

public String getCampanhaSer1() {
return campanhaSer1;
}

public void setCampanhaSer1(String campanhaSer1) {
this.campanhaSer1 = campanhaSer1;
}

public String getCampanhaSer2() {
return campanhaSer2;
}

public void setCampanhaSer2(String campanhaSer2) {
this.campanhaSer2 = campanhaSer2;
}

public String getCampanhaSer3() {
return campanhaSer3;
}

public void setCampanhaSer3(String campanhaSer3) {
this.campanhaSer3 = campanhaSer3;
}

public String getCampanhaSer4() {
return campanhaSer4;
}

public void setCampanhaSer4(String campanhaSer4) {
this.campanhaSer4 = campanhaSer4;
}

public String getInfadicionais() {
return infadicionais;
}

public void setInfadicionais(String infadicionais) {
this.infadicionais = infadicionais;
}

public String getPrimTesterod() {
return primTesterod;
}

public void setPrimTesterod(String primTesterod) {
this.primTesterod = primTesterod;
}

public FglDate getDataPrimTesterod() {
return dataPrimTesterod;
}

public void setDataPrimTesterod(FglDate dataPrimTesterod) {
this.dataPrimTesterod = dataPrimTesterod;
}

public FglDateTimeHMin getHoraPrimTesterod() {
return horaPrimTesterod;
}

public void setHoraPrimTesterod(FglDateTimeHMin horaPrimTesterod) {
this.horaPrimTesterod = horaPrimTesterod;
}

public String getSegTesterod() {
return segTesterod;
}

public void setSegTesterod(String segTesterod) {
this.segTesterod = segTesterod;
}

public FglDate getDataSegTesterod() {
return dataSegTesterod;
}

public void setDataSegTesterod(FglDate dataSegTesterod) {
this.dataSegTesterod = dataSegTesterod;
}

public FglDateTimeHMin getHoraSegTesterod() {
return horaSegTesterod;
}

public void setHoraSegTesterod(FglDateTimeHMin horaSegTesterod) {
this.horaSegTesterod = horaSegTesterod;
}

public String getDiagnostico() {
return diagnostico;
}

public void setDiagnostico(String diagnostico) {
this.diagnostico = diagnostico;
}

public String getCausaprob() {
return causaprob;
}

public void setCausaprob(String causaprob) {
this.causaprob = causaprob;
}

public String getPecascausadoras() {
return pecascausadoras;
}

public void setPecascausadoras(String pecascausadoras) {
this.pecascausadoras = pecascausadoras;
}

public String getPecasutilizadas() {
return pecasutilizadas;
}

public void setPecasutilizadas(String pecasutilizadas) {
this.pecasutilizadas = pecasutilizadas;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getRecomendacoes() {
return recomendacoes;
}

public void setRecomendacoes(String recomendacoes) {
this.recomendacoes = recomendacoes;
}

public String getTecnicoResp() {
return tecnicoResp;
}

public void setTecnicoResp(String tecnicoResp) {
this.tecnicoResp = tecnicoResp;
}

public String getTranspAltern() {
return transpAltern;
}

public void setTranspAltern(String transpAltern) {
this.transpAltern = transpAltern;
}

public FglDate getDataTranspAltern() {
return dataTranspAltern;
}

public void setDataTranspAltern(FglDate dataTranspAltern) {
this.dataTranspAltern = dataTranspAltern;
}

public FglDateTimeHMin getHoraTranspAltern() {
return horaTranspAltern;
}

public void setHoraTranspAltern(FglDateTimeHMin horaTranspAltern) {
this.horaTranspAltern = horaTranspAltern;
}

public String getReparoGarant() {
return reparoGarant;
}

public void setReparoGarant(String reparoGarant) {
this.reparoGarant = reparoGarant;
}

public FglDate getDataFimgarant() {
return dataFimgarant;
}

public void setDataFimgarant(FglDate dataFimgarant) {
this.dataFimgarant = dataFimgarant;
}

public FglDate getDataEntrega() {
return dataEntrega;
}

public void setDataEntrega(FglDate dataEntrega) {
this.dataEntrega = dataEntrega;
}

public FglDateTimeHMin getHoraEntrega() {
return horaEntrega;
}

public void setHoraEntrega(FglDateTimeHMin horaEntrega) {
this.horaEntrega = horaEntrega;
}

}

