package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCssgpfs2 {
@Coluna(nome="cssgpfs2.nrosg", tipo="String")
private String nrosg;
@Coluna(nome="cssgpfs2.codexemplo", tipo="int")
private int codexemplo;
private boolean codexemploNull;
@Coluna(nome="cssgpfs2.tiposg", tipo="String")
private String tiposg;
@Coluna(nome="cssgpfs2.tma", tipo="String")
private String tma;
@Coluna(nome="cssgpfs2.chassiini", tipo="String")
private String chassiini;
@Coluna(nome="cssgpfs2.chassifim", tipo="String")
private String chassifim;
@Coluna(nome="cssgpfs2.chassilista", tipo="String")
private String chassilista;
@Coluna(nome="cssgpfs2.datainicio", tipo="FglDate")
private FglDate datainicio;
@Coluna(nome="cssgpfs2.datafim", tipo="FglDate")
private FglDate datafim;

public TabCssgpfs2() {
initialize();
}

public void initialize() {
setNrosg(null);
setCodexemplo(null);
setTiposg(null);
setTma(null);
setChassiini(null);
setChassifim(null);
setChassilista(null);
setDatainicio(null);
setDatafim(null);
}

public TabCssgpfs2(String nrosg, int codexemplo, String tiposg, String tma, String chassiini, String chassifim, String chassilista, FglDate datainicio, FglDate datafim) {
this.nrosg = nrosg;
this.codexemplo = codexemplo;
this.tiposg = tiposg;
this.tma = tma;
this.chassiini = chassiini;
this.chassifim = chassifim;
this.chassilista = chassilista;
this.datainicio = datainicio;
this.datafim = datafim;
}

public String getNrosg() {
return nrosg;
}

public void setNrosg(String nrosg) {
this.nrosg = nrosg;
}

public int getCodexemplo() {
return codexemplo;
}

public boolean isCodexemploNull() {
return codexemploNull;
}

public void setCodexemplo(Integer codexemplo) {
if (codexemplo == null) {
codexemploNull = true;
this.codexemplo = 0;
} else { 
codexemploNull = false;
this.codexemplo = codexemplo;
}
}

public String getTiposg() {
return tiposg;
}

public void setTiposg(String tiposg) {
this.tiposg = tiposg;
}

public String getTma() {
return tma;
}

public void setTma(String tma) {
this.tma = tma;
}

public String getChassiini() {
return chassiini;
}

public void setChassiini(String chassiini) {
this.chassiini = chassiini;
}

public String getChassifim() {
return chassifim;
}

public void setChassifim(String chassifim) {
this.chassifim = chassifim;
}

public String getChassilista() {
return chassilista;
}

public void setChassilista(String chassilista) {
this.chassilista = chassilista;
}

public FglDate getDatainicio() {
return datainicio;
}

public void setDatainicio(FglDate datainicio) {
this.datainicio = datainicio;
}

public FglDate getDatafim() {
return datafim;
}

public void setDatafim(FglDate datafim) {
this.datafim = datafim;
}

}

