package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCssgpfs6 {
@Coluna(nome="cssgpfs6.nrosg", tipo="String")
private String nrosg;
@Coluna(nome="cssgpfs6.codexemplo", tipo="int")
private int codexemplo;
private boolean codexemploNull;
@Coluna(nome="cssgpfs6.tiposg", tipo="String")
private String tiposg;
@Coluna(nome="cssgpfs6.tma", tipo="String")
private String tma;
@Coluna(nome="cssgpfs6.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="cssgpfs6.defeito", tipo="String")
private String defeito;
@Coluna(nome="cssgpfs6.fornecedor", tipo="int")
private int fornecedor;
private boolean fornecedorNull;
@Coluna(nome="cssgpfs6.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cssgpfs6.maodeobra", tipo="double")
private double maodeobra;
private boolean maodeobraNull;

public TabCssgpfs6() {
initialize();
}

public void initialize() {
setNrosg(null);
setCodexemplo(null);
setTiposg(null);
setTma(null);
setLinha(null);
setDefeito(null);
setFornecedor(null);
setValor(null);
setMaodeobra(null);
}

public TabCssgpfs6(String nrosg, int codexemplo, String tiposg, String tma, int linha, String defeito, int fornecedor, double valor, double maodeobra) {
this.nrosg = nrosg;
this.codexemplo = codexemplo;
this.tiposg = tiposg;
this.tma = tma;
this.linha = linha;
this.defeito = defeito;
this.fornecedor = fornecedor;
this.valor = valor;
this.maodeobra = maodeobra;
}

public String getNrosg() {
return nrosg;
}

public void setNrosg(String nrosg) {
this.nrosg = nrosg;
}

public int getCodexemplo() {
return codexemplo;
}

public boolean isCodexemploNull() {
return codexemploNull;
}

public void setCodexemplo(Integer codexemplo) {
if (codexemplo == null) {
codexemploNull = true;
this.codexemplo = 0;
} else { 
codexemploNull = false;
this.codexemplo = codexemplo;
}
}

public String getTiposg() {
return tiposg;
}

public void setTiposg(String tiposg) {
this.tiposg = tiposg;
}

public String getTma() {
return tma;
}

public void setTma(String tma) {
this.tma = tma;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public int getFornecedor() {
return fornecedor;
}

public boolean isFornecedorNull() {
return fornecedorNull;
}

public void setFornecedor(Integer fornecedor) {
if (fornecedor == null) {
fornecedorNull = true;
this.fornecedor = 0;
} else { 
fornecedorNull = false;
this.fornecedor = fornecedor;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getMaodeobra() {
return maodeobra;
}

public boolean isMaodeobraNull() {
return maodeobraNull;
}

public void setMaodeobra(int maodeobra) {
setMaodeobra(new Double(maodeobra));
}

public void setMaodeobra(long maodeobra) {
setMaodeobra(new Double(maodeobra));
}

public void setMaodeobra(Double maodeobra) {
if (maodeobra == null) {
maodeobraNull = true;
this.maodeobra = 0.;
} else { 
maodeobraNull = false;
this.maodeobra = FglDouble.round(maodeobra, 2);
}
}

}

