package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCssintom2 {
@Coluna(nome="cssintom2.sintoma", tipo="String")
private String sintoma;
@Coluna(nome="cssintom2.descrsintom", tipo="String")
private String descrsintom;
@Coluna(nome="cssintom2.tppacote", tipo="String")
private String tppacote;
@Coluna(nome="cssintom2.ativo", tipo="String")
private String ativo;
@Coluna(nome="cssintom2.originaistoy", tipo="String")
private String originaistoy;
@Coluna(nome="cssintom2.incideresultado", tipo="String")
private String incideresultado;
@Coluna(nome="cssintom2.detalhepacote", tipo="String")
private String detalhepacote;
@Coluna(nome="cssintom2.perdesconto", tipo="double")
private double perdesconto;
private boolean perdescontoNull;
@Coluna(nome="cssintom2.idt_importado_montadora", tipo="String")
private String idtImportadoMontadora;

public TabCssintom2() {
initialize();
}

public void initialize() {
setSintoma(null);
setDescrsintom(null);
setTppacote(null);
setAtivo(null);
setOriginaistoy(null);
setIncideresultado(null);
setDetalhepacote(null);
setPerdesconto(null);
setIdtImportadoMontadora(null);
}

public TabCssintom2(String sintoma, String descrsintom, String tppacote, String ativo, String originaistoy, String incideresultado, String detalhepacote, double perdesconto, String idtImportadoMontadora) {
this.sintoma = sintoma;
this.descrsintom = descrsintom;
this.tppacote = tppacote;
this.ativo = ativo;
this.originaistoy = originaistoy;
this.incideresultado = incideresultado;
this.detalhepacote = detalhepacote;
this.perdesconto = perdesconto;
this.idtImportadoMontadora = idtImportadoMontadora;
}

public String getSintoma() {
return sintoma;
}

public void setSintoma(String sintoma) {
this.sintoma = sintoma;
}

public String getDescrsintom() {
return descrsintom;
}

public void setDescrsintom(String descrsintom) {
this.descrsintom = descrsintom;
}

public String getTppacote() {
return tppacote;
}

public void setTppacote(String tppacote) {
this.tppacote = tppacote;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getOriginaistoy() {
return originaistoy;
}

public void setOriginaistoy(String originaistoy) {
this.originaistoy = originaistoy;
}

public String getIncideresultado() {
return incideresultado;
}

public void setIncideresultado(String incideresultado) {
this.incideresultado = incideresultado;
}

public String getDetalhepacote() {
return detalhepacote;
}

public void setDetalhepacote(String detalhepacote) {
this.detalhepacote = detalhepacote;
}

public double getPerdesconto() {
return perdesconto;
}

public boolean isPerdescontoNull() {
return perdescontoNull;
}

public void setPerdesconto(int perdesconto) {
setPerdesconto(new Double(perdesconto));
}

public void setPerdesconto(long perdesconto) {
setPerdesconto(new Double(perdesconto));
}

public void setPerdesconto(Double perdesconto) {
if (perdesconto == null) {
perdescontoNull = true;
this.perdesconto = 0.;
} else { 
perdescontoNull = false;
this.perdesconto = FglDouble.round(perdesconto, 2);
}
}

public String getIdtImportadoMontadora() {
return idtImportadoMontadora;
}

public void setIdtImportadoMontadora(String idtImportadoMontadora) {
this.idtImportadoMontadora = idtImportadoMontadora;
}

}

