package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCstemfun {
@Coluna(nome="cstemfun.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cstemfun.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="cstemfun.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cstemfun.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cstemfun.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="cstemfun.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cstemfun.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="cstemfun.estadoserv", tipo="int")
private int estadoserv;
private boolean estadoservNull;

public TabCstemfun() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setIdServico(null);
setIdAgente(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setEstadoserv(null);
}

public TabCstemfun(int idOscapa, int idServico, int idAgente, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, int estadoserv) {
this.idOscapa = idOscapa;
this.idServico = idServico;
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.estadoserv = estadoserv;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public int getEstadoserv() {
return estadoserv;
}

public boolean isEstadoservNull() {
return estadoservNull;
}

public void setEstadoserv(Integer estadoserv) {
if (estadoserv == null) {
estadoservNull = true;
this.estadoserv = 0;
} else { 
estadoservNull = false;
this.estadoserv = estadoserv;
}
}

}

