package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCstemppr {
@Coluna(nome="cstemppr.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cstemppr.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cstemppr.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="cstemppr.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="cstemppr.chassis", tipo="String")
private String chassis;
@Coluna(nome="cstemppr.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="cstemppr.servico", tipo="String")
private String servico;
@Coluna(nome="cstemppr.confirmado", tipo="String")
private String confirmado;
@Coluna(nome="cstemppr.id_consultor", tipo="int")
private int idConsultor;
private boolean idConsultorNull;
@Coluna(nome="cstemppr.observacao", tipo="String")
private String observacao;

public TabCstemppr() {
initialize();
}

public void initialize() {
setIdAgente(null);
setDtprevista(null);
setHrinicio(null);
setHrfim(null);
setChassis(null);
setQuilometr(null);
setServico(null);
setConfirmado(null);
setIdConsultor(null);
setObservacao(null);
}

public TabCstemppr(int idAgente, FglDate dtprevista, FglDateTimeHMin hrinicio, FglDateTimeHMin hrfim, String chassis, int quilometr, String servico, String confirmado, int idConsultor, String observacao) {
this.idAgente = idAgente;
this.dtprevista = dtprevista;
this.hrinicio = hrinicio;
this.hrfim = hrfim;
this.chassis = chassis;
this.quilometr = quilometr;
this.servico = servico;
this.confirmado = confirmado;
this.idConsultor = idConsultor;
this.observacao = observacao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getServico() {
return servico;
}

public void setServico(String servico) {
this.servico = servico;
}

public String getConfirmado() {
return confirmado;
}

public void setConfirmado(String confirmado) {
this.confirmado = confirmado;
}

public int getIdConsultor() {
return idConsultor;
}

public boolean isIdConsultorNull() {
return idConsultorNull;
}

public void setIdConsultor(Integer idConsultor) {
if (idConsultor == null) {
idConsultorNull = true;
this.idConsultor = 0;
} else { 
idConsultorNull = false;
this.idConsultor = idConsultor;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

