package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsusopla {
@Coluna(nome="csusopla.placa", tipo="String")
private String placa;
@Coluna(nome="csusopla.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csusopla.dtsaida", tipo="FglDate")
private FglDate dtsaida;
@Coluna(nome="csusopla.hrsaida", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrsaida;
@Coluna(nome="csusopla.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csusopla.dtretorno", tipo="FglDate")
private FglDate dtretorno;
@Coluna(nome="csusopla.hrretorno", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrretorno;

public TabCsusopla() {
initialize();
}

public void initialize() {
setPlaca(null);
setIdOscapa(null);
setDtsaida(null);
setHrsaida(null);
setIdAgente(null);
setDtretorno(null);
setHrretorno(null);
}

public TabCsusopla(String placa, int idOscapa, FglDate dtsaida, FglDateTimeHMin hrsaida, int idAgente, FglDate dtretorno, FglDateTimeHMin hrretorno) {
this.placa = placa;
this.idOscapa = idOscapa;
this.dtsaida = dtsaida;
this.hrsaida = hrsaida;
this.idAgente = idAgente;
this.dtretorno = dtretorno;
this.hrretorno = hrretorno;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDtsaida() {
return dtsaida;
}

public void setDtsaida(FglDate dtsaida) {
this.dtsaida = dtsaida;
}

public FglDateTimeHMin getHrsaida() {
return hrsaida;
}

public void setHrsaida(FglDateTimeHMin hrsaida) {
this.hrsaida = hrsaida;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDate dtretorno) {
this.dtretorno = dtretorno;
}

public FglDateTimeHMin getHrretorno() {
return hrretorno;
}

public void setHrretorno(FglDateTimeHMin hrretorno) {
this.hrretorno = hrretorno;
}

}

