package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCsvenper {
@Coluna(nome="csvenper.id_venper", tipo="int")
private int idVenper;
private boolean idVenperNull;
@Coluna(nome="csvenper.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csvenper.dtperdida", tipo="FglDate")
private FglDate dtperdida;
@Coluna(nome="csvenper.motvendperd", tipo="int")
private int motvendperd;
private boolean motvendperdNull;
@Coluna(nome="csvenper.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csvenper.passante", tipo="String")
private String passante;
@Coluna(nome="csvenper.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="csvenper.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="csvenper.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="csvenper.fone", tipo="String")
private String fone;
@Coluna(nome="csvenper.produto", tipo="String")
private String produto;
@Coluna(nome="csvenper.qtdepedida", tipo="double")
private double qtdepedida;
private boolean qtdepedidaNull;
@Coluna(nome="csvenper.disponivel", tipo="double")
private double disponivel;
private boolean disponivelNull;
@Coluna(nome="csvenper.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="csvenper.concorrente", tipo="String")
private String concorrente;
@Coluna(nome="csvenper.precoconcorr", tipo="double")
private double precoconcorr;
private boolean precoconcorrNull;
@Coluna(nome="csvenper.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csvenper.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csvenper.observacao", tipo="String")
private String observacao;
@Coluna(nome="csvenper.dtcancel", tipo="FglDateTimeYS")
private FglDateTimeYS dtcancel;

public TabCsvenper() {
initialize();
}

public void initialize() {
setIdVenper(null);
setFilial(null);
setDtperdida(null);
setMotvendperd(null);
setIdAgente(null);
setPassante(null);
setCgccpf(null);
setTppessoa(null);
setNomepessoa(null);
setFone(null);
setProduto(null);
setQtdepedida(null);
setDisponivel(null);
setPrecopublico(null);
setConcorrente(null);
setPrecoconcorr(null);
setIdOscapa(null);
setNroitem(null);
setObservacao(null);
setDtcancel(null);
}

public TabCsvenper(int idVenper, int filial, FglDate dtperdida, int motvendperd, int idAgente, String passante, long cgccpf, int tppessoa, String nomepessoa, String fone, String produto, double qtdepedida, double disponivel, double precopublico, String concorrente, double precoconcorr, int idOscapa, int nroitem, String observacao, FglDateTimeYS dtcancel) {
this.idVenper = idVenper;
this.filial = filial;
this.dtperdida = dtperdida;
this.motvendperd = motvendperd;
this.idAgente = idAgente;
this.passante = passante;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nomepessoa = nomepessoa;
this.fone = fone;
this.produto = produto;
this.qtdepedida = qtdepedida;
this.disponivel = disponivel;
this.precopublico = precopublico;
this.concorrente = concorrente;
this.precoconcorr = precoconcorr;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.observacao = observacao;
this.dtcancel = dtcancel;
}

public int getIdVenper() {
return idVenper;
}

public boolean isIdVenperNull() {
return idVenperNull;
}

public void setIdVenper(Integer idVenper) {
if (idVenper == null) {
idVenperNull = true;
this.idVenper = 0;
} else { 
idVenperNull = false;
this.idVenper = idVenper;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtperdida() {
return dtperdida;
}

public void setDtperdida(FglDate dtperdida) {
this.dtperdida = dtperdida;
}

public int getMotvendperd() {
return motvendperd;
}

public boolean isMotvendperdNull() {
return motvendperdNull;
}

public void setMotvendperd(Integer motvendperd) {
if (motvendperd == null) {
motvendperdNull = true;
this.motvendperd = 0;
} else { 
motvendperdNull = false;
this.motvendperd = motvendperd;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getPassante() {
return passante;
}

public void setPassante(String passante) {
this.passante = passante;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdepedida() {
return qtdepedida;
}

public boolean isQtdepedidaNull() {
return qtdepedidaNull;
}

public void setQtdepedida(int qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(long qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(Double qtdepedida) {
if (qtdepedida == null) {
qtdepedidaNull = true;
this.qtdepedida = 0.;
} else { 
qtdepedidaNull = false;
this.qtdepedida = FglDouble.round(qtdepedida, 2);
}
}

public double getDisponivel() {
return disponivel;
}

public boolean isDisponivelNull() {
return disponivelNull;
}

public void setDisponivel(int disponivel) {
setDisponivel(new Double(disponivel));
}

public void setDisponivel(long disponivel) {
setDisponivel(new Double(disponivel));
}

public void setDisponivel(Double disponivel) {
if (disponivel == null) {
disponivelNull = true;
this.disponivel = 0.;
} else { 
disponivelNull = false;
this.disponivel = FglDouble.round(disponivel, 2);
}
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public String getConcorrente() {
return concorrente;
}

public void setConcorrente(String concorrente) {
this.concorrente = concorrente;
}

public double getPrecoconcorr() {
return precoconcorr;
}

public boolean isPrecoconcorrNull() {
return precoconcorrNull;
}

public void setPrecoconcorr(int precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(long precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(Double precoconcorr) {
if (precoconcorr == null) {
precoconcorrNull = true;
this.precoconcorr = 0.;
} else { 
precoconcorrNull = false;
this.precoconcorr = FglDouble.round(precoconcorr, 2);
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public FglDateTimeYS getDtcancel() {
return dtcancel;
}

public void setDtcancel(FglDateTimeYS dtcancel) {
this.dtcancel = dtcancel;
}

}

