package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtaquemp {
@Coluna(nome="ctaquemp.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="ctaquemp.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctaquemp.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctaquemp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctaquemp.id_aquisicao", tipo="int")
private int idAquisicao;
private boolean idAquisicaoNull;
@Coluna(nome="ctaquemp.descricao", tipo="String")
private String descricao;
@Coluna(nome="ctaquemp.dataquis", tipo="FglDate")
private FglDate dataquis;
@Coluna(nome="ctaquemp.vlraquis", tipo="double")
private double vlraquis;
private boolean vlraquisNull;
@Coluna(nome="ctaquemp.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="ctaquemp.estornado", tipo="String")
private String estornado;
@Coluna(nome="ctaquemp.datestorno", tipo="FglDate")
private FglDate datestorno;
@Coluna(nome="ctaquemp.conciliado", tipo="String")
private String conciliado;
@Coluna(nome="ctaquemp.estconciliado", tipo="String")
private String estconciliado;

public TabCtaquemp() {
initialize();
}

public void initialize() {
setIdBancos(null);
setCgccpf(null);
setTppessoa(null);
setFilial(null);
setIdAquisicao(null);
setDescricao(null);
setDataquis(null);
setVlraquis(null);
setVlrjuros(null);
setEstornado(null);
setDatestorno(null);
setConciliado(null);
setEstconciliado(null);
}

public TabCtaquemp(int idBancos, long cgccpf, int tppessoa, int filial, int idAquisicao, String descricao, FglDate dataquis, double vlraquis, double vlrjuros, String estornado, FglDate datestorno, String conciliado, String estconciliado) {
this.idBancos = idBancos;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.filial = filial;
this.idAquisicao = idAquisicao;
this.descricao = descricao;
this.dataquis = dataquis;
this.vlraquis = vlraquis;
this.vlrjuros = vlrjuros;
this.estornado = estornado;
this.datestorno = datestorno;
this.conciliado = conciliado;
this.estconciliado = estconciliado;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAquisicao() {
return idAquisicao;
}

public boolean isIdAquisicaoNull() {
return idAquisicaoNull;
}

public void setIdAquisicao(Integer idAquisicao) {
if (idAquisicao == null) {
idAquisicaoNull = true;
this.idAquisicao = 0;
} else { 
idAquisicaoNull = false;
this.idAquisicao = idAquisicao;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDataquis() {
return dataquis;
}

public void setDataquis(FglDate dataquis) {
this.dataquis = dataquis;
}

public double getVlraquis() {
return vlraquis;
}

public boolean isVlraquisNull() {
return vlraquisNull;
}

public void setVlraquis(int vlraquis) {
setVlraquis(new Double(vlraquis));
}

public void setVlraquis(long vlraquis) {
setVlraquis(new Double(vlraquis));
}

public void setVlraquis(Double vlraquis) {
if (vlraquis == null) {
vlraquisNull = true;
this.vlraquis = 0.;
} else { 
vlraquisNull = false;
this.vlraquis = FglDouble.round(vlraquis, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public String getEstornado() {
return estornado;
}

public void setEstornado(String estornado) {
this.estornado = estornado;
}

public FglDate getDatestorno() {
return datestorno;
}

public void setDatestorno(FglDate datestorno) {
this.datestorno = datestorno;
}

public String getConciliado() {
return conciliado;
}

public void setConciliado(String conciliado) {
this.conciliado = conciliado;
}

public String getEstconciliado() {
return estconciliado;
}

public void setEstconciliado(String estconciliado) {
this.estconciliado = estconciliado;
}

}

