package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCtconsum {
@Coluna(nome="ctconsum.tipodespesa", tipo="String")
private String tipodespesa;
@Coluna(nome="ctconsum.descrdespesa", tipo="String")
private String descrdespesa;
@Coluna(nome="ctconsum.darf_irr", tipo="int")
private int darfIrr;
private boolean darfIrrNull;
@Coluna(nome="ctconsum.darf_csl", tipo="int")
private int darfCsl;
private boolean darfCslNull;
@Coluna(nome="ctconsum.darf_pis", tipo="int")
private int darfPis;
private boolean darfPisNull;
@Coluna(nome="ctconsum.darf_cof", tipo="int")
private int darfCof;
private boolean darfCofNull;
@Coluna(nome="ctconsum.perm_rateio", tipo="String")
private String permRateio;
@Coluna(nome="ctconsum.perm_manual", tipo="String")
private String permManual;
@Coluna(nome="ctconsum.codclasserv", tipo="int")
private int codclasserv;
private boolean codclasservNull;
@Coluna(nome="ctconsum.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="ctconsum.rateioimpos", tipo="String")
private String rateioimpos;

public TabCtconsum() {
initialize();
}

public void initialize() {
setTipodespesa(null);
setDescrdespesa(null);
setDarfIrr(null);
setDarfCsl(null);
setDarfPis(null);
setDarfCof(null);
setPermRateio(null);
setPermManual(null);
setCodclasserv(null);
setClassefiscal(null);
setRateioimpos(null);
}

public TabCtconsum(String tipodespesa, String descrdespesa, int darfIrr, int darfCsl, int darfPis, int darfCof, String permRateio, String permManual, int codclasserv, String classefiscal, String rateioimpos) {
this.tipodespesa = tipodespesa;
this.descrdespesa = descrdespesa;
this.darfIrr = darfIrr;
this.darfCsl = darfCsl;
this.darfPis = darfPis;
this.darfCof = darfCof;
this.permRateio = permRateio;
this.permManual = permManual;
this.codclasserv = codclasserv;
this.classefiscal = classefiscal;
this.rateioimpos = rateioimpos;
}

public String getTipodespesa() {
return tipodespesa;
}

public void setTipodespesa(String tipodespesa) {
this.tipodespesa = tipodespesa;
}

public String getDescrdespesa() {
return descrdespesa;
}

public void setDescrdespesa(String descrdespesa) {
this.descrdespesa = descrdespesa;
}

public int getDarfIrr() {
return darfIrr;
}

public boolean isDarfIrrNull() {
return darfIrrNull;
}

public void setDarfIrr(Integer darfIrr) {
if (darfIrr == null) {
darfIrrNull = true;
this.darfIrr = 0;
} else { 
darfIrrNull = false;
this.darfIrr = darfIrr;
}
}

public int getDarfCsl() {
return darfCsl;
}

public boolean isDarfCslNull() {
return darfCslNull;
}

public void setDarfCsl(Integer darfCsl) {
if (darfCsl == null) {
darfCslNull = true;
this.darfCsl = 0;
} else { 
darfCslNull = false;
this.darfCsl = darfCsl;
}
}

public int getDarfPis() {
return darfPis;
}

public boolean isDarfPisNull() {
return darfPisNull;
}

public void setDarfPis(Integer darfPis) {
if (darfPis == null) {
darfPisNull = true;
this.darfPis = 0;
} else { 
darfPisNull = false;
this.darfPis = darfPis;
}
}

public int getDarfCof() {
return darfCof;
}

public boolean isDarfCofNull() {
return darfCofNull;
}

public void setDarfCof(Integer darfCof) {
if (darfCof == null) {
darfCofNull = true;
this.darfCof = 0;
} else { 
darfCofNull = false;
this.darfCof = darfCof;
}
}

public String getPermRateio() {
return permRateio;
}

public void setPermRateio(String permRateio) {
this.permRateio = permRateio;
}

public String getPermManual() {
return permManual;
}

public void setPermManual(String permManual) {
this.permManual = permManual;
}

public int getCodclasserv() {
return codclasserv;
}

public boolean isCodclasservNull() {
return codclasservNull;
}

public void setCodclasserv(Integer codclasserv) {
if (codclasserv == null) {
codclasservNull = true;
this.codclasserv = 0;
} else { 
codclasservNull = false;
this.codclasserv = codclasserv;
}
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getRateioimpos() {
return rateioimpos;
}

public void setRateioimpos(String rateioimpos) {
this.rateioimpos = rateioimpos;
}

}

