package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCtgxplan {
@Coluna(nome="ctgxplan.planilha", tipo="String")
private String planilha;
@Coluna(nome="ctgxplan.pasta", tipo="String")
private String pasta;
@Coluna(nome="ctgxplan.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="ctgxplan.coluna", tipo="int")
private int coluna;
private boolean colunaNull;
@Coluna(nome="ctgxplan.tipo", tipo="String")
private String tipo;
@Coluna(nome="ctgxplan.texto", tipo="String")
private String texto;

public TabCtgxplan() {
initialize();
}

public void initialize() {
setPlanilha(null);
setPasta(null);
setLinha(null);
setColuna(null);
setTipo(null);
setTexto(null);
}

public TabCtgxplan(String planilha, String pasta, int linha, int coluna, String tipo, String texto) {
this.planilha = planilha;
this.pasta = pasta;
this.linha = linha;
this.coluna = coluna;
this.tipo = tipo;
this.texto = texto;
}

public String getPlanilha() {
return planilha;
}

public void setPlanilha(String planilha) {
this.planilha = planilha;
}

public String getPasta() {
return pasta;
}

public void setPasta(String pasta) {
this.pasta = pasta;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public int getColuna() {
return coluna;
}

public boolean isColunaNull() {
return colunaNull;
}

public void setColuna(Integer coluna) {
if (coluna == null) {
colunaNull = true;
this.coluna = 0;
} else { 
colunaNull = false;
this.coluna = coluna;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getTexto() {
return texto;
}

public void setTexto(String texto) {
this.texto = texto;
}

}

