package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtpareem {
@Coluna(nome="ctpareem.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="ctpareem.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctpareem.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctpareem.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctpareem.id_aquisicao", tipo="int")
private int idAquisicao;
private boolean idAquisicaoNull;
@Coluna(nome="ctpareem.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="ctpareem.datvencto", tipo="FglDate")
private FglDate datvencto;
@Coluna(nome="ctpareem.vlrparcela", tipo="double")
private double vlrparcela;
private boolean vlrparcelaNull;
@Coluna(nome="ctpareem.integrado", tipo="String")
private String integrado;

public TabCtpareem() {
initialize();
}

public void initialize() {
setIdBancos(null);
setCgccpf(null);
setTppessoa(null);
setFilial(null);
setIdAquisicao(null);
setNroparcela(null);
setDatvencto(null);
setVlrparcela(null);
setIntegrado(null);
}

public TabCtpareem(int idBancos, long cgccpf, int tppessoa, int filial, int idAquisicao, int nroparcela, FglDate datvencto, double vlrparcela, String integrado) {
this.idBancos = idBancos;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.filial = filial;
this.idAquisicao = idAquisicao;
this.nroparcela = nroparcela;
this.datvencto = datvencto;
this.vlrparcela = vlrparcela;
this.integrado = integrado;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAquisicao() {
return idAquisicao;
}

public boolean isIdAquisicaoNull() {
return idAquisicaoNull;
}

public void setIdAquisicao(Integer idAquisicao) {
if (idAquisicao == null) {
idAquisicaoNull = true;
this.idAquisicao = 0;
} else { 
idAquisicaoNull = false;
this.idAquisicao = idAquisicao;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public FglDate getDatvencto() {
return datvencto;
}

public void setDatvencto(FglDate datvencto) {
this.datvencto = datvencto;
}

public double getVlrparcela() {
return vlrparcela;
}

public boolean isVlrparcelaNull() {
return vlrparcelaNull;
}

public void setVlrparcela(int vlrparcela) {
setVlrparcela(new Double(vlrparcela));
}

public void setVlrparcela(long vlrparcela) {
setVlrparcela(new Double(vlrparcela));
}

public void setVlrparcela(Double vlrparcela) {
if (vlrparcela == null) {
vlrparcelaNull = true;
this.vlrparcela = 0.;
} else { 
vlrparcelaNull = false;
this.vlrparcela = FglDouble.round(vlrparcela, 2);
}
}

public String getIntegrado() {
return integrado;
}

public void setIntegrado(String integrado) {
this.integrado = integrado;
}

}

