package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtprevis {
@Coluna(nome="ctprevis.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctprevis.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="ctprevis.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctprevis.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctprevis.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="ctprevis.valorprevis", tipo="double")
private double valorprevis;
private boolean valorprevisNull;

public TabCtprevis() {
initialize();
}

public void initialize() {
setFilial(null);
setIdPlano(null);
setCgccpf(null);
setTppessoa(null);
setAnomes(null);
setValorprevis(null);
}

public TabCtprevis(int filial, int idPlano, long cgccpf, int tppessoa, FglDateTimeYM anomes, double valorprevis) {
this.filial = filial;
this.idPlano = idPlano;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.anomes = anomes;
this.valorprevis = valorprevis;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getValorprevis() {
return valorprevis;
}

public boolean isValorprevisNull() {
return valorprevisNull;
}

public void setValorprevis(int valorprevis) {
setValorprevis(new Double(valorprevis));
}

public void setValorprevis(long valorprevis) {
setValorprevis(new Double(valorprevis));
}

public void setValorprevis(Double valorprevis) {
if (valorprevis == null) {
valorprevisNull = true;
this.valorprevis = 0.;
} else { 
valorprevisNull = false;
this.valorprevis = FglDouble.round(valorprevis, 2);
}
}

}

