package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtsalini {
@Coluna(nome="ctsalini.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctsalini.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="ctsalini.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctsalini.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctsalini.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="ctsalini.natureza", tipo="String")
private String natureza;

public TabCtsalini() {
initialize();
}

public void initialize() {
setFilial(null);
setIdPlano(null);
setTppessoa(null);
setCgccpf(null);
setValor(null);
setNatureza(null);
}

public TabCtsalini(int filial, int idPlano, int tppessoa, long cgccpf, double valor, String natureza) {
this.filial = filial;
this.idPlano = idPlano;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.valor = valor;
this.natureza = natureza;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getNatureza() {
return natureza;
}

public void setNatureza(String natureza) {
this.natureza = natureza;
}

}

