package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCttransa {
@Coluna(nome="cttransa.transacao", tipo="String")
private String transacao;
@Coluna(nome="cttransa.descricao", tipo="String")
private String descricao;
@Coluna(nome="cttransa.descrdanfe", tipo="String")
private String descrdanfe;
@Coluna(nome="cttransa.mvtotransacao", tipo="String")
private String mvtotransacao;
@Coluna(nome="cttransa.tipotransacao", tipo="String")
private String tipotransacao;
@Coluna(nome="cttransa.tributaicms", tipo="String")
private String tributaicms;
@Coluna(nome="cttransa.tributaiss", tipo="String")
private String tributaiss;
@Coluna(nome="cttransa.creditaicms", tipo="String")
private String creditaicms;
@Coluna(nome="cttransa.codfisdent", tipo="String")
private String codfisdent;
@Coluna(nome="cttransa.codfisfora", tipo="String")
private String codfisfora;
@Coluna(nome="cttransa.codfisforanc", tipo="String")
private String codfisforanc;
@Coluna(nome="cttransa.codfisdesc", tipo="String")
private String codfisdesc;
@Coluna(nome="cttransa.codfismobrd", tipo="String")
private String codfismobrd;
@Coluna(nome="cttransa.codfismobrf", tipo="String")
private String codfismobrf;
@Coluna(nome="cttransa.codfismobrfnc", tipo="String")
private String codfismobrfnc;
@Coluna(nome="cttransa.codfisdmob", tipo="String")
private String codfisdmob;
@Coluna(nome="cttransa.tributapis", tipo="String")
private String tributapis;
@Coluna(nome="cttransa.pagacomis", tipo="String")
private String pagacomis;
@Coluna(nome="cttransa.tpvalorizac", tipo="String")
private String tpvalorizac;
@Coluna(nome="cttransa.indgarantia", tipo="double")
private double indgarantia;
private boolean indgarantiaNull;
@Coluna(nome="cttransa.geratitulo", tipo="String")
private String geratitulo;
@Coluna(nome="cttransa.geralivro", tipo="String")
private String geralivro;
@Coluna(nome="cttransa.basesugest", tipo="String")
private String basesugest;
@Coluna(nome="cttransa.objvendas", tipo="String")
private String objvendas;
@Coluna(nome="cttransa.esperaretorno", tipo="String")
private String esperaretorno;
@Coluna(nome="cttransa.contabiliza", tipo="String")
private String contabiliza;
@Coluna(nome="cttransa.codfislubdent", tipo="String")
private String codfislubdent;
@Coluna(nome="cttransa.codfislubfora", tipo="String")
private String codfislubfora;
@Coluna(nome="cttransa.codfislubforanc", tipo="String")
private String codfislubforanc;
@Coluna(nome="cttransa.codfislubdesc", tipo="String")
private String codfislubdesc;
@Coluna(nome="cttransa.ativo", tipo="String")
private String ativo;
@Coluna(nome="cttransa.exigefor", tipo="String")
private String exigefor;
@Coluna(nome="cttransa.transacao_int_picms", tipo="String")
private String transacaoIntPicms;
@Coluna(nome="cttransa.tpitem", tipo="int")
private int tpitem;
private boolean tpitemNull;

public TabCttransa() {
initialize();
}

public void initialize() {
setTransacao(null);
setDescricao(null);
setDescrdanfe(null);
setMvtotransacao(null);
setTipotransacao(null);
setTributaicms(null);
setTributaiss(null);
setCreditaicms(null);
setCodfisdent(null);
setCodfisfora(null);
setCodfisforanc(null);
setCodfisdesc(null);
setCodfismobrd(null);
setCodfismobrf(null);
setCodfismobrfnc(null);
setCodfisdmob(null);
setTributapis(null);
setPagacomis(null);
setTpvalorizac(null);
setIndgarantia(null);
setGeratitulo(null);
setGeralivro(null);
setBasesugest(null);
setObjvendas(null);
setEsperaretorno(null);
setContabiliza(null);
setCodfislubdent(null);
setCodfislubfora(null);
setCodfislubforanc(null);
setCodfislubdesc(null);
setAtivo(null);
setExigefor(null);
setTransacaoIntPicms(null);
setTpitem(null);
}

public TabCttransa(String transacao, String descricao, String descrdanfe, String mvtotransacao, String tipotransacao, String tributaicms, String tributaiss, String creditaicms, String codfisdent, String codfisfora, String codfisforanc, String codfisdesc, String codfismobrd, String codfismobrf, String codfismobrfnc, String codfisdmob, String tributapis, String pagacomis, String tpvalorizac, double indgarantia, String geratitulo, String geralivro, String basesugest, String objvendas, String esperaretorno, String contabiliza, String codfislubdent, String codfislubfora, String codfislubforanc, String codfislubdesc, String ativo, String exigefor, String transacaoIntPicms, int tpitem) {
this.transacao = transacao;
this.descricao = descricao;
this.descrdanfe = descrdanfe;
this.mvtotransacao = mvtotransacao;
this.tipotransacao = tipotransacao;
this.tributaicms = tributaicms;
this.tributaiss = tributaiss;
this.creditaicms = creditaicms;
this.codfisdent = codfisdent;
this.codfisfora = codfisfora;
this.codfisforanc = codfisforanc;
this.codfisdesc = codfisdesc;
this.codfismobrd = codfismobrd;
this.codfismobrf = codfismobrf;
this.codfismobrfnc = codfismobrfnc;
this.codfisdmob = codfisdmob;
this.tributapis = tributapis;
this.pagacomis = pagacomis;
this.tpvalorizac = tpvalorizac;
this.indgarantia = indgarantia;
this.geratitulo = geratitulo;
this.geralivro = geralivro;
this.basesugest = basesugest;
this.objvendas = objvendas;
this.esperaretorno = esperaretorno;
this.contabiliza = contabiliza;
this.codfislubdent = codfislubdent;
this.codfislubfora = codfislubfora;
this.codfislubforanc = codfislubforanc;
this.codfislubdesc = codfislubdesc;
this.ativo = ativo;
this.exigefor = exigefor;
this.transacaoIntPicms = transacaoIntPicms;
this.tpitem = tpitem;
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getDescrdanfe() {
return descrdanfe;
}

public void setDescrdanfe(String descrdanfe) {
this.descrdanfe = descrdanfe;
}

public String getMvtotransacao() {
return mvtotransacao;
}

public void setMvtotransacao(String mvtotransacao) {
this.mvtotransacao = mvtotransacao;
}

public String getTipotransacao() {
return tipotransacao;
}

public void setTipotransacao(String tipotransacao) {
this.tipotransacao = tipotransacao;
}

public String getTributaicms() {
return tributaicms;
}

public void setTributaicms(String tributaicms) {
this.tributaicms = tributaicms;
}

public String getTributaiss() {
return tributaiss;
}

public void setTributaiss(String tributaiss) {
this.tributaiss = tributaiss;
}

public String getCreditaicms() {
return creditaicms;
}

public void setCreditaicms(String creditaicms) {
this.creditaicms = creditaicms;
}

public String getCodfisdent() {
return codfisdent;
}

public void setCodfisdent(String codfisdent) {
this.codfisdent = codfisdent;
}

public String getCodfisfora() {
return codfisfora;
}

public void setCodfisfora(String codfisfora) {
this.codfisfora = codfisfora;
}

public String getCodfisforanc() {
return codfisforanc;
}

public void setCodfisforanc(String codfisforanc) {
this.codfisforanc = codfisforanc;
}

public String getCodfisdesc() {
return codfisdesc;
}

public void setCodfisdesc(String codfisdesc) {
this.codfisdesc = codfisdesc;
}

public String getCodfismobrd() {
return codfismobrd;
}

public void setCodfismobrd(String codfismobrd) {
this.codfismobrd = codfismobrd;
}

public String getCodfismobrf() {
return codfismobrf;
}

public void setCodfismobrf(String codfismobrf) {
this.codfismobrf = codfismobrf;
}

public String getCodfismobrfnc() {
return codfismobrfnc;
}

public void setCodfismobrfnc(String codfismobrfnc) {
this.codfismobrfnc = codfismobrfnc;
}

public String getCodfisdmob() {
return codfisdmob;
}

public void setCodfisdmob(String codfisdmob) {
this.codfisdmob = codfisdmob;
}

public String getTributapis() {
return tributapis;
}

public void setTributapis(String tributapis) {
this.tributapis = tributapis;
}

public String getPagacomis() {
return pagacomis;
}

public void setPagacomis(String pagacomis) {
this.pagacomis = pagacomis;
}

public String getTpvalorizac() {
return tpvalorizac;
}

public void setTpvalorizac(String tpvalorizac) {
this.tpvalorizac = tpvalorizac;
}

public double getIndgarantia() {
return indgarantia;
}

public boolean isIndgarantiaNull() {
return indgarantiaNull;
}

public void setIndgarantia(int indgarantia) {
setIndgarantia(new Double(indgarantia));
}

public void setIndgarantia(long indgarantia) {
setIndgarantia(new Double(indgarantia));
}

public void setIndgarantia(Double indgarantia) {
if (indgarantia == null) {
indgarantiaNull = true;
this.indgarantia = 0.;
} else { 
indgarantiaNull = false;
this.indgarantia = FglDouble.round(indgarantia, 4);
}
}

public String getGeratitulo() {
return geratitulo;
}

public void setGeratitulo(String geratitulo) {
this.geratitulo = geratitulo;
}

public String getGeralivro() {
return geralivro;
}

public void setGeralivro(String geralivro) {
this.geralivro = geralivro;
}

public String getBasesugest() {
return basesugest;
}

public void setBasesugest(String basesugest) {
this.basesugest = basesugest;
}

public String getObjvendas() {
return objvendas;
}

public void setObjvendas(String objvendas) {
this.objvendas = objvendas;
}

public String getEsperaretorno() {
return esperaretorno;
}

public void setEsperaretorno(String esperaretorno) {
this.esperaretorno = esperaretorno;
}

public String getContabiliza() {
return contabiliza;
}

public void setContabiliza(String contabiliza) {
this.contabiliza = contabiliza;
}

public String getCodfislubdent() {
return codfislubdent;
}

public void setCodfislubdent(String codfislubdent) {
this.codfislubdent = codfislubdent;
}

public String getCodfislubfora() {
return codfislubfora;
}

public void setCodfislubfora(String codfislubfora) {
this.codfislubfora = codfislubfora;
}

public String getCodfislubforanc() {
return codfislubforanc;
}

public void setCodfislubforanc(String codfislubforanc) {
this.codfislubforanc = codfislubforanc;
}

public String getCodfislubdesc() {
return codfislubdesc;
}

public void setCodfislubdesc(String codfislubdesc) {
this.codfislubdesc = codfislubdesc;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getExigefor() {
return exigefor;
}

public void setExigefor(String exigefor) {
this.exigefor = exigefor;
}

public String getTransacaoIntPicms() {
return transacaoIntPicms;
}

public void setTransacaoIntPicms(String transacaoIntPicms) {
this.transacaoIntPicms = transacaoIntPicms;
}

public int getTpitem() {
return tpitem;
}

public boolean isTpitemNull() {
return tpitemNull;
}

public void setTpitem(Integer tpitem) {
if (tpitem == null) {
tpitemNull = true;
this.tpitem = 0;
} else { 
tpitemNull = false;
this.tpitem = tpitem;
}
}

}

