package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCvmargld {
@Coluna(nome="cvmargld.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cvmargld.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cvmargld.sugmargem", tipo="String")
private String sugmargem;
@Coluna(nome="cvmargld.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cvmargld.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cvmargld.descnivel1", tipo="double")
private double descnivel1;
private boolean descnivel1Null;
@Coluna(nome="cvmargld.descnivel2", tipo="double")
private double descnivel2;
private boolean descnivel2Null;
@Coluna(nome="cvmargld.descnivel3", tipo="double")
private double descnivel3;
private boolean descnivel3Null;
@Coluna(nome="cvmargld.descnivel1mo", tipo="double")
private double descnivel1mo;
private boolean descnivel1moNull;
@Coluna(nome="cvmargld.descnivel2mo", tipo="double")
private double descnivel2mo;
private boolean descnivel2moNull;
@Coluna(nome="cvmargld.descnivel3mo", tipo="double")
private double descnivel3mo;
private boolean descnivel3moNull;
@Coluna(nome="cvmargld.margemminima", tipo="double")
private double margemminima;
private boolean margemminimaNull;

public TabCvmargld() {
initialize();
}

public void initialize() {
setFilial(null);
setCondpgto(null);
setSugmargem(null);
setDtinicio(null);
setDtfim(null);
setDescnivel1(null);
setDescnivel2(null);
setDescnivel3(null);
setDescnivel1mo(null);
setDescnivel2mo(null);
setDescnivel3mo(null);
setMargemminima(null);
}

public TabCvmargld(int filial, int condpgto, String sugmargem, FglDate dtinicio, FglDate dtfim, double descnivel1, double descnivel2, double descnivel3, double descnivel1mo, double descnivel2mo, double descnivel3mo, double margemminima) {
this.filial = filial;
this.condpgto = condpgto;
this.sugmargem = sugmargem;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.descnivel1 = descnivel1;
this.descnivel2 = descnivel2;
this.descnivel3 = descnivel3;
this.descnivel1mo = descnivel1mo;
this.descnivel2mo = descnivel2mo;
this.descnivel3mo = descnivel3mo;
this.margemminima = margemminima;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public String getSugmargem() {
return sugmargem;
}

public void setSugmargem(String sugmargem) {
this.sugmargem = sugmargem;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getDescnivel1() {
return descnivel1;
}

public boolean isDescnivel1Null() {
return descnivel1Null;
}

public void setDescnivel1(int descnivel1) {
setDescnivel1(new Double(descnivel1));
}

public void setDescnivel1(long descnivel1) {
setDescnivel1(new Double(descnivel1));
}

public void setDescnivel1(Double descnivel1) {
if (descnivel1 == null) {
descnivel1Null = true;
this.descnivel1 = 0.;
} else { 
descnivel1Null = false;
this.descnivel1 = FglDouble.round(descnivel1, 2);
}
}

public double getDescnivel2() {
return descnivel2;
}

public boolean isDescnivel2Null() {
return descnivel2Null;
}

public void setDescnivel2(int descnivel2) {
setDescnivel2(new Double(descnivel2));
}

public void setDescnivel2(long descnivel2) {
setDescnivel2(new Double(descnivel2));
}

public void setDescnivel2(Double descnivel2) {
if (descnivel2 == null) {
descnivel2Null = true;
this.descnivel2 = 0.;
} else { 
descnivel2Null = false;
this.descnivel2 = FglDouble.round(descnivel2, 2);
}
}

public double getDescnivel3() {
return descnivel3;
}

public boolean isDescnivel3Null() {
return descnivel3Null;
}

public void setDescnivel3(int descnivel3) {
setDescnivel3(new Double(descnivel3));
}

public void setDescnivel3(long descnivel3) {
setDescnivel3(new Double(descnivel3));
}

public void setDescnivel3(Double descnivel3) {
if (descnivel3 == null) {
descnivel3Null = true;
this.descnivel3 = 0.;
} else { 
descnivel3Null = false;
this.descnivel3 = FglDouble.round(descnivel3, 2);
}
}

public double getDescnivel1mo() {
return descnivel1mo;
}

public boolean isDescnivel1moNull() {
return descnivel1moNull;
}

public void setDescnivel1mo(int descnivel1mo) {
setDescnivel1mo(new Double(descnivel1mo));
}

public void setDescnivel1mo(long descnivel1mo) {
setDescnivel1mo(new Double(descnivel1mo));
}

public void setDescnivel1mo(Double descnivel1mo) {
if (descnivel1mo == null) {
descnivel1moNull = true;
this.descnivel1mo = 0.;
} else { 
descnivel1moNull = false;
this.descnivel1mo = FglDouble.round(descnivel1mo, 2);
}
}

public double getDescnivel2mo() {
return descnivel2mo;
}

public boolean isDescnivel2moNull() {
return descnivel2moNull;
}

public void setDescnivel2mo(int descnivel2mo) {
setDescnivel2mo(new Double(descnivel2mo));
}

public void setDescnivel2mo(long descnivel2mo) {
setDescnivel2mo(new Double(descnivel2mo));
}

public void setDescnivel2mo(Double descnivel2mo) {
if (descnivel2mo == null) {
descnivel2moNull = true;
this.descnivel2mo = 0.;
} else { 
descnivel2moNull = false;
this.descnivel2mo = FglDouble.round(descnivel2mo, 2);
}
}

public double getDescnivel3mo() {
return descnivel3mo;
}

public boolean isDescnivel3moNull() {
return descnivel3moNull;
}

public void setDescnivel3mo(int descnivel3mo) {
setDescnivel3mo(new Double(descnivel3mo));
}

public void setDescnivel3mo(long descnivel3mo) {
setDescnivel3mo(new Double(descnivel3mo));
}

public void setDescnivel3mo(Double descnivel3mo) {
if (descnivel3mo == null) {
descnivel3moNull = true;
this.descnivel3mo = 0.;
} else { 
descnivel3moNull = false;
this.descnivel3mo = FglDouble.round(descnivel3mo, 2);
}
}

public double getMargemminima() {
return margemminima;
}

public boolean isMargemminimaNull() {
return margemminimaNull;
}

public void setMargemminima(int margemminima) {
setMargemminima(new Double(margemminima));
}

public void setMargemminima(long margemminima) {
setMargemminima(new Double(margemminima));
}

public void setMargemminima(Double margemminima) {
if (margemminima == null) {
margemminimaNull = true;
this.margemminima = 0.;
} else { 
margemminimaNull = false;
this.margemminima = FglDouble.round(margemminima, 2);
}
}

}

