package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCvobjven {
@Coluna(nome="cvobjven.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cvobjven.dia", tipo="FglDate")
private FglDate dia;
@Coluna(nome="cvobjven.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cvobjven.horas", tipo="double")
private double horas;
private boolean horasNull;

public TabCvobjven() {
initialize();
}

public void initialize() {
setIdDeptos(null);
setDia(null);
setValor(null);
setHoras(null);
}

public TabCvobjven(int idDeptos, FglDate dia, double valor, double horas) {
this.idDeptos = idDeptos;
this.dia = dia;
this.valor = valor;
this.horas = horas;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public FglDate getDia() {
return dia;
}

public void setDia(FglDate dia) {
this.dia = dia;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getHoras() {
return horas;
}

public boolean isHorasNull() {
return horasNull;
}

public void setHoras(int horas) {
setHoras(new Double(horas));
}

public void setHoras(long horas) {
setHoras(new Double(horas));
}

public void setHoras(Double horas) {
if (horas == null) {
horasNull = true;
this.horas = 0.;
} else { 
horasNull = false;
this.horas = FglDouble.round(horas, 2);
}
}

}

