package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxagitem {
@Coluna(nome="cxagitem.id_agcapa", tipo="int")
private int idAgcapa;
private boolean idAgcapaNull;
@Coluna(nome="cxagitem.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cxagitem.prodserv", tipo="String")
private String prodserv;
@Coluna(nome="cxagitem.produto", tipo="String")
private String produto;
@Coluna(nome="cxagitem.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="cxagitem.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="cxagitem.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxagitem() {
initialize();
}

public void initialize() {
setIdAgcapa(null);
setNroitem(null);
setProdserv(null);
setProduto(null);
setIdServico(null);
setQuantidade(null);
setValor(null);
}

public TabCxagitem(int idAgcapa, int nroitem, String prodserv, String produto, int idServico, int quantidade, double valor) {
this.idAgcapa = idAgcapa;
this.nroitem = nroitem;
this.prodserv = prodserv;
this.produto = produto;
this.idServico = idServico;
this.quantidade = quantidade;
this.valor = valor;
}

public int getIdAgcapa() {
return idAgcapa;
}

public boolean isIdAgcapaNull() {
return idAgcapaNull;
}

public void setIdAgcapa(Integer idAgcapa) {
if (idAgcapa == null) {
idAgcapaNull = true;
this.idAgcapa = 0;
} else { 
idAgcapaNull = false;
this.idAgcapa = idAgcapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProdserv() {
return prodserv;
}

public void setProdserv(String prodserv) {
this.prodserv = prodserv;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

