package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxanexac {
@Coluna(nome="cxanexac.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxanexac.pedcompra", tipo="int")
private int pedcompra;
private boolean pedcompraNull;
@Coluna(nome="cxanexac.codopcion", tipo="String")
private String codopcion;
@Coluna(nome="cxanexac.qtdeprodut", tipo="double")
private double qtdeprodut;
private boolean qtdeprodutNull;

public TabCxanexac() {
initialize();
}

public void initialize() {
setFilial(null);
setPedcompra(null);
setCodopcion(null);
setQtdeprodut(null);
}

public TabCxanexac(int filial, int pedcompra, String codopcion, double qtdeprodut) {
this.filial = filial;
this.pedcompra = pedcompra;
this.codopcion = codopcion;
this.qtdeprodut = qtdeprodut;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedcompra() {
return pedcompra;
}

public boolean isPedcompraNull() {
return pedcompraNull;
}

public void setPedcompra(Integer pedcompra) {
if (pedcompra == null) {
pedcompraNull = true;
this.pedcompra = 0;
} else { 
pedcompraNull = false;
this.pedcompra = pedcompra;
}
}

public String getCodopcion() {
return codopcion;
}

public void setCodopcion(String codopcion) {
this.codopcion = codopcion;
}

public double getQtdeprodut() {
return qtdeprodut;
}

public boolean isQtdeprodutNull() {
return qtdeprodutNull;
}

public void setQtdeprodut(int qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(long qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(Double qtdeprodut) {
if (qtdeprodut == null) {
qtdeprodutNull = true;
this.qtdeprodut = 0.;
} else { 
qtdeprodutNull = false;
this.qtdeprodut = FglDouble.round(qtdeprodut, 2);
}
}

}

