package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxanexad {
@Coluna(nome="cxanexad.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxanexad.codopcion", tipo="String")
private String codopcion;
@Coluna(nome="cxanexad.qtdeprodut", tipo="double")
private double qtdeprodut;
private boolean qtdeprodutNull;

public TabCxanexad() {
initialize();
}

public void initialize() {
setChassis(null);
setCodopcion(null);
setQtdeprodut(null);
}

public TabCxanexad(String chassis, String codopcion, double qtdeprodut) {
this.chassis = chassis;
this.codopcion = codopcion;
this.qtdeprodut = qtdeprodut;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getCodopcion() {
return codopcion;
}

public void setCodopcion(String codopcion) {
this.codopcion = codopcion;
}

public double getQtdeprodut() {
return qtdeprodut;
}

public boolean isQtdeprodutNull() {
return qtdeprodutNull;
}

public void setQtdeprodut(int qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(long qtdeprodut) {
setQtdeprodut(new Double(qtdeprodut));
}

public void setQtdeprodut(Double qtdeprodut) {
if (qtdeprodut == null) {
qtdeprodutNull = true;
this.qtdeprodut = 0.;
} else { 
qtdeprodutNull = false;
this.qtdeprodut = FglDouble.round(qtdeprodut, 2);
}
}

}

