package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxavrepa {
@Coluna(nome="cxavrepa.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="cxavrepa.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cxavrepa.reparo", tipo="String")
private String reparo;
@Coluna(nome="cxavrepa.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxavrepa.id_foto", tipo="String")
private String idFoto;
@Coluna(nome="cxavrepa.id_parteveiculo", tipo="int")
private int idParteveiculo;
private boolean idParteveiculoNull;

public TabCxavrepa() {
initialize();
}

public void initialize() {
setAvaliacao(null);
setSequencia(null);
setReparo(null);
setValor(null);
setIdFoto(null);
setIdParteveiculo(null);
}

public TabCxavrepa(int avaliacao, int sequencia, String reparo, double valor, String idFoto, int idParteveiculo) {
this.avaliacao = avaliacao;
this.sequencia = sequencia;
this.reparo = reparo;
this.valor = valor;
this.idFoto = idFoto;
this.idParteveiculo = idParteveiculo;
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getReparo() {
return reparo;
}

public void setReparo(String reparo) {
this.reparo = reparo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getIdFoto() {
return idFoto;
}

public void setIdFoto(String idFoto) {
this.idFoto = idFoto;
}

public int getIdParteveiculo() {
return idParteveiculo;
}

public boolean isIdParteveiculoNull() {
return idParteveiculoNull;
}

public void setIdParteveiculo(Integer idParteveiculo) {
if (idParteveiculo == null) {
idParteveiculoNull = true;
this.idParteveiculo = 0;
} else { 
idParteveiculoNull = false;
this.idParteveiculo = idParteveiculo;
}
}

}

