package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxavrest {
@Coluna(nome="cxavrest.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="cxavrest.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cxavrest.restricao", tipo="String")
private String restricao;
@Coluna(nome="cxavrest.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cxavrest.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxavrest() {
initialize();
}

public void initialize() {
setAvaliacao(null);
setSequencia(null);
setRestricao(null);
setData(null);
setValor(null);
}

public TabCxavrest(int avaliacao, int sequencia, String restricao, FglDate data, double valor) {
this.avaliacao = avaliacao;
this.sequencia = sequencia;
this.restricao = restricao;
this.data = data;
this.valor = valor;
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getRestricao() {
return restricao;
}

public void setRestricao(String restricao) {
this.restricao = restricao;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

