package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxbonus {
@Coluna(nome="cxbonus.id_bonus", tipo="int")
private int idBonus;
private boolean idBonusNull;
@Coluna(nome="cxbonus.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxbonus.anofab", tipo="int")
private int anofab;
private boolean anofabNull;
@Coluna(nome="cxbonus.anomod", tipo="int")
private int anomod;
private boolean anomodNull;
@Coluna(nome="cxbonus.codopcion1", tipo="String")
private String codopcion1;
@Coluna(nome="cxbonus.codopcion2", tipo="String")
private String codopcion2;
@Coluna(nome="cxbonus.codopcion3", tipo="String")
private String codopcion3;
@Coluna(nome="cxbonus.codopcion4", tipo="String")
private String codopcion4;
@Coluna(nome="cxbonus.codopcion5", tipo="String")
private String codopcion5;
@Coluna(nome="cxbonus.dt_fat_ini", tipo="FglDate")
private FglDate dtFatIni;
@Coluna(nome="cxbonus.dt_fat_fim", tipo="FglDate")
private FglDate dtFatFim;
@Coluna(nome="cxbonus.dt_val_ini", tipo="FglDate")
private FglDate dtValIni;
@Coluna(nome="cxbonus.dt_val_fim", tipo="FglDate")
private FglDate dtValFim;
@Coluna(nome="cxbonus.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxbonus.vlmaxvendini", tipo="double")
private double vlmaxvendini;
private boolean vlmaxvendiniNull;
@Coluna(nome="cxbonus.vlmaxvendfim", tipo="double")
private double vlmaxvendfim;
private boolean vlmaxvendfimNull;
@Coluna(nome="cxbonus.nrocomufab", tipo="String")
private String nrocomufab;

public TabCxbonus() {
initialize();
}

public void initialize() {
setIdBonus(null);
setModelo(null);
setAnofab(null);
setAnomod(null);
setCodopcion1(null);
setCodopcion2(null);
setCodopcion3(null);
setCodopcion4(null);
setCodopcion5(null);
setDtFatIni(null);
setDtFatFim(null);
setDtValIni(null);
setDtValFim(null);
setValor(null);
setVlmaxvendini(null);
setVlmaxvendfim(null);
setNrocomufab(null);
}

public TabCxbonus(int idBonus, String modelo, int anofab, int anomod, String codopcion1, String codopcion2, String codopcion3, String codopcion4, String codopcion5, FglDate dtFatIni, FglDate dtFatFim, FglDate dtValIni, FglDate dtValFim, double valor, double vlmaxvendini, double vlmaxvendfim, String nrocomufab) {
this.idBonus = idBonus;
this.modelo = modelo;
this.anofab = anofab;
this.anomod = anomod;
this.codopcion1 = codopcion1;
this.codopcion2 = codopcion2;
this.codopcion3 = codopcion3;
this.codopcion4 = codopcion4;
this.codopcion5 = codopcion5;
this.dtFatIni = dtFatIni;
this.dtFatFim = dtFatFim;
this.dtValIni = dtValIni;
this.dtValFim = dtValFim;
this.valor = valor;
this.vlmaxvendini = vlmaxvendini;
this.vlmaxvendfim = vlmaxvendfim;
this.nrocomufab = nrocomufab;
}

public int getIdBonus() {
return idBonus;
}

public boolean isIdBonusNull() {
return idBonusNull;
}

public void setIdBonus(Integer idBonus) {
if (idBonus == null) {
idBonusNull = true;
this.idBonus = 0;
} else { 
idBonusNull = false;
this.idBonus = idBonus;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getAnofab() {
return anofab;
}

public boolean isAnofabNull() {
return anofabNull;
}

public void setAnofab(Integer anofab) {
if (anofab == null) {
anofabNull = true;
this.anofab = 0;
} else { 
anofabNull = false;
this.anofab = anofab;
}
}

public int getAnomod() {
return anomod;
}

public boolean isAnomodNull() {
return anomodNull;
}

public void setAnomod(Integer anomod) {
if (anomod == null) {
anomodNull = true;
this.anomod = 0;
} else { 
anomodNull = false;
this.anomod = anomod;
}
}

public String getCodopcion1() {
return codopcion1;
}

public void setCodopcion1(String codopcion1) {
this.codopcion1 = codopcion1;
}

public String getCodopcion2() {
return codopcion2;
}

public void setCodopcion2(String codopcion2) {
this.codopcion2 = codopcion2;
}

public String getCodopcion3() {
return codopcion3;
}

public void setCodopcion3(String codopcion3) {
this.codopcion3 = codopcion3;
}

public String getCodopcion4() {
return codopcion4;
}

public void setCodopcion4(String codopcion4) {
this.codopcion4 = codopcion4;
}

public String getCodopcion5() {
return codopcion5;
}

public void setCodopcion5(String codopcion5) {
this.codopcion5 = codopcion5;
}

public FglDate getDtFatIni() {
return dtFatIni;
}

public void setDtFatIni(FglDate dtFatIni) {
this.dtFatIni = dtFatIni;
}

public FglDate getDtFatFim() {
return dtFatFim;
}

public void setDtFatFim(FglDate dtFatFim) {
this.dtFatFim = dtFatFim;
}

public FglDate getDtValIni() {
return dtValIni;
}

public void setDtValIni(FglDate dtValIni) {
this.dtValIni = dtValIni;
}

public FglDate getDtValFim() {
return dtValFim;
}

public void setDtValFim(FglDate dtValFim) {
this.dtValFim = dtValFim;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getVlmaxvendini() {
return vlmaxvendini;
}

public boolean isVlmaxvendiniNull() {
return vlmaxvendiniNull;
}

public void setVlmaxvendini(int vlmaxvendini) {
setVlmaxvendini(new Double(vlmaxvendini));
}

public void setVlmaxvendini(long vlmaxvendini) {
setVlmaxvendini(new Double(vlmaxvendini));
}

public void setVlmaxvendini(Double vlmaxvendini) {
if (vlmaxvendini == null) {
vlmaxvendiniNull = true;
this.vlmaxvendini = 0.;
} else { 
vlmaxvendiniNull = false;
this.vlmaxvendini = FglDouble.round(vlmaxvendini, 2);
}
}

public double getVlmaxvendfim() {
return vlmaxvendfim;
}

public boolean isVlmaxvendfimNull() {
return vlmaxvendfimNull;
}

public void setVlmaxvendfim(int vlmaxvendfim) {
setVlmaxvendfim(new Double(vlmaxvendfim));
}

public void setVlmaxvendfim(long vlmaxvendfim) {
setVlmaxvendfim(new Double(vlmaxvendfim));
}

public void setVlmaxvendfim(Double vlmaxvendfim) {
if (vlmaxvendfim == null) {
vlmaxvendfimNull = true;
this.vlmaxvendfim = 0.;
} else { 
vlmaxvendfimNull = false;
this.vlmaxvendfim = FglDouble.round(vlmaxvendfim, 2);
}
}

public String getNrocomufab() {
return nrocomufab;
}

public void setNrocomufab(String nrocomufab) {
this.nrocomufab = nrocomufab;
}

}

