package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxbonust {
@Coluna(nome="cxbonust.id_bonust", tipo="int")
private int idBonust;
private boolean idBonustNull;
@Coluna(nome="cxbonust.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxbonust.dt_fat_ini", tipo="FglDate")
private FglDate dtFatIni;
@Coluna(nome="cxbonust.dt_fat_fim", tipo="FglDate")
private FglDate dtFatFim;
@Coluna(nome="cxbonust.dt_val_ini", tipo="FglDate")
private FglDate dtValIni;
@Coluna(nome="cxbonust.dt_val_fim", tipo="FglDate")
private FglDate dtValFim;
@Coluna(nome="cxbonust.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxbonust.vlmaxvendini", tipo="double")
private double vlmaxvendini;
private boolean vlmaxvendiniNull;
@Coluna(nome="cxbonust.vlmaxvendfim", tipo="double")
private double vlmaxvendfim;
private boolean vlmaxvendfimNull;
@Coluna(nome="cxbonust.nrocomufab", tipo="String")
private String nrocomufab;

public TabCxbonust() {
initialize();
}

public void initialize() {
setIdBonust(null);
setFilial(null);
setDtFatIni(null);
setDtFatFim(null);
setDtValIni(null);
setDtValFim(null);
setValor(null);
setVlmaxvendini(null);
setVlmaxvendfim(null);
setNrocomufab(null);
}

public TabCxbonust(int idBonust, int filial, FglDate dtFatIni, FglDate dtFatFim, FglDate dtValIni, FglDate dtValFim, double valor, double vlmaxvendini, double vlmaxvendfim, String nrocomufab) {
this.idBonust = idBonust;
this.filial = filial;
this.dtFatIni = dtFatIni;
this.dtFatFim = dtFatFim;
this.dtValIni = dtValIni;
this.dtValFim = dtValFim;
this.valor = valor;
this.vlmaxvendini = vlmaxvendini;
this.vlmaxvendfim = vlmaxvendfim;
this.nrocomufab = nrocomufab;
}

public int getIdBonust() {
return idBonust;
}

public boolean isIdBonustNull() {
return idBonustNull;
}

public void setIdBonust(Integer idBonust) {
if (idBonust == null) {
idBonustNull = true;
this.idBonust = 0;
} else { 
idBonustNull = false;
this.idBonust = idBonust;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtFatIni() {
return dtFatIni;
}

public void setDtFatIni(FglDate dtFatIni) {
this.dtFatIni = dtFatIni;
}

public FglDate getDtFatFim() {
return dtFatFim;
}

public void setDtFatFim(FglDate dtFatFim) {
this.dtFatFim = dtFatFim;
}

public FglDate getDtValIni() {
return dtValIni;
}

public void setDtValIni(FglDate dtValIni) {
this.dtValIni = dtValIni;
}

public FglDate getDtValFim() {
return dtValFim;
}

public void setDtValFim(FglDate dtValFim) {
this.dtValFim = dtValFim;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getVlmaxvendini() {
return vlmaxvendini;
}

public boolean isVlmaxvendiniNull() {
return vlmaxvendiniNull;
}

public void setVlmaxvendini(int vlmaxvendini) {
setVlmaxvendini(new Double(vlmaxvendini));
}

public void setVlmaxvendini(long vlmaxvendini) {
setVlmaxvendini(new Double(vlmaxvendini));
}

public void setVlmaxvendini(Double vlmaxvendini) {
if (vlmaxvendini == null) {
vlmaxvendiniNull = true;
this.vlmaxvendini = 0.;
} else { 
vlmaxvendiniNull = false;
this.vlmaxvendini = FglDouble.round(vlmaxvendini, 2);
}
}

public double getVlmaxvendfim() {
return vlmaxvendfim;
}

public boolean isVlmaxvendfimNull() {
return vlmaxvendfimNull;
}

public void setVlmaxvendfim(int vlmaxvendfim) {
setVlmaxvendfim(new Double(vlmaxvendfim));
}

public void setVlmaxvendfim(long vlmaxvendfim) {
setVlmaxvendfim(new Double(vlmaxvendfim));
}

public void setVlmaxvendfim(Double vlmaxvendfim) {
if (vlmaxvendfim == null) {
vlmaxvendfimNull = true;
this.vlmaxvendfim = 0.;
} else { 
vlmaxvendfimNull = false;
this.vlmaxvendfim = FglDouble.round(vlmaxvendfim, 2);
}
}

public String getNrocomufab() {
return nrocomufab;
}

public void setNrocomufab(String nrocomufab) {
this.nrocomufab = nrocomufab;
}

}

