package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxcadinf {
@Coluna(nome="cxcadinf.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxcadinf.serie", tipo="String")
private String serie;
@Coluna(nome="cxcadinf.dt_garantia_ini", tipo="FglDate")
private FglDate dtGarantiaIni;
@Coluna(nome="cxcadinf.dt_garantia_fim", tipo="FglDate")
private FglDate dtGarantiaFim;
@Coluna(nome="cxcadinf.horimetro", tipo="int")
private int horimetro;
private boolean horimetroNull;
@Coluna(nome="cxcadinf.horatrilha", tipo="int")
private int horatrilha;
private boolean horatrilhaNull;

public TabCxcadinf() {
initialize();
}

public void initialize() {
setChassis(null);
setSerie(null);
setDtGarantiaIni(null);
setDtGarantiaFim(null);
setHorimetro(null);
setHoratrilha(null);
}

public TabCxcadinf(String chassis, String serie, FglDate dtGarantiaIni, FglDate dtGarantiaFim, int horimetro, int horatrilha) {
this.chassis = chassis;
this.serie = serie;
this.dtGarantiaIni = dtGarantiaIni;
this.dtGarantiaFim = dtGarantiaFim;
this.horimetro = horimetro;
this.horatrilha = horatrilha;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getSerie() {
return serie;
}

public void setSerie(String serie) {
this.serie = serie;
}

public FglDate getDtGarantiaIni() {
return dtGarantiaIni;
}

public void setDtGarantiaIni(FglDate dtGarantiaIni) {
this.dtGarantiaIni = dtGarantiaIni;
}

public FglDate getDtGarantiaFim() {
return dtGarantiaFim;
}

public void setDtGarantiaFim(FglDate dtGarantiaFim) {
this.dtGarantiaFim = dtGarantiaFim;
}

public int getHorimetro() {
return horimetro;
}

public boolean isHorimetroNull() {
return horimetroNull;
}

public void setHorimetro(Integer horimetro) {
if (horimetro == null) {
horimetroNull = true;
this.horimetro = 0;
} else { 
horimetroNull = false;
this.horimetro = horimetro;
}
}

public int getHoratrilha() {
return horatrilha;
}

public boolean isHoratrilhaNull() {
return horatrilhaNull;
}

public void setHoratrilha(Integer horatrilha) {
if (horatrilha == null) {
horatrilhaNull = true;
this.horatrilha = 0;
} else { 
horatrilhaNull = false;
this.horatrilha = horatrilha;
}
}

}

