package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxccfabr {
@Coluna(nome="cxccfabr.id_ccfabr", tipo="int")
private int idCcfabr;
private boolean idCcfabrNull;
@Coluna(nome="cxccfabr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxccfabr.bancofloor", tipo="int")
private int bancofloor;
private boolean bancofloorNull;
@Coluna(nome="cxccfabr.contafloor", tipo="int")
private int contafloor;
private boolean contafloorNull;
@Coluna(nome="cxccfabr.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="cxccfabr.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxccfabr.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxccfabr.debcre", tipo="String")
private String debcre;
@Coluna(nome="cxccfabr.observacao", tipo="String")
private String observacao;
@Coluna(nome="cxccfabr.dtpagto", tipo="FglDate")
private FglDate dtpagto;

public TabCxccfabr() {
initialize();
}

public void initialize() {
setIdCcfabr(null);
setFilial(null);
setBancofloor(null);
setContafloor(null);
setNrodocto(null);
setDtvencto(null);
setValor(null);
setDebcre(null);
setObservacao(null);
setDtpagto(null);
}

public TabCxccfabr(int idCcfabr, int filial, int bancofloor, int contafloor, int nrodocto, FglDate dtvencto, double valor, String debcre, String observacao, FglDate dtpagto) {
this.idCcfabr = idCcfabr;
this.filial = filial;
this.bancofloor = bancofloor;
this.contafloor = contafloor;
this.nrodocto = nrodocto;
this.dtvencto = dtvencto;
this.valor = valor;
this.debcre = debcre;
this.observacao = observacao;
this.dtpagto = dtpagto;
}

public int getIdCcfabr() {
return idCcfabr;
}

public boolean isIdCcfabrNull() {
return idCcfabrNull;
}

public void setIdCcfabr(Integer idCcfabr) {
if (idCcfabr == null) {
idCcfabrNull = true;
this.idCcfabr = 0;
} else { 
idCcfabrNull = false;
this.idCcfabr = idCcfabr;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getBancofloor() {
return bancofloor;
}

public boolean isBancofloorNull() {
return bancofloorNull;
}

public void setBancofloor(Integer bancofloor) {
if (bancofloor == null) {
bancofloorNull = true;
this.bancofloor = 0;
} else { 
bancofloorNull = false;
this.bancofloor = bancofloor;
}
}

public int getContafloor() {
return contafloor;
}

public boolean isContafloorNull() {
return contafloorNull;
}

public void setContafloor(Integer contafloor) {
if (contafloor == null) {
contafloorNull = true;
this.contafloor = 0;
} else { 
contafloorNull = false;
this.contafloor = contafloor;
}
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getDebcre() {
return debcre;
}

public void setDebcre(String debcre) {
this.debcre = debcre;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public FglDate getDtpagto() {
return dtpagto;
}

public void setDtpagto(FglDate dtpagto) {
this.dtpagto = dtpagto;
}

}

