package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxcomiss {
@Coluna(nome="cxcomiss.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxcomiss.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxcomiss.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxcomiss.perdesclim", tipo="double")
private double perdesclim;
private boolean perdesclimNull;
@Coluna(nome="cxcomiss.vlrdesclim", tipo="double")
private double vlrdesclim;
private boolean vlrdesclimNull;
@Coluna(nome="cxcomiss.percomvend", tipo="double")
private double percomvend;
private boolean percomvendNull;
@Coluna(nome="cxcomiss.percomgere", tipo="double")
private double percomgere;
private boolean percomgereNull;
@Coluna(nome="cxcomiss.vlrvendluc", tipo="String")
private String vlrvendluc;
@Coluna(nome="cxcomiss.percretorfin", tipo="double")
private double percretorfin;
private boolean percretorfinNull;
@Coluna(nome="cxcomiss.peratingmeta", tipo="double")
private double peratingmeta;
private boolean peratingmetaNull;
@Coluna(nome="cxcomiss.peratinglucr", tipo="double")
private double peratinglucr;
private boolean peratinglucrNull;
@Coluna(nome="cxcomiss.peratingretf", tipo="double")
private double peratingretf;
private boolean peratingretfNull;
@Coluna(nome="cxcomiss.peratingdesm", tipo="double")
private double peratingdesm;
private boolean peratingdesmNull;
@Coluna(nome="cxcomiss.peratingauto", tipo="double")
private double peratingauto;
private boolean peratingautoNull;

public TabCxcomiss() {
initialize();
}

public void initialize() {
setModelo(null);
setNovousado(null);
setDtinicio(null);
setPerdesclim(null);
setVlrdesclim(null);
setPercomvend(null);
setPercomgere(null);
setVlrvendluc(null);
setPercretorfin(null);
setPeratingmeta(null);
setPeratinglucr(null);
setPeratingretf(null);
setPeratingdesm(null);
setPeratingauto(null);
}

public TabCxcomiss(String modelo, String novousado, FglDate dtinicio, double perdesclim, double vlrdesclim, double percomvend, double percomgere, String vlrvendluc, double percretorfin, double peratingmeta, double peratinglucr, double peratingretf, double peratingdesm, double peratingauto) {
this.modelo = modelo;
this.novousado = novousado;
this.dtinicio = dtinicio;
this.perdesclim = perdesclim;
this.vlrdesclim = vlrdesclim;
this.percomvend = percomvend;
this.percomgere = percomgere;
this.vlrvendluc = vlrvendluc;
this.percretorfin = percretorfin;
this.peratingmeta = peratingmeta;
this.peratinglucr = peratinglucr;
this.peratingretf = peratingretf;
this.peratingdesm = peratingdesm;
this.peratingauto = peratingauto;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public double getPerdesclim() {
return perdesclim;
}

public boolean isPerdesclimNull() {
return perdesclimNull;
}

public void setPerdesclim(int perdesclim) {
setPerdesclim(new Double(perdesclim));
}

public void setPerdesclim(long perdesclim) {
setPerdesclim(new Double(perdesclim));
}

public void setPerdesclim(Double perdesclim) {
if (perdesclim == null) {
perdesclimNull = true;
this.perdesclim = 0.;
} else { 
perdesclimNull = false;
this.perdesclim = FglDouble.round(perdesclim, 2);
}
}

public double getVlrdesclim() {
return vlrdesclim;
}

public boolean isVlrdesclimNull() {
return vlrdesclimNull;
}

public void setVlrdesclim(int vlrdesclim) {
setVlrdesclim(new Double(vlrdesclim));
}

public void setVlrdesclim(long vlrdesclim) {
setVlrdesclim(new Double(vlrdesclim));
}

public void setVlrdesclim(Double vlrdesclim) {
if (vlrdesclim == null) {
vlrdesclimNull = true;
this.vlrdesclim = 0.;
} else { 
vlrdesclimNull = false;
this.vlrdesclim = FglDouble.round(vlrdesclim, 2);
}
}

public double getPercomvend() {
return percomvend;
}

public boolean isPercomvendNull() {
return percomvendNull;
}

public void setPercomvend(int percomvend) {
setPercomvend(new Double(percomvend));
}

public void setPercomvend(long percomvend) {
setPercomvend(new Double(percomvend));
}

public void setPercomvend(Double percomvend) {
if (percomvend == null) {
percomvendNull = true;
this.percomvend = 0.;
} else { 
percomvendNull = false;
this.percomvend = FglDouble.round(percomvend, 2);
}
}

public double getPercomgere() {
return percomgere;
}

public boolean isPercomgereNull() {
return percomgereNull;
}

public void setPercomgere(int percomgere) {
setPercomgere(new Double(percomgere));
}

public void setPercomgere(long percomgere) {
setPercomgere(new Double(percomgere));
}

public void setPercomgere(Double percomgere) {
if (percomgere == null) {
percomgereNull = true;
this.percomgere = 0.;
} else { 
percomgereNull = false;
this.percomgere = FglDouble.round(percomgere, 2);
}
}

public String getVlrvendluc() {
return vlrvendluc;
}

public void setVlrvendluc(String vlrvendluc) {
this.vlrvendluc = vlrvendluc;
}

public double getPercretorfin() {
return percretorfin;
}

public boolean isPercretorfinNull() {
return percretorfinNull;
}

public void setPercretorfin(int percretorfin) {
setPercretorfin(new Double(percretorfin));
}

public void setPercretorfin(long percretorfin) {
setPercretorfin(new Double(percretorfin));
}

public void setPercretorfin(Double percretorfin) {
if (percretorfin == null) {
percretorfinNull = true;
this.percretorfin = 0.;
} else { 
percretorfinNull = false;
this.percretorfin = FglDouble.round(percretorfin, 2);
}
}

public double getPeratingmeta() {
return peratingmeta;
}

public boolean isPeratingmetaNull() {
return peratingmetaNull;
}

public void setPeratingmeta(int peratingmeta) {
setPeratingmeta(new Double(peratingmeta));
}

public void setPeratingmeta(long peratingmeta) {
setPeratingmeta(new Double(peratingmeta));
}

public void setPeratingmeta(Double peratingmeta) {
if (peratingmeta == null) {
peratingmetaNull = true;
this.peratingmeta = 0.;
} else { 
peratingmetaNull = false;
this.peratingmeta = FglDouble.round(peratingmeta, 2);
}
}

public double getPeratinglucr() {
return peratinglucr;
}

public boolean isPeratinglucrNull() {
return peratinglucrNull;
}

public void setPeratinglucr(int peratinglucr) {
setPeratinglucr(new Double(peratinglucr));
}

public void setPeratinglucr(long peratinglucr) {
setPeratinglucr(new Double(peratinglucr));
}

public void setPeratinglucr(Double peratinglucr) {
if (peratinglucr == null) {
peratinglucrNull = true;
this.peratinglucr = 0.;
} else { 
peratinglucrNull = false;
this.peratinglucr = FglDouble.round(peratinglucr, 2);
}
}

public double getPeratingretf() {
return peratingretf;
}

public boolean isPeratingretfNull() {
return peratingretfNull;
}

public void setPeratingretf(int peratingretf) {
setPeratingretf(new Double(peratingretf));
}

public void setPeratingretf(long peratingretf) {
setPeratingretf(new Double(peratingretf));
}

public void setPeratingretf(Double peratingretf) {
if (peratingretf == null) {
peratingretfNull = true;
this.peratingretf = 0.;
} else { 
peratingretfNull = false;
this.peratingretf = FglDouble.round(peratingretf, 2);
}
}

public double getPeratingdesm() {
return peratingdesm;
}

public boolean isPeratingdesmNull() {
return peratingdesmNull;
}

public void setPeratingdesm(int peratingdesm) {
setPeratingdesm(new Double(peratingdesm));
}

public void setPeratingdesm(long peratingdesm) {
setPeratingdesm(new Double(peratingdesm));
}

public void setPeratingdesm(Double peratingdesm) {
if (peratingdesm == null) {
peratingdesmNull = true;
this.peratingdesm = 0.;
} else { 
peratingdesmNull = false;
this.peratingdesm = FglDouble.round(peratingdesm, 2);
}
}

public double getPeratingauto() {
return peratingauto;
}

public boolean isPeratingautoNull() {
return peratingautoNull;
}

public void setPeratingauto(int peratingauto) {
setPeratingauto(new Double(peratingauto));
}

public void setPeratingauto(long peratingauto) {
setPeratingauto(new Double(peratingauto));
}

public void setPeratingauto(Double peratingauto) {
if (peratingauto == null) {
peratingautoNull = true;
this.peratingauto = 0.;
} else { 
peratingautoNull = false;
this.peratingauto = FglDouble.round(peratingauto, 2);
}
}

}

