package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxconmov {
@Coluna(nome="cxconmov.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxconmov.grupo", tipo="int")
private int grupo;
private boolean grupoNull;
@Coluna(nome="cxconmov.cota", tipo="int")
private int cota;
private boolean cotaNull;
@Coluna(nome="cxconmov.dtcontempl", tipo="FglDate")
private FglDate dtcontempl;
@Coluna(nome="cxconmov.dtdesativa", tipo="FglDate")
private FglDate dtdesativa;
@Coluna(nome="cxconmov.vlr_bem", tipo="double")
private double vlrBem;
private boolean vlrBemNull;

public TabCxconmov() {
initialize();
}

public void initialize() {
setFilial(null);
setGrupo(null);
setCota(null);
setDtcontempl(null);
setDtdesativa(null);
setVlrBem(null);
}

public TabCxconmov(int filial, int grupo, int cota, FglDate dtcontempl, FglDate dtdesativa, double vlrBem) {
this.filial = filial;
this.grupo = grupo;
this.cota = cota;
this.dtcontempl = dtcontempl;
this.dtdesativa = dtdesativa;
this.vlrBem = vlrBem;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getGrupo() {
return grupo;
}

public boolean isGrupoNull() {
return grupoNull;
}

public void setGrupo(Integer grupo) {
if (grupo == null) {
grupoNull = true;
this.grupo = 0;
} else { 
grupoNull = false;
this.grupo = grupo;
}
}

public int getCota() {
return cota;
}

public boolean isCotaNull() {
return cotaNull;
}

public void setCota(Integer cota) {
if (cota == null) {
cotaNull = true;
this.cota = 0;
} else { 
cotaNull = false;
this.cota = cota;
}
}

public FglDate getDtcontempl() {
return dtcontempl;
}

public void setDtcontempl(FglDate dtcontempl) {
this.dtcontempl = dtcontempl;
}

public FglDate getDtdesativa() {
return dtdesativa;
}

public void setDtdesativa(FglDate dtdesativa) {
this.dtdesativa = dtdesativa;
}

public double getVlrBem() {
return vlrBem;
}

public boolean isVlrBemNull() {
return vlrBemNull;
}

public void setVlrBem(int vlrBem) {
setVlrBem(new Double(vlrBem));
}

public void setVlrBem(long vlrBem) {
setVlrBem(new Double(vlrBem));
}

public void setVlrBem(Double vlrBem) {
if (vlrBem == null) {
vlrBemNull = true;
this.vlrBem = 0.;
} else { 
vlrBemNull = false;
this.vlrBem = FglDouble.round(vlrBem, 2);
}
}

}

