package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCxconsul {
@Coluna(nome="cxconsul.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxconsul.data_ult", tipo="FglDate")
private FglDate dataUlt;
@Coluna(nome="cxconsul.hora_ult", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaUlt;

public TabCxconsul() {
initialize();
}

public void initialize() {
setIdAgente(null);
setDataUlt(null);
setHoraUlt(null);
}

public TabCxconsul(int idAgente, FglDate dataUlt, FglDateTimeHMin horaUlt) {
this.idAgente = idAgente;
this.dataUlt = dataUlt;
this.horaUlt = horaUlt;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDataUlt() {
return dataUlt;
}

public void setDataUlt(FglDate dataUlt) {
this.dataUlt = dataUlt;
}

public FglDateTimeHMin getHoraUlt() {
return horaUlt;
}

public void setHoraUlt(FglDateTimeHMin horaUlt) {
this.horaUlt = horaUlt;
}

}

