package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCxcontat {
@Coluna(nome="cxcontat.id_contat", tipo="int")
private int idContat;
private boolean idContatNull;
@Coluna(nome="cxcontat.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxcontat.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cxcontat.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="cxcontat.tpcontato", tipo="String")
private String tpcontato;
@Coluna(nome="cxcontat.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxcontat.obsobjetivo", tipo="String")
private String obsobjetivo;
@Coluna(nome="cxcontat.dtefetiva", tipo="FglDate")
private FglDate dtefetiva;
@Coluna(nome="cxcontat.hrefetiva", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrefetiva;
@Coluna(nome="cxcontat.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxcontat.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="cxcontat.dtagendada", tipo="FglDate")
private FglDate dtagendada;
@Coluna(nome="cxcontat.hragendada", tipo="FglDateTimeHMin")
private FglDateTimeHMin hragendada;
@Coluna(nome="cxcontat.servico", tipo="String")
private String servico;
@Coluna(nome="cxcontat.brinde", tipo="String")
private String brinde;
@Coluna(nome="cxcontat.id_consultor", tipo="int")
private int idConsultor;
private boolean idConsultorNull;
@Coluna(nome="cxcontat.resultconta", tipo="String")
private String resultconta;

public TabCxcontat() {
initialize();
}

public void initialize() {
setIdContat(null);
setChassis(null);
setDtprevista(null);
setHrprevista(null);
setTpcontato(null);
setIdAgente(null);
setObsobjetivo(null);
setDtefetiva(null);
setHrefetiva(null);
setFilial(null);
setOrdemserv(null);
setDtagendada(null);
setHragendada(null);
setServico(null);
setBrinde(null);
setIdConsultor(null);
setResultconta(null);
}

public TabCxcontat(int idContat, String chassis, FglDate dtprevista, FglDateTimeHMin hrprevista, String tpcontato, int idAgente, String obsobjetivo, FglDate dtefetiva, FglDateTimeHMin hrefetiva, int filial, int ordemserv, FglDate dtagendada, FglDateTimeHMin hragendada, String servico, String brinde, int idConsultor, String resultconta) {
this.idContat = idContat;
this.chassis = chassis;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.tpcontato = tpcontato;
this.idAgente = idAgente;
this.obsobjetivo = obsobjetivo;
this.dtefetiva = dtefetiva;
this.hrefetiva = hrefetiva;
this.filial = filial;
this.ordemserv = ordemserv;
this.dtagendada = dtagendada;
this.hragendada = hragendada;
this.servico = servico;
this.brinde = brinde;
this.idConsultor = idConsultor;
this.resultconta = resultconta;
}

public int getIdContat() {
return idContat;
}

public boolean isIdContatNull() {
return idContatNull;
}

public void setIdContat(Integer idContat) {
if (idContat == null) {
idContatNull = true;
this.idContat = 0;
} else { 
idContatNull = false;
this.idContat = idContat;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public String getTpcontato() {
return tpcontato;
}

public void setTpcontato(String tpcontato) {
this.tpcontato = tpcontato;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getObsobjetivo() {
return obsobjetivo;
}

public void setObsobjetivo(String obsobjetivo) {
this.obsobjetivo = obsobjetivo;
}

public FglDate getDtefetiva() {
return dtefetiva;
}

public void setDtefetiva(FglDate dtefetiva) {
this.dtefetiva = dtefetiva;
}

public FglDateTimeHMin getHrefetiva() {
return hrefetiva;
}

public void setHrefetiva(FglDateTimeHMin hrefetiva) {
this.hrefetiva = hrefetiva;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public FglDate getDtagendada() {
return dtagendada;
}

public void setDtagendada(FglDate dtagendada) {
this.dtagendada = dtagendada;
}

public FglDateTimeHMin getHragendada() {
return hragendada;
}

public void setHragendada(FglDateTimeHMin hragendada) {
this.hragendada = hragendada;
}

public String getServico() {
return servico;
}

public void setServico(String servico) {
this.servico = servico;
}

public String getBrinde() {
return brinde;
}

public void setBrinde(String brinde) {
this.brinde = brinde;
}

public int getIdConsultor() {
return idConsultor;
}

public boolean isIdConsultorNull() {
return idConsultorNull;
}

public void setIdConsultor(Integer idConsultor) {
if (idConsultor == null) {
idConsultorNull = true;
this.idConsultor = 0;
} else { 
idConsultorNull = false;
this.idConsultor = idConsultor;
}
}

public String getResultconta() {
return resultconta;
}

public void setResultconta(String resultconta) {
this.resultconta = resultconta;
}

}

