package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxctflof {
@Coluna(nome="cxctflof.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxctflof.banco", tipo="int")
private int banco;
private boolean bancoNull;
@Coluna(nome="cxctflof.conta", tipo="int")
private int conta;
private boolean contaNull;
@Coluna(nome="cxctflof.limite", tipo="double")
private double limite;
private boolean limiteNull;

public TabCxctflof() {
initialize();
}

public void initialize() {
setFilial(null);
setBanco(null);
setConta(null);
setLimite(null);
}

public TabCxctflof(int filial, int banco, int conta, double limite) {
this.filial = filial;
this.banco = banco;
this.conta = conta;
this.limite = limite;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getBanco() {
return banco;
}

public boolean isBancoNull() {
return bancoNull;
}

public void setBanco(Integer banco) {
if (banco == null) {
bancoNull = true;
this.banco = 0;
} else { 
bancoNull = false;
this.banco = banco;
}
}

public int getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(Integer conta) {
if (conta == null) {
contaNull = true;
this.conta = 0;
} else { 
contaNull = false;
this.conta = conta;
}
}

public double getLimite() {
return limite;
}

public boolean isLimiteNull() {
return limiteNull;
}

public void setLimite(int limite) {
setLimite(new Double(limite));
}

public void setLimite(long limite) {
setLimite(new Double(limite));
}

public void setLimite(Double limite) {
if (limite == null) {
limiteNull = true;
this.limite = 0.;
} else { 
limiteNull = false;
this.limite = FglDouble.round(limite, 2);
}
}

}

