package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxcusper {
@Coluna(nome="cxcusper.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxcusper.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxcusper.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cxcusper.diasuteis", tipo="String")
private String diasuteis;
@Coluna(nome="cxcusper.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cxcusper.limite", tipo="int")
private int limite;
private boolean limiteNull;
@Coluna(nome="cxcusper.formacalc", tipo="String")
private String formacalc;
@Coluna(nome="cxcusper.taxames", tipo="double")
private double taxames;
private boolean taxamesNull;
@Coluna(nome="cxcusper.taxadia", tipo="double")
private double taxadia;
private boolean taxadiaNull;

public TabCxcusper() {
initialize();
}

public void initialize() {
setFilial(null);
setNovousado(null);
setFamilia(null);
setDiasuteis(null);
setAnomes(null);
setLimite(null);
setFormacalc(null);
setTaxames(null);
setTaxadia(null);
}

public TabCxcusper(int filial, String novousado, int familia, String diasuteis, FglDateTimeYM anomes, int limite, String formacalc, double taxames, double taxadia) {
this.filial = filial;
this.novousado = novousado;
this.familia = familia;
this.diasuteis = diasuteis;
this.anomes = anomes;
this.limite = limite;
this.formacalc = formacalc;
this.taxames = taxames;
this.taxadia = taxadia;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getDiasuteis() {
return diasuteis;
}

public void setDiasuteis(String diasuteis) {
this.diasuteis = diasuteis;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getLimite() {
return limite;
}

public boolean isLimiteNull() {
return limiteNull;
}

public void setLimite(Integer limite) {
if (limite == null) {
limiteNull = true;
this.limite = 0;
} else { 
limiteNull = false;
this.limite = limite;
}
}

public String getFormacalc() {
return formacalc;
}

public void setFormacalc(String formacalc) {
this.formacalc = formacalc;
}

public double getTaxames() {
return taxames;
}

public boolean isTaxamesNull() {
return taxamesNull;
}

public void setTaxames(int taxames) {
setTaxames(new Double(taxames));
}

public void setTaxames(long taxames) {
setTaxames(new Double(taxames));
}

public void setTaxames(Double taxames) {
if (taxames == null) {
taxamesNull = true;
this.taxames = 0.;
} else { 
taxamesNull = false;
this.taxames = FglDouble.round(taxames, 2);
}
}

public double getTaxadia() {
return taxadia;
}

public boolean isTaxadiaNull() {
return taxadiaNull;
}

public void setTaxadia(int taxadia) {
setTaxadia(new Double(taxadia));
}

public void setTaxadia(long taxadia) {
setTaxadia(new Double(taxadia));
}

public void setTaxadia(Double taxadia) {
if (taxadia == null) {
taxadiaNull = true;
this.taxadia = 0.;
} else { 
taxadiaNull = false;
this.taxadia = FglDouble.round(taxadia, 6);
}
}

}

