package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxdecimp {
@Coluna(nome="cxdecimp.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxdecimp.numerodi", tipo="String")
private String numerodi;
@Coluna(nome="cxdecimp.datadi", tipo="FglDate")
private FglDate datadi;
@Coluna(nome="cxdecimp.desembaraco", tipo="String")
private String desembaraco;
@Coluna(nome="cxdecimp.viatransp", tipo="int")
private int viatransp;
private boolean viatranspNull;
@Coluna(nome="cxdecimp.intermedio", tipo="int")
private int intermedio;
private boolean intermedioNull;
@Coluna(nome="cxdecimp.cnpj", tipo="long")
private long cnpj;
private boolean cnpjNull;
@Coluna(nome="cxdecimp.ufterceiro", tipo="String")
private String ufterceiro;

public TabCxdecimp() {
initialize();
}

public void initialize() {
setChassis(null);
setNumerodi(null);
setDatadi(null);
setDesembaraco(null);
setViatransp(null);
setIntermedio(null);
setCnpj(null);
setUfterceiro(null);
}

public TabCxdecimp(String chassis, String numerodi, FglDate datadi, String desembaraco, int viatransp, int intermedio, long cnpj, String ufterceiro) {
this.chassis = chassis;
this.numerodi = numerodi;
this.datadi = datadi;
this.desembaraco = desembaraco;
this.viatransp = viatransp;
this.intermedio = intermedio;
this.cnpj = cnpj;
this.ufterceiro = ufterceiro;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getNumerodi() {
return numerodi;
}

public void setNumerodi(String numerodi) {
this.numerodi = numerodi;
}

public FglDate getDatadi() {
return datadi;
}

public void setDatadi(FglDate datadi) {
this.datadi = datadi;
}

public String getDesembaraco() {
return desembaraco;
}

public void setDesembaraco(String desembaraco) {
this.desembaraco = desembaraco;
}

public int getViatransp() {
return viatransp;
}

public boolean isViatranspNull() {
return viatranspNull;
}

public void setViatransp(Integer viatransp) {
if (viatransp == null) {
viatranspNull = true;
this.viatransp = 0;
} else { 
viatranspNull = false;
this.viatransp = viatransp;
}
}

public int getIntermedio() {
return intermedio;
}

public boolean isIntermedioNull() {
return intermedioNull;
}

public void setIntermedio(Integer intermedio) {
if (intermedio == null) {
intermedioNull = true;
this.intermedio = 0;
} else { 
intermedioNull = false;
this.intermedio = intermedio;
}
}

public long getCnpj() {
return cnpj;
}

public boolean isCnpjNull() {
return cnpjNull;
}

public void setCnpj(int cnpj) {
setCnpj(new Long(cnpj));
}

public void setCnpj(Long cnpj) {
if (cnpj == null) {
cnpjNull = true;
this.cnpj = 0l;
} else { 
cnpjNull = false;
this.cnpj = cnpj;
}
}

public String getUfterceiro() {
return ufterceiro;
}

public void setUfterceiro(String ufterceiro) {
this.ufterceiro = ufterceiro;
}

}

