package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxestusa {
@Coluna(nome="cxestusa.faixa_ini", tipo="double")
private double faixaIni;
private boolean faixaIniNull;
@Coluna(nome="cxestusa.faixa_fim", tipo="double")
private double faixaFim;
private boolean faixaFimNull;

public TabCxestusa() {
initialize();
}

public void initialize() {
setFaixaIni(null);
setFaixaFim(null);
}

public TabCxestusa(double faixaIni, double faixaFim) {
this.faixaIni = faixaIni;
this.faixaFim = faixaFim;
}

public double getFaixaIni() {
return faixaIni;
}

public boolean isFaixaIniNull() {
return faixaIniNull;
}

public void setFaixaIni(int faixaIni) {
setFaixaIni(new Double(faixaIni));
}

public void setFaixaIni(long faixaIni) {
setFaixaIni(new Double(faixaIni));
}

public void setFaixaIni(Double faixaIni) {
if (faixaIni == null) {
faixaIniNull = true;
this.faixaIni = 0.;
} else { 
faixaIniNull = false;
this.faixaIni = FglDouble.round(faixaIni, 2);
}
}

public double getFaixaFim() {
return faixaFim;
}

public boolean isFaixaFimNull() {
return faixaFimNull;
}

public void setFaixaFim(int faixaFim) {
setFaixaFim(new Double(faixaFim));
}

public void setFaixaFim(long faixaFim) {
setFaixaFim(new Double(faixaFim));
}

public void setFaixaFim(Double faixaFim) {
if (faixaFim == null) {
faixaFimNull = true;
this.faixaFim = 0.;
} else { 
faixaFimNull = false;
this.faixaFim = FglDouble.round(faixaFim, 2);
}
}

}

