package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxeveweb {
@Coluna(nome="cxeveweb.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="cxeveweb.tipoevento", tipo="String")
private String tipoevento;
@Coluna(nome="cxeveweb.dt_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtGeracao;
@Coluna(nome="cxeveweb.dt_transmissao", tipo="FglDateTimeYS")
private FglDateTimeYS dtTransmissao;
@Coluna(nome="cxeveweb.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="cxeveweb.codigoerro", tipo="String")
private String codigoerro;
@Coluna(nome="cxeveweb.descricaoerro", tipo="String")
private String descricaoerro;
@Coluna(nome="cxeveweb.xml_enviado", tipo="String")
private String xmlEnviado;
@Coluna(nome="cxeveweb.xml_recebido", tipo="String")
private String xmlRecebido;

public TabCxeveweb() {
initialize();
}

public void initialize() {
setIdEvento(null);
setTipoevento(null);
setDtGeracao(null);
setDtTransmissao(null);
setStatus(null);
setCodigoerro(null);
setDescricaoerro(null);
setXmlEnviado(null);
setXmlRecebido(null);
}

public TabCxeveweb(int idEvento, String tipoevento, FglDateTimeYS dtGeracao, FglDateTimeYS dtTransmissao, int status, String codigoerro, String descricaoerro, String xmlEnviado, String xmlRecebido) {
this.idEvento = idEvento;
this.tipoevento = tipoevento;
this.dtGeracao = dtGeracao;
this.dtTransmissao = dtTransmissao;
this.status = status;
this.codigoerro = codigoerro;
this.descricaoerro = descricaoerro;
this.xmlEnviado = xmlEnviado;
this.xmlRecebido = xmlRecebido;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public String getTipoevento() {
return tipoevento;
}

public void setTipoevento(String tipoevento) {
this.tipoevento = tipoevento;
}

public FglDateTimeYS getDtGeracao() {
return dtGeracao;
}

public void setDtGeracao(FglDateTimeYS dtGeracao) {
this.dtGeracao = dtGeracao;
}

public FglDateTimeYS getDtTransmissao() {
return dtTransmissao;
}

public void setDtTransmissao(FglDateTimeYS dtTransmissao) {
this.dtTransmissao = dtTransmissao;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getCodigoerro() {
return codigoerro;
}

public void setCodigoerro(String codigoerro) {
this.codigoerro = codigoerro;
}

public String getDescricaoerro() {
return descricaoerro;
}

public void setDescricaoerro(String descricaoerro) {
this.descricaoerro = descricaoerro;
}

public String getXmlEnviado() {
return xmlEnviado;
}

public void setXmlEnviado(String xmlEnviado) {
this.xmlEnviado = xmlEnviado;
}

public String getXmlRecebido() {
return xmlRecebido;
}

public void setXmlRecebido(String xmlRecebido) {
this.xmlRecebido = xmlRecebido;
}

}

