package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxfichtd {
@Coluna(nome="cxfichtd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxfichtd.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cxfichtd.datateste", tipo="FglDate")
private FglDate datateste;
@Coluna(nome="cxfichtd.design_externo", tipo="String")
private String designExterno;
@Coluna(nome="cxfichtd.design_interno", tipo="String")
private String designInterno;
@Coluna(nome="cxfichtd.conforto", tipo="String")
private String conforto;
@Coluna(nome="cxfichtd.dirigibilidade", tipo="String")
private String dirigibilidade;
@Coluna(nome="cxfichtd.desempenho", tipo="String")
private String desempenho;
@Coluna(nome="cxfichtd.qualidade", tipo="String")
private String qualidade;

public TabCxfichtd() {
initialize();
}

public void initialize() {
setFilial(null);
setNronegocio(null);
setDatateste(null);
setDesignExterno(null);
setDesignInterno(null);
setConforto(null);
setDirigibilidade(null);
setDesempenho(null);
setQualidade(null);
}

public TabCxfichtd(int filial, int nronegocio, FglDate datateste, String designExterno, String designInterno, String conforto, String dirigibilidade, String desempenho, String qualidade) {
this.filial = filial;
this.nronegocio = nronegocio;
this.datateste = datateste;
this.designExterno = designExterno;
this.designInterno = designInterno;
this.conforto = conforto;
this.dirigibilidade = dirigibilidade;
this.desempenho = desempenho;
this.qualidade = qualidade;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public FglDate getDatateste() {
return datateste;
}

public void setDatateste(FglDate datateste) {
this.datateste = datateste;
}

public String getDesignExterno() {
return designExterno;
}

public void setDesignExterno(String designExterno) {
this.designExterno = designExterno;
}

public String getDesignInterno() {
return designInterno;
}

public void setDesignInterno(String designInterno) {
this.designInterno = designInterno;
}

public String getConforto() {
return conforto;
}

public void setConforto(String conforto) {
this.conforto = conforto;
}

public String getDirigibilidade() {
return dirigibilidade;
}

public void setDirigibilidade(String dirigibilidade) {
this.dirigibilidade = dirigibilidade;
}

public String getDesempenho() {
return desempenho;
}

public void setDesempenho(String desempenho) {
this.desempenho = desempenho;
}

public String getQualidade() {
return qualidade;
}

public void setQualidade(String qualidade) {
this.qualidade = qualidade;
}

}

