package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxfinanc {
@Coluna(nome="cxfinanc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxfinanc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxfinanc.taxcadast", tipo="double")
private double taxcadast;
private boolean taxcadastNull;
@Coluna(nome="cxfinanc.taccusto", tipo="double")
private double taccusto;
private boolean taccustoNull;
@Coluna(nome="cxfinanc.tacretorno", tipo="String")
private String tacretorno;
@Coluna(nome="cxfinanc.percretplus", tipo="double")
private double percretplus;
private boolean percretplusNull;
@Coluna(nome="cxfinanc.encargos", tipo="double")
private double encargos;
private boolean encargosNull;
@Coluna(nome="cxfinanc.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="cxfinanc.spread", tipo="String")
private String spread;
@Coluna(nome="cxfinanc.ativo", tipo="String")
private String ativo;
@Coluna(nome="cxfinanc.propria", tipo="String")
private String propria;
@Coluna(nome="cxfinanc.vlrtec", tipo="double")
private double vlrtec;
private boolean vlrtecNull;
@Coluna(nome="cxfinanc.bonus", tipo="double")
private double bonus;
private boolean bonusNull;
@Coluna(nome="cxfinanc.percbonus", tipo="double")
private double percbonus;
private boolean percbonusNull;
@Coluna(nome="cxfinanc.vlroutros", tipo="double")
private double vlroutros;
private boolean vlroutrosNull;

public TabCxfinanc() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setTaxcadast(null);
setTaccusto(null);
setTacretorno(null);
setPercretplus(null);
setEncargos(null);
setIncidencia(null);
setSpread(null);
setAtivo(null);
setPropria(null);
setVlrtec(null);
setBonus(null);
setPercbonus(null);
setVlroutros(null);
}

public TabCxfinanc(long cgccpf, int tppessoa, double taxcadast, double taccusto, String tacretorno, double percretplus, double encargos, int incidencia, String spread, String ativo, String propria, double vlrtec, double bonus, double percbonus, double vlroutros) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.taxcadast = taxcadast;
this.taccusto = taccusto;
this.tacretorno = tacretorno;
this.percretplus = percretplus;
this.encargos = encargos;
this.incidencia = incidencia;
this.spread = spread;
this.ativo = ativo;
this.propria = propria;
this.vlrtec = vlrtec;
this.bonus = bonus;
this.percbonus = percbonus;
this.vlroutros = vlroutros;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getTaxcadast() {
return taxcadast;
}

public boolean isTaxcadastNull() {
return taxcadastNull;
}

public void setTaxcadast(int taxcadast) {
setTaxcadast(new Double(taxcadast));
}

public void setTaxcadast(long taxcadast) {
setTaxcadast(new Double(taxcadast));
}

public void setTaxcadast(Double taxcadast) {
if (taxcadast == null) {
taxcadastNull = true;
this.taxcadast = 0.;
} else { 
taxcadastNull = false;
this.taxcadast = FglDouble.round(taxcadast, 2);
}
}

public double getTaccusto() {
return taccusto;
}

public boolean isTaccustoNull() {
return taccustoNull;
}

public void setTaccusto(int taccusto) {
setTaccusto(new Double(taccusto));
}

public void setTaccusto(long taccusto) {
setTaccusto(new Double(taccusto));
}

public void setTaccusto(Double taccusto) {
if (taccusto == null) {
taccustoNull = true;
this.taccusto = 0.;
} else { 
taccustoNull = false;
this.taccusto = FglDouble.round(taccusto, 2);
}
}

public String getTacretorno() {
return tacretorno;
}

public void setTacretorno(String tacretorno) {
this.tacretorno = tacretorno;
}

public double getPercretplus() {
return percretplus;
}

public boolean isPercretplusNull() {
return percretplusNull;
}

public void setPercretplus(int percretplus) {
setPercretplus(new Double(percretplus));
}

public void setPercretplus(long percretplus) {
setPercretplus(new Double(percretplus));
}

public void setPercretplus(Double percretplus) {
if (percretplus == null) {
percretplusNull = true;
this.percretplus = 0.;
} else { 
percretplusNull = false;
this.percretplus = FglDouble.round(percretplus, 2);
}
}

public double getEncargos() {
return encargos;
}

public boolean isEncargosNull() {
return encargosNull;
}

public void setEncargos(int encargos) {
setEncargos(new Double(encargos));
}

public void setEncargos(long encargos) {
setEncargos(new Double(encargos));
}

public void setEncargos(Double encargos) {
if (encargos == null) {
encargosNull = true;
this.encargos = 0.;
} else { 
encargosNull = false;
this.encargos = FglDouble.round(encargos, 2);
}
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public String getSpread() {
return spread;
}

public void setSpread(String spread) {
this.spread = spread;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getPropria() {
return propria;
}

public void setPropria(String propria) {
this.propria = propria;
}

public double getVlrtec() {
return vlrtec;
}

public boolean isVlrtecNull() {
return vlrtecNull;
}

public void setVlrtec(int vlrtec) {
setVlrtec(new Double(vlrtec));
}

public void setVlrtec(long vlrtec) {
setVlrtec(new Double(vlrtec));
}

public void setVlrtec(Double vlrtec) {
if (vlrtec == null) {
vlrtecNull = true;
this.vlrtec = 0.;
} else { 
vlrtecNull = false;
this.vlrtec = FglDouble.round(vlrtec, 2);
}
}

public double getBonus() {
return bonus;
}

public boolean isBonusNull() {
return bonusNull;
}

public void setBonus(int bonus) {
setBonus(new Double(bonus));
}

public void setBonus(long bonus) {
setBonus(new Double(bonus));
}

public void setBonus(Double bonus) {
if (bonus == null) {
bonusNull = true;
this.bonus = 0.;
} else { 
bonusNull = false;
this.bonus = FglDouble.round(bonus, 2);
}
}

public double getPercbonus() {
return percbonus;
}

public boolean isPercbonusNull() {
return percbonusNull;
}

public void setPercbonus(int percbonus) {
setPercbonus(new Double(percbonus));
}

public void setPercbonus(long percbonus) {
setPercbonus(new Double(percbonus));
}

public void setPercbonus(Double percbonus) {
if (percbonus == null) {
percbonusNull = true;
this.percbonus = 0.;
} else { 
percbonusNull = false;
this.percbonus = FglDouble.round(percbonus, 2);
}
}

public double getVlroutros() {
return vlroutros;
}

public boolean isVlroutrosNull() {
return vlroutrosNull;
}

public void setVlroutros(int vlroutros) {
setVlroutros(new Double(vlroutros));
}

public void setVlroutros(long vlroutros) {
setVlroutros(new Double(vlroutros));
}

public void setVlroutros(Double vlroutros) {
if (vlroutros == null) {
vlroutrosNull = true;
this.vlroutros = 0.;
} else { 
vlroutrosNull = false;
this.vlroutros = FglDouble.round(vlroutros, 2);
}
}

}

