package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxflodet {
@Coluna(nome="cxflodet.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxflodet.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxflodet.id_floren", tipo="int")
private int idFloren;
private boolean idFlorenNull;
@Coluna(nome="cxflodet.vlrcarencia", tipo="double")
private double vlrcarencia;
private boolean vlrcarenciaNull;
@Coluna(nome="cxflodet.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="cxflodet.vlrjurosprorrog", tipo="double")
private double vlrjurosprorrog;
private boolean vlrjurosprorrogNull;
@Coluna(nome="cxflodet.vlrcustofin", tipo="double")
private double vlrcustofin;
private boolean vlrcustofinNull;

public TabCxflodet() {
initialize();
}

public void initialize() {
setChassis(null);
setIdNfcapa(null);
setIdFloren(null);
setVlrcarencia(null);
setVlrjuros(null);
setVlrjurosprorrog(null);
setVlrcustofin(null);
}

public TabCxflodet(String chassis, int idNfcapa, int idFloren, double vlrcarencia, double vlrjuros, double vlrjurosprorrog, double vlrcustofin) {
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.idFloren = idFloren;
this.vlrcarencia = vlrcarencia;
this.vlrjuros = vlrjuros;
this.vlrjurosprorrog = vlrjurosprorrog;
this.vlrcustofin = vlrcustofin;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdFloren() {
return idFloren;
}

public boolean isIdFlorenNull() {
return idFlorenNull;
}

public void setIdFloren(Integer idFloren) {
if (idFloren == null) {
idFlorenNull = true;
this.idFloren = 0;
} else { 
idFlorenNull = false;
this.idFloren = idFloren;
}
}

public double getVlrcarencia() {
return vlrcarencia;
}

public boolean isVlrcarenciaNull() {
return vlrcarenciaNull;
}

public void setVlrcarencia(int vlrcarencia) {
setVlrcarencia(new Double(vlrcarencia));
}

public void setVlrcarencia(long vlrcarencia) {
setVlrcarencia(new Double(vlrcarencia));
}

public void setVlrcarencia(Double vlrcarencia) {
if (vlrcarencia == null) {
vlrcarenciaNull = true;
this.vlrcarencia = 0.;
} else { 
vlrcarenciaNull = false;
this.vlrcarencia = FglDouble.round(vlrcarencia, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public double getVlrjurosprorrog() {
return vlrjurosprorrog;
}

public boolean isVlrjurosprorrogNull() {
return vlrjurosprorrogNull;
}

public void setVlrjurosprorrog(int vlrjurosprorrog) {
setVlrjurosprorrog(new Double(vlrjurosprorrog));
}

public void setVlrjurosprorrog(long vlrjurosprorrog) {
setVlrjurosprorrog(new Double(vlrjurosprorrog));
}

public void setVlrjurosprorrog(Double vlrjurosprorrog) {
if (vlrjurosprorrog == null) {
vlrjurosprorrogNull = true;
this.vlrjurosprorrog = 0.;
} else { 
vlrjurosprorrogNull = false;
this.vlrjurosprorrog = FglDouble.round(vlrjurosprorrog, 2);
}
}

public double getVlrcustofin() {
return vlrcustofin;
}

public boolean isVlrcustofinNull() {
return vlrcustofinNull;
}

public void setVlrcustofin(int vlrcustofin) {
setVlrcustofin(new Double(vlrcustofin));
}

public void setVlrcustofin(long vlrcustofin) {
setVlrcustofin(new Double(vlrcustofin));
}

public void setVlrcustofin(Double vlrcustofin) {
if (vlrcustofin == null) {
vlrcustofinNull = true;
this.vlrcustofin = 0.;
} else { 
vlrcustofinNull = false;
this.vlrcustofin = FglDouble.round(vlrcustofin, 2);
}
}

}

