package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxgarext {
@Coluna(nome="cxgarext.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxgarext.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxgarext.nrocontrato", tipo="String")
private String nrocontrato;
@Coluna(nome="cxgarext.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="cxgarext.vlrvenda", tipo="double")
private double vlrvenda;
private boolean vlrvendaNull;
@Coluna(nome="cxgarext.id_lanctoven", tipo="int")
private int idLanctoven;
private boolean idLanctovenNull;
@Coluna(nome="cxgarext.dtcredito", tipo="FglDate")
private FglDate dtcredito;
@Coluna(nome="cxgarext.vlrcredito", tipo="double")
private double vlrcredito;
private boolean vlrcreditoNull;
@Coluna(nome="cxgarext.id_lanctocre", tipo="int")
private int idLanctocre;
private boolean idLanctocreNull;
@Coluna(nome="cxgarext.dtdebito", tipo="FglDate")
private FglDate dtdebito;
@Coluna(nome="cxgarext.vlrdebito", tipo="double")
private double vlrdebito;
private boolean vlrdebitoNull;
@Coluna(nome="cxgarext.id_lanctodeb", tipo="int")
private int idLanctodeb;
private boolean idLanctodebNull;

public TabCxgarext() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrocontrato(null);
setDtvenda(null);
setVlrvenda(null);
setIdLanctoven(null);
setDtcredito(null);
setVlrcredito(null);
setIdLanctocre(null);
setDtdebito(null);
setVlrdebito(null);
setIdLanctodeb(null);
}

public TabCxgarext(int filial, int pedvenda, String nrocontrato, FglDate dtvenda, double vlrvenda, int idLanctoven, FglDate dtcredito, double vlrcredito, int idLanctocre, FglDate dtdebito, double vlrdebito, int idLanctodeb) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrocontrato = nrocontrato;
this.dtvenda = dtvenda;
this.vlrvenda = vlrvenda;
this.idLanctoven = idLanctoven;
this.dtcredito = dtcredito;
this.vlrcredito = vlrcredito;
this.idLanctocre = idLanctocre;
this.dtdebito = dtdebito;
this.vlrdebito = vlrdebito;
this.idLanctodeb = idLanctodeb;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public String getNrocontrato() {
return nrocontrato;
}

public void setNrocontrato(String nrocontrato) {
this.nrocontrato = nrocontrato;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public double getVlrvenda() {
return vlrvenda;
}

public boolean isVlrvendaNull() {
return vlrvendaNull;
}

public void setVlrvenda(int vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(long vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(Double vlrvenda) {
if (vlrvenda == null) {
vlrvendaNull = true;
this.vlrvenda = 0.;
} else { 
vlrvendaNull = false;
this.vlrvenda = FglDouble.round(vlrvenda, 2);
}
}

public int getIdLanctoven() {
return idLanctoven;
}

public boolean isIdLanctovenNull() {
return idLanctovenNull;
}

public void setIdLanctoven(Integer idLanctoven) {
if (idLanctoven == null) {
idLanctovenNull = true;
this.idLanctoven = 0;
} else { 
idLanctovenNull = false;
this.idLanctoven = idLanctoven;
}
}

public FglDate getDtcredito() {
return dtcredito;
}

public void setDtcredito(FglDate dtcredito) {
this.dtcredito = dtcredito;
}

public double getVlrcredito() {
return vlrcredito;
}

public boolean isVlrcreditoNull() {
return vlrcreditoNull;
}

public void setVlrcredito(int vlrcredito) {
setVlrcredito(new Double(vlrcredito));
}

public void setVlrcredito(long vlrcredito) {
setVlrcredito(new Double(vlrcredito));
}

public void setVlrcredito(Double vlrcredito) {
if (vlrcredito == null) {
vlrcreditoNull = true;
this.vlrcredito = 0.;
} else { 
vlrcreditoNull = false;
this.vlrcredito = FglDouble.round(vlrcredito, 2);
}
}

public int getIdLanctocre() {
return idLanctocre;
}

public boolean isIdLanctocreNull() {
return idLanctocreNull;
}

public void setIdLanctocre(Integer idLanctocre) {
if (idLanctocre == null) {
idLanctocreNull = true;
this.idLanctocre = 0;
} else { 
idLanctocreNull = false;
this.idLanctocre = idLanctocre;
}
}

public FglDate getDtdebito() {
return dtdebito;
}

public void setDtdebito(FglDate dtdebito) {
this.dtdebito = dtdebito;
}

public double getVlrdebito() {
return vlrdebito;
}

public boolean isVlrdebitoNull() {
return vlrdebitoNull;
}

public void setVlrdebito(int vlrdebito) {
setVlrdebito(new Double(vlrdebito));
}

public void setVlrdebito(long vlrdebito) {
setVlrdebito(new Double(vlrdebito));
}

public void setVlrdebito(Double vlrdebito) {
if (vlrdebito == null) {
vlrdebitoNull = true;
this.vlrdebito = 0.;
} else { 
vlrdebitoNull = false;
this.vlrdebito = FglDouble.round(vlrdebito, 2);
}
}

public int getIdLanctodeb() {
return idLanctodeb;
}

public boolean isIdLanctodebNull() {
return idLanctodebNull;
}

public void setIdLanctodeb(Integer idLanctodeb) {
if (idLanctodeb == null) {
idLanctodebNull = true;
this.idLanctodeb = 0;
} else { 
idLanctodebNull = false;
this.idLanctodeb = idLanctodeb;
}
}

}

