package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxinccom {
@Coluna(nome="cxinccom.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxinccom.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxinccom.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cxinccom.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxinccom.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="cxinccom.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxinccom.percentual", tipo="double")
private double percentual;
private boolean percentualNull;
@Coluna(nome="cxinccom.custovenda", tipo="String")
private String custovenda;

public TabCxinccom() {
initialize();
}

public void initialize() {
setFilial(null);
setNovousado(null);
setFamilia(null);
setModelo(null);
setIncidencia(null);
setValor(null);
setPercentual(null);
setCustovenda(null);
}

public TabCxinccom(int filial, String novousado, int familia, String modelo, int incidencia, double valor, double percentual, String custovenda) {
this.filial = filial;
this.novousado = novousado;
this.familia = familia;
this.modelo = modelo;
this.incidencia = incidencia;
this.valor = valor;
this.percentual = percentual;
this.custovenda = custovenda;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

public String getCustovenda() {
return custovenda;
}

public void setCustovenda(String custovenda) {
this.custovenda = custovenda;
}

}

