package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxincidc {
@Coluna(nome="cxincidc.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxincidc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxincidc.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="cxincidc.indexador", tipo="String")
private String indexador;
@Coluna(nome="cxincidc.quantindice", tipo="double")
private double quantindice;
private boolean quantindiceNull;
@Coluna(nome="cxincidc.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxincidc.observacao", tipo="String")
private String observacao;
@Coluna(nome="cxincidc.datainc", tipo="FglDate")
private FglDate datainc;
@Coluna(nome="cxincidc.login", tipo="String")
private String login;

public TabCxincidc() {
initialize();
}

public void initialize() {
setChassis(null);
setIdNfcapa(null);
setIncidencia(null);
setIndexador(null);
setQuantindice(null);
setValor(null);
setObservacao(null);
setDatainc(null);
setLogin(null);
}

public TabCxincidc(String chassis, int idNfcapa, int incidencia, String indexador, double quantindice, double valor, String observacao, FglDate datainc, String login) {
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.incidencia = incidencia;
this.indexador = indexador;
this.quantindice = quantindice;
this.valor = valor;
this.observacao = observacao;
this.datainc = datainc;
this.login = login;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

public double getQuantindice() {
return quantindice;
}

public boolean isQuantindiceNull() {
return quantindiceNull;
}

public void setQuantindice(int quantindice) {
setQuantindice(new Double(quantindice));
}

public void setQuantindice(long quantindice) {
setQuantindice(new Double(quantindice));
}

public void setQuantindice(Double quantindice) {
if (quantindice == null) {
quantindiceNull = true;
this.quantindice = 0.;
} else { 
quantindiceNull = false;
this.quantindice = FglDouble.round(quantindice, 6);
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public FglDate getDatainc() {
return datainc;
}

public void setDatainc(FglDate datainc) {
this.datainc = datainc;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

}

