package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCxinfvei {
@Coluna(nome="cxinfvei.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxinfvei.pedfabric", tipo="String")
private String pedfabric;
@Coluna(nome="cxinfvei.evento", tipo="String")
private String evento;
@Coluna(nome="cxinfvei.pedido_anterior", tipo="int")
private int pedidoAnterior;
private boolean pedidoAnteriorNull;
@Coluna(nome="cxinfvei.modo_financ_ped", tipo="String")
private String modoFinancPed;
@Coluna(nome="cxinfvei.modo_financ_fat", tipo="String")
private String modoFinancFat;
@Coluna(nome="cxinfvei.institucoes", tipo="String")
private String institucoes;
@Coluna(nome="cxinfvei.projetado_mes", tipo="String")
private String projetadoMes;
@Coluna(nome="cxinfvei.status", tipo="String")
private String status;
@Coluna(nome="cxinfvei.situacao", tipo="String")
private String situacao;
@Coluna(nome="cxinfvei.observacoes", tipo="String")
private String observacoes;

public TabCxinfvei() {
initialize();
}

public void initialize() {
setChassis(null);
setPedfabric(null);
setEvento(null);
setPedidoAnterior(null);
setModoFinancPed(null);
setModoFinancFat(null);
setInstitucoes(null);
setProjetadoMes(null);
setStatus(null);
setSituacao(null);
setObservacoes(null);
}

public TabCxinfvei(String chassis, String pedfabric, String evento, int pedidoAnterior, String modoFinancPed, String modoFinancFat, String institucoes, String projetadoMes, String status, String situacao, String observacoes) {
this.chassis = chassis;
this.pedfabric = pedfabric;
this.evento = evento;
this.pedidoAnterior = pedidoAnterior;
this.modoFinancPed = modoFinancPed;
this.modoFinancFat = modoFinancFat;
this.institucoes = institucoes;
this.projetadoMes = projetadoMes;
this.status = status;
this.situacao = situacao;
this.observacoes = observacoes;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getPedfabric() {
return pedfabric;
}

public void setPedfabric(String pedfabric) {
this.pedfabric = pedfabric;
}

public String getEvento() {
return evento;
}

public void setEvento(String evento) {
this.evento = evento;
}

public int getPedidoAnterior() {
return pedidoAnterior;
}

public boolean isPedidoAnteriorNull() {
return pedidoAnteriorNull;
}

public void setPedidoAnterior(Integer pedidoAnterior) {
if (pedidoAnterior == null) {
pedidoAnteriorNull = true;
this.pedidoAnterior = 0;
} else { 
pedidoAnteriorNull = false;
this.pedidoAnterior = pedidoAnterior;
}
}

public String getModoFinancPed() {
return modoFinancPed;
}

public void setModoFinancPed(String modoFinancPed) {
this.modoFinancPed = modoFinancPed;
}

public String getModoFinancFat() {
return modoFinancFat;
}

public void setModoFinancFat(String modoFinancFat) {
this.modoFinancFat = modoFinancFat;
}

public String getInstitucoes() {
return institucoes;
}

public void setInstitucoes(String institucoes) {
this.institucoes = institucoes;
}

public String getProjetadoMes() {
return projetadoMes;
}

public void setProjetadoMes(String projetadoMes) {
this.projetadoMes = projetadoMes;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

}

