package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxleaddt {
@Coluna(nome="cxleaddt.id_leaddt", tipo="int")
private int idLeaddt;
private boolean idLeaddtNull;
@Coluna(nome="cxleaddt.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxleaddt.dtinicio", tipo="FglDateTimeYS")
private FglDateTimeYS dtinicio;
@Coluna(nome="cxleaddt.dtfim", tipo="FglDateTimeYS")
private FglDateTimeYS dtfim;
@Coluna(nome="cxleaddt.progr_exec", tipo="String")
private String progrExec;
@Coluna(nome="cxleaddt.dtgeracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtgeracao;
@Coluna(nome="cxleaddt.login", tipo="String")
private String login;
@Coluna(nome="cxleaddt.qtleadcp", tipo="int")
private int qtleadcp;
private boolean qtleadcpNull;
@Coluna(nome="cxleaddt.qtleadan", tipo="int")
private int qtleadan;
private boolean qtleadanNull;
@Coluna(nome="cxleaddt.qtleadfi", tipo="int")
private int qtleadfi;
private boolean qtleadfiNull;
@Coluna(nome="cxleaddt.qtcidades", tipo="int")
private int qtcidades;
private boolean qtcidadesNull;
@Coluna(nome="cxleaddt.coderro", tipo="String")
private String coderro;
@Coluna(nome="cxleaddt.mensagem", tipo="String")
private String mensagem;

public TabCxleaddt() {
initialize();
}

public void initialize() {
setIdLeaddt(null);
setFilial(null);
setDtinicio(null);
setDtfim(null);
setProgrExec(null);
setDtgeracao(null);
setLogin(null);
setQtleadcp(null);
setQtleadan(null);
setQtleadfi(null);
setQtcidades(null);
setCoderro(null);
setMensagem(null);
}

public TabCxleaddt(int idLeaddt, int filial, FglDateTimeYS dtinicio, FglDateTimeYS dtfim, String progrExec, FglDateTimeYS dtgeracao, String login, int qtleadcp, int qtleadan, int qtleadfi, int qtcidades, String coderro, String mensagem) {
this.idLeaddt = idLeaddt;
this.filial = filial;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.progrExec = progrExec;
this.dtgeracao = dtgeracao;
this.login = login;
this.qtleadcp = qtleadcp;
this.qtleadan = qtleadan;
this.qtleadfi = qtleadfi;
this.qtcidades = qtcidades;
this.coderro = coderro;
this.mensagem = mensagem;
}

public int getIdLeaddt() {
return idLeaddt;
}

public boolean isIdLeaddtNull() {
return idLeaddtNull;
}

public void setIdLeaddt(Integer idLeaddt) {
if (idLeaddt == null) {
idLeaddtNull = true;
this.idLeaddt = 0;
} else { 
idLeaddtNull = false;
this.idLeaddt = idLeaddt;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYS getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDateTimeYS dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeYS getDtfim() {
return dtfim;
}

public void setDtfim(FglDateTimeYS dtfim) {
this.dtfim = dtfim;
}

public String getProgrExec() {
return progrExec;
}

public void setProgrExec(String progrExec) {
this.progrExec = progrExec;
}

public FglDateTimeYS getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDateTimeYS dtgeracao) {
this.dtgeracao = dtgeracao;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

public int getQtleadcp() {
return qtleadcp;
}

public boolean isQtleadcpNull() {
return qtleadcpNull;
}

public void setQtleadcp(Integer qtleadcp) {
if (qtleadcp == null) {
qtleadcpNull = true;
this.qtleadcp = 0;
} else { 
qtleadcpNull = false;
this.qtleadcp = qtleadcp;
}
}

public int getQtleadan() {
return qtleadan;
}

public boolean isQtleadanNull() {
return qtleadanNull;
}

public void setQtleadan(Integer qtleadan) {
if (qtleadan == null) {
qtleadanNull = true;
this.qtleadan = 0;
} else { 
qtleadanNull = false;
this.qtleadan = qtleadan;
}
}

public int getQtleadfi() {
return qtleadfi;
}

public boolean isQtleadfiNull() {
return qtleadfiNull;
}

public void setQtleadfi(Integer qtleadfi) {
if (qtleadfi == null) {
qtleadfiNull = true;
this.qtleadfi = 0;
} else { 
qtleadfiNull = false;
this.qtleadfi = qtleadfi;
}
}

public int getQtcidades() {
return qtcidades;
}

public boolean isQtcidadesNull() {
return qtcidadesNull;
}

public void setQtcidades(Integer qtcidades) {
if (qtcidades == null) {
qtcidadesNull = true;
this.qtcidades = 0;
} else { 
qtcidadesNull = false;
this.qtcidades = qtcidades;
}
}

public String getCoderro() {
return coderro;
}

public void setCoderro(String coderro) {
this.coderro = coderro;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

