package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxnovpre {
@Coluna(nome="cxnovpre.codigomodelo", tipo="String")
private String codigomodelo;
@Coluna(nome="cxnovpre.tabela", tipo="String")
private String tabela;
@Coluna(nome="cxnovpre.codcomercial", tipo="String")
private String codcomercial;
@Coluna(nome="cxnovpre.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="cxnovpre.dtvigencia", tipo="FglDate")
private FglDate dtvigencia;
@Coluna(nome="cxnovpre.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxnovpre.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxnovpre.modelofabric", tipo="String")
private String modelofabric;
@Coluna(nome="cxnovpre.versao", tipo="String")
private String versao;
@Coluna(nome="cxnovpre.regiao", tipo="double")
private double regiao;
private boolean regiaoNull;
@Coluna(nome="cxnovpre.opcional", tipo="String")
private String opcional;
@Coluna(nome="cxnovpre.reg_opcional", tipo="double")
private double regOpcional;
private boolean regOpcionalNull;
@Coluna(nome="cxnovpre.anofab", tipo="int")
private int anofab;
private boolean anofabNull;
@Coluna(nome="cxnovpre.modeloabv", tipo="String")
private String modeloabv;
@Coluna(nome="cxnovpre.familia", tipo="int")
private int familia;
private boolean familiaNull;

public TabCxnovpre() {
initialize();
}

public void initialize() {
setCodigomodelo(null);
setTabela(null);
setCodcomercial(null);
setAnomodelo(null);
setDtvigencia(null);
setDtfim(null);
setModelo(null);
setModelofabric(null);
setVersao(null);
setRegiao(null);
setOpcional(null);
setRegOpcional(null);
setAnofab(null);
setModeloabv(null);
setFamilia(null);
}

public TabCxnovpre(String codigomodelo, String tabela, String codcomercial, int anomodelo, FglDate dtvigencia, FglDate dtfim, String modelo, String modelofabric, String versao, double regiao, String opcional, double regOpcional, int anofab, String modeloabv, int familia) {
this.codigomodelo = codigomodelo;
this.tabela = tabela;
this.codcomercial = codcomercial;
this.anomodelo = anomodelo;
this.dtvigencia = dtvigencia;
this.dtfim = dtfim;
this.modelo = modelo;
this.modelofabric = modelofabric;
this.versao = versao;
this.regiao = regiao;
this.opcional = opcional;
this.regOpcional = regOpcional;
this.anofab = anofab;
this.modeloabv = modeloabv;
this.familia = familia;
}

public String getCodigomodelo() {
return codigomodelo;
}

public void setCodigomodelo(String codigomodelo) {
this.codigomodelo = codigomodelo;
}

public String getTabela() {
return tabela;
}

public void setTabela(String tabela) {
this.tabela = tabela;
}

public String getCodcomercial() {
return codcomercial;
}

public void setCodcomercial(String codcomercial) {
this.codcomercial = codcomercial;
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public FglDate getDtvigencia() {
return dtvigencia;
}

public void setDtvigencia(FglDate dtvigencia) {
this.dtvigencia = dtvigencia;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getModelofabric() {
return modelofabric;
}

public void setModelofabric(String modelofabric) {
this.modelofabric = modelofabric;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public double getRegiao() {
return regiao;
}

public boolean isRegiaoNull() {
return regiaoNull;
}

public void setRegiao(int regiao) {
setRegiao(new Double(regiao));
}

public void setRegiao(long regiao) {
setRegiao(new Double(regiao));
}

public void setRegiao(Double regiao) {
if (regiao == null) {
regiaoNull = true;
this.regiao = 0.;
} else { 
regiaoNull = false;
this.regiao = FglDouble.round(regiao, 2);
}
}

public String getOpcional() {
return opcional;
}

public void setOpcional(String opcional) {
this.opcional = opcional;
}

public double getRegOpcional() {
return regOpcional;
}

public boolean isRegOpcionalNull() {
return regOpcionalNull;
}

public void setRegOpcional(int regOpcional) {
setRegOpcional(new Double(regOpcional));
}

public void setRegOpcional(long regOpcional) {
setRegOpcional(new Double(regOpcional));
}

public void setRegOpcional(Double regOpcional) {
if (regOpcional == null) {
regOpcionalNull = true;
this.regOpcional = 0.;
} else { 
regOpcionalNull = false;
this.regOpcional = FglDouble.round(regOpcional, 2);
}
}

public int getAnofab() {
return anofab;
}

public boolean isAnofabNull() {
return anofabNull;
}

public void setAnofab(Integer anofab) {
if (anofab == null) {
anofabNull = true;
this.anofab = 0;
} else { 
anofabNull = false;
this.anofab = anofab;
}
}

public String getModeloabv() {
return modeloabv;
}

public void setModeloabv(String modeloabv) {
this.modeloabv = modeloabv;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

}

