package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxopspre {
@Coluna(nome="cxopspre.id_opspre", tipo="int")
private int idOpspre;
private boolean idOpspreNull;
@Coluna(nome="cxopspre.fved_mvto", tipo="String")
private String fvedMvto;
@Coluna(nome="cxopspre.fved_codcre", tipo="String")
private String fvedCodcre;
@Coluna(nome="cxopspre.fved_numvin", tipo="String")
private String fvedNumvin;
@Coluna(nome="cxopspre.fved_date_ce_pdor", tipo="FglDate")
private FglDate fvedDateCePdor;
@Coluna(nome="cxopspre.fved_date_prvppdorc", tipo="FglDate")
private FglDate fvedDatePrvppdorc;
@Coluna(nome="cxopspre.fved_cod_ppdor", tipo="String")
private String fvedCodPpdor;
@Coluna(nome="cxopspre.fved_comentario", tipo="String")
private String fvedComentario;
@Coluna(nome="cxopspre.fved_datekms", tipo="FglDate")
private FglDate fvedDatekms;
@Coluna(nome="cxopspre.fved_kms", tipo="int")
private int fvedKms;
private boolean fvedKmsNull;
@Coluna(nome="cxopspre.fved_payment_ind", tipo="String")
private String fvedPaymentInd;
@Coluna(nome="cxopspre.fved_payment_date", tipo="FglDate")
private FglDate fvedPaymentDate;
@Coluna(nome="cxopspre.status_registro", tipo="String")
private String statusRegistro;

public TabCxopspre() {
initialize();
}

public void initialize() {
setIdOpspre(null);
setFvedMvto(null);
setFvedCodcre(null);
setFvedNumvin(null);
setFvedDateCePdor(null);
setFvedDatePrvppdorc(null);
setFvedCodPpdor(null);
setFvedComentario(null);
setFvedDatekms(null);
setFvedKms(null);
setFvedPaymentInd(null);
setFvedPaymentDate(null);
setStatusRegistro(null);
}

public TabCxopspre(int idOpspre, String fvedMvto, String fvedCodcre, String fvedNumvin, FglDate fvedDateCePdor, FglDate fvedDatePrvppdorc, String fvedCodPpdor, String fvedComentario, FglDate fvedDatekms, int fvedKms, String fvedPaymentInd, FglDate fvedPaymentDate, String statusRegistro) {
this.idOpspre = idOpspre;
this.fvedMvto = fvedMvto;
this.fvedCodcre = fvedCodcre;
this.fvedNumvin = fvedNumvin;
this.fvedDateCePdor = fvedDateCePdor;
this.fvedDatePrvppdorc = fvedDatePrvppdorc;
this.fvedCodPpdor = fvedCodPpdor;
this.fvedComentario = fvedComentario;
this.fvedDatekms = fvedDatekms;
this.fvedKms = fvedKms;
this.fvedPaymentInd = fvedPaymentInd;
this.fvedPaymentDate = fvedPaymentDate;
this.statusRegistro = statusRegistro;
}

public int getIdOpspre() {
return idOpspre;
}

public boolean isIdOpspreNull() {
return idOpspreNull;
}

public void setIdOpspre(Integer idOpspre) {
if (idOpspre == null) {
idOpspreNull = true;
this.idOpspre = 0;
} else { 
idOpspreNull = false;
this.idOpspre = idOpspre;
}
}

public String getFvedMvto() {
return fvedMvto;
}

public void setFvedMvto(String fvedMvto) {
this.fvedMvto = fvedMvto;
}

public String getFvedCodcre() {
return fvedCodcre;
}

public void setFvedCodcre(String fvedCodcre) {
this.fvedCodcre = fvedCodcre;
}

public String getFvedNumvin() {
return fvedNumvin;
}

public void setFvedNumvin(String fvedNumvin) {
this.fvedNumvin = fvedNumvin;
}

public FglDate getFvedDateCePdor() {
return fvedDateCePdor;
}

public void setFvedDateCePdor(FglDate fvedDateCePdor) {
this.fvedDateCePdor = fvedDateCePdor;
}

public FglDate getFvedDatePrvppdorc() {
return fvedDatePrvppdorc;
}

public void setFvedDatePrvppdorc(FglDate fvedDatePrvppdorc) {
this.fvedDatePrvppdorc = fvedDatePrvppdorc;
}

public String getFvedCodPpdor() {
return fvedCodPpdor;
}

public void setFvedCodPpdor(String fvedCodPpdor) {
this.fvedCodPpdor = fvedCodPpdor;
}

public String getFvedComentario() {
return fvedComentario;
}

public void setFvedComentario(String fvedComentario) {
this.fvedComentario = fvedComentario;
}

public FglDate getFvedDatekms() {
return fvedDatekms;
}

public void setFvedDatekms(FglDate fvedDatekms) {
this.fvedDatekms = fvedDatekms;
}

public int getFvedKms() {
return fvedKms;
}

public boolean isFvedKmsNull() {
return fvedKmsNull;
}

public void setFvedKms(Integer fvedKms) {
if (fvedKms == null) {
fvedKmsNull = true;
this.fvedKms = 0;
} else { 
fvedKmsNull = false;
this.fvedKms = fvedKms;
}
}

public String getFvedPaymentInd() {
return fvedPaymentInd;
}

public void setFvedPaymentInd(String fvedPaymentInd) {
this.fvedPaymentInd = fvedPaymentInd;
}

public FglDate getFvedPaymentDate() {
return fvedPaymentDate;
}

public void setFvedPaymentDate(FglDate fvedPaymentDate) {
this.fvedPaymentDate = fvedPaymentDate;
}

public String getStatusRegistro() {
return statusRegistro;
}

public void setStatusRegistro(String statusRegistro) {
this.statusRegistro = statusRegistro;
}

}

