package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxorpimp {
@Coluna(nome="cxorpimp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxorpimp.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxorpimp.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="cxorpimp.descricao", tipo="String")
private String descricao;
@Coluna(nome="cxorpimp.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxorpimp() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setCodigo(null);
setDescricao(null);
setValor(null);
}

public TabCxorpimp(int filial, int pedvenda, int codigo, String descricao, double valor) {
this.filial = filial;
this.pedvenda = pedvenda;
this.codigo = codigo;
this.descricao = descricao;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

