package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxorplan {
@Coluna(nome="cxorplan.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxorplan.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxorplan.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxorplan.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxorplan.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxorplan.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxorplan.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cxorplan.id_nfcapaent", tipo="int")
private int idNfcapaent;
private boolean idNfcapaentNull;
@Coluna(nome="cxorplan.id_nfcapacon", tipo="int")
private int idNfcapacon;
private boolean idNfcapaconNull;
@Coluna(nome="cxorplan.datavenda", tipo="FglDate")
private FglDate datavenda;
@Coluna(nome="cxorplan.valortabela", tipo="double")
private double valortabela;
private boolean valortabelaNull;
@Coluna(nome="cxorplan.valorvenda", tipo="double")
private double valorvenda;
private boolean valorvendaNull;
@Coluna(nome="cxorplan.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cxorplan.svalorpis", tipo="double")
private double svalorpis;
private boolean svalorpisNull;
@Coluna(nome="cxorplan.customedio", tipo="double")
private double customedio;
private boolean customedioNull;
@Coluna(nome="cxorplan.valorbonus", tipo="double")
private double valorbonus;
private boolean valorbonusNull;
@Coluna(nome="cxorplan.bonusadic", tipo="double")
private double bonusadic;
private boolean bonusadicNull;
@Coluna(nome="cxorplan.vendafrete", tipo="double")
private double vendafrete;
private boolean vendafreteNull;
@Coluna(nome="cxorplan.custofrete", tipo="double")
private double custofrete;
private boolean custofreteNull;
@Coluna(nome="cxorplan.vendaoutr", tipo="double")
private double vendaoutr;
private boolean vendaoutrNull;
@Coluna(nome="cxorplan.custooutr", tipo="double")
private double custooutr;
private boolean custooutrNull;
@Coluna(nome="cxorplan.descbonus", tipo="double")
private double descbonus;
private boolean descbonusNull;
@Coluna(nome="cxorplan.descclien", tipo="double")
private double descclien;
private boolean descclienNull;
@Coluna(nome="cxorplan.cortesia", tipo="double")
private double cortesia;
private boolean cortesiaNull;
@Coluna(nome="cxorplan.encargos", tipo="double")
private double encargos;
private boolean encargosNull;
@Coluna(nome="cxorplan.cpmf", tipo="double")
private double cpmf;
private boolean cpmfNull;
@Coluna(nome="cxorplan.superaval", tipo="double")
private double superaval;
private boolean superavalNull;
@Coluna(nome="cxorplan.comissao", tipo="double")
private double comissao;
private boolean comissaoNull;
@Coluna(nome="cxorplan.outros", tipo="double")
private double outros;
private boolean outrosNull;
@Coluna(nome="cxorplan.preparacao", tipo="double")
private double preparacao;
private boolean preparacaoNull;
@Coluna(nome="cxorplan.resultado", tipo="double")
private double resultado;
private boolean resultadoNull;
@Coluna(nome="cxorplan.qtdevsn", tipo="int")
private int qtdevsn;
private boolean qtdevsnNull;
@Coluna(nome="cxorplan.valorvsn", tipo="double")
private double valorvsn;
private boolean valorvsnNull;
@Coluna(nome="cxorplan.valorcotiza", tipo="double")
private double valorcotiza;
private boolean valorcotizaNull;
@Coluna(nome="cxorplan.valoropcion", tipo="double")
private double valoropcion;
private boolean valoropcionNull;

public TabCxorplan() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setChassis(null);
setNovousado(null);
setIdNfcapa(null);
setIdAgente(null);
setIdSetor(null);
setIdNfcapaent(null);
setIdNfcapacon(null);
setDatavenda(null);
setValortabela(null);
setValorvenda(null);
setSvaloricms(null);
setSvalorpis(null);
setCustomedio(null);
setValorbonus(null);
setBonusadic(null);
setVendafrete(null);
setCustofrete(null);
setVendaoutr(null);
setCustooutr(null);
setDescbonus(null);
setDescclien(null);
setCortesia(null);
setEncargos(null);
setCpmf(null);
setSuperaval(null);
setComissao(null);
setOutros(null);
setPreparacao(null);
setResultado(null);
setQtdevsn(null);
setValorvsn(null);
setValorcotiza(null);
setValoropcion(null);
}

public TabCxorplan(int filial, int pedvenda, String chassis, String novousado, int idNfcapa, int idAgente, int idSetor, int idNfcapaent, int idNfcapacon, FglDate datavenda, double valortabela, double valorvenda, double svaloricms, double svalorpis, double customedio, double valorbonus, double bonusadic, double vendafrete, double custofrete, double vendaoutr, double custooutr, double descbonus, double descclien, double cortesia, double encargos, double cpmf, double superaval, double comissao, double outros, double preparacao, double resultado, int qtdevsn, double valorvsn, double valorcotiza, double valoropcion) {
this.filial = filial;
this.pedvenda = pedvenda;
this.chassis = chassis;
this.novousado = novousado;
this.idNfcapa = idNfcapa;
this.idAgente = idAgente;
this.idSetor = idSetor;
this.idNfcapaent = idNfcapaent;
this.idNfcapacon = idNfcapacon;
this.datavenda = datavenda;
this.valortabela = valortabela;
this.valorvenda = valorvenda;
this.svaloricms = svaloricms;
this.svalorpis = svalorpis;
this.customedio = customedio;
this.valorbonus = valorbonus;
this.bonusadic = bonusadic;
this.vendafrete = vendafrete;
this.custofrete = custofrete;
this.vendaoutr = vendaoutr;
this.custooutr = custooutr;
this.descbonus = descbonus;
this.descclien = descclien;
this.cortesia = cortesia;
this.encargos = encargos;
this.cpmf = cpmf;
this.superaval = superaval;
this.comissao = comissao;
this.outros = outros;
this.preparacao = preparacao;
this.resultado = resultado;
this.qtdevsn = qtdevsn;
this.valorvsn = valorvsn;
this.valorcotiza = valorcotiza;
this.valoropcion = valoropcion;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getIdNfcapaent() {
return idNfcapaent;
}

public boolean isIdNfcapaentNull() {
return idNfcapaentNull;
}

public void setIdNfcapaent(Integer idNfcapaent) {
if (idNfcapaent == null) {
idNfcapaentNull = true;
this.idNfcapaent = 0;
} else { 
idNfcapaentNull = false;
this.idNfcapaent = idNfcapaent;
}
}

public int getIdNfcapacon() {
return idNfcapacon;
}

public boolean isIdNfcapaconNull() {
return idNfcapaconNull;
}

public void setIdNfcapacon(Integer idNfcapacon) {
if (idNfcapacon == null) {
idNfcapaconNull = true;
this.idNfcapacon = 0;
} else { 
idNfcapaconNull = false;
this.idNfcapacon = idNfcapacon;
}
}

public FglDate getDatavenda() {
return datavenda;
}

public void setDatavenda(FglDate datavenda) {
this.datavenda = datavenda;
}

public double getValortabela() {
return valortabela;
}

public boolean isValortabelaNull() {
return valortabelaNull;
}

public void setValortabela(int valortabela) {
setValortabela(new Double(valortabela));
}

public void setValortabela(long valortabela) {
setValortabela(new Double(valortabela));
}

public void setValortabela(Double valortabela) {
if (valortabela == null) {
valortabelaNull = true;
this.valortabela = 0.;
} else { 
valortabelaNull = false;
this.valortabela = FglDouble.round(valortabela, 2);
}
}

public double getValorvenda() {
return valorvenda;
}

public boolean isValorvendaNull() {
return valorvendaNull;
}

public void setValorvenda(int valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(long valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(Double valorvenda) {
if (valorvenda == null) {
valorvendaNull = true;
this.valorvenda = 0.;
} else { 
valorvendaNull = false;
this.valorvenda = FglDouble.round(valorvenda, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getSvalorpis() {
return svalorpis;
}

public boolean isSvalorpisNull() {
return svalorpisNull;
}

public void setSvalorpis(int svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(long svalorpis) {
setSvalorpis(new Double(svalorpis));
}

public void setSvalorpis(Double svalorpis) {
if (svalorpis == null) {
svalorpisNull = true;
this.svalorpis = 0.;
} else { 
svalorpisNull = false;
this.svalorpis = FglDouble.round(svalorpis, 2);
}
}

public double getCustomedio() {
return customedio;
}

public boolean isCustomedioNull() {
return customedioNull;
}

public void setCustomedio(int customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(long customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(Double customedio) {
if (customedio == null) {
customedioNull = true;
this.customedio = 0.;
} else { 
customedioNull = false;
this.customedio = FglDouble.round(customedio, 2);
}
}

public double getValorbonus() {
return valorbonus;
}

public boolean isValorbonusNull() {
return valorbonusNull;
}

public void setValorbonus(int valorbonus) {
setValorbonus(new Double(valorbonus));
}

public void setValorbonus(long valorbonus) {
setValorbonus(new Double(valorbonus));
}

public void setValorbonus(Double valorbonus) {
if (valorbonus == null) {
valorbonusNull = true;
this.valorbonus = 0.;
} else { 
valorbonusNull = false;
this.valorbonus = FglDouble.round(valorbonus, 2);
}
}

public double getBonusadic() {
return bonusadic;
}

public boolean isBonusadicNull() {
return bonusadicNull;
}

public void setBonusadic(int bonusadic) {
setBonusadic(new Double(bonusadic));
}

public void setBonusadic(long bonusadic) {
setBonusadic(new Double(bonusadic));
}

public void setBonusadic(Double bonusadic) {
if (bonusadic == null) {
bonusadicNull = true;
this.bonusadic = 0.;
} else { 
bonusadicNull = false;
this.bonusadic = FglDouble.round(bonusadic, 2);
}
}

public double getVendafrete() {
return vendafrete;
}

public boolean isVendafreteNull() {
return vendafreteNull;
}

public void setVendafrete(int vendafrete) {
setVendafrete(new Double(vendafrete));
}

public void setVendafrete(long vendafrete) {
setVendafrete(new Double(vendafrete));
}

public void setVendafrete(Double vendafrete) {
if (vendafrete == null) {
vendafreteNull = true;
this.vendafrete = 0.;
} else { 
vendafreteNull = false;
this.vendafrete = FglDouble.round(vendafrete, 2);
}
}

public double getCustofrete() {
return custofrete;
}

public boolean isCustofreteNull() {
return custofreteNull;
}

public void setCustofrete(int custofrete) {
setCustofrete(new Double(custofrete));
}

public void setCustofrete(long custofrete) {
setCustofrete(new Double(custofrete));
}

public void setCustofrete(Double custofrete) {
if (custofrete == null) {
custofreteNull = true;
this.custofrete = 0.;
} else { 
custofreteNull = false;
this.custofrete = FglDouble.round(custofrete, 2);
}
}

public double getVendaoutr() {
return vendaoutr;
}

public boolean isVendaoutrNull() {
return vendaoutrNull;
}

public void setVendaoutr(int vendaoutr) {
setVendaoutr(new Double(vendaoutr));
}

public void setVendaoutr(long vendaoutr) {
setVendaoutr(new Double(vendaoutr));
}

public void setVendaoutr(Double vendaoutr) {
if (vendaoutr == null) {
vendaoutrNull = true;
this.vendaoutr = 0.;
} else { 
vendaoutrNull = false;
this.vendaoutr = FglDouble.round(vendaoutr, 2);
}
}

public double getCustooutr() {
return custooutr;
}

public boolean isCustooutrNull() {
return custooutrNull;
}

public void setCustooutr(int custooutr) {
setCustooutr(new Double(custooutr));
}

public void setCustooutr(long custooutr) {
setCustooutr(new Double(custooutr));
}

public void setCustooutr(Double custooutr) {
if (custooutr == null) {
custooutrNull = true;
this.custooutr = 0.;
} else { 
custooutrNull = false;
this.custooutr = FglDouble.round(custooutr, 2);
}
}

public double getDescbonus() {
return descbonus;
}

public boolean isDescbonusNull() {
return descbonusNull;
}

public void setDescbonus(int descbonus) {
setDescbonus(new Double(descbonus));
}

public void setDescbonus(long descbonus) {
setDescbonus(new Double(descbonus));
}

public void setDescbonus(Double descbonus) {
if (descbonus == null) {
descbonusNull = true;
this.descbonus = 0.;
} else { 
descbonusNull = false;
this.descbonus = FglDouble.round(descbonus, 2);
}
}

public double getDescclien() {
return descclien;
}

public boolean isDescclienNull() {
return descclienNull;
}

public void setDescclien(int descclien) {
setDescclien(new Double(descclien));
}

public void setDescclien(long descclien) {
setDescclien(new Double(descclien));
}

public void setDescclien(Double descclien) {
if (descclien == null) {
descclienNull = true;
this.descclien = 0.;
} else { 
descclienNull = false;
this.descclien = FglDouble.round(descclien, 2);
}
}

public double getCortesia() {
return cortesia;
}

public boolean isCortesiaNull() {
return cortesiaNull;
}

public void setCortesia(int cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(long cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(Double cortesia) {
if (cortesia == null) {
cortesiaNull = true;
this.cortesia = 0.;
} else { 
cortesiaNull = false;
this.cortesia = FglDouble.round(cortesia, 2);
}
}

public double getEncargos() {
return encargos;
}

public boolean isEncargosNull() {
return encargosNull;
}

public void setEncargos(int encargos) {
setEncargos(new Double(encargos));
}

public void setEncargos(long encargos) {
setEncargos(new Double(encargos));
}

public void setEncargos(Double encargos) {
if (encargos == null) {
encargosNull = true;
this.encargos = 0.;
} else { 
encargosNull = false;
this.encargos = FglDouble.round(encargos, 2);
}
}

public double getCpmf() {
return cpmf;
}

public boolean isCpmfNull() {
return cpmfNull;
}

public void setCpmf(int cpmf) {
setCpmf(new Double(cpmf));
}

public void setCpmf(long cpmf) {
setCpmf(new Double(cpmf));
}

public void setCpmf(Double cpmf) {
if (cpmf == null) {
cpmfNull = true;
this.cpmf = 0.;
} else { 
cpmfNull = false;
this.cpmf = FglDouble.round(cpmf, 2);
}
}

public double getSuperaval() {
return superaval;
}

public boolean isSuperavalNull() {
return superavalNull;
}

public void setSuperaval(int superaval) {
setSuperaval(new Double(superaval));
}

public void setSuperaval(long superaval) {
setSuperaval(new Double(superaval));
}

public void setSuperaval(Double superaval) {
if (superaval == null) {
superavalNull = true;
this.superaval = 0.;
} else { 
superavalNull = false;
this.superaval = FglDouble.round(superaval, 2);
}
}

public double getComissao() {
return comissao;
}

public boolean isComissaoNull() {
return comissaoNull;
}

public void setComissao(int comissao) {
setComissao(new Double(comissao));
}

public void setComissao(long comissao) {
setComissao(new Double(comissao));
}

public void setComissao(Double comissao) {
if (comissao == null) {
comissaoNull = true;
this.comissao = 0.;
} else { 
comissaoNull = false;
this.comissao = FglDouble.round(comissao, 2);
}
}

public double getOutros() {
return outros;
}

public boolean isOutrosNull() {
return outrosNull;
}

public void setOutros(int outros) {
setOutros(new Double(outros));
}

public void setOutros(long outros) {
setOutros(new Double(outros));
}

public void setOutros(Double outros) {
if (outros == null) {
outrosNull = true;
this.outros = 0.;
} else { 
outrosNull = false;
this.outros = FglDouble.round(outros, 2);
}
}

public double getPreparacao() {
return preparacao;
}

public boolean isPreparacaoNull() {
return preparacaoNull;
}

public void setPreparacao(int preparacao) {
setPreparacao(new Double(preparacao));
}

public void setPreparacao(long preparacao) {
setPreparacao(new Double(preparacao));
}

public void setPreparacao(Double preparacao) {
if (preparacao == null) {
preparacaoNull = true;
this.preparacao = 0.;
} else { 
preparacaoNull = false;
this.preparacao = FglDouble.round(preparacao, 2);
}
}

public double getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Double(resultado));
}

public void setResultado(long resultado) {
setResultado(new Double(resultado));
}

public void setResultado(Double resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0.;
} else { 
resultadoNull = false;
this.resultado = FglDouble.round(resultado, 2);
}
}

public int getQtdevsn() {
return qtdevsn;
}

public boolean isQtdevsnNull() {
return qtdevsnNull;
}

public void setQtdevsn(Integer qtdevsn) {
if (qtdevsn == null) {
qtdevsnNull = true;
this.qtdevsn = 0;
} else { 
qtdevsnNull = false;
this.qtdevsn = qtdevsn;
}
}

public double getValorvsn() {
return valorvsn;
}

public boolean isValorvsnNull() {
return valorvsnNull;
}

public void setValorvsn(int valorvsn) {
setValorvsn(new Double(valorvsn));
}

public void setValorvsn(long valorvsn) {
setValorvsn(new Double(valorvsn));
}

public void setValorvsn(Double valorvsn) {
if (valorvsn == null) {
valorvsnNull = true;
this.valorvsn = 0.;
} else { 
valorvsnNull = false;
this.valorvsn = FglDouble.round(valorvsn, 2);
}
}

public double getValorcotiza() {
return valorcotiza;
}

public boolean isValorcotizaNull() {
return valorcotizaNull;
}

public void setValorcotiza(int valorcotiza) {
setValorcotiza(new Double(valorcotiza));
}

public void setValorcotiza(long valorcotiza) {
setValorcotiza(new Double(valorcotiza));
}

public void setValorcotiza(Double valorcotiza) {
if (valorcotiza == null) {
valorcotizaNull = true;
this.valorcotiza = 0.;
} else { 
valorcotizaNull = false;
this.valorcotiza = FglDouble.round(valorcotiza, 2);
}
}

public double getValoropcion() {
return valoropcion;
}

public boolean isValoropcionNull() {
return valoropcionNull;
}

public void setValoropcion(int valoropcion) {
setValoropcion(new Double(valoropcion));
}

public void setValoropcion(long valoropcion) {
setValoropcion(new Double(valoropcion));
}

public void setValoropcion(Double valoropcion) {
if (valoropcion == null) {
valoropcionNull = true;
this.valoropcion = 0.;
} else { 
valoropcionNull = false;
this.valoropcion = FglDouble.round(valoropcion, 2);
}
}

}

