package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxorpout {
@Coluna(nome="cxorpout.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxorpout.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxorpout.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="cxorpout.tipoincid", tipo="String")
private String tipoincid;
@Coluna(nome="cxorpout.debitocred", tipo="String")
private String debitocred;
@Coluna(nome="cxorpout.classeincid", tipo="String")
private String classeincid;
@Coluna(nome="cxorpout.descricao", tipo="String")
private String descricao;
@Coluna(nome="cxorpout.valordeb", tipo="double")
private double valordeb;
private boolean valordebNull;
@Coluna(nome="cxorpout.valorcre", tipo="double")
private double valorcre;
private boolean valorcreNull;

public TabCxorpout() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setCodigo(null);
setTipoincid(null);
setDebitocred(null);
setClasseincid(null);
setDescricao(null);
setValordeb(null);
setValorcre(null);
}

public TabCxorpout(int filial, int pedvenda, int codigo, String tipoincid, String debitocred, String classeincid, String descricao, double valordeb, double valorcre) {
this.filial = filial;
this.pedvenda = pedvenda;
this.codigo = codigo;
this.tipoincid = tipoincid;
this.debitocred = debitocred;
this.classeincid = classeincid;
this.descricao = descricao;
this.valordeb = valordeb;
this.valorcre = valorcre;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getTipoincid() {
return tipoincid;
}

public void setTipoincid(String tipoincid) {
this.tipoincid = tipoincid;
}

public String getDebitocred() {
return debitocred;
}

public void setDebitocred(String debitocred) {
this.debitocred = debitocred;
}

public String getClasseincid() {
return classeincid;
}

public void setClasseincid(String classeincid) {
this.classeincid = classeincid;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getValordeb() {
return valordeb;
}

public boolean isValordebNull() {
return valordebNull;
}

public void setValordeb(int valordeb) {
setValordeb(new Double(valordeb));
}

public void setValordeb(long valordeb) {
setValordeb(new Double(valordeb));
}

public void setValordeb(Double valordeb) {
if (valordeb == null) {
valordebNull = true;
this.valordeb = 0.;
} else { 
valordebNull = false;
this.valordeb = FglDouble.round(valordeb, 2);
}
}

public double getValorcre() {
return valorcre;
}

public boolean isValorcreNull() {
return valorcreNull;
}

public void setValorcre(int valorcre) {
setValorcre(new Double(valorcre));
}

public void setValorcre(long valorcre) {
setValorcre(new Double(valorcre));
}

public void setValorcre(Double valorcre) {
if (valorcre == null) {
valorcreNull = true;
this.valorcre = 0.;
} else { 
valorcreNull = false;
this.valorcre = FglDouble.round(valorcre, 2);
}
}

}

