package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparamv {
@Coluna(nome="cxparamv.id_parveic", tipo="int")
private int idParveic;
private boolean idParveicNull;
@Coluna(nome="cxparamv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxparamv.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxparamv.dtvigini", tipo="FglDateTimeYM")
private FglDateTimeYM dtvigini;
@Coluna(nome="cxparamv.dtvigfim", tipo="FglDateTimeYM")
private FglDateTimeYM dtvigfim;
@Coluna(nome="cxparamv.basecalc", tipo="String")
private String basecalc;
@Coluna(nome="cxparamv.vrmincomis", tipo="double")
private double vrmincomis;
private boolean vrmincomisNull;
@Coluna(nome="cxparamv.veicpgto", tipo="String")
private String veicpgto;
@Coluna(nome="cxparamv.intfolpgt", tipo="String")
private String intfolpgt;
@Coluna(nome="cxparamv.evefolpgt", tipo="int")
private int evefolpgt;
private boolean evefolpgtNull;

public TabCxparamv() {
initialize();
}

public void initialize() {
setIdParveic(null);
setFilial(null);
setNovousado(null);
setDtvigini(null);
setDtvigfim(null);
setBasecalc(null);
setVrmincomis(null);
setVeicpgto(null);
setIntfolpgt(null);
setEvefolpgt(null);
}

public TabCxparamv(int idParveic, int filial, String novousado, FglDateTimeYM dtvigini, FglDateTimeYM dtvigfim, String basecalc, double vrmincomis, String veicpgto, String intfolpgt, int evefolpgt) {
this.idParveic = idParveic;
this.filial = filial;
this.novousado = novousado;
this.dtvigini = dtvigini;
this.dtvigfim = dtvigfim;
this.basecalc = basecalc;
this.vrmincomis = vrmincomis;
this.veicpgto = veicpgto;
this.intfolpgt = intfolpgt;
this.evefolpgt = evefolpgt;
}

public int getIdParveic() {
return idParveic;
}

public boolean isIdParveicNull() {
return idParveicNull;
}

public void setIdParveic(Integer idParveic) {
if (idParveic == null) {
idParveicNull = true;
this.idParveic = 0;
} else { 
idParveicNull = false;
this.idParveic = idParveic;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public FglDateTimeYM getDtvigini() {
return dtvigini;
}

public void setDtvigini(FglDateTimeYM dtvigini) {
this.dtvigini = dtvigini;
}

public FglDateTimeYM getDtvigfim() {
return dtvigfim;
}

public void setDtvigfim(FglDateTimeYM dtvigfim) {
this.dtvigfim = dtvigfim;
}

public String getBasecalc() {
return basecalc;
}

public void setBasecalc(String basecalc) {
this.basecalc = basecalc;
}

public double getVrmincomis() {
return vrmincomis;
}

public boolean isVrmincomisNull() {
return vrmincomisNull;
}

public void setVrmincomis(int vrmincomis) {
setVrmincomis(new Double(vrmincomis));
}

public void setVrmincomis(long vrmincomis) {
setVrmincomis(new Double(vrmincomis));
}

public void setVrmincomis(Double vrmincomis) {
if (vrmincomis == null) {
vrmincomisNull = true;
this.vrmincomis = 0.;
} else { 
vrmincomisNull = false;
this.vrmincomis = FglDouble.round(vrmincomis, 2);
}
}

public String getVeicpgto() {
return veicpgto;
}

public void setVeicpgto(String veicpgto) {
this.veicpgto = veicpgto;
}

public String getIntfolpgt() {
return intfolpgt;
}

public void setIntfolpgt(String intfolpgt) {
this.intfolpgt = intfolpgt;
}

public int getEvefolpgt() {
return evefolpgt;
}

public boolean isEvefolpgtNull() {
return evefolpgtNull;
}

public void setEvefolpgt(Integer evefolpgt) {
if (evefolpgt == null) {
evefolpgtNull = true;
this.evefolpgt = 0;
} else { 
evefolpgtNull = false;
this.evefolpgt = evefolpgt;
}
}

}

