package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparcom {
@Coluna(nome="cxparcom.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxparcom.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cxparcom.percbase1", tipo="double")
private double percbase1;
private boolean percbase1Null;
@Coluna(nome="cxparcom.percbase2", tipo="double")
private double percbase2;
private boolean percbase2Null;
@Coluna(nome="cxparcom.brutoliqu", tipo="String")
private String brutoliqu;
@Coluna(nome="cxparcom.percusado", tipo="double")
private double percusado;
private boolean percusadoNull;
@Coluna(nome="cxparcom.brutoliqu_n", tipo="String")
private String brutoliquN;
@Coluna(nome="cxparcom.min_novo", tipo="double")
private double minNovo;
private boolean minNovoNull;
@Coluna(nome="cxparcom.min_usado", tipo="double")
private double minUsado;
private boolean minUsadoNull;
@Coluna(nome="cxparcom.tipocomissao", tipo="String")
private String tipocomissao;

public TabCxparcom() {
initialize();
}

public void initialize() {
setFilial(null);
setTpvenda(null);
setPercbase1(null);
setPercbase2(null);
setBrutoliqu(null);
setPercusado(null);
setBrutoliquN(null);
setMinNovo(null);
setMinUsado(null);
setTipocomissao(null);
}

public TabCxparcom(int filial, String tpvenda, double percbase1, double percbase2, String brutoliqu, double percusado, String brutoliquN, double minNovo, double minUsado, String tipocomissao) {
this.filial = filial;
this.tpvenda = tpvenda;
this.percbase1 = percbase1;
this.percbase2 = percbase2;
this.brutoliqu = brutoliqu;
this.percusado = percusado;
this.brutoliquN = brutoliquN;
this.minNovo = minNovo;
this.minUsado = minUsado;
this.tipocomissao = tipocomissao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public double getPercbase1() {
return percbase1;
}

public boolean isPercbase1Null() {
return percbase1Null;
}

public void setPercbase1(int percbase1) {
setPercbase1(new Double(percbase1));
}

public void setPercbase1(long percbase1) {
setPercbase1(new Double(percbase1));
}

public void setPercbase1(Double percbase1) {
if (percbase1 == null) {
percbase1Null = true;
this.percbase1 = 0.;
} else { 
percbase1Null = false;
this.percbase1 = FglDouble.round(percbase1, 2);
}
}

public double getPercbase2() {
return percbase2;
}

public boolean isPercbase2Null() {
return percbase2Null;
}

public void setPercbase2(int percbase2) {
setPercbase2(new Double(percbase2));
}

public void setPercbase2(long percbase2) {
setPercbase2(new Double(percbase2));
}

public void setPercbase2(Double percbase2) {
if (percbase2 == null) {
percbase2Null = true;
this.percbase2 = 0.;
} else { 
percbase2Null = false;
this.percbase2 = FglDouble.round(percbase2, 2);
}
}

public String getBrutoliqu() {
return brutoliqu;
}

public void setBrutoliqu(String brutoliqu) {
this.brutoliqu = brutoliqu;
}

public double getPercusado() {
return percusado;
}

public boolean isPercusadoNull() {
return percusadoNull;
}

public void setPercusado(int percusado) {
setPercusado(new Double(percusado));
}

public void setPercusado(long percusado) {
setPercusado(new Double(percusado));
}

public void setPercusado(Double percusado) {
if (percusado == null) {
percusadoNull = true;
this.percusado = 0.;
} else { 
percusadoNull = false;
this.percusado = FglDouble.round(percusado, 2);
}
}

public String getBrutoliquN() {
return brutoliquN;
}

public void setBrutoliquN(String brutoliquN) {
this.brutoliquN = brutoliquN;
}

public double getMinNovo() {
return minNovo;
}

public boolean isMinNovoNull() {
return minNovoNull;
}

public void setMinNovo(int minNovo) {
setMinNovo(new Double(minNovo));
}

public void setMinNovo(long minNovo) {
setMinNovo(new Double(minNovo));
}

public void setMinNovo(Double minNovo) {
if (minNovo == null) {
minNovoNull = true;
this.minNovo = 0.;
} else { 
minNovoNull = false;
this.minNovo = FglDouble.round(minNovo, 2);
}
}

public double getMinUsado() {
return minUsado;
}

public boolean isMinUsadoNull() {
return minUsadoNull;
}

public void setMinUsado(int minUsado) {
setMinUsado(new Double(minUsado));
}

public void setMinUsado(long minUsado) {
setMinUsado(new Double(minUsado));
}

public void setMinUsado(Double minUsado) {
if (minUsado == null) {
minUsadoNull = true;
this.minUsado = 0.;
} else { 
minUsadoNull = false;
this.minUsado = FglDouble.round(minUsado, 2);
}
}

public String getTipocomissao() {
return tipocomissao;
}

public void setTipocomissao(String tipocomissao) {
this.tipocomissao = tipocomissao;
}

}

