package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparluc {
@Coluna(nome="cxparluc.id_comissao", tipo="int")
private int idComissao;
private boolean idComissaoNull;
@Coluna(nome="cxparluc.id_faixa", tipo="int")
private int idFaixa;
private boolean idFaixaNull;
@Coluna(nome="cxparluc.perlucrini", tipo="double")
private double perlucrini;
private boolean perlucriniNull;
@Coluna(nome="cxparluc.perlucrfim", tipo="double")
private double perlucrfim;
private boolean perlucrfimNull;
@Coluna(nome="cxparluc.percomissao", tipo="double")
private double percomissao;
private boolean percomissaoNull;

public TabCxparluc() {
initialize();
}

public void initialize() {
setIdComissao(null);
setIdFaixa(null);
setPerlucrini(null);
setPerlucrfim(null);
setPercomissao(null);
}

public TabCxparluc(int idComissao, int idFaixa, double perlucrini, double perlucrfim, double percomissao) {
this.idComissao = idComissao;
this.idFaixa = idFaixa;
this.perlucrini = perlucrini;
this.perlucrfim = perlucrfim;
this.percomissao = percomissao;
}

public int getIdComissao() {
return idComissao;
}

public boolean isIdComissaoNull() {
return idComissaoNull;
}

public void setIdComissao(Integer idComissao) {
if (idComissao == null) {
idComissaoNull = true;
this.idComissao = 0;
} else { 
idComissaoNull = false;
this.idComissao = idComissao;
}
}

public int getIdFaixa() {
return idFaixa;
}

public boolean isIdFaixaNull() {
return idFaixaNull;
}

public void setIdFaixa(Integer idFaixa) {
if (idFaixa == null) {
idFaixaNull = true;
this.idFaixa = 0;
} else { 
idFaixaNull = false;
this.idFaixa = idFaixa;
}
}

public double getPerlucrini() {
return perlucrini;
}

public boolean isPerlucriniNull() {
return perlucriniNull;
}

public void setPerlucrini(int perlucrini) {
setPerlucrini(new Double(perlucrini));
}

public void setPerlucrini(long perlucrini) {
setPerlucrini(new Double(perlucrini));
}

public void setPerlucrini(Double perlucrini) {
if (perlucrini == null) {
perlucriniNull = true;
this.perlucrini = 0.;
} else { 
perlucriniNull = false;
this.perlucrini = FglDouble.round(perlucrini, 2);
}
}

public double getPerlucrfim() {
return perlucrfim;
}

public boolean isPerlucrfimNull() {
return perlucrfimNull;
}

public void setPerlucrfim(int perlucrfim) {
setPerlucrfim(new Double(perlucrfim));
}

public void setPerlucrfim(long perlucrfim) {
setPerlucrfim(new Double(perlucrfim));
}

public void setPerlucrfim(Double perlucrfim) {
if (perlucrfim == null) {
perlucrfimNull = true;
this.perlucrfim = 0.;
} else { 
perlucrfimNull = false;
this.perlucrfim = FglDouble.round(perlucrfim, 2);
}
}

public double getPercomissao() {
return percomissao;
}

public boolean isPercomissaoNull() {
return percomissaoNull;
}

public void setPercomissao(int percomissao) {
setPercomissao(new Double(percomissao));
}

public void setPercomissao(long percomissao) {
setPercomissao(new Double(percomissao));
}

public void setPercomissao(Double percomissao) {
if (percomissao == null) {
percomissaoNull = true;
this.percomissao = 0.;
} else { 
percomissaoNull = false;
this.percomissao = FglDouble.round(percomissao, 2);
}
}

}

