package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparusa {
@Coluna(nome="cxparusa.faixa_ini", tipo="double")
private double faixaIni;
private boolean faixaIniNull;
@Coluna(nome="cxparusa.faixa_fim", tipo="double")
private double faixaFim;
private boolean faixaFimNull;
@Coluna(nome="cxparusa.perc_aval", tipo="double")
private double percAval;
private boolean percAvalNull;
@Coluna(nome="cxparusa.vlr_fixo", tipo="double")
private double vlrFixo;
private boolean vlrFixoNull;
@Coluna(nome="cxparusa.perc_atua", tipo="double")
private double percAtua;
private boolean percAtuaNull;
@Coluna(nome="cxparusa.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="cxparusa.vlrincide", tipo="double")
private double vlrincide;
private boolean vlrincideNull;

public TabCxparusa() {
initialize();
}

public void initialize() {
setFaixaIni(null);
setFaixaFim(null);
setPercAval(null);
setVlrFixo(null);
setPercAtua(null);
setIncidencia(null);
setVlrincide(null);
}

public TabCxparusa(double faixaIni, double faixaFim, double percAval, double vlrFixo, double percAtua, int incidencia, double vlrincide) {
this.faixaIni = faixaIni;
this.faixaFim = faixaFim;
this.percAval = percAval;
this.vlrFixo = vlrFixo;
this.percAtua = percAtua;
this.incidencia = incidencia;
this.vlrincide = vlrincide;
}

public double getFaixaIni() {
return faixaIni;
}

public boolean isFaixaIniNull() {
return faixaIniNull;
}

public void setFaixaIni(int faixaIni) {
setFaixaIni(new Double(faixaIni));
}

public void setFaixaIni(long faixaIni) {
setFaixaIni(new Double(faixaIni));
}

public void setFaixaIni(Double faixaIni) {
if (faixaIni == null) {
faixaIniNull = true;
this.faixaIni = 0.;
} else { 
faixaIniNull = false;
this.faixaIni = FglDouble.round(faixaIni, 2);
}
}

public double getFaixaFim() {
return faixaFim;
}

public boolean isFaixaFimNull() {
return faixaFimNull;
}

public void setFaixaFim(int faixaFim) {
setFaixaFim(new Double(faixaFim));
}

public void setFaixaFim(long faixaFim) {
setFaixaFim(new Double(faixaFim));
}

public void setFaixaFim(Double faixaFim) {
if (faixaFim == null) {
faixaFimNull = true;
this.faixaFim = 0.;
} else { 
faixaFimNull = false;
this.faixaFim = FglDouble.round(faixaFim, 2);
}
}

public double getPercAval() {
return percAval;
}

public boolean isPercAvalNull() {
return percAvalNull;
}

public void setPercAval(int percAval) {
setPercAval(new Double(percAval));
}

public void setPercAval(long percAval) {
setPercAval(new Double(percAval));
}

public void setPercAval(Double percAval) {
if (percAval == null) {
percAvalNull = true;
this.percAval = 0.;
} else { 
percAvalNull = false;
this.percAval = FglDouble.round(percAval, 2);
}
}

public double getVlrFixo() {
return vlrFixo;
}

public boolean isVlrFixoNull() {
return vlrFixoNull;
}

public void setVlrFixo(int vlrFixo) {
setVlrFixo(new Double(vlrFixo));
}

public void setVlrFixo(long vlrFixo) {
setVlrFixo(new Double(vlrFixo));
}

public void setVlrFixo(Double vlrFixo) {
if (vlrFixo == null) {
vlrFixoNull = true;
this.vlrFixo = 0.;
} else { 
vlrFixoNull = false;
this.vlrFixo = FglDouble.round(vlrFixo, 2);
}
}

public double getPercAtua() {
return percAtua;
}

public boolean isPercAtuaNull() {
return percAtuaNull;
}

public void setPercAtua(int percAtua) {
setPercAtua(new Double(percAtua));
}

public void setPercAtua(long percAtua) {
setPercAtua(new Double(percAtua));
}

public void setPercAtua(Double percAtua) {
if (percAtua == null) {
percAtuaNull = true;
this.percAtua = 0.;
} else { 
percAtuaNull = false;
this.percAtua = FglDouble.round(percAtua, 2);
}
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public double getVlrincide() {
return vlrincide;
}

public boolean isVlrincideNull() {
return vlrincideNull;
}

public void setVlrincide(int vlrincide) {
setVlrincide(new Double(vlrincide));
}

public void setVlrincide(long vlrincide) {
setVlrincide(new Double(vlrincide));
}

public void setVlrincide(Double vlrincide) {
if (vlrincide == null) {
vlrincideNull = true;
this.vlrincide = 0.;
} else { 
vlrincideNull = false;
this.vlrincide = FglDouble.round(vlrincide, 2);
}
}

}

