package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdaces {
@Coluna(nome="cxpdaces.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdaces.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdaces.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpdaces.sintoma", tipo="String")
private String sintoma;
@Coluna(nome="cxpdaces.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cxpdaces.vlrdesc", tipo="double")
private double vlrdesc;
private boolean vlrdescNull;
@Coluna(nome="cxpdaces.vlrliquido", tipo="double")
private double vlrliquido;
private boolean vlrliquidoNull;
@Coluna(nome="cxpdaces.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;

public TabCxpdaces() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setSintoma(null);
setIdOscapa(null);
setVlrdesc(null);
setVlrliquido(null);
setIncidencia(null);
}

public TabCxpdaces(int filial, int pedvenda, int nrolinha, String sintoma, int idOscapa, double vlrdesc, double vlrliquido, int incidencia) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.sintoma = sintoma;
this.idOscapa = idOscapa;
this.vlrdesc = vlrdesc;
this.vlrliquido = vlrliquido;
this.incidencia = incidencia;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getSintoma() {
return sintoma;
}

public void setSintoma(String sintoma) {
this.sintoma = sintoma;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public double getVlrdesc() {
return vlrdesc;
}

public boolean isVlrdescNull() {
return vlrdescNull;
}

public void setVlrdesc(int vlrdesc) {
setVlrdesc(new Double(vlrdesc));
}

public void setVlrdesc(long vlrdesc) {
setVlrdesc(new Double(vlrdesc));
}

public void setVlrdesc(Double vlrdesc) {
if (vlrdesc == null) {
vlrdescNull = true;
this.vlrdesc = 0.;
} else { 
vlrdescNull = false;
this.vlrdesc = FglDouble.round(vlrdesc, 2);
}
}

public double getVlrliquido() {
return vlrliquido;
}

public boolean isVlrliquidoNull() {
return vlrliquidoNull;
}

public void setVlrliquido(int vlrliquido) {
setVlrliquido(new Double(vlrliquido));
}

public void setVlrliquido(long vlrliquido) {
setVlrliquido(new Double(vlrliquido));
}

public void setVlrliquido(Double vlrliquido) {
if (vlrliquido == null) {
vlrliquidoNull = true;
this.vlrliquido = 0.;
} else { 
vlrliquidoNull = false;
this.vlrliquido = FglDouble.round(vlrliquido, 2);
}
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

}

