package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabCxpdauto {
@Coluna(nome="cxpdauto.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdauto.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdauto.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxpdauto.dataautor", tipo="FglDateTimeYMin")
private FglDateTimeYMin dataautor;
@Coluna(nome="cxpdauto.id_agente_fin", tipo="int")
private int idAgenteFin;
private boolean idAgenteFinNull;
@Coluna(nome="cxpdauto.dataautor_fin", tipo="FglDateTimeYMin")
private FglDateTimeYMin dataautorFin;

public TabCxpdauto() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setIdAgente(null);
setDataautor(null);
setIdAgenteFin(null);
setDataautorFin(null);
}

public TabCxpdauto(int filial, int pedvenda, int idAgente, FglDateTimeYMin dataautor, int idAgenteFin, FglDateTimeYMin dataautorFin) {
this.filial = filial;
this.pedvenda = pedvenda;
this.idAgente = idAgente;
this.dataautor = dataautor;
this.idAgenteFin = idAgenteFin;
this.dataautorFin = dataautorFin;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYMin getDataautor() {
return dataautor;
}

public void setDataautor(FglDateTimeYMin dataautor) {
this.dataautor = dataautor;
}

public int getIdAgenteFin() {
return idAgenteFin;
}

public boolean isIdAgenteFinNull() {
return idAgenteFinNull;
}

public void setIdAgenteFin(Integer idAgenteFin) {
if (idAgenteFin == null) {
idAgenteFinNull = true;
this.idAgenteFin = 0;
} else { 
idAgenteFinNull = false;
this.idAgenteFin = idAgenteFin;
}
}

public FglDateTimeYMin getDataautorFin() {
return dataautorFin;
}

public void setDataautorFin(FglDateTimeYMin dataautorFin) {
this.dataautorFin = dataautorFin;
}

}

