package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxpdcheq {
@Coluna(nome="cxpdcheq.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdcheq.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdcheq.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="cxpdcheq.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="cxpdcheq.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="cxpdcheq.digagencia", tipo="int")
private int digagencia;
private boolean digagenciaNull;
@Coluna(nome="cxpdcheq.ctacorrente", tipo="long")
private long ctacorrente;
private boolean ctacorrenteNull;
@Coluna(nome="cxpdcheq.digitoconta", tipo="String")
private String digitoconta;
@Coluna(nome="cxpdcheq.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="cxpdcheq.sercheque", tipo="String")
private String sercheque;
@Coluna(nome="cxpdcheq.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxpdcheq.tppessoaemi", tipo="int")
private int tppessoaemi;
private boolean tppessoaemiNull;
@Coluna(nome="cxpdcheq.cgccpfemi", tipo="long")
private long cgccpfemi;
private boolean cgccpfemiNull;
@Coluna(nome="cxpdcheq.nomepessoaemi", tipo="String")
private String nomepessoaemi;
@Coluna(nome="cxpdcheq.camaracomp", tipo="int")
private int camaracomp;
private boolean camaracompNull;

public TabCxpdcheq() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNroparcela(null);
setNrobanco(null);
setNroagencia(null);
setDigagencia(null);
setCtacorrente(null);
setDigitoconta(null);
setNrocheque(null);
setSercheque(null);
setDtvencto(null);
setTppessoaemi(null);
setCgccpfemi(null);
setNomepessoaemi(null);
setCamaracomp(null);
}

public TabCxpdcheq(int filial, int pedvenda, int nroparcela, int nrobanco, int nroagencia, int digagencia, long ctacorrente, String digitoconta, int nrocheque, String sercheque, FglDate dtvencto, int tppessoaemi, long cgccpfemi, String nomepessoaemi, int camaracomp) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nroparcela = nroparcela;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.digagencia = digagencia;
this.ctacorrente = ctacorrente;
this.digitoconta = digitoconta;
this.nrocheque = nrocheque;
this.sercheque = sercheque;
this.dtvencto = dtvencto;
this.tppessoaemi = tppessoaemi;
this.cgccpfemi = cgccpfemi;
this.nomepessoaemi = nomepessoaemi;
this.camaracomp = camaracomp;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public int getDigagencia() {
return digagencia;
}

public boolean isDigagenciaNull() {
return digagenciaNull;
}

public void setDigagencia(Integer digagencia) {
if (digagencia == null) {
digagenciaNull = true;
this.digagencia = 0;
} else { 
digagenciaNull = false;
this.digagencia = digagencia;
}
}

public long getCtacorrente() {
return ctacorrente;
}

public boolean isCtacorrenteNull() {
return ctacorrenteNull;
}

public void setCtacorrente(int ctacorrente) {
setCtacorrente(new Long(ctacorrente));
}

public void setCtacorrente(Long ctacorrente) {
if (ctacorrente == null) {
ctacorrenteNull = true;
this.ctacorrente = 0l;
} else { 
ctacorrenteNull = false;
this.ctacorrente = ctacorrente;
}
}

public String getDigitoconta() {
return digitoconta;
}

public void setDigitoconta(String digitoconta) {
this.digitoconta = digitoconta;
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public String getSercheque() {
return sercheque;
}

public void setSercheque(String sercheque) {
this.sercheque = sercheque;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public int getTppessoaemi() {
return tppessoaemi;
}

public boolean isTppessoaemiNull() {
return tppessoaemiNull;
}

public void setTppessoaemi(Integer tppessoaemi) {
if (tppessoaemi == null) {
tppessoaemiNull = true;
this.tppessoaemi = 0;
} else { 
tppessoaemiNull = false;
this.tppessoaemi = tppessoaemi;
}
}

public long getCgccpfemi() {
return cgccpfemi;
}

public boolean isCgccpfemiNull() {
return cgccpfemiNull;
}

public void setCgccpfemi(int cgccpfemi) {
setCgccpfemi(new Long(cgccpfemi));
}

public void setCgccpfemi(Long cgccpfemi) {
if (cgccpfemi == null) {
cgccpfemiNull = true;
this.cgccpfemi = 0l;
} else { 
cgccpfemiNull = false;
this.cgccpfemi = cgccpfemi;
}
}

public String getNomepessoaemi() {
return nomepessoaemi;
}

public void setNomepessoaemi(String nomepessoaemi) {
this.nomepessoaemi = nomepessoaemi;
}

public int getCamaracomp() {
return camaracomp;
}

public boolean isCamaracompNull() {
return camaracompNull;
}

public void setCamaracomp(Integer camaracomp) {
if (camaracomp == null) {
camaracompNull = true;
this.camaracomp = 0;
} else { 
camaracompNull = false;
this.camaracomp = camaracomp;
}
}

}

