package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpddesp {
@Coluna(nome="cxpddesp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpddesp.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpddesp.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpddesp.id_ufdesp", tipo="int")
private int idUfdesp;
private boolean idUfdespNull;
@Coluna(nome="cxpddesp.vlrtaxa", tipo="double")
private double vlrtaxa;
private boolean vlrtaxaNull;
@Coluna(nome="cxpddesp.somatotfin", tipo="String")
private String somatotfin;

public TabCxpddesp() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setIdUfdesp(null);
setVlrtaxa(null);
setSomatotfin(null);
}

public TabCxpddesp(int filial, int pedvenda, int nrolinha, int idUfdesp, double vlrtaxa, String somatotfin) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.idUfdesp = idUfdesp;
this.vlrtaxa = vlrtaxa;
this.somatotfin = somatotfin;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public int getIdUfdesp() {
return idUfdesp;
}

public boolean isIdUfdespNull() {
return idUfdespNull;
}

public void setIdUfdesp(Integer idUfdesp) {
if (idUfdesp == null) {
idUfdespNull = true;
this.idUfdesp = 0;
} else { 
idUfdespNull = false;
this.idUfdesp = idUfdesp;
}
}

public double getVlrtaxa() {
return vlrtaxa;
}

public boolean isVlrtaxaNull() {
return vlrtaxaNull;
}

public void setVlrtaxa(int vlrtaxa) {
setVlrtaxa(new Double(vlrtaxa));
}

public void setVlrtaxa(long vlrtaxa) {
setVlrtaxa(new Double(vlrtaxa));
}

public void setVlrtaxa(Double vlrtaxa) {
if (vlrtaxa == null) {
vlrtaxaNull = true;
this.vlrtaxa = 0.;
} else { 
vlrtaxaNull = false;
this.vlrtaxa = FglDouble.round(vlrtaxa, 2);
}
}

public String getSomatotfin() {
return somatotfin;
}

public void setSomatotfin(String somatotfin) {
this.somatotfin = somatotfin;
}

}

