package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpditem {
@Coluna(nome="cxpditem.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpditem.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpditem.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpditem.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxpditem.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxpditem.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cxpditem.valorfrete", tipo="double")
private double valorfrete;
private boolean valorfreteNull;
@Coluna(nome="cxpditem.valorseguro", tipo="double")
private double valorseguro;
private boolean valorseguroNull;
@Coluna(nome="cxpditem.valortroco", tipo="double")
private double valortroco;
private boolean valortrocoNull;
@Coluna(nome="cxpditem.valoripi", tipo="double")
private double valoripi;
private boolean valoripiNull;
@Coluna(nome="cxpditem.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cxpditem.baseipi", tipo="double")
private double baseipi;
private boolean baseipiNull;
@Coluna(nome="cxpditem.sbaseicms", tipo="double")
private double sbaseicms;
private boolean sbaseicmsNull;
@Coluna(nome="cxpditem.cortesia", tipo="double")
private double cortesia;
private boolean cortesiaNull;
@Coluna(nome="cxpditem.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cxpditem.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxpditem.despachante", tipo="double")
private double despachante;
private boolean despachanteNull;
@Coluna(nome="cxpditem.vendaseguro", tipo="double")
private double vendaseguro;
private boolean vendaseguroNull;
@Coluna(nome="cxpditem.acessorios", tipo="double")
private double acessorios;
private boolean acessoriosNull;

public TabCxpditem() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setModelo(null);
setValor(null);
setValordesc(null);
setValorfrete(null);
setValorseguro(null);
setValortroco(null);
setValoripi(null);
setSvaloricms(null);
setBaseipi(null);
setSbaseicms(null);
setCortesia(null);
setAliqicms(null);
setChassis(null);
setDespachante(null);
setVendaseguro(null);
setAcessorios(null);
}

public TabCxpditem(int filial, int pedvenda, int nrolinha, String modelo, double valor, double valordesc, double valorfrete, double valorseguro, double valortroco, double valoripi, double svaloricms, double baseipi, double sbaseicms, double cortesia, double aliqicms, String chassis, double despachante, double vendaseguro, double acessorios) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.modelo = modelo;
this.valor = valor;
this.valordesc = valordesc;
this.valorfrete = valorfrete;
this.valorseguro = valorseguro;
this.valortroco = valortroco;
this.valoripi = valoripi;
this.svaloricms = svaloricms;
this.baseipi = baseipi;
this.sbaseicms = sbaseicms;
this.cortesia = cortesia;
this.aliqicms = aliqicms;
this.chassis = chassis;
this.despachante = despachante;
this.vendaseguro = vendaseguro;
this.acessorios = acessorios;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValorfrete() {
return valorfrete;
}

public boolean isValorfreteNull() {
return valorfreteNull;
}

public void setValorfrete(int valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(long valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(Double valorfrete) {
if (valorfrete == null) {
valorfreteNull = true;
this.valorfrete = 0.;
} else { 
valorfreteNull = false;
this.valorfrete = FglDouble.round(valorfrete, 2);
}
}

public double getValorseguro() {
return valorseguro;
}

public boolean isValorseguroNull() {
return valorseguroNull;
}

public void setValorseguro(int valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(long valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(Double valorseguro) {
if (valorseguro == null) {
valorseguroNull = true;
this.valorseguro = 0.;
} else { 
valorseguroNull = false;
this.valorseguro = FglDouble.round(valorseguro, 2);
}
}

public double getValortroco() {
return valortroco;
}

public boolean isValortrocoNull() {
return valortrocoNull;
}

public void setValortroco(int valortroco) {
setValortroco(new Double(valortroco));
}

public void setValortroco(long valortroco) {
setValortroco(new Double(valortroco));
}

public void setValortroco(Double valortroco) {
if (valortroco == null) {
valortrocoNull = true;
this.valortroco = 0.;
} else { 
valortrocoNull = false;
this.valortroco = FglDouble.round(valortroco, 2);
}
}

public double getValoripi() {
return valoripi;
}

public boolean isValoripiNull() {
return valoripiNull;
}

public void setValoripi(int valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(long valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(Double valoripi) {
if (valoripi == null) {
valoripiNull = true;
this.valoripi = 0.;
} else { 
valoripiNull = false;
this.valoripi = FglDouble.round(valoripi, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getBaseipi() {
return baseipi;
}

public boolean isBaseipiNull() {
return baseipiNull;
}

public void setBaseipi(int baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(long baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(Double baseipi) {
if (baseipi == null) {
baseipiNull = true;
this.baseipi = 0.;
} else { 
baseipiNull = false;
this.baseipi = FglDouble.round(baseipi, 2);
}
}

public double getSbaseicms() {
return sbaseicms;
}

public boolean isSbaseicmsNull() {
return sbaseicmsNull;
}

public void setSbaseicms(int sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(long sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(Double sbaseicms) {
if (sbaseicms == null) {
sbaseicmsNull = true;
this.sbaseicms = 0.;
} else { 
sbaseicmsNull = false;
this.sbaseicms = FglDouble.round(sbaseicms, 2);
}
}

public double getCortesia() {
return cortesia;
}

public boolean isCortesiaNull() {
return cortesiaNull;
}

public void setCortesia(int cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(long cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(Double cortesia) {
if (cortesia == null) {
cortesiaNull = true;
this.cortesia = 0.;
} else { 
cortesiaNull = false;
this.cortesia = FglDouble.round(cortesia, 2);
}
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getDespachante() {
return despachante;
}

public boolean isDespachanteNull() {
return despachanteNull;
}

public void setDespachante(int despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(long despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(Double despachante) {
if (despachante == null) {
despachanteNull = true;
this.despachante = 0.;
} else { 
despachanteNull = false;
this.despachante = FglDouble.round(despachante, 2);
}
}

public double getVendaseguro() {
return vendaseguro;
}

public boolean isVendaseguroNull() {
return vendaseguroNull;
}

public void setVendaseguro(int vendaseguro) {
setVendaseguro(new Double(vendaseguro));
}

public void setVendaseguro(long vendaseguro) {
setVendaseguro(new Double(vendaseguro));
}

public void setVendaseguro(Double vendaseguro) {
if (vendaseguro == null) {
vendaseguroNull = true;
this.vendaseguro = 0.;
} else { 
vendaseguroNull = false;
this.vendaseguro = FglDouble.round(vendaseguro, 2);
}
}

public double getAcessorios() {
return acessorios;
}

public boolean isAcessoriosNull() {
return acessoriosNull;
}

public void setAcessorios(int acessorios) {
setAcessorios(new Double(acessorios));
}

public void setAcessorios(long acessorios) {
setAcessorios(new Double(acessorios));
}

public void setAcessorios(Double acessorios) {
if (acessorios == null) {
acessoriosNull = true;
this.acessorios = 0.;
} else { 
acessoriosNull = false;
this.acessorios = FglDouble.round(acessorios, 2);
}
}

}

