package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdvinc {
@Coluna(nome="cxpdvinc.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdvinc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdvinc.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpdvinc.incidenciav", tipo="int")
private int incidenciav;
private boolean incidenciavNull;
@Coluna(nome="cxpdvinc.valorvenda", tipo="double")
private double valorvenda;
private boolean valorvendaNull;
@Coluna(nome="cxpdvinc.incidenciac", tipo="int")
private int incidenciac;
private boolean incidenciacNull;
@Coluna(nome="cxpdvinc.valorcusto", tipo="double")
private double valorcusto;
private boolean valorcustoNull;
@Coluna(nome="cxpdvinc.incidenciar", tipo="int")
private int incidenciar;
private boolean incidenciarNull;
@Coluna(nome="cxpdvinc.valorretorno", tipo="double")
private double valorretorno;
private boolean valorretornoNull;

public TabCxpdvinc() {
initialize();
}

public void initialize() {
setPedvenda(null);
setFilial(null);
setNrolinha(null);
setIncidenciav(null);
setValorvenda(null);
setIncidenciac(null);
setValorcusto(null);
setIncidenciar(null);
setValorretorno(null);
}

public TabCxpdvinc(int pedvenda, int filial, int nrolinha, int incidenciav, double valorvenda, int incidenciac, double valorcusto, int incidenciar, double valorretorno) {
this.pedvenda = pedvenda;
this.filial = filial;
this.nrolinha = nrolinha;
this.incidenciav = incidenciav;
this.valorvenda = valorvenda;
this.incidenciac = incidenciac;
this.valorcusto = valorcusto;
this.incidenciar = incidenciar;
this.valorretorno = valorretorno;
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public int getIncidenciav() {
return incidenciav;
}

public boolean isIncidenciavNull() {
return incidenciavNull;
}

public void setIncidenciav(Integer incidenciav) {
if (incidenciav == null) {
incidenciavNull = true;
this.incidenciav = 0;
} else { 
incidenciavNull = false;
this.incidenciav = incidenciav;
}
}

public double getValorvenda() {
return valorvenda;
}

public boolean isValorvendaNull() {
return valorvendaNull;
}

public void setValorvenda(int valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(long valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(Double valorvenda) {
if (valorvenda == null) {
valorvendaNull = true;
this.valorvenda = 0.;
} else { 
valorvendaNull = false;
this.valorvenda = FglDouble.round(valorvenda, 2);
}
}

public int getIncidenciac() {
return incidenciac;
}

public boolean isIncidenciacNull() {
return incidenciacNull;
}

public void setIncidenciac(Integer incidenciac) {
if (incidenciac == null) {
incidenciacNull = true;
this.incidenciac = 0;
} else { 
incidenciacNull = false;
this.incidenciac = incidenciac;
}
}

public double getValorcusto() {
return valorcusto;
}

public boolean isValorcustoNull() {
return valorcustoNull;
}

public void setValorcusto(int valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(long valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(Double valorcusto) {
if (valorcusto == null) {
valorcustoNull = true;
this.valorcusto = 0.;
} else { 
valorcustoNull = false;
this.valorcusto = FglDouble.round(valorcusto, 2);
}
}

public int getIncidenciar() {
return incidenciar;
}

public boolean isIncidenciarNull() {
return incidenciarNull;
}

public void setIncidenciar(Integer incidenciar) {
if (incidenciar == null) {
incidenciarNull = true;
this.incidenciar = 0;
} else { 
incidenciarNull = false;
this.incidenciar = incidenciar;
}
}

public double getValorretorno() {
return valorretorno;
}

public boolean isValorretornoNull() {
return valorretornoNull;
}

public void setValorretorno(int valorretorno) {
setValorretorno(new Double(valorretorno));
}

public void setValorretorno(long valorretorno) {
setValorretorno(new Double(valorretorno));
}

public void setValorretorno(Double valorretorno) {
if (valorretorno == null) {
valorretornoNull = true;
this.valorretorno = 0.;
} else { 
valorretornoNull = false;
this.valorretorno = FglDouble.round(valorretorno, 2);
}
}

}

