package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCxpedtro {
@Coluna(nome="cxpedtro.id_pedtro", tipo="int")
private int idPedtro;
private boolean idPedtroNull;
@Coluna(nome="cxpedtro.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpedtro.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpedtro.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpedtro.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cxpedtro.chassisantigo", tipo="String")
private String chassisantigo;
@Coluna(nome="cxpedtro.chassisnovo", tipo="String")
private String chassisnovo;
@Coluna(nome="cxpedtro.modeloantigo", tipo="String")
private String modeloantigo;
@Coluna(nome="cxpedtro.modelonovo", tipo="String")
private String modelonovo;
@Coluna(nome="cxpedtro.corexternaantigo", tipo="String")
private String corexternaantigo;
@Coluna(nome="cxpedtro.corexternanovo", tipo="String")
private String corexternanovo;
@Coluna(nome="cxpedtro.corinternaantigo", tipo="String")
private String corinternaantigo;
@Coluna(nome="cxpedtro.corinternanovo", tipo="String")
private String corinternanovo;
@Coluna(nome="cxpedtro.dtalteracao", tipo="FglDate")
private FglDate dtalteracao;
@Coluna(nome="cxpedtro.hralteracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hralteracao;
@Coluna(nome="cxpedtro.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxpedtro.nroportasantigo", tipo="int")
private int nroportasantigo;
private boolean nroportasantigoNull;
@Coluna(nome="cxpedtro.nroportasnovo", tipo="int")
private int nroportasnovo;
private boolean nroportasnovoNull;
@Coluna(nome="cxpedtro.combustivelantigo", tipo="int")
private int combustivelantigo;
private boolean combustivelantigoNull;
@Coluna(nome="cxpedtro.combustivelnovo", tipo="int")
private int combustivelnovo;
private boolean combustivelnovoNull;

public TabCxpedtro() {
initialize();
}

public void initialize() {
setIdPedtro(null);
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setSequencia(null);
setChassisantigo(null);
setChassisnovo(null);
setModeloantigo(null);
setModelonovo(null);
setCorexternaantigo(null);
setCorexternanovo(null);
setCorinternaantigo(null);
setCorinternanovo(null);
setDtalteracao(null);
setHralteracao(null);
setIdAgente(null);
setNroportasantigo(null);
setNroportasnovo(null);
setCombustivelantigo(null);
setCombustivelnovo(null);
}

public TabCxpedtro(int idPedtro, int filial, int pedvenda, int nrolinha, int sequencia, String chassisantigo, String chassisnovo, String modeloantigo, String modelonovo, String corexternaantigo, String corexternanovo, String corinternaantigo, String corinternanovo, FglDate dtalteracao, FglDateTimeHMin hralteracao, int idAgente, int nroportasantigo, int nroportasnovo, int combustivelantigo, int combustivelnovo) {
this.idPedtro = idPedtro;
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.sequencia = sequencia;
this.chassisantigo = chassisantigo;
this.chassisnovo = chassisnovo;
this.modeloantigo = modeloantigo;
this.modelonovo = modelonovo;
this.corexternaantigo = corexternaantigo;
this.corexternanovo = corexternanovo;
this.corinternaantigo = corinternaantigo;
this.corinternanovo = corinternanovo;
this.dtalteracao = dtalteracao;
this.hralteracao = hralteracao;
this.idAgente = idAgente;
this.nroportasantigo = nroportasantigo;
this.nroportasnovo = nroportasnovo;
this.combustivelantigo = combustivelantigo;
this.combustivelnovo = combustivelnovo;
}

public int getIdPedtro() {
return idPedtro;
}

public boolean isIdPedtroNull() {
return idPedtroNull;
}

public void setIdPedtro(Integer idPedtro) {
if (idPedtro == null) {
idPedtroNull = true;
this.idPedtro = 0;
} else { 
idPedtroNull = false;
this.idPedtro = idPedtro;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getChassisantigo() {
return chassisantigo;
}

public void setChassisantigo(String chassisantigo) {
this.chassisantigo = chassisantigo;
}

public String getChassisnovo() {
return chassisnovo;
}

public void setChassisnovo(String chassisnovo) {
this.chassisnovo = chassisnovo;
}

public String getModeloantigo() {
return modeloantigo;
}

public void setModeloantigo(String modeloantigo) {
this.modeloantigo = modeloantigo;
}

public String getModelonovo() {
return modelonovo;
}

public void setModelonovo(String modelonovo) {
this.modelonovo = modelonovo;
}

public String getCorexternaantigo() {
return corexternaantigo;
}

public void setCorexternaantigo(String corexternaantigo) {
this.corexternaantigo = corexternaantigo;
}

public String getCorexternanovo() {
return corexternanovo;
}

public void setCorexternanovo(String corexternanovo) {
this.corexternanovo = corexternanovo;
}

public String getCorinternaantigo() {
return corinternaantigo;
}

public void setCorinternaantigo(String corinternaantigo) {
this.corinternaantigo = corinternaantigo;
}

public String getCorinternanovo() {
return corinternanovo;
}

public void setCorinternanovo(String corinternanovo) {
this.corinternanovo = corinternanovo;
}

public FglDate getDtalteracao() {
return dtalteracao;
}

public void setDtalteracao(FglDate dtalteracao) {
this.dtalteracao = dtalteracao;
}

public FglDateTimeHMin getHralteracao() {
return hralteracao;
}

public void setHralteracao(FglDateTimeHMin hralteracao) {
this.hralteracao = hralteracao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getNroportasantigo() {
return nroportasantigo;
}

public boolean isNroportasantigoNull() {
return nroportasantigoNull;
}

public void setNroportasantigo(Integer nroportasantigo) {
if (nroportasantigo == null) {
nroportasantigoNull = true;
this.nroportasantigo = 0;
} else { 
nroportasantigoNull = false;
this.nroportasantigo = nroportasantigo;
}
}

public int getNroportasnovo() {
return nroportasnovo;
}

public boolean isNroportasnovoNull() {
return nroportasnovoNull;
}

public void setNroportasnovo(Integer nroportasnovo) {
if (nroportasnovo == null) {
nroportasnovoNull = true;
this.nroportasnovo = 0;
} else { 
nroportasnovoNull = false;
this.nroportasnovo = nroportasnovo;
}
}

public int getCombustivelantigo() {
return combustivelantigo;
}

public boolean isCombustivelantigoNull() {
return combustivelantigoNull;
}

public void setCombustivelantigo(Integer combustivelantigo) {
if (combustivelantigo == null) {
combustivelantigoNull = true;
this.combustivelantigo = 0;
} else { 
combustivelantigoNull = false;
this.combustivelantigo = combustivelantigo;
}
}

public int getCombustivelnovo() {
return combustivelnovo;
}

public boolean isCombustivelnovoNull() {
return combustivelnovoNull;
}

public void setCombustivelnovo(Integer combustivelnovo) {
if (combustivelnovo == null) {
combustivelnovoNull = true;
this.combustivelnovo = 0;
} else { 
combustivelnovoNull = false;
this.combustivelnovo = combustivelnovo;
}
}

}

