package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxperseg {
@Coluna(nome="cxperseg.id_perseg", tipo="int")
private int idPerseg;
private boolean idPersegNull;
@Coluna(nome="cxperseg.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxperseg.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxperseg.dtperseg", tipo="FglDate")
private FglDate dtperseg;
@Coluna(nome="cxperseg.tipovenda", tipo="String")
private String tipovenda;
@Coluna(nome="cxperseg.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxperseg.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxperseg.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxperseg.placa", tipo="String")
private String placa;
@Coluna(nome="cxperseg.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxperseg.marca", tipo="String")
private String marca;
@Coluna(nome="cxperseg.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="cxperseg.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="cxperseg.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxperseg.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="cxperseg.kitgas", tipo="String")
private String kitgas;
@Coluna(nome="cxperseg.alienado", tipo="String")
private String alienado;
@Coluna(nome="cxperseg.antifurto", tipo="String")
private String antifurto;
@Coluna(nome="cxperseg.tipoantfur", tipo="String")
private String tipoantfur;
@Coluna(nome="cxperseg.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxperseg.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxperseg.ceppernoite", tipo="String")
private String ceppernoite;
@Coluna(nome="cxperseg.utilizacao", tipo="String")
private String utilizacao;
@Coluna(nome="cxperseg.tiporeside", tipo="String")
private String tiporeside;
@Coluna(nome="cxperseg.veicroub", tipo="String")
private String veicroub;
@Coluna(nome="cxperseg.garagem", tipo="String")
private String garagem;
@Coluna(nome="cxperseg.filhos", tipo="String")
private String filhos;
@Coluna(nome="cxperseg.idadefilho", tipo="int")
private int idadefilho;
private boolean idadefilhoNull;
@Coluna(nome="cxperseg.filhodirige", tipo="String")
private String filhodirige;
@Coluna(nome="cxperseg.sexofilho", tipo="String")
private String sexofilho;
@Coluna(nome="cxperseg.distancia", tipo="int")
private int distancia;
private boolean distanciaNull;
@Coluna(nome="cxperseg.residecom", tipo="String")
private String residecom;
@Coluna(nome="cxperseg.dirigemveic", tipo="String")
private String dirigemveic;
@Coluna(nome="cxperseg.dirigenome", tipo="String")
private String dirigenome;
@Coluna(nome="cxperseg.dirigeparent", tipo="String")
private String dirigeparent;
@Coluna(nome="cxperseg.dirigeestciv", tipo="String")
private String dirigeestciv;
@Coluna(nome="cxperseg.dirigenascim", tipo="FglDate")
private FglDate dirigenascim;
@Coluna(nome="cxperseg.possuibonus", tipo="String")
private String possuibonus;
@Coluna(nome="cxperseg.porcentbonus", tipo="double")
private double porcentbonus;
private boolean porcentbonusNull;
@Coluna(nome="cxperseg.seguradora", tipo="String")
private String seguradora;

public TabCxperseg() {
initialize();
}

public void initialize() {
setIdPerseg(null);
setIdAgente(null);
setFilial(null);
setDtperseg(null);
setTipovenda(null);
setPedvenda(null);
setNrolinha(null);
setChassis(null);
setPlaca(null);
setModelo(null);
setMarca(null);
setAnofabric(null);
setAnomodelo(null);
setNovousado(null);
setCombustivel(null);
setKitgas(null);
setAlienado(null);
setAntifurto(null);
setTipoantfur(null);
setCgccpf(null);
setTppessoa(null);
setCeppernoite(null);
setUtilizacao(null);
setTiporeside(null);
setVeicroub(null);
setGaragem(null);
setFilhos(null);
setIdadefilho(null);
setFilhodirige(null);
setSexofilho(null);
setDistancia(null);
setResidecom(null);
setDirigemveic(null);
setDirigenome(null);
setDirigeparent(null);
setDirigeestciv(null);
setDirigenascim(null);
setPossuibonus(null);
setPorcentbonus(null);
setSeguradora(null);
}

public TabCxperseg(int idPerseg, int idAgente, int filial, FglDate dtperseg, String tipovenda, int pedvenda, int nrolinha, String chassis, String placa, String modelo, String marca, int anofabric, int anomodelo, String novousado, int combustivel, String kitgas, String alienado, String antifurto, String tipoantfur, long cgccpf, int tppessoa, String ceppernoite, String utilizacao, String tiporeside, String veicroub, String garagem, String filhos, int idadefilho, String filhodirige, String sexofilho, int distancia, String residecom, String dirigemveic, String dirigenome, String dirigeparent, String dirigeestciv, FglDate dirigenascim, String possuibonus, double porcentbonus, String seguradora) {
this.idPerseg = idPerseg;
this.idAgente = idAgente;
this.filial = filial;
this.dtperseg = dtperseg;
this.tipovenda = tipovenda;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.chassis = chassis;
this.placa = placa;
this.modelo = modelo;
this.marca = marca;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.novousado = novousado;
this.combustivel = combustivel;
this.kitgas = kitgas;
this.alienado = alienado;
this.antifurto = antifurto;
this.tipoantfur = tipoantfur;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.ceppernoite = ceppernoite;
this.utilizacao = utilizacao;
this.tiporeside = tiporeside;
this.veicroub = veicroub;
this.garagem = garagem;
this.filhos = filhos;
this.idadefilho = idadefilho;
this.filhodirige = filhodirige;
this.sexofilho = sexofilho;
this.distancia = distancia;
this.residecom = residecom;
this.dirigemveic = dirigemveic;
this.dirigenome = dirigenome;
this.dirigeparent = dirigeparent;
this.dirigeestciv = dirigeestciv;
this.dirigenascim = dirigenascim;
this.possuibonus = possuibonus;
this.porcentbonus = porcentbonus;
this.seguradora = seguradora;
}

public int getIdPerseg() {
return idPerseg;
}

public boolean isIdPersegNull() {
return idPersegNull;
}

public void setIdPerseg(Integer idPerseg) {
if (idPerseg == null) {
idPersegNull = true;
this.idPerseg = 0;
} else { 
idPersegNull = false;
this.idPerseg = idPerseg;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtperseg() {
return dtperseg;
}

public void setDtperseg(FglDate dtperseg) {
this.dtperseg = dtperseg;
}

public String getTipovenda() {
return tipovenda;
}

public void setTipovenda(String tipovenda) {
this.tipovenda = tipovenda;
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public String getKitgas() {
return kitgas;
}

public void setKitgas(String kitgas) {
this.kitgas = kitgas;
}

public String getAlienado() {
return alienado;
}

public void setAlienado(String alienado) {
this.alienado = alienado;
}

public String getAntifurto() {
return antifurto;
}

public void setAntifurto(String antifurto) {
this.antifurto = antifurto;
}

public String getTipoantfur() {
return tipoantfur;
}

public void setTipoantfur(String tipoantfur) {
this.tipoantfur = tipoantfur;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getCeppernoite() {
return ceppernoite;
}

public void setCeppernoite(String ceppernoite) {
this.ceppernoite = ceppernoite;
}

public String getUtilizacao() {
return utilizacao;
}

public void setUtilizacao(String utilizacao) {
this.utilizacao = utilizacao;
}

public String getTiporeside() {
return tiporeside;
}

public void setTiporeside(String tiporeside) {
this.tiporeside = tiporeside;
}

public String getVeicroub() {
return veicroub;
}

public void setVeicroub(String veicroub) {
this.veicroub = veicroub;
}

public String getGaragem() {
return garagem;
}

public void setGaragem(String garagem) {
this.garagem = garagem;
}

public String getFilhos() {
return filhos;
}

public void setFilhos(String filhos) {
this.filhos = filhos;
}

public int getIdadefilho() {
return idadefilho;
}

public boolean isIdadefilhoNull() {
return idadefilhoNull;
}

public void setIdadefilho(Integer idadefilho) {
if (idadefilho == null) {
idadefilhoNull = true;
this.idadefilho = 0;
} else { 
idadefilhoNull = false;
this.idadefilho = idadefilho;
}
}

public String getFilhodirige() {
return filhodirige;
}

public void setFilhodirige(String filhodirige) {
this.filhodirige = filhodirige;
}

public String getSexofilho() {
return sexofilho;
}

public void setSexofilho(String sexofilho) {
this.sexofilho = sexofilho;
}

public int getDistancia() {
return distancia;
}

public boolean isDistanciaNull() {
return distanciaNull;
}

public void setDistancia(Integer distancia) {
if (distancia == null) {
distanciaNull = true;
this.distancia = 0;
} else { 
distanciaNull = false;
this.distancia = distancia;
}
}

public String getResidecom() {
return residecom;
}

public void setResidecom(String residecom) {
this.residecom = residecom;
}

public String getDirigemveic() {
return dirigemveic;
}

public void setDirigemveic(String dirigemveic) {
this.dirigemveic = dirigemveic;
}

public String getDirigenome() {
return dirigenome;
}

public void setDirigenome(String dirigenome) {
this.dirigenome = dirigenome;
}

public String getDirigeparent() {
return dirigeparent;
}

public void setDirigeparent(String dirigeparent) {
this.dirigeparent = dirigeparent;
}

public String getDirigeestciv() {
return dirigeestciv;
}

public void setDirigeestciv(String dirigeestciv) {
this.dirigeestciv = dirigeestciv;
}

public FglDate getDirigenascim() {
return dirigenascim;
}

public void setDirigenascim(FglDate dirigenascim) {
this.dirigenascim = dirigenascim;
}

public String getPossuibonus() {
return possuibonus;
}

public void setPossuibonus(String possuibonus) {
this.possuibonus = possuibonus;
}

public double getPorcentbonus() {
return porcentbonus;
}

public boolean isPorcentbonusNull() {
return porcentbonusNull;
}

public void setPorcentbonus(int porcentbonus) {
setPorcentbonus(new Double(porcentbonus));
}

public void setPorcentbonus(long porcentbonus) {
setPorcentbonus(new Double(porcentbonus));
}

public void setPorcentbonus(Double porcentbonus) {
if (porcentbonus == null) {
porcentbonusNull = true;
this.porcentbonus = 0.;
} else { 
porcentbonusNull = false;
this.porcentbonus = FglDouble.round(porcentbonus, 2);
}
}

public String getSeguradora() {
return seguradora;
}

public void setSeguradora(String seguradora) {
this.seguradora = seguradora;
}

}

