package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpreava {
@Coluna(nome="cxpreava.avaliapre", tipo="int")
private int avaliapre;
private boolean avaliapreNull;
@Coluna(nome="cxpreava.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpreava.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cxpreava.placa", tipo="String")
private String placa;
@Coluna(nome="cxpreava.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxpreava.vlravalia", tipo="double")
private double vlravalia;
private boolean vlravaliaNull;
@Coluna(nome="cxpreava.observacao", tipo="String")
private String observacao;

public TabCxpreava() {
initialize();
}

public void initialize() {
setAvaliapre(null);
setFilial(null);
setData(null);
setPlaca(null);
setModelo(null);
setVlravalia(null);
setObservacao(null);
}

public TabCxpreava(int avaliapre, int filial, FglDate data, String placa, String modelo, double vlravalia, String observacao) {
this.avaliapre = avaliapre;
this.filial = filial;
this.data = data;
this.placa = placa;
this.modelo = modelo;
this.vlravalia = vlravalia;
this.observacao = observacao;
}

public int getAvaliapre() {
return avaliapre;
}

public boolean isAvaliapreNull() {
return avaliapreNull;
}

public void setAvaliapre(Integer avaliapre) {
if (avaliapre == null) {
avaliapreNull = true;
this.avaliapre = 0;
} else { 
avaliapreNull = false;
this.avaliapre = avaliapre;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getVlravalia() {
return vlravalia;
}

public boolean isVlravaliaNull() {
return vlravaliaNull;
}

public void setVlravalia(int vlravalia) {
setVlravalia(new Double(vlravalia));
}

public void setVlravalia(long vlravalia) {
setVlravalia(new Double(vlravalia));
}

public void setVlravalia(Double vlravalia) {
if (vlravalia == null) {
vlravaliaNull = true;
this.vlravalia = 0.;
} else { 
vlravaliaNull = false;
this.vlravalia = FglDouble.round(vlravalia, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

