package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCxprospf {
@Coluna(nome="cxprospf.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxprospf.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cxprospf.potencial", tipo="String")
private String potencial;
@Coluna(nome="cxprospf.dt_potencial", tipo="FglDate")
private FglDate dtPotencial;
@Coluna(nome="cxprospf.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="cxprospf.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxprospf.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cxprospf.linmod", tipo="int")
private int linmod;
private boolean linmodNull;
@Coluna(nome="cxprospf.novo_usado", tipo="String")
private String novoUsado;
@Coluna(nome="cxprospf.modelotroca", tipo="String")
private String modelotroca;
@Coluna(nome="cxprospf.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxprospf.login", tipo="String")
private String login;
@Coluna(nome="cxprospf.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxprospf.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxprospf.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cxprospf.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="cxprospf.nomeguerra", tipo="String")
private String nomeguerra;
@Coluna(nome="cxprospf.rg", tipo="String")
private String rg;
@Coluna(nome="cxprospf.digitorg", tipo="String")
private String digitorg;
@Coluna(nome="cxprospf.inscestadual", tipo="String")
private String inscestadual;
@Coluna(nome="cxprospf.endereco", tipo="String")
private String endereco;
@Coluna(nome="cxprospf.complemento", tipo="String")
private String complemento;
@Coluna(nome="cxprospf.bairro", tipo="String")
private String bairro;
@Coluna(nome="cxprospf.nomecidade", tipo="String")
private String nomecidade;
@Coluna(nome="cxprospf.estado", tipo="String")
private String estado;
@Coluna(nome="cxprospf.cep", tipo="String")
private String cep;
@Coluna(nome="cxprospf.dddcidade", tipo="String")
private String dddcidade;
@Coluna(nome="cxprospf.telefcont", tipo="String")
private String telefcont;
@Coluna(nome="cxprospf.celucont", tipo="String")
private String celucont;
@Coluna(nome="cxprospf.faxcont", tipo="String")
private String faxcont;
@Coluna(nome="cxprospf.dt_ficha", tipo="FglDate")
private FglDate dtFicha;
@Coluna(nome="cxprospf.dt_atualiza", tipo="FglDateTimeYS")
private FglDateTimeYS dtAtualiza;
@Coluna(nome="cxprospf.dt_ultconta", tipo="FglDate")
private FglDate dtUltconta;
@Coluna(nome="cxprospf.endeletronic", tipo="String")
private String endeletronic;
@Coluna(nome="cxprospf.corcompra", tipo="String")
private String corcompra;
@Coluna(nome="cxprospf.tpcomo_soube", tipo="String")
private String tpcomoSoube;
@Coluna(nome="cxprospf.precoavista", tipo="double")
private double precoavista;
private boolean precoavistaNull;
@Coluna(nome="cxprospf.opsaocompra", tipo="String")
private String opsaocompra;
@Coluna(nome="cxprospf.versao", tipo="String")
private String versao;
@Coluna(nome="cxprospf.sexo", tipo="String")
private String sexo;
@Coluna(nome="cxprospf.estadocivil", tipo="String")
private String estadocivil;
@Coluna(nome="cxprospf.filhopequeno", tipo="String")
private String filhopequeno;
@Coluna(nome="cxprospf.filialpedvend", tipo="int")
private int filialpedvend;
private boolean filialpedvendNull;
@Coluna(nome="cxprospf.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxprospf.codperfil", tipo="int")
private int codperfil;
private boolean codperfilNull;
@Coluna(nome="cxprospf.quemusa", tipo="int")
private int quemusa;
private boolean quemusaNull;
@Coluna(nome="cxprospf.nrofilhos", tipo="int")
private int nrofilhos;
private boolean nrofilhosNull;
@Coluna(nome="cxprospf.dtfundacao", tipo="FglDate")
private FglDate dtfundacao;
@Coluna(nome="cxprospf.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cxprospf.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="cxprospf.hrentrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrentrega;

public TabCxprospf() {
initialize();
}

public void initialize() {
setFilial(null);
setNronegocio(null);
setPotencial(null);
setDtPotencial(null);
setAvaliacao(null);
setModelo(null);
setFamilia(null);
setLinmod(null);
setNovoUsado(null);
setModelotroca(null);
setIdAgente(null);
setLogin(null);
setCgccpf(null);
setTppessoa(null);
setNroEndere(null);
setNomepessoa(null);
setNomeguerra(null);
setRg(null);
setDigitorg(null);
setInscestadual(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setNomecidade(null);
setEstado(null);
setCep(null);
setDddcidade(null);
setTelefcont(null);
setCelucont(null);
setFaxcont(null);
setDtFicha(null);
setDtAtualiza(null);
setDtUltconta(null);
setEndeletronic(null);
setCorcompra(null);
setTpcomoSoube(null);
setPrecoavista(null);
setOpsaocompra(null);
setVersao(null);
setSexo(null);
setEstadocivil(null);
setFilhopequeno(null);
setFilialpedvend(null);
setPedvenda(null);
setCodperfil(null);
setQuemusa(null);
setNrofilhos(null);
setDtfundacao(null);
setDtprevista(null);
setHrprevista(null);
setHrentrega(null);
}

public TabCxprospf(int filial, int nronegocio, String potencial, FglDate dtPotencial, int avaliacao, String modelo, int familia, int linmod, String novoUsado, String modelotroca, int idAgente, String login, long cgccpf, int tppessoa, long nroEndere, String nomepessoa, String nomeguerra, String rg, String digitorg, String inscestadual, String endereco, String complemento, String bairro, String nomecidade, String estado, String cep, String dddcidade, String telefcont, String celucont, String faxcont, FglDate dtFicha, FglDateTimeYS dtAtualiza, FglDate dtUltconta, String endeletronic, String corcompra, String tpcomoSoube, double precoavista, String opsaocompra, String versao, String sexo, String estadocivil, String filhopequeno, int filialpedvend, int pedvenda, int codperfil, int quemusa, int nrofilhos, FglDate dtfundacao, FglDate dtprevista, FglDateTimeHMin hrprevista, FglDateTimeHMin hrentrega) {
this.filial = filial;
this.nronegocio = nronegocio;
this.potencial = potencial;
this.dtPotencial = dtPotencial;
this.avaliacao = avaliacao;
this.modelo = modelo;
this.familia = familia;
this.linmod = linmod;
this.novoUsado = novoUsado;
this.modelotroca = modelotroca;
this.idAgente = idAgente;
this.login = login;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nroEndere = nroEndere;
this.nomepessoa = nomepessoa;
this.nomeguerra = nomeguerra;
this.rg = rg;
this.digitorg = digitorg;
this.inscestadual = inscestadual;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.nomecidade = nomecidade;
this.estado = estado;
this.cep = cep;
this.dddcidade = dddcidade;
this.telefcont = telefcont;
this.celucont = celucont;
this.faxcont = faxcont;
this.dtFicha = dtFicha;
this.dtAtualiza = dtAtualiza;
this.dtUltconta = dtUltconta;
this.endeletronic = endeletronic;
this.corcompra = corcompra;
this.tpcomoSoube = tpcomoSoube;
this.precoavista = precoavista;
this.opsaocompra = opsaocompra;
this.versao = versao;
this.sexo = sexo;
this.estadocivil = estadocivil;
this.filhopequeno = filhopequeno;
this.filialpedvend = filialpedvend;
this.pedvenda = pedvenda;
this.codperfil = codperfil;
this.quemusa = quemusa;
this.nrofilhos = nrofilhos;
this.dtfundacao = dtfundacao;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.hrentrega = hrentrega;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

public FglDate getDtPotencial() {
return dtPotencial;
}

public void setDtPotencial(FglDate dtPotencial) {
this.dtPotencial = dtPotencial;
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public int getLinmod() {
return linmod;
}

public boolean isLinmodNull() {
return linmodNull;
}

public void setLinmod(Integer linmod) {
if (linmod == null) {
linmodNull = true;
this.linmod = 0;
} else { 
linmodNull = false;
this.linmod = linmod;
}
}

public String getNovoUsado() {
return novoUsado;
}

public void setNovoUsado(String novoUsado) {
this.novoUsado = novoUsado;
}

public String getModelotroca() {
return modelotroca;
}

public void setModelotroca(String modelotroca) {
this.modelotroca = modelotroca;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public String getNomeguerra() {
return nomeguerra;
}

public void setNomeguerra(String nomeguerra) {
this.nomeguerra = nomeguerra;
}

public String getRg() {
return rg;
}

public void setRg(String rg) {
this.rg = rg;
}

public String getDigitorg() {
return digitorg;
}

public void setDigitorg(String digitorg) {
this.digitorg = digitorg;
}

public String getInscestadual() {
return inscestadual;
}

public void setInscestadual(String inscestadual) {
this.inscestadual = inscestadual;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getNomecidade() {
return nomecidade;
}

public void setNomecidade(String nomecidade) {
this.nomecidade = nomecidade;
}

public String getEstado() {
return estado;
}

public void setEstado(String estado) {
this.estado = estado;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getDddcidade() {
return dddcidade;
}

public void setDddcidade(String dddcidade) {
this.dddcidade = dddcidade;
}

public String getTelefcont() {
return telefcont;
}

public void setTelefcont(String telefcont) {
this.telefcont = telefcont;
}

public String getCelucont() {
return celucont;
}

public void setCelucont(String celucont) {
this.celucont = celucont;
}

public String getFaxcont() {
return faxcont;
}

public void setFaxcont(String faxcont) {
this.faxcont = faxcont;
}

public FglDate getDtFicha() {
return dtFicha;
}

public void setDtFicha(FglDate dtFicha) {
this.dtFicha = dtFicha;
}

public FglDateTimeYS getDtAtualiza() {
return dtAtualiza;
}

public void setDtAtualiza(FglDateTimeYS dtAtualiza) {
this.dtAtualiza = dtAtualiza;
}

public FglDate getDtUltconta() {
return dtUltconta;
}

public void setDtUltconta(FglDate dtUltconta) {
this.dtUltconta = dtUltconta;
}

public String getEndeletronic() {
return endeletronic;
}

public void setEndeletronic(String endeletronic) {
this.endeletronic = endeletronic;
}

public String getCorcompra() {
return corcompra;
}

public void setCorcompra(String corcompra) {
this.corcompra = corcompra;
}

public String getTpcomoSoube() {
return tpcomoSoube;
}

public void setTpcomoSoube(String tpcomoSoube) {
this.tpcomoSoube = tpcomoSoube;
}

public double getPrecoavista() {
return precoavista;
}

public boolean isPrecoavistaNull() {
return precoavistaNull;
}

public void setPrecoavista(int precoavista) {
setPrecoavista(new Double(precoavista));
}

public void setPrecoavista(long precoavista) {
setPrecoavista(new Double(precoavista));
}

public void setPrecoavista(Double precoavista) {
if (precoavista == null) {
precoavistaNull = true;
this.precoavista = 0.;
} else { 
precoavistaNull = false;
this.precoavista = FglDouble.round(precoavista, 2);
}
}

public String getOpsaocompra() {
return opsaocompra;
}

public void setOpsaocompra(String opsaocompra) {
this.opsaocompra = opsaocompra;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public String getEstadocivil() {
return estadocivil;
}

public void setEstadocivil(String estadocivil) {
this.estadocivil = estadocivil;
}

public String getFilhopequeno() {
return filhopequeno;
}

public void setFilhopequeno(String filhopequeno) {
this.filhopequeno = filhopequeno;
}

public int getFilialpedvend() {
return filialpedvend;
}

public boolean isFilialpedvendNull() {
return filialpedvendNull;
}

public void setFilialpedvend(Integer filialpedvend) {
if (filialpedvend == null) {
filialpedvendNull = true;
this.filialpedvend = 0;
} else { 
filialpedvendNull = false;
this.filialpedvend = filialpedvend;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getCodperfil() {
return codperfil;
}

public boolean isCodperfilNull() {
return codperfilNull;
}

public void setCodperfil(Integer codperfil) {
if (codperfil == null) {
codperfilNull = true;
this.codperfil = 0;
} else { 
codperfilNull = false;
this.codperfil = codperfil;
}
}

public int getQuemusa() {
return quemusa;
}

public boolean isQuemusaNull() {
return quemusaNull;
}

public void setQuemusa(Integer quemusa) {
if (quemusa == null) {
quemusaNull = true;
this.quemusa = 0;
} else { 
quemusaNull = false;
this.quemusa = quemusa;
}
}

public int getNrofilhos() {
return nrofilhos;
}

public boolean isNrofilhosNull() {
return nrofilhosNull;
}

public void setNrofilhos(Integer nrofilhos) {
if (nrofilhos == null) {
nrofilhosNull = true;
this.nrofilhos = 0;
} else { 
nrofilhosNull = false;
this.nrofilhos = nrofilhos;
}
}

public FglDate getDtfundacao() {
return dtfundacao;
}

public void setDtfundacao(FglDate dtfundacao) {
this.dtfundacao = dtfundacao;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public FglDateTimeHMin getHrentrega() {
return hrentrega;
}

public void setHrentrega(FglDateTimeHMin hrentrega) {
this.hrentrega = hrentrega;
}

}

