package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxprospp {
@Coluna(nome="cxprospp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxprospp.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cxprospp.nropesquisa", tipo="int")
private int nropesquisa;
private boolean nropesquisaNull;
@Coluna(nome="cxprospp.situacao", tipo="String")
private String situacao;
@Coluna(nome="cxprospp.dt_pesquisa", tipo="FglDate")
private FglDate dtPesquisa;
@Coluna(nome="cxprospp.dt_potencial", tipo="FglDate")
private FglDate dtPotencial;
@Coluna(nome="cxprospp.satisfacao", tipo="String")
private String satisfacao;
@Coluna(nome="cxprospp.conheceprod", tipo="String")
private String conheceprod;
@Coluna(nome="cxprospp.conhececonc", tipo="String")
private String conhececonc;
@Coluna(nome="cxprospp.atendimento", tipo="String")
private String atendimento;
@Coluna(nome="cxprospp.test_drive", tipo="String")
private String testDrive;
@Coluna(nome="cxprospp.aprecentacao", tipo="String")
private String aprecentacao;
@Coluna(nome="cxprospp.entrega", tipo="String")
private String entrega;
@Coluna(nome="cxprospp.atendnecess", tipo="String")
private String atendnecess;
@Coluna(nome="cxprospp.indsatisfacao", tipo="int")
private int indsatisfacao;
private boolean indsatisfacaoNull;
@Coluna(nome="cxprospp.observacoes", tipo="String")
private String observacoes;
@Coluna(nome="cxprospp.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxprospp.id_agentepesq", tipo="int")
private int idAgentepesq;
private boolean idAgentepesqNull;

public TabCxprospp() {
initialize();
}

public void initialize() {
setFilial(null);
setNronegocio(null);
setNropesquisa(null);
setSituacao(null);
setDtPesquisa(null);
setDtPotencial(null);
setSatisfacao(null);
setConheceprod(null);
setConhececonc(null);
setAtendimento(null);
setTestDrive(null);
setAprecentacao(null);
setEntrega(null);
setAtendnecess(null);
setIndsatisfacao(null);
setObservacoes(null);
setIdAgente(null);
setIdAgentepesq(null);
}

public TabCxprospp(int filial, int nronegocio, int nropesquisa, String situacao, FglDate dtPesquisa, FglDate dtPotencial, String satisfacao, String conheceprod, String conhececonc, String atendimento, String testDrive, String aprecentacao, String entrega, String atendnecess, int indsatisfacao, String observacoes, int idAgente, int idAgentepesq) {
this.filial = filial;
this.nronegocio = nronegocio;
this.nropesquisa = nropesquisa;
this.situacao = situacao;
this.dtPesquisa = dtPesquisa;
this.dtPotencial = dtPotencial;
this.satisfacao = satisfacao;
this.conheceprod = conheceprod;
this.conhececonc = conhececonc;
this.atendimento = atendimento;
this.testDrive = testDrive;
this.aprecentacao = aprecentacao;
this.entrega = entrega;
this.atendnecess = atendnecess;
this.indsatisfacao = indsatisfacao;
this.observacoes = observacoes;
this.idAgente = idAgente;
this.idAgentepesq = idAgentepesq;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public int getNropesquisa() {
return nropesquisa;
}

public boolean isNropesquisaNull() {
return nropesquisaNull;
}

public void setNropesquisa(Integer nropesquisa) {
if (nropesquisa == null) {
nropesquisaNull = true;
this.nropesquisa = 0;
} else { 
nropesquisaNull = false;
this.nropesquisa = nropesquisa;
}
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public FglDate getDtPesquisa() {
return dtPesquisa;
}

public void setDtPesquisa(FglDate dtPesquisa) {
this.dtPesquisa = dtPesquisa;
}

public FglDate getDtPotencial() {
return dtPotencial;
}

public void setDtPotencial(FglDate dtPotencial) {
this.dtPotencial = dtPotencial;
}

public String getSatisfacao() {
return satisfacao;
}

public void setSatisfacao(String satisfacao) {
this.satisfacao = satisfacao;
}

public String getConheceprod() {
return conheceprod;
}

public void setConheceprod(String conheceprod) {
this.conheceprod = conheceprod;
}

public String getConhececonc() {
return conhececonc;
}

public void setConhececonc(String conhececonc) {
this.conhececonc = conhececonc;
}

public String getAtendimento() {
return atendimento;
}

public void setAtendimento(String atendimento) {
this.atendimento = atendimento;
}

public String getTestDrive() {
return testDrive;
}

public void setTestDrive(String testDrive) {
this.testDrive = testDrive;
}

public String getAprecentacao() {
return aprecentacao;
}

public void setAprecentacao(String aprecentacao) {
this.aprecentacao = aprecentacao;
}

public String getEntrega() {
return entrega;
}

public void setEntrega(String entrega) {
this.entrega = entrega;
}

public String getAtendnecess() {
return atendnecess;
}

public void setAtendnecess(String atendnecess) {
this.atendnecess = atendnecess;
}

public int getIndsatisfacao() {
return indsatisfacao;
}

public boolean isIndsatisfacaoNull() {
return indsatisfacaoNull;
}

public void setIndsatisfacao(Integer indsatisfacao) {
if (indsatisfacao == null) {
indsatisfacaoNull = true;
this.indsatisfacao = 0;
} else { 
indsatisfacaoNull = false;
this.indsatisfacao = indsatisfacao;
}
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdAgentepesq() {
return idAgentepesq;
}

public boolean isIdAgentepesqNull() {
return idAgentepesqNull;
}

public void setIdAgentepesq(Integer idAgentepesq) {
if (idAgentepesq == null) {
idAgentepesqNull = true;
this.idAgentepesq = 0;
} else { 
idAgentepesqNull = false;
this.idAgentepesq = idAgentepesq;
}
}

}

