package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCxrespdc {
@Coluna(nome="cxrespdc.id_respdc", tipo="int")
private int idRespdc;
private boolean idRespdcNull;
@Coluna(nome="cxrespdc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxrespdc.pedcompra", tipo="int")
private int pedcompra;
private boolean pedcompraNull;
@Coluna(nome="cxrespdc.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxrespdc.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxrespdc.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="cxrespdc.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxrespdc.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="cxrespdc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxrespdc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxrespdc.status", tipo="String")
private String status;
@Coluna(nome="cxrespdc.tpreserva", tipo="String")
private String tpreserva;

public TabCxrespdc() {
initialize();
}

public void initialize() {
setIdRespdc(null);
setFilial(null);
setPedcompra(null);
setIdAgente(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setTppessoa(null);
setCgccpf(null);
setStatus(null);
setTpreserva(null);
}

public TabCxrespdc(int idRespdc, int filial, int pedcompra, int idAgente, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, int tppessoa, long cgccpf, String status, String tpreserva) {
this.idRespdc = idRespdc;
this.filial = filial;
this.pedcompra = pedcompra;
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.status = status;
this.tpreserva = tpreserva;
}

public int getIdRespdc() {
return idRespdc;
}

public boolean isIdRespdcNull() {
return idRespdcNull;
}

public void setIdRespdc(Integer idRespdc) {
if (idRespdc == null) {
idRespdcNull = true;
this.idRespdc = 0;
} else { 
idRespdcNull = false;
this.idRespdc = idRespdc;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedcompra() {
return pedcompra;
}

public boolean isPedcompraNull() {
return pedcompraNull;
}

public void setPedcompra(Integer pedcompra) {
if (pedcompra == null) {
pedcompraNull = true;
this.pedcompra = 0;
} else { 
pedcompraNull = false;
this.pedcompra = pedcompra;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getTpreserva() {
return tpreserva;
}

public void setTpreserva(String tpreserva) {
this.tpreserva = tpreserva;
}

}

