package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabCxveipen {
@Coluna(nome="cxveipen.id_veipen", tipo="int")
private int idVeipen;
private boolean idVeipenNull;
@Coluna(nome="cxveipen.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxveipen.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxveipen.dtvigencia", tipo="FglDateTimeYM")
private FglDateTimeYM dtvigencia;
@Coluna(nome="cxveipen.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxveipen.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxveipen.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxveipen.dtgravou", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtgravou;
@Coluna(nome="cxveipen.id_agente_gravou", tipo="int")
private int idAgenteGravou;
private boolean idAgenteGravouNull;

public TabCxveipen() {
initialize();
}

public void initialize() {
setIdVeipen(null);
setFilial(null);
setNovousado(null);
setDtvigencia(null);
setPedvenda(null);
setIdNfcapa(null);
setIdAgente(null);
setDtgravou(null);
setIdAgenteGravou(null);
}

public TabCxveipen(int idVeipen, int filial, String novousado, FglDateTimeYM dtvigencia, int pedvenda, int idNfcapa, int idAgente, FglDateTimeYMin dtgravou, int idAgenteGravou) {
this.idVeipen = idVeipen;
this.filial = filial;
this.novousado = novousado;
this.dtvigencia = dtvigencia;
this.pedvenda = pedvenda;
this.idNfcapa = idNfcapa;
this.idAgente = idAgente;
this.dtgravou = dtgravou;
this.idAgenteGravou = idAgenteGravou;
}

public int getIdVeipen() {
return idVeipen;
}

public boolean isIdVeipenNull() {
return idVeipenNull;
}

public void setIdVeipen(Integer idVeipen) {
if (idVeipen == null) {
idVeipenNull = true;
this.idVeipen = 0;
} else { 
idVeipenNull = false;
this.idVeipen = idVeipen;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public FglDateTimeYM getDtvigencia() {
return dtvigencia;
}

public void setDtvigencia(FglDateTimeYM dtvigencia) {
this.dtvigencia = dtvigencia;
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYMin getDtgravou() {
return dtgravou;
}

public void setDtgravou(FglDateTimeYMin dtgravou) {
this.dtgravou = dtgravou;
}

public int getIdAgenteGravou() {
return idAgenteGravou;
}

public boolean isIdAgenteGravouNull() {
return idAgenteGravouNull;
}

public void setIdAgenteGravou(Integer idAgenteGravou) {
if (idAgenteGravou == null) {
idAgenteGravouNull = true;
this.idAgenteGravou = 0;
} else { 
idAgenteGravouNull = false;
this.idAgenteGravou = idAgenteGravou;
}
}

}

