package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxvenita {
@Coluna(nome="cxvenita.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxvenita.operacao", tipo="String")
private String operacao;
@Coluna(nome="cxvenita.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="cxvenita.id_venita", tipo="int")
private int idVenita;
private boolean idVenitaNull;
@Coluna(nome="cxvenita.status", tipo="String")
private String status;
@Coluna(nome="cxvenita.data", tipo="FglDateTimeYS")
private FglDateTimeYS data;

public TabCxvenita() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setOperacao(null);
setIdTarefa(null);
setIdVenita(null);
setStatus(null);
setData(null);
}

public TabCxvenita(int idNfcapa, String operacao, int idTarefa, int idVenita, String status, FglDateTimeYS data) {
this.idNfcapa = idNfcapa;
this.operacao = operacao;
this.idTarefa = idTarefa;
this.idVenita = idVenita;
this.status = status;
this.data = data;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public int getIdVenita() {
return idVenita;
}

public boolean isIdVenitaNull() {
return idVenitaNull;
}

public void setIdVenita(Integer idVenita) {
if (idVenita == null) {
idVenitaNull = true;
this.idVenita = 0;
} else { 
idVenitaNull = false;
this.idVenita = idVenita;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getData() {
return data;
}

public void setData(FglDateTimeYS data) {
this.data = data;
}

}

