package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxvenper {
@Coluna(nome="cxvenper.id_venper", tipo="int")
private int idVenper;
private boolean idVenperNull;
@Coluna(nome="cxvenper.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxvenper.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxvenper.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxvenper.dtperdida", tipo="FglDate")
private FglDate dtperdida;
@Coluna(nome="cxvenper.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxvenper.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxvenper.motvendperd", tipo="int")
private int motvendperd;
private boolean motvendperdNull;
@Coluna(nome="cxvenper.qtdepedida", tipo="double")
private double qtdepedida;
private boolean qtdepedidaNull;
@Coluna(nome="cxvenper.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="cxvenper.concorrente", tipo="String")
private String concorrente;
@Coluna(nome="cxvenper.precoconcorr", tipo="double")
private double precoconcorr;
private boolean precoconcorrNull;
@Coluna(nome="cxvenper.particvenda", tipo="String")
private String particvenda;
@Coluna(nome="cxvenper.observprod", tipo="String")
private String observprod;
@Coluna(nome="cxvenper.observacao", tipo="String")
private String observacao;

public TabCxvenper() {
initialize();
}

public void initialize() {
setIdVenper(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setDtperdida(null);
setIdAgente(null);
setModelo(null);
setMotvendperd(null);
setQtdepedida(null);
setPrecopublico(null);
setConcorrente(null);
setPrecoconcorr(null);
setParticvenda(null);
setObservprod(null);
setObservacao(null);
}

public TabCxvenper(int idVenper, int filial, long cgccpf, int tppessoa, FglDate dtperdida, int idAgente, String modelo, int motvendperd, double qtdepedida, double precopublico, String concorrente, double precoconcorr, String particvenda, String observprod, String observacao) {
this.idVenper = idVenper;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtperdida = dtperdida;
this.idAgente = idAgente;
this.modelo = modelo;
this.motvendperd = motvendperd;
this.qtdepedida = qtdepedida;
this.precopublico = precopublico;
this.concorrente = concorrente;
this.precoconcorr = precoconcorr;
this.particvenda = particvenda;
this.observprod = observprod;
this.observacao = observacao;
}

public int getIdVenper() {
return idVenper;
}

public boolean isIdVenperNull() {
return idVenperNull;
}

public void setIdVenper(Integer idVenper) {
if (idVenper == null) {
idVenperNull = true;
this.idVenper = 0;
} else { 
idVenperNull = false;
this.idVenper = idVenper;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtperdida() {
return dtperdida;
}

public void setDtperdida(FglDate dtperdida) {
this.dtperdida = dtperdida;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getMotvendperd() {
return motvendperd;
}

public boolean isMotvendperdNull() {
return motvendperdNull;
}

public void setMotvendperd(Integer motvendperd) {
if (motvendperd == null) {
motvendperdNull = true;
this.motvendperd = 0;
} else { 
motvendperdNull = false;
this.motvendperd = motvendperd;
}
}

public double getQtdepedida() {
return qtdepedida;
}

public boolean isQtdepedidaNull() {
return qtdepedidaNull;
}

public void setQtdepedida(int qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(long qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(Double qtdepedida) {
if (qtdepedida == null) {
qtdepedidaNull = true;
this.qtdepedida = 0.;
} else { 
qtdepedidaNull = false;
this.qtdepedida = FglDouble.round(qtdepedida, 2);
}
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public String getConcorrente() {
return concorrente;
}

public void setConcorrente(String concorrente) {
this.concorrente = concorrente;
}

public double getPrecoconcorr() {
return precoconcorr;
}

public boolean isPrecoconcorrNull() {
return precoconcorrNull;
}

public void setPrecoconcorr(int precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(long precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(Double precoconcorr) {
if (precoconcorr == null) {
precoconcorrNull = true;
this.precoconcorr = 0.;
} else { 
precoconcorrNull = false;
this.precoconcorr = FglDouble.round(precoconcorr, 2);
}
}

public String getParticvenda() {
return particvenda;
}

public void setParticvenda(String particvenda) {
this.particvenda = particvenda;
}

public String getObservprod() {
return observprod;
}

public void setObservprod(String observprod) {
this.observprod = observprod;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

