package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxvpgrup {
@Coluna(nome="cxvpgrup.id_grupo", tipo="int")
private int idGrupo;
private boolean idGrupoNull;
@Coluna(nome="cxvpgrup.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxvpgrup.descricao", tipo="String")
private String descricao;
@Coluna(nome="cxvpgrup.datainicial", tipo="FglDate")
private FglDate datainicial;
@Coluna(nome="cxvpgrup.datafinal", tipo="FglDate")
private FglDate datafinal;
@Coluna(nome="cxvpgrup.parcelas", tipo="int")
private int parcelas;
private boolean parcelasNull;
@Coluna(nome="cxvpgrup.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxvpgrup.modelo", tipo="String")
private String modelo;

public TabCxvpgrup() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setFilial(null);
setDescricao(null);
setDatainicial(null);
setDatafinal(null);
setParcelas(null);
setValor(null);
setModelo(null);
}

public TabCxvpgrup(int idGrupo, int filial, String descricao, FglDate datainicial, FglDate datafinal, int parcelas, double valor, String modelo) {
this.idGrupo = idGrupo;
this.filial = filial;
this.descricao = descricao;
this.datainicial = datainicial;
this.datafinal = datafinal;
this.parcelas = parcelas;
this.valor = valor;
this.modelo = modelo;
}

public int getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(Integer idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0;
} else { 
idGrupoNull = false;
this.idGrupo = idGrupo;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDatainicial() {
return datainicial;
}

public void setDatainicial(FglDate datainicial) {
this.datainicial = datainicial;
}

public FglDate getDatafinal() {
return datafinal;
}

public void setDatafinal(FglDate datafinal) {
this.datafinal = datafinal;
}

public int getParcelas() {
return parcelas;
}

public boolean isParcelasNull() {
return parcelasNull;
}

public void setParcelas(Integer parcelas) {
if (parcelas == null) {
parcelasNull = true;
this.parcelas = 0;
} else { 
parcelasNull = false;
this.parcelas = parcelas;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

}

