package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxvprecb {
@Coluna(nome="cxvprecb.id_recbto", tipo="int")
private int idRecbto;
private boolean idRecbtoNull;
@Coluna(nome="cxvprecb.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="cxvprecb.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxvprecb.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="cxvprecb.tprecbto", tipo="String")
private String tprecbto;
@Coluna(nome="cxvprecb.dtrecbto", tipo="FglDate")
private FglDate dtrecbto;
@Coluna(nome="cxvprecb.dtcontabil", tipo="FglDate")
private FglDate dtcontabil;
@Coluna(nome="cxvprecb.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxvprecb.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cxvprecb.id_bcocheque", tipo="int")
private int idBcocheque;
private boolean idBcochequeNull;
@Coluna(nome="cxvprecb.nrocheque", tipo="String")
private String nrocheque;
@Coluna(nome="cxvprecb.doctocheque", tipo="String")
private String doctocheque;
@Coluna(nome="cxvprecb.emitentecheque", tipo="String")
private String emitentecheque;

public TabCxvprecb() {
initialize();
}

public void initialize() {
setIdRecbto(null);
setIdContrato(null);
setFilial(null);
setParcela(null);
setTprecbto(null);
setDtrecbto(null);
setDtcontabil(null);
setValor(null);
setIdLancto(null);
setIdBcocheque(null);
setNrocheque(null);
setDoctocheque(null);
setEmitentecheque(null);
}

public TabCxvprecb(int idRecbto, int idContrato, int filial, int parcela, String tprecbto, FglDate dtrecbto, FglDate dtcontabil, double valor, int idLancto, int idBcocheque, String nrocheque, String doctocheque, String emitentecheque) {
this.idRecbto = idRecbto;
this.idContrato = idContrato;
this.filial = filial;
this.parcela = parcela;
this.tprecbto = tprecbto;
this.dtrecbto = dtrecbto;
this.dtcontabil = dtcontabil;
this.valor = valor;
this.idLancto = idLancto;
this.idBcocheque = idBcocheque;
this.nrocheque = nrocheque;
this.doctocheque = doctocheque;
this.emitentecheque = emitentecheque;
}

public int getIdRecbto() {
return idRecbto;
}

public boolean isIdRecbtoNull() {
return idRecbtoNull;
}

public void setIdRecbto(Integer idRecbto) {
if (idRecbto == null) {
idRecbtoNull = true;
this.idRecbto = 0;
} else { 
idRecbtoNull = false;
this.idRecbto = idRecbto;
}
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public String getTprecbto() {
return tprecbto;
}

public void setTprecbto(String tprecbto) {
this.tprecbto = tprecbto;
}

public FglDate getDtrecbto() {
return dtrecbto;
}

public void setDtrecbto(FglDate dtrecbto) {
this.dtrecbto = dtrecbto;
}

public FglDate getDtcontabil() {
return dtcontabil;
}

public void setDtcontabil(FglDate dtcontabil) {
this.dtcontabil = dtcontabil;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdBcocheque() {
return idBcocheque;
}

public boolean isIdBcochequeNull() {
return idBcochequeNull;
}

public void setIdBcocheque(Integer idBcocheque) {
if (idBcocheque == null) {
idBcochequeNull = true;
this.idBcocheque = 0;
} else { 
idBcochequeNull = false;
this.idBcocheque = idBcocheque;
}
}

public String getNrocheque() {
return nrocheque;
}

public void setNrocheque(String nrocheque) {
this.nrocheque = nrocheque;
}

public String getDoctocheque() {
return doctocheque;
}

public void setDoctocheque(String doctocheque) {
this.doctocheque = doctocheque;
}

public String getEmitentecheque() {
return emitentecheque;
}

public void setEmitentecheque(String emitentecheque) {
this.emitentecheque = emitentecheque;
}

}

