package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCzafperc {
@Coluna(nome="czafperc.id_bens", tipo="int")
private int idBens;
private boolean idBensNull;
@Coluna(nome="czafperc.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="czafperc.percentual", tipo="double")
private double percentual;
private boolean percentualNull;

public TabCzafperc() {
initialize();
}

public void initialize() {
setIdBens(null);
setIdSetor(null);
setPercentual(null);
}

public TabCzafperc(int idBens, int idSetor, double percentual) {
this.idBens = idBens;
this.idSetor = idSetor;
this.percentual = percentual;
}

public int getIdBens() {
return idBens;
}

public boolean isIdBensNull() {
return idBensNull;
}

public void setIdBens(Integer idBens) {
if (idBens == null) {
idBensNull = true;
this.idBens = 0;
} else { 
idBensNull = false;
this.idBens = idBens;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 4);
}
}

}

