package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCzafreav {
@Coluna(nome="czafreav.id_bens", tipo="int")
private int idBens;
private boolean idBensNull;
@Coluna(nome="czafreav.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="czafreav.vlrmercado", tipo="double")
private double vlrmercado;
private boolean vlrmercadoNull;

public TabCzafreav() {
initialize();
}

public void initialize() {
setIdBens(null);
setAnomes(null);
setVlrmercado(null);
}

public TabCzafreav(int idBens, FglDateTimeYM anomes, double vlrmercado) {
this.idBens = idBens;
this.anomes = anomes;
this.vlrmercado = vlrmercado;
}

public int getIdBens() {
return idBens;
}

public boolean isIdBensNull() {
return idBensNull;
}

public void setIdBens(Integer idBens) {
if (idBens == null) {
idBensNull = true;
this.idBens = 0;
} else { 
idBensNull = false;
this.idBens = idBens;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getVlrmercado() {
return vlrmercado;
}

public boolean isVlrmercadoNull() {
return vlrmercadoNull;
}

public void setVlrmercado(int vlrmercado) {
setVlrmercado(new Double(vlrmercado));
}

public void setVlrmercado(long vlrmercado) {
setVlrmercado(new Double(vlrmercado));
}

public void setVlrmercado(Double vlrmercado) {
if (vlrmercado == null) {
vlrmercadoNull = true;
this.vlrmercado = 0.;
} else { 
vlrmercadoNull = false;
this.vlrmercado = FglDouble.round(vlrmercado, 2);
}
}

}

