package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDaconmov {
@Coluna(nome="daconmov.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="daconmov.ano", tipo="int")
private int ano;
private boolean anoNull;
@Coluna(nome="daconmov.mes", tipo="int")
private int mes;
private boolean mesNull;
@Coluna(nome="daconmov.nroficha", tipo="String")
private String nroficha;
@Coluna(nome="daconmov.campo", tipo="int")
private int campo;
private boolean campoNull;
@Coluna(nome="daconmov.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="daconmov.tipomov", tipo="String")
private String tipomov;

public TabDaconmov() {
initialize();
}

public void initialize() {
setFilial(null);
setAno(null);
setMes(null);
setNroficha(null);
setCampo(null);
setValor(null);
setTipomov(null);
}

public TabDaconmov(int filial, int ano, int mes, String nroficha, int campo, double valor, String tipomov) {
this.filial = filial;
this.ano = ano;
this.mes = mes;
this.nroficha = nroficha;
this.campo = campo;
this.valor = valor;
this.tipomov = tipomov;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getAno() {
return ano;
}

public boolean isAnoNull() {
return anoNull;
}

public void setAno(Integer ano) {
if (ano == null) {
anoNull = true;
this.ano = 0;
} else { 
anoNull = false;
this.ano = ano;
}
}

public int getMes() {
return mes;
}

public boolean isMesNull() {
return mesNull;
}

public void setMes(Integer mes) {
if (mes == null) {
mesNull = true;
this.mes = 0;
} else { 
mesNull = false;
this.mes = mes;
}
}

public String getNroficha() {
return nroficha;
}

public void setNroficha(String nroficha) {
this.nroficha = nroficha;
}

public int getCampo() {
return campo;
}

public boolean isCampoNull() {
return campoNull;
}

public void setCampo(Integer campo) {
if (campo == null) {
campoNull = true;
this.campo = 0;
} else { 
campoNull = false;
this.campo = campo;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getTipomov() {
return tipomov;
}

public void setTipomov(String tipomov) {
this.tipomov = tipomov;
}

}

