package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabDatasNaoAgendar {
@Coluna(nome="datas_nao_agendar.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="datas_nao_agendar.processo", tipo="String")
private String processo;
@Coluna(nome="datas_nao_agendar.observacoes", tipo="String")
private String observacoes;

public TabDatasNaoAgendar() {
initialize();
}

public void initialize() {
setData(null);
setProcesso(null);
setObservacoes(null);
}

public TabDatasNaoAgendar(FglDate data, String processo, String observacoes) {
this.data = data;
this.processo = processo;
this.observacoes = observacoes;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

}

