package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDecretolipetral {
@Coluna(nome="decretolipetral.produto", tipo="String")
private String produto;
@Coluna(nome="decretolipetral.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="decretolipetral.valorunitario", tipo="double")
private double valorunitario;
private boolean valorunitarioNull;
@Coluna(nome="decretolipetral.basestunitario", tipo="double")
private double basestunitario;
private boolean basestunitarioNull;

public TabDecretolipetral() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setValorunitario(null);
setBasestunitario(null);
}

public TabDecretolipetral(String produto, int filial, double valorunitario, double basestunitario) {
this.produto = produto;
this.filial = filial;
this.valorunitario = valorunitario;
this.basestunitario = basestunitario;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getValorunitario() {
return valorunitario;
}

public boolean isValorunitarioNull() {
return valorunitarioNull;
}

public void setValorunitario(int valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(long valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(Double valorunitario) {
if (valorunitario == null) {
valorunitarioNull = true;
this.valorunitario = 0.;
} else { 
valorunitarioNull = false;
this.valorunitario = FglDouble.round(valorunitario, 2);
}
}

public double getBasestunitario() {
return basestunitario;
}

public boolean isBasestunitarioNull() {
return basestunitarioNull;
}

public void setBasestunitario(int basestunitario) {
setBasestunitario(new Double(basestunitario));
}

public void setBasestunitario(long basestunitario) {
setBasestunitario(new Double(basestunitario));
}

public void setBasestunitario(Double basestunitario) {
if (basestunitario == null) {
basestunitarioNull = true;
this.basestunitario = 0.;
} else { 
basestunitarioNull = false;
this.basestunitario = FglDouble.round(basestunitario, 2);
}
}

}

