package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDlcontro {
@Coluna(nome="dlcontro.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="dlcontro.status", tipo="String")
private String status;
@Coluna(nome="dlcontro.dt_products", tipo="FglDateTimeYS")
private FglDateTimeYS dtProducts;
@Coluna(nome="dlcontro.dt_customers", tipo="FglDateTimeYS")
private FglDateTimeYS dtCustomers;
@Coluna(nome="dlcontro.dt_stores", tipo="FglDateTimeYS")
private FglDateTimeYS dtStores;
@Coluna(nome="dlcontro.dt_solds", tipo="FglDateTimeYS")
private FglDateTimeYS dtSolds;

public TabDlcontro() {
initialize();
}

public void initialize() {
setFilial(null);
setStatus(null);
setDtProducts(null);
setDtCustomers(null);
setDtStores(null);
setDtSolds(null);
}

public TabDlcontro(int filial, String status, FglDateTimeYS dtProducts, FglDateTimeYS dtCustomers, FglDateTimeYS dtStores, FglDateTimeYS dtSolds) {
this.filial = filial;
this.status = status;
this.dtProducts = dtProducts;
this.dtCustomers = dtCustomers;
this.dtStores = dtStores;
this.dtSolds = dtSolds;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getDtProducts() {
return dtProducts;
}

public void setDtProducts(FglDateTimeYS dtProducts) {
this.dtProducts = dtProducts;
}

public FglDateTimeYS getDtCustomers() {
return dtCustomers;
}

public void setDtCustomers(FglDateTimeYS dtCustomers) {
this.dtCustomers = dtCustomers;
}

public FglDateTimeYS getDtStores() {
return dtStores;
}

public void setDtStores(FglDateTimeYS dtStores) {
this.dtStores = dtStores;
}

public FglDateTimeYS getDtSolds() {
return dtSolds;
}

public void setDtSolds(FglDateTimeYS dtSolds) {
this.dtSolds = dtSolds;
}

}

