package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDlpessoa {
@Coluna(nome="dlpessoa.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="dlpessoa.cgccpf", tipo="double")
private double cgccpf;
private boolean cgccpfNull;
@Coluna(nome="dlpessoa.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="dlpessoa.data_alter", tipo="FglDateTimeYS")
private FglDateTimeYS dataAlter;

public TabDlpessoa() {
initialize();
}

public void initialize() {
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setDataAlter(null);
}

public TabDlpessoa(int filial, double cgccpf, int tppessoa, FglDateTimeYS dataAlter) {
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dataAlter = dataAlter;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Double(cgccpf));
}

public void setCgccpf(long cgccpf) {
setCgccpf(new Double(cgccpf));
}

public void setCgccpf(Double cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0.;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYS getDataAlter() {
return dataAlter;
}

public void setDataAlter(FglDateTimeYS dataAlter) {
this.dataAlter = dataAlter;
}

}

