package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabDmavalia {
@Coluna(nome="dmavalia.id_pedavaliacao", tipo="int")
private int idPedavaliacao;
private boolean idPedavaliacaoNull;
@Coluna(nome="dmavalia.quilometragem", tipo="int")
private int quilometragem;
private boolean quilometragemNull;
@Coluna(nome="dmavalia.observacao", tipo="String")
private String observacao;
@Coluna(nome="dmavalia.valorgastos", tipo="double")
private double valorgastos;
private boolean valorgastosNull;
@Coluna(nome="dmavalia.valoravaliacao", tipo="double")
private double valoravaliacao;
private boolean valoravaliacaoNull;
@Coluna(nome="dmavalia.dataavaliacao", tipo="FglDate")
private FglDate dataavaliacao;
@Coluna(nome="dmavalia.valormercado", tipo="double")
private double valormercado;
private boolean valormercadoNull;
@Coluna(nome="dmavalia.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="dmavalia.datavalidade", tipo="FglDate")
private FglDate datavalidade;

public TabDmavalia() {
initialize();
}

public void initialize() {
setIdPedavaliacao(null);
setQuilometragem(null);
setObservacao(null);
setValorgastos(null);
setValoravaliacao(null);
setDataavaliacao(null);
setValormercado(null);
setIdAgente(null);
setDatavalidade(null);
}

public TabDmavalia(int idPedavaliacao, int quilometragem, String observacao, double valorgastos, double valoravaliacao, FglDate dataavaliacao, double valormercado, int idAgente, FglDate datavalidade) {
this.idPedavaliacao = idPedavaliacao;
this.quilometragem = quilometragem;
this.observacao = observacao;
this.valorgastos = valorgastos;
this.valoravaliacao = valoravaliacao;
this.dataavaliacao = dataavaliacao;
this.valormercado = valormercado;
this.idAgente = idAgente;
this.datavalidade = datavalidade;
}

public int getIdPedavaliacao() {
return idPedavaliacao;
}

public boolean isIdPedavaliacaoNull() {
return idPedavaliacaoNull;
}

public void setIdPedavaliacao(Integer idPedavaliacao) {
if (idPedavaliacao == null) {
idPedavaliacaoNull = true;
this.idPedavaliacao = 0;
} else { 
idPedavaliacaoNull = false;
this.idPedavaliacao = idPedavaliacao;
}
}

public int getQuilometragem() {
return quilometragem;
}

public boolean isQuilometragemNull() {
return quilometragemNull;
}

public void setQuilometragem(Integer quilometragem) {
if (quilometragem == null) {
quilometragemNull = true;
this.quilometragem = 0;
} else { 
quilometragemNull = false;
this.quilometragem = quilometragem;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public double getValorgastos() {
return valorgastos;
}

public boolean isValorgastosNull() {
return valorgastosNull;
}

public void setValorgastos(int valorgastos) {
setValorgastos(new Double(valorgastos));
}

public void setValorgastos(long valorgastos) {
setValorgastos(new Double(valorgastos));
}

public void setValorgastos(Double valorgastos) {
if (valorgastos == null) {
valorgastosNull = true;
this.valorgastos = 0.;
} else { 
valorgastosNull = false;
this.valorgastos = FglDouble.round(valorgastos, 2);
}
}

public double getValoravaliacao() {
return valoravaliacao;
}

public boolean isValoravaliacaoNull() {
return valoravaliacaoNull;
}

public void setValoravaliacao(int valoravaliacao) {
setValoravaliacao(new Double(valoravaliacao));
}

public void setValoravaliacao(long valoravaliacao) {
setValoravaliacao(new Double(valoravaliacao));
}

public void setValoravaliacao(Double valoravaliacao) {
if (valoravaliacao == null) {
valoravaliacaoNull = true;
this.valoravaliacao = 0.;
} else { 
valoravaliacaoNull = false;
this.valoravaliacao = FglDouble.round(valoravaliacao, 2);
}
}

public FglDate getDataavaliacao() {
return dataavaliacao;
}

public void setDataavaliacao(FglDate dataavaliacao) {
this.dataavaliacao = dataavaliacao;
}

public double getValormercado() {
return valormercado;
}

public boolean isValormercadoNull() {
return valormercadoNull;
}

public void setValormercado(int valormercado) {
setValormercado(new Double(valormercado));
}

public void setValormercado(long valormercado) {
setValormercado(new Double(valormercado));
}

public void setValormercado(Double valormercado) {
if (valormercado == null) {
valormercadoNull = true;
this.valormercado = 0.;
} else { 
valormercadoNull = false;
this.valormercado = FglDouble.round(valormercado, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDatavalidade() {
return datavalidade;
}

public void setDatavalidade(FglDate datavalidade) {
this.datavalidade = datavalidade;
}

}

