package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDmavrepa {
@Coluna(nome="dmavrepa.id_pedavaliacao", tipo="int")
private int idPedavaliacao;
private boolean idPedavaliacaoNull;
@Coluna(nome="dmavrepa.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="dmavrepa.reparo", tipo="String")
private String reparo;
@Coluna(nome="dmavrepa.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="dmavrepa.id_foto", tipo="int")
private int idFoto;
private boolean idFotoNull;
@Coluna(nome="dmavrepa.id_parteveiculo", tipo="int")
private int idParteveiculo;
private boolean idParteveiculoNull;

public TabDmavrepa() {
initialize();
}

public void initialize() {
setIdPedavaliacao(null);
setSequencia(null);
setReparo(null);
setValor(null);
setIdFoto(null);
setIdParteveiculo(null);
}

public TabDmavrepa(int idPedavaliacao, int sequencia, String reparo, double valor, int idFoto, int idParteveiculo) {
this.idPedavaliacao = idPedavaliacao;
this.sequencia = sequencia;
this.reparo = reparo;
this.valor = valor;
this.idFoto = idFoto;
this.idParteveiculo = idParteveiculo;
}

public int getIdPedavaliacao() {
return idPedavaliacao;
}

public boolean isIdPedavaliacaoNull() {
return idPedavaliacaoNull;
}

public void setIdPedavaliacao(Integer idPedavaliacao) {
if (idPedavaliacao == null) {
idPedavaliacaoNull = true;
this.idPedavaliacao = 0;
} else { 
idPedavaliacaoNull = false;
this.idPedavaliacao = idPedavaliacao;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getReparo() {
return reparo;
}

public void setReparo(String reparo) {
this.reparo = reparo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdFoto() {
return idFoto;
}

public boolean isIdFotoNull() {
return idFotoNull;
}

public void setIdFoto(Integer idFoto) {
if (idFoto == null) {
idFotoNull = true;
this.idFoto = 0;
} else { 
idFotoNull = false;
this.idFoto = idFoto;
}
}

public int getIdParteveiculo() {
return idParteveiculo;
}

public boolean isIdParteveiculoNull() {
return idParteveiculoNull;
}

public void setIdParteveiculo(Integer idParteveiculo) {
if (idParteveiculo == null) {
idParteveiculoNull = true;
this.idParteveiculo = 0;
} else { 
idParteveiculoNull = false;
this.idParteveiculo = idParteveiculo;
}
}

}

