package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDmpreos {
@Coluna(nome="dmpreos.id_dmpreos", tipo="int")
private int idDmpreos;
private boolean idDmpreosNull;
@Coluna(nome="dmpreos.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="dmpreos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="dmpreos.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="dmpreos.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="dmpreos.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="dmpreos.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="dmpreos.chassis", tipo="String")
private String chassis;
@Coluna(nome="dmpreos.dataabertura", tipo="FglDate")
private FglDate dataabertura;
@Coluna(nome="dmpreos.modelo", tipo="String")
private String modelo;
@Coluna(nome="dmpreos.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="dmpreos.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="dmpreos.horimetro", tipo="double")
private double horimetro;
private boolean horimetroNull;

public TabDmpreos() {
initialize();
}

public void initialize() {
setIdDmpreos(null);
setIdOscapa(null);
setFilial(null);
setIdAgente(null);
setNomepessoa(null);
setCgccpf(null);
setTppessoa(null);
setChassis(null);
setDataabertura(null);
setModelo(null);
setCorinterna(null);
setCorexterna(null);
setHorimetro(null);
}

public TabDmpreos(int idDmpreos, int idOscapa, int filial, int idAgente, String nomepessoa, long cgccpf, int tppessoa, String chassis, FglDate dataabertura, String modelo, String corinterna, String corexterna, double horimetro) {
this.idDmpreos = idDmpreos;
this.idOscapa = idOscapa;
this.filial = filial;
this.idAgente = idAgente;
this.nomepessoa = nomepessoa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.chassis = chassis;
this.dataabertura = dataabertura;
this.modelo = modelo;
this.corinterna = corinterna;
this.corexterna = corexterna;
this.horimetro = horimetro;
}

public int getIdDmpreos() {
return idDmpreos;
}

public boolean isIdDmpreosNull() {
return idDmpreosNull;
}

public void setIdDmpreos(Integer idDmpreos) {
if (idDmpreos == null) {
idDmpreosNull = true;
this.idDmpreos = 0;
} else { 
idDmpreosNull = false;
this.idDmpreos = idDmpreos;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDataabertura() {
return dataabertura;
}

public void setDataabertura(FglDate dataabertura) {
this.dataabertura = dataabertura;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public double getHorimetro() {
return horimetro;
}

public boolean isHorimetroNull() {
return horimetroNull;
}

public void setHorimetro(int horimetro) {
setHorimetro(new Double(horimetro));
}

public void setHorimetro(long horimetro) {
setHorimetro(new Double(horimetro));
}

public void setHorimetro(Double horimetro) {
if (horimetro == null) {
horimetroNull = true;
this.horimetro = 0.;
} else { 
horimetroNull = false;
this.horimetro = FglDouble.round(horimetro, 2);
}
}

}

