package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabDschamad {
@Coluna(nome="dschamad.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="dschamad.nrocontrato", tipo="int")
private int nrocontrato;
private boolean nrocontratoNull;
@Coluna(nome="dschamad.nomeguerra", tipo="String")
private String nomeguerra;
@Coluna(nome="dschamad.severidade", tipo="int")
private int severidade;
private boolean severidadeNull;
@Coluna(nome="dschamad.nrocoe", tipo="int")
private int nrocoe;
private boolean nrocoeNull;
@Coluna(nome="dschamad.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="dschamad.hrabertura", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrabertura;
@Coluna(nome="dschamad.dtsolucao", tipo="FglDate")
private FglDate dtsolucao;
@Coluna(nome="dschamad.hrsolucao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrsolucao;
@Coluna(nome="dschamad.dtencerra", tipo="FglDate")
private FglDate dtencerra;
@Coluna(nome="dschamad.hrencerra", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrencerra;
@Coluna(nome="dschamad.idstatus", tipo="String")
private String idstatus;
@Coluna(nome="dschamad.tpcausa", tipo="String")
private String tpcausa;

public TabDschamad() {
initialize();
}

public void initialize() {
setBandeira(null);
setNrocontrato(null);
setNomeguerra(null);
setSeveridade(null);
setNrocoe(null);
setDtabertura(null);
setHrabertura(null);
setDtsolucao(null);
setHrsolucao(null);
setDtencerra(null);
setHrencerra(null);
setIdstatus(null);
setTpcausa(null);
}

public TabDschamad(String bandeira, int nrocontrato, String nomeguerra, int severidade, int nrocoe, FglDate dtabertura, FglDateTimeHMin hrabertura, FglDate dtsolucao, FglDateTimeHMin hrsolucao, FglDate dtencerra, FglDateTimeHMin hrencerra, String idstatus, String tpcausa) {
this.bandeira = bandeira;
this.nrocontrato = nrocontrato;
this.nomeguerra = nomeguerra;
this.severidade = severidade;
this.nrocoe = nrocoe;
this.dtabertura = dtabertura;
this.hrabertura = hrabertura;
this.dtsolucao = dtsolucao;
this.hrsolucao = hrsolucao;
this.dtencerra = dtencerra;
this.hrencerra = hrencerra;
this.idstatus = idstatus;
this.tpcausa = tpcausa;
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public int getNrocontrato() {
return nrocontrato;
}

public boolean isNrocontratoNull() {
return nrocontratoNull;
}

public void setNrocontrato(Integer nrocontrato) {
if (nrocontrato == null) {
nrocontratoNull = true;
this.nrocontrato = 0;
} else { 
nrocontratoNull = false;
this.nrocontrato = nrocontrato;
}
}

public String getNomeguerra() {
return nomeguerra;
}

public void setNomeguerra(String nomeguerra) {
this.nomeguerra = nomeguerra;
}

public int getSeveridade() {
return severidade;
}

public boolean isSeveridadeNull() {
return severidadeNull;
}

public void setSeveridade(Integer severidade) {
if (severidade == null) {
severidadeNull = true;
this.severidade = 0;
} else { 
severidadeNull = false;
this.severidade = severidade;
}
}

public int getNrocoe() {
return nrocoe;
}

public boolean isNrocoeNull() {
return nrocoeNull;
}

public void setNrocoe(Integer nrocoe) {
if (nrocoe == null) {
nrocoeNull = true;
this.nrocoe = 0;
} else { 
nrocoeNull = false;
this.nrocoe = nrocoe;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public FglDateTimeHMin getHrabertura() {
return hrabertura;
}

public void setHrabertura(FglDateTimeHMin hrabertura) {
this.hrabertura = hrabertura;
}

public FglDate getDtsolucao() {
return dtsolucao;
}

public void setDtsolucao(FglDate dtsolucao) {
this.dtsolucao = dtsolucao;
}

public FglDateTimeHMin getHrsolucao() {
return hrsolucao;
}

public void setHrsolucao(FglDateTimeHMin hrsolucao) {
this.hrsolucao = hrsolucao;
}

public FglDate getDtencerra() {
return dtencerra;
}

public void setDtencerra(FglDate dtencerra) {
this.dtencerra = dtencerra;
}

public FglDateTimeHMin getHrencerra() {
return hrencerra;
}

public void setHrencerra(FglDateTimeHMin hrencerra) {
this.hrencerra = hrencerra;
}

public String getIdstatus() {
return idstatus;
}

public void setIdstatus(String idstatus) {
this.idstatus = idstatus;
}

public String getTpcausa() {
return tpcausa;
}

public void setTpcausa(String tpcausa) {
this.tpcausa = tpcausa;
}

}

