package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDscontlj {
@Coluna(nome="dscontlj.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dscontlj.loja", tipo="int")
private int loja;
private boolean lojaNull;
@Coluna(nome="dscontlj.dtinic", tipo="FglDate")
private FglDate dtinic;
@Coluna(nome="dscontlj.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="dscontlj.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="dscontlj.qtusers", tipo="int")
private int qtusers;
private boolean qtusersNull;
@Coluna(nome="dscontlj.nomeloja", tipo="String")
private String nomeloja;
@Coluna(nome="dscontlj.endereco", tipo="String")
private String endereco;
@Coluna(nome="dscontlj.complemento", tipo="String")
private String complemento;
@Coluna(nome="dscontlj.bairro", tipo="String")
private String bairro;
@Coluna(nome="dscontlj.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="dscontlj.cep", tipo="String")
private String cep;
@Coluna(nome="dscontlj.fax", tipo="String")
private String fax;
@Coluna(nome="dscontlj.fone", tipo="String")
private String fone;
@Coluna(nome="dscontlj.cnpj", tipo="long")
private long cnpj;
private boolean cnpjNull;
@Coluna(nome="dscontlj.inscestad", tipo="String")
private String inscestad;
@Coluna(nome="dscontlj.usasisdia", tipo="String")
private String usasisdia;
@Coluna(nome="dscontlj.usasvt", tipo="String")
private String usasvt;
@Coluna(nome="dscontlj.tpintsvt", tipo="int")
private int tpintsvt;
private boolean tpintsvtNull;
@Coluna(nome="dscontlj.temtsw", tipo="String")
private String temtsw;
@Coluna(nome="dscontlj.dealernumber", tipo="String")
private String dealernumber;
@Coluna(nome="dscontlj.versao", tipo="String")
private String versao;
@Coluna(nome="dscontlj.dtatualiza", tipo="FglDate")
private FglDate dtatualiza;
@Coluna(nome="dscontlj.tploja", tipo="String")
private String tploja;
@Coluna(nome="dscontlj.regiao", tipo="int")
private int regiao;
private boolean regiaoNull;
@Coluna(nome="dscontlj.bloqueado", tipo="String")
private String bloqueado;
@Coluna(nome="dscontlj.databloqueio", tipo="FglDateTimeYS")
private FglDateTimeYS databloqueio;
@Coluna(nome="dscontlj.bloqueioautomatico", tipo="String")
private String bloqueioautomatico;

public TabDscontlj() {
initialize();
}

public void initialize() {
setContrato(null);
setLoja(null);
setDtinic(null);
setDtfim(null);
setBandeira(null);
setQtusers(null);
setNomeloja(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setCidade(null);
setCep(null);
setFax(null);
setFone(null);
setCnpj(null);
setInscestad(null);
setUsasisdia(null);
setUsasvt(null);
setTpintsvt(null);
setTemtsw(null);
setDealernumber(null);
setVersao(null);
setDtatualiza(null);
setTploja(null);
setRegiao(null);
setBloqueado(null);
setDatabloqueio(null);
setBloqueioautomatico(null);
}

public TabDscontlj(int contrato, int loja, FglDate dtinic, FglDate dtfim, String bandeira, int qtusers, String nomeloja, String endereco, String complemento, String bairro, int cidade, String cep, String fax, String fone, long cnpj, String inscestad, String usasisdia, String usasvt, int tpintsvt, String temtsw, String dealernumber, String versao, FglDate dtatualiza, String tploja, int regiao, String bloqueado, FglDateTimeYS databloqueio, String bloqueioautomatico) {
this.contrato = contrato;
this.loja = loja;
this.dtinic = dtinic;
this.dtfim = dtfim;
this.bandeira = bandeira;
this.qtusers = qtusers;
this.nomeloja = nomeloja;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.cidade = cidade;
this.cep = cep;
this.fax = fax;
this.fone = fone;
this.cnpj = cnpj;
this.inscestad = inscestad;
this.usasisdia = usasisdia;
this.usasvt = usasvt;
this.tpintsvt = tpintsvt;
this.temtsw = temtsw;
this.dealernumber = dealernumber;
this.versao = versao;
this.dtatualiza = dtatualiza;
this.tploja = tploja;
this.regiao = regiao;
this.bloqueado = bloqueado;
this.databloqueio = databloqueio;
this.bloqueioautomatico = bloqueioautomatico;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public int getLoja() {
return loja;
}

public boolean isLojaNull() {
return lojaNull;
}

public void setLoja(Integer loja) {
if (loja == null) {
lojaNull = true;
this.loja = 0;
} else { 
lojaNull = false;
this.loja = loja;
}
}

public FglDate getDtinic() {
return dtinic;
}

public void setDtinic(FglDate dtinic) {
this.dtinic = dtinic;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public int getQtusers() {
return qtusers;
}

public boolean isQtusersNull() {
return qtusersNull;
}

public void setQtusers(Integer qtusers) {
if (qtusers == null) {
qtusersNull = true;
this.qtusers = 0;
} else { 
qtusersNull = false;
this.qtusers = qtusers;
}
}

public String getNomeloja() {
return nomeloja;
}

public void setNomeloja(String nomeloja) {
this.nomeloja = nomeloja;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public long getCnpj() {
return cnpj;
}

public boolean isCnpjNull() {
return cnpjNull;
}

public void setCnpj(int cnpj) {
setCnpj(new Long(cnpj));
}

public void setCnpj(Long cnpj) {
if (cnpj == null) {
cnpjNull = true;
this.cnpj = 0l;
} else { 
cnpjNull = false;
this.cnpj = cnpj;
}
}

public String getInscestad() {
return inscestad;
}

public void setInscestad(String inscestad) {
this.inscestad = inscestad;
}

public String getUsasisdia() {
return usasisdia;
}

public void setUsasisdia(String usasisdia) {
this.usasisdia = usasisdia;
}

public String getUsasvt() {
return usasvt;
}

public void setUsasvt(String usasvt) {
this.usasvt = usasvt;
}

public int getTpintsvt() {
return tpintsvt;
}

public boolean isTpintsvtNull() {
return tpintsvtNull;
}

public void setTpintsvt(Integer tpintsvt) {
if (tpintsvt == null) {
tpintsvtNull = true;
this.tpintsvt = 0;
} else { 
tpintsvtNull = false;
this.tpintsvt = tpintsvt;
}
}

public String getTemtsw() {
return temtsw;
}

public void setTemtsw(String temtsw) {
this.temtsw = temtsw;
}

public String getDealernumber() {
return dealernumber;
}

public void setDealernumber(String dealernumber) {
this.dealernumber = dealernumber;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public FglDate getDtatualiza() {
return dtatualiza;
}

public void setDtatualiza(FglDate dtatualiza) {
this.dtatualiza = dtatualiza;
}

public String getTploja() {
return tploja;
}

public void setTploja(String tploja) {
this.tploja = tploja;
}

public int getRegiao() {
return regiao;
}

public boolean isRegiaoNull() {
return regiaoNull;
}

public void setRegiao(Integer regiao) {
if (regiao == null) {
regiaoNull = true;
this.regiao = 0;
} else { 
regiaoNull = false;
this.regiao = regiao;
}
}

public String getBloqueado() {
return bloqueado;
}

public void setBloqueado(String bloqueado) {
this.bloqueado = bloqueado;
}

public FglDateTimeYS getDatabloqueio() {
return databloqueio;
}

public void setDatabloqueio(FglDateTimeYS databloqueio) {
this.databloqueio = databloqueio;
}

public String getBloqueioautomatico() {
return bloqueioautomatico;
}

public void setBloqueioautomatico(String bloqueioautomatico) {
this.bloqueioautomatico = bloqueioautomatico;
}

}

