package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDscontra {
@Coluna(nome="dscontra.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dscontra.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="dscontra.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="dscontra.dtcontrato", tipo="FglDate")
private FglDate dtcontrato;
@Coluna(nome="dscontra.dtcorte", tipo="FglDateTimeYM")
private FglDateTimeYM dtcorte;
@Coluna(nome="dscontra.dtreajuste", tipo="FglDateTimeYM")
private FglDateTimeYM dtreajuste;
@Coluna(nome="dscontra.dt_veio_tap", tipo="FglDate")
private FglDate dtVeioTap;
@Coluna(nome="dscontra.dt_veio_aap", tipo="FglDate")
private FglDate dtVeioAap;
@Coluna(nome="dscontra.dt_foi_cpc", tipo="FglDate")
private FglDate dtFoiCpc;
@Coluna(nome="dscontra.dt_veio_cpc", tipo="FglDate")
private FglDate dtVeioCpc;
@Coluna(nome="dscontra.dt_veio_atu", tipo="FglDate")
private FglDate dtVeioAtu;
@Coluna(nome="dscontra.dt_foi_qsc", tipo="FglDate")
private FglDate dtFoiQsc;
@Coluna(nome="dscontra.dt_veio_qsc", tipo="FglDate")
private FglDate dtVeioQsc;
@Coluna(nome="dscontra.dt_foi_tep", tipo="FglDate")
private FglDate dtFoiTep;
@Coluna(nome="dscontra.dt_veio_tep", tipo="FglDate")
private FglDate dtVeioTep;
@Coluna(nome="dscontra.precohora", tipo="double")
private double precohora;
private boolean precohoraNull;
@Coluna(nome="dscontra.precokm", tipo="double")
private double precokm;
private boolean precokmNull;
@Coluna(nome="dscontra.valormensal", tipo="double")
private double valormensal;
private boolean valormensalNull;
@Coluna(nome="dscontra.credconta", tipo="String")
private String credconta;
@Coluna(nome="dscontra.diaemissao", tipo="int")
private int diaemissao;
private boolean diaemissaoNull;
@Coluna(nome="dscontra.diavcto", tipo="int")
private int diavcto;
private boolean diavctoNull;
@Coluna(nome="dscontra.qtusers", tipo="int")
private int qtusers;
private boolean qtusersNull;
@Coluna(nome="dscontra.dtcancela", tipo="FglDate")
private FglDate dtcancela;
@Coluna(nome="dscontra.pacote", tipo="String")
private String pacote;
@Coluna(nome="dscontra.observacao", tipo="String")
private String observacao;
@Coluna(nome="dscontra.indexador", tipo="String")
private String indexador;
@Coluna(nome="dscontra.grupo", tipo="String")
private String grupo;
@Coluna(nome="dscontra.potencialabc", tipo="String")
private String potencialabc;
@Coluna(nome="dscontra.desconto_covid", tipo="String")
private String descontoCovid;
@Coluna(nome="dscontra.atualizou_covid", tipo="String")
private String atualizouCovid;
@Coluna(nome="dscontra.utiliza_sisdiafx", tipo="String")
private String utilizaSisdiafx;

public TabDscontra() {
initialize();
}

public void initialize() {
setContrato(null);
setCgccpf(null);
setTppessoa(null);
setDtcontrato(null);
setDtcorte(null);
setDtreajuste(null);
setDtVeioTap(null);
setDtVeioAap(null);
setDtFoiCpc(null);
setDtVeioCpc(null);
setDtVeioAtu(null);
setDtFoiQsc(null);
setDtVeioQsc(null);
setDtFoiTep(null);
setDtVeioTep(null);
setPrecohora(null);
setPrecokm(null);
setValormensal(null);
setCredconta(null);
setDiaemissao(null);
setDiavcto(null);
setQtusers(null);
setDtcancela(null);
setPacote(null);
setObservacao(null);
setIndexador(null);
setGrupo(null);
setPotencialabc(null);
setDescontoCovid(null);
setAtualizouCovid(null);
setUtilizaSisdiafx(null);
}

public TabDscontra(int contrato, long cgccpf, int tppessoa, FglDate dtcontrato, FglDateTimeYM dtcorte, FglDateTimeYM dtreajuste, FglDate dtVeioTap, FglDate dtVeioAap, FglDate dtFoiCpc, FglDate dtVeioCpc, FglDate dtVeioAtu, FglDate dtFoiQsc, FglDate dtVeioQsc, FglDate dtFoiTep, FglDate dtVeioTep, double precohora, double precokm, double valormensal, String credconta, int diaemissao, int diavcto, int qtusers, FglDate dtcancela, String pacote, String observacao, String indexador, String grupo, String potencialabc, String descontoCovid, String atualizouCovid, String utilizaSisdiafx) {
this.contrato = contrato;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtcontrato = dtcontrato;
this.dtcorte = dtcorte;
this.dtreajuste = dtreajuste;
this.dtVeioTap = dtVeioTap;
this.dtVeioAap = dtVeioAap;
this.dtFoiCpc = dtFoiCpc;
this.dtVeioCpc = dtVeioCpc;
this.dtVeioAtu = dtVeioAtu;
this.dtFoiQsc = dtFoiQsc;
this.dtVeioQsc = dtVeioQsc;
this.dtFoiTep = dtFoiTep;
this.dtVeioTep = dtVeioTep;
this.precohora = precohora;
this.precokm = precokm;
this.valormensal = valormensal;
this.credconta = credconta;
this.diaemissao = diaemissao;
this.diavcto = diavcto;
this.qtusers = qtusers;
this.dtcancela = dtcancela;
this.pacote = pacote;
this.observacao = observacao;
this.indexador = indexador;
this.grupo = grupo;
this.potencialabc = potencialabc;
this.descontoCovid = descontoCovid;
this.atualizouCovid = atualizouCovid;
this.utilizaSisdiafx = utilizaSisdiafx;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtcontrato() {
return dtcontrato;
}

public void setDtcontrato(FglDate dtcontrato) {
this.dtcontrato = dtcontrato;
}

public FglDateTimeYM getDtcorte() {
return dtcorte;
}

public void setDtcorte(FglDateTimeYM dtcorte) {
this.dtcorte = dtcorte;
}

public FglDateTimeYM getDtreajuste() {
return dtreajuste;
}

public void setDtreajuste(FglDateTimeYM dtreajuste) {
this.dtreajuste = dtreajuste;
}

public FglDate getDtVeioTap() {
return dtVeioTap;
}

public void setDtVeioTap(FglDate dtVeioTap) {
this.dtVeioTap = dtVeioTap;
}

public FglDate getDtVeioAap() {
return dtVeioAap;
}

public void setDtVeioAap(FglDate dtVeioAap) {
this.dtVeioAap = dtVeioAap;
}

public FglDate getDtFoiCpc() {
return dtFoiCpc;
}

public void setDtFoiCpc(FglDate dtFoiCpc) {
this.dtFoiCpc = dtFoiCpc;
}

public FglDate getDtVeioCpc() {
return dtVeioCpc;
}

public void setDtVeioCpc(FglDate dtVeioCpc) {
this.dtVeioCpc = dtVeioCpc;
}

public FglDate getDtVeioAtu() {
return dtVeioAtu;
}

public void setDtVeioAtu(FglDate dtVeioAtu) {
this.dtVeioAtu = dtVeioAtu;
}

public FglDate getDtFoiQsc() {
return dtFoiQsc;
}

public void setDtFoiQsc(FglDate dtFoiQsc) {
this.dtFoiQsc = dtFoiQsc;
}

public FglDate getDtVeioQsc() {
return dtVeioQsc;
}

public void setDtVeioQsc(FglDate dtVeioQsc) {
this.dtVeioQsc = dtVeioQsc;
}

public FglDate getDtFoiTep() {
return dtFoiTep;
}

public void setDtFoiTep(FglDate dtFoiTep) {
this.dtFoiTep = dtFoiTep;
}

public FglDate getDtVeioTep() {
return dtVeioTep;
}

public void setDtVeioTep(FglDate dtVeioTep) {
this.dtVeioTep = dtVeioTep;
}

public double getPrecohora() {
return precohora;
}

public boolean isPrecohoraNull() {
return precohoraNull;
}

public void setPrecohora(int precohora) {
setPrecohora(new Double(precohora));
}

public void setPrecohora(long precohora) {
setPrecohora(new Double(precohora));
}

public void setPrecohora(Double precohora) {
if (precohora == null) {
precohoraNull = true;
this.precohora = 0.;
} else { 
precohoraNull = false;
this.precohora = FglDouble.round(precohora, 2);
}
}

public double getPrecokm() {
return precokm;
}

public boolean isPrecokmNull() {
return precokmNull;
}

public void setPrecokm(int precokm) {
setPrecokm(new Double(precokm));
}

public void setPrecokm(long precokm) {
setPrecokm(new Double(precokm));
}

public void setPrecokm(Double precokm) {
if (precokm == null) {
precokmNull = true;
this.precokm = 0.;
} else { 
precokmNull = false;
this.precokm = FglDouble.round(precokm, 2);
}
}

public double getValormensal() {
return valormensal;
}

public boolean isValormensalNull() {
return valormensalNull;
}

public void setValormensal(int valormensal) {
setValormensal(new Double(valormensal));
}

public void setValormensal(long valormensal) {
setValormensal(new Double(valormensal));
}

public void setValormensal(Double valormensal) {
if (valormensal == null) {
valormensalNull = true;
this.valormensal = 0.;
} else { 
valormensalNull = false;
this.valormensal = FglDouble.round(valormensal, 2);
}
}

public String getCredconta() {
return credconta;
}

public void setCredconta(String credconta) {
this.credconta = credconta;
}

public int getDiaemissao() {
return diaemissao;
}

public boolean isDiaemissaoNull() {
return diaemissaoNull;
}

public void setDiaemissao(Integer diaemissao) {
if (diaemissao == null) {
diaemissaoNull = true;
this.diaemissao = 0;
} else { 
diaemissaoNull = false;
this.diaemissao = diaemissao;
}
}

public int getDiavcto() {
return diavcto;
}

public boolean isDiavctoNull() {
return diavctoNull;
}

public void setDiavcto(Integer diavcto) {
if (diavcto == null) {
diavctoNull = true;
this.diavcto = 0;
} else { 
diavctoNull = false;
this.diavcto = diavcto;
}
}

public int getQtusers() {
return qtusers;
}

public boolean isQtusersNull() {
return qtusersNull;
}

public void setQtusers(Integer qtusers) {
if (qtusers == null) {
qtusersNull = true;
this.qtusers = 0;
} else { 
qtusersNull = false;
this.qtusers = qtusers;
}
}

public FglDate getDtcancela() {
return dtcancela;
}

public void setDtcancela(FglDate dtcancela) {
this.dtcancela = dtcancela;
}

public String getPacote() {
return pacote;
}

public void setPacote(String pacote) {
this.pacote = pacote;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

public String getGrupo() {
return grupo;
}

public void setGrupo(String grupo) {
this.grupo = grupo;
}

public String getPotencialabc() {
return potencialabc;
}

public void setPotencialabc(String potencialabc) {
this.potencialabc = potencialabc;
}

public String getDescontoCovid() {
return descontoCovid;
}

public void setDescontoCovid(String descontoCovid) {
this.descontoCovid = descontoCovid;
}

public String getAtualizouCovid() {
return atualizouCovid;
}

public void setAtualizouCovid(String atualizouCovid) {
this.atualizouCovid = atualizouCovid;
}

public String getUtilizaSisdiafx() {
return utilizaSisdiafx;
}

public void setUtilizaSisdiafx(String utilizaSisdiafx) {
this.utilizaSisdiafx = utilizaSisdiafx;
}

}

