package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDslicagt {
@Coluna(nome="dslicagt.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="dslicagt.id_produto", tipo="int")
private int idProduto;
private boolean idProdutoNull;
@Coluna(nome="dslicagt.dt_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtInclusao;

public TabDslicagt() {
initialize();
}

public void initialize() {
setIdAgente(null);
setIdProduto(null);
setDtInclusao(null);
}

public TabDslicagt(int idAgente, int idProduto, FglDateTimeYS dtInclusao) {
this.idAgente = idAgente;
this.idProduto = idProduto;
this.dtInclusao = dtInclusao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdProduto() {
return idProduto;
}

public boolean isIdProdutoNull() {
return idProdutoNull;
}

public void setIdProduto(Integer idProduto) {
if (idProduto == null) {
idProdutoNull = true;
this.idProduto = 0;
} else { 
idProdutoNull = false;
this.idProduto = idProduto;
}
}

public FglDateTimeYS getDtInclusao() {
return dtInclusao;
}

public void setDtInclusao(FglDateTimeYS dtInclusao) {
this.dtInclusao = dtInclusao;
}

}

