package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDslicpaf {
@Coluna(nome="dslicpaf.nrolicenca", tipo="int")
private int nrolicenca;
private boolean nrolicencaNull;
@Coluna(nome="dslicpaf.cnpj", tipo="long")
private long cnpj;
private boolean cnpjNull;
@Coluna(nome="dslicpaf.nroserie", tipo="String")
private String nroserie;
@Coluna(nome="dslicpaf.marca", tipo="String")
private String marca;
@Coluna(nome="dslicpaf.modelo", tipo="String")
private String modelo;
@Coluna(nome="dslicpaf.codnacional", tipo="String")
private String codnacional;
@Coluna(nome="dslicpaf.dt_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtInclusao;
@Coluna(nome="dslicpaf.dt_alteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtAlteracao;
@Coluna(nome="dslicpaf.evidencia", tipo="String")
private String evidencia;
@Coluna(nome="dslicpaf.status", tipo="String")
private String status;
@Coluna(nome="dslicpaf.sincronizar", tipo="String")
private String sincronizar;
@Coluna(nome="dslicpaf.valorgt", tipo="double")
private double valorgt;
private boolean valorgtNull;
@Coluna(nome="dslicpaf.nom_paf", tipo="String")
private String nomPaf;
@Coluna(nome="dslicpaf.ver_paf", tipo="String")
private String verPaf;
@Coluna(nome="dslicpaf.md5_paf", tipo="String")
private String md5Paf;

public TabDslicpaf() {
initialize();
}

public void initialize() {
setNrolicenca(null);
setCnpj(null);
setNroserie(null);
setMarca(null);
setModelo(null);
setCodnacional(null);
setDtInclusao(null);
setDtAlteracao(null);
setEvidencia(null);
setStatus(null);
setSincronizar(null);
setValorgt(null);
setNomPaf(null);
setVerPaf(null);
setMd5Paf(null);
}

public TabDslicpaf(int nrolicenca, long cnpj, String nroserie, String marca, String modelo, String codnacional, FglDateTimeYS dtInclusao, FglDateTimeYS dtAlteracao, String evidencia, String status, String sincronizar, double valorgt, String nomPaf, String verPaf, String md5Paf) {
this.nrolicenca = nrolicenca;
this.cnpj = cnpj;
this.nroserie = nroserie;
this.marca = marca;
this.modelo = modelo;
this.codnacional = codnacional;
this.dtInclusao = dtInclusao;
this.dtAlteracao = dtAlteracao;
this.evidencia = evidencia;
this.status = status;
this.sincronizar = sincronizar;
this.valorgt = valorgt;
this.nomPaf = nomPaf;
this.verPaf = verPaf;
this.md5Paf = md5Paf;
}

public int getNrolicenca() {
return nrolicenca;
}

public boolean isNrolicencaNull() {
return nrolicencaNull;
}

public void setNrolicenca(Integer nrolicenca) {
if (nrolicenca == null) {
nrolicencaNull = true;
this.nrolicenca = 0;
} else { 
nrolicencaNull = false;
this.nrolicenca = nrolicenca;
}
}

public long getCnpj() {
return cnpj;
}

public boolean isCnpjNull() {
return cnpjNull;
}

public void setCnpj(int cnpj) {
setCnpj(new Long(cnpj));
}

public void setCnpj(Long cnpj) {
if (cnpj == null) {
cnpjNull = true;
this.cnpj = 0l;
} else { 
cnpjNull = false;
this.cnpj = cnpj;
}
}

public String getNroserie() {
return nroserie;
}

public void setNroserie(String nroserie) {
this.nroserie = nroserie;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCodnacional() {
return codnacional;
}

public void setCodnacional(String codnacional) {
this.codnacional = codnacional;
}

public FglDateTimeYS getDtInclusao() {
return dtInclusao;
}

public void setDtInclusao(FglDateTimeYS dtInclusao) {
this.dtInclusao = dtInclusao;
}

public FglDateTimeYS getDtAlteracao() {
return dtAlteracao;
}

public void setDtAlteracao(FglDateTimeYS dtAlteracao) {
this.dtAlteracao = dtAlteracao;
}

public String getEvidencia() {
return evidencia;
}

public void setEvidencia(String evidencia) {
this.evidencia = evidencia;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getSincronizar() {
return sincronizar;
}

public void setSincronizar(String sincronizar) {
this.sincronizar = sincronizar;
}

public double getValorgt() {
return valorgt;
}

public boolean isValorgtNull() {
return valorgtNull;
}

public void setValorgt(int valorgt) {
setValorgt(new Double(valorgt));
}

public void setValorgt(long valorgt) {
setValorgt(new Double(valorgt));
}

public void setValorgt(Double valorgt) {
if (valorgt == null) {
valorgtNull = true;
this.valorgt = 0.;
} else { 
valorgtNull = false;
this.valorgt = FglDouble.round(valorgt, 2);
}
}

public String getNomPaf() {
return nomPaf;
}

public void setNomPaf(String nomPaf) {
this.nomPaf = nomPaf;
}

public String getVerPaf() {
return verPaf;
}

public void setVerPaf(String verPaf) {
this.verPaf = verPaf;
}

public String getMd5Paf() {
return md5Paf;
}

public void setMd5Paf(String md5Paf) {
this.md5Paf = md5Paf;
}

}

