package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsmancal {
@Coluna(nome="dsmancal.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsmancal.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="dsmancal.filial_nf", tipo="int")
private int filialNf;
private boolean filialNfNull;
@Coluna(nome="dsmancal.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="dsmancal.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabDsmancal() {
initialize();
}

public void initialize() {
setContrato(null);
setAnomes(null);
setFilialNf(null);
setNronota(null);
setValor(null);
}

public TabDsmancal(int contrato, FglDateTimeYM anomes, int filialNf, int nronota, double valor) {
this.contrato = contrato;
this.anomes = anomes;
this.filialNf = filialNf;
this.nronota = nronota;
this.valor = valor;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getFilialNf() {
return filialNf;
}

public boolean isFilialNfNull() {
return filialNfNull;
}

public void setFilialNf(Integer filialNf) {
if (filialNf == null) {
filialNfNull = true;
this.filialNf = 0;
} else { 
filialNfNull = false;
this.filialNf = filialNf;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

