package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsmanute {
@Coluna(nome="dsmanute.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsmanute.dtinic", tipo="FglDate")
private FglDate dtinic;
@Coluna(nome="dsmanute.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="dsmanute.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabDsmanute() {
initialize();
}

public void initialize() {
setContrato(null);
setDtinic(null);
setDtfim(null);
setValor(null);
}

public TabDsmanute(int contrato, FglDate dtinic, FglDate dtfim, double valor) {
this.contrato = contrato;
this.dtinic = dtinic;
this.dtfim = dtfim;
this.valor = valor;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public FglDate getDtinic() {
return dtinic;
}

public void setDtinic(FglDate dtinic) {
this.dtinic = dtinic;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

