package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsmemori {
@Coluna(nome="dsmemori.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsmemori.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="dsmemori.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="dsmemori.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="dsmemori.parcela", tipo="String")
private String parcela;
@Coluna(nome="dsmemori.referente", tipo="String")
private String referente;
@Coluna(nome="dsmemori.notafisc", tipo="String")
private String notafisc;

public TabDsmemori() {
initialize();
}

public void initialize() {
setContrato(null);
setDtemissao(null);
setDtvencto(null);
setValor(null);
setParcela(null);
setReferente(null);
setNotafisc(null);
}

public TabDsmemori(int contrato, FglDate dtemissao, FglDate dtvencto, double valor, String parcela, String referente, String notafisc) {
this.contrato = contrato;
this.dtemissao = dtemissao;
this.dtvencto = dtvencto;
this.valor = valor;
this.parcela = parcela;
this.referente = referente;
this.notafisc = notafisc;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getParcela() {
return parcela;
}

public void setParcela(String parcela) {
this.parcela = parcela;
}

public String getReferente() {
return referente;
}

public void setReferente(String referente) {
this.referente = referente;
}

public String getNotafisc() {
return notafisc;
}

public void setNotafisc(String notafisc) {
this.notafisc = notafisc;
}

}

