package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsrdadia {
@Coluna(nome="dsrdadia.nro_rda", tipo="int")
private int nroRda;
private boolean nroRdaNull;
@Coluna(nome="dsrdadia.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsrdadia.mesano", tipo="FglDateTimeYM")
private FglDateTimeYM mesano;
@Coluna(nome="dsrdadia.dtrda", tipo="FglDate")
private FglDate dtrda;
@Coluna(nome="dsrdadia.analista", tipo="int")
private int analista;
private boolean analistaNull;
@Coluna(nome="dsrdadia.local", tipo="String")
private String local;
@Coluna(nome="dsrdadia.texto1", tipo="String")
private String texto1;
@Coluna(nome="dsrdadia.carga", tipo="double")
private double carga;
private boolean cargaNull;
@Coluna(nome="dsrdadia.cargaisent", tipo="double")
private double cargaisent;
private boolean cargaisentNull;
@Coluna(nome="dsrdadia.vlcarga", tipo="double")
private double vlcarga;
private boolean vlcargaNull;
@Coluna(nome="dsrdadia.vldespesas", tipo="double")
private double vldespesas;
private boolean vldespesasNull;

public TabDsrdadia() {
initialize();
}

public void initialize() {
setNroRda(null);
setContrato(null);
setMesano(null);
setDtrda(null);
setAnalista(null);
setLocal(null);
setTexto1(null);
setCarga(null);
setCargaisent(null);
setVlcarga(null);
setVldespesas(null);
}

public TabDsrdadia(int nroRda, int contrato, FglDateTimeYM mesano, FglDate dtrda, int analista, String local, String texto1, double carga, double cargaisent, double vlcarga, double vldespesas) {
this.nroRda = nroRda;
this.contrato = contrato;
this.mesano = mesano;
this.dtrda = dtrda;
this.analista = analista;
this.local = local;
this.texto1 = texto1;
this.carga = carga;
this.cargaisent = cargaisent;
this.vlcarga = vlcarga;
this.vldespesas = vldespesas;
}

public int getNroRda() {
return nroRda;
}

public boolean isNroRdaNull() {
return nroRdaNull;
}

public void setNroRda(Integer nroRda) {
if (nroRda == null) {
nroRdaNull = true;
this.nroRda = 0;
} else { 
nroRdaNull = false;
this.nroRda = nroRda;
}
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public FglDateTimeYM getMesano() {
return mesano;
}

public void setMesano(FglDateTimeYM mesano) {
this.mesano = mesano;
}

public FglDate getDtrda() {
return dtrda;
}

public void setDtrda(FglDate dtrda) {
this.dtrda = dtrda;
}

public int getAnalista() {
return analista;
}

public boolean isAnalistaNull() {
return analistaNull;
}

public void setAnalista(Integer analista) {
if (analista == null) {
analistaNull = true;
this.analista = 0;
} else { 
analistaNull = false;
this.analista = analista;
}
}

public String getLocal() {
return local;
}

public void setLocal(String local) {
this.local = local;
}

public String getTexto1() {
return texto1;
}

public void setTexto1(String texto1) {
this.texto1 = texto1;
}

public double getCarga() {
return carga;
}

public boolean isCargaNull() {
return cargaNull;
}

public void setCarga(int carga) {
setCarga(new Double(carga));
}

public void setCarga(long carga) {
setCarga(new Double(carga));
}

public void setCarga(Double carga) {
if (carga == null) {
cargaNull = true;
this.carga = 0.;
} else { 
cargaNull = false;
this.carga = FglDouble.round(carga, 2);
}
}

public double getCargaisent() {
return cargaisent;
}

public boolean isCargaisentNull() {
return cargaisentNull;
}

public void setCargaisent(int cargaisent) {
setCargaisent(new Double(cargaisent));
}

public void setCargaisent(long cargaisent) {
setCargaisent(new Double(cargaisent));
}

public void setCargaisent(Double cargaisent) {
if (cargaisent == null) {
cargaisentNull = true;
this.cargaisent = 0.;
} else { 
cargaisentNull = false;
this.cargaisent = FglDouble.round(cargaisent, 2);
}
}

public double getVlcarga() {
return vlcarga;
}

public boolean isVlcargaNull() {
return vlcargaNull;
}

public void setVlcarga(int vlcarga) {
setVlcarga(new Double(vlcarga));
}

public void setVlcarga(long vlcarga) {
setVlcarga(new Double(vlcarga));
}

public void setVlcarga(Double vlcarga) {
if (vlcarga == null) {
vlcargaNull = true;
this.vlcarga = 0.;
} else { 
vlcargaNull = false;
this.vlcarga = FglDouble.round(vlcarga, 2);
}
}

public double getVldespesas() {
return vldespesas;
}

public boolean isVldespesasNull() {
return vldespesasNull;
}

public void setVldespesas(int vldespesas) {
setVldespesas(new Double(vldespesas));
}

public void setVldespesas(long vldespesas) {
setVldespesas(new Double(vldespesas));
}

public void setVldespesas(Double vldespesas) {
if (vldespesas == null) {
vldespesasNull = true;
this.vldespesas = 0.;
} else { 
vldespesasNull = false;
this.vldespesas = FglDouble.round(vldespesas, 2);
}
}

}

