package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsrdativ {
@Coluna(nome="dsrdativ.nro_rda", tipo="int")
private int nroRda;
private boolean nroRdaNull;
@Coluna(nome="dsrdativ.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsrdativ.local", tipo="String")
private String local;
@Coluna(nome="dsrdativ.analista", tipo="int")
private int analista;
private boolean analistaNull;
@Coluna(nome="dsrdativ.dtrda", tipo="FglDate")
private FglDate dtrda;
@Coluna(nome="dsrdativ.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="dsrdativ.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="dsrdativ.intervalo", tipo="FglDateTimeHMin")
private FglDateTimeHMin intervalo;
@Coluna(nome="dsrdativ.carga", tipo="FglDateTimeHMin")
private FglDateTimeHMin carga;
@Coluna(nome="dsrdativ.tempdesloc", tipo="FglDateTimeHMin")
private FglDateTimeHMin tempdesloc;
@Coluna(nome="dsrdativ.cobrarhora", tipo="String")
private String cobrarhora;
@Coluna(nome="dsrdativ.filial_nf", tipo="int")
private int filialNf;
private boolean filialNfNull;
@Coluna(nome="dsrdativ.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="dsrdativ.dtacerto", tipo="FglDate")
private FglDate dtacerto;
@Coluna(nome="dsrdativ.texto1", tipo="String")
private String texto1;
@Coluna(nome="dsrdativ.texto2", tipo="String")
private String texto2;
@Coluna(nome="dsrdativ.texto3", tipo="String")
private String texto3;
@Coluna(nome="dsrdativ.qtrefeicao", tipo="int")
private int qtrefeicao;
private boolean qtrefeicaoNull;
@Coluna(nome="dsrdativ.vlrefeicao", tipo="double")
private double vlrefeicao;
private boolean vlrefeicaoNull;
@Coluna(nome="dsrdativ.anrefeicao", tipo="int")
private int anrefeicao;
private boolean anrefeicaoNull;
@Coluna(nome="dsrdativ.qthospedag", tipo="int")
private int qthospedag;
private boolean qthospedagNull;
@Coluna(nome="dsrdativ.vlhospedag", tipo="double")
private double vlhospedag;
private boolean vlhospedagNull;
@Coluna(nome="dsrdativ.anhospedag", tipo="int")
private int anhospedag;
private boolean anhospedagNull;
@Coluna(nome="dsrdativ.qtdeslocam", tipo="int")
private int qtdeslocam;
private boolean qtdeslocamNull;
@Coluna(nome="dsrdativ.vldeslocam", tipo="double")
private double vldeslocam;
private boolean vldeslocamNull;
@Coluna(nome="dsrdativ.andeslocam", tipo="int")
private int andeslocam;
private boolean andeslocamNull;
@Coluna(nome="dsrdativ.qtpedagios", tipo="int")
private int qtpedagios;
private boolean qtpedagiosNull;
@Coluna(nome="dsrdativ.vlpedagios", tipo="double")
private double vlpedagios;
private boolean vlpedagiosNull;
@Coluna(nome="dsrdativ.anpedagios", tipo="int")
private int anpedagios;
private boolean anpedagiosNull;
@Coluna(nome="dsrdativ.qtcombusti", tipo="int")
private int qtcombusti;
private boolean qtcombustiNull;
@Coluna(nome="dsrdativ.vlcombusti", tipo="double")
private double vlcombusti;
private boolean vlcombustiNull;
@Coluna(nome="dsrdativ.ancombusti", tipo="int")
private int ancombusti;
private boolean ancombustiNull;
@Coluna(nome="dsrdativ.qtonibmetr", tipo="int")
private int qtonibmetr;
private boolean qtonibmetrNull;
@Coluna(nome="dsrdativ.vlonibmetr", tipo="double")
private double vlonibmetr;
private boolean vlonibmetrNull;
@Coluna(nome="dsrdativ.anonibmetr", tipo="int")
private int anonibmetr;
private boolean anonibmetrNull;
@Coluna(nome="dsrdativ.qttaxi", tipo="int")
private int qttaxi;
private boolean qttaxiNull;
@Coluna(nome="dsrdativ.vltaxi", tipo="double")
private double vltaxi;
private boolean vltaxiNull;
@Coluna(nome="dsrdativ.antaxi", tipo="int")
private int antaxi;
private boolean antaxiNull;
@Coluna(nome="dsrdativ.qtestacion", tipo="int")
private int qtestacion;
private boolean qtestacionNull;
@Coluna(nome="dsrdativ.vlestacion", tipo="double")
private double vlestacion;
private boolean vlestacionNull;
@Coluna(nome="dsrdativ.anestacion", tipo="int")
private int anestacion;
private boolean anestacionNull;
@Coluna(nome="dsrdativ.qtpassagem", tipo="int")
private int qtpassagem;
private boolean qtpassagemNull;
@Coluna(nome="dsrdativ.vlpassagem", tipo="double")
private double vlpassagem;
private boolean vlpassagemNull;
@Coluna(nome="dsrdativ.anpassagem", tipo="int")
private int anpassagem;
private boolean anpassagemNull;
@Coluna(nome="dsrdativ.qtoutras", tipo="int")
private int qtoutras;
private boolean qtoutrasNull;
@Coluna(nome="dsrdativ.vloutras", tipo="double")
private double vloutras;
private boolean vloutrasNull;
@Coluna(nome="dsrdativ.anoutras", tipo="int")
private int anoutras;
private boolean anoutrasNull;
@Coluna(nome="dsrdativ.id_produto", tipo="int")
private int idProduto;
private boolean idProdutoNull;
@Coluna(nome="dsrdativ.id_projeto", tipo="int")
private int idProjeto;
private boolean idProjetoNull;
@Coluna(nome="dsrdativ.id_atividade", tipo="int")
private int idAtividade;
private boolean idAtividadeNull;

public TabDsrdativ() {
initialize();
}

public void initialize() {
setNroRda(null);
setContrato(null);
setLocal(null);
setAnalista(null);
setDtrda(null);
setHrinicio(null);
setHrfim(null);
setIntervalo(null);
setCarga(null);
setTempdesloc(null);
setCobrarhora(null);
setFilialNf(null);
setNronota(null);
setDtacerto(null);
setTexto1(null);
setTexto2(null);
setTexto3(null);
setQtrefeicao(null);
setVlrefeicao(null);
setAnrefeicao(null);
setQthospedag(null);
setVlhospedag(null);
setAnhospedag(null);
setQtdeslocam(null);
setVldeslocam(null);
setAndeslocam(null);
setQtpedagios(null);
setVlpedagios(null);
setAnpedagios(null);
setQtcombusti(null);
setVlcombusti(null);
setAncombusti(null);
setQtonibmetr(null);
setVlonibmetr(null);
setAnonibmetr(null);
setQttaxi(null);
setVltaxi(null);
setAntaxi(null);
setQtestacion(null);
setVlestacion(null);
setAnestacion(null);
setQtpassagem(null);
setVlpassagem(null);
setAnpassagem(null);
setQtoutras(null);
setVloutras(null);
setAnoutras(null);
setIdProduto(null);
setIdProjeto(null);
setIdAtividade(null);
}

public TabDsrdativ(int nroRda, int contrato, String local, int analista, FglDate dtrda, FglDateTimeHMin hrinicio, FglDateTimeHMin hrfim, FglDateTimeHMin intervalo, FglDateTimeHMin carga, FglDateTimeHMin tempdesloc, String cobrarhora, int filialNf, int nronota, FglDate dtacerto, String texto1, String texto2, String texto3, int qtrefeicao, double vlrefeicao, int anrefeicao, int qthospedag, double vlhospedag, int anhospedag, int qtdeslocam, double vldeslocam, int andeslocam, int qtpedagios, double vlpedagios, int anpedagios, int qtcombusti, double vlcombusti, int ancombusti, int qtonibmetr, double vlonibmetr, int anonibmetr, int qttaxi, double vltaxi, int antaxi, int qtestacion, double vlestacion, int anestacion, int qtpassagem, double vlpassagem, int anpassagem, int qtoutras, double vloutras, int anoutras, int idProduto, int idProjeto, int idAtividade) {
this.nroRda = nroRda;
this.contrato = contrato;
this.local = local;
this.analista = analista;
this.dtrda = dtrda;
this.hrinicio = hrinicio;
this.hrfim = hrfim;
this.intervalo = intervalo;
this.carga = carga;
this.tempdesloc = tempdesloc;
this.cobrarhora = cobrarhora;
this.filialNf = filialNf;
this.nronota = nronota;
this.dtacerto = dtacerto;
this.texto1 = texto1;
this.texto2 = texto2;
this.texto3 = texto3;
this.qtrefeicao = qtrefeicao;
this.vlrefeicao = vlrefeicao;
this.anrefeicao = anrefeicao;
this.qthospedag = qthospedag;
this.vlhospedag = vlhospedag;
this.anhospedag = anhospedag;
this.qtdeslocam = qtdeslocam;
this.vldeslocam = vldeslocam;
this.andeslocam = andeslocam;
this.qtpedagios = qtpedagios;
this.vlpedagios = vlpedagios;
this.anpedagios = anpedagios;
this.qtcombusti = qtcombusti;
this.vlcombusti = vlcombusti;
this.ancombusti = ancombusti;
this.qtonibmetr = qtonibmetr;
this.vlonibmetr = vlonibmetr;
this.anonibmetr = anonibmetr;
this.qttaxi = qttaxi;
this.vltaxi = vltaxi;
this.antaxi = antaxi;
this.qtestacion = qtestacion;
this.vlestacion = vlestacion;
this.anestacion = anestacion;
this.qtpassagem = qtpassagem;
this.vlpassagem = vlpassagem;
this.anpassagem = anpassagem;
this.qtoutras = qtoutras;
this.vloutras = vloutras;
this.anoutras = anoutras;
this.idProduto = idProduto;
this.idProjeto = idProjeto;
this.idAtividade = idAtividade;
}

public int getNroRda() {
return nroRda;
}

public boolean isNroRdaNull() {
return nroRdaNull;
}

public void setNroRda(Integer nroRda) {
if (nroRda == null) {
nroRdaNull = true;
this.nroRda = 0;
} else { 
nroRdaNull = false;
this.nroRda = nroRda;
}
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public String getLocal() {
return local;
}

public void setLocal(String local) {
this.local = local;
}

public int getAnalista() {
return analista;
}

public boolean isAnalistaNull() {
return analistaNull;
}

public void setAnalista(Integer analista) {
if (analista == null) {
analistaNull = true;
this.analista = 0;
} else { 
analistaNull = false;
this.analista = analista;
}
}

public FglDate getDtrda() {
return dtrda;
}

public void setDtrda(FglDate dtrda) {
this.dtrda = dtrda;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public FglDateTimeHMin getIntervalo() {
return intervalo;
}

public void setIntervalo(FglDateTimeHMin intervalo) {
this.intervalo = intervalo;
}

public FglDateTimeHMin getCarga() {
return carga;
}

public void setCarga(FglDateTimeHMin carga) {
this.carga = carga;
}

public FglDateTimeHMin getTempdesloc() {
return tempdesloc;
}

public void setTempdesloc(FglDateTimeHMin tempdesloc) {
this.tempdesloc = tempdesloc;
}

public String getCobrarhora() {
return cobrarhora;
}

public void setCobrarhora(String cobrarhora) {
this.cobrarhora = cobrarhora;
}

public int getFilialNf() {
return filialNf;
}

public boolean isFilialNfNull() {
return filialNfNull;
}

public void setFilialNf(Integer filialNf) {
if (filialNf == null) {
filialNfNull = true;
this.filialNf = 0;
} else { 
filialNfNull = false;
this.filialNf = filialNf;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public FglDate getDtacerto() {
return dtacerto;
}

public void setDtacerto(FglDate dtacerto) {
this.dtacerto = dtacerto;
}

public String getTexto1() {
return texto1;
}

public void setTexto1(String texto1) {
this.texto1 = texto1;
}

public String getTexto2() {
return texto2;
}

public void setTexto2(String texto2) {
this.texto2 = texto2;
}

public String getTexto3() {
return texto3;
}

public void setTexto3(String texto3) {
this.texto3 = texto3;
}

public int getQtrefeicao() {
return qtrefeicao;
}

public boolean isQtrefeicaoNull() {
return qtrefeicaoNull;
}

public void setQtrefeicao(Integer qtrefeicao) {
if (qtrefeicao == null) {
qtrefeicaoNull = true;
this.qtrefeicao = 0;
} else { 
qtrefeicaoNull = false;
this.qtrefeicao = qtrefeicao;
}
}

public double getVlrefeicao() {
return vlrefeicao;
}

public boolean isVlrefeicaoNull() {
return vlrefeicaoNull;
}

public void setVlrefeicao(int vlrefeicao) {
setVlrefeicao(new Double(vlrefeicao));
}

public void setVlrefeicao(long vlrefeicao) {
setVlrefeicao(new Double(vlrefeicao));
}

public void setVlrefeicao(Double vlrefeicao) {
if (vlrefeicao == null) {
vlrefeicaoNull = true;
this.vlrefeicao = 0.;
} else { 
vlrefeicaoNull = false;
this.vlrefeicao = FglDouble.round(vlrefeicao, 2);
}
}

public int getAnrefeicao() {
return anrefeicao;
}

public boolean isAnrefeicaoNull() {
return anrefeicaoNull;
}

public void setAnrefeicao(Integer anrefeicao) {
if (anrefeicao == null) {
anrefeicaoNull = true;
this.anrefeicao = 0;
} else { 
anrefeicaoNull = false;
this.anrefeicao = anrefeicao;
}
}

public int getQthospedag() {
return qthospedag;
}

public boolean isQthospedagNull() {
return qthospedagNull;
}

public void setQthospedag(Integer qthospedag) {
if (qthospedag == null) {
qthospedagNull = true;
this.qthospedag = 0;
} else { 
qthospedagNull = false;
this.qthospedag = qthospedag;
}
}

public double getVlhospedag() {
return vlhospedag;
}

public boolean isVlhospedagNull() {
return vlhospedagNull;
}

public void setVlhospedag(int vlhospedag) {
setVlhospedag(new Double(vlhospedag));
}

public void setVlhospedag(long vlhospedag) {
setVlhospedag(new Double(vlhospedag));
}

public void setVlhospedag(Double vlhospedag) {
if (vlhospedag == null) {
vlhospedagNull = true;
this.vlhospedag = 0.;
} else { 
vlhospedagNull = false;
this.vlhospedag = FglDouble.round(vlhospedag, 2);
}
}

public int getAnhospedag() {
return anhospedag;
}

public boolean isAnhospedagNull() {
return anhospedagNull;
}

public void setAnhospedag(Integer anhospedag) {
if (anhospedag == null) {
anhospedagNull = true;
this.anhospedag = 0;
} else { 
anhospedagNull = false;
this.anhospedag = anhospedag;
}
}

public int getQtdeslocam() {
return qtdeslocam;
}

public boolean isQtdeslocamNull() {
return qtdeslocamNull;
}

public void setQtdeslocam(Integer qtdeslocam) {
if (qtdeslocam == null) {
qtdeslocamNull = true;
this.qtdeslocam = 0;
} else { 
qtdeslocamNull = false;
this.qtdeslocam = qtdeslocam;
}
}

public double getVldeslocam() {
return vldeslocam;
}

public boolean isVldeslocamNull() {
return vldeslocamNull;
}

public void setVldeslocam(int vldeslocam) {
setVldeslocam(new Double(vldeslocam));
}

public void setVldeslocam(long vldeslocam) {
setVldeslocam(new Double(vldeslocam));
}

public void setVldeslocam(Double vldeslocam) {
if (vldeslocam == null) {
vldeslocamNull = true;
this.vldeslocam = 0.;
} else { 
vldeslocamNull = false;
this.vldeslocam = FglDouble.round(vldeslocam, 2);
}
}

public int getAndeslocam() {
return andeslocam;
}

public boolean isAndeslocamNull() {
return andeslocamNull;
}

public void setAndeslocam(Integer andeslocam) {
if (andeslocam == null) {
andeslocamNull = true;
this.andeslocam = 0;
} else { 
andeslocamNull = false;
this.andeslocam = andeslocam;
}
}

public int getQtpedagios() {
return qtpedagios;
}

public boolean isQtpedagiosNull() {
return qtpedagiosNull;
}

public void setQtpedagios(Integer qtpedagios) {
if (qtpedagios == null) {
qtpedagiosNull = true;
this.qtpedagios = 0;
} else { 
qtpedagiosNull = false;
this.qtpedagios = qtpedagios;
}
}

public double getVlpedagios() {
return vlpedagios;
}

public boolean isVlpedagiosNull() {
return vlpedagiosNull;
}

public void setVlpedagios(int vlpedagios) {
setVlpedagios(new Double(vlpedagios));
}

public void setVlpedagios(long vlpedagios) {
setVlpedagios(new Double(vlpedagios));
}

public void setVlpedagios(Double vlpedagios) {
if (vlpedagios == null) {
vlpedagiosNull = true;
this.vlpedagios = 0.;
} else { 
vlpedagiosNull = false;
this.vlpedagios = FglDouble.round(vlpedagios, 2);
}
}

public int getAnpedagios() {
return anpedagios;
}

public boolean isAnpedagiosNull() {
return anpedagiosNull;
}

public void setAnpedagios(Integer anpedagios) {
if (anpedagios == null) {
anpedagiosNull = true;
this.anpedagios = 0;
} else { 
anpedagiosNull = false;
this.anpedagios = anpedagios;
}
}

public int getQtcombusti() {
return qtcombusti;
}

public boolean isQtcombustiNull() {
return qtcombustiNull;
}

public void setQtcombusti(Integer qtcombusti) {
if (qtcombusti == null) {
qtcombustiNull = true;
this.qtcombusti = 0;
} else { 
qtcombustiNull = false;
this.qtcombusti = qtcombusti;
}
}

public double getVlcombusti() {
return vlcombusti;
}

public boolean isVlcombustiNull() {
return vlcombustiNull;
}

public void setVlcombusti(int vlcombusti) {
setVlcombusti(new Double(vlcombusti));
}

public void setVlcombusti(long vlcombusti) {
setVlcombusti(new Double(vlcombusti));
}

public void setVlcombusti(Double vlcombusti) {
if (vlcombusti == null) {
vlcombustiNull = true;
this.vlcombusti = 0.;
} else { 
vlcombustiNull = false;
this.vlcombusti = FglDouble.round(vlcombusti, 2);
}
}

public int getAncombusti() {
return ancombusti;
}

public boolean isAncombustiNull() {
return ancombustiNull;
}

public void setAncombusti(Integer ancombusti) {
if (ancombusti == null) {
ancombustiNull = true;
this.ancombusti = 0;
} else { 
ancombustiNull = false;
this.ancombusti = ancombusti;
}
}

public int getQtonibmetr() {
return qtonibmetr;
}

public boolean isQtonibmetrNull() {
return qtonibmetrNull;
}

public void setQtonibmetr(Integer qtonibmetr) {
if (qtonibmetr == null) {
qtonibmetrNull = true;
this.qtonibmetr = 0;
} else { 
qtonibmetrNull = false;
this.qtonibmetr = qtonibmetr;
}
}

public double getVlonibmetr() {
return vlonibmetr;
}

public boolean isVlonibmetrNull() {
return vlonibmetrNull;
}

public void setVlonibmetr(int vlonibmetr) {
setVlonibmetr(new Double(vlonibmetr));
}

public void setVlonibmetr(long vlonibmetr) {
setVlonibmetr(new Double(vlonibmetr));
}

public void setVlonibmetr(Double vlonibmetr) {
if (vlonibmetr == null) {
vlonibmetrNull = true;
this.vlonibmetr = 0.;
} else { 
vlonibmetrNull = false;
this.vlonibmetr = FglDouble.round(vlonibmetr, 2);
}
}

public int getAnonibmetr() {
return anonibmetr;
}

public boolean isAnonibmetrNull() {
return anonibmetrNull;
}

public void setAnonibmetr(Integer anonibmetr) {
if (anonibmetr == null) {
anonibmetrNull = true;
this.anonibmetr = 0;
} else { 
anonibmetrNull = false;
this.anonibmetr = anonibmetr;
}
}

public int getQttaxi() {
return qttaxi;
}

public boolean isQttaxiNull() {
return qttaxiNull;
}

public void setQttaxi(Integer qttaxi) {
if (qttaxi == null) {
qttaxiNull = true;
this.qttaxi = 0;
} else { 
qttaxiNull = false;
this.qttaxi = qttaxi;
}
}

public double getVltaxi() {
return vltaxi;
}

public boolean isVltaxiNull() {
return vltaxiNull;
}

public void setVltaxi(int vltaxi) {
setVltaxi(new Double(vltaxi));
}

public void setVltaxi(long vltaxi) {
setVltaxi(new Double(vltaxi));
}

public void setVltaxi(Double vltaxi) {
if (vltaxi == null) {
vltaxiNull = true;
this.vltaxi = 0.;
} else { 
vltaxiNull = false;
this.vltaxi = FglDouble.round(vltaxi, 2);
}
}

public int getAntaxi() {
return antaxi;
}

public boolean isAntaxiNull() {
return antaxiNull;
}

public void setAntaxi(Integer antaxi) {
if (antaxi == null) {
antaxiNull = true;
this.antaxi = 0;
} else { 
antaxiNull = false;
this.antaxi = antaxi;
}
}

public int getQtestacion() {
return qtestacion;
}

public boolean isQtestacionNull() {
return qtestacionNull;
}

public void setQtestacion(Integer qtestacion) {
if (qtestacion == null) {
qtestacionNull = true;
this.qtestacion = 0;
} else { 
qtestacionNull = false;
this.qtestacion = qtestacion;
}
}

public double getVlestacion() {
return vlestacion;
}

public boolean isVlestacionNull() {
return vlestacionNull;
}

public void setVlestacion(int vlestacion) {
setVlestacion(new Double(vlestacion));
}

public void setVlestacion(long vlestacion) {
setVlestacion(new Double(vlestacion));
}

public void setVlestacion(Double vlestacion) {
if (vlestacion == null) {
vlestacionNull = true;
this.vlestacion = 0.;
} else { 
vlestacionNull = false;
this.vlestacion = FglDouble.round(vlestacion, 2);
}
}

public int getAnestacion() {
return anestacion;
}

public boolean isAnestacionNull() {
return anestacionNull;
}

public void setAnestacion(Integer anestacion) {
if (anestacion == null) {
anestacionNull = true;
this.anestacion = 0;
} else { 
anestacionNull = false;
this.anestacion = anestacion;
}
}

public int getQtpassagem() {
return qtpassagem;
}

public boolean isQtpassagemNull() {
return qtpassagemNull;
}

public void setQtpassagem(Integer qtpassagem) {
if (qtpassagem == null) {
qtpassagemNull = true;
this.qtpassagem = 0;
} else { 
qtpassagemNull = false;
this.qtpassagem = qtpassagem;
}
}

public double getVlpassagem() {
return vlpassagem;
}

public boolean isVlpassagemNull() {
return vlpassagemNull;
}

public void setVlpassagem(int vlpassagem) {
setVlpassagem(new Double(vlpassagem));
}

public void setVlpassagem(long vlpassagem) {
setVlpassagem(new Double(vlpassagem));
}

public void setVlpassagem(Double vlpassagem) {
if (vlpassagem == null) {
vlpassagemNull = true;
this.vlpassagem = 0.;
} else { 
vlpassagemNull = false;
this.vlpassagem = FglDouble.round(vlpassagem, 2);
}
}

public int getAnpassagem() {
return anpassagem;
}

public boolean isAnpassagemNull() {
return anpassagemNull;
}

public void setAnpassagem(Integer anpassagem) {
if (anpassagem == null) {
anpassagemNull = true;
this.anpassagem = 0;
} else { 
anpassagemNull = false;
this.anpassagem = anpassagem;
}
}

public int getQtoutras() {
return qtoutras;
}

public boolean isQtoutrasNull() {
return qtoutrasNull;
}

public void setQtoutras(Integer qtoutras) {
if (qtoutras == null) {
qtoutrasNull = true;
this.qtoutras = 0;
} else { 
qtoutrasNull = false;
this.qtoutras = qtoutras;
}
}

public double getVloutras() {
return vloutras;
}

public boolean isVloutrasNull() {
return vloutrasNull;
}

public void setVloutras(int vloutras) {
setVloutras(new Double(vloutras));
}

public void setVloutras(long vloutras) {
setVloutras(new Double(vloutras));
}

public void setVloutras(Double vloutras) {
if (vloutras == null) {
vloutrasNull = true;
this.vloutras = 0.;
} else { 
vloutrasNull = false;
this.vloutras = FglDouble.round(vloutras, 2);
}
}

public int getAnoutras() {
return anoutras;
}

public boolean isAnoutrasNull() {
return anoutrasNull;
}

public void setAnoutras(Integer anoutras) {
if (anoutras == null) {
anoutrasNull = true;
this.anoutras = 0;
} else { 
anoutrasNull = false;
this.anoutras = anoutras;
}
}

public int getIdProduto() {
return idProduto;
}

public boolean isIdProdutoNull() {
return idProdutoNull;
}

public void setIdProduto(Integer idProduto) {
if (idProduto == null) {
idProdutoNull = true;
this.idProduto = 0;
} else { 
idProdutoNull = false;
this.idProduto = idProduto;
}
}

public int getIdProjeto() {
return idProjeto;
}

public boolean isIdProjetoNull() {
return idProjetoNull;
}

public void setIdProjeto(Integer idProjeto) {
if (idProjeto == null) {
idProjetoNull = true;
this.idProjeto = 0;
} else { 
idProjetoNull = false;
this.idProjeto = idProjeto;
}
}

public int getIdAtividade() {
return idAtividade;
}

public boolean isIdAtividadeNull() {
return idAtividadeNull;
}

public void setIdAtividade(Integer idAtividade) {
if (idAtividade == null) {
idAtividadeNull = true;
this.idAtividade = 0;
} else { 
idAtividadeNull = false;
this.idAtividade = idAtividade;
}
}

}

