package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDwDocto {
@Coluna(nome="dw_docto.seqdocto", tipo="long")
private long seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="dw_docto.diretorio", tipo="String")
private String diretorio;
@Coluna(nome="dw_docto.descricao", tipo="String")
private String descricao;
@Coluna(nome="dw_docto.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="dw_docto.extensao", tipo="String")
private String extensao;
@Coluna(nome="dw_docto.nivelleitura", tipo="int")
private int nivelleitura;
private boolean nivelleituraNull;
@Coluna(nome="dw_docto.nivelalteracao", tipo="int")
private int nivelalteracao;
private boolean nivelalteracaoNull;
@Coluna(nome="dw_docto.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="dw_docto.usuincluiu", tipo="String")
private String usuincluiu;
@Coluna(nome="dw_docto.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="dw_docto.usualterou", tipo="String")
private String usualterou;
@Coluna(nome="dw_docto.dtaultconsulta", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultconsulta;
@Coluna(nome="dw_docto.qtdeconsulta", tipo="long")
private long qtdeconsulta;
private boolean qtdeconsultaNull;

public TabDwDocto() {
initialize();
}

public void initialize() {
setSeqdocto(null);
setDiretorio(null);
setDescricao(null);
setArquivo(null);
setExtensao(null);
setNivelleitura(null);
setNivelalteracao(null);
setDtainclusao(null);
setUsuincluiu(null);
setDtaalteracao(null);
setUsualterou(null);
setDtaultconsulta(null);
setQtdeconsulta(null);
}

public TabDwDocto(long seqdocto, String diretorio, String descricao, String arquivo, String extensao, int nivelleitura, int nivelalteracao, FglDateTimeYS dtainclusao, String usuincluiu, FglDateTimeYS dtaalteracao, String usualterou, FglDateTimeYS dtaultconsulta, long qtdeconsulta) {
this.seqdocto = seqdocto;
this.diretorio = diretorio;
this.descricao = descricao;
this.arquivo = arquivo;
this.extensao = extensao;
this.nivelleitura = nivelleitura;
this.nivelalteracao = nivelalteracao;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
this.dtaultconsulta = dtaultconsulta;
this.qtdeconsulta = qtdeconsulta;
}

public long getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(int seqdocto) {
setSeqdocto(new Long(seqdocto));
}

public void setSeqdocto(Long seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0l;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public String getDiretorio() {
return diretorio;
}

public void setDiretorio(String diretorio) {
this.diretorio = diretorio;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getExtensao() {
return extensao;
}

public void setExtensao(String extensao) {
this.extensao = extensao;
}

public int getNivelleitura() {
return nivelleitura;
}

public boolean isNivelleituraNull() {
return nivelleituraNull;
}

public void setNivelleitura(Integer nivelleitura) {
if (nivelleitura == null) {
nivelleituraNull = true;
this.nivelleitura = 0;
} else { 
nivelleituraNull = false;
this.nivelleitura = nivelleitura;
}
}

public int getNivelalteracao() {
return nivelalteracao;
}

public boolean isNivelalteracaoNull() {
return nivelalteracaoNull;
}

public void setNivelalteracao(Integer nivelalteracao) {
if (nivelalteracao == null) {
nivelalteracaoNull = true;
this.nivelalteracao = 0;
} else { 
nivelalteracaoNull = false;
this.nivelalteracao = nivelalteracao;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

public FglDateTimeYS getDtaultconsulta() {
return dtaultconsulta;
}

public void setDtaultconsulta(FglDateTimeYS dtaultconsulta) {
this.dtaultconsulta = dtaultconsulta;
}

public long getQtdeconsulta() {
return qtdeconsulta;
}

public boolean isQtdeconsultaNull() {
return qtdeconsultaNull;
}

public void setQtdeconsulta(int qtdeconsulta) {
setQtdeconsulta(new Long(qtdeconsulta));
}

public void setQtdeconsulta(Long qtdeconsulta) {
if (qtdeconsulta == null) {
qtdeconsultaNull = true;
this.qtdeconsulta = 0l;
} else { 
qtdeconsultaNull = false;
this.qtdeconsulta = qtdeconsulta;
}
}

}

