package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDwDoctolog {
@Coluna(nome="dw_doctolog.seqdocto", tipo="long")
private long seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="dw_doctolog.dtalog", tipo="String")
private String dtalog;
@Coluna(nome="dw_doctolog.descricao", tipo="String")
private String descricao;
@Coluna(nome="dw_doctolog.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="dw_doctolog.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="dw_doctolog.usualterou", tipo="String")
private String usualterou;
@Coluna(nome="dw_doctolog.obs", tipo="String")
private String obs;

public TabDwDoctolog() {
initialize();
}

public void initialize() {
setSeqdocto(null);
setDtalog(null);
setDescricao(null);
setArquivo(null);
setDtaalteracao(null);
setUsualterou(null);
setObs(null);
}

public TabDwDoctolog(long seqdocto, String dtalog, String descricao, String arquivo, FglDateTimeYS dtaalteracao, String usualterou, String obs) {
this.seqdocto = seqdocto;
this.dtalog = dtalog;
this.descricao = descricao;
this.arquivo = arquivo;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
this.obs = obs;
}

public long getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(int seqdocto) {
setSeqdocto(new Long(seqdocto));
}

public void setSeqdocto(Long seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0l;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public String getDtalog() {
return dtalog;
}

public void setDtalog(String dtalog) {
this.dtalog = dtalog;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

