package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDwDoctopessoa {
@Coluna(nome="dw_doctopessoa.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="dw_doctopessoa.seqdocto", tipo="long")
private long seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="dw_doctopessoa.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="dw_doctopessoa.usuincluiu", tipo="String")
private String usuincluiu;

public TabDwDoctopessoa() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqdocto(null);
setDtainclusao(null);
setUsuincluiu(null);
}

public TabDwDoctopessoa(long seqpessoa, long seqdocto, FglDateTimeYS dtainclusao, String usuincluiu) {
this.seqpessoa = seqpessoa;
this.seqdocto = seqdocto;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public long getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(int seqdocto) {
setSeqdocto(new Long(seqdocto));
}

public void setSeqdocto(Long seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0l;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

}

