package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEfdideprestservtom {
@Coluna(nome="efdideprestservtom.id", tipo="String")
private String id;
@Coluna(nome="efdideprestservtom.tpinsc", tipo="int")
private int tpinsc;
private boolean tpinscNull;
@Coluna(nome="efdideprestservtom.nrinsc", tipo="String")
private String nrinsc;
@Coluna(nome="efdideprestservtom.vlrtotalbruto", tipo="double")
private double vlrtotalbruto;
private boolean vlrtotalbrutoNull;
@Coluna(nome="efdideprestservtom.vlrtotalbaseret", tipo="double")
private double vlrtotalbaseret;
private boolean vlrtotalbaseretNull;
@Coluna(nome="efdideprestservtom.vlrtotalretprinc", tipo="double")
private double vlrtotalretprinc;
private boolean vlrtotalretprincNull;
@Coluna(nome="efdideprestservtom.vlrtotalretadic", tipo="double")
private double vlrtotalretadic;
private boolean vlrtotalretadicNull;
@Coluna(nome="efdideprestservtom.vlrtotalnretprinc", tipo="double")
private double vlrtotalnretprinc;
private boolean vlrtotalnretprincNull;
@Coluna(nome="efdideprestservtom.vlrtotalnretadic", tipo="double")
private double vlrtotalnretadic;
private boolean vlrtotalnretadicNull;
@Coluna(nome="efdideprestservtom.indcprb", tipo="int")
private int indcprb;
private boolean indcprbNull;
@Coluna(nome="efdideprestservtom.tprendimento", tipo="int")
private int tprendimento;
private boolean tprendimentoNull;
@Coluna(nome="efdideprestservtom.formatributacao", tipo="String")
private String formatributacao;
@Coluna(nome="efdideprestservtom.vlrpgto", tipo="double")
private double vlrpgto;
private boolean vlrpgtoNull;
@Coluna(nome="efdideprestservtom.vlrret", tipo="double")
private double vlrret;
private boolean vlrretNull;

public TabEfdideprestservtom() {
initialize();
}

public void initialize() {
setId(null);
setTpinsc(null);
setNrinsc(null);
setVlrtotalbruto(null);
setVlrtotalbaseret(null);
setVlrtotalretprinc(null);
setVlrtotalretadic(null);
setVlrtotalnretprinc(null);
setVlrtotalnretadic(null);
setIndcprb(null);
setTprendimento(null);
setFormatributacao(null);
setVlrpgto(null);
setVlrret(null);
}

public TabEfdideprestservtom(String id, int tpinsc, String nrinsc, double vlrtotalbruto, double vlrtotalbaseret, double vlrtotalretprinc, double vlrtotalretadic, double vlrtotalnretprinc, double vlrtotalnretadic, int indcprb, int tprendimento, String formatributacao, double vlrpgto, double vlrret) {
this.id = id;
this.tpinsc = tpinsc;
this.nrinsc = nrinsc;
this.vlrtotalbruto = vlrtotalbruto;
this.vlrtotalbaseret = vlrtotalbaseret;
this.vlrtotalretprinc = vlrtotalretprinc;
this.vlrtotalretadic = vlrtotalretadic;
this.vlrtotalnretprinc = vlrtotalnretprinc;
this.vlrtotalnretadic = vlrtotalnretadic;
this.indcprb = indcprb;
this.tprendimento = tprendimento;
this.formatributacao = formatributacao;
this.vlrpgto = vlrpgto;
this.vlrret = vlrret;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpinsc() {
return tpinsc;
}

public boolean isTpinscNull() {
return tpinscNull;
}

public void setTpinsc(Integer tpinsc) {
if (tpinsc == null) {
tpinscNull = true;
this.tpinsc = 0;
} else { 
tpinscNull = false;
this.tpinsc = tpinsc;
}
}

public String getNrinsc() {
return nrinsc;
}

public void setNrinsc(String nrinsc) {
this.nrinsc = nrinsc;
}

public double getVlrtotalbruto() {
return vlrtotalbruto;
}

public boolean isVlrtotalbrutoNull() {
return vlrtotalbrutoNull;
}

public void setVlrtotalbruto(int vlrtotalbruto) {
setVlrtotalbruto(new Double(vlrtotalbruto));
}

public void setVlrtotalbruto(long vlrtotalbruto) {
setVlrtotalbruto(new Double(vlrtotalbruto));
}

public void setVlrtotalbruto(Double vlrtotalbruto) {
if (vlrtotalbruto == null) {
vlrtotalbrutoNull = true;
this.vlrtotalbruto = 0.;
} else { 
vlrtotalbrutoNull = false;
this.vlrtotalbruto = FglDouble.round(vlrtotalbruto, 2);
}
}

public double getVlrtotalbaseret() {
return vlrtotalbaseret;
}

public boolean isVlrtotalbaseretNull() {
return vlrtotalbaseretNull;
}

public void setVlrtotalbaseret(int vlrtotalbaseret) {
setVlrtotalbaseret(new Double(vlrtotalbaseret));
}

public void setVlrtotalbaseret(long vlrtotalbaseret) {
setVlrtotalbaseret(new Double(vlrtotalbaseret));
}

public void setVlrtotalbaseret(Double vlrtotalbaseret) {
if (vlrtotalbaseret == null) {
vlrtotalbaseretNull = true;
this.vlrtotalbaseret = 0.;
} else { 
vlrtotalbaseretNull = false;
this.vlrtotalbaseret = FglDouble.round(vlrtotalbaseret, 2);
}
}

public double getVlrtotalretprinc() {
return vlrtotalretprinc;
}

public boolean isVlrtotalretprincNull() {
return vlrtotalretprincNull;
}

public void setVlrtotalretprinc(int vlrtotalretprinc) {
setVlrtotalretprinc(new Double(vlrtotalretprinc));
}

public void setVlrtotalretprinc(long vlrtotalretprinc) {
setVlrtotalretprinc(new Double(vlrtotalretprinc));
}

public void setVlrtotalretprinc(Double vlrtotalretprinc) {
if (vlrtotalretprinc == null) {
vlrtotalretprincNull = true;
this.vlrtotalretprinc = 0.;
} else { 
vlrtotalretprincNull = false;
this.vlrtotalretprinc = FglDouble.round(vlrtotalretprinc, 2);
}
}

public double getVlrtotalretadic() {
return vlrtotalretadic;
}

public boolean isVlrtotalretadicNull() {
return vlrtotalretadicNull;
}

public void setVlrtotalretadic(int vlrtotalretadic) {
setVlrtotalretadic(new Double(vlrtotalretadic));
}

public void setVlrtotalretadic(long vlrtotalretadic) {
setVlrtotalretadic(new Double(vlrtotalretadic));
}

public void setVlrtotalretadic(Double vlrtotalretadic) {
if (vlrtotalretadic == null) {
vlrtotalretadicNull = true;
this.vlrtotalretadic = 0.;
} else { 
vlrtotalretadicNull = false;
this.vlrtotalretadic = FglDouble.round(vlrtotalretadic, 2);
}
}

public double getVlrtotalnretprinc() {
return vlrtotalnretprinc;
}

public boolean isVlrtotalnretprincNull() {
return vlrtotalnretprincNull;
}

public void setVlrtotalnretprinc(int vlrtotalnretprinc) {
setVlrtotalnretprinc(new Double(vlrtotalnretprinc));
}

public void setVlrtotalnretprinc(long vlrtotalnretprinc) {
setVlrtotalnretprinc(new Double(vlrtotalnretprinc));
}

public void setVlrtotalnretprinc(Double vlrtotalnretprinc) {
if (vlrtotalnretprinc == null) {
vlrtotalnretprincNull = true;
this.vlrtotalnretprinc = 0.;
} else { 
vlrtotalnretprincNull = false;
this.vlrtotalnretprinc = FglDouble.round(vlrtotalnretprinc, 2);
}
}

public double getVlrtotalnretadic() {
return vlrtotalnretadic;
}

public boolean isVlrtotalnretadicNull() {
return vlrtotalnretadicNull;
}

public void setVlrtotalnretadic(int vlrtotalnretadic) {
setVlrtotalnretadic(new Double(vlrtotalnretadic));
}

public void setVlrtotalnretadic(long vlrtotalnretadic) {
setVlrtotalnretadic(new Double(vlrtotalnretadic));
}

public void setVlrtotalnretadic(Double vlrtotalnretadic) {
if (vlrtotalnretadic == null) {
vlrtotalnretadicNull = true;
this.vlrtotalnretadic = 0.;
} else { 
vlrtotalnretadicNull = false;
this.vlrtotalnretadic = FglDouble.round(vlrtotalnretadic, 2);
}
}

public int getIndcprb() {
return indcprb;
}

public boolean isIndcprbNull() {
return indcprbNull;
}

public void setIndcprb(Integer indcprb) {
if (indcprb == null) {
indcprbNull = true;
this.indcprb = 0;
} else { 
indcprbNull = false;
this.indcprb = indcprb;
}
}

public int getTprendimento() {
return tprendimento;
}

public boolean isTprendimentoNull() {
return tprendimentoNull;
}

public void setTprendimento(Integer tprendimento) {
if (tprendimento == null) {
tprendimentoNull = true;
this.tprendimento = 0;
} else { 
tprendimentoNull = false;
this.tprendimento = tprendimento;
}
}

public String getFormatributacao() {
return formatributacao;
}

public void setFormatributacao(String formatributacao) {
this.formatributacao = formatributacao;
}

public double getVlrpgto() {
return vlrpgto;
}

public boolean isVlrpgtoNull() {
return vlrpgtoNull;
}

public void setVlrpgto(int vlrpgto) {
setVlrpgto(new Double(vlrpgto));
}

public void setVlrpgto(long vlrpgto) {
setVlrpgto(new Double(vlrpgto));
}

public void setVlrpgto(Double vlrpgto) {
if (vlrpgto == null) {
vlrpgtoNull = true;
this.vlrpgto = 0.;
} else { 
vlrpgtoNull = false;
this.vlrpgto = FglDouble.round(vlrpgto, 2);
}
}

public double getVlrret() {
return vlrret;
}

public boolean isVlrretNull() {
return vlrretNull;
}

public void setVlrret(int vlrret) {
setVlrret(new Double(vlrret));
}

public void setVlrret(long vlrret) {
setVlrret(new Double(vlrret));
}

public void setVlrret(Double vlrret) {
if (vlrret == null) {
vlrretNull = true;
this.vlrret = 0.;
} else { 
vlrretNull = false;
this.vlrret = FglDouble.round(vlrret, 2);
}
}

}

