package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEscontribsind {
@Coluna(nome="escontribsind.id", tipo="String")
private String id;
@Coluna(nome="escontribsind.cnpjsindic", tipo="String")
private String cnpjsindic;
@Coluna(nome="escontribsind.tpcontribsind", tipo="int")
private int tpcontribsind;
private boolean tpcontribsindNull;
@Coluna(nome="escontribsind.dtrecolhcs", tipo="FglDateTimeYS")
private FglDateTimeYS dtrecolhcs;
@Coluna(nome="escontribsind.vlrcontribsind", tipo="double")
private double vlrcontribsind;
private boolean vlrcontribsindNull;
@Coluna(nome="escontribsind.vlrenccontrsinc", tipo="double")
private double vlrenccontrsinc;
private boolean vlrenccontrsincNull;

public TabEscontribsind() {
initialize();
}

public void initialize() {
setId(null);
setCnpjsindic(null);
setTpcontribsind(null);
setDtrecolhcs(null);
setVlrcontribsind(null);
setVlrenccontrsinc(null);
}

public TabEscontribsind(String id, String cnpjsindic, int tpcontribsind, FglDateTimeYS dtrecolhcs, double vlrcontribsind, double vlrenccontrsinc) {
this.id = id;
this.cnpjsindic = cnpjsindic;
this.tpcontribsind = tpcontribsind;
this.dtrecolhcs = dtrecolhcs;
this.vlrcontribsind = vlrcontribsind;
this.vlrenccontrsinc = vlrenccontrsinc;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getCnpjsindic() {
return cnpjsindic;
}

public void setCnpjsindic(String cnpjsindic) {
this.cnpjsindic = cnpjsindic;
}

public int getTpcontribsind() {
return tpcontribsind;
}

public boolean isTpcontribsindNull() {
return tpcontribsindNull;
}

public void setTpcontribsind(Integer tpcontribsind) {
if (tpcontribsind == null) {
tpcontribsindNull = true;
this.tpcontribsind = 0;
} else { 
tpcontribsindNull = false;
this.tpcontribsind = tpcontribsind;
}
}

public FglDateTimeYS getDtrecolhcs() {
return dtrecolhcs;
}

public void setDtrecolhcs(FglDateTimeYS dtrecolhcs) {
this.dtrecolhcs = dtrecolhcs;
}

public double getVlrcontribsind() {
return vlrcontribsind;
}

public boolean isVlrcontribsindNull() {
return vlrcontribsindNull;
}

public void setVlrcontribsind(int vlrcontribsind) {
setVlrcontribsind(new Double(vlrcontribsind));
}

public void setVlrcontribsind(long vlrcontribsind) {
setVlrcontribsind(new Double(vlrcontribsind));
}

public void setVlrcontribsind(Double vlrcontribsind) {
if (vlrcontribsind == null) {
vlrcontribsindNull = true;
this.vlrcontribsind = 0.;
} else { 
vlrcontribsindNull = false;
this.vlrcontribsind = FglDouble.round(vlrcontribsind, 2);
}
}

public double getVlrenccontrsinc() {
return vlrenccontrsinc;
}

public boolean isVlrenccontrsincNull() {
return vlrenccontrsincNull;
}

public void setVlrenccontrsinc(int vlrenccontrsinc) {
setVlrenccontrsinc(new Double(vlrenccontrsinc));
}

public void setVlrenccontrsinc(long vlrenccontrsinc) {
setVlrenccontrsinc(new Double(vlrenccontrsinc));
}

public void setVlrenccontrsinc(Double vlrenccontrsinc) {
if (vlrenccontrsinc == null) {
vlrenccontrsincNull = true;
this.vlrenccontrsinc = 0.;
} else { 
vlrenccontrsincNull = false;
this.vlrenccontrsinc = FglDouble.round(vlrenccontrsinc, 2);
}
}

}

