package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabEsdependente {
@Coluna(nome="esdependente.id", tipo="String")
private String id;
@Coluna(nome="esdependente.tpdep", tipo="String")
private String tpdep;
@Coluna(nome="esdependente.nmdep", tipo="String")
private String nmdep;
@Coluna(nome="esdependente.dtnascto", tipo="FglDateTimeYS")
private FglDateTimeYS dtnascto;
@Coluna(nome="esdependente.cpfdep", tipo="String")
private String cpfdep;
@Coluna(nome="esdependente.depirrf", tipo="String")
private String depirrf;
@Coluna(nome="esdependente.depsf", tipo="String")
private String depsf;

public TabEsdependente() {
initialize();
}

public void initialize() {
setId(null);
setTpdep(null);
setNmdep(null);
setDtnascto(null);
setCpfdep(null);
setDepirrf(null);
setDepsf(null);
}

public TabEsdependente(String id, String tpdep, String nmdep, FglDateTimeYS dtnascto, String cpfdep, String depirrf, String depsf) {
this.id = id;
this.tpdep = tpdep;
this.nmdep = nmdep;
this.dtnascto = dtnascto;
this.cpfdep = cpfdep;
this.depirrf = depirrf;
this.depsf = depsf;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getTpdep() {
return tpdep;
}

public void setTpdep(String tpdep) {
this.tpdep = tpdep;
}

public String getNmdep() {
return nmdep;
}

public void setNmdep(String nmdep) {
this.nmdep = nmdep;
}

public FglDateTimeYS getDtnascto() {
return dtnascto;
}

public void setDtnascto(FglDateTimeYS dtnascto) {
this.dtnascto = dtnascto;
}

public String getCpfdep() {
return cpfdep;
}

public void setCpfdep(String cpfdep) {
this.cpfdep = cpfdep;
}

public String getDepirrf() {
return depirrf;
}

public void setDepirrf(String depirrf) {
this.depirrf = depirrf;
}

public String getDepsf() {
return depsf;
}

public void setDepsf(String depsf) {
this.depsf = depsf;
}

}

