package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsdetoper {
@Coluna(nome="esdetoper.id", tipo="String")
private String id;
@Coluna(nome="esdetoper.cnpjoper", tipo="String")
private String cnpjoper;
@Coluna(nome="esdetoper.regans", tipo="String")
private String regans;
@Coluna(nome="esdetoper.vrpgtit", tipo="double")
private double vrpgtit;
private boolean vrpgtitNull;

public TabEsdetoper() {
initialize();
}

public void initialize() {
setId(null);
setCnpjoper(null);
setRegans(null);
setVrpgtit(null);
}

public TabEsdetoper(String id, String cnpjoper, String regans, double vrpgtit) {
this.id = id;
this.cnpjoper = cnpjoper;
this.regans = regans;
this.vrpgtit = vrpgtit;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getCnpjoper() {
return cnpjoper;
}

public void setCnpjoper(String cnpjoper) {
this.cnpjoper = cnpjoper;
}

public String getRegans() {
return regans;
}

public void setRegans(String regans) {
this.regans = regans;
}

public double getVrpgtit() {
return vrpgtit;
}

public boolean isVrpgtitNull() {
return vrpgtitNull;
}

public void setVrpgtit(int vrpgtit) {
setVrpgtit(new Double(vrpgtit));
}

public void setVrpgtit(long vrpgtit) {
setVrpgtit(new Double(vrpgtit));
}

public void setVrpgtit(Double vrpgtit) {
if (vrpgtit == null) {
vrpgtitNull = true;
this.vrpgtit = 0.;
} else { 
vrpgtitNull = false;
this.vrpgtit = FglDouble.round(vrpgtit, 8);
}
}

}

