package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsirrf {
@Coluna(nome="esirrf.id", tipo="String")
private String id;
@Coluna(nome="esirrf.tpcr", tipo="int")
private int tpcr;
private boolean tpcrNull;
@Coluna(nome="esirrf.vrirrfdesc", tipo="double")
private double vrirrfdesc;
private boolean vrirrfdescNull;

public TabEsirrf() {
initialize();
}

public void initialize() {
setId(null);
setTpcr(null);
setVrirrfdesc(null);
}

public TabEsirrf(String id, int tpcr, double vrirrfdesc) {
this.id = id;
this.tpcr = tpcr;
this.vrirrfdesc = vrirrfdesc;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpcr() {
return tpcr;
}

public boolean isTpcrNull() {
return tpcrNull;
}

public void setTpcr(Integer tpcr) {
if (tpcr == null) {
tpcrNull = true;
this.tpcr = 0;
} else { 
tpcrNull = false;
this.tpcr = tpcr;
}
}

public double getVrirrfdesc() {
return vrirrfdesc;
}

public boolean isVrirrfdescNull() {
return vrirrfdescNull;
}

public void setVrirrfdesc(int vrirrfdesc) {
setVrirrfdesc(new Double(vrirrfdesc));
}

public void setVrirrfdesc(long vrirrfdesc) {
setVrirrfdesc(new Double(vrirrfdesc));
}

public void setVrirrfdesc(Double vrirrfdesc) {
if (vrirrfdesc == null) {
vrirrfdescNull = true;
this.vrirrfdesc = 0.;
} else { 
vrirrfdescNull = false;
this.vrirrfdesc = FglDouble.round(vrirrfdesc, 2);
}
}

}

