package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsitensremun {
@Coluna(nome="esitensremun.id", tipo="String")
private String id;
@Coluna(nome="esitensremun.tag", tipo="String")
private String tag;
@Coluna(nome="esitensremun.codrubr", tipo="String")
private String codrubr;
@Coluna(nome="esitensremun.idetabrubr", tipo="String")
private String idetabrubr;
@Coluna(nome="esitensremun.qtdrubr", tipo="int")
private int qtdrubr;
private boolean qtdrubrNull;
@Coluna(nome="esitensremun.vrunit", tipo="double")
private double vrunit;
private boolean vrunitNull;
@Coluna(nome="esitensremun.vrrubr", tipo="double")
private double vrrubr;
private boolean vrrubrNull;

public TabEsitensremun() {
initialize();
}

public void initialize() {
setId(null);
setTag(null);
setCodrubr(null);
setIdetabrubr(null);
setQtdrubr(null);
setVrunit(null);
setVrrubr(null);
}

public TabEsitensremun(String id, String tag, String codrubr, String idetabrubr, int qtdrubr, double vrunit, double vrrubr) {
this.id = id;
this.tag = tag;
this.codrubr = codrubr;
this.idetabrubr = idetabrubr;
this.qtdrubr = qtdrubr;
this.vrunit = vrunit;
this.vrrubr = vrrubr;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getTag() {
return tag;
}

public void setTag(String tag) {
this.tag = tag;
}

public String getCodrubr() {
return codrubr;
}

public void setCodrubr(String codrubr) {
this.codrubr = codrubr;
}

public String getIdetabrubr() {
return idetabrubr;
}

public void setIdetabrubr(String idetabrubr) {
this.idetabrubr = idetabrubr;
}

public int getQtdrubr() {
return qtdrubr;
}

public boolean isQtdrubrNull() {
return qtdrubrNull;
}

public void setQtdrubr(Integer qtdrubr) {
if (qtdrubr == null) {
qtdrubrNull = true;
this.qtdrubr = 0;
} else { 
qtdrubrNull = false;
this.qtdrubr = qtdrubr;
}
}

public double getVrunit() {
return vrunit;
}

public boolean isVrunitNull() {
return vrunitNull;
}

public void setVrunit(int vrunit) {
setVrunit(new Double(vrunit));
}

public void setVrunit(long vrunit) {
setVrunit(new Double(vrunit));
}

public void setVrunit(Double vrunit) {
if (vrunit == null) {
vrunitNull = true;
this.vrunit = 0.;
} else { 
vrunitNull = false;
this.vrunit = FglDouble.round(vrunit, 8);
}
}

public double getVrrubr() {
return vrrubr;
}

public boolean isVrrubrNull() {
return vrrubrNull;
}

public void setVrrubr(int vrrubr) {
setVrrubr(new Double(vrrubr));
}

public void setVrrubr(long vrrubr) {
setVrrubr(new Double(vrrubr));
}

public void setVrrubr(Double vrrubr) {
if (vrrubr == null) {
vrrubrNull = true;
this.vrrubr = 0.;
} else { 
vrrubrNull = false;
this.vrrubr = FglDouble.round(vrrubr, 8);
}
}

}

