package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabEspaises {
@Coluna(nome="espaises.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="espaises.nome", tipo="String")
private String nome;
@Coluna(nome="espaises.data_criacao", tipo="FglDateTimeYS")
private FglDateTimeYS dataCriacao;
@Coluna(nome="espaises.data_extincao", tipo="FglDateTimeYS")
private FglDateTimeYS dataExtincao;

public TabEspaises() {
initialize();
}

public void initialize() {
setCodigo(null);
setNome(null);
setDataCriacao(null);
setDataExtincao(null);
}

public TabEspaises(int codigo, String nome, FglDateTimeYS dataCriacao, FglDateTimeYS dataExtincao) {
this.codigo = codigo;
this.nome = nome;
this.dataCriacao = dataCriacao;
this.dataExtincao = dataExtincao;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public FglDateTimeYS getDataCriacao() {
return dataCriacao;
}

public void setDataCriacao(FglDateTimeYS dataCriacao) {
this.dataCriacao = dataCriacao;
}

public FglDateTimeYS getDataExtincao() {
return dataExtincao;
}

public void setDataExtincao(FglDateTimeYS dataExtincao) {
this.dataExtincao = dataExtincao;
}

}

