package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEspensaoalim {
@Coluna(nome="espensaoalim.id", tipo="String")
private String id;
@Coluna(nome="espensaoalim.nmbenefic", tipo="String")
private String nmbenefic;
@Coluna(nome="espensaoalim.cpfbenef", tipo="String")
private String cpfbenef;
@Coluna(nome="espensaoalim.dtnasctobenef", tipo="FglDateTimeYS")
private FglDateTimeYS dtnasctobenef;
@Coluna(nome="espensaoalim.vlrpensao", tipo="double")
private double vlrpensao;
private boolean vlrpensaoNull;
@Coluna(nome="espensaoalim.tag", tipo="String")
private String tag;

public TabEspensaoalim() {
initialize();
}

public void initialize() {
setId(null);
setNmbenefic(null);
setCpfbenef(null);
setDtnasctobenef(null);
setVlrpensao(null);
setTag(null);
}

public TabEspensaoalim(String id, String nmbenefic, String cpfbenef, FglDateTimeYS dtnasctobenef, double vlrpensao, String tag) {
this.id = id;
this.nmbenefic = nmbenefic;
this.cpfbenef = cpfbenef;
this.dtnasctobenef = dtnasctobenef;
this.vlrpensao = vlrpensao;
this.tag = tag;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getNmbenefic() {
return nmbenefic;
}

public void setNmbenefic(String nmbenefic) {
this.nmbenefic = nmbenefic;
}

public String getCpfbenef() {
return cpfbenef;
}

public void setCpfbenef(String cpfbenef) {
this.cpfbenef = cpfbenef;
}

public FglDateTimeYS getDtnasctobenef() {
return dtnasctobenef;
}

public void setDtnasctobenef(FglDateTimeYS dtnasctobenef) {
this.dtnasctobenef = dtnasctobenef;
}

public double getVlrpensao() {
return vlrpensao;
}

public boolean isVlrpensaoNull() {
return vlrpensaoNull;
}

public void setVlrpensao(int vlrpensao) {
setVlrpensao(new Double(vlrpensao));
}

public void setVlrpensao(long vlrpensao) {
setVlrpensao(new Double(vlrpensao));
}

public void setVlrpensao(Double vlrpensao) {
if (vlrpensao == null) {
vlrpensaoNull = true;
this.vlrpensao = 0.;
} else { 
vlrpensaoNull = false;
this.vlrpensao = FglDouble.round(vlrpensao, 8);
}
}

public String getTag() {
return tag;
}

public void setTag(String tag) {
this.tag = tag;
}

}

