package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabEvtinsapo {
@Coluna(nome="evtinsapo.deevento_indretif", tipo="int")
private int deeventoIndretif;
private boolean deeventoIndretifNull;
@Coluna(nome="evtinsapo.ideevento_nrrecibo", tipo="String")
private String ideeventoNrrecibo;
@Coluna(nome="evtinsapo.ideevento_tpamb", tipo="int")
private int ideeventoTpamb;
private boolean ideeventoTpambNull;
@Coluna(nome="evtinsapo.ideevento_procemi", tipo="int")
private int ideeventoProcemi;
private boolean ideeventoProcemiNull;
@Coluna(nome="evtinsapo.ideevento_verproc", tipo="String")
private String ideeventoVerproc;
@Coluna(nome="evtinsapo.ideempregador_tpinsc", tipo="int")
private int ideempregadorTpinsc;
private boolean ideempregadorTpinscNull;
@Coluna(nome="evtinsapo.ideempregador_nrinsc", tipo="String")
private String ideempregadorNrinsc;
@Coluna(nome="evtinsapo.idevinculo_cpftrab", tipo="String")
private String idevinculoCpftrab;
@Coluna(nome="evtinsapo.idevinculo_nistrab", tipo="String")
private String idevinculoNistrab;
@Coluna(nome="evtinsapo.idevinculo_matricula", tipo="String")
private String idevinculoMatricula;
@Coluna(nome="evtinsapo.iniinsalperic_dtinicondicao", tipo="FglDateTimeYS")
private FglDateTimeYS iniinsalpericDtinicondicao;
@Coluna(nome="evtinsapo.altinsalperic_dtaltcondicao", tipo="FglDateTimeYS")
private FglDateTimeYS altinsalpericDtaltcondicao;
@Coluna(nome="evtinsapo.fiminsalperic_dtfimcondicao", tipo="FglDateTimeYS")
private FglDateTimeYS fiminsalpericDtfimcondicao;
@Coluna(nome="evtinsapo.iniaposentesp_dtinicondicao", tipo="FglDateTimeYS")
private FglDateTimeYS iniaposentespDtinicondicao;
@Coluna(nome="evtinsapo.altaposentesp_dtaltcondicao", tipo="FglDateTimeYS")
private FglDateTimeYS altaposentespDtaltcondicao;
@Coluna(nome="evtinsapo.fimaposentesp_dtfimcondicao", tipo="FglDateTimeYS")
private FglDateTimeYS fimaposentespDtfimcondicao;
@Coluna(nome="evtinsapo.id", tipo="String")
private String id;

public TabEvtinsapo() {
initialize();
}

public void initialize() {
setDeeventoIndretif(null);
setIdeeventoNrrecibo(null);
setIdeeventoTpamb(null);
setIdeeventoProcemi(null);
setIdeeventoVerproc(null);
setIdeempregadorTpinsc(null);
setIdeempregadorNrinsc(null);
setIdevinculoCpftrab(null);
setIdevinculoNistrab(null);
setIdevinculoMatricula(null);
setIniinsalpericDtinicondicao(null);
setAltinsalpericDtaltcondicao(null);
setFiminsalpericDtfimcondicao(null);
setIniaposentespDtinicondicao(null);
setAltaposentespDtaltcondicao(null);
setFimaposentespDtfimcondicao(null);
setId(null);
}

public TabEvtinsapo(int deeventoIndretif, String ideeventoNrrecibo, int ideeventoTpamb, int ideeventoProcemi, String ideeventoVerproc, int ideempregadorTpinsc, String ideempregadorNrinsc, String idevinculoCpftrab, String idevinculoNistrab, String idevinculoMatricula, FglDateTimeYS iniinsalpericDtinicondicao, FglDateTimeYS altinsalpericDtaltcondicao, FglDateTimeYS fiminsalpericDtfimcondicao, FglDateTimeYS iniaposentespDtinicondicao, FglDateTimeYS altaposentespDtaltcondicao, FglDateTimeYS fimaposentespDtfimcondicao, String id) {
this.deeventoIndretif = deeventoIndretif;
this.ideeventoNrrecibo = ideeventoNrrecibo;
this.ideeventoTpamb = ideeventoTpamb;
this.ideeventoProcemi = ideeventoProcemi;
this.ideeventoVerproc = ideeventoVerproc;
this.ideempregadorTpinsc = ideempregadorTpinsc;
this.ideempregadorNrinsc = ideempregadorNrinsc;
this.idevinculoCpftrab = idevinculoCpftrab;
this.idevinculoNistrab = idevinculoNistrab;
this.idevinculoMatricula = idevinculoMatricula;
this.iniinsalpericDtinicondicao = iniinsalpericDtinicondicao;
this.altinsalpericDtaltcondicao = altinsalpericDtaltcondicao;
this.fiminsalpericDtfimcondicao = fiminsalpericDtfimcondicao;
this.iniaposentespDtinicondicao = iniaposentespDtinicondicao;
this.altaposentespDtaltcondicao = altaposentespDtaltcondicao;
this.fimaposentespDtfimcondicao = fimaposentespDtfimcondicao;
this.id = id;
}

public int getDeeventoIndretif() {
return deeventoIndretif;
}

public boolean isDeeventoIndretifNull() {
return deeventoIndretifNull;
}

public void setDeeventoIndretif(Integer deeventoIndretif) {
if (deeventoIndretif == null) {
deeventoIndretifNull = true;
this.deeventoIndretif = 0;
} else { 
deeventoIndretifNull = false;
this.deeventoIndretif = deeventoIndretif;
}
}

public String getIdeeventoNrrecibo() {
return ideeventoNrrecibo;
}

public void setIdeeventoNrrecibo(String ideeventoNrrecibo) {
this.ideeventoNrrecibo = ideeventoNrrecibo;
}

public int getIdeeventoTpamb() {
return ideeventoTpamb;
}

public boolean isIdeeventoTpambNull() {
return ideeventoTpambNull;
}

public void setIdeeventoTpamb(Integer ideeventoTpamb) {
if (ideeventoTpamb == null) {
ideeventoTpambNull = true;
this.ideeventoTpamb = 0;
} else { 
ideeventoTpambNull = false;
this.ideeventoTpamb = ideeventoTpamb;
}
}

public int getIdeeventoProcemi() {
return ideeventoProcemi;
}

public boolean isIdeeventoProcemiNull() {
return ideeventoProcemiNull;
}

public void setIdeeventoProcemi(Integer ideeventoProcemi) {
if (ideeventoProcemi == null) {
ideeventoProcemiNull = true;
this.ideeventoProcemi = 0;
} else { 
ideeventoProcemiNull = false;
this.ideeventoProcemi = ideeventoProcemi;
}
}

public String getIdeeventoVerproc() {
return ideeventoVerproc;
}

public void setIdeeventoVerproc(String ideeventoVerproc) {
this.ideeventoVerproc = ideeventoVerproc;
}

public int getIdeempregadorTpinsc() {
return ideempregadorTpinsc;
}

public boolean isIdeempregadorTpinscNull() {
return ideempregadorTpinscNull;
}

public void setIdeempregadorTpinsc(Integer ideempregadorTpinsc) {
if (ideempregadorTpinsc == null) {
ideempregadorTpinscNull = true;
this.ideempregadorTpinsc = 0;
} else { 
ideempregadorTpinscNull = false;
this.ideempregadorTpinsc = ideempregadorTpinsc;
}
}

public String getIdeempregadorNrinsc() {
return ideempregadorNrinsc;
}

public void setIdeempregadorNrinsc(String ideempregadorNrinsc) {
this.ideempregadorNrinsc = ideempregadorNrinsc;
}

public String getIdevinculoCpftrab() {
return idevinculoCpftrab;
}

public void setIdevinculoCpftrab(String idevinculoCpftrab) {
this.idevinculoCpftrab = idevinculoCpftrab;
}

public String getIdevinculoNistrab() {
return idevinculoNistrab;
}

public void setIdevinculoNistrab(String idevinculoNistrab) {
this.idevinculoNistrab = idevinculoNistrab;
}

public String getIdevinculoMatricula() {
return idevinculoMatricula;
}

public void setIdevinculoMatricula(String idevinculoMatricula) {
this.idevinculoMatricula = idevinculoMatricula;
}

public FglDateTimeYS getIniinsalpericDtinicondicao() {
return iniinsalpericDtinicondicao;
}

public void setIniinsalpericDtinicondicao(FglDateTimeYS iniinsalpericDtinicondicao) {
this.iniinsalpericDtinicondicao = iniinsalpericDtinicondicao;
}

public FglDateTimeYS getAltinsalpericDtaltcondicao() {
return altinsalpericDtaltcondicao;
}

public void setAltinsalpericDtaltcondicao(FglDateTimeYS altinsalpericDtaltcondicao) {
this.altinsalpericDtaltcondicao = altinsalpericDtaltcondicao;
}

public FglDateTimeYS getFiminsalpericDtfimcondicao() {
return fiminsalpericDtfimcondicao;
}

public void setFiminsalpericDtfimcondicao(FglDateTimeYS fiminsalpericDtfimcondicao) {
this.fiminsalpericDtfimcondicao = fiminsalpericDtfimcondicao;
}

public FglDateTimeYS getIniaposentespDtinicondicao() {
return iniaposentespDtinicondicao;
}

public void setIniaposentespDtinicondicao(FglDateTimeYS iniaposentespDtinicondicao) {
this.iniaposentespDtinicondicao = iniaposentespDtinicondicao;
}

public FglDateTimeYS getAltaposentespDtaltcondicao() {
return altaposentespDtaltcondicao;
}

public void setAltaposentespDtaltcondicao(FglDateTimeYS altaposentespDtaltcondicao) {
this.altaposentespDtaltcondicao = altaposentespDtaltcondicao;
}

public FglDateTimeYS getFimaposentespDtfimcondicao() {
return fimaposentespDtfimcondicao;
}

public void setFimaposentespDtfimcondicao(FglDateTimeYS fimaposentespDtfimcondicao) {
this.fimaposentespDtfimcondicao = fimaposentespDtfimcondicao;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

}

