package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFddfmovi {
@Coluna(nome="fddfmovi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fddfmovi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="fddfmovi.def_campo", tipo="String")
private String defCampo;
@Coluna(nome="fddfmovi.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabFddfmovi() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setDefCampo(null);
setValor(null);
}

public TabFddfmovi(int filial, FglDateTimeYM anomes, String defCampo, double valor) {
this.filial = filial;
this.anomes = anomes;
this.defCampo = defCampo;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getDefCampo() {
return defCampo;
}

public void setDefCampo(String defCampo) {
this.defCampo = defCampo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

