package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFdincidc {
@Coluna(nome="fdincidc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fdincidc.novousado", tipo="String")
private String novousado;
@Coluna(nome="fdincidc.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="fdincidc.indexador", tipo="String")
private String indexador;
@Coluna(nome="fdincidc.incidenciabfp", tipo="int")
private int incidenciabfp;
private boolean incidenciabfpNull;
@Coluna(nome="fdincidc.indexadorqc", tipo="String")
private String indexadorqc;
@Coluna(nome="fdincidc.tpdoctobfp", tipo="String")
private String tpdoctobfp;
@Coluna(nome="fdincidc.tpdoctoreb", tipo="String")
private String tpdoctoreb;
@Coluna(nome="fdincidc.tpdoctobon", tipo="String")
private String tpdoctobon;
@Coluna(nome="fdincidc.tpdoctofav", tipo="String")
private String tpdoctofav;
@Coluna(nome="fdincidc.percfundif", tipo="double")
private double percfundif;
private boolean percfundifNull;

public TabFdincidc() {
initialize();
}

public void initialize() {
setFilial(null);
setNovousado(null);
setIncidencia(null);
setIndexador(null);
setIncidenciabfp(null);
setIndexadorqc(null);
setTpdoctobfp(null);
setTpdoctoreb(null);
setTpdoctobon(null);
setTpdoctofav(null);
setPercfundif(null);
}

public TabFdincidc(int filial, String novousado, int incidencia, String indexador, int incidenciabfp, String indexadorqc, String tpdoctobfp, String tpdoctoreb, String tpdoctobon, String tpdoctofav, double percfundif) {
this.filial = filial;
this.novousado = novousado;
this.incidencia = incidencia;
this.indexador = indexador;
this.incidenciabfp = incidenciabfp;
this.indexadorqc = indexadorqc;
this.tpdoctobfp = tpdoctobfp;
this.tpdoctoreb = tpdoctoreb;
this.tpdoctobon = tpdoctobon;
this.tpdoctofav = tpdoctofav;
this.percfundif = percfundif;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

public int getIncidenciabfp() {
return incidenciabfp;
}

public boolean isIncidenciabfpNull() {
return incidenciabfpNull;
}

public void setIncidenciabfp(Integer incidenciabfp) {
if (incidenciabfp == null) {
incidenciabfpNull = true;
this.incidenciabfp = 0;
} else { 
incidenciabfpNull = false;
this.incidenciabfp = incidenciabfp;
}
}

public String getIndexadorqc() {
return indexadorqc;
}

public void setIndexadorqc(String indexadorqc) {
this.indexadorqc = indexadorqc;
}

public String getTpdoctobfp() {
return tpdoctobfp;
}

public void setTpdoctobfp(String tpdoctobfp) {
this.tpdoctobfp = tpdoctobfp;
}

public String getTpdoctoreb() {
return tpdoctoreb;
}

public void setTpdoctoreb(String tpdoctoreb) {
this.tpdoctoreb = tpdoctoreb;
}

public String getTpdoctobon() {
return tpdoctobon;
}

public void setTpdoctobon(String tpdoctobon) {
this.tpdoctobon = tpdoctobon;
}

public String getTpdoctofav() {
return tpdoctofav;
}

public void setTpdoctofav(String tpdoctofav) {
this.tpdoctofav = tpdoctofav;
}

public double getPercfundif() {
return percfundif;
}

public boolean isPercfundifNull() {
return percfundifNull;
}

public void setPercfundif(int percfundif) {
setPercfundif(new Double(percfundif));
}

public void setPercfundif(long percfundif) {
setPercfundif(new Double(percfundif));
}

public void setPercfundif(Double percfundif) {
if (percfundif == null) {
percfundifNull = true;
this.percfundif = 0.;
} else { 
percfundifNull = false;
this.percfundif = FglDouble.round(percfundif, 2);
}
}

}

