package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabFdppa02 {
@Coluna(nome="fdppa02.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fdppa02.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="fdppa02.governo_vl", tipo="long")
private long governoVl;
private boolean governoVlNull;
@Coluna(nome="fdppa02.governo_cv", tipo="long")
private long governoCv;
private boolean governoCvNull;
@Coluna(nome="fdppa02.frotista_vl", tipo="long")
private long frotistaVl;
private boolean frotistaVlNull;
@Coluna(nome="fdppa02.frotista_cv", tipo="long")
private long frotistaCv;
private boolean frotistaCvNull;
@Coluna(nome="fdppa02.seguradora_vl", tipo="long")
private long seguradoraVl;
private boolean seguradoraVlNull;
@Coluna(nome="fdppa02.seguradora_cv", tipo="long")
private long seguradoraCv;
private boolean seguradoraCvNull;
@Coluna(nome="fdppa02.cliente_vl", tipo="long")
private long clienteVl;
private boolean clienteVlNull;
@Coluna(nome="fdppa02.cliente_cv", tipo="long")
private long clienteCv;
private boolean clienteCvNull;
@Coluna(nome="fdppa02.garantia_vl", tipo="long")
private long garantiaVl;
private boolean garantiaVlNull;
@Coluna(nome="fdppa02.garantia_cv", tipo="long")
private long garantiaCv;
private boolean garantiaCvNull;
@Coluna(nome="fdppa02.cons_int_vl", tipo="long")
private long consIntVl;
private boolean consIntVlNull;
@Coluna(nome="fdppa02.cons_int_cv", tipo="long")
private long consIntCv;
private boolean consIntCvNull;
@Coluna(nome="fdppa02.acessorio_vl", tipo="long")
private long acessorioVl;
private boolean acessorioVlNull;
@Coluna(nome="fdppa02.acessorio_cv", tipo="long")
private long acessorioCv;
private boolean acessorioCvNull;
@Coluna(nome="fdppa02.tot_pc_ac_vl", tipo="long")
private long totPcAcVl;
private boolean totPcAcVlNull;
@Coluna(nome="fdppa02.tot_pc_ac_cv", tipo="long")
private long totPcAcCv;
private boolean totPcAcCvNull;
@Coluna(nome="fdppa02.venda_vl", tipo="long")
private long vendaVl;
private boolean vendaVlNull;
@Coluna(nome="fdppa02.venda_cv", tipo="long")
private long vendaCv;
private boolean vendaCvNull;

public TabFdppa02() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setGovernoVl(null);
setGovernoCv(null);
setFrotistaVl(null);
setFrotistaCv(null);
setSeguradoraVl(null);
setSeguradoraCv(null);
setClienteVl(null);
setClienteCv(null);
setGarantiaVl(null);
setGarantiaCv(null);
setConsIntVl(null);
setConsIntCv(null);
setAcessorioVl(null);
setAcessorioCv(null);
setTotPcAcVl(null);
setTotPcAcCv(null);
setVendaVl(null);
setVendaCv(null);
}

public TabFdppa02(int filial, FglDateTimeYM anomes, long governoVl, long governoCv, long frotistaVl, long frotistaCv, long seguradoraVl, long seguradoraCv, long clienteVl, long clienteCv, long garantiaVl, long garantiaCv, long consIntVl, long consIntCv, long acessorioVl, long acessorioCv, long totPcAcVl, long totPcAcCv, long vendaVl, long vendaCv) {
this.filial = filial;
this.anomes = anomes;
this.governoVl = governoVl;
this.governoCv = governoCv;
this.frotistaVl = frotistaVl;
this.frotistaCv = frotistaCv;
this.seguradoraVl = seguradoraVl;
this.seguradoraCv = seguradoraCv;
this.clienteVl = clienteVl;
this.clienteCv = clienteCv;
this.garantiaVl = garantiaVl;
this.garantiaCv = garantiaCv;
this.consIntVl = consIntVl;
this.consIntCv = consIntCv;
this.acessorioVl = acessorioVl;
this.acessorioCv = acessorioCv;
this.totPcAcVl = totPcAcVl;
this.totPcAcCv = totPcAcCv;
this.vendaVl = vendaVl;
this.vendaCv = vendaCv;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getGovernoVl() {
return governoVl;
}

public boolean isGovernoVlNull() {
return governoVlNull;
}

public void setGovernoVl(int governoVl) {
setGovernoVl(new Long(governoVl));
}

public void setGovernoVl(Long governoVl) {
if (governoVl == null) {
governoVlNull = true;
this.governoVl = 0l;
} else { 
governoVlNull = false;
this.governoVl = governoVl;
}
}

public long getGovernoCv() {
return governoCv;
}

public boolean isGovernoCvNull() {
return governoCvNull;
}

public void setGovernoCv(int governoCv) {
setGovernoCv(new Long(governoCv));
}

public void setGovernoCv(Long governoCv) {
if (governoCv == null) {
governoCvNull = true;
this.governoCv = 0l;
} else { 
governoCvNull = false;
this.governoCv = governoCv;
}
}

public long getFrotistaVl() {
return frotistaVl;
}

public boolean isFrotistaVlNull() {
return frotistaVlNull;
}

public void setFrotistaVl(int frotistaVl) {
setFrotistaVl(new Long(frotistaVl));
}

public void setFrotistaVl(Long frotistaVl) {
if (frotistaVl == null) {
frotistaVlNull = true;
this.frotistaVl = 0l;
} else { 
frotistaVlNull = false;
this.frotistaVl = frotistaVl;
}
}

public long getFrotistaCv() {
return frotistaCv;
}

public boolean isFrotistaCvNull() {
return frotistaCvNull;
}

public void setFrotistaCv(int frotistaCv) {
setFrotistaCv(new Long(frotistaCv));
}

public void setFrotistaCv(Long frotistaCv) {
if (frotistaCv == null) {
frotistaCvNull = true;
this.frotistaCv = 0l;
} else { 
frotistaCvNull = false;
this.frotistaCv = frotistaCv;
}
}

public long getSeguradoraVl() {
return seguradoraVl;
}

public boolean isSeguradoraVlNull() {
return seguradoraVlNull;
}

public void setSeguradoraVl(int seguradoraVl) {
setSeguradoraVl(new Long(seguradoraVl));
}

public void setSeguradoraVl(Long seguradoraVl) {
if (seguradoraVl == null) {
seguradoraVlNull = true;
this.seguradoraVl = 0l;
} else { 
seguradoraVlNull = false;
this.seguradoraVl = seguradoraVl;
}
}

public long getSeguradoraCv() {
return seguradoraCv;
}

public boolean isSeguradoraCvNull() {
return seguradoraCvNull;
}

public void setSeguradoraCv(int seguradoraCv) {
setSeguradoraCv(new Long(seguradoraCv));
}

public void setSeguradoraCv(Long seguradoraCv) {
if (seguradoraCv == null) {
seguradoraCvNull = true;
this.seguradoraCv = 0l;
} else { 
seguradoraCvNull = false;
this.seguradoraCv = seguradoraCv;
}
}

public long getClienteVl() {
return clienteVl;
}

public boolean isClienteVlNull() {
return clienteVlNull;
}

public void setClienteVl(int clienteVl) {
setClienteVl(new Long(clienteVl));
}

public void setClienteVl(Long clienteVl) {
if (clienteVl == null) {
clienteVlNull = true;
this.clienteVl = 0l;
} else { 
clienteVlNull = false;
this.clienteVl = clienteVl;
}
}

public long getClienteCv() {
return clienteCv;
}

public boolean isClienteCvNull() {
return clienteCvNull;
}

public void setClienteCv(int clienteCv) {
setClienteCv(new Long(clienteCv));
}

public void setClienteCv(Long clienteCv) {
if (clienteCv == null) {
clienteCvNull = true;
this.clienteCv = 0l;
} else { 
clienteCvNull = false;
this.clienteCv = clienteCv;
}
}

public long getGarantiaVl() {
return garantiaVl;
}

public boolean isGarantiaVlNull() {
return garantiaVlNull;
}

public void setGarantiaVl(int garantiaVl) {
setGarantiaVl(new Long(garantiaVl));
}

public void setGarantiaVl(Long garantiaVl) {
if (garantiaVl == null) {
garantiaVlNull = true;
this.garantiaVl = 0l;
} else { 
garantiaVlNull = false;
this.garantiaVl = garantiaVl;
}
}

public long getGarantiaCv() {
return garantiaCv;
}

public boolean isGarantiaCvNull() {
return garantiaCvNull;
}

public void setGarantiaCv(int garantiaCv) {
setGarantiaCv(new Long(garantiaCv));
}

public void setGarantiaCv(Long garantiaCv) {
if (garantiaCv == null) {
garantiaCvNull = true;
this.garantiaCv = 0l;
} else { 
garantiaCvNull = false;
this.garantiaCv = garantiaCv;
}
}

public long getConsIntVl() {
return consIntVl;
}

public boolean isConsIntVlNull() {
return consIntVlNull;
}

public void setConsIntVl(int consIntVl) {
setConsIntVl(new Long(consIntVl));
}

public void setConsIntVl(Long consIntVl) {
if (consIntVl == null) {
consIntVlNull = true;
this.consIntVl = 0l;
} else { 
consIntVlNull = false;
this.consIntVl = consIntVl;
}
}

public long getConsIntCv() {
return consIntCv;
}

public boolean isConsIntCvNull() {
return consIntCvNull;
}

public void setConsIntCv(int consIntCv) {
setConsIntCv(new Long(consIntCv));
}

public void setConsIntCv(Long consIntCv) {
if (consIntCv == null) {
consIntCvNull = true;
this.consIntCv = 0l;
} else { 
consIntCvNull = false;
this.consIntCv = consIntCv;
}
}

public long getAcessorioVl() {
return acessorioVl;
}

public boolean isAcessorioVlNull() {
return acessorioVlNull;
}

public void setAcessorioVl(int acessorioVl) {
setAcessorioVl(new Long(acessorioVl));
}

public void setAcessorioVl(Long acessorioVl) {
if (acessorioVl == null) {
acessorioVlNull = true;
this.acessorioVl = 0l;
} else { 
acessorioVlNull = false;
this.acessorioVl = acessorioVl;
}
}

public long getAcessorioCv() {
return acessorioCv;
}

public boolean isAcessorioCvNull() {
return acessorioCvNull;
}

public void setAcessorioCv(int acessorioCv) {
setAcessorioCv(new Long(acessorioCv));
}

public void setAcessorioCv(Long acessorioCv) {
if (acessorioCv == null) {
acessorioCvNull = true;
this.acessorioCv = 0l;
} else { 
acessorioCvNull = false;
this.acessorioCv = acessorioCv;
}
}

public long getTotPcAcVl() {
return totPcAcVl;
}

public boolean isTotPcAcVlNull() {
return totPcAcVlNull;
}

public void setTotPcAcVl(int totPcAcVl) {
setTotPcAcVl(new Long(totPcAcVl));
}

public void setTotPcAcVl(Long totPcAcVl) {
if (totPcAcVl == null) {
totPcAcVlNull = true;
this.totPcAcVl = 0l;
} else { 
totPcAcVlNull = false;
this.totPcAcVl = totPcAcVl;
}
}

public long getTotPcAcCv() {
return totPcAcCv;
}

public boolean isTotPcAcCvNull() {
return totPcAcCvNull;
}

public void setTotPcAcCv(int totPcAcCv) {
setTotPcAcCv(new Long(totPcAcCv));
}

public void setTotPcAcCv(Long totPcAcCv) {
if (totPcAcCv == null) {
totPcAcCvNull = true;
this.totPcAcCv = 0l;
} else { 
totPcAcCvNull = false;
this.totPcAcCv = totPcAcCv;
}
}

public long getVendaVl() {
return vendaVl;
}

public boolean isVendaVlNull() {
return vendaVlNull;
}

public void setVendaVl(int vendaVl) {
setVendaVl(new Long(vendaVl));
}

public void setVendaVl(Long vendaVl) {
if (vendaVl == null) {
vendaVlNull = true;
this.vendaVl = 0l;
} else { 
vendaVlNull = false;
this.vendaVl = vendaVl;
}
}

public long getVendaCv() {
return vendaCv;
}

public boolean isVendaCvNull() {
return vendaCvNull;
}

public void setVendaCv(int vendaCv) {
setVendaCv(new Long(vendaCv));
}

public void setVendaCv(Long vendaCv) {
if (vendaCv == null) {
vendaCvNull = true;
this.vendaCv = 0l;
} else { 
vendaCvNull = false;
this.vendaCv = vendaCv;
}
}

}

