package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabFdtransm {
@Coluna(nome="fdtransm.id_transm", tipo="int")
private int idTransm;
private boolean idTransmNull;
@Coluna(nome="fdtransm.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fdtransm.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="fdtransm.linha", tipo="String")
private String linha;
@Coluna(nome="fdtransm.dttransmissao", tipo="FglDateTimeYS")
private FglDateTimeYS dttransmissao;

public TabFdtransm() {
initialize();
}

public void initialize() {
setIdTransm(null);
setFilial(null);
setDtgeracao(null);
setLinha(null);
setDttransmissao(null);
}

public TabFdtransm(int idTransm, int filial, FglDate dtgeracao, String linha, FglDateTimeYS dttransmissao) {
this.idTransm = idTransm;
this.filial = filial;
this.dtgeracao = dtgeracao;
this.linha = linha;
this.dttransmissao = dttransmissao;
}

public int getIdTransm() {
return idTransm;
}

public boolean isIdTransmNull() {
return idTransmNull;
}

public void setIdTransm(Integer idTransm) {
if (idTransm == null) {
idTransmNull = true;
this.idTransm = 0;
} else { 
idTransmNull = false;
this.idTransm = idTransm;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public String getLinha() {
return linha;
}

public void setLinha(String linha) {
this.linha = linha;
}

public FglDateTimeYS getDttransmissao() {
return dttransmissao;
}

public void setDttransmissao(FglDateTimeYS dttransmissao) {
this.dttransmissao = dttransmissao;
}

}

