package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFiholbac {
@Coluna(nome="fiholbac.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fiholbac.modelo", tipo="String")
private String modelo;
@Coluna(nome="fiholbac.datainivig", tipo="FglDate")
private FglDate datainivig;
@Coluna(nome="fiholbac.datafimvig", tipo="FglDate")
private FglDate datafimvig;
@Coluna(nome="fiholbac.valorliquido", tipo="double")
private double valorliquido;
private boolean valorliquidoNull;

public TabFiholbac() {
initialize();
}

public void initialize() {
setFilial(null);
setModelo(null);
setDatainivig(null);
setDatafimvig(null);
setValorliquido(null);
}

public TabFiholbac(int filial, String modelo, FglDate datainivig, FglDate datafimvig, double valorliquido) {
this.filial = filial;
this.modelo = modelo;
this.datainivig = datainivig;
this.datafimvig = datafimvig;
this.valorliquido = valorliquido;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public FglDate getDatainivig() {
return datainivig;
}

public void setDatainivig(FglDate datainivig) {
this.datainivig = datainivig;
}

public FglDate getDatafimvig() {
return datafimvig;
}

public void setDatafimvig(FglDate datafimvig) {
this.datafimvig = datafimvig;
}

public double getValorliquido() {
return valorliquido;
}

public boolean isValorliquidoNull() {
return valorliquidoNull;
}

public void setValorliquido(int valorliquido) {
setValorliquido(new Double(valorliquido));
}

public void setValorliquido(long valorliquido) {
setValorliquido(new Double(valorliquido));
}

public void setValorliquido(Double valorliquido) {
if (valorliquido == null) {
valorliquidoNull = true;
this.valorliquido = 0.;
} else { 
valorliquidoNull = false;
this.valorliquido = FglDouble.round(valorliquido, 2);
}
}

}

