package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFimoneve {
@Coluna(nome="fimoneve.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="fimoneve.dt_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtGeracao;
@Coluna(nome="fimoneve.tipoevento", tipo="int")
private int tipoevento;
private boolean tipoeventoNull;
@Coluna(nome="fimoneve.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="fimoneve.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fimoneve.chassi", tipo="String")
private String chassi;
@Coluna(nome="fimoneve.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="fimoneve.id_proposta", tipo="int")
private int idProposta;
private boolean idPropostaNull;
@Coluna(nome="fimoneve.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="fimoneve.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="fimoneve.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="fimoneve.qtdetransmissoes", tipo="int")
private int qtdetransmissoes;
private boolean qtdetransmissoesNull;
@Coluna(nome="fimoneve.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="fimoneve.vlrtabela", tipo="double")
private double vlrtabela;
private boolean vlrtabelaNull;

public TabFimoneve() {
initialize();
}

public void initialize() {
setIdEvento(null);
setDtGeracao(null);
setTipoevento(null);
setStatus(null);
setFilial(null);
setChassi(null);
setIdAgente(null);
setIdProposta(null);
setPedvenda(null);
setCgccpf(null);
setTppessoa(null);
setQtdetransmissoes(null);
setIdNfcapa(null);
setVlrtabela(null);
}

public TabFimoneve(int idEvento, FglDateTimeYS dtGeracao, int tipoevento, int status, int filial, String chassi, int idAgente, int idProposta, int pedvenda, long cgccpf, int tppessoa, int qtdetransmissoes, int idNfcapa, double vlrtabela) {
this.idEvento = idEvento;
this.dtGeracao = dtGeracao;
this.tipoevento = tipoevento;
this.status = status;
this.filial = filial;
this.chassi = chassi;
this.idAgente = idAgente;
this.idProposta = idProposta;
this.pedvenda = pedvenda;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtdetransmissoes = qtdetransmissoes;
this.idNfcapa = idNfcapa;
this.vlrtabela = vlrtabela;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public FglDateTimeYS getDtGeracao() {
return dtGeracao;
}

public void setDtGeracao(FglDateTimeYS dtGeracao) {
this.dtGeracao = dtGeracao;
}

public int getTipoevento() {
return tipoevento;
}

public boolean isTipoeventoNull() {
return tipoeventoNull;
}

public void setTipoevento(Integer tipoevento) {
if (tipoevento == null) {
tipoeventoNull = true;
this.tipoevento = 0;
} else { 
tipoeventoNull = false;
this.tipoevento = tipoevento;
}
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdProposta() {
return idProposta;
}

public boolean isIdPropostaNull() {
return idPropostaNull;
}

public void setIdProposta(Integer idProposta) {
if (idProposta == null) {
idPropostaNull = true;
this.idProposta = 0;
} else { 
idPropostaNull = false;
this.idProposta = idProposta;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getQtdetransmissoes() {
return qtdetransmissoes;
}

public boolean isQtdetransmissoesNull() {
return qtdetransmissoesNull;
}

public void setQtdetransmissoes(Integer qtdetransmissoes) {
if (qtdetransmissoes == null) {
qtdetransmissoesNull = true;
this.qtdetransmissoes = 0;
} else { 
qtdetransmissoesNull = false;
this.qtdetransmissoes = qtdetransmissoes;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public double getVlrtabela() {
return vlrtabela;
}

public boolean isVlrtabelaNull() {
return vlrtabelaNull;
}

public void setVlrtabela(int vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(long vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(Double vlrtabela) {
if (vlrtabela == null) {
vlrtabelaNull = true;
this.vlrtabela = 0.;
} else { 
vlrtabelaNull = false;
this.vlrtabela = FglDouble.round(vlrtabela, 2);
}
}

}

