package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFiparfun {
@Coluna(nome="fiparfun.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fiparfun.percfunnov", tipo="double")
private double percfunnov;
private boolean percfunnovNull;
@Coluna(nome="fiparfun.percfunusa", tipo="double")
private double percfunusa;
private boolean percfunusaNull;
@Coluna(nome="fiparfun.tprecbtoconnov", tipo="String")
private String tprecbtoconnov;
@Coluna(nome="fiparfun.tprecbtoconusa", tipo="String")
private String tprecbtoconusa;
@Coluna(nome="fiparfun.tprecbtofianov", tipo="String")
private String tprecbtofianov;
@Coluna(nome="fiparfun.tprecbtofiausa", tipo="String")
private String tprecbtofiausa;

public TabFiparfun() {
initialize();
}

public void initialize() {
setFilial(null);
setPercfunnov(null);
setPercfunusa(null);
setTprecbtoconnov(null);
setTprecbtoconusa(null);
setTprecbtofianov(null);
setTprecbtofiausa(null);
}

public TabFiparfun(int filial, double percfunnov, double percfunusa, String tprecbtoconnov, String tprecbtoconusa, String tprecbtofianov, String tprecbtofiausa) {
this.filial = filial;
this.percfunnov = percfunnov;
this.percfunusa = percfunusa;
this.tprecbtoconnov = tprecbtoconnov;
this.tprecbtoconusa = tprecbtoconusa;
this.tprecbtofianov = tprecbtofianov;
this.tprecbtofiausa = tprecbtofiausa;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getPercfunnov() {
return percfunnov;
}

public boolean isPercfunnovNull() {
return percfunnovNull;
}

public void setPercfunnov(int percfunnov) {
setPercfunnov(new Double(percfunnov));
}

public void setPercfunnov(long percfunnov) {
setPercfunnov(new Double(percfunnov));
}

public void setPercfunnov(Double percfunnov) {
if (percfunnov == null) {
percfunnovNull = true;
this.percfunnov = 0.;
} else { 
percfunnovNull = false;
this.percfunnov = FglDouble.round(percfunnov, 2);
}
}

public double getPercfunusa() {
return percfunusa;
}

public boolean isPercfunusaNull() {
return percfunusaNull;
}

public void setPercfunusa(int percfunusa) {
setPercfunusa(new Double(percfunusa));
}

public void setPercfunusa(long percfunusa) {
setPercfunusa(new Double(percfunusa));
}

public void setPercfunusa(Double percfunusa) {
if (percfunusa == null) {
percfunusaNull = true;
this.percfunusa = 0.;
} else { 
percfunusaNull = false;
this.percfunusa = FglDouble.round(percfunusa, 2);
}
}

public String getTprecbtoconnov() {
return tprecbtoconnov;
}

public void setTprecbtoconnov(String tprecbtoconnov) {
this.tprecbtoconnov = tprecbtoconnov;
}

public String getTprecbtoconusa() {
return tprecbtoconusa;
}

public void setTprecbtoconusa(String tprecbtoconusa) {
this.tprecbtoconusa = tprecbtoconusa;
}

public String getTprecbtofianov() {
return tprecbtofianov;
}

public void setTprecbtofianov(String tprecbtofianov) {
this.tprecbtofianov = tprecbtofianov;
}

public String getTprecbtofiausa() {
return tprecbtofiausa;
}

public void setTprecbtofiausa(String tprecbtofiausa) {
this.tprecbtofiausa = tprecbtofiausa;
}

}

