package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabFiparhol {
@Coluna(nome="fiparhol.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fiparhol.tpfatura", tipo="String")
private String tpfatura;
@Coluna(nome="fiparhol.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="fiparhol.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="fiparhol.qtddiasvencto", tipo="int")
private int qtddiasvencto;
private boolean qtddiasvenctoNull;

public TabFiparhol() {
initialize();
}

public void initialize() {
setFilial(null);
setTpfatura(null);
setCgccpf(null);
setTppessoa(null);
setQtddiasvencto(null);
}

public TabFiparhol(int filial, String tpfatura, long cgccpf, int tppessoa, int qtddiasvencto) {
this.filial = filial;
this.tpfatura = tpfatura;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtddiasvencto = qtddiasvencto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpfatura() {
return tpfatura;
}

public void setTpfatura(String tpfatura) {
this.tpfatura = tpfatura;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getQtddiasvencto() {
return qtddiasvencto;
}

public boolean isQtddiasvenctoNull() {
return qtddiasvenctoNull;
}

public void setQtddiasvencto(Integer qtddiasvencto) {
if (qtddiasvencto == null) {
qtddiasvenctoNull = true;
this.qtddiasvencto = 0;
} else { 
qtddiasvenctoNull = false;
this.qtddiasvencto = qtddiasvencto;
}
}

}

