package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFiprocre {
@Coluna(nome="fiprocre.id_proposta", tipo="int")
private int idProposta;
private boolean idPropostaNull;
@Coluna(nome="fiprocre.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="fiprocre.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="fiprocre.codigobanco", tipo="String")
private String codigobanco;
@Coluna(nome="fiprocre.codigoplano", tipo="String")
private String codigoplano;
@Coluna(nome="fiprocre.dtenvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtenvio;
@Coluna(nome="fiprocre.dtretorno", tipo="FglDateTimeYS")
private FglDateTimeYS dtretorno;
@Coluna(nome="fiprocre.dtprevpagamento", tipo="FglDateTimeYS")
private FglDateTimeYS dtprevpagamento;
@Coluna(nome="fiprocre.dtpagamento", tipo="FglDateTimeYS")
private FglDateTimeYS dtpagamento;
@Coluna(nome="fiprocre.observacao", tipo="String")
private String observacao;
@Coluna(nome="fiprocre.nroparcelas", tipo="int")
private int nroparcelas;
private boolean nroparcelasNull;
@Coluna(nome="fiprocre.taxames", tipo="double")
private double taxames;
private boolean taxamesNull;
@Coluna(nome="fiprocre.coeficiente", tipo="double")
private double coeficiente;
private boolean coeficienteNull;
@Coluna(nome="fiprocre.fator", tipo="int")
private int fator;
private boolean fatorNull;
@Coluna(nome="fiprocre.calco", tipo="int")
private int calco;
private boolean calcoNull;
@Coluna(nome="fiprocre.tacvenda", tipo="double")
private double tacvenda;
private boolean tacvendaNull;
@Coluna(nome="fiprocre.tacretorno", tipo="double")
private double tacretorno;
private boolean tacretornoNull;
@Coluna(nome="fiprocre.valorfinanciado", tipo="double")
private double valorfinanciado;
private boolean valorfinanciadoNull;
@Coluna(nome="fiprocre.plus", tipo="double")
private double plus;
private boolean plusNull;
@Coluna(nome="fiprocre.tab", tipo="double")
private double tab;
private boolean tabNull;
@Coluna(nome="fiprocre.megadata", tipo="double")
private double megadata;
private boolean megadataNull;
@Coluna(nome="fiprocre.taxaregcartorio", tipo="double")
private double taxaregcartorio;
private boolean taxaregcartorioNull;
@Coluna(nome="fiprocre.tpfinanciamento", tipo="int")
private int tpfinanciamento;
private boolean tpfinanciamentoNull;

public TabFiprocre() {
initialize();
}

public void initialize() {
setIdProposta(null);
setCodigo(null);
setStatus(null);
setCodigobanco(null);
setCodigoplano(null);
setDtenvio(null);
setDtretorno(null);
setDtprevpagamento(null);
setDtpagamento(null);
setObservacao(null);
setNroparcelas(null);
setTaxames(null);
setCoeficiente(null);
setFator(null);
setCalco(null);
setTacvenda(null);
setTacretorno(null);
setValorfinanciado(null);
setPlus(null);
setTab(null);
setMegadata(null);
setTaxaregcartorio(null);
setTpfinanciamento(null);
}

public TabFiprocre(int idProposta, int codigo, int status, String codigobanco, String codigoplano, FglDateTimeYS dtenvio, FglDateTimeYS dtretorno, FglDateTimeYS dtprevpagamento, FglDateTimeYS dtpagamento, String observacao, int nroparcelas, double taxames, double coeficiente, int fator, int calco, double tacvenda, double tacretorno, double valorfinanciado, double plus, double tab, double megadata, double taxaregcartorio, int tpfinanciamento) {
this.idProposta = idProposta;
this.codigo = codigo;
this.status = status;
this.codigobanco = codigobanco;
this.codigoplano = codigoplano;
this.dtenvio = dtenvio;
this.dtretorno = dtretorno;
this.dtprevpagamento = dtprevpagamento;
this.dtpagamento = dtpagamento;
this.observacao = observacao;
this.nroparcelas = nroparcelas;
this.taxames = taxames;
this.coeficiente = coeficiente;
this.fator = fator;
this.calco = calco;
this.tacvenda = tacvenda;
this.tacretorno = tacretorno;
this.valorfinanciado = valorfinanciado;
this.plus = plus;
this.tab = tab;
this.megadata = megadata;
this.taxaregcartorio = taxaregcartorio;
this.tpfinanciamento = tpfinanciamento;
}

public int getIdProposta() {
return idProposta;
}

public boolean isIdPropostaNull() {
return idPropostaNull;
}

public void setIdProposta(Integer idProposta) {
if (idProposta == null) {
idPropostaNull = true;
this.idProposta = 0;
} else { 
idPropostaNull = false;
this.idProposta = idProposta;
}
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getCodigobanco() {
return codigobanco;
}

public void setCodigobanco(String codigobanco) {
this.codigobanco = codigobanco;
}

public String getCodigoplano() {
return codigoplano;
}

public void setCodigoplano(String codigoplano) {
this.codigoplano = codigoplano;
}

public FglDateTimeYS getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDateTimeYS dtenvio) {
this.dtenvio = dtenvio;
}

public FglDateTimeYS getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDateTimeYS dtretorno) {
this.dtretorno = dtretorno;
}

public FglDateTimeYS getDtprevpagamento() {
return dtprevpagamento;
}

public void setDtprevpagamento(FglDateTimeYS dtprevpagamento) {
this.dtprevpagamento = dtprevpagamento;
}

public FglDateTimeYS getDtpagamento() {
return dtpagamento;
}

public void setDtpagamento(FglDateTimeYS dtpagamento) {
this.dtpagamento = dtpagamento;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getNroparcelas() {
return nroparcelas;
}

public boolean isNroparcelasNull() {
return nroparcelasNull;
}

public void setNroparcelas(Integer nroparcelas) {
if (nroparcelas == null) {
nroparcelasNull = true;
this.nroparcelas = 0;
} else { 
nroparcelasNull = false;
this.nroparcelas = nroparcelas;
}
}

public double getTaxames() {
return taxames;
}

public boolean isTaxamesNull() {
return taxamesNull;
}

public void setTaxames(int taxames) {
setTaxames(new Double(taxames));
}

public void setTaxames(long taxames) {
setTaxames(new Double(taxames));
}

public void setTaxames(Double taxames) {
if (taxames == null) {
taxamesNull = true;
this.taxames = 0.;
} else { 
taxamesNull = false;
this.taxames = FglDouble.round(taxames, 2);
}
}

public double getCoeficiente() {
return coeficiente;
}

public boolean isCoeficienteNull() {
return coeficienteNull;
}

public void setCoeficiente(int coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(long coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(Double coeficiente) {
if (coeficiente == null) {
coeficienteNull = true;
this.coeficiente = 0.;
} else { 
coeficienteNull = false;
this.coeficiente = FglDouble.round(coeficiente, 5);
}
}

public int getFator() {
return fator;
}

public boolean isFatorNull() {
return fatorNull;
}

public void setFator(Integer fator) {
if (fator == null) {
fatorNull = true;
this.fator = 0;
} else { 
fatorNull = false;
this.fator = fator;
}
}

public int getCalco() {
return calco;
}

public boolean isCalcoNull() {
return calcoNull;
}

public void setCalco(Integer calco) {
if (calco == null) {
calcoNull = true;
this.calco = 0;
} else { 
calcoNull = false;
this.calco = calco;
}
}

public double getTacvenda() {
return tacvenda;
}

public boolean isTacvendaNull() {
return tacvendaNull;
}

public void setTacvenda(int tacvenda) {
setTacvenda(new Double(tacvenda));
}

public void setTacvenda(long tacvenda) {
setTacvenda(new Double(tacvenda));
}

public void setTacvenda(Double tacvenda) {
if (tacvenda == null) {
tacvendaNull = true;
this.tacvenda = 0.;
} else { 
tacvendaNull = false;
this.tacvenda = FglDouble.round(tacvenda, 2);
}
}

public double getTacretorno() {
return tacretorno;
}

public boolean isTacretornoNull() {
return tacretornoNull;
}

public void setTacretorno(int tacretorno) {
setTacretorno(new Double(tacretorno));
}

public void setTacretorno(long tacretorno) {
setTacretorno(new Double(tacretorno));
}

public void setTacretorno(Double tacretorno) {
if (tacretorno == null) {
tacretornoNull = true;
this.tacretorno = 0.;
} else { 
tacretornoNull = false;
this.tacretorno = FglDouble.round(tacretorno, 2);
}
}

public double getValorfinanciado() {
return valorfinanciado;
}

public boolean isValorfinanciadoNull() {
return valorfinanciadoNull;
}

public void setValorfinanciado(int valorfinanciado) {
setValorfinanciado(new Double(valorfinanciado));
}

public void setValorfinanciado(long valorfinanciado) {
setValorfinanciado(new Double(valorfinanciado));
}

public void setValorfinanciado(Double valorfinanciado) {
if (valorfinanciado == null) {
valorfinanciadoNull = true;
this.valorfinanciado = 0.;
} else { 
valorfinanciadoNull = false;
this.valorfinanciado = FglDouble.round(valorfinanciado, 2);
}
}

public double getPlus() {
return plus;
}

public boolean isPlusNull() {
return plusNull;
}

public void setPlus(int plus) {
setPlus(new Double(plus));
}

public void setPlus(long plus) {
setPlus(new Double(plus));
}

public void setPlus(Double plus) {
if (plus == null) {
plusNull = true;
this.plus = 0.;
} else { 
plusNull = false;
this.plus = FglDouble.round(plus, 2);
}
}

public double getTab() {
return tab;
}

public boolean isTabNull() {
return tabNull;
}

public void setTab(int tab) {
setTab(new Double(tab));
}

public void setTab(long tab) {
setTab(new Double(tab));
}

public void setTab(Double tab) {
if (tab == null) {
tabNull = true;
this.tab = 0.;
} else { 
tabNull = false;
this.tab = FglDouble.round(tab, 2);
}
}

public double getMegadata() {
return megadata;
}

public boolean isMegadataNull() {
return megadataNull;
}

public void setMegadata(int megadata) {
setMegadata(new Double(megadata));
}

public void setMegadata(long megadata) {
setMegadata(new Double(megadata));
}

public void setMegadata(Double megadata) {
if (megadata == null) {
megadataNull = true;
this.megadata = 0.;
} else { 
megadataNull = false;
this.megadata = FglDouble.round(megadata, 2);
}
}

public double getTaxaregcartorio() {
return taxaregcartorio;
}

public boolean isTaxaregcartorioNull() {
return taxaregcartorioNull;
}

public void setTaxaregcartorio(int taxaregcartorio) {
setTaxaregcartorio(new Double(taxaregcartorio));
}

public void setTaxaregcartorio(long taxaregcartorio) {
setTaxaregcartorio(new Double(taxaregcartorio));
}

public void setTaxaregcartorio(Double taxaregcartorio) {
if (taxaregcartorio == null) {
taxaregcartorioNull = true;
this.taxaregcartorio = 0.;
} else { 
taxaregcartorioNull = false;
this.taxaregcartorio = FglDouble.round(taxaregcartorio, 2);
}
}

public int getTpfinanciamento() {
return tpfinanciamento;
}

public boolean isTpfinanciamentoNull() {
return tpfinanciamentoNull;
}

public void setTpfinanciamento(Integer tpfinanciamento) {
if (tpfinanciamento == null) {
tpfinanciamentoNull = true;
this.tpfinanciamento = 0;
} else { 
tpfinanciamentoNull = false;
this.tpfinanciamento = tpfinanciamento;
}
}

}

