package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabFtespcap {
@Coluna(nome="ftespcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ftespcap.codesp", tipo="int")
private int codesp;
private boolean codespNull;
@Coluna(nome="ftespcap.datger", tipo="FglDate")
private FglDate datger;
@Coluna(nome="ftespcap.codrev", tipo="long")
private long codrev;
private boolean codrevNull;

public TabFtespcap() {
initialize();
}

public void initialize() {
setFilial(null);
setCodesp(null);
setDatger(null);
setCodrev(null);
}

public TabFtespcap(int filial, int codesp, FglDate datger, long codrev) {
this.filial = filial;
this.codesp = codesp;
this.datger = datger;
this.codrev = codrev;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getCodesp() {
return codesp;
}

public boolean isCodespNull() {
return codespNull;
}

public void setCodesp(Integer codesp) {
if (codesp == null) {
codespNull = true;
this.codesp = 0;
} else { 
codespNull = false;
this.codesp = codesp;
}
}

public FglDate getDatger() {
return datger;
}

public void setDatger(FglDate datger) {
this.datger = datger;
}

public long getCodrev() {
return codrev;
}

public boolean isCodrevNull() {
return codrevNull;
}

public void setCodrev(int codrev) {
setCodrev(new Long(codrev));
}

public void setCodrev(Long codrev) {
if (codrev == null) {
codrevNull = true;
this.codrev = 0l;
} else { 
codrevNull = false;
this.codrev = codrev;
}
}

}

