package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabFtgarcap {
@Coluna(nome="ftgarcap.id_garcap", tipo="int")
private int idGarcap;
private boolean idGarcapNull;
@Coluna(nome="ftgarcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ftgarcap.numerosg", tipo="int")
private int numerosg;
private boolean numerosgNull;
@Coluna(nome="ftgarcap.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="ftgarcap.codig_executante", tipo="String")
private String codigExecutante;
@Coluna(nome="ftgarcap.codig_vendedor", tipo="String")
private String codigVendedor;
@Coluna(nome="ftgarcap.status", tipo="String")
private String status;
@Coluna(nome="ftgarcap.chassis", tipo="String")
private String chassis;
@Coluna(nome="ftgarcap.id_sgmvs", tipo="int")
private int idSgmvs;
private boolean idSgmvsNull;
@Coluna(nome="ftgarcap.codmar", tipo="String")
private String codmar;
@Coluna(nome="ftgarcap.data_intervencao", tipo="FglDate")
private FglDate dataIntervencao;
@Coluna(nome="ftgarcap.tipo_intervento", tipo="String")
private String tipoIntervento;
@Coluna(nome="ftgarcap.codmsg", tipo="String")
private String codmsg;
@Coluna(nome="ftgarcap.codass", tipo="String")
private String codass;
@Coluna(nome="ftgarcap.codrec", tipo="String")
private String codrec;
@Coluna(nome="ftgarcap.codmot", tipo="String")
private String codmot;
@Coluna(nome="ftgarcap.data_inclusao", tipo="FglDate")
private FglDate dataInclusao;
@Coluna(nome="ftgarcap.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;

public TabFtgarcap() {
initialize();
}

public void initialize() {
setIdGarcap(null);
setFilial(null);
setNumerosg(null);
setIdOscapa(null);
setCodigExecutante(null);
setCodigVendedor(null);
setStatus(null);
setChassis(null);
setIdSgmvs(null);
setCodmar(null);
setDataIntervencao(null);
setTipoIntervento(null);
setCodmsg(null);
setCodass(null);
setCodrec(null);
setCodmot(null);
setDataInclusao(null);
setIdNfcapa(null);
}

public TabFtgarcap(int idGarcap, int filial, int numerosg, int idOscapa, String codigExecutante, String codigVendedor, String status, String chassis, int idSgmvs, String codmar, FglDate dataIntervencao, String tipoIntervento, String codmsg, String codass, String codrec, String codmot, FglDate dataInclusao, int idNfcapa) {
this.idGarcap = idGarcap;
this.filial = filial;
this.numerosg = numerosg;
this.idOscapa = idOscapa;
this.codigExecutante = codigExecutante;
this.codigVendedor = codigVendedor;
this.status = status;
this.chassis = chassis;
this.idSgmvs = idSgmvs;
this.codmar = codmar;
this.dataIntervencao = dataIntervencao;
this.tipoIntervento = tipoIntervento;
this.codmsg = codmsg;
this.codass = codass;
this.codrec = codrec;
this.codmot = codmot;
this.dataInclusao = dataInclusao;
this.idNfcapa = idNfcapa;
}

public int getIdGarcap() {
return idGarcap;
}

public boolean isIdGarcapNull() {
return idGarcapNull;
}

public void setIdGarcap(Integer idGarcap) {
if (idGarcap == null) {
idGarcapNull = true;
this.idGarcap = 0;
} else { 
idGarcapNull = false;
this.idGarcap = idGarcap;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNumerosg() {
return numerosg;
}

public boolean isNumerosgNull() {
return numerosgNull;
}

public void setNumerosg(Integer numerosg) {
if (numerosg == null) {
numerosgNull = true;
this.numerosg = 0;
} else { 
numerosgNull = false;
this.numerosg = numerosg;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getCodigExecutante() {
return codigExecutante;
}

public void setCodigExecutante(String codigExecutante) {
this.codigExecutante = codigExecutante;
}

public String getCodigVendedor() {
return codigVendedor;
}

public void setCodigVendedor(String codigVendedor) {
this.codigVendedor = codigVendedor;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdSgmvs() {
return idSgmvs;
}

public boolean isIdSgmvsNull() {
return idSgmvsNull;
}

public void setIdSgmvs(Integer idSgmvs) {
if (idSgmvs == null) {
idSgmvsNull = true;
this.idSgmvs = 0;
} else { 
idSgmvsNull = false;
this.idSgmvs = idSgmvs;
}
}

public String getCodmar() {
return codmar;
}

public void setCodmar(String codmar) {
this.codmar = codmar;
}

public FglDate getDataIntervencao() {
return dataIntervencao;
}

public void setDataIntervencao(FglDate dataIntervencao) {
this.dataIntervencao = dataIntervencao;
}

public String getTipoIntervento() {
return tipoIntervento;
}

public void setTipoIntervento(String tipoIntervento) {
this.tipoIntervento = tipoIntervento;
}

public String getCodmsg() {
return codmsg;
}

public void setCodmsg(String codmsg) {
this.codmsg = codmsg;
}

public String getCodass() {
return codass;
}

public void setCodass(String codass) {
this.codass = codass;
}

public String getCodrec() {
return codrec;
}

public void setCodrec(String codrec) {
this.codrec = codrec;
}

public String getCodmot() {
return codmot;
}

public void setCodmot(String codmot) {
this.codmot = codmot;
}

public FglDate getDataInclusao() {
return dataInclusao;
}

public void setDataInclusao(FglDate dataInclusao) {
this.dataInclusao = dataInclusao;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

}

