package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabFtrevpcp {
@Coluna(nome="ftrevpcp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ftrevpcp.codrev", tipo="long")
private long codrev;
private boolean codrevNull;
@Coluna(nome="ftrevpcp.qtdvol", tipo="int")
private int qtdvol;
private boolean qtdvolNull;
@Coluna(nome="ftrevpcp.datexp", tipo="FglDate")
private FglDate datexp;
@Coluna(nome="ftrevpcp.plcvic", tipo="String")
private String plcvic;
@Coluna(nome="ftrevpcp.datclt", tipo="FglDate")
private FglDate datclt;

public TabFtrevpcp() {
initialize();
}

public void initialize() {
setFilial(null);
setCodrev(null);
setQtdvol(null);
setDatexp(null);
setPlcvic(null);
setDatclt(null);
}

public TabFtrevpcp(int filial, long codrev, int qtdvol, FglDate datexp, String plcvic, FglDate datclt) {
this.filial = filial;
this.codrev = codrev;
this.qtdvol = qtdvol;
this.datexp = datexp;
this.plcvic = plcvic;
this.datclt = datclt;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCodrev() {
return codrev;
}

public boolean isCodrevNull() {
return codrevNull;
}

public void setCodrev(int codrev) {
setCodrev(new Long(codrev));
}

public void setCodrev(Long codrev) {
if (codrev == null) {
codrevNull = true;
this.codrev = 0l;
} else { 
codrevNull = false;
this.codrev = codrev;
}
}

public int getQtdvol() {
return qtdvol;
}

public boolean isQtdvolNull() {
return qtdvolNull;
}

public void setQtdvol(Integer qtdvol) {
if (qtdvol == null) {
qtdvolNull = true;
this.qtdvol = 0;
} else { 
qtdvolNull = false;
this.qtdvol = qtdvol;
}
}

public FglDate getDatexp() {
return datexp;
}

public void setDatexp(FglDate datexp) {
this.datexp = datexp;
}

public String getPlcvic() {
return plcvic;
}

public void setPlcvic(String plcvic) {
this.plcvic = plcvic;
}

public FglDate getDatclt() {
return datclt;
}

public void setDatclt(FglDate datclt) {
this.datclt = datclt;
}

}

