package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYD;

public class TabFttipgar {
@Coluna(nome="fttipgar.id_tipgar", tipo="int")
private int idTipgar;
private boolean idTipgarNull;
@Coluna(nome="fttipgar.codmar", tipo="String")
private String codmar;
@Coluna(nome="fttipgar.codtipgar", tipo="String")
private String codtipgar;
@Coluna(nome="fttipgar.data_decorrenc", tipo="FglDateTimeYD")
private FglDateTimeYD dataDecorrenc;
@Coluna(nome="fttipgar.descr_cod_despesa", tipo="String")
private String descrCodDespesa;
@Coluna(nome="fttipgar.indicativo", tipo="String")
private String indicativo;
@Coluna(nome="fttipgar.durac_vei_gasolina", tipo="int")
private int duracVeiGasolina;
private boolean duracVeiGasolinaNull;
@Coluna(nome="fttipgar.durac_vei_diesel", tipo="int")
private int duracVeiDiesel;
private boolean duracVeiDieselNull;
@Coluna(nome="fttipgar.durac_vei_alcool", tipo="int")
private int duracVeiAlcool;
private boolean duracVeiAlcoolNull;
@Coluna(nome="fttipgar.ativa_vei_gasolina", tipo="int")
private int ativaVeiGasolina;
private boolean ativaVeiGasolinaNull;
@Coluna(nome="fttipgar.ativa_vei_diesel", tipo="int")
private int ativaVeiDiesel;
private boolean ativaVeiDieselNull;
@Coluna(nome="fttipgar.ativa_vei_alcool", tipo="int")
private int ativaVeiAlcool;
private boolean ativaVeiAlcoolNull;
@Coluna(nome="fttipgar.coexistencia", tipo="String")
private String coexistencia;
@Coluna(nome="fttipgar.codif_srv_terceiro", tipo="String")
private String codifSrvTerceiro;
@Coluna(nome="fttipgar.despe_trf_mo", tipo="String")
private String despeTrfMo;
@Coluna(nome="fttipgar.compl_cod_gar", tipo="String")
private String complCodGar;
@Coluna(nome="fttipgar.inclusao_exclusao", tipo="String")
private String inclusaoExclusao;
@Coluna(nome="fttipgar.inclusa_exclusa", tipo="int")
private int inclusaExclusa;
private boolean inclusaExclusaNull;
@Coluna(nome="fttipgar.incoveniente", tipo="String")
private String incoveniente;
@Coluna(nome="fttipgar.km_gasolina", tipo="int")
private int kmGasolina;
private boolean kmGasolinaNull;
@Coluna(nome="fttipgar.km_diesel", tipo="int")
private int kmDiesel;
private boolean kmDieselNull;
@Coluna(nome="fttipgar.km_outros", tipo="int")
private int kmOutros;
private boolean kmOutrosNull;

public TabFttipgar() {
initialize();
}

public void initialize() {
setIdTipgar(null);
setCodmar(null);
setCodtipgar(null);
setDataDecorrenc(null);
setDescrCodDespesa(null);
setIndicativo(null);
setDuracVeiGasolina(null);
setDuracVeiDiesel(null);
setDuracVeiAlcool(null);
setAtivaVeiGasolina(null);
setAtivaVeiDiesel(null);
setAtivaVeiAlcool(null);
setCoexistencia(null);
setCodifSrvTerceiro(null);
setDespeTrfMo(null);
setComplCodGar(null);
setInclusaoExclusao(null);
setInclusaExclusa(null);
setIncoveniente(null);
setKmGasolina(null);
setKmDiesel(null);
setKmOutros(null);
}

public TabFttipgar(int idTipgar, String codmar, String codtipgar, FglDateTimeYD dataDecorrenc, String descrCodDespesa, String indicativo, int duracVeiGasolina, int duracVeiDiesel, int duracVeiAlcool, int ativaVeiGasolina, int ativaVeiDiesel, int ativaVeiAlcool, String coexistencia, String codifSrvTerceiro, String despeTrfMo, String complCodGar, String inclusaoExclusao, int inclusaExclusa, String incoveniente, int kmGasolina, int kmDiesel, int kmOutros) {
this.idTipgar = idTipgar;
this.codmar = codmar;
this.codtipgar = codtipgar;
this.dataDecorrenc = dataDecorrenc;
this.descrCodDespesa = descrCodDespesa;
this.indicativo = indicativo;
this.duracVeiGasolina = duracVeiGasolina;
this.duracVeiDiesel = duracVeiDiesel;
this.duracVeiAlcool = duracVeiAlcool;
this.ativaVeiGasolina = ativaVeiGasolina;
this.ativaVeiDiesel = ativaVeiDiesel;
this.ativaVeiAlcool = ativaVeiAlcool;
this.coexistencia = coexistencia;
this.codifSrvTerceiro = codifSrvTerceiro;
this.despeTrfMo = despeTrfMo;
this.complCodGar = complCodGar;
this.inclusaoExclusao = inclusaoExclusao;
this.inclusaExclusa = inclusaExclusa;
this.incoveniente = incoveniente;
this.kmGasolina = kmGasolina;
this.kmDiesel = kmDiesel;
this.kmOutros = kmOutros;
}

public int getIdTipgar() {
return idTipgar;
}

public boolean isIdTipgarNull() {
return idTipgarNull;
}

public void setIdTipgar(Integer idTipgar) {
if (idTipgar == null) {
idTipgarNull = true;
this.idTipgar = 0;
} else { 
idTipgarNull = false;
this.idTipgar = idTipgar;
}
}

public String getCodmar() {
return codmar;
}

public void setCodmar(String codmar) {
this.codmar = codmar;
}

public String getCodtipgar() {
return codtipgar;
}

public void setCodtipgar(String codtipgar) {
this.codtipgar = codtipgar;
}

public FglDateTimeYD getDataDecorrenc() {
return dataDecorrenc;
}

public void setDataDecorrenc(FglDateTimeYD dataDecorrenc) {
this.dataDecorrenc = dataDecorrenc;
}

public String getDescrCodDespesa() {
return descrCodDespesa;
}

public void setDescrCodDespesa(String descrCodDespesa) {
this.descrCodDespesa = descrCodDespesa;
}

public String getIndicativo() {
return indicativo;
}

public void setIndicativo(String indicativo) {
this.indicativo = indicativo;
}

public int getDuracVeiGasolina() {
return duracVeiGasolina;
}

public boolean isDuracVeiGasolinaNull() {
return duracVeiGasolinaNull;
}

public void setDuracVeiGasolina(Integer duracVeiGasolina) {
if (duracVeiGasolina == null) {
duracVeiGasolinaNull = true;
this.duracVeiGasolina = 0;
} else { 
duracVeiGasolinaNull = false;
this.duracVeiGasolina = duracVeiGasolina;
}
}

public int getDuracVeiDiesel() {
return duracVeiDiesel;
}

public boolean isDuracVeiDieselNull() {
return duracVeiDieselNull;
}

public void setDuracVeiDiesel(Integer duracVeiDiesel) {
if (duracVeiDiesel == null) {
duracVeiDieselNull = true;
this.duracVeiDiesel = 0;
} else { 
duracVeiDieselNull = false;
this.duracVeiDiesel = duracVeiDiesel;
}
}

public int getDuracVeiAlcool() {
return duracVeiAlcool;
}

public boolean isDuracVeiAlcoolNull() {
return duracVeiAlcoolNull;
}

public void setDuracVeiAlcool(Integer duracVeiAlcool) {
if (duracVeiAlcool == null) {
duracVeiAlcoolNull = true;
this.duracVeiAlcool = 0;
} else { 
duracVeiAlcoolNull = false;
this.duracVeiAlcool = duracVeiAlcool;
}
}

public int getAtivaVeiGasolina() {
return ativaVeiGasolina;
}

public boolean isAtivaVeiGasolinaNull() {
return ativaVeiGasolinaNull;
}

public void setAtivaVeiGasolina(Integer ativaVeiGasolina) {
if (ativaVeiGasolina == null) {
ativaVeiGasolinaNull = true;
this.ativaVeiGasolina = 0;
} else { 
ativaVeiGasolinaNull = false;
this.ativaVeiGasolina = ativaVeiGasolina;
}
}

public int getAtivaVeiDiesel() {
return ativaVeiDiesel;
}

public boolean isAtivaVeiDieselNull() {
return ativaVeiDieselNull;
}

public void setAtivaVeiDiesel(Integer ativaVeiDiesel) {
if (ativaVeiDiesel == null) {
ativaVeiDieselNull = true;
this.ativaVeiDiesel = 0;
} else { 
ativaVeiDieselNull = false;
this.ativaVeiDiesel = ativaVeiDiesel;
}
}

public int getAtivaVeiAlcool() {
return ativaVeiAlcool;
}

public boolean isAtivaVeiAlcoolNull() {
return ativaVeiAlcoolNull;
}

public void setAtivaVeiAlcool(Integer ativaVeiAlcool) {
if (ativaVeiAlcool == null) {
ativaVeiAlcoolNull = true;
this.ativaVeiAlcool = 0;
} else { 
ativaVeiAlcoolNull = false;
this.ativaVeiAlcool = ativaVeiAlcool;
}
}

public String getCoexistencia() {
return coexistencia;
}

public void setCoexistencia(String coexistencia) {
this.coexistencia = coexistencia;
}

public String getCodifSrvTerceiro() {
return codifSrvTerceiro;
}

public void setCodifSrvTerceiro(String codifSrvTerceiro) {
this.codifSrvTerceiro = codifSrvTerceiro;
}

public String getDespeTrfMo() {
return despeTrfMo;
}

public void setDespeTrfMo(String despeTrfMo) {
this.despeTrfMo = despeTrfMo;
}

public String getComplCodGar() {
return complCodGar;
}

public void setComplCodGar(String complCodGar) {
this.complCodGar = complCodGar;
}

public String getInclusaoExclusao() {
return inclusaoExclusao;
}

public void setInclusaoExclusao(String inclusaoExclusao) {
this.inclusaoExclusao = inclusaoExclusao;
}

public int getInclusaExclusa() {
return inclusaExclusa;
}

public boolean isInclusaExclusaNull() {
return inclusaExclusaNull;
}

public void setInclusaExclusa(Integer inclusaExclusa) {
if (inclusaExclusa == null) {
inclusaExclusaNull = true;
this.inclusaExclusa = 0;
} else { 
inclusaExclusaNull = false;
this.inclusaExclusa = inclusaExclusa;
}
}

public String getIncoveniente() {
return incoveniente;
}

public void setIncoveniente(String incoveniente) {
this.incoveniente = incoveniente;
}

public int getKmGasolina() {
return kmGasolina;
}

public boolean isKmGasolinaNull() {
return kmGasolinaNull;
}

public void setKmGasolina(Integer kmGasolina) {
if (kmGasolina == null) {
kmGasolinaNull = true;
this.kmGasolina = 0;
} else { 
kmGasolinaNull = false;
this.kmGasolina = kmGasolina;
}
}

public int getKmDiesel() {
return kmDiesel;
}

public boolean isKmDieselNull() {
return kmDieselNull;
}

public void setKmDiesel(Integer kmDiesel) {
if (kmDiesel == null) {
kmDieselNull = true;
this.kmDiesel = 0;
} else { 
kmDieselNull = false;
this.kmDiesel = kmDiesel;
}
}

public int getKmOutros() {
return kmOutros;
}

public boolean isKmOutrosNull() {
return kmOutrosNull;
}

public void setKmOutros(Integer kmOutros) {
if (kmOutros == null) {
kmOutrosNull = true;
this.kmOutros = 0;
} else { 
kmOutrosNull = false;
this.kmOutros = kmOutros;
}
}

}

