package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeCampoperm {
@Coluna(nome="ge_campoperm.codaplicacao", tipo="String")
private String codaplicacao;
@Coluna(nome="ge_campoperm.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="ge_campoperm.campo", tipo="String")
private String campo;
@Coluna(nome="ge_campoperm.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="ge_campoperm.permissao", tipo="String")
private String permissao;
@Coluna(nome="ge_campoperm.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="ge_campoperm.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_campoperm.tptrans", tipo="String")
private String tptrans;

public TabGeCampoperm() {
initialize();
}

public void initialize() {
setCodaplicacao(null);
setNroempresa(null);
setCampo(null);
setSequsuario(null);
setPermissao(null);
setUsualteracao(null);
setDtaalteracao(null);
setTptrans(null);
}

public TabGeCampoperm(String codaplicacao, int nroempresa, String campo, long sequsuario, String permissao, String usualteracao, FglDateTimeYS dtaalteracao, String tptrans) {
this.codaplicacao = codaplicacao;
this.nroempresa = nroempresa;
this.campo = campo;
this.sequsuario = sequsuario;
this.permissao = permissao;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.tptrans = tptrans;
}

public String getCodaplicacao() {
return codaplicacao;
}

public void setCodaplicacao(String codaplicacao) {
this.codaplicacao = codaplicacao;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getCampo() {
return campo;
}

public void setCampo(String campo) {
this.campo = campo;
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public String getPermissao() {
return permissao;
}

public void setPermissao(String permissao) {
this.permissao = permissao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getTptrans() {
return tptrans;
}

public void setTptrans(String tptrans) {
this.tptrans = tptrans;
}

}

