package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeConsulta {
@Coluna(nome="ge_consulta.seqconsulta", tipo="long")
private long seqconsulta;
private boolean seqconsultaNull;
@Coluna(nome="ge_consulta.seqconsultapai", tipo="long")
private long seqconsultapai;
private boolean seqconsultapaiNull;
@Coluna(nome="ge_consulta.tipo", tipo="String")
private String tipo;
@Coluna(nome="ge_consulta.consulta", tipo="String")
private String consulta;
@Coluna(nome="ge_consulta.descricao", tipo="String")
private String descricao;
@Coluna(nome="ge_consulta.dtinclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtinclusao;
@Coluna(nome="ge_consulta.instrucaosql", tipo="String")
private String instrucaosql;
@Coluna(nome="ge_consulta.advertencia", tipo="String")
private String advertencia;
@Coluna(nome="ge_consulta.banco", tipo="String")
private String banco;
@Coluna(nome="ge_consulta.usuario", tipo="String")
private String usuario;
@Coluna(nome="ge_consulta.senha", tipo="String")
private String senha;
@Coluna(nome="ge_consulta.conexao", tipo="String")
private String conexao;
@Coluna(nome="ge_consulta.colunadado", tipo="String")
private String colunadado;
@Coluna(nome="ge_consulta.tipografico", tipo="long")
private long tipografico;
private boolean tipograficoNull;
@Coluna(nome="ge_consulta.titulografico", tipo="String")
private String titulografico;
@Coluna(nome="ge_consulta.titulorodape", tipo="String")
private String titulorodape;
@Coluna(nome="ge_consulta.tituloesquerdo", tipo="String")
private String tituloesquerdo;
@Coluna(nome="ge_consulta.legeixox", tipo="String")
private String legeixox;
@Coluna(nome="ge_consulta.colunatexto", tipo="String")
private String colunatexto;
@Coluna(nome="ge_consulta.colunalegenda", tipo="String")
private String colunalegenda;
@Coluna(nome="ge_consulta.titulorel", tipo="String")
private String titulorel;
@Coluna(nome="ge_consulta.arqqrp", tipo="String")
private String arqqrp;
@Coluna(nome="ge_consulta.qrpdireto", tipo="String")
private String qrpdireto;
@Coluna(nome="ge_consulta.checksum", tipo="long")
private long checksum;
private boolean checksumNull;
@Coluna(nome="ge_consulta.dtainiciouso", tipo="FglDateTimeYS")
private FglDateTimeYS dtainiciouso;
@Coluna(nome="ge_consulta.dtaultuso", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultuso;
@Coluna(nome="ge_consulta.ultusuario", tipo="String")
private String ultusuario;
@Coluna(nome="ge_consulta.qtdeuso", tipo="long")
private long qtdeuso;
private boolean qtdeusoNull;
@Coluna(nome="ge_consulta.cod", tipo="String")
private String cod;

public TabGeConsulta() {
initialize();
}

public void initialize() {
setSeqconsulta(null);
setSeqconsultapai(null);
setTipo(null);
setConsulta(null);
setDescricao(null);
setDtinclusao(null);
setInstrucaosql(null);
setAdvertencia(null);
setBanco(null);
setUsuario(null);
setSenha(null);
setConexao(null);
setColunadado(null);
setTipografico(null);
setTitulografico(null);
setTitulorodape(null);
setTituloesquerdo(null);
setLegeixox(null);
setColunatexto(null);
setColunalegenda(null);
setTitulorel(null);
setArqqrp(null);
setQrpdireto(null);
setChecksum(null);
setDtainiciouso(null);
setDtaultuso(null);
setUltusuario(null);
setQtdeuso(null);
setCod(null);
}

public TabGeConsulta(long seqconsulta, long seqconsultapai, String tipo, String consulta, String descricao, FglDateTimeYS dtinclusao, String instrucaosql, String advertencia, String banco, String usuario, String senha, String conexao, String colunadado, long tipografico, String titulografico, String titulorodape, String tituloesquerdo, String legeixox, String colunatexto, String colunalegenda, String titulorel, String arqqrp, String qrpdireto, long checksum, FglDateTimeYS dtainiciouso, FglDateTimeYS dtaultuso, String ultusuario, long qtdeuso, String cod) {
this.seqconsulta = seqconsulta;
this.seqconsultapai = seqconsultapai;
this.tipo = tipo;
this.consulta = consulta;
this.descricao = descricao;
this.dtinclusao = dtinclusao;
this.instrucaosql = instrucaosql;
this.advertencia = advertencia;
this.banco = banco;
this.usuario = usuario;
this.senha = senha;
this.conexao = conexao;
this.colunadado = colunadado;
this.tipografico = tipografico;
this.titulografico = titulografico;
this.titulorodape = titulorodape;
this.tituloesquerdo = tituloesquerdo;
this.legeixox = legeixox;
this.colunatexto = colunatexto;
this.colunalegenda = colunalegenda;
this.titulorel = titulorel;
this.arqqrp = arqqrp;
this.qrpdireto = qrpdireto;
this.checksum = checksum;
this.dtainiciouso = dtainiciouso;
this.dtaultuso = dtaultuso;
this.ultusuario = ultusuario;
this.qtdeuso = qtdeuso;
this.cod = cod;
}

public long getSeqconsulta() {
return seqconsulta;
}

public boolean isSeqconsultaNull() {
return seqconsultaNull;
}

public void setSeqconsulta(int seqconsulta) {
setSeqconsulta(new Long(seqconsulta));
}

public void setSeqconsulta(Long seqconsulta) {
if (seqconsulta == null) {
seqconsultaNull = true;
this.seqconsulta = 0l;
} else { 
seqconsultaNull = false;
this.seqconsulta = seqconsulta;
}
}

public long getSeqconsultapai() {
return seqconsultapai;
}

public boolean isSeqconsultapaiNull() {
return seqconsultapaiNull;
}

public void setSeqconsultapai(int seqconsultapai) {
setSeqconsultapai(new Long(seqconsultapai));
}

public void setSeqconsultapai(Long seqconsultapai) {
if (seqconsultapai == null) {
seqconsultapaiNull = true;
this.seqconsultapai = 0l;
} else { 
seqconsultapaiNull = false;
this.seqconsultapai = seqconsultapai;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getConsulta() {
return consulta;
}

public void setConsulta(String consulta) {
this.consulta = consulta;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDateTimeYS getDtinclusao() {
return dtinclusao;
}

public void setDtinclusao(FglDateTimeYS dtinclusao) {
this.dtinclusao = dtinclusao;
}

public String getInstrucaosql() {
return instrucaosql;
}

public void setInstrucaosql(String instrucaosql) {
this.instrucaosql = instrucaosql;
}

public String getAdvertencia() {
return advertencia;
}

public void setAdvertencia(String advertencia) {
this.advertencia = advertencia;
}

public String getBanco() {
return banco;
}

public void setBanco(String banco) {
this.banco = banco;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getConexao() {
return conexao;
}

public void setConexao(String conexao) {
this.conexao = conexao;
}

public String getColunadado() {
return colunadado;
}

public void setColunadado(String colunadado) {
this.colunadado = colunadado;
}

public long getTipografico() {
return tipografico;
}

public boolean isTipograficoNull() {
return tipograficoNull;
}

public void setTipografico(int tipografico) {
setTipografico(new Long(tipografico));
}

public void setTipografico(Long tipografico) {
if (tipografico == null) {
tipograficoNull = true;
this.tipografico = 0l;
} else { 
tipograficoNull = false;
this.tipografico = tipografico;
}
}

public String getTitulografico() {
return titulografico;
}

public void setTitulografico(String titulografico) {
this.titulografico = titulografico;
}

public String getTitulorodape() {
return titulorodape;
}

public void setTitulorodape(String titulorodape) {
this.titulorodape = titulorodape;
}

public String getTituloesquerdo() {
return tituloesquerdo;
}

public void setTituloesquerdo(String tituloesquerdo) {
this.tituloesquerdo = tituloesquerdo;
}

public String getLegeixox() {
return legeixox;
}

public void setLegeixox(String legeixox) {
this.legeixox = legeixox;
}

public String getColunatexto() {
return colunatexto;
}

public void setColunatexto(String colunatexto) {
this.colunatexto = colunatexto;
}

public String getColunalegenda() {
return colunalegenda;
}

public void setColunalegenda(String colunalegenda) {
this.colunalegenda = colunalegenda;
}

public String getTitulorel() {
return titulorel;
}

public void setTitulorel(String titulorel) {
this.titulorel = titulorel;
}

public String getArqqrp() {
return arqqrp;
}

public void setArqqrp(String arqqrp) {
this.arqqrp = arqqrp;
}

public String getQrpdireto() {
return qrpdireto;
}

public void setQrpdireto(String qrpdireto) {
this.qrpdireto = qrpdireto;
}

public long getChecksum() {
return checksum;
}

public boolean isChecksumNull() {
return checksumNull;
}

public void setChecksum(int checksum) {
setChecksum(new Long(checksum));
}

public void setChecksum(Long checksum) {
if (checksum == null) {
checksumNull = true;
this.checksum = 0l;
} else { 
checksumNull = false;
this.checksum = checksum;
}
}

public FglDateTimeYS getDtainiciouso() {
return dtainiciouso;
}

public void setDtainiciouso(FglDateTimeYS dtainiciouso) {
this.dtainiciouso = dtainiciouso;
}

public FglDateTimeYS getDtaultuso() {
return dtaultuso;
}

public void setDtaultuso(FglDateTimeYS dtaultuso) {
this.dtaultuso = dtaultuso;
}

public String getUltusuario() {
return ultusuario;
}

public void setUltusuario(String ultusuario) {
this.ultusuario = ultusuario;
}

public long getQtdeuso() {
return qtdeuso;
}

public boolean isQtdeusoNull() {
return qtdeusoNull;
}

public void setQtdeuso(int qtdeuso) {
setQtdeuso(new Long(qtdeuso));
}

public void setQtdeuso(Long qtdeuso) {
if (qtdeuso == null) {
qtdeusoNull = true;
this.qtdeuso = 0l;
} else { 
qtdeusoNull = false;
this.qtdeuso = qtdeuso;
}
}

public String getCod() {
return cod;
}

public void setCod(String cod) {
this.cod = cod;
}

}

