package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeEmpresa {
@Coluna(nome="ge_empresa.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="ge_empresa.fantasia", tipo="String")
private String fantasia;
@Coluna(nome="ge_empresa.razaosocial", tipo="String")
private String razaosocial;
@Coluna(nome="ge_empresa.nomereduzido", tipo="String")
private String nomereduzido;
@Coluna(nome="ge_empresa.endereco", tipo="String")
private String endereco;
@Coluna(nome="ge_empresa.endereconro", tipo="String")
private String endereconro;
@Coluna(nome="ge_empresa.bairro", tipo="String")
private String bairro;
@Coluna(nome="ge_empresa.cep", tipo="String")
private String cep;
@Coluna(nome="ge_empresa.cidade", tipo="String")
private String cidade;
@Coluna(nome="ge_empresa.estado", tipo="String")
private String estado;
@Coluna(nome="ge_empresa.inscrestadual", tipo="String")
private String inscrestadual;
@Coluna(nome="ge_empresa.inscrmunicipal", tipo="String")
private String inscrmunicipal;
@Coluna(nome="ge_empresa.outrainscricao", tipo="String")
private String outrainscricao;
@Coluna(nome="ge_empresa.pais", tipo="String")
private String pais;
@Coluna(nome="ge_empresa.nrocgc", tipo="long")
private long nrocgc;
private boolean nrocgcNull;
@Coluna(nome="ge_empresa.digcgc", tipo="int")
private int digcgc;
private boolean digcgcNull;
@Coluna(nome="ge_empresa.fonenro", tipo="long")
private long fonenro;
private boolean fonenroNull;
@Coluna(nome="ge_empresa.faxddd", tipo="String")
private String faxddd;
@Coluna(nome="ge_empresa.faxnro", tipo="long")
private long faxnro;
private boolean faxnroNull;
@Coluna(nome="ge_empresa.arqlogo", tipo="String")
private String arqlogo;
@Coluna(nome="ge_empresa.matriz", tipo="int")
private int matriz;
private boolean matrizNull;
@Coluna(nome="ge_empresa.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_empresa.email", tipo="String")
private String email;
@Coluna(nome="ge_empresa.homepage", tipo="String")
private String homepage;
@Coluna(nome="ge_empresa.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="ge_empresa.empseguranca", tipo="int")
private int empseguranca;
private boolean empsegurancaNull;
@Coluna(nome="ge_empresa.ddd", tipo="String")
private String ddd;
@Coluna(nome="ge_empresa.fone", tipo="String")
private String fone;
@Coluna(nome="ge_empresa.fax", tipo="String")
private String fax;
@Coluna(nome="ge_empresa.sigla", tipo="String")
private String sigla;

public TabGeEmpresa() {
initialize();
}

public void initialize() {
setNroempresa(null);
setFantasia(null);
setRazaosocial(null);
setNomereduzido(null);
setEndereco(null);
setEndereconro(null);
setBairro(null);
setCep(null);
setCidade(null);
setEstado(null);
setInscrestadual(null);
setInscrmunicipal(null);
setOutrainscricao(null);
setPais(null);
setNrocgc(null);
setDigcgc(null);
setFonenro(null);
setFaxddd(null);
setFaxnro(null);
setArqlogo(null);
setMatriz(null);
setDtaalteracao(null);
setEmail(null);
setHomepage(null);
setUsualteracao(null);
setEmpseguranca(null);
setDdd(null);
setFone(null);
setFax(null);
setSigla(null);
}

public TabGeEmpresa(int nroempresa, String fantasia, String razaosocial, String nomereduzido, String endereco, String endereconro, String bairro, String cep, String cidade, String estado, String inscrestadual, String inscrmunicipal, String outrainscricao, String pais, long nrocgc, int digcgc, long fonenro, String faxddd, long faxnro, String arqlogo, int matriz, FglDateTimeYS dtaalteracao, String email, String homepage, String usualteracao, int empseguranca, String ddd, String fone, String fax, String sigla) {
this.nroempresa = nroempresa;
this.fantasia = fantasia;
this.razaosocial = razaosocial;
this.nomereduzido = nomereduzido;
this.endereco = endereco;
this.endereconro = endereconro;
this.bairro = bairro;
this.cep = cep;
this.cidade = cidade;
this.estado = estado;
this.inscrestadual = inscrestadual;
this.inscrmunicipal = inscrmunicipal;
this.outrainscricao = outrainscricao;
this.pais = pais;
this.nrocgc = nrocgc;
this.digcgc = digcgc;
this.fonenro = fonenro;
this.faxddd = faxddd;
this.faxnro = faxnro;
this.arqlogo = arqlogo;
this.matriz = matriz;
this.dtaalteracao = dtaalteracao;
this.email = email;
this.homepage = homepage;
this.usualteracao = usualteracao;
this.empseguranca = empseguranca;
this.ddd = ddd;
this.fone = fone;
this.fax = fax;
this.sigla = sigla;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getFantasia() {
return fantasia;
}

public void setFantasia(String fantasia) {
this.fantasia = fantasia;
}

public String getRazaosocial() {
return razaosocial;
}

public void setRazaosocial(String razaosocial) {
this.razaosocial = razaosocial;
}

public String getNomereduzido() {
return nomereduzido;
}

public void setNomereduzido(String nomereduzido) {
this.nomereduzido = nomereduzido;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getEndereconro() {
return endereconro;
}

public void setEndereconro(String endereconro) {
this.endereconro = endereconro;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getEstado() {
return estado;
}

public void setEstado(String estado) {
this.estado = estado;
}

public String getInscrestadual() {
return inscrestadual;
}

public void setInscrestadual(String inscrestadual) {
this.inscrestadual = inscrestadual;
}

public String getInscrmunicipal() {
return inscrmunicipal;
}

public void setInscrmunicipal(String inscrmunicipal) {
this.inscrmunicipal = inscrmunicipal;
}

public String getOutrainscricao() {
return outrainscricao;
}

public void setOutrainscricao(String outrainscricao) {
this.outrainscricao = outrainscricao;
}

public String getPais() {
return pais;
}

public void setPais(String pais) {
this.pais = pais;
}

public long getNrocgc() {
return nrocgc;
}

public boolean isNrocgcNull() {
return nrocgcNull;
}

public void setNrocgc(int nrocgc) {
setNrocgc(new Long(nrocgc));
}

public void setNrocgc(Long nrocgc) {
if (nrocgc == null) {
nrocgcNull = true;
this.nrocgc = 0l;
} else { 
nrocgcNull = false;
this.nrocgc = nrocgc;
}
}

public int getDigcgc() {
return digcgc;
}

public boolean isDigcgcNull() {
return digcgcNull;
}

public void setDigcgc(Integer digcgc) {
if (digcgc == null) {
digcgcNull = true;
this.digcgc = 0;
} else { 
digcgcNull = false;
this.digcgc = digcgc;
}
}

public long getFonenro() {
return fonenro;
}

public boolean isFonenroNull() {
return fonenroNull;
}

public void setFonenro(int fonenro) {
setFonenro(new Long(fonenro));
}

public void setFonenro(Long fonenro) {
if (fonenro == null) {
fonenroNull = true;
this.fonenro = 0l;
} else { 
fonenroNull = false;
this.fonenro = fonenro;
}
}

public String getFaxddd() {
return faxddd;
}

public void setFaxddd(String faxddd) {
this.faxddd = faxddd;
}

public long getFaxnro() {
return faxnro;
}

public boolean isFaxnroNull() {
return faxnroNull;
}

public void setFaxnro(int faxnro) {
setFaxnro(new Long(faxnro));
}

public void setFaxnro(Long faxnro) {
if (faxnro == null) {
faxnroNull = true;
this.faxnro = 0l;
} else { 
faxnroNull = false;
this.faxnro = faxnro;
}
}

public String getArqlogo() {
return arqlogo;
}

public void setArqlogo(String arqlogo) {
this.arqlogo = arqlogo;
}

public int getMatriz() {
return matriz;
}

public boolean isMatrizNull() {
return matrizNull;
}

public void setMatriz(Integer matriz) {
if (matriz == null) {
matrizNull = true;
this.matriz = 0;
} else { 
matrizNull = false;
this.matriz = matriz;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getHomepage() {
return homepage;
}

public void setHomepage(String homepage) {
this.homepage = homepage;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public int getEmpseguranca() {
return empseguranca;
}

public boolean isEmpsegurancaNull() {
return empsegurancaNull;
}

public void setEmpseguranca(Integer empseguranca) {
if (empseguranca == null) {
empsegurancaNull = true;
this.empseguranca = 0;
} else { 
empsegurancaNull = false;
this.empseguranca = empseguranca;
}
}

public String getDdd() {
return ddd;
}

public void setDdd(String ddd) {
this.ddd = ddd;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

}

