package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGeFigura {
@Coluna(nome="ge_figura.tipo", tipo="String")
private String tipo;
@Coluna(nome="ge_figura.codigo", tipo="long")
private long codigo;
private boolean codigoNull;
@Coluna(nome="ge_figura.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="ge_figura.figura", tipo="String")
private String figura;
@Coluna(nome="ge_figura.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="ge_figura.tipoarquivo", tipo="int")
private int tipoarquivo;
private boolean tipoarquivoNull;
@Coluna(nome="ge_figura.tamanhoarquivo", tipo="long")
private long tamanhoarquivo;
private boolean tamanhoarquivoNull;

public TabGeFigura() {
initialize();
}

public void initialize() {
setTipo(null);
setCodigo(null);
setNroempresa(null);
setFigura(null);
setArquivo(null);
setTipoarquivo(null);
setTamanhoarquivo(null);
}

public TabGeFigura(String tipo, long codigo, int nroempresa, String figura, String arquivo, int tipoarquivo, long tamanhoarquivo) {
this.tipo = tipo;
this.codigo = codigo;
this.nroempresa = nroempresa;
this.figura = figura;
this.arquivo = arquivo;
this.tipoarquivo = tipoarquivo;
this.tamanhoarquivo = tamanhoarquivo;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public long getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(int codigo) {
setCodigo(new Long(codigo));
}

public void setCodigo(Long codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0l;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getFigura() {
return figura;
}

public void setFigura(String figura) {
this.figura = figura;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public int getTipoarquivo() {
return tipoarquivo;
}

public boolean isTipoarquivoNull() {
return tipoarquivoNull;
}

public void setTipoarquivo(Integer tipoarquivo) {
if (tipoarquivo == null) {
tipoarquivoNull = true;
this.tipoarquivo = 0;
} else { 
tipoarquivoNull = false;
this.tipoarquivo = tipoarquivo;
}
}

public long getTamanhoarquivo() {
return tamanhoarquivo;
}

public boolean isTamanhoarquivoNull() {
return tamanhoarquivoNull;
}

public void setTamanhoarquivo(int tamanhoarquivo) {
setTamanhoarquivo(new Long(tamanhoarquivo));
}

public void setTamanhoarquivo(Long tamanhoarquivo) {
if (tamanhoarquivo == null) {
tamanhoarquivoNull = true;
this.tamanhoarquivo = 0l;
} else { 
tamanhoarquivoNull = false;
this.tamanhoarquivo = tamanhoarquivo;
}
}

}

