package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeObjeto {
@Coluna(nome="ge_objeto.seqobjeto", tipo="long")
private long seqobjeto;
private boolean seqobjetoNull;
@Coluna(nome="ge_objeto.tipo", tipo="String")
private String tipo;
@Coluna(nome="ge_objeto.objeto", tipo="String")
private String objeto;
@Coluna(nome="ge_objeto.versaoobjeto", tipo="String")
private String versaoobjeto;
@Coluna(nome="ge_objeto.descricao", tipo="String")
private String descricao;
@Coluna(nome="ge_objeto.sql", tipo="String")
private String sql;
@Coluna(nome="ge_objeto.dtaatualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaatualizacao;
@Coluna(nome="ge_objeto.usuatualizacao", tipo="String")
private String usuatualizacao;
@Coluna(nome="ge_objeto.ordemgeracao", tipo="String")
private String ordemgeracao;

public TabGeObjeto() {
initialize();
}

public void initialize() {
setSeqobjeto(null);
setTipo(null);
setObjeto(null);
setVersaoobjeto(null);
setDescricao(null);
setSql(null);
setDtaatualizacao(null);
setUsuatualizacao(null);
setOrdemgeracao(null);
}

public TabGeObjeto(long seqobjeto, String tipo, String objeto, String versaoobjeto, String descricao, String sql, FglDateTimeYS dtaatualizacao, String usuatualizacao, String ordemgeracao) {
this.seqobjeto = seqobjeto;
this.tipo = tipo;
this.objeto = objeto;
this.versaoobjeto = versaoobjeto;
this.descricao = descricao;
this.sql = sql;
this.dtaatualizacao = dtaatualizacao;
this.usuatualizacao = usuatualizacao;
this.ordemgeracao = ordemgeracao;
}

public long getSeqobjeto() {
return seqobjeto;
}

public boolean isSeqobjetoNull() {
return seqobjetoNull;
}

public void setSeqobjeto(int seqobjeto) {
setSeqobjeto(new Long(seqobjeto));
}

public void setSeqobjeto(Long seqobjeto) {
if (seqobjeto == null) {
seqobjetoNull = true;
this.seqobjeto = 0l;
} else { 
seqobjetoNull = false;
this.seqobjeto = seqobjeto;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getObjeto() {
return objeto;
}

public void setObjeto(String objeto) {
this.objeto = objeto;
}

public String getVersaoobjeto() {
return versaoobjeto;
}

public void setVersaoobjeto(String versaoobjeto) {
this.versaoobjeto = versaoobjeto;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getSql() {
return sql;
}

public void setSql(String sql) {
this.sql = sql;
}

public FglDateTimeYS getDtaatualizacao() {
return dtaatualizacao;
}

public void setDtaatualizacao(FglDateTimeYS dtaatualizacao) {
this.dtaatualizacao = dtaatualizacao;
}

public String getUsuatualizacao() {
return usuatualizacao;
}

public void setUsuatualizacao(String usuatualizacao) {
this.usuatualizacao = usuatualizacao;
}

public String getOrdemgeracao() {
return ordemgeracao;
}

public void setOrdemgeracao(String ordemgeracao) {
this.ordemgeracao = ordemgeracao;
}

}

