package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGePessoasimilar {
@Coluna(nome="ge_pessoasimilar.seqpessoa1", tipo="long")
private long seqpessoa1;
private boolean seqpessoa1Null;
@Coluna(nome="ge_pessoasimilar.seqpessoa2", tipo="long")
private long seqpessoa2;
private boolean seqpessoa2Null;
@Coluna(nome="ge_pessoasimilar.dtageracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtageracao;
@Coluna(nome="ge_pessoasimilar.probabilidade", tipo="int")
private int probabilidade;
private boolean probabilidadeNull;
@Coluna(nome="ge_pessoasimilar.obsgeracao", tipo="String")
private String obsgeracao;
@Coluna(nome="ge_pessoasimilar.revisado", tipo="int")
private int revisado;
private boolean revisadoNull;
@Coluna(nome="ge_pessoasimilar.dtarevisao", tipo="FglDateTimeYS")
private FglDateTimeYS dtarevisao;
@Coluna(nome="ge_pessoasimilar.duplicado", tipo="int")
private int duplicado;
private boolean duplicadoNull;
@Coluna(nome="ge_pessoasimilar.parecer", tipo="String")
private String parecer;
@Coluna(nome="ge_pessoasimilar.usuparecer", tipo="String")
private String usuparecer;
@Coluna(nome="ge_pessoasimilar.usuemtrabalho", tipo="String")
private String usuemtrabalho;
@Coluna(nome="ge_pessoasimilar.dtaemtrabalho", tipo="FglDateTimeYS")
private FglDateTimeYS dtaemtrabalho;

public TabGePessoasimilar() {
initialize();
}

public void initialize() {
setSeqpessoa1(null);
setSeqpessoa2(null);
setDtageracao(null);
setProbabilidade(null);
setObsgeracao(null);
setRevisado(null);
setDtarevisao(null);
setDuplicado(null);
setParecer(null);
setUsuparecer(null);
setUsuemtrabalho(null);
setDtaemtrabalho(null);
}

public TabGePessoasimilar(long seqpessoa1, long seqpessoa2, FglDateTimeYS dtageracao, int probabilidade, String obsgeracao, int revisado, FglDateTimeYS dtarevisao, int duplicado, String parecer, String usuparecer, String usuemtrabalho, FglDateTimeYS dtaemtrabalho) {
this.seqpessoa1 = seqpessoa1;
this.seqpessoa2 = seqpessoa2;
this.dtageracao = dtageracao;
this.probabilidade = probabilidade;
this.obsgeracao = obsgeracao;
this.revisado = revisado;
this.dtarevisao = dtarevisao;
this.duplicado = duplicado;
this.parecer = parecer;
this.usuparecer = usuparecer;
this.usuemtrabalho = usuemtrabalho;
this.dtaemtrabalho = dtaemtrabalho;
}

public long getSeqpessoa1() {
return seqpessoa1;
}

public boolean isSeqpessoa1Null() {
return seqpessoa1Null;
}

public void setSeqpessoa1(int seqpessoa1) {
setSeqpessoa1(new Long(seqpessoa1));
}

public void setSeqpessoa1(Long seqpessoa1) {
if (seqpessoa1 == null) {
seqpessoa1Null = true;
this.seqpessoa1 = 0l;
} else { 
seqpessoa1Null = false;
this.seqpessoa1 = seqpessoa1;
}
}

public long getSeqpessoa2() {
return seqpessoa2;
}

public boolean isSeqpessoa2Null() {
return seqpessoa2Null;
}

public void setSeqpessoa2(int seqpessoa2) {
setSeqpessoa2(new Long(seqpessoa2));
}

public void setSeqpessoa2(Long seqpessoa2) {
if (seqpessoa2 == null) {
seqpessoa2Null = true;
this.seqpessoa2 = 0l;
} else { 
seqpessoa2Null = false;
this.seqpessoa2 = seqpessoa2;
}
}

public FglDateTimeYS getDtageracao() {
return dtageracao;
}

public void setDtageracao(FglDateTimeYS dtageracao) {
this.dtageracao = dtageracao;
}

public int getProbabilidade() {
return probabilidade;
}

public boolean isProbabilidadeNull() {
return probabilidadeNull;
}

public void setProbabilidade(Integer probabilidade) {
if (probabilidade == null) {
probabilidadeNull = true;
this.probabilidade = 0;
} else { 
probabilidadeNull = false;
this.probabilidade = probabilidade;
}
}

public String getObsgeracao() {
return obsgeracao;
}

public void setObsgeracao(String obsgeracao) {
this.obsgeracao = obsgeracao;
}

public int getRevisado() {
return revisado;
}

public boolean isRevisadoNull() {
return revisadoNull;
}

public void setRevisado(Integer revisado) {
if (revisado == null) {
revisadoNull = true;
this.revisado = 0;
} else { 
revisadoNull = false;
this.revisado = revisado;
}
}

public FglDateTimeYS getDtarevisao() {
return dtarevisao;
}

public void setDtarevisao(FglDateTimeYS dtarevisao) {
this.dtarevisao = dtarevisao;
}

public int getDuplicado() {
return duplicado;
}

public boolean isDuplicadoNull() {
return duplicadoNull;
}

public void setDuplicado(Integer duplicado) {
if (duplicado == null) {
duplicadoNull = true;
this.duplicado = 0;
} else { 
duplicadoNull = false;
this.duplicado = duplicado;
}
}

public String getParecer() {
return parecer;
}

public void setParecer(String parecer) {
this.parecer = parecer;
}

public String getUsuparecer() {
return usuparecer;
}

public void setUsuparecer(String usuparecer) {
this.usuparecer = usuparecer;
}

public String getUsuemtrabalho() {
return usuemtrabalho;
}

public void setUsuemtrabalho(String usuemtrabalho) {
this.usuemtrabalho = usuemtrabalho;
}

public FglDateTimeYS getDtaemtrabalho() {
return dtaemtrabalho;
}

public void setDtaemtrabalho(FglDateTimeYS dtaemtrabalho) {
this.dtaemtrabalho = dtaemtrabalho;
}

}

