package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGePessoasisdia {
@Coluna(nome="ge_pessoasisdia.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ge_pessoasisdia.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ge_pessoasisdia.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_pessoasisdia.versao", tipo="int")
private int versao;
private boolean versaoNull;
@Coluna(nome="ge_pessoasisdia.seqendereativo", tipo="long")
private long seqendereativo;
private boolean seqendereativoNull;
@Coluna(nome="ge_pessoasisdia.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="ge_pessoasisdia.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="ge_pessoasisdia.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_pessoasisdia.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="ge_pessoasisdia.obs", tipo="String")
private String obs;
@Coluna(nome="ge_pessoasisdia.dtatransacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtatransacao;
@Coluna(nome="ge_pessoasisdia.origem", tipo="String")
private String origem;

public TabGePessoasisdia() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqpessoa(null);
setVersao(null);
setSeqendereativo(null);
setDtainclusao(null);
setUsuinclusao(null);
setDtaalteracao(null);
setUsualteracao(null);
setObs(null);
setDtatransacao(null);
setOrigem(null);
}

public TabGePessoasisdia(long cgccpf, int tppessoa, long seqpessoa, int versao, long seqendereativo, FglDateTimeYS dtainclusao, String usuinclusao, FglDateTimeYS dtaalteracao, String usualteracao, String obs, FglDateTimeYS dtatransacao, String origem) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqpessoa = seqpessoa;
this.versao = versao;
this.seqendereativo = seqendereativo;
this.dtainclusao = dtainclusao;
this.usuinclusao = usuinclusao;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
this.obs = obs;
this.dtatransacao = dtatransacao;
this.origem = origem;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getVersao() {
return versao;
}

public boolean isVersaoNull() {
return versaoNull;
}

public void setVersao(Integer versao) {
if (versao == null) {
versaoNull = true;
this.versao = 0;
} else { 
versaoNull = false;
this.versao = versao;
}
}

public long getSeqendereativo() {
return seqendereativo;
}

public boolean isSeqendereativoNull() {
return seqendereativoNull;
}

public void setSeqendereativo(int seqendereativo) {
setSeqendereativo(new Long(seqendereativo));
}

public void setSeqendereativo(Long seqendereativo) {
if (seqendereativo == null) {
seqendereativoNull = true;
this.seqendereativo = 0l;
} else { 
seqendereativoNull = false;
this.seqendereativo = seqendereativo;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public FglDateTimeYS getDtatransacao() {
return dtatransacao;
}

public void setDtatransacao(FglDateTimeYS dtatransacao) {
this.dtatransacao = dtatransacao;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

}

