package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGeUsuarioperm {
@Coluna(nome="ge_usuarioperm.codaplicacao", tipo="String")
private String codaplicacao;
@Coluna(nome="ge_usuarioperm.chaveaplicacao", tipo="long")
private long chaveaplicacao;
private boolean chaveaplicacaoNull;
@Coluna(nome="ge_usuarioperm.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="ge_usuarioperm.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="ge_usuarioperm.permissao", tipo="String")
private String permissao;

public TabGeUsuarioperm() {
initialize();
}

public void initialize() {
setCodaplicacao(null);
setChaveaplicacao(null);
setSequsuario(null);
setNroempresa(null);
setPermissao(null);
}

public TabGeUsuarioperm(String codaplicacao, long chaveaplicacao, long sequsuario, int nroempresa, String permissao) {
this.codaplicacao = codaplicacao;
this.chaveaplicacao = chaveaplicacao;
this.sequsuario = sequsuario;
this.nroempresa = nroempresa;
this.permissao = permissao;
}

public String getCodaplicacao() {
return codaplicacao;
}

public void setCodaplicacao(String codaplicacao) {
this.codaplicacao = codaplicacao;
}

public long getChaveaplicacao() {
return chaveaplicacao;
}

public boolean isChaveaplicacaoNull() {
return chaveaplicacaoNull;
}

public void setChaveaplicacao(int chaveaplicacao) {
setChaveaplicacao(new Long(chaveaplicacao));
}

public void setChaveaplicacao(Long chaveaplicacao) {
if (chaveaplicacao == null) {
chaveaplicacaoNull = true;
this.chaveaplicacao = 0l;
} else { 
chaveaplicacaoNull = false;
this.chaveaplicacao = chaveaplicacao;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getPermissao() {
return permissao;
}

public void setPermissao(String permissao) {
this.permissao = permissao;
}

}

