package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGepFila {
@Coluna(nome="gep_fila.seqfila", tipo="long")
private long seqfila;
private boolean seqfilaNull;
@Coluna(nome="gep_fila.servidor", tipo="int")
private int servidor;
private boolean servidorNull;
@Coluna(nome="gep_fila.codprocesso", tipo="String")
private String codprocesso;
@Coluna(nome="gep_fila.tipo", tipo="String")
private String tipo;
@Coluna(nome="gep_fila.aplicativo", tipo="String")
private String aplicativo;
@Coluna(nome="gep_fila.dtaexecucao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaexecucao;
@Coluna(nome="gep_fila.exeminuto", tipo="double")
private double exeminuto;
private boolean exeminutoNull;
@Coluna(nome="gep_fila.prioridade", tipo="int")
private int prioridade;
private boolean prioridadeNull;
@Coluna(nome="gep_fila.solicitante", tipo="String")
private String solicitante;
@Coluna(nome="gep_fila.seqprocesso", tipo="long")
private long seqprocesso;
private boolean seqprocessoNull;
@Coluna(nome="gep_fila.descricao", tipo="String")
private String descricao;
@Coluna(nome="gep_fila.obs", tipo="String")
private String obs;
@Coluna(nome="gep_fila.linknro", tipo="long")
private long linknro;
private boolean linknroNull;
@Coluna(nome="gep_fila.linkstr", tipo="String")
private String linkstr;
@Coluna(nome="gep_fila.argumento", tipo="String")
private String argumento;

public TabGepFila() {
initialize();
}

public void initialize() {
setSeqfila(null);
setServidor(null);
setCodprocesso(null);
setTipo(null);
setAplicativo(null);
setDtaexecucao(null);
setExeminuto(null);
setPrioridade(null);
setSolicitante(null);
setSeqprocesso(null);
setDescricao(null);
setObs(null);
setLinknro(null);
setLinkstr(null);
setArgumento(null);
}

public TabGepFila(long seqfila, int servidor, String codprocesso, String tipo, String aplicativo, FglDateTimeYS dtaexecucao, double exeminuto, int prioridade, String solicitante, long seqprocesso, String descricao, String obs, long linknro, String linkstr, String argumento) {
this.seqfila = seqfila;
this.servidor = servidor;
this.codprocesso = codprocesso;
this.tipo = tipo;
this.aplicativo = aplicativo;
this.dtaexecucao = dtaexecucao;
this.exeminuto = exeminuto;
this.prioridade = prioridade;
this.solicitante = solicitante;
this.seqprocesso = seqprocesso;
this.descricao = descricao;
this.obs = obs;
this.linknro = linknro;
this.linkstr = linkstr;
this.argumento = argumento;
}

public long getSeqfila() {
return seqfila;
}

public boolean isSeqfilaNull() {
return seqfilaNull;
}

public void setSeqfila(int seqfila) {
setSeqfila(new Long(seqfila));
}

public void setSeqfila(Long seqfila) {
if (seqfila == null) {
seqfilaNull = true;
this.seqfila = 0l;
} else { 
seqfilaNull = false;
this.seqfila = seqfila;
}
}

public int getServidor() {
return servidor;
}

public boolean isServidorNull() {
return servidorNull;
}

public void setServidor(Integer servidor) {
if (servidor == null) {
servidorNull = true;
this.servidor = 0;
} else { 
servidorNull = false;
this.servidor = servidor;
}
}

public String getCodprocesso() {
return codprocesso;
}

public void setCodprocesso(String codprocesso) {
this.codprocesso = codprocesso;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getAplicativo() {
return aplicativo;
}

public void setAplicativo(String aplicativo) {
this.aplicativo = aplicativo;
}

public FglDateTimeYS getDtaexecucao() {
return dtaexecucao;
}

public void setDtaexecucao(FglDateTimeYS dtaexecucao) {
this.dtaexecucao = dtaexecucao;
}

public double getExeminuto() {
return exeminuto;
}

public boolean isExeminutoNull() {
return exeminutoNull;
}

public void setExeminuto(int exeminuto) {
setExeminuto(new Double(exeminuto));
}

public void setExeminuto(long exeminuto) {
setExeminuto(new Double(exeminuto));
}

public void setExeminuto(Double exeminuto) {
if (exeminuto == null) {
exeminutoNull = true;
this.exeminuto = 0.;
} else { 
exeminutoNull = false;
this.exeminuto = FglDouble.round(exeminuto, 2);
}
}

public int getPrioridade() {
return prioridade;
}

public boolean isPrioridadeNull() {
return prioridadeNull;
}

public void setPrioridade(Integer prioridade) {
if (prioridade == null) {
prioridadeNull = true;
this.prioridade = 0;
} else { 
prioridadeNull = false;
this.prioridade = prioridade;
}
}

public String getSolicitante() {
return solicitante;
}

public void setSolicitante(String solicitante) {
this.solicitante = solicitante;
}

public long getSeqprocesso() {
return seqprocesso;
}

public boolean isSeqprocessoNull() {
return seqprocessoNull;
}

public void setSeqprocesso(int seqprocesso) {
setSeqprocesso(new Long(seqprocesso));
}

public void setSeqprocesso(Long seqprocesso) {
if (seqprocesso == null) {
seqprocessoNull = true;
this.seqprocesso = 0l;
} else { 
seqprocessoNull = false;
this.seqprocesso = seqprocesso;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public long getLinknro() {
return linknro;
}

public boolean isLinknroNull() {
return linknroNull;
}

public void setLinknro(int linknro) {
setLinknro(new Long(linknro));
}

public void setLinknro(Long linknro) {
if (linknro == null) {
linknroNull = true;
this.linknro = 0l;
} else { 
linknroNull = false;
this.linknro = linknro;
}
}

public String getLinkstr() {
return linkstr;
}

public void setLinkstr(String linkstr) {
this.linkstr = linkstr;
}

public String getArgumento() {
return argumento;
}

public void setArgumento(String argumento) {
this.argumento = argumento;
}

}

