package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGepImport {
@Coluna(nome="gep_import.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gep_import.processo", tipo="String")
private String processo;
@Coluna(nome="gep_import.origem", tipo="String")
private String origem;
@Coluna(nome="gep_import.acao", tipo="String")
private String acao;
@Coluna(nome="gep_import.banco", tipo="String")
private String banco;
@Coluna(nome="gep_import.dono", tipo="String")
private String dono;
@Coluna(nome="gep_import.tabela", tipo="String")
private String tabela;
@Coluna(nome="gep_import.separador", tipo="String")
private String separador;
@Coluna(nome="gep_import.status", tipo="String")
private String status;
@Coluna(nome="gep_import.coluna", tipo="String")
private String coluna;
@Coluna(nome="gep_import.dado", tipo="String")
private String dado;
@Coluna(nome="gep_import.colunaidentif", tipo="String")
private String colunaidentif;
@Coluna(nome="gep_import.dadoidentificador", tipo="String")
private String dadoidentificador;
@Coluna(nome="gep_import.dtageracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtageracao;

public TabGepImport() {
initialize();
}

public void initialize() {
setSeq(null);
setProcesso(null);
setOrigem(null);
setAcao(null);
setBanco(null);
setDono(null);
setTabela(null);
setSeparador(null);
setStatus(null);
setColuna(null);
setDado(null);
setColunaidentif(null);
setDadoidentificador(null);
setDtageracao(null);
}

public TabGepImport(int seq, String processo, String origem, String acao, String banco, String dono, String tabela, String separador, String status, String coluna, String dado, String colunaidentif, String dadoidentificador, FglDateTimeYS dtageracao) {
this.seq = seq;
this.processo = processo;
this.origem = origem;
this.acao = acao;
this.banco = banco;
this.dono = dono;
this.tabela = tabela;
this.separador = separador;
this.status = status;
this.coluna = coluna;
this.dado = dado;
this.colunaidentif = colunaidentif;
this.dadoidentificador = dadoidentificador;
this.dtageracao = dtageracao;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getAcao() {
return acao;
}

public void setAcao(String acao) {
this.acao = acao;
}

public String getBanco() {
return banco;
}

public void setBanco(String banco) {
this.banco = banco;
}

public String getDono() {
return dono;
}

public void setDono(String dono) {
this.dono = dono;
}

public String getTabela() {
return tabela;
}

public void setTabela(String tabela) {
this.tabela = tabela;
}

public String getSeparador() {
return separador;
}

public void setSeparador(String separador) {
this.separador = separador;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public String getDado() {
return dado;
}

public void setDado(String dado) {
this.dado = dado;
}

public String getColunaidentif() {
return colunaidentif;
}

public void setColunaidentif(String colunaidentif) {
this.colunaidentif = colunaidentif;
}

public String getDadoidentificador() {
return dadoidentificador;
}

public void setDadoidentificador(String dadoidentificador) {
this.dadoidentificador = dadoidentificador;
}

public FglDateTimeYS getDtageracao() {
return dtageracao;
}

public void setDtageracao(FglDateTimeYS dtageracao) {
this.dtageracao = dtageracao;
}

}

