package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGepProcesso {
@Coluna(nome="gep_processo.seqprocesso", tipo="long")
private long seqprocesso;
private boolean seqprocessoNull;
@Coluna(nome="gep_processo.descricao", tipo="String")
private String descricao;
@Coluna(nome="gep_processo.codprocesso", tipo="String")
private String codprocesso;
@Coluna(nome="gep_processo.prioridade", tipo="int")
private int prioridade;
private boolean prioridadeNull;
@Coluna(nome="gep_processo.aplicativo", tipo="String")
private String aplicativo;
@Coluna(nome="gep_processo.tipo", tipo="String")
private String tipo;
@Coluna(nome="gep_processo.exedta", tipo="FglDateTimeYS")
private FglDateTimeYS exedta;
@Coluna(nome="gep_processo.exediasemana", tipo="String")
private String exediasemana;
@Coluna(nome="gep_processo.exediames", tipo="int")
private int exediames;
private boolean exediamesNull;
@Coluna(nome="gep_processo.exehora", tipo="FglDateTimeYS")
private FglDateTimeYS exehora;
@Coluna(nome="gep_processo.servidor", tipo="int")
private int servidor;
private boolean servidorNull;
@Coluna(nome="gep_processo.exeminuto", tipo="double")
private double exeminuto;
private boolean exeminutoNull;
@Coluna(nome="gep_processo.ultimaexecucao", tipo="FglDateTimeYS")
private FglDateTimeYS ultimaexecucao;
@Coluna(nome="gep_processo.argumento", tipo="String")
private String argumento;
@Coluna(nome="gep_processo.suspsendeaposexec", tipo="int")
private int suspsendeaposexec;
private boolean suspsendeaposexecNull;
@Coluna(nome="gep_processo.sistemaorigem", tipo="String")
private String sistemaorigem;
@Coluna(nome="gep_processo.conexao", tipo="String")
private String conexao;

public TabGepProcesso() {
initialize();
}

public void initialize() {
setSeqprocesso(null);
setDescricao(null);
setCodprocesso(null);
setPrioridade(null);
setAplicativo(null);
setTipo(null);
setExedta(null);
setExediasemana(null);
setExediames(null);
setExehora(null);
setServidor(null);
setExeminuto(null);
setUltimaexecucao(null);
setArgumento(null);
setSuspsendeaposexec(null);
setSistemaorigem(null);
setConexao(null);
}

public TabGepProcesso(long seqprocesso, String descricao, String codprocesso, int prioridade, String aplicativo, String tipo, FglDateTimeYS exedta, String exediasemana, int exediames, FglDateTimeYS exehora, int servidor, double exeminuto, FglDateTimeYS ultimaexecucao, String argumento, int suspsendeaposexec, String sistemaorigem, String conexao) {
this.seqprocesso = seqprocesso;
this.descricao = descricao;
this.codprocesso = codprocesso;
this.prioridade = prioridade;
this.aplicativo = aplicativo;
this.tipo = tipo;
this.exedta = exedta;
this.exediasemana = exediasemana;
this.exediames = exediames;
this.exehora = exehora;
this.servidor = servidor;
this.exeminuto = exeminuto;
this.ultimaexecucao = ultimaexecucao;
this.argumento = argumento;
this.suspsendeaposexec = suspsendeaposexec;
this.sistemaorigem = sistemaorigem;
this.conexao = conexao;
}

public long getSeqprocesso() {
return seqprocesso;
}

public boolean isSeqprocessoNull() {
return seqprocessoNull;
}

public void setSeqprocesso(int seqprocesso) {
setSeqprocesso(new Long(seqprocesso));
}

public void setSeqprocesso(Long seqprocesso) {
if (seqprocesso == null) {
seqprocessoNull = true;
this.seqprocesso = 0l;
} else { 
seqprocessoNull = false;
this.seqprocesso = seqprocesso;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getCodprocesso() {
return codprocesso;
}

public void setCodprocesso(String codprocesso) {
this.codprocesso = codprocesso;
}

public int getPrioridade() {
return prioridade;
}

public boolean isPrioridadeNull() {
return prioridadeNull;
}

public void setPrioridade(Integer prioridade) {
if (prioridade == null) {
prioridadeNull = true;
this.prioridade = 0;
} else { 
prioridadeNull = false;
this.prioridade = prioridade;
}
}

public String getAplicativo() {
return aplicativo;
}

public void setAplicativo(String aplicativo) {
this.aplicativo = aplicativo;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDateTimeYS getExedta() {
return exedta;
}

public void setExedta(FglDateTimeYS exedta) {
this.exedta = exedta;
}

public String getExediasemana() {
return exediasemana;
}

public void setExediasemana(String exediasemana) {
this.exediasemana = exediasemana;
}

public int getExediames() {
return exediames;
}

public boolean isExediamesNull() {
return exediamesNull;
}

public void setExediames(Integer exediames) {
if (exediames == null) {
exediamesNull = true;
this.exediames = 0;
} else { 
exediamesNull = false;
this.exediames = exediames;
}
}

public FglDateTimeYS getExehora() {
return exehora;
}

public void setExehora(FglDateTimeYS exehora) {
this.exehora = exehora;
}

public int getServidor() {
return servidor;
}

public boolean isServidorNull() {
return servidorNull;
}

public void setServidor(Integer servidor) {
if (servidor == null) {
servidorNull = true;
this.servidor = 0;
} else { 
servidorNull = false;
this.servidor = servidor;
}
}

public double getExeminuto() {
return exeminuto;
}

public boolean isExeminutoNull() {
return exeminutoNull;
}

public void setExeminuto(int exeminuto) {
setExeminuto(new Double(exeminuto));
}

public void setExeminuto(long exeminuto) {
setExeminuto(new Double(exeminuto));
}

public void setExeminuto(Double exeminuto) {
if (exeminuto == null) {
exeminutoNull = true;
this.exeminuto = 0.;
} else { 
exeminutoNull = false;
this.exeminuto = FglDouble.round(exeminuto, 2);
}
}

public FglDateTimeYS getUltimaexecucao() {
return ultimaexecucao;
}

public void setUltimaexecucao(FglDateTimeYS ultimaexecucao) {
this.ultimaexecucao = ultimaexecucao;
}

public String getArgumento() {
return argumento;
}

public void setArgumento(String argumento) {
this.argumento = argumento;
}

public int getSuspsendeaposexec() {
return suspsendeaposexec;
}

public boolean isSuspsendeaposexecNull() {
return suspsendeaposexecNull;
}

public void setSuspsendeaposexec(Integer suspsendeaposexec) {
if (suspsendeaposexec == null) {
suspsendeaposexecNull = true;
this.suspsendeaposexec = 0;
} else { 
suspsendeaposexecNull = false;
this.suspsendeaposexec = suspsendeaposexec;
}
}

public String getSistemaorigem() {
return sistemaorigem;
}

public void setSistemaorigem(String sistemaorigem) {
this.sistemaorigem = sistemaorigem;
}

public String getConexao() {
return conexao;
}

public void setConexao(String conexao) {
this.conexao = conexao;
}

}

