package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarquge {
@Coluna(nome="gmarquge.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarquge.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarquge.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarquge.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarquge.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarquge.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="gmarquge.codservico", tipo="String")
private String codservico;
@Coluna(nome="gmarquge.produto", tipo="String")
private String produto;
@Coluna(nome="gmarquge.sclinha", tipo="int")
private int sclinha;
private boolean sclinhaNull;
@Coluna(nome="gmarquge.vlrtotsc", tipo="double")
private double vlrtotsc;
private boolean vlrtotscNull;
@Coluna(nome="gmarquge.ocorrenc", tipo="String")
private String ocorrenc;
@Coluna(nome="gmarquge.dtgeracao", tipo="String")
private String dtgeracao;
@Coluna(nome="gmarquge.hrgeracao", tipo="String")
private String hrgeracao;
@Coluna(nome="gmarquge.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmarquge.dealernr", tipo="String")
private String dealernr;

public TabGmarquge() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setOrdemserv(null);
setCodservico(null);
setProduto(null);
setSclinha(null);
setVlrtotsc(null);
setOcorrenc(null);
setDtgeracao(null);
setHrgeracao(null);
setFilial(null);
setDealernr(null);
}

public TabGmarquge(String arquivo, String complarq, String dtmovto, int seq, String tpreg, int ordemserv, String codservico, String produto, int sclinha, double vlrtotsc, String ocorrenc, String dtgeracao, String hrgeracao, int filial, String dealernr) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.ordemserv = ordemserv;
this.codservico = codservico;
this.produto = produto;
this.sclinha = sclinha;
this.vlrtotsc = vlrtotsc;
this.ocorrenc = ocorrenc;
this.dtgeracao = dtgeracao;
this.hrgeracao = hrgeracao;
this.filial = filial;
this.dealernr = dealernr;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getSclinha() {
return sclinha;
}

public boolean isSclinhaNull() {
return sclinhaNull;
}

public void setSclinha(Integer sclinha) {
if (sclinha == null) {
sclinhaNull = true;
this.sclinha = 0;
} else { 
sclinhaNull = false;
this.sclinha = sclinha;
}
}

public double getVlrtotsc() {
return vlrtotsc;
}

public boolean isVlrtotscNull() {
return vlrtotscNull;
}

public void setVlrtotsc(int vlrtotsc) {
setVlrtotsc(new Double(vlrtotsc));
}

public void setVlrtotsc(long vlrtotsc) {
setVlrtotsc(new Double(vlrtotsc));
}

public void setVlrtotsc(Double vlrtotsc) {
if (vlrtotsc == null) {
vlrtotscNull = true;
this.vlrtotsc = 0.;
} else { 
vlrtotscNull = false;
this.vlrtotsc = FglDouble.round(vlrtotsc, 2);
}
}

public String getOcorrenc() {
return ocorrenc;
}

public void setOcorrenc(String ocorrenc) {
this.ocorrenc = ocorrenc;
}

public String getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(String dtgeracao) {
this.dtgeracao = dtgeracao;
}

public String getHrgeracao() {
return hrgeracao;
}

public void setHrgeracao(String hrgeracao) {
this.hrgeracao = hrgeracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDealernr() {
return dealernr;
}

public void setDealernr(String dealernr) {
this.dealernr = dealernr;
}

}

