package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarqumd {
@Coluna(nome="gmarqumd.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqumd.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqumd.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqumd.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqumd.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqumd.modelo", tipo="String")
private String modelo;
@Coluna(nome="gmarqumd.opcional", tipo="String")
private String opcional;
@Coluna(nome="gmarqumd.descr", tipo="String")
private String descr;
@Coluna(nome="gmarqumd.regiao", tipo="String")
private String regiao;
@Coluna(nome="gmarqumd.preco", tipo="double")
private double preco;
private boolean precoNull;

public TabGmarqumd() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setModelo(null);
setOpcional(null);
setDescr(null);
setRegiao(null);
setPreco(null);
}

public TabGmarqumd(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String modelo, String opcional, String descr, String regiao, double preco) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.modelo = modelo;
this.opcional = opcional;
this.descr = descr;
this.regiao = regiao;
this.preco = preco;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getOpcional() {
return opcional;
}

public void setOpcional(String opcional) {
this.opcional = opcional;
}

public String getDescr() {
return descr;
}

public void setDescr(String descr) {
this.descr = descr;
}

public String getRegiao() {
return regiao;
}

public void setRegiao(String regiao) {
this.regiao = regiao;
}

public double getPreco() {
return preco;
}

public boolean isPrecoNull() {
return precoNull;
}

public void setPreco(int preco) {
setPreco(new Double(preco));
}

public void setPreco(long preco) {
setPreco(new Double(preco));
}

public void setPreco(Double preco) {
if (preco == null) {
precoNull = true;
this.preco = 0.;
} else { 
precoNull = false;
this.preco = FglDouble.round(preco, 2);
}
}

}

