package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarqun1 {
@Coluna(nome="gmarqun1.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqun1.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqun1.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqun1.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqun1.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqun1.numnf", tipo="String")
private String numnf;
@Coluna(nome="gmarqun1.sernf", tipo="String")
private String sernf;
@Coluna(nome="gmarqun1.dteminf", tipo="FglDate")
private FglDate dteminf;
@Coluna(nome="gmarqun1.vrprod", tipo="double")
private double vrprod;
private boolean vrprodNull;
@Coluna(nome="gmarqun1.basicms", tipo="double")
private double basicms;
private boolean basicmsNull;
@Coluna(nome="gmarqun1.vricms", tipo="double")
private double vricms;
private boolean vricmsNull;
@Coluna(nome="gmarqun1.vripi", tipo="double")
private double vripi;
private boolean vripiNull;
@Coluna(nome="gmarqun1.vrdescnf", tipo="double")
private double vrdescnf;
private boolean vrdescnfNull;
@Coluna(nome="gmarqun1.totitens", tipo="long")
private long totitens;
private boolean totitensNull;
@Coluna(nome="gmarqun1.depositonf", tipo="String")
private String depositonf;

public TabGmarqun1() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setNumnf(null);
setSernf(null);
setDteminf(null);
setVrprod(null);
setBasicms(null);
setVricms(null);
setVripi(null);
setVrdescnf(null);
setTotitens(null);
setDepositonf(null);
}

public TabGmarqun1(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String numnf, String sernf, FglDate dteminf, double vrprod, double basicms, double vricms, double vripi, double vrdescnf, long totitens, String depositonf) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.numnf = numnf;
this.sernf = sernf;
this.dteminf = dteminf;
this.vrprod = vrprod;
this.basicms = basicms;
this.vricms = vricms;
this.vripi = vripi;
this.vrdescnf = vrdescnf;
this.totitens = totitens;
this.depositonf = depositonf;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getNumnf() {
return numnf;
}

public void setNumnf(String numnf) {
this.numnf = numnf;
}

public String getSernf() {
return sernf;
}

public void setSernf(String sernf) {
this.sernf = sernf;
}

public FglDate getDteminf() {
return dteminf;
}

public void setDteminf(FglDate dteminf) {
this.dteminf = dteminf;
}

public double getVrprod() {
return vrprod;
}

public boolean isVrprodNull() {
return vrprodNull;
}

public void setVrprod(int vrprod) {
setVrprod(new Double(vrprod));
}

public void setVrprod(long vrprod) {
setVrprod(new Double(vrprod));
}

public void setVrprod(Double vrprod) {
if (vrprod == null) {
vrprodNull = true;
this.vrprod = 0.;
} else { 
vrprodNull = false;
this.vrprod = FglDouble.round(vrprod, 2);
}
}

public double getBasicms() {
return basicms;
}

public boolean isBasicmsNull() {
return basicmsNull;
}

public void setBasicms(int basicms) {
setBasicms(new Double(basicms));
}

public void setBasicms(long basicms) {
setBasicms(new Double(basicms));
}

public void setBasicms(Double basicms) {
if (basicms == null) {
basicmsNull = true;
this.basicms = 0.;
} else { 
basicmsNull = false;
this.basicms = FglDouble.round(basicms, 2);
}
}

public double getVricms() {
return vricms;
}

public boolean isVricmsNull() {
return vricmsNull;
}

public void setVricms(int vricms) {
setVricms(new Double(vricms));
}

public void setVricms(long vricms) {
setVricms(new Double(vricms));
}

public void setVricms(Double vricms) {
if (vricms == null) {
vricmsNull = true;
this.vricms = 0.;
} else { 
vricmsNull = false;
this.vricms = FglDouble.round(vricms, 2);
}
}

public double getVripi() {
return vripi;
}

public boolean isVripiNull() {
return vripiNull;
}

public void setVripi(int vripi) {
setVripi(new Double(vripi));
}

public void setVripi(long vripi) {
setVripi(new Double(vripi));
}

public void setVripi(Double vripi) {
if (vripi == null) {
vripiNull = true;
this.vripi = 0.;
} else { 
vripiNull = false;
this.vripi = FglDouble.round(vripi, 2);
}
}

public double getVrdescnf() {
return vrdescnf;
}

public boolean isVrdescnfNull() {
return vrdescnfNull;
}

public void setVrdescnf(int vrdescnf) {
setVrdescnf(new Double(vrdescnf));
}

public void setVrdescnf(long vrdescnf) {
setVrdescnf(new Double(vrdescnf));
}

public void setVrdescnf(Double vrdescnf) {
if (vrdescnf == null) {
vrdescnfNull = true;
this.vrdescnf = 0.;
} else { 
vrdescnfNull = false;
this.vrdescnf = FglDouble.round(vrdescnf, 2);
}
}

public long getTotitens() {
return totitens;
}

public boolean isTotitensNull() {
return totitensNull;
}

public void setTotitens(int totitens) {
setTotitens(new Long(totitens));
}

public void setTotitens(Long totitens) {
if (totitens == null) {
totitensNull = true;
this.totitens = 0l;
} else { 
totitensNull = false;
this.totitens = totitens;
}
}

public String getDepositonf() {
return depositonf;
}

public void setDepositonf(String depositonf) {
this.depositonf = depositonf;
}

}

