package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmarqupv {
@Coluna(nome="gmarqupv.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqupv.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqupv.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqupv.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqupv.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqupv.codped", tipo="String")
private String codped;
@Coluna(nome="gmarqupv.modelo", tipo="String")
private String modelo;
@Coluna(nome="gmarqupv.tppedido", tipo="String")
private String tppedido;
@Coluna(nome="gmarqupv.ordprod", tipo="String")
private String ordprod;
@Coluna(nome="gmarqupv.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmarqupv.cabina", tipo="String")
private String cabina;
@Coluna(nome="gmarqupv.cambio", tipo="String")
private String cambio;
@Coluna(nome="gmarqupv.diferencial", tipo="String")
private String diferencial;
@Coluna(nome="gmarqupv.motor", tipo="String")
private String motor;
@Coluna(nome="gmarqupv.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="gmarqupv.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="gmarqupv.dtpedido", tipo="FglDate")
private FglDate dtpedido;
@Coluna(nome="gmarqupv.dtprov", tipo="FglDate")
private FglDate dtprov;
@Coluna(nome="gmarqupv.dtprog", tipo="FglDate")
private FglDate dtprog;
@Coluna(nome="gmarqupv.dtlib", tipo="FglDate")
private FglDate dtlib;
@Coluna(nome="gmarqupv.dtfat", tipo="FglDate")
private FglDate dtfat;
@Coluna(nome="gmarqupv.dtfun", tipo="FglDate")
private FglDate dtfun;
@Coluna(nome="gmarqupv.dtmont", tipo="FglDate")
private FglDate dtmont;
@Coluna(nome="gmarqupv.nronota", tipo="String")
private String nronota;
@Coluna(nome="gmarqupv.codchave", tipo="String")
private String codchave;
@Coluna(nome="gmarqupv.pripedido", tipo="String")
private String pripedido;
@Coluna(nome="gmarqupv.opcoes", tipo="String")
private String opcoes;

public TabGmarqupv() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setCodped(null);
setModelo(null);
setTppedido(null);
setOrdprod(null);
setChassis(null);
setCabina(null);
setCambio(null);
setDiferencial(null);
setMotor(null);
setCorexterna(null);
setCorinterna(null);
setDtpedido(null);
setDtprov(null);
setDtprog(null);
setDtlib(null);
setDtfat(null);
setDtfun(null);
setDtmont(null);
setNronota(null);
setCodchave(null);
setPripedido(null);
setOpcoes(null);
}

public TabGmarqupv(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String codped, String modelo, String tppedido, String ordprod, String chassis, String cabina, String cambio, String diferencial, String motor, String corexterna, String corinterna, FglDate dtpedido, FglDate dtprov, FglDate dtprog, FglDate dtlib, FglDate dtfat, FglDate dtfun, FglDate dtmont, String nronota, String codchave, String pripedido, String opcoes) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.codped = codped;
this.modelo = modelo;
this.tppedido = tppedido;
this.ordprod = ordprod;
this.chassis = chassis;
this.cabina = cabina;
this.cambio = cambio;
this.diferencial = diferencial;
this.motor = motor;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.dtpedido = dtpedido;
this.dtprov = dtprov;
this.dtprog = dtprog;
this.dtlib = dtlib;
this.dtfat = dtfat;
this.dtfun = dtfun;
this.dtmont = dtmont;
this.nronota = nronota;
this.codchave = codchave;
this.pripedido = pripedido;
this.opcoes = opcoes;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getCodped() {
return codped;
}

public void setCodped(String codped) {
this.codped = codped;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTppedido() {
return tppedido;
}

public void setTppedido(String tppedido) {
this.tppedido = tppedido;
}

public String getOrdprod() {
return ordprod;
}

public void setOrdprod(String ordprod) {
this.ordprod = ordprod;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getCabina() {
return cabina;
}

public void setCabina(String cabina) {
this.cabina = cabina;
}

public String getCambio() {
return cambio;
}

public void setCambio(String cambio) {
this.cambio = cambio;
}

public String getDiferencial() {
return diferencial;
}

public void setDiferencial(String diferencial) {
this.diferencial = diferencial;
}

public String getMotor() {
return motor;
}

public void setMotor(String motor) {
this.motor = motor;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public FglDate getDtpedido() {
return dtpedido;
}

public void setDtpedido(FglDate dtpedido) {
this.dtpedido = dtpedido;
}

public FglDate getDtprov() {
return dtprov;
}

public void setDtprov(FglDate dtprov) {
this.dtprov = dtprov;
}

public FglDate getDtprog() {
return dtprog;
}

public void setDtprog(FglDate dtprog) {
this.dtprog = dtprog;
}

public FglDate getDtlib() {
return dtlib;
}

public void setDtlib(FglDate dtlib) {
this.dtlib = dtlib;
}

public FglDate getDtfat() {
return dtfat;
}

public void setDtfat(FglDate dtfat) {
this.dtfat = dtfat;
}

public FglDate getDtfun() {
return dtfun;
}

public void setDtfun(FglDate dtfun) {
this.dtfun = dtfun;
}

public FglDate getDtmont() {
return dtmont;
}

public void setDtmont(FglDate dtmont) {
this.dtmont = dtmont;
}

public String getNronota() {
return nronota;
}

public void setNronota(String nronota) {
this.nronota = nronota;
}

public String getCodchave() {
return codchave;
}

public void setCodchave(String codchave) {
this.codchave = codchave;
}

public String getPripedido() {
return pripedido;
}

public void setPripedido(String pripedido) {
this.pripedido = pripedido;
}

public String getOpcoes() {
return opcoes;
}

public void setOpcoes(String opcoes) {
this.opcoes = opcoes;
}

}

