package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGmarqusu {
@Coluna(nome="gmarqusu.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqusu.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqusu.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqusu.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqusu.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqusu.substituida", tipo="String")
private String substituida;
@Coluna(nome="gmarqusu.substituta", tipo="String")
private String substituta;

public TabGmarqusu() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setSubstituida(null);
setSubstituta(null);
}

public TabGmarqusu(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String substituida, String substituta) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.substituida = substituida;
this.substituta = substituta;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getSubstituida() {
return substituida;
}

public void setSubstituida(String substituida) {
this.substituida = substituida;
}

public String getSubstituta() {
return substituta;
}

public void setSubstituta(String substituta) {
this.substituta = substituta;
}

}

