package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarqutt {
@Coluna(nome="gmarqutt.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqutt.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqutt.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqutt.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqutt.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqutt.codserv", tipo="String")
private String codserv;
@Coluna(nome="gmarqutt.codaplic", tipo="String")
private String codaplic;
@Coluna(nome="gmarqutt.codmode", tipo="String")
private String codmode;
@Coluna(nome="gmarqutt.detenge", tipo="String")
private String detenge;
@Coluna(nome="gmarqutt.tmpatual", tipo="double")
private double tmpatual;
private boolean tmpatualNull;
@Coluna(nome="gmarqutt.tmpant", tipo="double")
private double tmpant;
private boolean tmpantNull;
@Coluna(nome="gmarqutt.controle", tipo="long")
private long controle;
private boolean controleNull;
@Coluna(nome="gmarqutt.seqproc", tipo="String")
private String seqproc;

public TabGmarqutt() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setCodserv(null);
setCodaplic(null);
setCodmode(null);
setDetenge(null);
setTmpatual(null);
setTmpant(null);
setControle(null);
setSeqproc(null);
}

public TabGmarqutt(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String codserv, String codaplic, String codmode, String detenge, double tmpatual, double tmpant, long controle, String seqproc) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.codserv = codserv;
this.codaplic = codaplic;
this.codmode = codmode;
this.detenge = detenge;
this.tmpatual = tmpatual;
this.tmpant = tmpant;
this.controle = controle;
this.seqproc = seqproc;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getCodserv() {
return codserv;
}

public void setCodserv(String codserv) {
this.codserv = codserv;
}

public String getCodaplic() {
return codaplic;
}

public void setCodaplic(String codaplic) {
this.codaplic = codaplic;
}

public String getCodmode() {
return codmode;
}

public void setCodmode(String codmode) {
this.codmode = codmode;
}

public String getDetenge() {
return detenge;
}

public void setDetenge(String detenge) {
this.detenge = detenge;
}

public double getTmpatual() {
return tmpatual;
}

public boolean isTmpatualNull() {
return tmpatualNull;
}

public void setTmpatual(int tmpatual) {
setTmpatual(new Double(tmpatual));
}

public void setTmpatual(long tmpatual) {
setTmpatual(new Double(tmpatual));
}

public void setTmpatual(Double tmpatual) {
if (tmpatual == null) {
tmpatualNull = true;
this.tmpatual = 0.;
} else { 
tmpatualNull = false;
this.tmpatual = FglDouble.round(tmpatual, 1);
}
}

public double getTmpant() {
return tmpant;
}

public boolean isTmpantNull() {
return tmpantNull;
}

public void setTmpant(int tmpant) {
setTmpant(new Double(tmpant));
}

public void setTmpant(long tmpant) {
setTmpant(new Double(tmpant));
}

public void setTmpant(Double tmpant) {
if (tmpant == null) {
tmpantNull = true;
this.tmpant = 0.;
} else { 
tmpantNull = false;
this.tmpant = FglDouble.round(tmpant, 1);
}
}

public long getControle() {
return controle;
}

public boolean isControleNull() {
return controleNull;
}

public void setControle(int controle) {
setControle(new Long(controle));
}

public void setControle(Long controle) {
if (controle == null) {
controleNull = true;
this.controle = 0l;
} else { 
controleNull = false;
this.controle = controle;
}
}

public String getSeqproc() {
return seqproc;
}

public void setSeqproc(String seqproc) {
this.seqproc = seqproc;
}

}

