package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGmarqutz {
@Coluna(nome="gmarqutz.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqutz.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqutz.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqutz.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqutz.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqutz.codserv", tipo="String")
private String codserv;
@Coluna(nome="gmarqutz.desserv", tipo="String")
private String desserv;
@Coluna(nome="gmarqutz.descompserv", tipo="String")
private String descompserv;
@Coluna(nome="gmarqutz.indautoriz", tipo="String")
private String indautoriz;
@Coluna(nome="gmarqutz.seqproc", tipo="String")
private String seqproc;

public TabGmarqutz() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setCodserv(null);
setDesserv(null);
setDescompserv(null);
setIndautoriz(null);
setSeqproc(null);
}

public TabGmarqutz(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String codserv, String desserv, String descompserv, String indautoriz, String seqproc) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.codserv = codserv;
this.desserv = desserv;
this.descompserv = descompserv;
this.indautoriz = indautoriz;
this.seqproc = seqproc;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getCodserv() {
return codserv;
}

public void setCodserv(String codserv) {
this.codserv = codserv;
}

public String getDesserv() {
return desserv;
}

public void setDesserv(String desserv) {
this.desserv = desserv;
}

public String getDescompserv() {
return descompserv;
}

public void setDescompserv(String descompserv) {
this.descompserv = descompserv;
}

public String getIndautoriz() {
return indautoriz;
}

public void setIndautoriz(String indautoriz) {
this.indautoriz = indautoriz;
}

public String getSeqproc() {
return seqproc;
}

public void setSeqproc(String seqproc) {
this.seqproc = seqproc;
}

}

