package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmavfwup {
@Coluna(nome="gmavfwup.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmavfwup.dtenvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtenvio;
@Coluna(nome="gmavfwup.dtretorno", tipo="FglDateTimeYS")
private FglDateTimeYS dtretorno;
@Coluna(nome="gmavfwup.dtnfvnd", tipo="FglDate")
private FglDate dtnfvnd;
@Coluna(nome="gmavfwup.nfconc", tipo="int")
private int nfconc;
private boolean nfconcNull;
@Coluna(nome="gmavfwup.tpaviso", tipo="String")
private String tpaviso;
@Coluna(nome="gmavfwup.dtprienv", tipo="FglDate")
private FglDate dtprienv;
@Coluna(nome="gmavfwup.rtenvio", tipo="String")
private String rtenvio;
@Coluna(nome="gmavfwup.rtmsg", tipo="String")
private String rtmsg;

public TabGmavfwup() {
initialize();
}

public void initialize() {
setChassis(null);
setDtenvio(null);
setDtretorno(null);
setDtnfvnd(null);
setNfconc(null);
setTpaviso(null);
setDtprienv(null);
setRtenvio(null);
setRtmsg(null);
}

public TabGmavfwup(String chassis, FglDateTimeYS dtenvio, FglDateTimeYS dtretorno, FglDate dtnfvnd, int nfconc, String tpaviso, FglDate dtprienv, String rtenvio, String rtmsg) {
this.chassis = chassis;
this.dtenvio = dtenvio;
this.dtretorno = dtretorno;
this.dtnfvnd = dtnfvnd;
this.nfconc = nfconc;
this.tpaviso = tpaviso;
this.dtprienv = dtprienv;
this.rtenvio = rtenvio;
this.rtmsg = rtmsg;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDateTimeYS getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDateTimeYS dtenvio) {
this.dtenvio = dtenvio;
}

public FglDateTimeYS getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDateTimeYS dtretorno) {
this.dtretorno = dtretorno;
}

public FglDate getDtnfvnd() {
return dtnfvnd;
}

public void setDtnfvnd(FglDate dtnfvnd) {
this.dtnfvnd = dtnfvnd;
}

public int getNfconc() {
return nfconc;
}

public boolean isNfconcNull() {
return nfconcNull;
}

public void setNfconc(Integer nfconc) {
if (nfconc == null) {
nfconcNull = true;
this.nfconc = 0;
} else { 
nfconcNull = false;
this.nfconc = nfconc;
}
}

public String getTpaviso() {
return tpaviso;
}

public void setTpaviso(String tpaviso) {
this.tpaviso = tpaviso;
}

public FglDate getDtprienv() {
return dtprienv;
}

public void setDtprienv(FglDate dtprienv) {
this.dtprienv = dtprienv;
}

public String getRtenvio() {
return rtenvio;
}

public void setRtenvio(String rtenvio) {
this.rtenvio = rtenvio;
}

public String getRtmsg() {
return rtmsg;
}

public void setRtmsg(String rtmsg) {
this.rtmsg = rtmsg;
}

}

