package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmdevolu {
@Coluna(nome="gmdevolu.id_gmdevol", tipo="int")
private int idGmdevol;
private boolean idGmdevolNull;
@Coluna(nome="gmdevolu.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmdevolu.autoriz", tipo="String")
private String autoriz;
@Coluna(nome="gmdevolu.autlinha", tipo="int")
private int autlinha;
private boolean autlinhaNull;
@Coluna(nome="gmdevolu.produto", tipo="String")
private String produto;
@Coluna(nome="gmdevolu.nfgm", tipo="int")
private int nfgm;
private boolean nfgmNull;
@Coluna(nome="gmdevolu.dtnfgm", tipo="FglDate")
private FglDate dtnfgm;
@Coluna(nome="gmdevolu.container", tipo="String")
private String container;
@Coluna(nome="gmdevolu.armazem", tipo="String")
private String armazem;
@Coluna(nome="gmdevolu.qtde", tipo="double")
private double qtde;
private boolean qtdeNull;
@Coluna(nome="gmdevolu.substituida", tipo="String")
private String substituida;
@Coluna(nome="gmdevolu.valorunit", tipo="double")
private double valorunit;
private boolean valorunitNull;
@Coluna(nome="gmdevolu.aliqipi", tipo="double")
private double aliqipi;
private boolean aliqipiNull;
@Coluna(nome="gmdevolu.valoripi", tipo="double")
private double valoripi;
private boolean valoripiNull;
@Coluna(nome="gmdevolu.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="gmdevolu.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;
@Coluna(nome="gmdevolu.saliqicms", tipo="double")
private double saliqicms;
private boolean saliqicmsNull;
@Coluna(nome="gmdevolu.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="gmdevolu.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="gmdevolu.nflinha", tipo="int")
private int nflinha;
private boolean nflinhaNull;
@Coluna(nome="gmdevolu.id_romcap", tipo="int")
private int idRomcap;
private boolean idRomcapNull;
@Coluna(nome="gmdevolu.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="gmdevolu.orclinha", tipo="int")
private int orclinha;
private boolean orclinhaNull;

public TabGmdevolu() {
initialize();
}

public void initialize() {
setIdGmdevol(null);
setFilial(null);
setAutoriz(null);
setAutlinha(null);
setProduto(null);
setNfgm(null);
setDtnfgm(null);
setContainer(null);
setArmazem(null);
setQtde(null);
setSubstituida(null);
setValorunit(null);
setAliqipi(null);
setValoripi(null);
setAliqicms(null);
setValoricms(null);
setSaliqicms(null);
setSvaloricms(null);
setIdNfcapa(null);
setNflinha(null);
setIdRomcap(null);
setIdOrccap(null);
setOrclinha(null);
}

public TabGmdevolu(int idGmdevol, int filial, String autoriz, int autlinha, String produto, int nfgm, FglDate dtnfgm, String container, String armazem, double qtde, String substituida, double valorunit, double aliqipi, double valoripi, double aliqicms, double valoricms, double saliqicms, double svaloricms, int idNfcapa, int nflinha, int idRomcap, int idOrccap, int orclinha) {
this.idGmdevol = idGmdevol;
this.filial = filial;
this.autoriz = autoriz;
this.autlinha = autlinha;
this.produto = produto;
this.nfgm = nfgm;
this.dtnfgm = dtnfgm;
this.container = container;
this.armazem = armazem;
this.qtde = qtde;
this.substituida = substituida;
this.valorunit = valorunit;
this.aliqipi = aliqipi;
this.valoripi = valoripi;
this.aliqicms = aliqicms;
this.valoricms = valoricms;
this.saliqicms = saliqicms;
this.svaloricms = svaloricms;
this.idNfcapa = idNfcapa;
this.nflinha = nflinha;
this.idRomcap = idRomcap;
this.idOrccap = idOrccap;
this.orclinha = orclinha;
}

public int getIdGmdevol() {
return idGmdevol;
}

public boolean isIdGmdevolNull() {
return idGmdevolNull;
}

public void setIdGmdevol(Integer idGmdevol) {
if (idGmdevol == null) {
idGmdevolNull = true;
this.idGmdevol = 0;
} else { 
idGmdevolNull = false;
this.idGmdevol = idGmdevol;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getAutoriz() {
return autoriz;
}

public void setAutoriz(String autoriz) {
this.autoriz = autoriz;
}

public int getAutlinha() {
return autlinha;
}

public boolean isAutlinhaNull() {
return autlinhaNull;
}

public void setAutlinha(Integer autlinha) {
if (autlinha == null) {
autlinhaNull = true;
this.autlinha = 0;
} else { 
autlinhaNull = false;
this.autlinha = autlinha;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getNfgm() {
return nfgm;
}

public boolean isNfgmNull() {
return nfgmNull;
}

public void setNfgm(Integer nfgm) {
if (nfgm == null) {
nfgmNull = true;
this.nfgm = 0;
} else { 
nfgmNull = false;
this.nfgm = nfgm;
}
}

public FglDate getDtnfgm() {
return dtnfgm;
}

public void setDtnfgm(FglDate dtnfgm) {
this.dtnfgm = dtnfgm;
}

public String getContainer() {
return container;
}

public void setContainer(String container) {
this.container = container;
}

public String getArmazem() {
return armazem;
}

public void setArmazem(String armazem) {
this.armazem = armazem;
}

public double getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(int qtde) {
setQtde(new Double(qtde));
}

public void setQtde(long qtde) {
setQtde(new Double(qtde));
}

public void setQtde(Double qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0.;
} else { 
qtdeNull = false;
this.qtde = qtde;
}
}

public String getSubstituida() {
return substituida;
}

public void setSubstituida(String substituida) {
this.substituida = substituida;
}

public double getValorunit() {
return valorunit;
}

public boolean isValorunitNull() {
return valorunitNull;
}

public void setValorunit(int valorunit) {
setValorunit(new Double(valorunit));
}

public void setValorunit(long valorunit) {
setValorunit(new Double(valorunit));
}

public void setValorunit(Double valorunit) {
if (valorunit == null) {
valorunitNull = true;
this.valorunit = 0.;
} else { 
valorunitNull = false;
this.valorunit = FglDouble.round(valorunit, 2);
}
}

public double getAliqipi() {
return aliqipi;
}

public boolean isAliqipiNull() {
return aliqipiNull;
}

public void setAliqipi(int aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(long aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(Double aliqipi) {
if (aliqipi == null) {
aliqipiNull = true;
this.aliqipi = 0.;
} else { 
aliqipiNull = false;
this.aliqipi = FglDouble.round(aliqipi, 2);
}
}

public double getValoripi() {
return valoripi;
}

public boolean isValoripiNull() {
return valoripiNull;
}

public void setValoripi(int valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(long valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(Double valoripi) {
if (valoripi == null) {
valoripiNull = true;
this.valoripi = 0.;
} else { 
valoripiNull = false;
this.valoripi = FglDouble.round(valoripi, 2);
}
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

public double getSaliqicms() {
return saliqicms;
}

public boolean isSaliqicmsNull() {
return saliqicmsNull;
}

public void setSaliqicms(int saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(long saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(Double saliqicms) {
if (saliqicms == null) {
saliqicmsNull = true;
this.saliqicms = 0.;
} else { 
saliqicmsNull = false;
this.saliqicms = FglDouble.round(saliqicms, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNflinha() {
return nflinha;
}

public boolean isNflinhaNull() {
return nflinhaNull;
}

public void setNflinha(Integer nflinha) {
if (nflinha == null) {
nflinhaNull = true;
this.nflinha = 0;
} else { 
nflinhaNull = false;
this.nflinha = nflinha;
}
}

public int getIdRomcap() {
return idRomcap;
}

public boolean isIdRomcapNull() {
return idRomcapNull;
}

public void setIdRomcap(Integer idRomcap) {
if (idRomcap == null) {
idRomcapNull = true;
this.idRomcap = 0;
} else { 
idRomcapNull = false;
this.idRomcap = idRomcap;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getOrclinha() {
return orclinha;
}

public boolean isOrclinhaNull() {
return orclinhaNull;
}

public void setOrclinha(Integer orclinha) {
if (orclinha == null) {
orclinhaNull = true;
this.orclinha = 0;
} else { 
orclinhaNull = false;
this.orclinha = orclinha;
}
}

}

