package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmgeraca {
@Coluna(nome="gmgeraca.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmgeraca.tparquivo", tipo="String")
private String tparquivo;
@Coluna(nome="gmgeraca.dtref", tipo="FglDate")
private FglDate dtref;
@Coluna(nome="gmgeraca.dtger", tipo="String")
private String dtger;
@Coluna(nome="gmgeraca.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmgeraca.programa", tipo="String")
private String programa;
@Coluna(nome="gmgeraca.obs", tipo="String")
private String obs;

public TabGmgeraca() {
initialize();
}

public void initialize() {
setFilial(null);
setTparquivo(null);
setDtref(null);
setDtger(null);
setArquivo(null);
setPrograma(null);
setObs(null);
}

public TabGmgeraca(int filial, String tparquivo, FglDate dtref, String dtger, String arquivo, String programa, String obs) {
this.filial = filial;
this.tparquivo = tparquivo;
this.dtref = dtref;
this.dtger = dtger;
this.arquivo = arquivo;
this.programa = programa;
this.obs = obs;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTparquivo() {
return tparquivo;
}

public void setTparquivo(String tparquivo) {
this.tparquivo = tparquivo;
}

public FglDate getDtref() {
return dtref;
}

public void setDtref(FglDate dtref) {
this.dtref = dtref;
}

public String getDtger() {
return dtger;
}

public void setDtger(String dtger) {
this.dtger = dtger;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getPrograma() {
return programa;
}

public void setPrograma(String programa) {
this.programa = programa;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

