package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmproadi {
@Coluna(nome="gmproadi.id_solcre", tipo="int")
private int idSolcre;
private boolean idSolcreNull;
@Coluna(nome="gmproadi.produto", tipo="String")
private String produto;
@Coluna(nome="gmproadi.qtdeprod", tipo="double")
private double qtdeprod;
private boolean qtdeprodNull;
@Coluna(nome="gmproadi.vlrprod", tipo="double")
private double vlrprod;
private boolean vlrprodNull;

public TabGmproadi() {
initialize();
}

public void initialize() {
setIdSolcre(null);
setProduto(null);
setQtdeprod(null);
setVlrprod(null);
}

public TabGmproadi(int idSolcre, String produto, double qtdeprod, double vlrprod) {
this.idSolcre = idSolcre;
this.produto = produto;
this.qtdeprod = qtdeprod;
this.vlrprod = vlrprod;
}

public int getIdSolcre() {
return idSolcre;
}

public boolean isIdSolcreNull() {
return idSolcreNull;
}

public void setIdSolcre(Integer idSolcre) {
if (idSolcre == null) {
idSolcreNull = true;
this.idSolcre = 0;
} else { 
idSolcreNull = false;
this.idSolcre = idSolcre;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeprod() {
return qtdeprod;
}

public boolean isQtdeprodNull() {
return qtdeprodNull;
}

public void setQtdeprod(int qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(long qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(Double qtdeprod) {
if (qtdeprod == null) {
qtdeprodNull = true;
this.qtdeprod = 0.;
} else { 
qtdeprodNull = false;
this.qtdeprod = FglDouble.round(qtdeprod, 2);
}
}

public double getVlrprod() {
return vlrprod;
}

public boolean isVlrprodNull() {
return vlrprodNull;
}

public void setVlrprod(int vlrprod) {
setVlrprod(new Double(vlrprod));
}

public void setVlrprod(long vlrprod) {
setVlrprod(new Double(vlrprod));
}

public void setVlrprod(Double vlrprod) {
if (vlrprod == null) {
vlrprodNull = true;
this.vlrprod = 0.;
} else { 
vlrprodNull = false;
this.vlrprod = FglDouble.round(vlrprod, 2);
}
}

}

