package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmprodut {
@Coluna(nome="gmprodut.basico", tipo="String")
private String basico;
@Coluna(nome="gmprodut.classe", tipo="String")
private String classe;
@Coluna(nome="gmprodut.descr", tipo="String")
private String descr;
@Coluna(nome="gmprodut.catalogo", tipo="String")
private String catalogo;
@Coluna(nome="gmprodut.multiplo", tipo="long")
private long multiplo;
private boolean multiploNull;
@Coluna(nome="gmprodut.ipi", tipo="double")
private double ipi;
private boolean ipiNull;
@Coluna(nome="gmprodut.desconto", tipo="String")
private String desconto;
@Coluna(nome="gmprodut.lotede", tipo="long")
private long lotede;
private boolean lotedeNull;
@Coluna(nome="gmprodut.loteate", tipo="long")
private long loteate;
private boolean loteateNull;
@Coluna(nome="gmprodut.codalt", tipo="String")
private String codalt;
@Coluna(nome="gmprodut.prpublico", tipo="double")
private double prpublico;
private boolean prpublicoNull;
@Coluna(nome="gmprodut.concspav", tipo="double")
private double concspav;
private boolean concspavNull;
@Coluna(nome="gmprodut.concsuav", tipo="double")
private double concsuav;
private boolean concsuavNull;
@Coluna(nome="gmprodut.concnoav", tipo="double")
private double concnoav;
private boolean concnoavNull;
@Coluna(nome="gmprodut.distspav", tipo="double")
private double distspav;
private boolean distspavNull;
@Coluna(nome="gmprodut.distsuav", tipo="double")
private double distsuav;
private boolean distsuavNull;
@Coluna(nome="gmprodut.distnoav", tipo="double")
private double distnoav;
private boolean distnoavNull;
@Coluna(nome="gmprodut.indlspub", tipo="String")
private String indlspub;
@Coluna(nome="gmprodut.indlsconc", tipo="String")
private String indlsconc;
@Coluna(nome="gmprodut.indlsdist", tipo="String")
private String indlsdist;
@Coluna(nome="gmprodut.prprazo", tipo="double")
private double prprazo;
private boolean prprazoNull;
@Coluna(nome="gmprodut.status", tipo="String")
private String status;
@Coluna(nome="gmprodut.clafisc", tipo="String")
private String clafisc;
@Coluna(nome="gmprodut.clafiscind", tipo="String")
private String clafiscind;

public TabGmprodut() {
initialize();
}

public void initialize() {
setBasico(null);
setClasse(null);
setDescr(null);
setCatalogo(null);
setMultiplo(null);
setIpi(null);
setDesconto(null);
setLotede(null);
setLoteate(null);
setCodalt(null);
setPrpublico(null);
setConcspav(null);
setConcsuav(null);
setConcnoav(null);
setDistspav(null);
setDistsuav(null);
setDistnoav(null);
setIndlspub(null);
setIndlsconc(null);
setIndlsdist(null);
setPrprazo(null);
setStatus(null);
setClafisc(null);
setClafiscind(null);
}

public TabGmprodut(String basico, String classe, String descr, String catalogo, long multiplo, double ipi, String desconto, long lotede, long loteate, String codalt, double prpublico, double concspav, double concsuav, double concnoav, double distspav, double distsuav, double distnoav, String indlspub, String indlsconc, String indlsdist, double prprazo, String status, String clafisc, String clafiscind) {
this.basico = basico;
this.classe = classe;
this.descr = descr;
this.catalogo = catalogo;
this.multiplo = multiplo;
this.ipi = ipi;
this.desconto = desconto;
this.lotede = lotede;
this.loteate = loteate;
this.codalt = codalt;
this.prpublico = prpublico;
this.concspav = concspav;
this.concsuav = concsuav;
this.concnoav = concnoav;
this.distspav = distspav;
this.distsuav = distsuav;
this.distnoav = distnoav;
this.indlspub = indlspub;
this.indlsconc = indlsconc;
this.indlsdist = indlsdist;
this.prprazo = prprazo;
this.status = status;
this.clafisc = clafisc;
this.clafiscind = clafiscind;
}

public String getBasico() {
return basico;
}

public void setBasico(String basico) {
this.basico = basico;
}

public String getClasse() {
return classe;
}

public void setClasse(String classe) {
this.classe = classe;
}

public String getDescr() {
return descr;
}

public void setDescr(String descr) {
this.descr = descr;
}

public String getCatalogo() {
return catalogo;
}

public void setCatalogo(String catalogo) {
this.catalogo = catalogo;
}

public long getMultiplo() {
return multiplo;
}

public boolean isMultiploNull() {
return multiploNull;
}

public void setMultiplo(int multiplo) {
setMultiplo(new Long(multiplo));
}

public void setMultiplo(Long multiplo) {
if (multiplo == null) {
multiploNull = true;
this.multiplo = 0l;
} else { 
multiploNull = false;
this.multiplo = multiplo;
}
}

public double getIpi() {
return ipi;
}

public boolean isIpiNull() {
return ipiNull;
}

public void setIpi(int ipi) {
setIpi(new Double(ipi));
}

public void setIpi(long ipi) {
setIpi(new Double(ipi));
}

public void setIpi(Double ipi) {
if (ipi == null) {
ipiNull = true;
this.ipi = 0.;
} else { 
ipiNull = false;
this.ipi = FglDouble.round(ipi, 1);
}
}

public String getDesconto() {
return desconto;
}

public void setDesconto(String desconto) {
this.desconto = desconto;
}

public long getLotede() {
return lotede;
}

public boolean isLotedeNull() {
return lotedeNull;
}

public void setLotede(int lotede) {
setLotede(new Long(lotede));
}

public void setLotede(Long lotede) {
if (lotede == null) {
lotedeNull = true;
this.lotede = 0l;
} else { 
lotedeNull = false;
this.lotede = lotede;
}
}

public long getLoteate() {
return loteate;
}

public boolean isLoteateNull() {
return loteateNull;
}

public void setLoteate(int loteate) {
setLoteate(new Long(loteate));
}

public void setLoteate(Long loteate) {
if (loteate == null) {
loteateNull = true;
this.loteate = 0l;
} else { 
loteateNull = false;
this.loteate = loteate;
}
}

public String getCodalt() {
return codalt;
}

public void setCodalt(String codalt) {
this.codalt = codalt;
}

public double getPrpublico() {
return prpublico;
}

public boolean isPrpublicoNull() {
return prpublicoNull;
}

public void setPrpublico(int prpublico) {
setPrpublico(new Double(prpublico));
}

public void setPrpublico(long prpublico) {
setPrpublico(new Double(prpublico));
}

public void setPrpublico(Double prpublico) {
if (prpublico == null) {
prpublicoNull = true;
this.prpublico = 0.;
} else { 
prpublicoNull = false;
this.prpublico = FglDouble.round(prpublico, 2);
}
}

public double getConcspav() {
return concspav;
}

public boolean isConcspavNull() {
return concspavNull;
}

public void setConcspav(int concspav) {
setConcspav(new Double(concspav));
}

public void setConcspav(long concspav) {
setConcspav(new Double(concspav));
}

public void setConcspav(Double concspav) {
if (concspav == null) {
concspavNull = true;
this.concspav = 0.;
} else { 
concspavNull = false;
this.concspav = FglDouble.round(concspav, 2);
}
}

public double getConcsuav() {
return concsuav;
}

public boolean isConcsuavNull() {
return concsuavNull;
}

public void setConcsuav(int concsuav) {
setConcsuav(new Double(concsuav));
}

public void setConcsuav(long concsuav) {
setConcsuav(new Double(concsuav));
}

public void setConcsuav(Double concsuav) {
if (concsuav == null) {
concsuavNull = true;
this.concsuav = 0.;
} else { 
concsuavNull = false;
this.concsuav = FglDouble.round(concsuav, 2);
}
}

public double getConcnoav() {
return concnoav;
}

public boolean isConcnoavNull() {
return concnoavNull;
}

public void setConcnoav(int concnoav) {
setConcnoav(new Double(concnoav));
}

public void setConcnoav(long concnoav) {
setConcnoav(new Double(concnoav));
}

public void setConcnoav(Double concnoav) {
if (concnoav == null) {
concnoavNull = true;
this.concnoav = 0.;
} else { 
concnoavNull = false;
this.concnoav = FglDouble.round(concnoav, 2);
}
}

public double getDistspav() {
return distspav;
}

public boolean isDistspavNull() {
return distspavNull;
}

public void setDistspav(int distspav) {
setDistspav(new Double(distspav));
}

public void setDistspav(long distspav) {
setDistspav(new Double(distspav));
}

public void setDistspav(Double distspav) {
if (distspav == null) {
distspavNull = true;
this.distspav = 0.;
} else { 
distspavNull = false;
this.distspav = FglDouble.round(distspav, 2);
}
}

public double getDistsuav() {
return distsuav;
}

public boolean isDistsuavNull() {
return distsuavNull;
}

public void setDistsuav(int distsuav) {
setDistsuav(new Double(distsuav));
}

public void setDistsuav(long distsuav) {
setDistsuav(new Double(distsuav));
}

public void setDistsuav(Double distsuav) {
if (distsuav == null) {
distsuavNull = true;
this.distsuav = 0.;
} else { 
distsuavNull = false;
this.distsuav = FglDouble.round(distsuav, 2);
}
}

public double getDistnoav() {
return distnoav;
}

public boolean isDistnoavNull() {
return distnoavNull;
}

public void setDistnoav(int distnoav) {
setDistnoav(new Double(distnoav));
}

public void setDistnoav(long distnoav) {
setDistnoav(new Double(distnoav));
}

public void setDistnoav(Double distnoav) {
if (distnoav == null) {
distnoavNull = true;
this.distnoav = 0.;
} else { 
distnoavNull = false;
this.distnoav = FglDouble.round(distnoav, 2);
}
}

public String getIndlspub() {
return indlspub;
}

public void setIndlspub(String indlspub) {
this.indlspub = indlspub;
}

public String getIndlsconc() {
return indlsconc;
}

public void setIndlsconc(String indlsconc) {
this.indlsconc = indlsconc;
}

public String getIndlsdist() {
return indlsdist;
}

public void setIndlsdist(String indlsdist) {
this.indlsdist = indlsdist;
}

public double getPrprazo() {
return prprazo;
}

public boolean isPrprazoNull() {
return prprazoNull;
}

public void setPrprazo(int prprazo) {
setPrprazo(new Double(prprazo));
}

public void setPrprazo(long prprazo) {
setPrprazo(new Double(prprazo));
}

public void setPrprazo(Double prprazo) {
if (prprazo == null) {
prprazoNull = true;
this.prprazo = 0.;
} else { 
prprazoNull = false;
this.prprazo = FglDouble.round(prprazo, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getClafisc() {
return clafisc;
}

public void setClafisc(String clafisc) {
this.clafisc = clafisc;
}

public String getClafiscind() {
return clafiscind;
}

public void setClafiscind(String clafiscind) {
this.clafiscind = clafiscind;
}

}

