package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmpvcxpd {
@Coluna(nome="gmpvcxpd.pedfabric", tipo="String")
private String pedfabric;
@Coluna(nome="gmpvcxpd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmpvcxpd.pedcompra", tipo="int")
private int pedcompra;
private boolean pedcompraNull;
@Coluna(nome="gmpvcxpd.modelo", tipo="String")
private String modelo;
@Coluna(nome="gmpvcxpd.tppedido", tipo="String")
private String tppedido;
@Coluna(nome="gmpvcxpd.ordprod", tipo="String")
private String ordprod;
@Coluna(nome="gmpvcxpd.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmpvcxpd.cabina", tipo="String")
private String cabina;
@Coluna(nome="gmpvcxpd.cambio", tipo="String")
private String cambio;
@Coluna(nome="gmpvcxpd.diferencial", tipo="String")
private String diferencial;
@Coluna(nome="gmpvcxpd.motor", tipo="String")
private String motor;
@Coluna(nome="gmpvcxpd.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="gmpvcxpd.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="gmpvcxpd.dtpedido", tipo="FglDate")
private FglDate dtpedido;
@Coluna(nome="gmpvcxpd.dtprov", tipo="FglDate")
private FglDate dtprov;
@Coluna(nome="gmpvcxpd.dtprog", tipo="FglDate")
private FglDate dtprog;
@Coluna(nome="gmpvcxpd.dtlib", tipo="FglDate")
private FglDate dtlib;
@Coluna(nome="gmpvcxpd.dtfat", tipo="FglDate")
private FglDate dtfat;
@Coluna(nome="gmpvcxpd.dtfun", tipo="FglDate")
private FglDate dtfun;
@Coluna(nome="gmpvcxpd.dtmont", tipo="FglDate")
private FglDate dtmont;
@Coluna(nome="gmpvcxpd.nronota", tipo="String")
private String nronota;
@Coluna(nome="gmpvcxpd.codchave", tipo="String")
private String codchave;
@Coluna(nome="gmpvcxpd.pripedido", tipo="String")
private String pripedido;
@Coluna(nome="gmpvcxpd.opcoes", tipo="String")
private String opcoes;
@Coluna(nome="gmpvcxpd.ativo", tipo="String")
private String ativo;
@Coluna(nome="gmpvcxpd.dtproc", tipo="FglDate")
private FglDate dtproc;

public TabGmpvcxpd() {
initialize();
}

public void initialize() {
setPedfabric(null);
setFilial(null);
setPedcompra(null);
setModelo(null);
setTppedido(null);
setOrdprod(null);
setChassis(null);
setCabina(null);
setCambio(null);
setDiferencial(null);
setMotor(null);
setCorexterna(null);
setCorinterna(null);
setDtpedido(null);
setDtprov(null);
setDtprog(null);
setDtlib(null);
setDtfat(null);
setDtfun(null);
setDtmont(null);
setNronota(null);
setCodchave(null);
setPripedido(null);
setOpcoes(null);
setAtivo(null);
setDtproc(null);
}

public TabGmpvcxpd(String pedfabric, int filial, int pedcompra, String modelo, String tppedido, String ordprod, String chassis, String cabina, String cambio, String diferencial, String motor, String corexterna, String corinterna, FglDate dtpedido, FglDate dtprov, FglDate dtprog, FglDate dtlib, FglDate dtfat, FglDate dtfun, FglDate dtmont, String nronota, String codchave, String pripedido, String opcoes, String ativo, FglDate dtproc) {
this.pedfabric = pedfabric;
this.filial = filial;
this.pedcompra = pedcompra;
this.modelo = modelo;
this.tppedido = tppedido;
this.ordprod = ordprod;
this.chassis = chassis;
this.cabina = cabina;
this.cambio = cambio;
this.diferencial = diferencial;
this.motor = motor;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.dtpedido = dtpedido;
this.dtprov = dtprov;
this.dtprog = dtprog;
this.dtlib = dtlib;
this.dtfat = dtfat;
this.dtfun = dtfun;
this.dtmont = dtmont;
this.nronota = nronota;
this.codchave = codchave;
this.pripedido = pripedido;
this.opcoes = opcoes;
this.ativo = ativo;
this.dtproc = dtproc;
}

public String getPedfabric() {
return pedfabric;
}

public void setPedfabric(String pedfabric) {
this.pedfabric = pedfabric;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedcompra() {
return pedcompra;
}

public boolean isPedcompraNull() {
return pedcompraNull;
}

public void setPedcompra(Integer pedcompra) {
if (pedcompra == null) {
pedcompraNull = true;
this.pedcompra = 0;
} else { 
pedcompraNull = false;
this.pedcompra = pedcompra;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTppedido() {
return tppedido;
}

public void setTppedido(String tppedido) {
this.tppedido = tppedido;
}

public String getOrdprod() {
return ordprod;
}

public void setOrdprod(String ordprod) {
this.ordprod = ordprod;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getCabina() {
return cabina;
}

public void setCabina(String cabina) {
this.cabina = cabina;
}

public String getCambio() {
return cambio;
}

public void setCambio(String cambio) {
this.cambio = cambio;
}

public String getDiferencial() {
return diferencial;
}

public void setDiferencial(String diferencial) {
this.diferencial = diferencial;
}

public String getMotor() {
return motor;
}

public void setMotor(String motor) {
this.motor = motor;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public FglDate getDtpedido() {
return dtpedido;
}

public void setDtpedido(FglDate dtpedido) {
this.dtpedido = dtpedido;
}

public FglDate getDtprov() {
return dtprov;
}

public void setDtprov(FglDate dtprov) {
this.dtprov = dtprov;
}

public FglDate getDtprog() {
return dtprog;
}

public void setDtprog(FglDate dtprog) {
this.dtprog = dtprog;
}

public FglDate getDtlib() {
return dtlib;
}

public void setDtlib(FglDate dtlib) {
this.dtlib = dtlib;
}

public FglDate getDtfat() {
return dtfat;
}

public void setDtfat(FglDate dtfat) {
this.dtfat = dtfat;
}

public FglDate getDtfun() {
return dtfun;
}

public void setDtfun(FglDate dtfun) {
this.dtfun = dtfun;
}

public FglDate getDtmont() {
return dtmont;
}

public void setDtmont(FglDate dtmont) {
this.dtmont = dtmont;
}

public String getNronota() {
return nronota;
}

public void setNronota(String nronota) {
this.nronota = nronota;
}

public String getCodchave() {
return codchave;
}

public void setCodchave(String codchave) {
this.codchave = codchave;
}

public String getPripedido() {
return pripedido;
}

public void setPripedido(String pripedido) {
this.pripedido = pripedido;
}

public String getOpcoes() {
return opcoes;
}

public void setOpcoes(String opcoes) {
this.opcoes = opcoes;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public FglDate getDtproc() {
return dtproc;
}

public void setDtproc(FglDate dtproc) {
this.dtproc = dtproc;
}

}

