package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsabatm {
@Coluna(nome="gmsabatm.publicacao", tipo="int")
private int publicacao;
private boolean publicacaoNull;
@Coluna(nome="gmsabatm.tppublicacao", tipo="String")
private String tppublicacao;
@Coluna(nome="gmsabatm.subsecao", tipo="int")
private int subsecao;
private boolean subsecaoNull;
@Coluna(nome="gmsabatm.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="gmsabatm.tempo", tipo="double")
private double tempo;
private boolean tempoNull;
@Coluna(nome="gmsabatm.dtinicio", tipo="FglDateTimeYS")
private FglDateTimeYS dtinicio;
@Coluna(nome="gmsabatm.dessubqualificacao", tipo="String")
private String dessubqualificacao;
@Coluna(nome="gmsabatm.pintura", tipo="String")
private String pintura;
@Coluna(nome="gmsabatm.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsabatm() {
initialize();
}

public void initialize() {
setPublicacao(null);
setTppublicacao(null);
setSubsecao(null);
setIdServico(null);
setTempo(null);
setDtinicio(null);
setDessubqualificacao(null);
setPintura(null);
setDtmodifica(null);
}

public TabGmsabatm(int publicacao, String tppublicacao, int subsecao, int idServico, double tempo, FglDateTimeYS dtinicio, String dessubqualificacao, String pintura, FglDateTimeYS dtmodifica) {
this.publicacao = publicacao;
this.tppublicacao = tppublicacao;
this.subsecao = subsecao;
this.idServico = idServico;
this.tempo = tempo;
this.dtinicio = dtinicio;
this.dessubqualificacao = dessubqualificacao;
this.pintura = pintura;
this.dtmodifica = dtmodifica;
}

public int getPublicacao() {
return publicacao;
}

public boolean isPublicacaoNull() {
return publicacaoNull;
}

public void setPublicacao(Integer publicacao) {
if (publicacao == null) {
publicacaoNull = true;
this.publicacao = 0;
} else { 
publicacaoNull = false;
this.publicacao = publicacao;
}
}

public String getTppublicacao() {
return tppublicacao;
}

public void setTppublicacao(String tppublicacao) {
this.tppublicacao = tppublicacao;
}

public int getSubsecao() {
return subsecao;
}

public boolean isSubsecaoNull() {
return subsecaoNull;
}

public void setSubsecao(Integer subsecao) {
if (subsecao == null) {
subsecaoNull = true;
this.subsecao = 0;
} else { 
subsecaoNull = false;
this.subsecao = subsecao;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getTempo() {
return tempo;
}

public boolean isTempoNull() {
return tempoNull;
}

public void setTempo(int tempo) {
setTempo(new Double(tempo));
}

public void setTempo(long tempo) {
setTempo(new Double(tempo));
}

public void setTempo(Double tempo) {
if (tempo == null) {
tempoNull = true;
this.tempo = 0.;
} else { 
tempoNull = false;
this.tempo = FglDouble.round(tempo, 2);
}
}

public FglDateTimeYS getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDateTimeYS dtinicio) {
this.dtinicio = dtinicio;
}

public String getDessubqualificacao() {
return dessubqualificacao;
}

public void setDessubqualificacao(String dessubqualificacao) {
this.dessubqualificacao = dessubqualificacao;
}

public String getPintura() {
return pintura;
}

public void setPintura(String pintura) {
this.pintura = pintura;
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

