package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsamode {
@Coluna(nome="gmsamode.gsa", tipo="String")
private String gsa;
@Coluna(nome="gmsamode.modelogsa", tipo="int")
private int modelogsa;
private boolean modelogsaNull;
@Coluna(nome="gmsamode.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="gmsamode.descricao", tipo="String")
private String descricao;
@Coluna(nome="gmsamode.plataforma", tipo="int")
private int plataforma;
private boolean plataformaNull;
@Coluna(nome="gmsamode.letravin", tipo="String")
private String letravin;
@Coluna(nome="gmsamode.tpmodelo", tipo="String")
private String tpmodelo;
@Coluna(nome="gmsamode.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsamode() {
initialize();
}

public void initialize() {
setGsa(null);
setModelogsa(null);
setAnomodelo(null);
setDescricao(null);
setPlataforma(null);
setLetravin(null);
setTpmodelo(null);
setDtmodifica(null);
}

public TabGmsamode(String gsa, int modelogsa, int anomodelo, String descricao, int plataforma, String letravin, String tpmodelo, FglDateTimeYS dtmodifica) {
this.gsa = gsa;
this.modelogsa = modelogsa;
this.anomodelo = anomodelo;
this.descricao = descricao;
this.plataforma = plataforma;
this.letravin = letravin;
this.tpmodelo = tpmodelo;
this.dtmodifica = dtmodifica;
}

public String getGsa() {
return gsa;
}

public void setGsa(String gsa) {
this.gsa = gsa;
}

public int getModelogsa() {
return modelogsa;
}

public boolean isModelogsaNull() {
return modelogsaNull;
}

public void setModelogsa(Integer modelogsa) {
if (modelogsa == null) {
modelogsaNull = true;
this.modelogsa = 0;
} else { 
modelogsaNull = false;
this.modelogsa = modelogsa;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getPlataforma() {
return plataforma;
}

public boolean isPlataformaNull() {
return plataformaNull;
}

public void setPlataforma(Integer plataforma) {
if (plataforma == null) {
plataformaNull = true;
this.plataforma = 0;
} else { 
plataformaNull = false;
this.plataforma = plataforma;
}
}

public String getLetravin() {
return letravin;
}

public void setLetravin(String letravin) {
this.letravin = letravin;
}

public String getTpmodelo() {
return tpmodelo;
}

public void setTpmodelo(String tpmodelo) {
this.tpmodelo = tpmodelo;
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

