package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsasead {
@Coluna(nome="gmsasead.publicacao", tipo="int")
private int publicacao;
private boolean publicacaoNull;
@Coluna(nome="gmsasead.tppublicacao", tipo="String")
private String tppublicacao;
@Coluna(nome="gmsasead.subsecao", tipo="int")
private int subsecao;
private boolean subsecaoNull;
@Coluna(nome="gmsasead.servicoadicional", tipo="String")
private String servicoadicional;
@Coluna(nome="gmsasead.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="gmsasead.descservicoadicional", tipo="String")
private String descservicoadicional;
@Coluna(nome="gmsasead.tempoadicional", tipo="double")
private double tempoadicional;
private boolean tempoadicionalNull;
@Coluna(nome="gmsasead.pintura", tipo="String")
private String pintura;
@Coluna(nome="gmsasead.dtinicio", tipo="FglDateTimeYS")
private FglDateTimeYS dtinicio;
@Coluna(nome="gmsasead.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsasead() {
initialize();
}

public void initialize() {
setPublicacao(null);
setTppublicacao(null);
setSubsecao(null);
setServicoadicional(null);
setIdServico(null);
setDescservicoadicional(null);
setTempoadicional(null);
setPintura(null);
setDtinicio(null);
setDtmodifica(null);
}

public TabGmsasead(int publicacao, String tppublicacao, int subsecao, String servicoadicional, int idServico, String descservicoadicional, double tempoadicional, String pintura, FglDateTimeYS dtinicio, FglDateTimeYS dtmodifica) {
this.publicacao = publicacao;
this.tppublicacao = tppublicacao;
this.subsecao = subsecao;
this.servicoadicional = servicoadicional;
this.idServico = idServico;
this.descservicoadicional = descservicoadicional;
this.tempoadicional = tempoadicional;
this.pintura = pintura;
this.dtinicio = dtinicio;
this.dtmodifica = dtmodifica;
}

public int getPublicacao() {
return publicacao;
}

public boolean isPublicacaoNull() {
return publicacaoNull;
}

public void setPublicacao(Integer publicacao) {
if (publicacao == null) {
publicacaoNull = true;
this.publicacao = 0;
} else { 
publicacaoNull = false;
this.publicacao = publicacao;
}
}

public String getTppublicacao() {
return tppublicacao;
}

public void setTppublicacao(String tppublicacao) {
this.tppublicacao = tppublicacao;
}

public int getSubsecao() {
return subsecao;
}

public boolean isSubsecaoNull() {
return subsecaoNull;
}

public void setSubsecao(Integer subsecao) {
if (subsecao == null) {
subsecaoNull = true;
this.subsecao = 0;
} else { 
subsecaoNull = false;
this.subsecao = subsecao;
}
}

public String getServicoadicional() {
return servicoadicional;
}

public void setServicoadicional(String servicoadicional) {
this.servicoadicional = servicoadicional;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getDescservicoadicional() {
return descservicoadicional;
}

public void setDescservicoadicional(String descservicoadicional) {
this.descservicoadicional = descservicoadicional;
}

public double getTempoadicional() {
return tempoadicional;
}

public boolean isTempoadicionalNull() {
return tempoadicionalNull;
}

public void setTempoadicional(int tempoadicional) {
setTempoadicional(new Double(tempoadicional));
}

public void setTempoadicional(long tempoadicional) {
setTempoadicional(new Double(tempoadicional));
}

public void setTempoadicional(Double tempoadicional) {
if (tempoadicional == null) {
tempoadicionalNull = true;
this.tempoadicional = 0.;
} else { 
tempoadicionalNull = false;
this.tempoadicional = FglDouble.round(tempoadicional, 2);
}
}

public String getPintura() {
return pintura;
}

public void setPintura(String pintura) {
this.pintura = pintura;
}

public FglDateTimeYS getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDateTimeYS dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

