package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsaseca {
@Coluna(nome="gmsaseca.secao", tipo="int")
private int secao;
private boolean secaoNull;
@Coluna(nome="gmsaseca.descsecao", tipo="String")
private String descsecao;
@Coluna(nome="gmsaseca.publicacao", tipo="int")
private int publicacao;
private boolean publicacaoNull;
@Coluna(nome="gmsaseca.tppublicacao", tipo="String")
private String tppublicacao;
@Coluna(nome="gmsaseca.seqsecao", tipo="int")
private int seqsecao;
private boolean seqsecaoNull;
@Coluna(nome="gmsaseca.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsaseca() {
initialize();
}

public void initialize() {
setSecao(null);
setDescsecao(null);
setPublicacao(null);
setTppublicacao(null);
setSeqsecao(null);
setDtmodifica(null);
}

public TabGmsaseca(int secao, String descsecao, int publicacao, String tppublicacao, int seqsecao, FglDateTimeYS dtmodifica) {
this.secao = secao;
this.descsecao = descsecao;
this.publicacao = publicacao;
this.tppublicacao = tppublicacao;
this.seqsecao = seqsecao;
this.dtmodifica = dtmodifica;
}

public int getSecao() {
return secao;
}

public boolean isSecaoNull() {
return secaoNull;
}

public void setSecao(Integer secao) {
if (secao == null) {
secaoNull = true;
this.secao = 0;
} else { 
secaoNull = false;
this.secao = secao;
}
}

public String getDescsecao() {
return descsecao;
}

public void setDescsecao(String descsecao) {
this.descsecao = descsecao;
}

public int getPublicacao() {
return publicacao;
}

public boolean isPublicacaoNull() {
return publicacaoNull;
}

public void setPublicacao(Integer publicacao) {
if (publicacao == null) {
publicacaoNull = true;
this.publicacao = 0;
} else { 
publicacaoNull = false;
this.publicacao = publicacao;
}
}

public String getTppublicacao() {
return tppublicacao;
}

public void setTppublicacao(String tppublicacao) {
this.tppublicacao = tppublicacao;
}

public int getSeqsecao() {
return seqsecao;
}

public boolean isSeqsecaoNull() {
return seqsecaoNull;
}

public void setSeqsecao(Integer seqsecao) {
if (seqsecao == null) {
seqsecaoNull = true;
this.seqsecao = 0;
} else { 
seqsecaoNull = false;
this.seqsecao = seqsecao;
}
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

