package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmsolret {
@Coluna(nome="gmsolret.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="gmsolret.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="gmsolret.fonte", tipo="String")
private String fonte;
@Coluna(nome="gmsolret.subtipo", tipo="String")
private String subtipo;
@Coluna(nome="gmsolret.informacao", tipo="String")
private String informacao;
@Coluna(nome="gmsolret.ajustada", tipo="String")
private String ajustada;
@Coluna(nome="gmsolret.vlrpago", tipo="double")
private double vlrpago;
private boolean vlrpagoNull;
@Coluna(nome="gmsolret.vlraprovado", tipo="double")
private double vlraprovado;
private boolean vlraprovadoNull;
@Coluna(nome="gmsolret.vlrservicoaprov", tipo="double")
private double vlrservicoaprov;
private boolean vlrservicoaprovNull;
@Coluna(nome="gmsolret.vlrpecasaprov", tipo="double")
private double vlrpecasaprov;
private boolean vlrpecasaprovNull;
@Coluna(nome="gmsolret.vlroutrosaprov", tipo="double")
private double vlroutrosaprov;
private boolean vlroutrosaprovNull;
@Coluna(nome="gmsolret.status", tipo="String")
private String status;
@Coluna(nome="gmsolret.retornarpecas", tipo="String")
private String retornarpecas;
@Coluna(nome="gmsolret.creditada", tipo="String")
private String creditada;
@Coluna(nome="gmsolret.debitada", tipo="String")
private String debitada;

public TabGmsolret() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setFonte(null);
setSubtipo(null);
setInformacao(null);
setAjustada(null);
setVlrpago(null);
setVlraprovado(null);
setVlrservicoaprov(null);
setVlrpecasaprov(null);
setVlroutrosaprov(null);
setStatus(null);
setRetornarpecas(null);
setCreditada(null);
setDebitada(null);
}

public TabGmsolret(int idOscapa, int nroitem, String fonte, String subtipo, String informacao, String ajustada, double vlrpago, double vlraprovado, double vlrservicoaprov, double vlrpecasaprov, double vlroutrosaprov, String status, String retornarpecas, String creditada, String debitada) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.fonte = fonte;
this.subtipo = subtipo;
this.informacao = informacao;
this.ajustada = ajustada;
this.vlrpago = vlrpago;
this.vlraprovado = vlraprovado;
this.vlrservicoaprov = vlrservicoaprov;
this.vlrpecasaprov = vlrpecasaprov;
this.vlroutrosaprov = vlroutrosaprov;
this.status = status;
this.retornarpecas = retornarpecas;
this.creditada = creditada;
this.debitada = debitada;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getFonte() {
return fonte;
}

public void setFonte(String fonte) {
this.fonte = fonte;
}

public String getSubtipo() {
return subtipo;
}

public void setSubtipo(String subtipo) {
this.subtipo = subtipo;
}

public String getInformacao() {
return informacao;
}

public void setInformacao(String informacao) {
this.informacao = informacao;
}

public String getAjustada() {
return ajustada;
}

public void setAjustada(String ajustada) {
this.ajustada = ajustada;
}

public double getVlrpago() {
return vlrpago;
}

public boolean isVlrpagoNull() {
return vlrpagoNull;
}

public void setVlrpago(int vlrpago) {
setVlrpago(new Double(vlrpago));
}

public void setVlrpago(long vlrpago) {
setVlrpago(new Double(vlrpago));
}

public void setVlrpago(Double vlrpago) {
if (vlrpago == null) {
vlrpagoNull = true;
this.vlrpago = 0.;
} else { 
vlrpagoNull = false;
this.vlrpago = FglDouble.round(vlrpago, 2);
}
}

public double getVlraprovado() {
return vlraprovado;
}

public boolean isVlraprovadoNull() {
return vlraprovadoNull;
}

public void setVlraprovado(int vlraprovado) {
setVlraprovado(new Double(vlraprovado));
}

public void setVlraprovado(long vlraprovado) {
setVlraprovado(new Double(vlraprovado));
}

public void setVlraprovado(Double vlraprovado) {
if (vlraprovado == null) {
vlraprovadoNull = true;
this.vlraprovado = 0.;
} else { 
vlraprovadoNull = false;
this.vlraprovado = FglDouble.round(vlraprovado, 2);
}
}

public double getVlrservicoaprov() {
return vlrservicoaprov;
}

public boolean isVlrservicoaprovNull() {
return vlrservicoaprovNull;
}

public void setVlrservicoaprov(int vlrservicoaprov) {
setVlrservicoaprov(new Double(vlrservicoaprov));
}

public void setVlrservicoaprov(long vlrservicoaprov) {
setVlrservicoaprov(new Double(vlrservicoaprov));
}

public void setVlrservicoaprov(Double vlrservicoaprov) {
if (vlrservicoaprov == null) {
vlrservicoaprovNull = true;
this.vlrservicoaprov = 0.;
} else { 
vlrservicoaprovNull = false;
this.vlrservicoaprov = FglDouble.round(vlrservicoaprov, 2);
}
}

public double getVlrpecasaprov() {
return vlrpecasaprov;
}

public boolean isVlrpecasaprovNull() {
return vlrpecasaprovNull;
}

public void setVlrpecasaprov(int vlrpecasaprov) {
setVlrpecasaprov(new Double(vlrpecasaprov));
}

public void setVlrpecasaprov(long vlrpecasaprov) {
setVlrpecasaprov(new Double(vlrpecasaprov));
}

public void setVlrpecasaprov(Double vlrpecasaprov) {
if (vlrpecasaprov == null) {
vlrpecasaprovNull = true;
this.vlrpecasaprov = 0.;
} else { 
vlrpecasaprovNull = false;
this.vlrpecasaprov = FglDouble.round(vlrpecasaprov, 2);
}
}

public double getVlroutrosaprov() {
return vlroutrosaprov;
}

public boolean isVlroutrosaprovNull() {
return vlroutrosaprovNull;
}

public void setVlroutrosaprov(int vlroutrosaprov) {
setVlroutrosaprov(new Double(vlroutrosaprov));
}

public void setVlroutrosaprov(long vlroutrosaprov) {
setVlroutrosaprov(new Double(vlroutrosaprov));
}

public void setVlroutrosaprov(Double vlroutrosaprov) {
if (vlroutrosaprov == null) {
vlroutrosaprovNull = true;
this.vlroutrosaprov = 0.;
} else { 
vlroutrosaprovNull = false;
this.vlroutrosaprov = FglDouble.round(vlroutrosaprov, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getRetornarpecas() {
return retornarpecas;
}

public void setRetornarpecas(String retornarpecas) {
this.retornarpecas = retornarpecas;
}

public String getCreditada() {
return creditada;
}

public void setCreditada(String creditada) {
this.creditada = creditada;
}

public String getDebitada() {
return debitada;
}

public void setDebitada(String debitada) {
this.debitada = debitada;
}

}

