package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGncomesf {
@Coluna(nome="gncomesf.complexidade", tipo="int")
private int complexidade;
private boolean complexidadeNull;
@Coluna(nome="gncomesf.tipo", tipo="String")
private String tipo;
@Coluna(nome="gncomesf.parm", tipo="double")
private double parm;
private boolean parmNull;

public TabGncomesf() {
initialize();
}

public void initialize() {
setComplexidade(null);
setTipo(null);
setParm(null);
}

public TabGncomesf(int complexidade, String tipo, double parm) {
this.complexidade = complexidade;
this.tipo = tipo;
this.parm = parm;
}

public int getComplexidade() {
return complexidade;
}

public boolean isComplexidadeNull() {
return complexidadeNull;
}

public void setComplexidade(Integer complexidade) {
if (complexidade == null) {
complexidadeNull = true;
this.complexidade = 0;
} else { 
complexidadeNull = false;
this.complexidade = complexidade;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public double getParm() {
return parm;
}

public boolean isParmNull() {
return parmNull;
}

public void setParm(int parm) {
setParm(new Double(parm));
}

public void setParm(long parm) {
setParm(new Double(parm));
}

public void setParm(Double parm) {
if (parm == null) {
parmNull = true;
this.parm = 0.;
} else { 
parmNull = false;
this.parm = FglDouble.round(parm, 2);
}
}

}

