package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGxtables {
@Coluna(nome="gxtables.nometabela", tipo="String")
private String nometabela;
@Coluna(nome="gxtables.atrigx", tipo="String")
private String atrigx;
@Coluna(nome="gxtables.atrisisdia", tipo="String")
private String atrisisdia;
@Coluna(nome="gxtables.tamanho", tipo="int")
private int tamanho;
private boolean tamanhoNull;
@Coluna(nome="gxtables.tipo", tipo="String")
private String tipo;
@Coluna(nome="gxtables.picture", tipo="String")
private String picture;

public TabGxtables() {
initialize();
}

public void initialize() {
setNometabela(null);
setAtrigx(null);
setAtrisisdia(null);
setTamanho(null);
setTipo(null);
setPicture(null);
}

public TabGxtables(String nometabela, String atrigx, String atrisisdia, int tamanho, String tipo, String picture) {
this.nometabela = nometabela;
this.atrigx = atrigx;
this.atrisisdia = atrisisdia;
this.tamanho = tamanho;
this.tipo = tipo;
this.picture = picture;
}

public String getNometabela() {
return nometabela;
}

public void setNometabela(String nometabela) {
this.nometabela = nometabela;
}

public String getAtrigx() {
return atrigx;
}

public void setAtrigx(String atrigx) {
this.atrigx = atrigx;
}

public String getAtrisisdia() {
return atrisisdia;
}

public void setAtrisisdia(String atrisisdia) {
this.atrisisdia = atrisisdia;
}

public int getTamanho() {
return tamanho;
}

public boolean isTamanhoNull() {
return tamanhoNull;
}

public void setTamanho(Integer tamanho) {
if (tamanho == null) {
tamanhoNull = true;
this.tamanho = 0;
} else { 
tamanhoNull = false;
this.tamanho = tamanho;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getPicture() {
return picture;
}

public void setPicture(String picture) {
this.picture = picture;
}

}

