package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabHyuPartsPriceList {
@Coluna(nome="hyu_parts_price_list.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="hyu_parts_price_list.document_id", tipo="String")
private String documentId;
@Coluna(nome="hyu_parts_price_list.document_datetime", tipo="FglDate")
private FglDate documentDatetime;
@Coluna(nome="hyu_parts_price_list.party_id", tipo="String")
private String partyId;

public TabHyuPartsPriceList() {
initialize();
}

public void initialize() {
setIdEvento(null);
setDocumentId(null);
setDocumentDatetime(null);
setPartyId(null);
}

public TabHyuPartsPriceList(int idEvento, String documentId, FglDate documentDatetime, String partyId) {
this.idEvento = idEvento;
this.documentId = documentId;
this.documentDatetime = documentDatetime;
this.partyId = partyId;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public String getDocumentId() {
return documentId;
}

public void setDocumentId(String documentId) {
this.documentId = documentId;
}

public FglDate getDocumentDatetime() {
return documentDatetime;
}

public void setDocumentDatetime(FglDate documentDatetime) {
this.documentDatetime = documentDatetime;
}

public String getPartyId() {
return partyId;
}

public void setPartyId(String partyId) {
this.partyId = partyId;
}

}

