package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIdadosProfissionais {
@Coluna(nome="idados_profissionais.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="idados_profissionais.occupation", tipo="String")
private String occupation;
@Coluna(nome="idados_profissionais.profession", tipo="String")
private String profession;
@Coluna(nome="idados_profissionais.companyname", tipo="String")
private String companyname;
@Coluna(nome="idados_profissionais.braziliancnpj", tipo="String")
private String braziliancnpj;
@Coluna(nome="idados_profissionais.income", tipo="double")
private double income;
private boolean incomeNull;
@Coluna(nome="idados_profissionais.otherincomes", tipo="double")
private double otherincomes;
private boolean otherincomesNull;

public TabIdadosProfissionais() {
initialize();
}

public void initialize() {
setIdTarefa(null);
setOccupation(null);
setProfession(null);
setCompanyname(null);
setBraziliancnpj(null);
setIncome(null);
setOtherincomes(null);
}

public TabIdadosProfissionais(int idTarefa, String occupation, String profession, String companyname, String braziliancnpj, double income, double otherincomes) {
this.idTarefa = idTarefa;
this.occupation = occupation;
this.profession = profession;
this.companyname = companyname;
this.braziliancnpj = braziliancnpj;
this.income = income;
this.otherincomes = otherincomes;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public String getOccupation() {
return occupation;
}

public void setOccupation(String occupation) {
this.occupation = occupation;
}

public String getProfession() {
return profession;
}

public void setProfession(String profession) {
this.profession = profession;
}

public String getCompanyname() {
return companyname;
}

public void setCompanyname(String companyname) {
this.companyname = companyname;
}

public String getBraziliancnpj() {
return braziliancnpj;
}

public void setBraziliancnpj(String braziliancnpj) {
this.braziliancnpj = braziliancnpj;
}

public double getIncome() {
return income;
}

public boolean isIncomeNull() {
return incomeNull;
}

public void setIncome(int income) {
setIncome(new Double(income));
}

public void setIncome(long income) {
setIncome(new Double(income));
}

public void setIncome(Double income) {
if (income == null) {
incomeNull = true;
this.income = 0.;
} else { 
incomeNull = false;
this.income = FglDouble.round(income, 2);
}
}

public double getOtherincomes() {
return otherincomes;
}

public boolean isOtherincomesNull() {
return otherincomesNull;
}

public void setOtherincomes(int otherincomes) {
setOtherincomes(new Double(otherincomes));
}

public void setOtherincomes(long otherincomes) {
setOtherincomes(new Double(otherincomes));
}

public void setOtherincomes(Double otherincomes) {
if (otherincomes == null) {
otherincomesNull = true;
this.otherincomes = 0.;
} else { 
otherincomesNull = false;
this.otherincomes = FglDouble.round(otherincomes, 2);
}
}

}

