package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabIdcPreOs {
@Coluna(nome="idc_pre_os.cd_os", tipo="int")
private int cdOs;
private boolean cdOsNull;
@Coluna(nome="idc_pre_os.cd_usuario", tipo="int")
private int cdUsuario;
private boolean cdUsuarioNull;
@Coluna(nome="idc_pre_os.nr_maq", tipo="int")
private int nrMaq;
private boolean nrMaqNull;
@Coluna(nome="idc_pre_os.ds_chassi", tipo="String")
private String dsChassi;
@Coluna(nome="idc_pre_os.fl_veiculo_novo", tipo="int")
private int flVeiculoNovo;
private boolean flVeiculoNovoNull;
@Coluna(nome="idc_pre_os.dt_abertura", tipo="FglDate")
private FglDate dtAbertura;
@Coluna(nome="idc_pre_os.ds_prisma", tipo="String")
private String dsPrisma;
@Coluna(nome="idc_pre_os.nr_km_rodada", tipo="int")
private int nrKmRodada;
private boolean nrKmRodadaNull;
@Coluna(nome="idc_pre_os.nr_nivel_comb", tipo="int")
private int nrNivelComb;
private boolean nrNivelCombNull;
@Coluna(nome="idc_pre_os.cd_concessionaria", tipo="String")
private String cdConcessionaria;
@Coluna(nome="idc_pre_os.ds_obs_marca_1", tipo="String")
private String dsObsMarca1;
@Coluna(nome="idc_pre_os.ds_obs_marca_2", tipo="String")
private String dsObsMarca2;
@Coluna(nome="idc_pre_os.ds_obs_marca_3", tipo="String")
private String dsObsMarca3;
@Coluna(nome="idc_pre_os.ds_obs_marca_4", tipo="String")
private String dsObsMarca4;
@Coluna(nome="idc_pre_os.ds_obs_marca_5", tipo="String")
private String dsObsMarca5;
@Coluna(nome="idc_pre_os.hr_abertura", tipo="int")
private int hrAbertura;
private boolean hrAberturaNull;
@Coluna(nome="idc_pre_os.nr_prisma", tipo="int")
private int nrPrisma;
private boolean nrPrismaNull;
@Coluna(nome="idc_pre_os.ds_obs", tipo="String")
private String dsObs;
@Coluna(nome="idc_pre_os.dt_prev_ent", tipo="FglDate")
private FglDate dtPrevEnt;
@Coluna(nome="idc_pre_os.hr_prev_ent", tipo="int")
private int hrPrevEnt;
private boolean hrPrevEntNull;
@Coluna(nome="idc_pre_os.fl_imp_espelho", tipo="int")
private int flImpEspelho;
private boolean flImpEspelhoNull;
@Coluna(nome="idc_pre_os.ds_fila_imp", tipo="String")
private String dsFilaImp;
@Coluna(nome="idc_pre_os.ds_fila_imp_esp", tipo="String")
private String dsFilaImpEsp;

public TabIdcPreOs() {
initialize();
}

public void initialize() {
setCdOs(null);
setCdUsuario(null);
setNrMaq(null);
setDsChassi(null);
setFlVeiculoNovo(null);
setDtAbertura(null);
setDsPrisma(null);
setNrKmRodada(null);
setNrNivelComb(null);
setCdConcessionaria(null);
setDsObsMarca1(null);
setDsObsMarca2(null);
setDsObsMarca3(null);
setDsObsMarca4(null);
setDsObsMarca5(null);
setHrAbertura(null);
setNrPrisma(null);
setDsObs(null);
setDtPrevEnt(null);
setHrPrevEnt(null);
setFlImpEspelho(null);
setDsFilaImp(null);
setDsFilaImpEsp(null);
}

public TabIdcPreOs(int cdOs, int cdUsuario, int nrMaq, String dsChassi, int flVeiculoNovo, FglDate dtAbertura, String dsPrisma, int nrKmRodada, int nrNivelComb, String cdConcessionaria, String dsObsMarca1, String dsObsMarca2, String dsObsMarca3, String dsObsMarca4, String dsObsMarca5, int hrAbertura, int nrPrisma, String dsObs, FglDate dtPrevEnt, int hrPrevEnt, int flImpEspelho, String dsFilaImp, String dsFilaImpEsp) {
this.cdOs = cdOs;
this.cdUsuario = cdUsuario;
this.nrMaq = nrMaq;
this.dsChassi = dsChassi;
this.flVeiculoNovo = flVeiculoNovo;
this.dtAbertura = dtAbertura;
this.dsPrisma = dsPrisma;
this.nrKmRodada = nrKmRodada;
this.nrNivelComb = nrNivelComb;
this.cdConcessionaria = cdConcessionaria;
this.dsObsMarca1 = dsObsMarca1;
this.dsObsMarca2 = dsObsMarca2;
this.dsObsMarca3 = dsObsMarca3;
this.dsObsMarca4 = dsObsMarca4;
this.dsObsMarca5 = dsObsMarca5;
this.hrAbertura = hrAbertura;
this.nrPrisma = nrPrisma;
this.dsObs = dsObs;
this.dtPrevEnt = dtPrevEnt;
this.hrPrevEnt = hrPrevEnt;
this.flImpEspelho = flImpEspelho;
this.dsFilaImp = dsFilaImp;
this.dsFilaImpEsp = dsFilaImpEsp;
}

public int getCdOs() {
return cdOs;
}

public boolean isCdOsNull() {
return cdOsNull;
}

public void setCdOs(Integer cdOs) {
if (cdOs == null) {
cdOsNull = true;
this.cdOs = 0;
} else { 
cdOsNull = false;
this.cdOs = cdOs;
}
}

public int getCdUsuario() {
return cdUsuario;
}

public boolean isCdUsuarioNull() {
return cdUsuarioNull;
}

public void setCdUsuario(Integer cdUsuario) {
if (cdUsuario == null) {
cdUsuarioNull = true;
this.cdUsuario = 0;
} else { 
cdUsuarioNull = false;
this.cdUsuario = cdUsuario;
}
}

public int getNrMaq() {
return nrMaq;
}

public boolean isNrMaqNull() {
return nrMaqNull;
}

public void setNrMaq(Integer nrMaq) {
if (nrMaq == null) {
nrMaqNull = true;
this.nrMaq = 0;
} else { 
nrMaqNull = false;
this.nrMaq = nrMaq;
}
}

public String getDsChassi() {
return dsChassi;
}

public void setDsChassi(String dsChassi) {
this.dsChassi = dsChassi;
}

public int getFlVeiculoNovo() {
return flVeiculoNovo;
}

public boolean isFlVeiculoNovoNull() {
return flVeiculoNovoNull;
}

public void setFlVeiculoNovo(Integer flVeiculoNovo) {
if (flVeiculoNovo == null) {
flVeiculoNovoNull = true;
this.flVeiculoNovo = 0;
} else { 
flVeiculoNovoNull = false;
this.flVeiculoNovo = flVeiculoNovo;
}
}

public FglDate getDtAbertura() {
return dtAbertura;
}

public void setDtAbertura(FglDate dtAbertura) {
this.dtAbertura = dtAbertura;
}

public String getDsPrisma() {
return dsPrisma;
}

public void setDsPrisma(String dsPrisma) {
this.dsPrisma = dsPrisma;
}

public int getNrKmRodada() {
return nrKmRodada;
}

public boolean isNrKmRodadaNull() {
return nrKmRodadaNull;
}

public void setNrKmRodada(Integer nrKmRodada) {
if (nrKmRodada == null) {
nrKmRodadaNull = true;
this.nrKmRodada = 0;
} else { 
nrKmRodadaNull = false;
this.nrKmRodada = nrKmRodada;
}
}

public int getNrNivelComb() {
return nrNivelComb;
}

public boolean isNrNivelCombNull() {
return nrNivelCombNull;
}

public void setNrNivelComb(Integer nrNivelComb) {
if (nrNivelComb == null) {
nrNivelCombNull = true;
this.nrNivelComb = 0;
} else { 
nrNivelCombNull = false;
this.nrNivelComb = nrNivelComb;
}
}

public String getCdConcessionaria() {
return cdConcessionaria;
}

public void setCdConcessionaria(String cdConcessionaria) {
this.cdConcessionaria = cdConcessionaria;
}

public String getDsObsMarca1() {
return dsObsMarca1;
}

public void setDsObsMarca1(String dsObsMarca1) {
this.dsObsMarca1 = dsObsMarca1;
}

public String getDsObsMarca2() {
return dsObsMarca2;
}

public void setDsObsMarca2(String dsObsMarca2) {
this.dsObsMarca2 = dsObsMarca2;
}

public String getDsObsMarca3() {
return dsObsMarca3;
}

public void setDsObsMarca3(String dsObsMarca3) {
this.dsObsMarca3 = dsObsMarca3;
}

public String getDsObsMarca4() {
return dsObsMarca4;
}

public void setDsObsMarca4(String dsObsMarca4) {
this.dsObsMarca4 = dsObsMarca4;
}

public String getDsObsMarca5() {
return dsObsMarca5;
}

public void setDsObsMarca5(String dsObsMarca5) {
this.dsObsMarca5 = dsObsMarca5;
}

public int getHrAbertura() {
return hrAbertura;
}

public boolean isHrAberturaNull() {
return hrAberturaNull;
}

public void setHrAbertura(Integer hrAbertura) {
if (hrAbertura == null) {
hrAberturaNull = true;
this.hrAbertura = 0;
} else { 
hrAberturaNull = false;
this.hrAbertura = hrAbertura;
}
}

public int getNrPrisma() {
return nrPrisma;
}

public boolean isNrPrismaNull() {
return nrPrismaNull;
}

public void setNrPrisma(Integer nrPrisma) {
if (nrPrisma == null) {
nrPrismaNull = true;
this.nrPrisma = 0;
} else { 
nrPrismaNull = false;
this.nrPrisma = nrPrisma;
}
}

public String getDsObs() {
return dsObs;
}

public void setDsObs(String dsObs) {
this.dsObs = dsObs;
}

public FglDate getDtPrevEnt() {
return dtPrevEnt;
}

public void setDtPrevEnt(FglDate dtPrevEnt) {
this.dtPrevEnt = dtPrevEnt;
}

public int getHrPrevEnt() {
return hrPrevEnt;
}

public boolean isHrPrevEntNull() {
return hrPrevEntNull;
}

public void setHrPrevEnt(Integer hrPrevEnt) {
if (hrPrevEnt == null) {
hrPrevEntNull = true;
this.hrPrevEnt = 0;
} else { 
hrPrevEntNull = false;
this.hrPrevEnt = hrPrevEnt;
}
}

public int getFlImpEspelho() {
return flImpEspelho;
}

public boolean isFlImpEspelhoNull() {
return flImpEspelhoNull;
}

public void setFlImpEspelho(Integer flImpEspelho) {
if (flImpEspelho == null) {
flImpEspelhoNull = true;
this.flImpEspelho = 0;
} else { 
flImpEspelhoNull = false;
this.flImpEspelho = flImpEspelho;
}
}

public String getDsFilaImp() {
return dsFilaImp;
}

public void setDsFilaImp(String dsFilaImp) {
this.dsFilaImp = dsFilaImp;
}

public String getDsFilaImpEsp() {
return dsFilaImpEsp;
}

public void setDsFilaImpEsp(String dsFilaImpEsp) {
this.dsFilaImpEsp = dsFilaImpEsp;
}

}

