package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIdcPreOsMarcas {
@Coluna(nome="idc_pre_os_marcas.cd_os", tipo="int")
private int cdOs;
private boolean cdOsNull;
@Coluna(nome="idc_pre_os_marcas.cd_usuario", tipo="int")
private int cdUsuario;
private boolean cdUsuarioNull;
@Coluna(nome="idc_pre_os_marcas.nr_maq", tipo="int")
private int nrMaq;
private boolean nrMaqNull;
@Coluna(nome="idc_pre_os_marcas.ds_chassi", tipo="String")
private String dsChassi;
@Coluna(nome="idc_pre_os_marcas.nr_pos_x", tipo="int")
private int nrPosX;
private boolean nrPosXNull;
@Coluna(nome="idc_pre_os_marcas.nr_pos_y", tipo="int")
private int nrPosY;
private boolean nrPosYNull;
@Coluna(nome="idc_pre_os_marcas.nr_tipo_marca", tipo="int")
private int nrTipoMarca;
private boolean nrTipoMarcaNull;

public TabIdcPreOsMarcas() {
initialize();
}

public void initialize() {
setCdOs(null);
setCdUsuario(null);
setNrMaq(null);
setDsChassi(null);
setNrPosX(null);
setNrPosY(null);
setNrTipoMarca(null);
}

public TabIdcPreOsMarcas(int cdOs, int cdUsuario, int nrMaq, String dsChassi, int nrPosX, int nrPosY, int nrTipoMarca) {
this.cdOs = cdOs;
this.cdUsuario = cdUsuario;
this.nrMaq = nrMaq;
this.dsChassi = dsChassi;
this.nrPosX = nrPosX;
this.nrPosY = nrPosY;
this.nrTipoMarca = nrTipoMarca;
}

public int getCdOs() {
return cdOs;
}

public boolean isCdOsNull() {
return cdOsNull;
}

public void setCdOs(Integer cdOs) {
if (cdOs == null) {
cdOsNull = true;
this.cdOs = 0;
} else { 
cdOsNull = false;
this.cdOs = cdOs;
}
}

public int getCdUsuario() {
return cdUsuario;
}

public boolean isCdUsuarioNull() {
return cdUsuarioNull;
}

public void setCdUsuario(Integer cdUsuario) {
if (cdUsuario == null) {
cdUsuarioNull = true;
this.cdUsuario = 0;
} else { 
cdUsuarioNull = false;
this.cdUsuario = cdUsuario;
}
}

public int getNrMaq() {
return nrMaq;
}

public boolean isNrMaqNull() {
return nrMaqNull;
}

public void setNrMaq(Integer nrMaq) {
if (nrMaq == null) {
nrMaqNull = true;
this.nrMaq = 0;
} else { 
nrMaqNull = false;
this.nrMaq = nrMaq;
}
}

public String getDsChassi() {
return dsChassi;
}

public void setDsChassi(String dsChassi) {
this.dsChassi = dsChassi;
}

public int getNrPosX() {
return nrPosX;
}

public boolean isNrPosXNull() {
return nrPosXNull;
}

public void setNrPosX(Integer nrPosX) {
if (nrPosX == null) {
nrPosXNull = true;
this.nrPosX = 0;
} else { 
nrPosXNull = false;
this.nrPosX = nrPosX;
}
}

public int getNrPosY() {
return nrPosY;
}

public boolean isNrPosYNull() {
return nrPosYNull;
}

public void setNrPosY(Integer nrPosY) {
if (nrPosY == null) {
nrPosYNull = true;
this.nrPosY = 0;
} else { 
nrPosYNull = false;
this.nrPosY = nrPosY;
}
}

public int getNrTipoMarca() {
return nrTipoMarca;
}

public boolean isNrTipoMarcaNull() {
return nrTipoMarcaNull;
}

public void setNrTipoMarca(Integer nrTipoMarca) {
if (nrTipoMarca == null) {
nrTipoMarcaNull = true;
this.nrTipoMarca = 0;
} else { 
nrTipoMarcaNull = false;
this.nrTipoMarca = nrTipoMarca;
}
}

}

