package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIleadsFinanciamento {
@Coluna(nome="ileads_financiamento.id_tarefas", tipo="int")
private int idTarefas;
private boolean idTarefasNull;
@Coluna(nome="ileads_financiamento.email", tipo="String")
private String email;
@Coluna(nome="ileads_financiamento.datasimulacao", tipo="String")
private String datasimulacao;
@Coluna(nome="ileads_financiamento.datasimulacaosisdia", tipo="FglDateTimeYS")
private FglDateTimeYS datasimulacaosisdia;
@Coluna(nome="ileads_financiamento.anuncioid", tipo="int")
private int anuncioid;
private boolean anuncioidNull;
@Coluna(nome="ileads_financiamento.versaoid", tipo="int")
private int versaoid;
private boolean versaoidNull;
@Coluna(nome="ileads_financiamento.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="ileads_financiamento.placa", tipo="String")
private String placa;
@Coluna(nome="ileads_financiamento.precoveiculo", tipo="double")
private double precoveiculo;
private boolean precoveiculoNull;
@Coluna(nome="ileads_financiamento.titulo", tipo="String")
private String titulo;
@Coluna(nome="ileads_financiamento.entradapretendida", tipo="double")
private double entradapretendida;
private boolean entradapretendidaNull;
@Coluna(nome="ileads_financiamento.numeroparcelas", tipo="int")
private int numeroparcelas;
private boolean numeroparcelasNull;
@Coluna(nome="ileads_financiamento.valorparcela", tipo="double")
private double valorparcela;
private boolean valorparcelaNull;
@Coluna(nome="ileads_financiamento.fichafinanciamentoid", tipo="int")
private int fichafinanciamentoid;
private boolean fichafinanciamentoidNull;
@Coluna(nome="ileads_financiamento.propostacredlineid", tipo="int")
private int propostacredlineid;
private boolean propostacredlineidNull;
@Coluna(nome="ileads_financiamento.completo", tipo="String")
private String completo;
@Coluna(nome="ileads_financiamento.fichapreanalisada", tipo="String")
private String fichapreanalisada;
@Coluna(nome="ileads_financiamento.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="ileads_financiamento.statusproposta", tipo="String")
private String statusproposta;
@Coluna(nome="ileads_financiamento.hascondicoespretendi", tipo="String")
private String hascondicoespretendi;

public TabIleadsFinanciamento() {
initialize();
}

public void initialize() {
setIdTarefas(null);
setEmail(null);
setDatasimulacao(null);
setDatasimulacaosisdia(null);
setAnuncioid(null);
setVersaoid(null);
setAnomodelo(null);
setPlaca(null);
setPrecoveiculo(null);
setTitulo(null);
setEntradapretendida(null);
setNumeroparcelas(null);
setValorparcela(null);
setFichafinanciamentoid(null);
setPropostacredlineid(null);
setCompleto(null);
setFichapreanalisada(null);
setMensagem(null);
setStatusproposta(null);
setHascondicoespretendi(null);
}

public TabIleadsFinanciamento(int idTarefas, String email, String datasimulacao, FglDateTimeYS datasimulacaosisdia, int anuncioid, int versaoid, int anomodelo, String placa, double precoveiculo, String titulo, double entradapretendida, int numeroparcelas, double valorparcela, int fichafinanciamentoid, int propostacredlineid, String completo, String fichapreanalisada, String mensagem, String statusproposta, String hascondicoespretendi) {
this.idTarefas = idTarefas;
this.email = email;
this.datasimulacao = datasimulacao;
this.datasimulacaosisdia = datasimulacaosisdia;
this.anuncioid = anuncioid;
this.versaoid = versaoid;
this.anomodelo = anomodelo;
this.placa = placa;
this.precoveiculo = precoveiculo;
this.titulo = titulo;
this.entradapretendida = entradapretendida;
this.numeroparcelas = numeroparcelas;
this.valorparcela = valorparcela;
this.fichafinanciamentoid = fichafinanciamentoid;
this.propostacredlineid = propostacredlineid;
this.completo = completo;
this.fichapreanalisada = fichapreanalisada;
this.mensagem = mensagem;
this.statusproposta = statusproposta;
this.hascondicoespretendi = hascondicoespretendi;
}

public int getIdTarefas() {
return idTarefas;
}

public boolean isIdTarefasNull() {
return idTarefasNull;
}

public void setIdTarefas(Integer idTarefas) {
if (idTarefas == null) {
idTarefasNull = true;
this.idTarefas = 0;
} else { 
idTarefasNull = false;
this.idTarefas = idTarefas;
}
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getDatasimulacao() {
return datasimulacao;
}

public void setDatasimulacao(String datasimulacao) {
this.datasimulacao = datasimulacao;
}

public FglDateTimeYS getDatasimulacaosisdia() {
return datasimulacaosisdia;
}

public void setDatasimulacaosisdia(FglDateTimeYS datasimulacaosisdia) {
this.datasimulacaosisdia = datasimulacaosisdia;
}

public int getAnuncioid() {
return anuncioid;
}

public boolean isAnuncioidNull() {
return anuncioidNull;
}

public void setAnuncioid(Integer anuncioid) {
if (anuncioid == null) {
anuncioidNull = true;
this.anuncioid = 0;
} else { 
anuncioidNull = false;
this.anuncioid = anuncioid;
}
}

public int getVersaoid() {
return versaoid;
}

public boolean isVersaoidNull() {
return versaoidNull;
}

public void setVersaoid(Integer versaoid) {
if (versaoid == null) {
versaoidNull = true;
this.versaoid = 0;
} else { 
versaoidNull = false;
this.versaoid = versaoid;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public double getPrecoveiculo() {
return precoveiculo;
}

public boolean isPrecoveiculoNull() {
return precoveiculoNull;
}

public void setPrecoveiculo(int precoveiculo) {
setPrecoveiculo(new Double(precoveiculo));
}

public void setPrecoveiculo(long precoveiculo) {
setPrecoveiculo(new Double(precoveiculo));
}

public void setPrecoveiculo(Double precoveiculo) {
if (precoveiculo == null) {
precoveiculoNull = true;
this.precoveiculo = 0.;
} else { 
precoveiculoNull = false;
this.precoveiculo = FglDouble.round(precoveiculo, 2);
}
}

public String getTitulo() {
return titulo;
}

public void setTitulo(String titulo) {
this.titulo = titulo;
}

public double getEntradapretendida() {
return entradapretendida;
}

public boolean isEntradapretendidaNull() {
return entradapretendidaNull;
}

public void setEntradapretendida(int entradapretendida) {
setEntradapretendida(new Double(entradapretendida));
}

public void setEntradapretendida(long entradapretendida) {
setEntradapretendida(new Double(entradapretendida));
}

public void setEntradapretendida(Double entradapretendida) {
if (entradapretendida == null) {
entradapretendidaNull = true;
this.entradapretendida = 0.;
} else { 
entradapretendidaNull = false;
this.entradapretendida = FglDouble.round(entradapretendida, 2);
}
}

public int getNumeroparcelas() {
return numeroparcelas;
}

public boolean isNumeroparcelasNull() {
return numeroparcelasNull;
}

public void setNumeroparcelas(Integer numeroparcelas) {
if (numeroparcelas == null) {
numeroparcelasNull = true;
this.numeroparcelas = 0;
} else { 
numeroparcelasNull = false;
this.numeroparcelas = numeroparcelas;
}
}

public double getValorparcela() {
return valorparcela;
}

public boolean isValorparcelaNull() {
return valorparcelaNull;
}

public void setValorparcela(int valorparcela) {
setValorparcela(new Double(valorparcela));
}

public void setValorparcela(long valorparcela) {
setValorparcela(new Double(valorparcela));
}

public void setValorparcela(Double valorparcela) {
if (valorparcela == null) {
valorparcelaNull = true;
this.valorparcela = 0.;
} else { 
valorparcelaNull = false;
this.valorparcela = FglDouble.round(valorparcela, 2);
}
}

public int getFichafinanciamentoid() {
return fichafinanciamentoid;
}

public boolean isFichafinanciamentoidNull() {
return fichafinanciamentoidNull;
}

public void setFichafinanciamentoid(Integer fichafinanciamentoid) {
if (fichafinanciamentoid == null) {
fichafinanciamentoidNull = true;
this.fichafinanciamentoid = 0;
} else { 
fichafinanciamentoidNull = false;
this.fichafinanciamentoid = fichafinanciamentoid;
}
}

public int getPropostacredlineid() {
return propostacredlineid;
}

public boolean isPropostacredlineidNull() {
return propostacredlineidNull;
}

public void setPropostacredlineid(Integer propostacredlineid) {
if (propostacredlineid == null) {
propostacredlineidNull = true;
this.propostacredlineid = 0;
} else { 
propostacredlineidNull = false;
this.propostacredlineid = propostacredlineid;
}
}

public String getCompleto() {
return completo;
}

public void setCompleto(String completo) {
this.completo = completo;
}

public String getFichapreanalisada() {
return fichapreanalisada;
}

public void setFichapreanalisada(String fichapreanalisada) {
this.fichapreanalisada = fichapreanalisada;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public String getStatusproposta() {
return statusproposta;
}

public void setStatusproposta(String statusproposta) {
this.statusproposta = statusproposta;
}

public String getHascondicoespretendi() {
return hascondicoespretendi;
}

public void setHascondicoespretendi(String hascondicoespretendi) {
this.hascondicoespretendi = hascondicoespretendi;
}

}

