package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIntmov {
@Coluna(nome="intmov.intmov_empresa", tipo="String")
private String intmovEmpresa;
@Coluna(nome="intmov.intmov_filial", tipo="String")
private String intmovFilial;
@Coluna(nome="intmov.intmov_sequencia", tipo="long")
private long intmovSequencia;
private boolean intmovSequenciaNull;
@Coluna(nome="intmov.intmov_usuario", tipo="String")
private String intmovUsuario;
@Coluna(nome="intmov.intmov_data", tipo="String")
private String intmovData;
@Coluna(nome="intmov.intmov_hora", tipo="String")
private String intmovHora;
@Coluna(nome="intmov.intmov_tipmov", tipo="String")
private String intmovTipmov;
@Coluna(nome="intmov.intmov_docnum", tipo="String")
private String intmovDocnum;
@Coluna(nome="intmov.intmov_seqdoc", tipo="long")
private long intmovSeqdoc;
private boolean intmovSeqdocNull;
@Coluna(nome="intmov.intmov_seqitem", tipo="long")
private long intmovSeqitem;
private boolean intmovSeqitemNull;
@Coluna(nome="intmov.intmov_item", tipo="String")
private String intmovItem;
@Coluna(nome="intmov.intmov_operacao", tipo="String")
private String intmovOperacao;
@Coluna(nome="intmov.intmov_qde", tipo="double")
private double intmovQde;
private boolean intmovQdeNull;
@Coluna(nome="intmov.intmov_qderefugo", tipo="double")
private double intmovQderefugo;
private boolean intmovQderefugoNull;
@Coluna(nome="intmov.intmov_uom", tipo="String")
private String intmovUom;
@Coluna(nome="intmov.intmov_nserie", tipo="String")
private String intmovNserie;
@Coluna(nome="intmov.intmov_lote", tipo="String")
private String intmovLote;
@Coluna(nome="intmov.intmov_lote_fornec", tipo="String")
private String intmovLoteFornec;
@Coluna(nome="intmov.intmov_lote_erp", tipo="String")
private String intmovLoteErp;
@Coluna(nome="intmov.intmov_deposiorg", tipo="String")
private String intmovDeposiorg;
@Coluna(nome="intmov.intmov_setororg", tipo="String")
private String intmovSetororg;
@Coluna(nome="intmov.intmov_endereorg", tipo="String")
private String intmovEndereorg;
@Coluna(nome="intmov.intmov_deposidest", tipo="String")
private String intmovDeposidest;
@Coluna(nome="intmov.intmov_setordest", tipo="String")
private String intmovSetordest;
@Coluna(nome="intmov.intmov_enderedest", tipo="String")
private String intmovEnderedest;
@Coluna(nome="intmov.intmov_umvcad", tipo="long")
private long intmovUmvcad;
private boolean intmovUmvcadNull;
@Coluna(nome="intmov.intmov_pallet", tipo="long")
private long intmovPallet;
private boolean intmovPalletNull;
@Coluna(nome="intmov.intmov_paradacod", tipo="String")
private String intmovParadacod;
@Coluna(nome="intmov.intmov_sit_processamento", tipo="int")
private int intmovSitProcessamento;
private boolean intmovSitProcessamentoNull;
@Coluna(nome="intmov.intmov_pesototal", tipo="double")
private double intmovPesototal;
private boolean intmovPesototalNull;
@Coluna(nome="intmov.intmov_totvol", tipo="int")
private int intmovTotvol;
private boolean intmovTotvolNull;

public TabIntmov() {
initialize();
}

public void initialize() {
setIntmovEmpresa(null);
setIntmovFilial(null);
setIntmovSequencia(null);
setIntmovUsuario(null);
setIntmovData(null);
setIntmovHora(null);
setIntmovTipmov(null);
setIntmovDocnum(null);
setIntmovSeqdoc(null);
setIntmovSeqitem(null);
setIntmovItem(null);
setIntmovOperacao(null);
setIntmovQde(null);
setIntmovQderefugo(null);
setIntmovUom(null);
setIntmovNserie(null);
setIntmovLote(null);
setIntmovLoteFornec(null);
setIntmovLoteErp(null);
setIntmovDeposiorg(null);
setIntmovSetororg(null);
setIntmovEndereorg(null);
setIntmovDeposidest(null);
setIntmovSetordest(null);
setIntmovEnderedest(null);
setIntmovUmvcad(null);
setIntmovPallet(null);
setIntmovParadacod(null);
setIntmovSitProcessamento(null);
setIntmovPesototal(null);
setIntmovTotvol(null);
}

public TabIntmov(String intmovEmpresa, String intmovFilial, long intmovSequencia, String intmovUsuario, String intmovData, String intmovHora, String intmovTipmov, String intmovDocnum, long intmovSeqdoc, long intmovSeqitem, String intmovItem, String intmovOperacao, double intmovQde, double intmovQderefugo, String intmovUom, String intmovNserie, String intmovLote, String intmovLoteFornec, String intmovLoteErp, String intmovDeposiorg, String intmovSetororg, String intmovEndereorg, String intmovDeposidest, String intmovSetordest, String intmovEnderedest, long intmovUmvcad, long intmovPallet, String intmovParadacod, int intmovSitProcessamento, double intmovPesototal, int intmovTotvol) {
this.intmovEmpresa = intmovEmpresa;
this.intmovFilial = intmovFilial;
this.intmovSequencia = intmovSequencia;
this.intmovUsuario = intmovUsuario;
this.intmovData = intmovData;
this.intmovHora = intmovHora;
this.intmovTipmov = intmovTipmov;
this.intmovDocnum = intmovDocnum;
this.intmovSeqdoc = intmovSeqdoc;
this.intmovSeqitem = intmovSeqitem;
this.intmovItem = intmovItem;
this.intmovOperacao = intmovOperacao;
this.intmovQde = intmovQde;
this.intmovQderefugo = intmovQderefugo;
this.intmovUom = intmovUom;
this.intmovNserie = intmovNserie;
this.intmovLote = intmovLote;
this.intmovLoteFornec = intmovLoteFornec;
this.intmovLoteErp = intmovLoteErp;
this.intmovDeposiorg = intmovDeposiorg;
this.intmovSetororg = intmovSetororg;
this.intmovEndereorg = intmovEndereorg;
this.intmovDeposidest = intmovDeposidest;
this.intmovSetordest = intmovSetordest;
this.intmovEnderedest = intmovEnderedest;
this.intmovUmvcad = intmovUmvcad;
this.intmovPallet = intmovPallet;
this.intmovParadacod = intmovParadacod;
this.intmovSitProcessamento = intmovSitProcessamento;
this.intmovPesototal = intmovPesototal;
this.intmovTotvol = intmovTotvol;
}

public String getIntmovEmpresa() {
return intmovEmpresa;
}

public void setIntmovEmpresa(String intmovEmpresa) {
this.intmovEmpresa = intmovEmpresa;
}

public String getIntmovFilial() {
return intmovFilial;
}

public void setIntmovFilial(String intmovFilial) {
this.intmovFilial = intmovFilial;
}

public long getIntmovSequencia() {
return intmovSequencia;
}

public boolean isIntmovSequenciaNull() {
return intmovSequenciaNull;
}

public void setIntmovSequencia(int intmovSequencia) {
setIntmovSequencia(new Long(intmovSequencia));
}

public void setIntmovSequencia(Long intmovSequencia) {
if (intmovSequencia == null) {
intmovSequenciaNull = true;
this.intmovSequencia = 0l;
} else { 
intmovSequenciaNull = false;
this.intmovSequencia = intmovSequencia;
}
}

public String getIntmovUsuario() {
return intmovUsuario;
}

public void setIntmovUsuario(String intmovUsuario) {
this.intmovUsuario = intmovUsuario;
}

public String getIntmovData() {
return intmovData;
}

public void setIntmovData(String intmovData) {
this.intmovData = intmovData;
}

public String getIntmovHora() {
return intmovHora;
}

public void setIntmovHora(String intmovHora) {
this.intmovHora = intmovHora;
}

public String getIntmovTipmov() {
return intmovTipmov;
}

public void setIntmovTipmov(String intmovTipmov) {
this.intmovTipmov = intmovTipmov;
}

public String getIntmovDocnum() {
return intmovDocnum;
}

public void setIntmovDocnum(String intmovDocnum) {
this.intmovDocnum = intmovDocnum;
}

public long getIntmovSeqdoc() {
return intmovSeqdoc;
}

public boolean isIntmovSeqdocNull() {
return intmovSeqdocNull;
}

public void setIntmovSeqdoc(int intmovSeqdoc) {
setIntmovSeqdoc(new Long(intmovSeqdoc));
}

public void setIntmovSeqdoc(Long intmovSeqdoc) {
if (intmovSeqdoc == null) {
intmovSeqdocNull = true;
this.intmovSeqdoc = 0l;
} else { 
intmovSeqdocNull = false;
this.intmovSeqdoc = intmovSeqdoc;
}
}

public long getIntmovSeqitem() {
return intmovSeqitem;
}

public boolean isIntmovSeqitemNull() {
return intmovSeqitemNull;
}

public void setIntmovSeqitem(int intmovSeqitem) {
setIntmovSeqitem(new Long(intmovSeqitem));
}

public void setIntmovSeqitem(Long intmovSeqitem) {
if (intmovSeqitem == null) {
intmovSeqitemNull = true;
this.intmovSeqitem = 0l;
} else { 
intmovSeqitemNull = false;
this.intmovSeqitem = intmovSeqitem;
}
}

public String getIntmovItem() {
return intmovItem;
}

public void setIntmovItem(String intmovItem) {
this.intmovItem = intmovItem;
}

public String getIntmovOperacao() {
return intmovOperacao;
}

public void setIntmovOperacao(String intmovOperacao) {
this.intmovOperacao = intmovOperacao;
}

public double getIntmovQde() {
return intmovQde;
}

public boolean isIntmovQdeNull() {
return intmovQdeNull;
}

public void setIntmovQde(int intmovQde) {
setIntmovQde(new Double(intmovQde));
}

public void setIntmovQde(long intmovQde) {
setIntmovQde(new Double(intmovQde));
}

public void setIntmovQde(Double intmovQde) {
if (intmovQde == null) {
intmovQdeNull = true;
this.intmovQde = 0.;
} else { 
intmovQdeNull = false;
this.intmovQde = FglDouble.round(intmovQde, 3);
}
}

public double getIntmovQderefugo() {
return intmovQderefugo;
}

public boolean isIntmovQderefugoNull() {
return intmovQderefugoNull;
}

public void setIntmovQderefugo(int intmovQderefugo) {
setIntmovQderefugo(new Double(intmovQderefugo));
}

public void setIntmovQderefugo(long intmovQderefugo) {
setIntmovQderefugo(new Double(intmovQderefugo));
}

public void setIntmovQderefugo(Double intmovQderefugo) {
if (intmovQderefugo == null) {
intmovQderefugoNull = true;
this.intmovQderefugo = 0.;
} else { 
intmovQderefugoNull = false;
this.intmovQderefugo = FglDouble.round(intmovQderefugo, 3);
}
}

public String getIntmovUom() {
return intmovUom;
}

public void setIntmovUom(String intmovUom) {
this.intmovUom = intmovUom;
}

public String getIntmovNserie() {
return intmovNserie;
}

public void setIntmovNserie(String intmovNserie) {
this.intmovNserie = intmovNserie;
}

public String getIntmovLote() {
return intmovLote;
}

public void setIntmovLote(String intmovLote) {
this.intmovLote = intmovLote;
}

public String getIntmovLoteFornec() {
return intmovLoteFornec;
}

public void setIntmovLoteFornec(String intmovLoteFornec) {
this.intmovLoteFornec = intmovLoteFornec;
}

public String getIntmovLoteErp() {
return intmovLoteErp;
}

public void setIntmovLoteErp(String intmovLoteErp) {
this.intmovLoteErp = intmovLoteErp;
}

public String getIntmovDeposiorg() {
return intmovDeposiorg;
}

public void setIntmovDeposiorg(String intmovDeposiorg) {
this.intmovDeposiorg = intmovDeposiorg;
}

public String getIntmovSetororg() {
return intmovSetororg;
}

public void setIntmovSetororg(String intmovSetororg) {
this.intmovSetororg = intmovSetororg;
}

public String getIntmovEndereorg() {
return intmovEndereorg;
}

public void setIntmovEndereorg(String intmovEndereorg) {
this.intmovEndereorg = intmovEndereorg;
}

public String getIntmovDeposidest() {
return intmovDeposidest;
}

public void setIntmovDeposidest(String intmovDeposidest) {
this.intmovDeposidest = intmovDeposidest;
}

public String getIntmovSetordest() {
return intmovSetordest;
}

public void setIntmovSetordest(String intmovSetordest) {
this.intmovSetordest = intmovSetordest;
}

public String getIntmovEnderedest() {
return intmovEnderedest;
}

public void setIntmovEnderedest(String intmovEnderedest) {
this.intmovEnderedest = intmovEnderedest;
}

public long getIntmovUmvcad() {
return intmovUmvcad;
}

public boolean isIntmovUmvcadNull() {
return intmovUmvcadNull;
}

public void setIntmovUmvcad(int intmovUmvcad) {
setIntmovUmvcad(new Long(intmovUmvcad));
}

public void setIntmovUmvcad(Long intmovUmvcad) {
if (intmovUmvcad == null) {
intmovUmvcadNull = true;
this.intmovUmvcad = 0l;
} else { 
intmovUmvcadNull = false;
this.intmovUmvcad = intmovUmvcad;
}
}

public long getIntmovPallet() {
return intmovPallet;
}

public boolean isIntmovPalletNull() {
return intmovPalletNull;
}

public void setIntmovPallet(int intmovPallet) {
setIntmovPallet(new Long(intmovPallet));
}

public void setIntmovPallet(Long intmovPallet) {
if (intmovPallet == null) {
intmovPalletNull = true;
this.intmovPallet = 0l;
} else { 
intmovPalletNull = false;
this.intmovPallet = intmovPallet;
}
}

public String getIntmovParadacod() {
return intmovParadacod;
}

public void setIntmovParadacod(String intmovParadacod) {
this.intmovParadacod = intmovParadacod;
}

public int getIntmovSitProcessamento() {
return intmovSitProcessamento;
}

public boolean isIntmovSitProcessamentoNull() {
return intmovSitProcessamentoNull;
}

public void setIntmovSitProcessamento(Integer intmovSitProcessamento) {
if (intmovSitProcessamento == null) {
intmovSitProcessamentoNull = true;
this.intmovSitProcessamento = 0;
} else { 
intmovSitProcessamentoNull = false;
this.intmovSitProcessamento = intmovSitProcessamento;
}
}

public double getIntmovPesototal() {
return intmovPesototal;
}

public boolean isIntmovPesototalNull() {
return intmovPesototalNull;
}

public void setIntmovPesototal(int intmovPesototal) {
setIntmovPesototal(new Double(intmovPesototal));
}

public void setIntmovPesototal(long intmovPesototal) {
setIntmovPesototal(new Double(intmovPesototal));
}

public void setIntmovPesototal(Double intmovPesototal) {
if (intmovPesototal == null) {
intmovPesototalNull = true;
this.intmovPesototal = 0.;
} else { 
intmovPesototalNull = false;
this.intmovPesototal = FglDouble.round(intmovPesototal, 4);
}
}

public int getIntmovTotvol() {
return intmovTotvol;
}

public boolean isIntmovTotvolNull() {
return intmovTotvolNull;
}

public void setIntmovTotvol(Integer intmovTotvol) {
if (intmovTotvol == null) {
intmovTotvolNull = true;
this.intmovTotvol = 0;
} else { 
intmovTotvolNull = false;
this.intmovTotvol = intmovTotvol;
}
}

}

