package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIoperacoes {
@Coluna(nome="ioperacoes.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="ioperacoes.vehiclesellertype", tipo="String")
private String vehiclesellertype;
@Coluna(nome="ioperacoes.vehiclesellerdocumen", tipo="String")
private String vehiclesellerdocumen;
@Coluna(nome="ioperacoes.vehiclemake", tipo="String")
private String vehiclemake;
@Coluna(nome="ioperacoes.vehiclemodel", tipo="String")
private String vehiclemodel;
@Coluna(nome="ioperacoes.vehiclemodelyear", tipo="int")
private int vehiclemodelyear;
private boolean vehiclemodelyearNull;
@Coluna(nome="ioperacoes.vehiclefipecode", tipo="String")
private String vehiclefipecode;
@Coluna(nome="ioperacoes.vehiclemolicarcode", tipo="String")
private String vehiclemolicarcode;
@Coluna(nome="ioperacoes.totalvalue", tipo="double")
private double totalvalue;
private boolean totalvalueNull;
@Coluna(nome="ioperacoes.upfrontvalue", tipo="double")
private double upfrontvalue;
private boolean upfrontvalueNull;
@Coluna(nome="ioperacoes.installments", tipo="int")
private int installments;
private boolean installmentsNull;

public TabIoperacoes() {
initialize();
}

public void initialize() {
setIdTarefa(null);
setVehiclesellertype(null);
setVehiclesellerdocumen(null);
setVehiclemake(null);
setVehiclemodel(null);
setVehiclemodelyear(null);
setVehiclefipecode(null);
setVehiclemolicarcode(null);
setTotalvalue(null);
setUpfrontvalue(null);
setInstallments(null);
}

public TabIoperacoes(int idTarefa, String vehiclesellertype, String vehiclesellerdocumen, String vehiclemake, String vehiclemodel, int vehiclemodelyear, String vehiclefipecode, String vehiclemolicarcode, double totalvalue, double upfrontvalue, int installments) {
this.idTarefa = idTarefa;
this.vehiclesellertype = vehiclesellertype;
this.vehiclesellerdocumen = vehiclesellerdocumen;
this.vehiclemake = vehiclemake;
this.vehiclemodel = vehiclemodel;
this.vehiclemodelyear = vehiclemodelyear;
this.vehiclefipecode = vehiclefipecode;
this.vehiclemolicarcode = vehiclemolicarcode;
this.totalvalue = totalvalue;
this.upfrontvalue = upfrontvalue;
this.installments = installments;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public String getVehiclesellertype() {
return vehiclesellertype;
}

public void setVehiclesellertype(String vehiclesellertype) {
this.vehiclesellertype = vehiclesellertype;
}

public String getVehiclesellerdocumen() {
return vehiclesellerdocumen;
}

public void setVehiclesellerdocumen(String vehiclesellerdocumen) {
this.vehiclesellerdocumen = vehiclesellerdocumen;
}

public String getVehiclemake() {
return vehiclemake;
}

public void setVehiclemake(String vehiclemake) {
this.vehiclemake = vehiclemake;
}

public String getVehiclemodel() {
return vehiclemodel;
}

public void setVehiclemodel(String vehiclemodel) {
this.vehiclemodel = vehiclemodel;
}

public int getVehiclemodelyear() {
return vehiclemodelyear;
}

public boolean isVehiclemodelyearNull() {
return vehiclemodelyearNull;
}

public void setVehiclemodelyear(Integer vehiclemodelyear) {
if (vehiclemodelyear == null) {
vehiclemodelyearNull = true;
this.vehiclemodelyear = 0;
} else { 
vehiclemodelyearNull = false;
this.vehiclemodelyear = vehiclemodelyear;
}
}

public String getVehiclefipecode() {
return vehiclefipecode;
}

public void setVehiclefipecode(String vehiclefipecode) {
this.vehiclefipecode = vehiclefipecode;
}

public String getVehiclemolicarcode() {
return vehiclemolicarcode;
}

public void setVehiclemolicarcode(String vehiclemolicarcode) {
this.vehiclemolicarcode = vehiclemolicarcode;
}

public double getTotalvalue() {
return totalvalue;
}

public boolean isTotalvalueNull() {
return totalvalueNull;
}

public void setTotalvalue(int totalvalue) {
setTotalvalue(new Double(totalvalue));
}

public void setTotalvalue(long totalvalue) {
setTotalvalue(new Double(totalvalue));
}

public void setTotalvalue(Double totalvalue) {
if (totalvalue == null) {
totalvalueNull = true;
this.totalvalue = 0.;
} else { 
totalvalueNull = false;
this.totalvalue = FglDouble.round(totalvalue, 2);
}
}

public double getUpfrontvalue() {
return upfrontvalue;
}

public boolean isUpfrontvalueNull() {
return upfrontvalueNull;
}

public void setUpfrontvalue(int upfrontvalue) {
setUpfrontvalue(new Double(upfrontvalue));
}

public void setUpfrontvalue(long upfrontvalue) {
setUpfrontvalue(new Double(upfrontvalue));
}

public void setUpfrontvalue(Double upfrontvalue) {
if (upfrontvalue == null) {
upfrontvalueNull = true;
this.upfrontvalue = 0.;
} else { 
upfrontvalueNull = false;
this.upfrontvalue = FglDouble.round(upfrontvalue, 2);
}
}

public int getInstallments() {
return installments;
}

public boolean isInstallmentsNull() {
return installmentsNull;
}

public void setInstallments(Integer installments) {
if (installments == null) {
installmentsNull = true;
this.installments = 0;
} else { 
installmentsNull = false;
this.installments = installments;
}
}

}

