package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIoperacoesFinanciamento {
@Coluna(nome="ioperacoes_financiamento.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="ioperacoes_financiamento.vehiclesellertype", tipo="String")
private String vehiclesellertype;
@Coluna(nome="ioperacoes_financiamento.vehiclesellerdocument", tipo="String")
private String vehiclesellerdocument;
@Coluna(nome="ioperacoes_financiamento.vehiclemake", tipo="String")
private String vehiclemake;
@Coluna(nome="ioperacoes_financiamento.vehiclemodel", tipo="String")
private String vehiclemodel;
@Coluna(nome="ioperacoes_financiamento.vehiclemodelyear", tipo="String")
private String vehiclemodelyear;
@Coluna(nome="ioperacoes_financiamento.vehiclefipecode", tipo="String")
private String vehiclefipecode;
@Coluna(nome="ioperacoes_financiamento.vehiclemolicarcode", tipo="String")
private String vehiclemolicarcode;
@Coluna(nome="ioperacoes_financiamento.totalvalue", tipo="double")
private double totalvalue;
private boolean totalvalueNull;
@Coluna(nome="ioperacoes_financiamento.upfrontvalue", tipo="double")
private double upfrontvalue;
private boolean upfrontvalueNull;
@Coluna(nome="ioperacoes_financiamento.installments", tipo="int")
private int installments;
private boolean installmentsNull;
@Coluna(nome="ioperacoes_financiamento.nominalinterest", tipo="double")
private double nominalinterest;
private boolean nominalinterestNull;
@Coluna(nome="ioperacoes_financiamento.effectiveinterest", tipo="double")
private double effectiveinterest;
private boolean effectiveinterestNull;
@Coluna(nome="ioperacoes_financiamento.installmentvalue", tipo="double")
private double installmentvalue;
private boolean installmentvalueNull;

public TabIoperacoesFinanciamento() {
initialize();
}

public void initialize() {
setIdTarefa(null);
setVehiclesellertype(null);
setVehiclesellerdocument(null);
setVehiclemake(null);
setVehiclemodel(null);
setVehiclemodelyear(null);
setVehiclefipecode(null);
setVehiclemolicarcode(null);
setTotalvalue(null);
setUpfrontvalue(null);
setInstallments(null);
setNominalinterest(null);
setEffectiveinterest(null);
setInstallmentvalue(null);
}

public TabIoperacoesFinanciamento(int idTarefa, String vehiclesellertype, String vehiclesellerdocument, String vehiclemake, String vehiclemodel, String vehiclemodelyear, String vehiclefipecode, String vehiclemolicarcode, double totalvalue, double upfrontvalue, int installments, double nominalinterest, double effectiveinterest, double installmentvalue) {
this.idTarefa = idTarefa;
this.vehiclesellertype = vehiclesellertype;
this.vehiclesellerdocument = vehiclesellerdocument;
this.vehiclemake = vehiclemake;
this.vehiclemodel = vehiclemodel;
this.vehiclemodelyear = vehiclemodelyear;
this.vehiclefipecode = vehiclefipecode;
this.vehiclemolicarcode = vehiclemolicarcode;
this.totalvalue = totalvalue;
this.upfrontvalue = upfrontvalue;
this.installments = installments;
this.nominalinterest = nominalinterest;
this.effectiveinterest = effectiveinterest;
this.installmentvalue = installmentvalue;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public String getVehiclesellertype() {
return vehiclesellertype;
}

public void setVehiclesellertype(String vehiclesellertype) {
this.vehiclesellertype = vehiclesellertype;
}

public String getVehiclesellerdocument() {
return vehiclesellerdocument;
}

public void setVehiclesellerdocument(String vehiclesellerdocument) {
this.vehiclesellerdocument = vehiclesellerdocument;
}

public String getVehiclemake() {
return vehiclemake;
}

public void setVehiclemake(String vehiclemake) {
this.vehiclemake = vehiclemake;
}

public String getVehiclemodel() {
return vehiclemodel;
}

public void setVehiclemodel(String vehiclemodel) {
this.vehiclemodel = vehiclemodel;
}

public String getVehiclemodelyear() {
return vehiclemodelyear;
}

public void setVehiclemodelyear(String vehiclemodelyear) {
this.vehiclemodelyear = vehiclemodelyear;
}

public String getVehiclefipecode() {
return vehiclefipecode;
}

public void setVehiclefipecode(String vehiclefipecode) {
this.vehiclefipecode = vehiclefipecode;
}

public String getVehiclemolicarcode() {
return vehiclemolicarcode;
}

public void setVehiclemolicarcode(String vehiclemolicarcode) {
this.vehiclemolicarcode = vehiclemolicarcode;
}

public double getTotalvalue() {
return totalvalue;
}

public boolean isTotalvalueNull() {
return totalvalueNull;
}

public void setTotalvalue(int totalvalue) {
setTotalvalue(new Double(totalvalue));
}

public void setTotalvalue(long totalvalue) {
setTotalvalue(new Double(totalvalue));
}

public void setTotalvalue(Double totalvalue) {
if (totalvalue == null) {
totalvalueNull = true;
this.totalvalue = 0.;
} else { 
totalvalueNull = false;
this.totalvalue = FglDouble.round(totalvalue, 2);
}
}

public double getUpfrontvalue() {
return upfrontvalue;
}

public boolean isUpfrontvalueNull() {
return upfrontvalueNull;
}

public void setUpfrontvalue(int upfrontvalue) {
setUpfrontvalue(new Double(upfrontvalue));
}

public void setUpfrontvalue(long upfrontvalue) {
setUpfrontvalue(new Double(upfrontvalue));
}

public void setUpfrontvalue(Double upfrontvalue) {
if (upfrontvalue == null) {
upfrontvalueNull = true;
this.upfrontvalue = 0.;
} else { 
upfrontvalueNull = false;
this.upfrontvalue = FglDouble.round(upfrontvalue, 2);
}
}

public int getInstallments() {
return installments;
}

public boolean isInstallmentsNull() {
return installmentsNull;
}

public void setInstallments(Integer installments) {
if (installments == null) {
installmentsNull = true;
this.installments = 0;
} else { 
installmentsNull = false;
this.installments = installments;
}
}

public double getNominalinterest() {
return nominalinterest;
}

public boolean isNominalinterestNull() {
return nominalinterestNull;
}

public void setNominalinterest(int nominalinterest) {
setNominalinterest(new Double(nominalinterest));
}

public void setNominalinterest(long nominalinterest) {
setNominalinterest(new Double(nominalinterest));
}

public void setNominalinterest(Double nominalinterest) {
if (nominalinterest == null) {
nominalinterestNull = true;
this.nominalinterest = 0.;
} else { 
nominalinterestNull = false;
this.nominalinterest = FglDouble.round(nominalinterest, 2);
}
}

public double getEffectiveinterest() {
return effectiveinterest;
}

public boolean isEffectiveinterestNull() {
return effectiveinterestNull;
}

public void setEffectiveinterest(int effectiveinterest) {
setEffectiveinterest(new Double(effectiveinterest));
}

public void setEffectiveinterest(long effectiveinterest) {
setEffectiveinterest(new Double(effectiveinterest));
}

public void setEffectiveinterest(Double effectiveinterest) {
if (effectiveinterest == null) {
effectiveinterestNull = true;
this.effectiveinterest = 0.;
} else { 
effectiveinterestNull = false;
this.effectiveinterest = FglDouble.round(effectiveinterest, 2);
}
}

public double getInstallmentvalue() {
return installmentvalue;
}

public boolean isInstallmentvalueNull() {
return installmentvalueNull;
}

public void setInstallmentvalue(int installmentvalue) {
setInstallmentvalue(new Double(installmentvalue));
}

public void setInstallmentvalue(long installmentvalue) {
setInstallmentvalue(new Double(installmentvalue));
}

public void setInstallmentvalue(Double installmentvalue) {
if (installmentvalue == null) {
installmentvalueNull = true;
this.installmentvalue = 0.;
} else { 
installmentvalueNull = false;
this.installmentvalue = FglDouble.round(installmentvalue, 2);
}
}

}

