package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabItarefas {
@Coluna(nome="itarefas.id", tipo="int")
private int id;
private boolean idNull;
@Coluna(nome="itarefas.data", tipo="FglDateTimeYS")
private FglDateTimeYS data;
@Coluna(nome="itarefas.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="itarefas.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="itarefas.dealerid", tipo="int")
private int dealerid;
private boolean dealeridNull;
@Coluna(nome="itarefas.segmento", tipo="String")
private String segmento;
@Coluna(nome="itarefas.versao", tipo="String")
private String versao;
@Coluna(nome="itarefas.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="itarefas.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="itarefas.registros", tipo="int")
private int registros;
private boolean registrosNull;
@Coluna(nome="itarefas.tempo", tipo="int")
private int tempo;
private boolean tempoNull;

public TabItarefas() {
initialize();
}

public void initialize() {
setId(null);
setData(null);
setOperacao(null);
setCnpj(null);
setDealerid(null);
setSegmento(null);
setVersao(null);
setCodigo(null);
setMensagem(null);
setRegistros(null);
setTempo(null);
}

public TabItarefas(int id, FglDateTimeYS data, int operacao, String cnpj, int dealerid, String segmento, String versao, int codigo, String mensagem, int registros, int tempo) {
this.id = id;
this.data = data;
this.operacao = operacao;
this.cnpj = cnpj;
this.dealerid = dealerid;
this.segmento = segmento;
this.versao = versao;
this.codigo = codigo;
this.mensagem = mensagem;
this.registros = registros;
this.tempo = tempo;
}

public int getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(Integer id) {
if (id == null) {
idNull = true;
this.id = 0;
} else { 
idNull = false;
this.id = id;
}
}

public FglDateTimeYS getData() {
return data;
}

public void setData(FglDateTimeYS data) {
this.data = data;
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public int getDealerid() {
return dealerid;
}

public boolean isDealeridNull() {
return dealeridNull;
}

public void setDealerid(Integer dealerid) {
if (dealerid == null) {
dealeridNull = true;
this.dealerid = 0;
} else { 
dealeridNull = false;
this.dealerid = dealerid;
}
}

public String getSegmento() {
return segmento;
}

public void setSegmento(String segmento) {
this.segmento = segmento;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public int getRegistros() {
return registros;
}

public boolean isRegistrosNull() {
return registrosNull;
}

public void setRegistros(Integer registros) {
if (registros == null) {
registrosNull = true;
this.registros = 0;
} else { 
registrosNull = false;
this.registros = registros;
}
}

public int getTempo() {
return tempo;
}

public boolean isTempoNull() {
return tempoNull;
}

public void setTempo(Integer tempo) {
if (tempo == null) {
tempoNull = true;
this.tempo = 0;
} else { 
tempoNull = false;
this.tempo = tempo;
}
}

}

