package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabItcLogProcesso {
@Coluna(nome="itc_log_processo.processo", tipo="int")
private int processo;
private boolean processoNull;
@Coluna(nome="itc_log_processo.modulo", tipo="String")
private String modulo;
@Coluna(nome="itc_log_processo.configuracao", tipo="String")
private String configuracao;
@Coluna(nome="itc_log_processo.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_log_processo.inicio", tipo="FglDateTimeYS")
private FglDateTimeYS inicio;
@Coluna(nome="itc_log_processo.fim", tipo="FglDateTimeYS")
private FglDateTimeYS fim;
@Coluna(nome="itc_log_processo.status", tipo="String")
private String status;

public TabItcLogProcesso() {
initialize();
}

public void initialize() {
setProcesso(null);
setModulo(null);
setConfiguracao(null);
setDescricao(null);
setInicio(null);
setFim(null);
setStatus(null);
}

public TabItcLogProcesso(int processo, String modulo, String configuracao, String descricao, FglDateTimeYS inicio, FglDateTimeYS fim, String status) {
this.processo = processo;
this.modulo = modulo;
this.configuracao = configuracao;
this.descricao = descricao;
this.inicio = inicio;
this.fim = fim;
this.status = status;
}

public int getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(Integer processo) {
if (processo == null) {
processoNull = true;
this.processo = 0;
} else { 
processoNull = false;
this.processo = processo;
}
}

public String getModulo() {
return modulo;
}

public void setModulo(String modulo) {
this.modulo = modulo;
}

public String getConfiguracao() {
return configuracao;
}

public void setConfiguracao(String configuracao) {
this.configuracao = configuracao;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDateTimeYS getInicio() {
return inicio;
}

public void setInicio(FglDateTimeYS inicio) {
this.inicio = inicio;
}

public FglDateTimeYS getFim() {
return fim;
}

public void setFim(FglDateTimeYS fim) {
this.fim = fim;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

