package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabItcLogXml {
@Coluna(nome="itc_log_xml.processo", tipo="int")
private int processo;
private boolean processoNull;
@Coluna(nome="itc_log_xml.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="itc_log_xml.execucao", tipo="FglDateTimeYS")
private FglDateTimeYS execucao;
@Coluna(nome="itc_log_xml.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_log_xml.xml", tipo="String")
private String xml;

public TabItcLogXml() {
initialize();
}

public void initialize() {
setProcesso(null);
setSequencia(null);
setExecucao(null);
setDescricao(null);
setXml(null);
}

public TabItcLogXml(int processo, int sequencia, FglDateTimeYS execucao, String descricao, String xml) {
this.processo = processo;
this.sequencia = sequencia;
this.execucao = execucao;
this.descricao = descricao;
this.xml = xml;
}

public int getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(Integer processo) {
if (processo == null) {
processoNull = true;
this.processo = 0;
} else { 
processoNull = false;
this.processo = processo;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDateTimeYS getExecucao() {
return execucao;
}

public void setExecucao(FglDateTimeYS execucao) {
this.execucao = execucao;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getXml() {
return xml;
}

public void setXml(String xml) {
this.xml = xml;
}

}

