package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabItcPecas {
@Coluna(nome="itc_pecas.id_peca", tipo="int")
private int idPeca;
private boolean idPecaNull;
@Coluna(nome="itc_pecas.peca_sin", tipo="long")
private long pecaSin;
private boolean pecaSinNull;
@Coluna(nome="itc_pecas.partnumber", tipo="String")
private String partnumber;
@Coluna(nome="itc_pecas.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_pecas.quantidade", tipo="int")
private int quantidade;
private boolean quantidadeNull;
@Coluna(nome="itc_pecas.val_peca", tipo="double")
private double valPeca;
private boolean valPecaNull;
@Coluna(nome="itc_pecas.tipo", tipo="String")
private String tipo;
@Coluna(nome="itc_pecas.id", tipo="long")
private long id;
private boolean idNull;
@Coluna(nome="itc_pecas.servico_sin", tipo="long")
private long servicoSin;
private boolean servicoSinNull;
@Coluna(nome="itc_pecas.dta_envio", tipo="FglDate")
private FglDate dtaEnvio;
@Coluna(nome="itc_pecas.peca_dms", tipo="String")
private String pecaDms;
@Coluna(nome="itc_pecas.numero_dn", tipo="String")
private String numeroDn;
@Coluna(nome="itc_pecas.cod_pacote_sin", tipo="long")
private long codPacoteSin;
private boolean codPacoteSinNull;
@Coluna(nome="itc_pecas.cod_pacote_dms", tipo="long")
private long codPacoteDms;
private boolean codPacoteDmsNull;

public TabItcPecas() {
initialize();
}

public void initialize() {
setIdPeca(null);
setPecaSin(null);
setPartnumber(null);
setDescricao(null);
setQuantidade(null);
setValPeca(null);
setTipo(null);
setId(null);
setServicoSin(null);
setDtaEnvio(null);
setPecaDms(null);
setNumeroDn(null);
setCodPacoteSin(null);
setCodPacoteDms(null);
}

public TabItcPecas(int idPeca, long pecaSin, String partnumber, String descricao, int quantidade, double valPeca, String tipo, long id, long servicoSin, FglDate dtaEnvio, String pecaDms, String numeroDn, long codPacoteSin, long codPacoteDms) {
this.idPeca = idPeca;
this.pecaSin = pecaSin;
this.partnumber = partnumber;
this.descricao = descricao;
this.quantidade = quantidade;
this.valPeca = valPeca;
this.tipo = tipo;
this.id = id;
this.servicoSin = servicoSin;
this.dtaEnvio = dtaEnvio;
this.pecaDms = pecaDms;
this.numeroDn = numeroDn;
this.codPacoteSin = codPacoteSin;
this.codPacoteDms = codPacoteDms;
}

public int getIdPeca() {
return idPeca;
}

public boolean isIdPecaNull() {
return idPecaNull;
}

public void setIdPeca(Integer idPeca) {
if (idPeca == null) {
idPecaNull = true;
this.idPeca = 0;
} else { 
idPecaNull = false;
this.idPeca = idPeca;
}
}

public long getPecaSin() {
return pecaSin;
}

public boolean isPecaSinNull() {
return pecaSinNull;
}

public void setPecaSin(int pecaSin) {
setPecaSin(new Long(pecaSin));
}

public void setPecaSin(Long pecaSin) {
if (pecaSin == null) {
pecaSinNull = true;
this.pecaSin = 0l;
} else { 
pecaSinNull = false;
this.pecaSin = pecaSin;
}
}

public String getPartnumber() {
return partnumber;
}

public void setPartnumber(String partnumber) {
this.partnumber = partnumber;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(Integer quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0;
} else { 
quantidadeNull = false;
this.quantidade = quantidade;
}
}

public double getValPeca() {
return valPeca;
}

public boolean isValPecaNull() {
return valPecaNull;
}

public void setValPeca(int valPeca) {
setValPeca(new Double(valPeca));
}

public void setValPeca(long valPeca) {
setValPeca(new Double(valPeca));
}

public void setValPeca(Double valPeca) {
if (valPeca == null) {
valPecaNull = true;
this.valPeca = 0.;
} else { 
valPecaNull = false;
this.valPeca = FglDouble.round(valPeca, 2);
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public long getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(int id) {
setId(new Long(id));
}

public void setId(Long id) {
if (id == null) {
idNull = true;
this.id = 0l;
} else { 
idNull = false;
this.id = id;
}
}

public long getServicoSin() {
return servicoSin;
}

public boolean isServicoSinNull() {
return servicoSinNull;
}

public void setServicoSin(int servicoSin) {
setServicoSin(new Long(servicoSin));
}

public void setServicoSin(Long servicoSin) {
if (servicoSin == null) {
servicoSinNull = true;
this.servicoSin = 0l;
} else { 
servicoSinNull = false;
this.servicoSin = servicoSin;
}
}

public FglDate getDtaEnvio() {
return dtaEnvio;
}

public void setDtaEnvio(FglDate dtaEnvio) {
this.dtaEnvio = dtaEnvio;
}

public String getPecaDms() {
return pecaDms;
}

public void setPecaDms(String pecaDms) {
this.pecaDms = pecaDms;
}

public String getNumeroDn() {
return numeroDn;
}

public void setNumeroDn(String numeroDn) {
this.numeroDn = numeroDn;
}

public long getCodPacoteSin() {
return codPacoteSin;
}

public boolean isCodPacoteSinNull() {
return codPacoteSinNull;
}

public void setCodPacoteSin(int codPacoteSin) {
setCodPacoteSin(new Long(codPacoteSin));
}

public void setCodPacoteSin(Long codPacoteSin) {
if (codPacoteSin == null) {
codPacoteSinNull = true;
this.codPacoteSin = 0l;
} else { 
codPacoteSinNull = false;
this.codPacoteSin = codPacoteSin;
}
}

public long getCodPacoteDms() {
return codPacoteDms;
}

public boolean isCodPacoteDmsNull() {
return codPacoteDmsNull;
}

public void setCodPacoteDms(int codPacoteDms) {
setCodPacoteDms(new Long(codPacoteDms));
}

public void setCodPacoteDms(Long codPacoteDms) {
if (codPacoteDms == null) {
codPacoteDmsNull = true;
this.codPacoteDms = 0l;
} else { 
codPacoteDmsNull = false;
this.codPacoteDms = codPacoteDms;
}
}

}

