package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabItcServicos {
@Coluna(nome="itc_servicos.id", tipo="long")
private long id;
private boolean idNull;
@Coluna(nome="itc_servicos.contador", tipo="int")
private int contador;
private boolean contadorNull;
@Coluna(nome="itc_servicos.servico_sin", tipo="long")
private long servicoSin;
private boolean servicoSinNull;
@Coluna(nome="itc_servicos.tipo_servico", tipo="String")
private String tipoServico;
@Coluna(nome="itc_servicos.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_servicos.tempo", tipo="double")
private double tempo;
private boolean tempoNull;
@Coluna(nome="itc_servicos.val_servico", tipo="double")
private double valServico;
private boolean valServicoNull;
@Coluna(nome="itc_servicos.codigo_dms", tipo="String")
private String codigoDms;
@Coluna(nome="itc_servicos.cod_pacote_sin", tipo="long")
private long codPacoteSin;
private boolean codPacoteSinNull;
@Coluna(nome="itc_servicos.cod_pacote_dms", tipo="long")
private long codPacoteDms;
private boolean codPacoteDmsNull;

public TabItcServicos() {
initialize();
}

public void initialize() {
setId(null);
setContador(null);
setServicoSin(null);
setTipoServico(null);
setDescricao(null);
setTempo(null);
setValServico(null);
setCodigoDms(null);
setCodPacoteSin(null);
setCodPacoteDms(null);
}

public TabItcServicos(long id, int contador, long servicoSin, String tipoServico, String descricao, double tempo, double valServico, String codigoDms, long codPacoteSin, long codPacoteDms) {
this.id = id;
this.contador = contador;
this.servicoSin = servicoSin;
this.tipoServico = tipoServico;
this.descricao = descricao;
this.tempo = tempo;
this.valServico = valServico;
this.codigoDms = codigoDms;
this.codPacoteSin = codPacoteSin;
this.codPacoteDms = codPacoteDms;
}

public long getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(int id) {
setId(new Long(id));
}

public void setId(Long id) {
if (id == null) {
idNull = true;
this.id = 0l;
} else { 
idNull = false;
this.id = id;
}
}

public int getContador() {
return contador;
}

public boolean isContadorNull() {
return contadorNull;
}

public void setContador(Integer contador) {
if (contador == null) {
contadorNull = true;
this.contador = 0;
} else { 
contadorNull = false;
this.contador = contador;
}
}

public long getServicoSin() {
return servicoSin;
}

public boolean isServicoSinNull() {
return servicoSinNull;
}

public void setServicoSin(int servicoSin) {
setServicoSin(new Long(servicoSin));
}

public void setServicoSin(Long servicoSin) {
if (servicoSin == null) {
servicoSinNull = true;
this.servicoSin = 0l;
} else { 
servicoSinNull = false;
this.servicoSin = servicoSin;
}
}

public String getTipoServico() {
return tipoServico;
}

public void setTipoServico(String tipoServico) {
this.tipoServico = tipoServico;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getTempo() {
return tempo;
}

public boolean isTempoNull() {
return tempoNull;
}

public void setTempo(int tempo) {
setTempo(new Double(tempo));
}

public void setTempo(long tempo) {
setTempo(new Double(tempo));
}

public void setTempo(Double tempo) {
if (tempo == null) {
tempoNull = true;
this.tempo = 0.;
} else { 
tempoNull = false;
this.tempo = FglDouble.round(tempo, 2);
}
}

public double getValServico() {
return valServico;
}

public boolean isValServicoNull() {
return valServicoNull;
}

public void setValServico(int valServico) {
setValServico(new Double(valServico));
}

public void setValServico(long valServico) {
setValServico(new Double(valServico));
}

public void setValServico(Double valServico) {
if (valServico == null) {
valServicoNull = true;
this.valServico = 0.;
} else { 
valServicoNull = false;
this.valServico = FglDouble.round(valServico, 2);
}
}

public String getCodigoDms() {
return codigoDms;
}

public void setCodigoDms(String codigoDms) {
this.codigoDms = codigoDms;
}

public long getCodPacoteSin() {
return codPacoteSin;
}

public boolean isCodPacoteSinNull() {
return codPacoteSinNull;
}

public void setCodPacoteSin(int codPacoteSin) {
setCodPacoteSin(new Long(codPacoteSin));
}

public void setCodPacoteSin(Long codPacoteSin) {
if (codPacoteSin == null) {
codPacoteSinNull = true;
this.codPacoteSin = 0l;
} else { 
codPacoteSinNull = false;
this.codPacoteSin = codPacoteSin;
}
}

public long getCodPacoteDms() {
return codPacoteDms;
}

public boolean isCodPacoteDmsNull() {
return codPacoteDmsNull;
}

public void setCodPacoteDms(int codPacoteDms) {
setCodPacoteDms(new Long(codPacoteDms));
}

public void setCodPacoteDms(Long codPacoteDms) {
if (codPacoteDms == null) {
codPacoteDmsNull = true;
this.codPacoteDms = 0l;
} else { 
codPacoteDmsNull = false;
this.codPacoteDms = codPacoteDms;
}
}

}

