package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabItcSin {
@Coluna(nome="itc_sin.id", tipo="long")
private long id;
private boolean idNull;
@Coluna(nome="itc_sin.numero_dn", tipo="String")
private String numeroDn;
@Coluna(nome="itc_sin.tipo", tipo="String")
private String tipo;
@Coluna(nome="itc_sin.id_sin", tipo="long")
private long idSin;
private boolean idSinNull;
@Coluna(nome="itc_sin.status", tipo="String")
private String status;
@Coluna(nome="itc_sin.data", tipo="FglDateTimeYS")
private FglDateTimeYS data;
@Coluna(nome="itc_sin.cpf_cnpj", tipo="long")
private long cpfCnpj;
private boolean cpfCnpjNull;
@Coluna(nome="itc_sin.cpf_consultor", tipo="long")
private long cpfConsultor;
private boolean cpfConsultorNull;
@Coluna(nome="itc_sin.nome_consultor", tipo="String")
private String nomeConsultor;
@Coluna(nome="itc_sin.id_veiculo", tipo="int")
private int idVeiculo;
private boolean idVeiculoNull;
@Coluna(nome="itc_sin.dta_criacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaCriacao;
@Coluna(nome="itc_sin.dta_atualizacao_dms", tipo="FglDate")
private FglDate dtaAtualizacaoDms;
@Coluna(nome="itc_sin.id_sisdia", tipo="long")
private long idSisdia;
private boolean idSisdiaNull;
@Coluna(nome="itc_sin.nro_os", tipo="long")
private long nroOs;
private boolean nroOsNull;
@Coluna(nome="itc_sin.tipo_os", tipo="String")
private String tipoOs;
@Coluna(nome="itc_sin.tipo_servico_anterior", tipo="String")
private String tipoServicoAnterior;
@Coluna(nome="itc_sin.status_os", tipo="String")
private String statusOs;

public TabItcSin() {
initialize();
}

public void initialize() {
setId(null);
setNumeroDn(null);
setTipo(null);
setIdSin(null);
setStatus(null);
setData(null);
setCpfCnpj(null);
setCpfConsultor(null);
setNomeConsultor(null);
setIdVeiculo(null);
setDtaCriacao(null);
setDtaAtualizacaoDms(null);
setIdSisdia(null);
setNroOs(null);
setTipoOs(null);
setTipoServicoAnterior(null);
setStatusOs(null);
}

public TabItcSin(long id, String numeroDn, String tipo, long idSin, String status, FglDateTimeYS data, long cpfCnpj, long cpfConsultor, String nomeConsultor, int idVeiculo, FglDateTimeYS dtaCriacao, FglDate dtaAtualizacaoDms, long idSisdia, long nroOs, String tipoOs, String tipoServicoAnterior, String statusOs) {
this.id = id;
this.numeroDn = numeroDn;
this.tipo = tipo;
this.idSin = idSin;
this.status = status;
this.data = data;
this.cpfCnpj = cpfCnpj;
this.cpfConsultor = cpfConsultor;
this.nomeConsultor = nomeConsultor;
this.idVeiculo = idVeiculo;
this.dtaCriacao = dtaCriacao;
this.dtaAtualizacaoDms = dtaAtualizacaoDms;
this.idSisdia = idSisdia;
this.nroOs = nroOs;
this.tipoOs = tipoOs;
this.tipoServicoAnterior = tipoServicoAnterior;
this.statusOs = statusOs;
}

public long getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(int id) {
setId(new Long(id));
}

public void setId(Long id) {
if (id == null) {
idNull = true;
this.id = 0l;
} else { 
idNull = false;
this.id = id;
}
}

public String getNumeroDn() {
return numeroDn;
}

public void setNumeroDn(String numeroDn) {
this.numeroDn = numeroDn;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public long getIdSin() {
return idSin;
}

public boolean isIdSinNull() {
return idSinNull;
}

public void setIdSin(int idSin) {
setIdSin(new Long(idSin));
}

public void setIdSin(Long idSin) {
if (idSin == null) {
idSinNull = true;
this.idSin = 0l;
} else { 
idSinNull = false;
this.idSin = idSin;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getData() {
return data;
}

public void setData(FglDateTimeYS data) {
this.data = data;
}

public long getCpfCnpj() {
return cpfCnpj;
}

public boolean isCpfCnpjNull() {
return cpfCnpjNull;
}

public void setCpfCnpj(int cpfCnpj) {
setCpfCnpj(new Long(cpfCnpj));
}

public void setCpfCnpj(Long cpfCnpj) {
if (cpfCnpj == null) {
cpfCnpjNull = true;
this.cpfCnpj = 0l;
} else { 
cpfCnpjNull = false;
this.cpfCnpj = cpfCnpj;
}
}

public long getCpfConsultor() {
return cpfConsultor;
}

public boolean isCpfConsultorNull() {
return cpfConsultorNull;
}

public void setCpfConsultor(int cpfConsultor) {
setCpfConsultor(new Long(cpfConsultor));
}

public void setCpfConsultor(Long cpfConsultor) {
if (cpfConsultor == null) {
cpfConsultorNull = true;
this.cpfConsultor = 0l;
} else { 
cpfConsultorNull = false;
this.cpfConsultor = cpfConsultor;
}
}

public String getNomeConsultor() {
return nomeConsultor;
}

public void setNomeConsultor(String nomeConsultor) {
this.nomeConsultor = nomeConsultor;
}

public int getIdVeiculo() {
return idVeiculo;
}

public boolean isIdVeiculoNull() {
return idVeiculoNull;
}

public void setIdVeiculo(Integer idVeiculo) {
if (idVeiculo == null) {
idVeiculoNull = true;
this.idVeiculo = 0;
} else { 
idVeiculoNull = false;
this.idVeiculo = idVeiculo;
}
}

public FglDateTimeYS getDtaCriacao() {
return dtaCriacao;
}

public void setDtaCriacao(FglDateTimeYS dtaCriacao) {
this.dtaCriacao = dtaCriacao;
}

public FglDate getDtaAtualizacaoDms() {
return dtaAtualizacaoDms;
}

public void setDtaAtualizacaoDms(FglDate dtaAtualizacaoDms) {
this.dtaAtualizacaoDms = dtaAtualizacaoDms;
}

public long getIdSisdia() {
return idSisdia;
}

public boolean isIdSisdiaNull() {
return idSisdiaNull;
}

public void setIdSisdia(int idSisdia) {
setIdSisdia(new Long(idSisdia));
}

public void setIdSisdia(Long idSisdia) {
if (idSisdia == null) {
idSisdiaNull = true;
this.idSisdia = 0l;
} else { 
idSisdiaNull = false;
this.idSisdia = idSisdia;
}
}

public long getNroOs() {
return nroOs;
}

public boolean isNroOsNull() {
return nroOsNull;
}

public void setNroOs(int nroOs) {
setNroOs(new Long(nroOs));
}

public void setNroOs(Long nroOs) {
if (nroOs == null) {
nroOsNull = true;
this.nroOs = 0l;
} else { 
nroOsNull = false;
this.nroOs = nroOs;
}
}

public String getTipoOs() {
return tipoOs;
}

public void setTipoOs(String tipoOs) {
this.tipoOs = tipoOs;
}

public String getTipoServicoAnterior() {
return tipoServicoAnterior;
}

public void setTipoServicoAnterior(String tipoServicoAnterior) {
this.tipoServicoAnterior = tipoServicoAnterior;
}

public String getStatusOs() {
return statusOs;
}

public void setStatusOs(String statusOs) {
this.statusOs = statusOs;
}

}

