package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvAcaoauto {
@Coluna(nome="iv_acaoauto.seqacaoauto", tipo="long")
private long seqacaoauto;
private boolean seqacaoautoNull;
@Coluna(nome="iv_acaoauto.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_acaoauto.resultado", tipo="long")
private long resultado;
private boolean resultadoNull;
@Coluna(nome="iv_acaoauto.resultadocmpl", tipo="String")
private String resultadocmpl;
@Coluna(nome="iv_acaoauto.acao", tipo="long")
private long acao;
private boolean acaoNull;
@Coluna(nome="iv_acaoauto.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_acaoauto.assuntocmpl", tipo="String")
private String assuntocmpl;
@Coluna(nome="iv_acaoauto.operacao", tipo="String")
private String operacao;
@Coluna(nome="iv_acaoauto.usaobjdyn", tipo="int")
private int usaobjdyn;
private boolean usaobjdynNull;
@Coluna(nome="iv_acaoauto.exigida", tipo="String")
private String exigida;
@Coluna(nome="iv_acaoauto.gerarpara", tipo="String")
private String gerarpara;
@Coluna(nome="iv_acaoauto.formageracao", tipo="String")
private String formageracao;
@Coluna(nome="iv_acaoauto.qtdedias", tipo="int")
private int qtdedias;
private boolean qtdediasNull;
@Coluna(nome="iv_acaoauto.qtdediasmax", tipo="int")
private int qtdediasmax;
private boolean qtdediasmaxNull;
@Coluna(nome="iv_acaoauto.qtdediaslmte", tipo="double")
private double qtdediaslmte;
private boolean qtdediaslmteNull;
@Coluna(nome="iv_acaoauto.departamento", tipo="String")
private String departamento;
@Coluna(nome="iv_acaoauto.ativoreceptivo", tipo="String")
private String ativoreceptivo;
@Coluna(nome="iv_acaoauto.formaprimcont", tipo="String")
private String formaprimcont;
@Coluna(nome="iv_acaoauto.prioridade", tipo="int")
private int prioridade;
private boolean prioridadeNull;
@Coluna(nome="iv_acaoauto.operadorfixo", tipo="String")
private String operadorfixo;
@Coluna(nome="iv_acaoauto.semconfirmacao", tipo="String")
private String semconfirmacao;
@Coluna(nome="iv_acaoauto.tipoagendamento", tipo="String")
private String tipoagendamento;
@Coluna(nome="iv_acaoauto.mesmoprocesso", tipo="String")
private String mesmoprocesso;
@Coluna(nome="iv_acaoauto.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_acaoauto.seqorder", tipo="int")
private int seqorder;
private boolean seqorderNull;

public TabIvAcaoauto() {
initialize();
}

public void initialize() {
setSeqacaoauto(null);
setNroempresa(null);
setResultado(null);
setResultadocmpl(null);
setAcao(null);
setSequsuario(null);
setAssuntocmpl(null);
setOperacao(null);
setUsaobjdyn(null);
setExigida(null);
setGerarpara(null);
setFormageracao(null);
setQtdedias(null);
setQtdediasmax(null);
setQtdediaslmte(null);
setDepartamento(null);
setAtivoreceptivo(null);
setFormaprimcont(null);
setPrioridade(null);
setOperadorfixo(null);
setSemconfirmacao(null);
setTipoagendamento(null);
setMesmoprocesso(null);
setCodprocesso(null);
setSeqorder(null);
}

public TabIvAcaoauto(long seqacaoauto, int nroempresa, long resultado, String resultadocmpl, long acao, long sequsuario, String assuntocmpl, String operacao, int usaobjdyn, String exigida, String gerarpara, String formageracao, int qtdedias, int qtdediasmax, double qtdediaslmte, String departamento, String ativoreceptivo, String formaprimcont, int prioridade, String operadorfixo, String semconfirmacao, String tipoagendamento, String mesmoprocesso, int codprocesso, int seqorder) {
this.seqacaoauto = seqacaoauto;
this.nroempresa = nroempresa;
this.resultado = resultado;
this.resultadocmpl = resultadocmpl;
this.acao = acao;
this.sequsuario = sequsuario;
this.assuntocmpl = assuntocmpl;
this.operacao = operacao;
this.usaobjdyn = usaobjdyn;
this.exigida = exigida;
this.gerarpara = gerarpara;
this.formageracao = formageracao;
this.qtdedias = qtdedias;
this.qtdediasmax = qtdediasmax;
this.qtdediaslmte = qtdediaslmte;
this.departamento = departamento;
this.ativoreceptivo = ativoreceptivo;
this.formaprimcont = formaprimcont;
this.prioridade = prioridade;
this.operadorfixo = operadorfixo;
this.semconfirmacao = semconfirmacao;
this.tipoagendamento = tipoagendamento;
this.mesmoprocesso = mesmoprocesso;
this.codprocesso = codprocesso;
this.seqorder = seqorder;
}

public long getSeqacaoauto() {
return seqacaoauto;
}

public boolean isSeqacaoautoNull() {
return seqacaoautoNull;
}

public void setSeqacaoauto(int seqacaoauto) {
setSeqacaoauto(new Long(seqacaoauto));
}

public void setSeqacaoauto(Long seqacaoauto) {
if (seqacaoauto == null) {
seqacaoautoNull = true;
this.seqacaoauto = 0l;
} else { 
seqacaoautoNull = false;
this.seqacaoauto = seqacaoauto;
}
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public long getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Long(resultado));
}

public void setResultado(Long resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0l;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public String getResultadocmpl() {
return resultadocmpl;
}

public void setResultadocmpl(String resultadocmpl) {
this.resultadocmpl = resultadocmpl;
}

public long getAcao() {
return acao;
}

public boolean isAcaoNull() {
return acaoNull;
}

public void setAcao(int acao) {
setAcao(new Long(acao));
}

public void setAcao(Long acao) {
if (acao == null) {
acaoNull = true;
this.acao = 0l;
} else { 
acaoNull = false;
this.acao = acao;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public String getAssuntocmpl() {
return assuntocmpl;
}

public void setAssuntocmpl(String assuntocmpl) {
this.assuntocmpl = assuntocmpl;
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public int getUsaobjdyn() {
return usaobjdyn;
}

public boolean isUsaobjdynNull() {
return usaobjdynNull;
}

public void setUsaobjdyn(Integer usaobjdyn) {
if (usaobjdyn == null) {
usaobjdynNull = true;
this.usaobjdyn = 0;
} else { 
usaobjdynNull = false;
this.usaobjdyn = usaobjdyn;
}
}

public String getExigida() {
return exigida;
}

public void setExigida(String exigida) {
this.exigida = exigida;
}

public String getGerarpara() {
return gerarpara;
}

public void setGerarpara(String gerarpara) {
this.gerarpara = gerarpara;
}

public String getFormageracao() {
return formageracao;
}

public void setFormageracao(String formageracao) {
this.formageracao = formageracao;
}

public int getQtdedias() {
return qtdedias;
}

public boolean isQtdediasNull() {
return qtdediasNull;
}

public void setQtdedias(Integer qtdedias) {
if (qtdedias == null) {
qtdediasNull = true;
this.qtdedias = 0;
} else { 
qtdediasNull = false;
this.qtdedias = qtdedias;
}
}

public int getQtdediasmax() {
return qtdediasmax;
}

public boolean isQtdediasmaxNull() {
return qtdediasmaxNull;
}

public void setQtdediasmax(Integer qtdediasmax) {
if (qtdediasmax == null) {
qtdediasmaxNull = true;
this.qtdediasmax = 0;
} else { 
qtdediasmaxNull = false;
this.qtdediasmax = qtdediasmax;
}
}

public double getQtdediaslmte() {
return qtdediaslmte;
}

public boolean isQtdediaslmteNull() {
return qtdediaslmteNull;
}

public void setQtdediaslmte(int qtdediaslmte) {
setQtdediaslmte(new Double(qtdediaslmte));
}

public void setQtdediaslmte(long qtdediaslmte) {
setQtdediaslmte(new Double(qtdediaslmte));
}

public void setQtdediaslmte(Double qtdediaslmte) {
if (qtdediaslmte == null) {
qtdediaslmteNull = true;
this.qtdediaslmte = 0.;
} else { 
qtdediaslmteNull = false;
this.qtdediaslmte = FglDouble.round(qtdediaslmte, 1);
}
}

public String getDepartamento() {
return departamento;
}

public void setDepartamento(String departamento) {
this.departamento = departamento;
}

public String getAtivoreceptivo() {
return ativoreceptivo;
}

public void setAtivoreceptivo(String ativoreceptivo) {
this.ativoreceptivo = ativoreceptivo;
}

public String getFormaprimcont() {
return formaprimcont;
}

public void setFormaprimcont(String formaprimcont) {
this.formaprimcont = formaprimcont;
}

public int getPrioridade() {
return prioridade;
}

public boolean isPrioridadeNull() {
return prioridadeNull;
}

public void setPrioridade(Integer prioridade) {
if (prioridade == null) {
prioridadeNull = true;
this.prioridade = 0;
} else { 
prioridadeNull = false;
this.prioridade = prioridade;
}
}

public String getOperadorfixo() {
return operadorfixo;
}

public void setOperadorfixo(String operadorfixo) {
this.operadorfixo = operadorfixo;
}

public String getSemconfirmacao() {
return semconfirmacao;
}

public void setSemconfirmacao(String semconfirmacao) {
this.semconfirmacao = semconfirmacao;
}

public String getTipoagendamento() {
return tipoagendamento;
}

public void setTipoagendamento(String tipoagendamento) {
this.tipoagendamento = tipoagendamento;
}

public String getMesmoprocesso() {
return mesmoprocesso;
}

public void setMesmoprocesso(String mesmoprocesso) {
this.mesmoprocesso = mesmoprocesso;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public int getSeqorder() {
return seqorder;
}

public boolean isSeqorderNull() {
return seqorderNull;
}

public void setSeqorder(Integer seqorder) {
if (seqorder == null) {
seqorderNull = true;
this.seqorder = 0;
} else { 
seqorderNull = false;
this.seqorder = seqorder;
}
}

}

