package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvBaseinformacao {
@Coluna(nome="iv_baseinformacao.seqconh", tipo="long")
private long seqconh;
private boolean seqconhNull;
@Coluna(nome="iv_baseinformacao.fontetipo", tipo="String")
private String fontetipo;
@Coluna(nome="iv_baseinformacao.fontetamanho", tipo="int")
private int fontetamanho;
private boolean fontetamanhoNull;
@Coluna(nome="iv_baseinformacao.fontecor", tipo="long")
private long fontecor;
private boolean fontecorNull;
@Coluna(nome="iv_baseinformacao.fundocor", tipo="long")
private long fundocor;
private boolean fundocorNull;
@Coluna(nome="iv_baseinformacao.conteudo", tipo="String")
private String conteudo;
@Coluna(nome="iv_baseinformacao.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_baseinformacao.usualteracao", tipo="String")
private String usualteracao;

public TabIvBaseinformacao() {
initialize();
}

public void initialize() {
setSeqconh(null);
setFontetipo(null);
setFontetamanho(null);
setFontecor(null);
setFundocor(null);
setConteudo(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvBaseinformacao(long seqconh, String fontetipo, int fontetamanho, long fontecor, long fundocor, String conteudo, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqconh = seqconh;
this.fontetipo = fontetipo;
this.fontetamanho = fontetamanho;
this.fontecor = fontecor;
this.fundocor = fundocor;
this.conteudo = conteudo;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqconh() {
return seqconh;
}

public boolean isSeqconhNull() {
return seqconhNull;
}

public void setSeqconh(int seqconh) {
setSeqconh(new Long(seqconh));
}

public void setSeqconh(Long seqconh) {
if (seqconh == null) {
seqconhNull = true;
this.seqconh = 0l;
} else { 
seqconhNull = false;
this.seqconh = seqconh;
}
}

public String getFontetipo() {
return fontetipo;
}

public void setFontetipo(String fontetipo) {
this.fontetipo = fontetipo;
}

public int getFontetamanho() {
return fontetamanho;
}

public boolean isFontetamanhoNull() {
return fontetamanhoNull;
}

public void setFontetamanho(Integer fontetamanho) {
if (fontetamanho == null) {
fontetamanhoNull = true;
this.fontetamanho = 0;
} else { 
fontetamanhoNull = false;
this.fontetamanho = fontetamanho;
}
}

public long getFontecor() {
return fontecor;
}

public boolean isFontecorNull() {
return fontecorNull;
}

public void setFontecor(int fontecor) {
setFontecor(new Long(fontecor));
}

public void setFontecor(Long fontecor) {
if (fontecor == null) {
fontecorNull = true;
this.fontecor = 0l;
} else { 
fontecorNull = false;
this.fontecor = fontecor;
}
}

public long getFundocor() {
return fundocor;
}

public boolean isFundocorNull() {
return fundocorNull;
}

public void setFundocor(int fundocor) {
setFundocor(new Long(fundocor));
}

public void setFundocor(Long fundocor) {
if (fundocor == null) {
fundocorNull = true;
this.fundocor = 0l;
} else { 
fundocorNull = false;
this.fundocor = fundocor;
}
}

public String getConteudo() {
return conteudo;
}

public void setConteudo(String conteudo) {
this.conteudo = conteudo;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

