package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvClasseres {
@Coluna(nome="iv_classeres.seqclasseres", tipo="int")
private int seqclasseres;
private boolean seqclasseresNull;
@Coluna(nome="iv_classeres.classe", tipo="String")
private String classe;
@Coluna(nome="iv_classeres.cor", tipo="long")
private long cor;
private boolean corNull;
@Coluna(nome="iv_classeres.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_classeres.usualteracao", tipo="String")
private String usualteracao;

public TabIvClasseres() {
initialize();
}

public void initialize() {
setSeqclasseres(null);
setClasse(null);
setCor(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvClasseres(int seqclasseres, String classe, long cor, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqclasseres = seqclasseres;
this.classe = classe;
this.cor = cor;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public int getSeqclasseres() {
return seqclasseres;
}

public boolean isSeqclasseresNull() {
return seqclasseresNull;
}

public void setSeqclasseres(Integer seqclasseres) {
if (seqclasseres == null) {
seqclasseresNull = true;
this.seqclasseres = 0;
} else { 
seqclasseresNull = false;
this.seqclasseres = seqclasseres;
}
}

public String getClasse() {
return classe;
}

public void setClasse(String classe) {
this.classe = classe;
}

public long getCor() {
return cor;
}

public boolean isCorNull() {
return corNull;
}

public void setCor(int cor) {
setCor(new Long(cor));
}

public void setCor(Long cor) {
if (cor == null) {
corNull = true;
this.cor = 0l;
} else { 
corNull = false;
this.cor = cor;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

