package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvCodprocesso {
@Coluna(nome="iv_codprocesso.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_codprocesso.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_codprocesso.descrred", tipo="String")
private String descrred;
@Coluna(nome="iv_codprocesso.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_codprocesso.tipoprocesso", tipo="String")
private String tipoprocesso;
@Coluna(nome="iv_codprocesso.usaperspectiva", tipo="int")
private int usaperspectiva;
private boolean usaperspectivaNull;
@Coluna(nome="iv_codprocesso.usapercconclusao", tipo="int")
private int usapercconclusao;
private boolean usapercconclusaoNull;
@Coluna(nome="iv_codprocesso.usavalor", tipo="int")
private int usavalor;
private boolean usavalorNull;
@Coluna(nome="iv_codprocesso.usamaterial", tipo="int")
private int usamaterial;
private boolean usamaterialNull;
@Coluna(nome="iv_codprocesso.usastatus", tipo="int")
private int usastatus;
private boolean usastatusNull;
@Coluna(nome="iv_codprocesso.descvalor", tipo="String")
private String descvalor;
@Coluna(nome="iv_codprocesso.usaqtde", tipo="int")
private int usaqtde;
private boolean usaqtdeNull;
@Coluna(nome="iv_codprocesso.descqtde", tipo="String")
private String descqtde;
@Coluna(nome="iv_codprocesso.usaproduto", tipo="int")
private int usaproduto;
private boolean usaprodutoNull;
@Coluna(nome="iv_codprocesso.prodfamilia", tipo="String")
private String prodfamilia;
@Coluna(nome="iv_codprocesso.corlinha", tipo="long")
private long corlinha;
private boolean corlinhaNull;
@Coluna(nome="iv_codprocesso.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="iv_codprocesso.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_codprocesso.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_codprocesso.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_codprocesso.descpersp", tipo="String")
private String descpersp;
@Coluna(nome="iv_codprocesso.acaoprosp", tipo="int")
private int acaoprosp;
private boolean acaoprospNull;
@Coluna(nome="iv_codprocesso.acaoacomp", tipo="int")
private int acaoacomp;
private boolean acaoacompNull;
@Coluna(nome="iv_codprocesso.acaovenda", tipo="int")
private int acaovenda;
private boolean acaovendaNull;
@Coluna(nome="iv_codprocesso.usaresumo", tipo="int")
private int usaresumo;
private boolean usaresumoNull;

public TabIvCodprocesso() {
initialize();
}

public void initialize() {
setCodprocesso(null);
setDescricao(null);
setDescrred(null);
setEmuso(null);
setTipoprocesso(null);
setUsaperspectiva(null);
setUsapercconclusao(null);
setUsavalor(null);
setUsamaterial(null);
setUsastatus(null);
setDescvalor(null);
setUsaqtde(null);
setDescqtde(null);
setUsaproduto(null);
setProdfamilia(null);
setCorlinha(null);
setUsuinclusao(null);
setDtainclusao(null);
setUsualteracao(null);
setDtaalteracao(null);
setDescpersp(null);
setAcaoprosp(null);
setAcaoacomp(null);
setAcaovenda(null);
setUsaresumo(null);
}

public TabIvCodprocesso(int codprocesso, String descricao, String descrred, int emuso, String tipoprocesso, int usaperspectiva, int usapercconclusao, int usavalor, int usamaterial, int usastatus, String descvalor, int usaqtde, String descqtde, int usaproduto, String prodfamilia, long corlinha, String usuinclusao, FglDateTimeYS dtainclusao, String usualteracao, FglDateTimeYS dtaalteracao, String descpersp, int acaoprosp, int acaoacomp, int acaovenda, int usaresumo) {
this.codprocesso = codprocesso;
this.descricao = descricao;
this.descrred = descrred;
this.emuso = emuso;
this.tipoprocesso = tipoprocesso;
this.usaperspectiva = usaperspectiva;
this.usapercconclusao = usapercconclusao;
this.usavalor = usavalor;
this.usamaterial = usamaterial;
this.usastatus = usastatus;
this.descvalor = descvalor;
this.usaqtde = usaqtde;
this.descqtde = descqtde;
this.usaproduto = usaproduto;
this.prodfamilia = prodfamilia;
this.corlinha = corlinha;
this.usuinclusao = usuinclusao;
this.dtainclusao = dtainclusao;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.descpersp = descpersp;
this.acaoprosp = acaoprosp;
this.acaoacomp = acaoacomp;
this.acaovenda = acaovenda;
this.usaresumo = usaresumo;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getDescrred() {
return descrred;
}

public void setDescrred(String descrred) {
this.descrred = descrred;
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public String getTipoprocesso() {
return tipoprocesso;
}

public void setTipoprocesso(String tipoprocesso) {
this.tipoprocesso = tipoprocesso;
}

public int getUsaperspectiva() {
return usaperspectiva;
}

public boolean isUsaperspectivaNull() {
return usaperspectivaNull;
}

public void setUsaperspectiva(Integer usaperspectiva) {
if (usaperspectiva == null) {
usaperspectivaNull = true;
this.usaperspectiva = 0;
} else { 
usaperspectivaNull = false;
this.usaperspectiva = usaperspectiva;
}
}

public int getUsapercconclusao() {
return usapercconclusao;
}

public boolean isUsapercconclusaoNull() {
return usapercconclusaoNull;
}

public void setUsapercconclusao(Integer usapercconclusao) {
if (usapercconclusao == null) {
usapercconclusaoNull = true;
this.usapercconclusao = 0;
} else { 
usapercconclusaoNull = false;
this.usapercconclusao = usapercconclusao;
}
}

public int getUsavalor() {
return usavalor;
}

public boolean isUsavalorNull() {
return usavalorNull;
}

public void setUsavalor(Integer usavalor) {
if (usavalor == null) {
usavalorNull = true;
this.usavalor = 0;
} else { 
usavalorNull = false;
this.usavalor = usavalor;
}
}

public int getUsamaterial() {
return usamaterial;
}

public boolean isUsamaterialNull() {
return usamaterialNull;
}

public void setUsamaterial(Integer usamaterial) {
if (usamaterial == null) {
usamaterialNull = true;
this.usamaterial = 0;
} else { 
usamaterialNull = false;
this.usamaterial = usamaterial;
}
}

public int getUsastatus() {
return usastatus;
}

public boolean isUsastatusNull() {
return usastatusNull;
}

public void setUsastatus(Integer usastatus) {
if (usastatus == null) {
usastatusNull = true;
this.usastatus = 0;
} else { 
usastatusNull = false;
this.usastatus = usastatus;
}
}

public String getDescvalor() {
return descvalor;
}

public void setDescvalor(String descvalor) {
this.descvalor = descvalor;
}

public int getUsaqtde() {
return usaqtde;
}

public boolean isUsaqtdeNull() {
return usaqtdeNull;
}

public void setUsaqtde(Integer usaqtde) {
if (usaqtde == null) {
usaqtdeNull = true;
this.usaqtde = 0;
} else { 
usaqtdeNull = false;
this.usaqtde = usaqtde;
}
}

public String getDescqtde() {
return descqtde;
}

public void setDescqtde(String descqtde) {
this.descqtde = descqtde;
}

public int getUsaproduto() {
return usaproduto;
}

public boolean isUsaprodutoNull() {
return usaprodutoNull;
}

public void setUsaproduto(Integer usaproduto) {
if (usaproduto == null) {
usaprodutoNull = true;
this.usaproduto = 0;
} else { 
usaprodutoNull = false;
this.usaproduto = usaproduto;
}
}

public String getProdfamilia() {
return prodfamilia;
}

public void setProdfamilia(String prodfamilia) {
this.prodfamilia = prodfamilia;
}

public long getCorlinha() {
return corlinha;
}

public boolean isCorlinhaNull() {
return corlinhaNull;
}

public void setCorlinha(int corlinha) {
setCorlinha(new Long(corlinha));
}

public void setCorlinha(Long corlinha) {
if (corlinha == null) {
corlinhaNull = true;
this.corlinha = 0l;
} else { 
corlinhaNull = false;
this.corlinha = corlinha;
}
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getDescpersp() {
return descpersp;
}

public void setDescpersp(String descpersp) {
this.descpersp = descpersp;
}

public int getAcaoprosp() {
return acaoprosp;
}

public boolean isAcaoprospNull() {
return acaoprospNull;
}

public void setAcaoprosp(Integer acaoprosp) {
if (acaoprosp == null) {
acaoprospNull = true;
this.acaoprosp = 0;
} else { 
acaoprospNull = false;
this.acaoprosp = acaoprosp;
}
}

public int getAcaoacomp() {
return acaoacomp;
}

public boolean isAcaoacompNull() {
return acaoacompNull;
}

public void setAcaoacomp(Integer acaoacomp) {
if (acaoacomp == null) {
acaoacompNull = true;
this.acaoacomp = 0;
} else { 
acaoacompNull = false;
this.acaoacomp = acaoacomp;
}
}

public int getAcaovenda() {
return acaovenda;
}

public boolean isAcaovendaNull() {
return acaovendaNull;
}

public void setAcaovenda(Integer acaovenda) {
if (acaovenda == null) {
acaovendaNull = true;
this.acaovenda = 0;
} else { 
acaovendaNull = false;
this.acaovenda = acaovenda;
}
}

public int getUsaresumo() {
return usaresumo;
}

public boolean isUsaresumoNull() {
return usaresumoNull;
}

public void setUsaresumo(Integer usaresumo) {
if (usaresumo == null) {
usaresumoNull = true;
this.usaresumo = 0;
} else { 
usaresumoNull = false;
this.usaresumo = usaresumo;
}
}

}

