package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvDoctoapl {
@Coluna(nome="iv_doctoapl.seqdoctoapl", tipo="long")
private long seqdoctoapl;
private boolean seqdoctoaplNull;
@Coluna(nome="iv_doctoapl.docto", tipo="String")
private String docto;
@Coluna(nome="iv_doctoapl.atividade", tipo="String")
private String atividade;
@Coluna(nome="iv_doctoapl.tipoaplicativo", tipo="String")
private String tipoaplicativo;
@Coluna(nome="iv_doctoapl.localaplicativo", tipo="String")
private String localaplicativo;
@Coluna(nome="iv_doctoapl.aplicativo", tipo="String")
private String aplicativo;
@Coluna(nome="iv_doctoapl.paraminicial", tipo="String")
private String paraminicial;
@Coluna(nome="iv_doctoapl.param", tipo="String")
private String param;
@Coluna(nome="iv_doctoapl.paramfinal", tipo="String")
private String paramfinal;
@Coluna(nome="iv_doctoapl.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_doctoapl.sessao", tipo="String")
private String sessao;
@Coluna(nome="iv_doctoapl.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_doctoapl.usuincluiu", tipo="String")
private String usuincluiu;
@Coluna(nome="iv_doctoapl.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_doctoapl.usualterou", tipo="String")
private String usualterou;

public TabIvDoctoapl() {
initialize();
}

public void initialize() {
setSeqdoctoapl(null);
setDocto(null);
setAtividade(null);
setTipoaplicativo(null);
setLocalaplicativo(null);
setAplicativo(null);
setParaminicial(null);
setParam(null);
setParamfinal(null);
setEmuso(null);
setSessao(null);
setDtainclusao(null);
setUsuincluiu(null);
setDtaalteracao(null);
setUsualterou(null);
}

public TabIvDoctoapl(long seqdoctoapl, String docto, String atividade, String tipoaplicativo, String localaplicativo, String aplicativo, String paraminicial, String param, String paramfinal, int emuso, String sessao, FglDateTimeYS dtainclusao, String usuincluiu, FglDateTimeYS dtaalteracao, String usualterou) {
this.seqdoctoapl = seqdoctoapl;
this.docto = docto;
this.atividade = atividade;
this.tipoaplicativo = tipoaplicativo;
this.localaplicativo = localaplicativo;
this.aplicativo = aplicativo;
this.paraminicial = paraminicial;
this.param = param;
this.paramfinal = paramfinal;
this.emuso = emuso;
this.sessao = sessao;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
}

public long getSeqdoctoapl() {
return seqdoctoapl;
}

public boolean isSeqdoctoaplNull() {
return seqdoctoaplNull;
}

public void setSeqdoctoapl(int seqdoctoapl) {
setSeqdoctoapl(new Long(seqdoctoapl));
}

public void setSeqdoctoapl(Long seqdoctoapl) {
if (seqdoctoapl == null) {
seqdoctoaplNull = true;
this.seqdoctoapl = 0l;
} else { 
seqdoctoaplNull = false;
this.seqdoctoapl = seqdoctoapl;
}
}

public String getDocto() {
return docto;
}

public void setDocto(String docto) {
this.docto = docto;
}

public String getAtividade() {
return atividade;
}

public void setAtividade(String atividade) {
this.atividade = atividade;
}

public String getTipoaplicativo() {
return tipoaplicativo;
}

public void setTipoaplicativo(String tipoaplicativo) {
this.tipoaplicativo = tipoaplicativo;
}

public String getLocalaplicativo() {
return localaplicativo;
}

public void setLocalaplicativo(String localaplicativo) {
this.localaplicativo = localaplicativo;
}

public String getAplicativo() {
return aplicativo;
}

public void setAplicativo(String aplicativo) {
this.aplicativo = aplicativo;
}

public String getParaminicial() {
return paraminicial;
}

public void setParaminicial(String paraminicial) {
this.paraminicial = paraminicial;
}

public String getParam() {
return param;
}

public void setParam(String param) {
this.param = param;
}

public String getParamfinal() {
return paramfinal;
}

public void setParamfinal(String paramfinal) {
this.paramfinal = paramfinal;
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public String getSessao() {
return sessao;
}

public void setSessao(String sessao) {
this.sessao = sessao;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

}

