package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvFonectrlhst {
@Coluna(nome="iv_fonectrlhst.fonenro", tipo="long")
private long fonenro;
private boolean fonenroNull;
@Coluna(nome="iv_fonectrlhst.foneddd", tipo="int")
private int foneddd;
private boolean fonedddNull;
@Coluna(nome="iv_fonectrlhst.seqhst", tipo="int")
private int seqhst;
private boolean seqhstNull;
@Coluna(nome="iv_fonectrlhst.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_fonectrlhst.operacao", tipo="String")
private String operacao;
@Coluna(nome="iv_fonectrlhst.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_fonectrlhst.obs", tipo="String")
private String obs;

public TabIvFonectrlhst() {
initialize();
}

public void initialize() {
setFonenro(null);
setFoneddd(null);
setSeqhst(null);
setDtaalteracao(null);
setOperacao(null);
setUsualteracao(null);
setObs(null);
}

public TabIvFonectrlhst(long fonenro, int foneddd, int seqhst, FglDateTimeYS dtaalteracao, String operacao, String usualteracao, String obs) {
this.fonenro = fonenro;
this.foneddd = foneddd;
this.seqhst = seqhst;
this.dtaalteracao = dtaalteracao;
this.operacao = operacao;
this.usualteracao = usualteracao;
this.obs = obs;
}

public long getFonenro() {
return fonenro;
}

public boolean isFonenroNull() {
return fonenroNull;
}

public void setFonenro(int fonenro) {
setFonenro(new Long(fonenro));
}

public void setFonenro(Long fonenro) {
if (fonenro == null) {
fonenroNull = true;
this.fonenro = 0l;
} else { 
fonenroNull = false;
this.fonenro = fonenro;
}
}

public int getFoneddd() {
return foneddd;
}

public boolean isFonedddNull() {
return fonedddNull;
}

public void setFoneddd(Integer foneddd) {
if (foneddd == null) {
fonedddNull = true;
this.foneddd = 0;
} else { 
fonedddNull = false;
this.foneddd = foneddd;
}
}

public int getSeqhst() {
return seqhst;
}

public boolean isSeqhstNull() {
return seqhstNull;
}

public void setSeqhst(Integer seqhst) {
if (seqhst == null) {
seqhstNull = true;
this.seqhst = 0;
} else { 
seqhstNull = false;
this.seqhst = seqhst;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

