package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvHistorico {
@Coluna(nome="iv_historico.seqhistorico", tipo="long")
private long seqhistorico;
private boolean seqhistoricoNull;
@Coluna(nome="iv_historico.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_historico.contato", tipo="String")
private String contato;
@Coluna(nome="iv_historico.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_historico.sequsuario", tipo="int")
private int sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_historico.codusuario", tipo="String")
private String codusuario;
@Coluna(nome="iv_historico.acaogeradora", tipo="int")
private int acaogeradora;
private boolean acaogeradoraNull;
@Coluna(nome="iv_historico.resultado", tipo="long")
private long resultado;
private boolean resultadoNull;
@Coluna(nome="iv_historico.resultadocmpl", tipo="String")
private String resultadocmpl;
@Coluna(nome="iv_historico.agendaorigem", tipo="int")
private int agendaorigem;
private boolean agendaorigemNull;
@Coluna(nome="iv_historico.dtarealizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtarealizacao;
@Coluna(nome="iv_historico.detalhe", tipo="String")
private String detalhe;
@Coluna(nome="iv_historico.natureza", tipo="String")
private String natureza;
@Coluna(nome="iv_historico.vendedor", tipo="String")
private String vendedor;
@Coluna(nome="iv_historico.ultalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS ultalteracao;
@Coluna(nome="iv_historico.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_historico.departamento", tipo="String")
private String departamento;
@Coluna(nome="iv_historico.formaprimcont", tipo="String")
private String formaprimcont;
@Coluna(nome="iv_historico.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_historico.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_historico.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="iv_historico.qtde", tipo="double")
private double qtde;
private boolean qtdeNull;
@Coluna(nome="iv_historico.duracao", tipo="int")
private int duracao;
private boolean duracaoNull;
@Coluna(nome="iv_historico.temciencia", tipo="int")
private int temciencia;
private boolean temcienciaNull;

public TabIvHistorico() {
initialize();
}

public void initialize() {
setSeqhistorico(null);
setSeqpessoa(null);
setContato(null);
setNroempresa(null);
setSequsuario(null);
setCodusuario(null);
setAcaogeradora(null);
setResultado(null);
setResultadocmpl(null);
setAgendaorigem(null);
setDtarealizacao(null);
setDetalhe(null);
setNatureza(null);
setVendedor(null);
setUltalteracao(null);
setUsualteracao(null);
setDepartamento(null);
setFormaprimcont(null);
setProcesso(null);
setCodprocesso(null);
setValor(null);
setQtde(null);
setDuracao(null);
setTemciencia(null);
}

public TabIvHistorico(long seqhistorico, long seqpessoa, String contato, int nroempresa, int sequsuario, String codusuario, int acaogeradora, long resultado, String resultadocmpl, int agendaorigem, FglDateTimeYS dtarealizacao, String detalhe, String natureza, String vendedor, FglDateTimeYS ultalteracao, String usualteracao, String departamento, String formaprimcont, long processo, int codprocesso, double valor, double qtde, int duracao, int temciencia) {
this.seqhistorico = seqhistorico;
this.seqpessoa = seqpessoa;
this.contato = contato;
this.nroempresa = nroempresa;
this.sequsuario = sequsuario;
this.codusuario = codusuario;
this.acaogeradora = acaogeradora;
this.resultado = resultado;
this.resultadocmpl = resultadocmpl;
this.agendaorigem = agendaorigem;
this.dtarealizacao = dtarealizacao;
this.detalhe = detalhe;
this.natureza = natureza;
this.vendedor = vendedor;
this.ultalteracao = ultalteracao;
this.usualteracao = usualteracao;
this.departamento = departamento;
this.formaprimcont = formaprimcont;
this.processo = processo;
this.codprocesso = codprocesso;
this.valor = valor;
this.qtde = qtde;
this.duracao = duracao;
this.temciencia = temciencia;
}

public long getSeqhistorico() {
return seqhistorico;
}

public boolean isSeqhistoricoNull() {
return seqhistoricoNull;
}

public void setSeqhistorico(int seqhistorico) {
setSeqhistorico(new Long(seqhistorico));
}

public void setSeqhistorico(Long seqhistorico) {
if (seqhistorico == null) {
seqhistoricoNull = true;
this.seqhistorico = 0l;
} else { 
seqhistoricoNull = false;
this.seqhistorico = seqhistorico;
}
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public String getContato() {
return contato;
}

public void setContato(String contato) {
this.contato = contato;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public int getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(Integer sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public String getCodusuario() {
return codusuario;
}

public void setCodusuario(String codusuario) {
this.codusuario = codusuario;
}

public int getAcaogeradora() {
return acaogeradora;
}

public boolean isAcaogeradoraNull() {
return acaogeradoraNull;
}

public void setAcaogeradora(Integer acaogeradora) {
if (acaogeradora == null) {
acaogeradoraNull = true;
this.acaogeradora = 0;
} else { 
acaogeradoraNull = false;
this.acaogeradora = acaogeradora;
}
}

public long getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Long(resultado));
}

public void setResultado(Long resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0l;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public String getResultadocmpl() {
return resultadocmpl;
}

public void setResultadocmpl(String resultadocmpl) {
this.resultadocmpl = resultadocmpl;
}

public int getAgendaorigem() {
return agendaorigem;
}

public boolean isAgendaorigemNull() {
return agendaorigemNull;
}

public void setAgendaorigem(Integer agendaorigem) {
if (agendaorigem == null) {
agendaorigemNull = true;
this.agendaorigem = 0;
} else { 
agendaorigemNull = false;
this.agendaorigem = agendaorigem;
}
}

public FglDateTimeYS getDtarealizacao() {
return dtarealizacao;
}

public void setDtarealizacao(FglDateTimeYS dtarealizacao) {
this.dtarealizacao = dtarealizacao;
}

public String getDetalhe() {
return detalhe;
}

public void setDetalhe(String detalhe) {
this.detalhe = detalhe;
}

public String getNatureza() {
return natureza;
}

public void setNatureza(String natureza) {
this.natureza = natureza;
}

public String getVendedor() {
return vendedor;
}

public void setVendedor(String vendedor) {
this.vendedor = vendedor;
}

public FglDateTimeYS getUltalteracao() {
return ultalteracao;
}

public void setUltalteracao(FglDateTimeYS ultalteracao) {
this.ultalteracao = ultalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public String getDepartamento() {
return departamento;
}

public void setDepartamento(String departamento) {
this.departamento = departamento;
}

public String getFormaprimcont() {
return formaprimcont;
}

public void setFormaprimcont(String formaprimcont) {
this.formaprimcont = formaprimcont;
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(int qtde) {
setQtde(new Double(qtde));
}

public void setQtde(long qtde) {
setQtde(new Double(qtde));
}

public void setQtde(Double qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0.;
} else { 
qtdeNull = false;
this.qtde = FglDouble.round(qtde, 2);
}
}

public int getDuracao() {
return duracao;
}

public boolean isDuracaoNull() {
return duracaoNull;
}

public void setDuracao(Integer duracao) {
if (duracao == null) {
duracaoNull = true;
this.duracao = 0;
} else { 
duracaoNull = false;
this.duracao = duracao;
}
}

public int getTemciencia() {
return temciencia;
}

public boolean isTemcienciaNull() {
return temcienciaNull;
}

public void setTemciencia(Integer temciencia) {
if (temciencia == null) {
temcienciaNull = true;
this.temciencia = 0;
} else { 
temcienciaNull = false;
this.temciencia = temciencia;
}
}

}

