package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvObjvenda {
@Coluna(nome="iv_objvenda.seqobjvenda", tipo="long")
private long seqobjvenda;
private boolean seqobjvendaNull;
@Coluna(nome="iv_objvenda.nroempresa", tipo="long")
private long nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_objvenda.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_objvenda.qtdecontato", tipo="int")
private int qtdecontato;
private boolean qtdecontatoNull;
@Coluna(nome="iv_objvenda.qtdeunidvendida", tipo="int")
private int qtdeunidvendida;
private boolean qtdeunidvendidaNull;
@Coluna(nome="iv_objvenda.qtdetestdrive", tipo="int")
private int qtdetestdrive;
private boolean qtdetestdriveNull;
@Coluna(nome="iv_objvenda.dtareferencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtareferencia;
@Coluna(nome="iv_objvenda.obs", tipo="String")
private String obs;
@Coluna(nome="iv_objvenda.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_objvenda.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvObjvenda() {
initialize();
}

public void initialize() {
setSeqobjvenda(null);
setNroempresa(null);
setSequsuario(null);
setQtdecontato(null);
setQtdeunidvendida(null);
setQtdetestdrive(null);
setDtareferencia(null);
setObs(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvObjvenda(long seqobjvenda, long nroempresa, long sequsuario, int qtdecontato, int qtdeunidvendida, int qtdetestdrive, FglDateTimeYS dtareferencia, String obs, String usualteracao, FglDateTimeYS dtaalteracao) {
this.seqobjvenda = seqobjvenda;
this.nroempresa = nroempresa;
this.sequsuario = sequsuario;
this.qtdecontato = qtdecontato;
this.qtdeunidvendida = qtdeunidvendida;
this.qtdetestdrive = qtdetestdrive;
this.dtareferencia = dtareferencia;
this.obs = obs;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public long getSeqobjvenda() {
return seqobjvenda;
}

public boolean isSeqobjvendaNull() {
return seqobjvendaNull;
}

public void setSeqobjvenda(int seqobjvenda) {
setSeqobjvenda(new Long(seqobjvenda));
}

public void setSeqobjvenda(Long seqobjvenda) {
if (seqobjvenda == null) {
seqobjvendaNull = true;
this.seqobjvenda = 0l;
} else { 
seqobjvendaNull = false;
this.seqobjvenda = seqobjvenda;
}
}

public long getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(int nroempresa) {
setNroempresa(new Long(nroempresa));
}

public void setNroempresa(Long nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0l;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public int getQtdecontato() {
return qtdecontato;
}

public boolean isQtdecontatoNull() {
return qtdecontatoNull;
}

public void setQtdecontato(Integer qtdecontato) {
if (qtdecontato == null) {
qtdecontatoNull = true;
this.qtdecontato = 0;
} else { 
qtdecontatoNull = false;
this.qtdecontato = qtdecontato;
}
}

public int getQtdeunidvendida() {
return qtdeunidvendida;
}

public boolean isQtdeunidvendidaNull() {
return qtdeunidvendidaNull;
}

public void setQtdeunidvendida(Integer qtdeunidvendida) {
if (qtdeunidvendida == null) {
qtdeunidvendidaNull = true;
this.qtdeunidvendida = 0;
} else { 
qtdeunidvendidaNull = false;
this.qtdeunidvendida = qtdeunidvendida;
}
}

public int getQtdetestdrive() {
return qtdetestdrive;
}

public boolean isQtdetestdriveNull() {
return qtdetestdriveNull;
}

public void setQtdetestdrive(Integer qtdetestdrive) {
if (qtdetestdrive == null) {
qtdetestdriveNull = true;
this.qtdetestdrive = 0;
} else { 
qtdetestdriveNull = false;
this.qtdetestdrive = qtdetestdrive;
}
}

public FglDateTimeYS getDtareferencia() {
return dtareferencia;
}

public void setDtareferencia(FglDateTimeYS dtareferencia) {
this.dtareferencia = dtareferencia;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

