package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvOpbloq {
@Coluna(nome="iv_opbloq.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_opbloq.dtainicial", tipo="FglDateTimeYS")
private FglDateTimeYS dtainicial;
@Coluna(nome="iv_opbloq.dtafinal", tipo="FglDateTimeYS")
private FglDateTimeYS dtafinal;
@Coluna(nome="iv_opbloq.status", tipo="String")
private String status;
@Coluna(nome="iv_opbloq.obs", tipo="String")
private String obs;
@Coluna(nome="iv_opbloq.sequsrdesvio", tipo="long")
private long sequsrdesvio;
private boolean sequsrdesvioNull;
@Coluna(nome="iv_opbloq.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_opbloq.usualteracao", tipo="String")
private String usualteracao;

public TabIvOpbloq() {
initialize();
}

public void initialize() {
setSequsuario(null);
setDtainicial(null);
setDtafinal(null);
setStatus(null);
setObs(null);
setSequsrdesvio(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvOpbloq(long sequsuario, FglDateTimeYS dtainicial, FglDateTimeYS dtafinal, String status, String obs, long sequsrdesvio, FglDateTimeYS dtaalteracao, String usualteracao) {
this.sequsuario = sequsuario;
this.dtainicial = dtainicial;
this.dtafinal = dtafinal;
this.status = status;
this.obs = obs;
this.sequsrdesvio = sequsrdesvio;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public FglDateTimeYS getDtainicial() {
return dtainicial;
}

public void setDtainicial(FglDateTimeYS dtainicial) {
this.dtainicial = dtainicial;
}

public FglDateTimeYS getDtafinal() {
return dtafinal;
}

public void setDtafinal(FglDateTimeYS dtafinal) {
this.dtafinal = dtafinal;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public long getSequsrdesvio() {
return sequsrdesvio;
}

public boolean isSequsrdesvioNull() {
return sequsrdesvioNull;
}

public void setSequsrdesvio(int sequsrdesvio) {
setSequsrdesvio(new Long(sequsrdesvio));
}

public void setSequsrdesvio(Long sequsrdesvio) {
if (sequsrdesvio == null) {
sequsrdesvioNull = true;
this.sequsrdesvio = 0l;
} else { 
sequsrdesvioNull = false;
this.sequsrdesvio = sequsrdesvio;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

