package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvOperador {
@Coluna(nome="iv_operador.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_operador.sequnidade", tipo="int")
private int sequnidade;
private boolean sequnidadeNull;
@Coluna(nome="iv_operador.funcao", tipo="String")
private String funcao;
@Coluna(nome="iv_operador.supervisor", tipo="String")
private String supervisor;
@Coluna(nome="iv_operador.status", tipo="String")
private String status;
@Coluna(nome="iv_operador.justifdispon", tipo="String")
private String justifdispon;
@Coluna(nome="iv_operador.gerente", tipo="String")
private String gerente;
@Coluna(nome="iv_operador.horainicial", tipo="FglDateTimeYS")
private FglDateTimeYS horainicial;
@Coluna(nome="iv_operador.horafinal", tipo="FglDateTimeYS")
private FglDateTimeYS horafinal;
@Coluna(nome="iv_operador.dispdomingo", tipo="int")
private int dispdomingo;
private boolean dispdomingoNull;
@Coluna(nome="iv_operador.dispsegunda", tipo="int")
private int dispsegunda;
private boolean dispsegundaNull;
@Coluna(nome="iv_operador.dispterca", tipo="int")
private int dispterca;
private boolean disptercaNull;
@Coluna(nome="iv_operador.dispquarta", tipo="int")
private int dispquarta;
private boolean dispquartaNull;
@Coluna(nome="iv_operador.dispquinta", tipo="int")
private int dispquinta;
private boolean dispquintaNull;
@Coluna(nome="iv_operador.dispsexta", tipo="int")
private int dispsexta;
private boolean dispsextaNull;
@Coluna(nome="iv_operador.dispsabado", tipo="int")
private int dispsabado;
private boolean dispsabadoNull;
@Coluna(nome="iv_operador.evendedor", tipo="String")
private String evendedor;
@Coluna(nome="iv_operador.inchistorico", tipo="String")
private String inchistorico;
@Coluna(nome="iv_operador.inchistretr", tipo="String")
private String inchistretr;
@Coluna(nome="iv_operador.qtddiasretr", tipo="int")
private int qtddiasretr;
private boolean qtddiasretrNull;
@Coluna(nome="iv_operador.inchistagconcl", tipo="String")
private String inchistagconcl;
@Coluna(nome="iv_operador.althistorico", tipo="String")
private String althistorico;
@Coluna(nome="iv_operador.exchistorico", tipo="String")
private String exchistorico;
@Coluna(nome="iv_operador.incagenda", tipo="String")
private String incagenda;
@Coluna(nome="iv_operador.altagenda", tipo="String")
private String altagenda;
@Coluna(nome="iv_operador.excagenda", tipo="String")
private String excagenda;
@Coluna(nome="iv_operador.veragenda", tipo="String")
private String veragenda;
@Coluna(nome="iv_operador.concagenda", tipo="String")
private String concagenda;
@Coluna(nome="iv_operador.altoperagenda", tipo="String")
private String altoperagenda;
@Coluna(nome="iv_operador.altoperagdreag", tipo="String")
private String altoperagdreag;
@Coluna(nome="iv_operador.concagevendor", tipo="String")
private String concagevendor;
@Coluna(nome="iv_operador.reativaragenda", tipo="String")
private String reativaragenda;
@Coluna(nome="iv_operador.analisarhistorico", tipo="String")
private String analisarhistorico;
@Coluna(nome="iv_operador.abreanalise", tipo="String")
private String abreanalise;
@Coluna(nome="iv_operador.alteragrupo", tipo="String")
private String alteragrupo;
@Coluna(nome="iv_operador.alteracodimport", tipo="String")
private String alteracodimport;
@Coluna(nome="iv_operador.alteraregiao", tipo="String")
private String alteraregiao;
@Coluna(nome="iv_operador.alteravendedor", tipo="String")
private String alteravendedor;
@Coluna(nome="iv_operador.alteraclienteativo", tipo="String")
private String alteraclienteativo;
@Coluna(nome="iv_operador.alterastatus", tipo="String")
private String alterastatus;
@Coluna(nome="iv_operador.dupclicagenda", tipo="String")
private String dupclicagenda;
@Coluna(nome="iv_operador.formaenvioemail", tipo="String")
private String formaenvioemail;
@Coluna(nome="iv_operador.enderecosmtp", tipo="String")
private String enderecosmtp;
@Coluna(nome="iv_operador.departamento", tipo="String")
private String departamento;
@Coluna(nome="iv_operador.codusuario", tipo="String")
private String codusuario;
@Coluna(nome="iv_operador.email", tipo="String")
private String email;
@Coluna(nome="iv_operador.emailassinatura", tipo="String")
private String emailassinatura;
@Coluna(nome="iv_operador.qtdhistadicagenda", tipo="int")
private int qtdhistadicagenda;
private boolean qtdhistadicagendaNull;
@Coluna(nome="iv_operador.pesatendseq", tipo="long")
private long pesatendseq;
private boolean pesatendseqNull;
@Coluna(nome="iv_operador.pesatendenv", tipo="String")
private String pesatendenv;
@Coluna(nome="iv_operador.pesatendhora", tipo="FglDateTimeYS")
private FglDateTimeYS pesatendhora;

public TabIvOperador() {
initialize();
}

public void initialize() {
setSequsuario(null);
setSequnidade(null);
setFuncao(null);
setSupervisor(null);
setStatus(null);
setJustifdispon(null);
setGerente(null);
setHorainicial(null);
setHorafinal(null);
setDispdomingo(null);
setDispsegunda(null);
setDispterca(null);
setDispquarta(null);
setDispquinta(null);
setDispsexta(null);
setDispsabado(null);
setEvendedor(null);
setInchistorico(null);
setInchistretr(null);
setQtddiasretr(null);
setInchistagconcl(null);
setAlthistorico(null);
setExchistorico(null);
setIncagenda(null);
setAltagenda(null);
setExcagenda(null);
setVeragenda(null);
setConcagenda(null);
setAltoperagenda(null);
setAltoperagdreag(null);
setConcagevendor(null);
setReativaragenda(null);
setAnalisarhistorico(null);
setAbreanalise(null);
setAlteragrupo(null);
setAlteracodimport(null);
setAlteraregiao(null);
setAlteravendedor(null);
setAlteraclienteativo(null);
setAlterastatus(null);
setDupclicagenda(null);
setFormaenvioemail(null);
setEnderecosmtp(null);
setDepartamento(null);
setCodusuario(null);
setEmail(null);
setEmailassinatura(null);
setQtdhistadicagenda(null);
setPesatendseq(null);
setPesatendenv(null);
setPesatendhora(null);
}

public TabIvOperador(long sequsuario, int sequnidade, String funcao, String supervisor, String status, String justifdispon, String gerente, FglDateTimeYS horainicial, FglDateTimeYS horafinal, int dispdomingo, int dispsegunda, int dispterca, int dispquarta, int dispquinta, int dispsexta, int dispsabado, String evendedor, String inchistorico, String inchistretr, int qtddiasretr, String inchistagconcl, String althistorico, String exchistorico, String incagenda, String altagenda, String excagenda, String veragenda, String concagenda, String altoperagenda, String altoperagdreag, String concagevendor, String reativaragenda, String analisarhistorico, String abreanalise, String alteragrupo, String alteracodimport, String alteraregiao, String alteravendedor, String alteraclienteativo, String alterastatus, String dupclicagenda, String formaenvioemail, String enderecosmtp, String departamento, String codusuario, String email, String emailassinatura, int qtdhistadicagenda, long pesatendseq, String pesatendenv, FglDateTimeYS pesatendhora) {
this.sequsuario = sequsuario;
this.sequnidade = sequnidade;
this.funcao = funcao;
this.supervisor = supervisor;
this.status = status;
this.justifdispon = justifdispon;
this.gerente = gerente;
this.horainicial = horainicial;
this.horafinal = horafinal;
this.dispdomingo = dispdomingo;
this.dispsegunda = dispsegunda;
this.dispterca = dispterca;
this.dispquarta = dispquarta;
this.dispquinta = dispquinta;
this.dispsexta = dispsexta;
this.dispsabado = dispsabado;
this.evendedor = evendedor;
this.inchistorico = inchistorico;
this.inchistretr = inchistretr;
this.qtddiasretr = qtddiasretr;
this.inchistagconcl = inchistagconcl;
this.althistorico = althistorico;
this.exchistorico = exchistorico;
this.incagenda = incagenda;
this.altagenda = altagenda;
this.excagenda = excagenda;
this.veragenda = veragenda;
this.concagenda = concagenda;
this.altoperagenda = altoperagenda;
this.altoperagdreag = altoperagdreag;
this.concagevendor = concagevendor;
this.reativaragenda = reativaragenda;
this.analisarhistorico = analisarhistorico;
this.abreanalise = abreanalise;
this.alteragrupo = alteragrupo;
this.alteracodimport = alteracodimport;
this.alteraregiao = alteraregiao;
this.alteravendedor = alteravendedor;
this.alteraclienteativo = alteraclienteativo;
this.alterastatus = alterastatus;
this.dupclicagenda = dupclicagenda;
this.formaenvioemail = formaenvioemail;
this.enderecosmtp = enderecosmtp;
this.departamento = departamento;
this.codusuario = codusuario;
this.email = email;
this.emailassinatura = emailassinatura;
this.qtdhistadicagenda = qtdhistadicagenda;
this.pesatendseq = pesatendseq;
this.pesatendenv = pesatendenv;
this.pesatendhora = pesatendhora;
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public int getSequnidade() {
return sequnidade;
}

public boolean isSequnidadeNull() {
return sequnidadeNull;
}

public void setSequnidade(Integer sequnidade) {
if (sequnidade == null) {
sequnidadeNull = true;
this.sequnidade = 0;
} else { 
sequnidadeNull = false;
this.sequnidade = sequnidade;
}
}

public String getFuncao() {
return funcao;
}

public void setFuncao(String funcao) {
this.funcao = funcao;
}

public String getSupervisor() {
return supervisor;
}

public void setSupervisor(String supervisor) {
this.supervisor = supervisor;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getJustifdispon() {
return justifdispon;
}

public void setJustifdispon(String justifdispon) {
this.justifdispon = justifdispon;
}

public String getGerente() {
return gerente;
}

public void setGerente(String gerente) {
this.gerente = gerente;
}

public FglDateTimeYS getHorainicial() {
return horainicial;
}

public void setHorainicial(FglDateTimeYS horainicial) {
this.horainicial = horainicial;
}

public FglDateTimeYS getHorafinal() {
return horafinal;
}

public void setHorafinal(FglDateTimeYS horafinal) {
this.horafinal = horafinal;
}

public int getDispdomingo() {
return dispdomingo;
}

public boolean isDispdomingoNull() {
return dispdomingoNull;
}

public void setDispdomingo(Integer dispdomingo) {
if (dispdomingo == null) {
dispdomingoNull = true;
this.dispdomingo = 0;
} else { 
dispdomingoNull = false;
this.dispdomingo = dispdomingo;
}
}

public int getDispsegunda() {
return dispsegunda;
}

public boolean isDispsegundaNull() {
return dispsegundaNull;
}

public void setDispsegunda(Integer dispsegunda) {
if (dispsegunda == null) {
dispsegundaNull = true;
this.dispsegunda = 0;
} else { 
dispsegundaNull = false;
this.dispsegunda = dispsegunda;
}
}

public int getDispterca() {
return dispterca;
}

public boolean isDisptercaNull() {
return disptercaNull;
}

public void setDispterca(Integer dispterca) {
if (dispterca == null) {
disptercaNull = true;
this.dispterca = 0;
} else { 
disptercaNull = false;
this.dispterca = dispterca;
}
}

public int getDispquarta() {
return dispquarta;
}

public boolean isDispquartaNull() {
return dispquartaNull;
}

public void setDispquarta(Integer dispquarta) {
if (dispquarta == null) {
dispquartaNull = true;
this.dispquarta = 0;
} else { 
dispquartaNull = false;
this.dispquarta = dispquarta;
}
}

public int getDispquinta() {
return dispquinta;
}

public boolean isDispquintaNull() {
return dispquintaNull;
}

public void setDispquinta(Integer dispquinta) {
if (dispquinta == null) {
dispquintaNull = true;
this.dispquinta = 0;
} else { 
dispquintaNull = false;
this.dispquinta = dispquinta;
}
}

public int getDispsexta() {
return dispsexta;
}

public boolean isDispsextaNull() {
return dispsextaNull;
}

public void setDispsexta(Integer dispsexta) {
if (dispsexta == null) {
dispsextaNull = true;
this.dispsexta = 0;
} else { 
dispsextaNull = false;
this.dispsexta = dispsexta;
}
}

public int getDispsabado() {
return dispsabado;
}

public boolean isDispsabadoNull() {
return dispsabadoNull;
}

public void setDispsabado(Integer dispsabado) {
if (dispsabado == null) {
dispsabadoNull = true;
this.dispsabado = 0;
} else { 
dispsabadoNull = false;
this.dispsabado = dispsabado;
}
}

public String getEvendedor() {
return evendedor;
}

public void setEvendedor(String evendedor) {
this.evendedor = evendedor;
}

public String getInchistorico() {
return inchistorico;
}

public void setInchistorico(String inchistorico) {
this.inchistorico = inchistorico;
}

public String getInchistretr() {
return inchistretr;
}

public void setInchistretr(String inchistretr) {
this.inchistretr = inchistretr;
}

public int getQtddiasretr() {
return qtddiasretr;
}

public boolean isQtddiasretrNull() {
return qtddiasretrNull;
}

public void setQtddiasretr(Integer qtddiasretr) {
if (qtddiasretr == null) {
qtddiasretrNull = true;
this.qtddiasretr = 0;
} else { 
qtddiasretrNull = false;
this.qtddiasretr = qtddiasretr;
}
}

public String getInchistagconcl() {
return inchistagconcl;
}

public void setInchistagconcl(String inchistagconcl) {
this.inchistagconcl = inchistagconcl;
}

public String getAlthistorico() {
return althistorico;
}

public void setAlthistorico(String althistorico) {
this.althistorico = althistorico;
}

public String getExchistorico() {
return exchistorico;
}

public void setExchistorico(String exchistorico) {
this.exchistorico = exchistorico;
}

public String getIncagenda() {
return incagenda;
}

public void setIncagenda(String incagenda) {
this.incagenda = incagenda;
}

public String getAltagenda() {
return altagenda;
}

public void setAltagenda(String altagenda) {
this.altagenda = altagenda;
}

public String getExcagenda() {
return excagenda;
}

public void setExcagenda(String excagenda) {
this.excagenda = excagenda;
}

public String getVeragenda() {
return veragenda;
}

public void setVeragenda(String veragenda) {
this.veragenda = veragenda;
}

public String getConcagenda() {
return concagenda;
}

public void setConcagenda(String concagenda) {
this.concagenda = concagenda;
}

public String getAltoperagenda() {
return altoperagenda;
}

public void setAltoperagenda(String altoperagenda) {
this.altoperagenda = altoperagenda;
}

public String getAltoperagdreag() {
return altoperagdreag;
}

public void setAltoperagdreag(String altoperagdreag) {
this.altoperagdreag = altoperagdreag;
}

public String getConcagevendor() {
return concagevendor;
}

public void setConcagevendor(String concagevendor) {
this.concagevendor = concagevendor;
}

public String getReativaragenda() {
return reativaragenda;
}

public void setReativaragenda(String reativaragenda) {
this.reativaragenda = reativaragenda;
}

public String getAnalisarhistorico() {
return analisarhistorico;
}

public void setAnalisarhistorico(String analisarhistorico) {
this.analisarhistorico = analisarhistorico;
}

public String getAbreanalise() {
return abreanalise;
}

public void setAbreanalise(String abreanalise) {
this.abreanalise = abreanalise;
}

public String getAlteragrupo() {
return alteragrupo;
}

public void setAlteragrupo(String alteragrupo) {
this.alteragrupo = alteragrupo;
}

public String getAlteracodimport() {
return alteracodimport;
}

public void setAlteracodimport(String alteracodimport) {
this.alteracodimport = alteracodimport;
}

public String getAlteraregiao() {
return alteraregiao;
}

public void setAlteraregiao(String alteraregiao) {
this.alteraregiao = alteraregiao;
}

public String getAlteravendedor() {
return alteravendedor;
}

public void setAlteravendedor(String alteravendedor) {
this.alteravendedor = alteravendedor;
}

public String getAlteraclienteativo() {
return alteraclienteativo;
}

public void setAlteraclienteativo(String alteraclienteativo) {
this.alteraclienteativo = alteraclienteativo;
}

public String getAlterastatus() {
return alterastatus;
}

public void setAlterastatus(String alterastatus) {
this.alterastatus = alterastatus;
}

public String getDupclicagenda() {
return dupclicagenda;
}

public void setDupclicagenda(String dupclicagenda) {
this.dupclicagenda = dupclicagenda;
}

public String getFormaenvioemail() {
return formaenvioemail;
}

public void setFormaenvioemail(String formaenvioemail) {
this.formaenvioemail = formaenvioemail;
}

public String getEnderecosmtp() {
return enderecosmtp;
}

public void setEnderecosmtp(String enderecosmtp) {
this.enderecosmtp = enderecosmtp;
}

public String getDepartamento() {
return departamento;
}

public void setDepartamento(String departamento) {
this.departamento = departamento;
}

public String getCodusuario() {
return codusuario;
}

public void setCodusuario(String codusuario) {
this.codusuario = codusuario;
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getEmailassinatura() {
return emailassinatura;
}

public void setEmailassinatura(String emailassinatura) {
this.emailassinatura = emailassinatura;
}

public int getQtdhistadicagenda() {
return qtdhistadicagenda;
}

public boolean isQtdhistadicagendaNull() {
return qtdhistadicagendaNull;
}

public void setQtdhistadicagenda(Integer qtdhistadicagenda) {
if (qtdhistadicagenda == null) {
qtdhistadicagendaNull = true;
this.qtdhistadicagenda = 0;
} else { 
qtdhistadicagendaNull = false;
this.qtdhistadicagenda = qtdhistadicagenda;
}
}

public long getPesatendseq() {
return pesatendseq;
}

public boolean isPesatendseqNull() {
return pesatendseqNull;
}

public void setPesatendseq(int pesatendseq) {
setPesatendseq(new Long(pesatendseq));
}

public void setPesatendseq(Long pesatendseq) {
if (pesatendseq == null) {
pesatendseqNull = true;
this.pesatendseq = 0l;
} else { 
pesatendseqNull = false;
this.pesatendseq = pesatendseq;
}
}

public String getPesatendenv() {
return pesatendenv;
}

public void setPesatendenv(String pesatendenv) {
this.pesatendenv = pesatendenv;
}

public FglDateTimeYS getPesatendhora() {
return pesatendhora;
}

public void setPesatendhora(FglDateTimeYS pesatendhora) {
this.pesatendhora = pesatendhora;
}

}

