package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvOspecser {
@Coluna(nome="iv_ospecser.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="iv_ospecser.nroos", tipo="int")
private int nroos;
private boolean nroosNull;
@Coluna(nome="iv_ospecser.seqitem", tipo="int")
private int seqitem;
private boolean seqitemNull;
@Coluna(nome="iv_ospecser.tipoitem", tipo="String")
private String tipoitem;
@Coluna(nome="iv_ospecser.produtivo", tipo="String")
private String produtivo;
@Coluna(nome="iv_ospecser.statusitem", tipo="String")
private String statusitem;
@Coluna(nome="iv_ospecser.codigo", tipo="String")
private String codigo;
@Coluna(nome="iv_ospecser.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_ospecser.qtde", tipo="double")
private double qtde;
private boolean qtdeNull;
@Coluna(nome="iv_ospecser.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabIvOspecser() {
initialize();
}

public void initialize() {
setFilial(null);
setNroos(null);
setSeqitem(null);
setTipoitem(null);
setProdutivo(null);
setStatusitem(null);
setCodigo(null);
setDescricao(null);
setQtde(null);
setValor(null);
}

public TabIvOspecser(int filial, int nroos, int seqitem, String tipoitem, String produtivo, String statusitem, String codigo, String descricao, double qtde, double valor) {
this.filial = filial;
this.nroos = nroos;
this.seqitem = seqitem;
this.tipoitem = tipoitem;
this.produtivo = produtivo;
this.statusitem = statusitem;
this.codigo = codigo;
this.descricao = descricao;
this.qtde = qtde;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroos() {
return nroos;
}

public boolean isNroosNull() {
return nroosNull;
}

public void setNroos(Integer nroos) {
if (nroos == null) {
nroosNull = true;
this.nroos = 0;
} else { 
nroosNull = false;
this.nroos = nroos;
}
}

public int getSeqitem() {
return seqitem;
}

public boolean isSeqitemNull() {
return seqitemNull;
}

public void setSeqitem(Integer seqitem) {
if (seqitem == null) {
seqitemNull = true;
this.seqitem = 0;
} else { 
seqitemNull = false;
this.seqitem = seqitem;
}
}

public String getTipoitem() {
return tipoitem;
}

public void setTipoitem(String tipoitem) {
this.tipoitem = tipoitem;
}

public String getProdutivo() {
return produtivo;
}

public void setProdutivo(String produtivo) {
this.produtivo = produtivo;
}

public String getStatusitem() {
return statusitem;
}

public void setStatusitem(String statusitem) {
this.statusitem = statusitem;
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(int qtde) {
setQtde(new Double(qtde));
}

public void setQtde(long qtde) {
setQtde(new Double(qtde));
}

public void setQtde(Double qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0.;
} else { 
qtdeNull = false;
this.qtde = FglDouble.round(qtde, 2);
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 4);
}
}

}

