package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvParametro {
@Coluna(nome="iv_parametro.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_parametro.descatributo1", tipo="String")
private String descatributo1;
@Coluna(nome="iv_parametro.descatributo2", tipo="String")
private String descatributo2;
@Coluna(nome="iv_parametro.descatributo3", tipo="String")
private String descatributo3;
@Coluna(nome="iv_parametro.descatributo4", tipo="String")
private String descatributo4;
@Coluna(nome="iv_parametro.descatributo5", tipo="String")
private String descatributo5;
@Coluna(nome="iv_parametro.descatributoa", tipo="String")
private String descatributoa;
@Coluna(nome="iv_parametro.descatributob", tipo="String")
private String descatributob;
@Coluna(nome="iv_parametro.descatributoc", tipo="String")
private String descatributoc;
@Coluna(nome="iv_parametro.descatributod", tipo="String")
private String descatributod;
@Coluna(nome="iv_parametro.descatributoe", tipo="String")
private String descatributoe;
@Coluna(nome="iv_parametro.fator1", tipo="String")
private String fator1;
@Coluna(nome="iv_parametro.fator2", tipo="String")
private String fator2;
@Coluna(nome="iv_parametro.fator3", tipo="String")
private String fator3;
@Coluna(nome="iv_parametro.dtavigorfatores", tipo="FglDateTimeYS")
private FglDateTimeYS dtavigorfatores;
@Coluna(nome="iv_parametro.eventoqualifica", tipo="String")
private String eventoqualifica;
@Coluna(nome="iv_parametro.eventomovto", tipo="String")
private String eventomovto;
@Coluna(nome="iv_parametro.grupoprospect", tipo="String")
private String grupoprospect;
@Coluna(nome="iv_parametro.tipopessoa", tipo="String")
private String tipopessoa;
@Coluna(nome="iv_parametro.sexopessoa", tipo="String")
private String sexopessoa;
@Coluna(nome="iv_parametro.ordemagenda", tipo="String")
private String ordemagenda;
@Coluna(nome="iv_parametro.departamento", tipo="String")
private String departamento;
@Coluna(nome="iv_parametro.pesquisacidade", tipo="String")
private String pesquisacidade;
@Coluna(nome="iv_parametro.usavendedorcli", tipo="String")
private String usavendedorcli;
@Coluna(nome="iv_parametro.visaoonline", tipo="String")
private String visaoonline;
@Coluna(nome="iv_parametro.corlisa", tipo="String")
private String corlisa;
@Coluna(nome="iv_parametro.exigedepto", tipo="String")
private String exigedepto;
@Coluna(nome="iv_parametro.usualteracadastro", tipo="long")
private long usualteracadastro;
private boolean usualteracadastroNull;
@Coluna(nome="iv_parametro.acaoalteracadastro", tipo="long")
private long acaoalteracadastro;
private boolean acaoalteracadastroNull;
@Coluna(nome="iv_parametro.usadiscagem", tipo="String")
private String usadiscagem;
@Coluna(nome="iv_parametro.usadocviewer", tipo="String")
private String usadocviewer;
@Coluna(nome="iv_parametro.usalogradnro", tipo="String")
private String usalogradnro;
@Coluna(nome="iv_parametro.usavendedor", tipo="String")
private String usavendedor;
@Coluna(nome="iv_parametro.usalogradcmpl", tipo="String")
private String usalogradcmpl;
@Coluna(nome="iv_parametro.tamnome", tipo="int")
private int tamnome;
private boolean tamnomeNull;
@Coluna(nome="iv_parametro.tamlogradouro", tipo="int")
private int tamlogradouro;
private boolean tamlogradouroNull;
@Coluna(nome="iv_parametro.tambairro", tipo="int")
private int tambairro;
private boolean tambairroNull;
@Coluna(nome="iv_parametro.tamcidade", tipo="String")
private String tamcidade;
@Coluna(nome="iv_parametro.minusmaiusc", tipo="String")
private String minusmaiusc;
@Coluna(nome="iv_parametro.ctrlpacote", tipo="String")
private String ctrlpacote;

public TabIvParametro() {
initialize();
}

public void initialize() {
setNroempresa(null);
setDescatributo1(null);
setDescatributo2(null);
setDescatributo3(null);
setDescatributo4(null);
setDescatributo5(null);
setDescatributoa(null);
setDescatributob(null);
setDescatributoc(null);
setDescatributod(null);
setDescatributoe(null);
setFator1(null);
setFator2(null);
setFator3(null);
setDtavigorfatores(null);
setEventoqualifica(null);
setEventomovto(null);
setGrupoprospect(null);
setTipopessoa(null);
setSexopessoa(null);
setOrdemagenda(null);
setDepartamento(null);
setPesquisacidade(null);
setUsavendedorcli(null);
setVisaoonline(null);
setCorlisa(null);
setExigedepto(null);
setUsualteracadastro(null);
setAcaoalteracadastro(null);
setUsadiscagem(null);
setUsadocviewer(null);
setUsalogradnro(null);
setUsavendedor(null);
setUsalogradcmpl(null);
setTamnome(null);
setTamlogradouro(null);
setTambairro(null);
setTamcidade(null);
setMinusmaiusc(null);
setCtrlpacote(null);
}

public TabIvParametro(int nroempresa, String descatributo1, String descatributo2, String descatributo3, String descatributo4, String descatributo5, String descatributoa, String descatributob, String descatributoc, String descatributod, String descatributoe, String fator1, String fator2, String fator3, FglDateTimeYS dtavigorfatores, String eventoqualifica, String eventomovto, String grupoprospect, String tipopessoa, String sexopessoa, String ordemagenda, String departamento, String pesquisacidade, String usavendedorcli, String visaoonline, String corlisa, String exigedepto, long usualteracadastro, long acaoalteracadastro, String usadiscagem, String usadocviewer, String usalogradnro, String usavendedor, String usalogradcmpl, int tamnome, int tamlogradouro, int tambairro, String tamcidade, String minusmaiusc, String ctrlpacote) {
this.nroempresa = nroempresa;
this.descatributo1 = descatributo1;
this.descatributo2 = descatributo2;
this.descatributo3 = descatributo3;
this.descatributo4 = descatributo4;
this.descatributo5 = descatributo5;
this.descatributoa = descatributoa;
this.descatributob = descatributob;
this.descatributoc = descatributoc;
this.descatributod = descatributod;
this.descatributoe = descatributoe;
this.fator1 = fator1;
this.fator2 = fator2;
this.fator3 = fator3;
this.dtavigorfatores = dtavigorfatores;
this.eventoqualifica = eventoqualifica;
this.eventomovto = eventomovto;
this.grupoprospect = grupoprospect;
this.tipopessoa = tipopessoa;
this.sexopessoa = sexopessoa;
this.ordemagenda = ordemagenda;
this.departamento = departamento;
this.pesquisacidade = pesquisacidade;
this.usavendedorcli = usavendedorcli;
this.visaoonline = visaoonline;
this.corlisa = corlisa;
this.exigedepto = exigedepto;
this.usualteracadastro = usualteracadastro;
this.acaoalteracadastro = acaoalteracadastro;
this.usadiscagem = usadiscagem;
this.usadocviewer = usadocviewer;
this.usalogradnro = usalogradnro;
this.usavendedor = usavendedor;
this.usalogradcmpl = usalogradcmpl;
this.tamnome = tamnome;
this.tamlogradouro = tamlogradouro;
this.tambairro = tambairro;
this.tamcidade = tamcidade;
this.minusmaiusc = minusmaiusc;
this.ctrlpacote = ctrlpacote;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getDescatributo1() {
return descatributo1;
}

public void setDescatributo1(String descatributo1) {
this.descatributo1 = descatributo1;
}

public String getDescatributo2() {
return descatributo2;
}

public void setDescatributo2(String descatributo2) {
this.descatributo2 = descatributo2;
}

public String getDescatributo3() {
return descatributo3;
}

public void setDescatributo3(String descatributo3) {
this.descatributo3 = descatributo3;
}

public String getDescatributo4() {
return descatributo4;
}

public void setDescatributo4(String descatributo4) {
this.descatributo4 = descatributo4;
}

public String getDescatributo5() {
return descatributo5;
}

public void setDescatributo5(String descatributo5) {
this.descatributo5 = descatributo5;
}

public String getDescatributoa() {
return descatributoa;
}

public void setDescatributoa(String descatributoa) {
this.descatributoa = descatributoa;
}

public String getDescatributob() {
return descatributob;
}

public void setDescatributob(String descatributob) {
this.descatributob = descatributob;
}

public String getDescatributoc() {
return descatributoc;
}

public void setDescatributoc(String descatributoc) {
this.descatributoc = descatributoc;
}

public String getDescatributod() {
return descatributod;
}

public void setDescatributod(String descatributod) {
this.descatributod = descatributod;
}

public String getDescatributoe() {
return descatributoe;
}

public void setDescatributoe(String descatributoe) {
this.descatributoe = descatributoe;
}

public String getFator1() {
return fator1;
}

public void setFator1(String fator1) {
this.fator1 = fator1;
}

public String getFator2() {
return fator2;
}

public void setFator2(String fator2) {
this.fator2 = fator2;
}

public String getFator3() {
return fator3;
}

public void setFator3(String fator3) {
this.fator3 = fator3;
}

public FglDateTimeYS getDtavigorfatores() {
return dtavigorfatores;
}

public void setDtavigorfatores(FglDateTimeYS dtavigorfatores) {
this.dtavigorfatores = dtavigorfatores;
}

public String getEventoqualifica() {
return eventoqualifica;
}

public void setEventoqualifica(String eventoqualifica) {
this.eventoqualifica = eventoqualifica;
}

public String getEventomovto() {
return eventomovto;
}

public void setEventomovto(String eventomovto) {
this.eventomovto = eventomovto;
}

public String getGrupoprospect() {
return grupoprospect;
}

public void setGrupoprospect(String grupoprospect) {
this.grupoprospect = grupoprospect;
}

public String getTipopessoa() {
return tipopessoa;
}

public void setTipopessoa(String tipopessoa) {
this.tipopessoa = tipopessoa;
}

public String getSexopessoa() {
return sexopessoa;
}

public void setSexopessoa(String sexopessoa) {
this.sexopessoa = sexopessoa;
}

public String getOrdemagenda() {
return ordemagenda;
}

public void setOrdemagenda(String ordemagenda) {
this.ordemagenda = ordemagenda;
}

public String getDepartamento() {
return departamento;
}

public void setDepartamento(String departamento) {
this.departamento = departamento;
}

public String getPesquisacidade() {
return pesquisacidade;
}

public void setPesquisacidade(String pesquisacidade) {
this.pesquisacidade = pesquisacidade;
}

public String getUsavendedorcli() {
return usavendedorcli;
}

public void setUsavendedorcli(String usavendedorcli) {
this.usavendedorcli = usavendedorcli;
}

public String getVisaoonline() {
return visaoonline;
}

public void setVisaoonline(String visaoonline) {
this.visaoonline = visaoonline;
}

public String getCorlisa() {
return corlisa;
}

public void setCorlisa(String corlisa) {
this.corlisa = corlisa;
}

public String getExigedepto() {
return exigedepto;
}

public void setExigedepto(String exigedepto) {
this.exigedepto = exigedepto;
}

public long getUsualteracadastro() {
return usualteracadastro;
}

public boolean isUsualteracadastroNull() {
return usualteracadastroNull;
}

public void setUsualteracadastro(int usualteracadastro) {
setUsualteracadastro(new Long(usualteracadastro));
}

public void setUsualteracadastro(Long usualteracadastro) {
if (usualteracadastro == null) {
usualteracadastroNull = true;
this.usualteracadastro = 0l;
} else { 
usualteracadastroNull = false;
this.usualteracadastro = usualteracadastro;
}
}

public long getAcaoalteracadastro() {
return acaoalteracadastro;
}

public boolean isAcaoalteracadastroNull() {
return acaoalteracadastroNull;
}

public void setAcaoalteracadastro(int acaoalteracadastro) {
setAcaoalteracadastro(new Long(acaoalteracadastro));
}

public void setAcaoalteracadastro(Long acaoalteracadastro) {
if (acaoalteracadastro == null) {
acaoalteracadastroNull = true;
this.acaoalteracadastro = 0l;
} else { 
acaoalteracadastroNull = false;
this.acaoalteracadastro = acaoalteracadastro;
}
}

public String getUsadiscagem() {
return usadiscagem;
}

public void setUsadiscagem(String usadiscagem) {
this.usadiscagem = usadiscagem;
}

public String getUsadocviewer() {
return usadocviewer;
}

public void setUsadocviewer(String usadocviewer) {
this.usadocviewer = usadocviewer;
}

public String getUsalogradnro() {
return usalogradnro;
}

public void setUsalogradnro(String usalogradnro) {
this.usalogradnro = usalogradnro;
}

public String getUsavendedor() {
return usavendedor;
}

public void setUsavendedor(String usavendedor) {
this.usavendedor = usavendedor;
}

public String getUsalogradcmpl() {
return usalogradcmpl;
}

public void setUsalogradcmpl(String usalogradcmpl) {
this.usalogradcmpl = usalogradcmpl;
}

public int getTamnome() {
return tamnome;
}

public boolean isTamnomeNull() {
return tamnomeNull;
}

public void setTamnome(Integer tamnome) {
if (tamnome == null) {
tamnomeNull = true;
this.tamnome = 0;
} else { 
tamnomeNull = false;
this.tamnome = tamnome;
}
}

public int getTamlogradouro() {
return tamlogradouro;
}

public boolean isTamlogradouroNull() {
return tamlogradouroNull;
}

public void setTamlogradouro(Integer tamlogradouro) {
if (tamlogradouro == null) {
tamlogradouroNull = true;
this.tamlogradouro = 0;
} else { 
tamlogradouroNull = false;
this.tamlogradouro = tamlogradouro;
}
}

public int getTambairro() {
return tambairro;
}

public boolean isTambairroNull() {
return tambairroNull;
}

public void setTambairro(Integer tambairro) {
if (tambairro == null) {
tambairroNull = true;
this.tambairro = 0;
} else { 
tambairroNull = false;
this.tambairro = tambairro;
}
}

public String getTamcidade() {
return tamcidade;
}

public void setTamcidade(String tamcidade) {
this.tamcidade = tamcidade;
}

public String getMinusmaiusc() {
return minusmaiusc;
}

public void setMinusmaiusc(String minusmaiusc) {
this.minusmaiusc = minusmaiusc;
}

public String getCtrlpacote() {
return ctrlpacote;
}

public void setCtrlpacote(String ctrlpacote) {
this.ctrlpacote = ctrlpacote;
}

}

