package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProcdocto {
@Coluna(nome="iv_procdocto.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_procdocto.seqdocto", tipo="long")
private long seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="iv_procdocto.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_procdocto.usuincluiu", tipo="String")
private String usuincluiu;
@Coluna(nome="iv_procdocto.obs", tipo="String")
private String obs;

public TabIvProcdocto() {
initialize();
}

public void initialize() {
setProcesso(null);
setSeqdocto(null);
setDtainclusao(null);
setUsuincluiu(null);
setObs(null);
}

public TabIvProcdocto(long processo, long seqdocto, FglDateTimeYS dtainclusao, String usuincluiu, String obs) {
this.processo = processo;
this.seqdocto = seqdocto;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
this.obs = obs;
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(int seqdocto) {
setSeqdocto(new Long(seqdocto));
}

public void setSeqdocto(Long seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0l;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

