package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvProcesso {
@Coluna(nome="iv_processo.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_processo.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_processo.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_processo.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_processo.unidade", tipo="String")
private String unidade;
@Coluna(nome="iv_processo.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_processo.usuresponsavel", tipo="String")
private String usuresponsavel;
@Coluna(nome="iv_processo.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="iv_processo.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_processo.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_processo.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_processo.realizado", tipo="int")
private int realizado;
private boolean realizadoNull;
@Coluna(nome="iv_processo.dtarealizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtarealizacao;
@Coluna(nome="iv_processo.perspectiva", tipo="int")
private int perspectiva;
private boolean perspectivaNull;
@Coluna(nome="iv_processo.fase", tipo="String")
private String fase;
@Coluna(nome="iv_processo.status", tipo="String")
private String status;
@Coluna(nome="iv_processo.faseordem", tipo="int")
private int faseordem;
private boolean faseordemNull;
@Coluna(nome="iv_processo.dtaprevconclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaprevconclusao;
@Coluna(nome="iv_processo.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="iv_processo.qtde", tipo="double")
private double qtde;
private boolean qtdeNull;

public TabIvProcesso() {
initialize();
}

public void initialize() {
setProcesso(null);
setNroempresa(null);
setSeqpessoa(null);
setCodprocesso(null);
setUnidade(null);
setDescricao(null);
setUsuresponsavel(null);
setUsuinclusao(null);
setDtainclusao(null);
setUsualteracao(null);
setDtaalteracao(null);
setRealizado(null);
setDtarealizacao(null);
setPerspectiva(null);
setFase(null);
setStatus(null);
setFaseordem(null);
setDtaprevconclusao(null);
setValor(null);
setQtde(null);
}

public TabIvProcesso(long processo, int nroempresa, long seqpessoa, int codprocesso, String unidade, String descricao, String usuresponsavel, String usuinclusao, FglDateTimeYS dtainclusao, String usualteracao, FglDateTimeYS dtaalteracao, int realizado, FglDateTimeYS dtarealizacao, int perspectiva, String fase, String status, int faseordem, FglDateTimeYS dtaprevconclusao, double valor, double qtde) {
this.processo = processo;
this.nroempresa = nroempresa;
this.seqpessoa = seqpessoa;
this.codprocesso = codprocesso;
this.unidade = unidade;
this.descricao = descricao;
this.usuresponsavel = usuresponsavel;
this.usuinclusao = usuinclusao;
this.dtainclusao = dtainclusao;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.realizado = realizado;
this.dtarealizacao = dtarealizacao;
this.perspectiva = perspectiva;
this.fase = fase;
this.status = status;
this.faseordem = faseordem;
this.dtaprevconclusao = dtaprevconclusao;
this.valor = valor;
this.qtde = qtde;
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getUsuresponsavel() {
return usuresponsavel;
}

public void setUsuresponsavel(String usuresponsavel) {
this.usuresponsavel = usuresponsavel;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public int getRealizado() {
return realizado;
}

public boolean isRealizadoNull() {
return realizadoNull;
}

public void setRealizado(Integer realizado) {
if (realizado == null) {
realizadoNull = true;
this.realizado = 0;
} else { 
realizadoNull = false;
this.realizado = realizado;
}
}

public FglDateTimeYS getDtarealizacao() {
return dtarealizacao;
}

public void setDtarealizacao(FglDateTimeYS dtarealizacao) {
this.dtarealizacao = dtarealizacao;
}

public int getPerspectiva() {
return perspectiva;
}

public boolean isPerspectivaNull() {
return perspectivaNull;
}

public void setPerspectiva(Integer perspectiva) {
if (perspectiva == null) {
perspectivaNull = true;
this.perspectiva = 0;
} else { 
perspectivaNull = false;
this.perspectiva = perspectiva;
}
}

public String getFase() {
return fase;
}

public void setFase(String fase) {
this.fase = fase;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getFaseordem() {
return faseordem;
}

public boolean isFaseordemNull() {
return faseordemNull;
}

public void setFaseordem(Integer faseordem) {
if (faseordem == null) {
faseordemNull = true;
this.faseordem = 0;
} else { 
faseordemNull = false;
this.faseordem = faseordem;
}
}

public FglDateTimeYS getDtaprevconclusao() {
return dtaprevconclusao;
}

public void setDtaprevconclusao(FglDateTimeYS dtaprevconclusao) {
this.dtaprevconclusao = dtaprevconclusao;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(int qtde) {
setQtde(new Double(qtde));
}

public void setQtde(long qtde) {
setQtde(new Double(qtde));
}

public void setQtde(Double qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0.;
} else { 
qtdeNull = false;
this.qtde = FglDouble.round(qtde, 2);
}
}

}

