package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvProcpersp {
@Coluna(nome="iv_procpersp.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_procpersp.perspordem", tipo="int")
private int perspordem;
private boolean perspordemNull;
@Coluna(nome="iv_procpersp.perspectiva", tipo="String")
private String perspectiva;
@Coluna(nome="iv_procpersp.qtddiapro", tipo="double")
private double qtddiapro;
private boolean qtddiaproNull;

public TabIvProcpersp() {
initialize();
}

public void initialize() {
setCodprocesso(null);
setPerspordem(null);
setPerspectiva(null);
setQtddiapro(null);
}

public TabIvProcpersp(int codprocesso, int perspordem, String perspectiva, double qtddiapro) {
this.codprocesso = codprocesso;
this.perspordem = perspordem;
this.perspectiva = perspectiva;
this.qtddiapro = qtddiapro;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public int getPerspordem() {
return perspordem;
}

public boolean isPerspordemNull() {
return perspordemNull;
}

public void setPerspordem(Integer perspordem) {
if (perspordem == null) {
perspordemNull = true;
this.perspordem = 0;
} else { 
perspordemNull = false;
this.perspordem = perspordem;
}
}

public String getPerspectiva() {
return perspectiva;
}

public void setPerspectiva(String perspectiva) {
this.perspectiva = perspectiva;
}

public double getQtddiapro() {
return qtddiapro;
}

public boolean isQtddiaproNull() {
return qtddiaproNull;
}

public void setQtddiapro(int qtddiapro) {
setQtddiapro(new Double(qtddiapro));
}

public void setQtddiapro(long qtddiapro) {
setQtddiapro(new Double(qtddiapro));
}

public void setQtddiapro(Double qtddiapro) {
if (qtddiapro == null) {
qtddiaproNull = true;
this.qtddiapro = 0.;
} else { 
qtddiaproNull = false;
this.qtddiapro = FglDouble.round(qtddiapro, 2);
}
}

}

