package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProcrelacao {
@Coluna(nome="iv_procrelacao.procbase", tipo="long")
private long procbase;
private boolean procbaseNull;
@Coluna(nome="iv_procrelacao.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_procrelacao.seqtprel", tipo="int")
private int seqtprel;
private boolean seqtprelNull;
@Coluna(nome="iv_procrelacao.obs", tipo="String")
private String obs;
@Coluna(nome="iv_procrelacao.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_procrelacao.usualteracao", tipo="String")
private String usualteracao;

public TabIvProcrelacao() {
initialize();
}

public void initialize() {
setProcbase(null);
setProcesso(null);
setSeqtprel(null);
setObs(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvProcrelacao(long procbase, long processo, int seqtprel, String obs, FglDateTimeYS dtaalteracao, String usualteracao) {
this.procbase = procbase;
this.processo = processo;
this.seqtprel = seqtprel;
this.obs = obs;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getProcbase() {
return procbase;
}

public boolean isProcbaseNull() {
return procbaseNull;
}

public void setProcbase(int procbase) {
setProcbase(new Long(procbase));
}

public void setProcbase(Long procbase) {
if (procbase == null) {
procbaseNull = true;
this.procbase = 0l;
} else { 
procbaseNull = false;
this.procbase = procbase;
}
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public int getSeqtprel() {
return seqtprel;
}

public boolean isSeqtprelNull() {
return seqtprelNull;
}

public void setSeqtprel(Integer seqtprel) {
if (seqtprel == null) {
seqtprelNull = true;
this.seqtprel = 0;
} else { 
seqtprelNull = false;
this.seqtprel = seqtprel;
}
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

