package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProduto {
@Coluna(nome="iv_produto.seqproduto", tipo="long")
private long seqproduto;
private boolean seqprodutoNull;
@Coluna(nome="iv_produto.codproduto", tipo="String")
private String codproduto;
@Coluna(nome="iv_produto.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_produto.codprodutofora", tipo="long")
private long codprodutofora;
private boolean codprodutoforaNull;
@Coluna(nome="iv_produto.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_produto.especificacao", tipo="String")
private String especificacao;
@Coluna(nome="iv_produto.preco1", tipo="double")
private double preco1;
private boolean preco1Null;
@Coluna(nome="iv_produto.preco2", tipo="double")
private double preco2;
private boolean preco2Null;
@Coluna(nome="iv_produto.familia", tipo="String")
private String familia;
@Coluna(nome="iv_produto.atributo1", tipo="String")
private String atributo1;
@Coluna(nome="iv_produto.atributo2", tipo="String")
private String atributo2;
@Coluna(nome="iv_produto.atributo3", tipo="String")
private String atributo3;
@Coluna(nome="iv_produto.atributo4", tipo="String")
private String atributo4;
@Coluna(nome="iv_produto.atributo5", tipo="String")
private String atributo5;
@Coluna(nome="iv_produto.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_produto.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="iv_produto.fator1", tipo="double")
private double fator1;
private boolean fator1Null;
@Coluna(nome="iv_produto.fator2", tipo="double")
private double fator2;
private boolean fator2Null;
@Coluna(nome="iv_produto.fator3", tipo="double")
private double fator3;
private boolean fator3Null;
@Coluna(nome="iv_produto.emuso", tipo="String")
private String emuso;
@Coluna(nome="iv_produto.urldetalhes", tipo="String")
private String urldetalhes;

public TabIvProduto() {
initialize();
}

public void initialize() {
setSeqproduto(null);
setCodproduto(null);
setNroempresa(null);
setCodprodutofora(null);
setDescricao(null);
setEspecificacao(null);
setPreco1(null);
setPreco2(null);
setFamilia(null);
setAtributo1(null);
setAtributo2(null);
setAtributo3(null);
setAtributo4(null);
setAtributo5(null);
setDtainclusao(null);
setUsuinclusao(null);
setFator1(null);
setFator2(null);
setFator3(null);
setEmuso(null);
setUrldetalhes(null);
}

public TabIvProduto(long seqproduto, String codproduto, int nroempresa, long codprodutofora, String descricao, String especificacao, double preco1, double preco2, String familia, String atributo1, String atributo2, String atributo3, String atributo4, String atributo5, FglDateTimeYS dtainclusao, String usuinclusao, double fator1, double fator2, double fator3, String emuso, String urldetalhes) {
this.seqproduto = seqproduto;
this.codproduto = codproduto;
this.nroempresa = nroempresa;
this.codprodutofora = codprodutofora;
this.descricao = descricao;
this.especificacao = especificacao;
this.preco1 = preco1;
this.preco2 = preco2;
this.familia = familia;
this.atributo1 = atributo1;
this.atributo2 = atributo2;
this.atributo3 = atributo3;
this.atributo4 = atributo4;
this.atributo5 = atributo5;
this.dtainclusao = dtainclusao;
this.usuinclusao = usuinclusao;
this.fator1 = fator1;
this.fator2 = fator2;
this.fator3 = fator3;
this.emuso = emuso;
this.urldetalhes = urldetalhes;
}

public long getSeqproduto() {
return seqproduto;
}

public boolean isSeqprodutoNull() {
return seqprodutoNull;
}

public void setSeqproduto(int seqproduto) {
setSeqproduto(new Long(seqproduto));
}

public void setSeqproduto(Long seqproduto) {
if (seqproduto == null) {
seqprodutoNull = true;
this.seqproduto = 0l;
} else { 
seqprodutoNull = false;
this.seqproduto = seqproduto;
}
}

public String getCodproduto() {
return codproduto;
}

public void setCodproduto(String codproduto) {
this.codproduto = codproduto;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public long getCodprodutofora() {
return codprodutofora;
}

public boolean isCodprodutoforaNull() {
return codprodutoforaNull;
}

public void setCodprodutofora(int codprodutofora) {
setCodprodutofora(new Long(codprodutofora));
}

public void setCodprodutofora(Long codprodutofora) {
if (codprodutofora == null) {
codprodutoforaNull = true;
this.codprodutofora = 0l;
} else { 
codprodutoforaNull = false;
this.codprodutofora = codprodutofora;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getEspecificacao() {
return especificacao;
}

public void setEspecificacao(String especificacao) {
this.especificacao = especificacao;
}

public double getPreco1() {
return preco1;
}

public boolean isPreco1Null() {
return preco1Null;
}

public void setPreco1(int preco1) {
setPreco1(new Double(preco1));
}

public void setPreco1(long preco1) {
setPreco1(new Double(preco1));
}

public void setPreco1(Double preco1) {
if (preco1 == null) {
preco1Null = true;
this.preco1 = 0.;
} else { 
preco1Null = false;
this.preco1 = FglDouble.round(preco1, 2);
}
}

public double getPreco2() {
return preco2;
}

public boolean isPreco2Null() {
return preco2Null;
}

public void setPreco2(int preco2) {
setPreco2(new Double(preco2));
}

public void setPreco2(long preco2) {
setPreco2(new Double(preco2));
}

public void setPreco2(Double preco2) {
if (preco2 == null) {
preco2Null = true;
this.preco2 = 0.;
} else { 
preco2Null = false;
this.preco2 = FglDouble.round(preco2, 2);
}
}

public String getFamilia() {
return familia;
}

public void setFamilia(String familia) {
this.familia = familia;
}

public String getAtributo1() {
return atributo1;
}

public void setAtributo1(String atributo1) {
this.atributo1 = atributo1;
}

public String getAtributo2() {
return atributo2;
}

public void setAtributo2(String atributo2) {
this.atributo2 = atributo2;
}

public String getAtributo3() {
return atributo3;
}

public void setAtributo3(String atributo3) {
this.atributo3 = atributo3;
}

public String getAtributo4() {
return atributo4;
}

public void setAtributo4(String atributo4) {
this.atributo4 = atributo4;
}

public String getAtributo5() {
return atributo5;
}

public void setAtributo5(String atributo5) {
this.atributo5 = atributo5;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public double getFator1() {
return fator1;
}

public boolean isFator1Null() {
return fator1Null;
}

public void setFator1(int fator1) {
setFator1(new Double(fator1));
}

public void setFator1(long fator1) {
setFator1(new Double(fator1));
}

public void setFator1(Double fator1) {
if (fator1 == null) {
fator1Null = true;
this.fator1 = 0.;
} else { 
fator1Null = false;
this.fator1 = FglDouble.round(fator1, 4);
}
}

public double getFator2() {
return fator2;
}

public boolean isFator2Null() {
return fator2Null;
}

public void setFator2(int fator2) {
setFator2(new Double(fator2));
}

public void setFator2(long fator2) {
setFator2(new Double(fator2));
}

public void setFator2(Double fator2) {
if (fator2 == null) {
fator2Null = true;
this.fator2 = 0.;
} else { 
fator2Null = false;
this.fator2 = FglDouble.round(fator2, 4);
}
}

public double getFator3() {
return fator3;
}

public boolean isFator3Null() {
return fator3Null;
}

public void setFator3(int fator3) {
setFator3(new Double(fator3));
}

public void setFator3(long fator3) {
setFator3(new Double(fator3));
}

public void setFator3(Double fator3) {
if (fator3 == null) {
fator3Null = true;
this.fator3 = 0.;
} else { 
fator3Null = false;
this.fator3 = FglDouble.round(fator3, 4);
}
}

public String getEmuso() {
return emuso;
}

public void setEmuso(String emuso) {
this.emuso = emuso;
}

public String getUrldetalhes() {
return urldetalhes;
}

public void setUrldetalhes(String urldetalhes) {
this.urldetalhes = urldetalhes;
}

}

