package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProjpessoa {
@Coluna(nome="iv_projpessoa.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_projpessoa.seqprojeto", tipo="long")
private long seqprojeto;
private boolean seqprojetoNull;
@Coluna(nome="iv_projpessoa.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_projpessoa.usualteracao", tipo="String")
private String usualteracao;

public TabIvProjpessoa() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqprojeto(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvProjpessoa(long seqpessoa, long seqprojeto, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqpessoa = seqpessoa;
this.seqprojeto = seqprojeto;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public long getSeqprojeto() {
return seqprojeto;
}

public boolean isSeqprojetoNull() {
return seqprojetoNull;
}

public void setSeqprojeto(int seqprojeto) {
setSeqprojeto(new Long(seqprojeto));
}

public void setSeqprojeto(Long seqprojeto) {
if (seqprojeto == null) {
seqprojetoNull = true;
this.seqprojeto = 0l;
} else { 
seqprojetoNull = false;
this.seqprojeto = seqprojeto;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

