package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvQuestaolista {
@Coluna(nome="iv_questaolista.lista", tipo="String")
private String lista;
@Coluna(nome="iv_questaolista.seqformulario", tipo="long")
private long seqformulario;
private boolean seqformularioNull;
@Coluna(nome="iv_questaolista.questao", tipo="int")
private int questao;
private boolean questaoNull;
@Coluna(nome="iv_questaolista.proximaquestao", tipo="int")
private int proximaquestao;
private boolean proximaquestaoNull;
@Coluna(nome="iv_questaolista.ordem", tipo="int")
private int ordem;
private boolean ordemNull;
@Coluna(nome="iv_questaolista.nomecoluna", tipo="String")
private String nomecoluna;
@Coluna(nome="iv_questaolista.peso", tipo="double")
private double peso;
private boolean pesoNull;
@Coluna(nome="iv_questaolista.emuso", tipo="int")
private int emuso;
private boolean emusoNull;

public TabIvQuestaolista() {
initialize();
}

public void initialize() {
setLista(null);
setSeqformulario(null);
setQuestao(null);
setProximaquestao(null);
setOrdem(null);
setNomecoluna(null);
setPeso(null);
setEmuso(null);
}

public TabIvQuestaolista(String lista, long seqformulario, int questao, int proximaquestao, int ordem, String nomecoluna, double peso, int emuso) {
this.lista = lista;
this.seqformulario = seqformulario;
this.questao = questao;
this.proximaquestao = proximaquestao;
this.ordem = ordem;
this.nomecoluna = nomecoluna;
this.peso = peso;
this.emuso = emuso;
}

public String getLista() {
return lista;
}

public void setLista(String lista) {
this.lista = lista;
}

public long getSeqformulario() {
return seqformulario;
}

public boolean isSeqformularioNull() {
return seqformularioNull;
}

public void setSeqformulario(int seqformulario) {
setSeqformulario(new Long(seqformulario));
}

public void setSeqformulario(Long seqformulario) {
if (seqformulario == null) {
seqformularioNull = true;
this.seqformulario = 0l;
} else { 
seqformularioNull = false;
this.seqformulario = seqformulario;
}
}

public int getQuestao() {
return questao;
}

public boolean isQuestaoNull() {
return questaoNull;
}

public void setQuestao(Integer questao) {
if (questao == null) {
questaoNull = true;
this.questao = 0;
} else { 
questaoNull = false;
this.questao = questao;
}
}

public int getProximaquestao() {
return proximaquestao;
}

public boolean isProximaquestaoNull() {
return proximaquestaoNull;
}

public void setProximaquestao(Integer proximaquestao) {
if (proximaquestao == null) {
proximaquestaoNull = true;
this.proximaquestao = 0;
} else { 
proximaquestaoNull = false;
this.proximaquestao = proximaquestao;
}
}

public int getOrdem() {
return ordem;
}

public boolean isOrdemNull() {
return ordemNull;
}

public void setOrdem(Integer ordem) {
if (ordem == null) {
ordemNull = true;
this.ordem = 0;
} else { 
ordemNull = false;
this.ordem = ordem;
}
}

public String getNomecoluna() {
return nomecoluna;
}

public void setNomecoluna(String nomecoluna) {
this.nomecoluna = nomecoluna;
}

public double getPeso() {
return peso;
}

public boolean isPesoNull() {
return pesoNull;
}

public void setPeso(int peso) {
setPeso(new Double(peso));
}

public void setPeso(long peso) {
setPeso(new Double(peso));
}

public void setPeso(Double peso) {
if (peso == null) {
pesoNull = true;
this.peso = 0.;
} else { 
pesoNull = false;
this.peso = FglDouble.round(peso, 2);
}
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

}

