package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvSegperfil {
@Coluna(nome="iv_segperfil.seqperfil", tipo="int")
private int seqperfil;
private boolean seqperfilNull;
@Coluna(nome="iv_segperfil.perfil", tipo="String")
private String perfil;
@Coluna(nome="iv_segperfil.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_segperfil.evendedor", tipo="String")
private String evendedor;
@Coluna(nome="iv_segperfil.inchistorico", tipo="String")
private String inchistorico;
@Coluna(nome="iv_segperfil.inchistretr", tipo="String")
private String inchistretr;
@Coluna(nome="iv_segperfil.qtddiasretr", tipo="int")
private int qtddiasretr;
private boolean qtddiasretrNull;
@Coluna(nome="iv_segperfil.inchistagconcl", tipo="String")
private String inchistagconcl;
@Coluna(nome="iv_segperfil.althistorico", tipo="String")
private String althistorico;
@Coluna(nome="iv_segperfil.exchistorico", tipo="String")
private String exchistorico;
@Coluna(nome="iv_segperfil.incagenda", tipo="String")
private String incagenda;
@Coluna(nome="iv_segperfil.altagenda", tipo="String")
private String altagenda;
@Coluna(nome="iv_segperfil.excagenda", tipo="String")
private String excagenda;
@Coluna(nome="iv_segperfil.veragenda", tipo="String")
private String veragenda;
@Coluna(nome="iv_segperfil.concagenda", tipo="String")
private String concagenda;
@Coluna(nome="iv_segperfil.altoperagenda", tipo="String")
private String altoperagenda;
@Coluna(nome="iv_segperfil.altoperagdreag", tipo="String")
private String altoperagdreag;
@Coluna(nome="iv_segperfil.concagevendor", tipo="String")
private String concagevendor;
@Coluna(nome="iv_segperfil.reativaragenda", tipo="String")
private String reativaragenda;
@Coluna(nome="iv_segperfil.analisarhistorico", tipo="String")
private String analisarhistorico;
@Coluna(nome="iv_segperfil.abreanalise", tipo="String")
private String abreanalise;
@Coluna(nome="iv_segperfil.alteragrupo", tipo="String")
private String alteragrupo;
@Coluna(nome="iv_segperfil.alteracodimport", tipo="String")
private String alteracodimport;
@Coluna(nome="iv_segperfil.alteraregiao", tipo="String")
private String alteraregiao;
@Coluna(nome="iv_segperfil.alteravendedor", tipo="String")
private String alteravendedor;
@Coluna(nome="iv_segperfil.alteraclienteativo", tipo="String")
private String alteraclienteativo;
@Coluna(nome="iv_segperfil.alterastatus", tipo="String")
private String alterastatus;
@Coluna(nome="iv_segperfil.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_segperfil.usualteracao", tipo="String")
private String usualteracao;

public TabIvSegperfil() {
initialize();
}

public void initialize() {
setSeqperfil(null);
setPerfil(null);
setDescricao(null);
setEvendedor(null);
setInchistorico(null);
setInchistretr(null);
setQtddiasretr(null);
setInchistagconcl(null);
setAlthistorico(null);
setExchistorico(null);
setIncagenda(null);
setAltagenda(null);
setExcagenda(null);
setVeragenda(null);
setConcagenda(null);
setAltoperagenda(null);
setAltoperagdreag(null);
setConcagevendor(null);
setReativaragenda(null);
setAnalisarhistorico(null);
setAbreanalise(null);
setAlteragrupo(null);
setAlteracodimport(null);
setAlteraregiao(null);
setAlteravendedor(null);
setAlteraclienteativo(null);
setAlterastatus(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvSegperfil(int seqperfil, String perfil, String descricao, String evendedor, String inchistorico, String inchistretr, int qtddiasretr, String inchistagconcl, String althistorico, String exchistorico, String incagenda, String altagenda, String excagenda, String veragenda, String concagenda, String altoperagenda, String altoperagdreag, String concagevendor, String reativaragenda, String analisarhistorico, String abreanalise, String alteragrupo, String alteracodimport, String alteraregiao, String alteravendedor, String alteraclienteativo, String alterastatus, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqperfil = seqperfil;
this.perfil = perfil;
this.descricao = descricao;
this.evendedor = evendedor;
this.inchistorico = inchistorico;
this.inchistretr = inchistretr;
this.qtddiasretr = qtddiasretr;
this.inchistagconcl = inchistagconcl;
this.althistorico = althistorico;
this.exchistorico = exchistorico;
this.incagenda = incagenda;
this.altagenda = altagenda;
this.excagenda = excagenda;
this.veragenda = veragenda;
this.concagenda = concagenda;
this.altoperagenda = altoperagenda;
this.altoperagdreag = altoperagdreag;
this.concagevendor = concagevendor;
this.reativaragenda = reativaragenda;
this.analisarhistorico = analisarhistorico;
this.abreanalise = abreanalise;
this.alteragrupo = alteragrupo;
this.alteracodimport = alteracodimport;
this.alteraregiao = alteraregiao;
this.alteravendedor = alteravendedor;
this.alteraclienteativo = alteraclienteativo;
this.alterastatus = alterastatus;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public int getSeqperfil() {
return seqperfil;
}

public boolean isSeqperfilNull() {
return seqperfilNull;
}

public void setSeqperfil(Integer seqperfil) {
if (seqperfil == null) {
seqperfilNull = true;
this.seqperfil = 0;
} else { 
seqperfilNull = false;
this.seqperfil = seqperfil;
}
}

public String getPerfil() {
return perfil;
}

public void setPerfil(String perfil) {
this.perfil = perfil;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getEvendedor() {
return evendedor;
}

public void setEvendedor(String evendedor) {
this.evendedor = evendedor;
}

public String getInchistorico() {
return inchistorico;
}

public void setInchistorico(String inchistorico) {
this.inchistorico = inchistorico;
}

public String getInchistretr() {
return inchistretr;
}

public void setInchistretr(String inchistretr) {
this.inchistretr = inchistretr;
}

public int getQtddiasretr() {
return qtddiasretr;
}

public boolean isQtddiasretrNull() {
return qtddiasretrNull;
}

public void setQtddiasretr(Integer qtddiasretr) {
if (qtddiasretr == null) {
qtddiasretrNull = true;
this.qtddiasretr = 0;
} else { 
qtddiasretrNull = false;
this.qtddiasretr = qtddiasretr;
}
}

public String getInchistagconcl() {
return inchistagconcl;
}

public void setInchistagconcl(String inchistagconcl) {
this.inchistagconcl = inchistagconcl;
}

public String getAlthistorico() {
return althistorico;
}

public void setAlthistorico(String althistorico) {
this.althistorico = althistorico;
}

public String getExchistorico() {
return exchistorico;
}

public void setExchistorico(String exchistorico) {
this.exchistorico = exchistorico;
}

public String getIncagenda() {
return incagenda;
}

public void setIncagenda(String incagenda) {
this.incagenda = incagenda;
}

public String getAltagenda() {
return altagenda;
}

public void setAltagenda(String altagenda) {
this.altagenda = altagenda;
}

public String getExcagenda() {
return excagenda;
}

public void setExcagenda(String excagenda) {
this.excagenda = excagenda;
}

public String getVeragenda() {
return veragenda;
}

public void setVeragenda(String veragenda) {
this.veragenda = veragenda;
}

public String getConcagenda() {
return concagenda;
}

public void setConcagenda(String concagenda) {
this.concagenda = concagenda;
}

public String getAltoperagenda() {
return altoperagenda;
}

public void setAltoperagenda(String altoperagenda) {
this.altoperagenda = altoperagenda;
}

public String getAltoperagdreag() {
return altoperagdreag;
}

public void setAltoperagdreag(String altoperagdreag) {
this.altoperagdreag = altoperagdreag;
}

public String getConcagevendor() {
return concagevendor;
}

public void setConcagevendor(String concagevendor) {
this.concagevendor = concagevendor;
}

public String getReativaragenda() {
return reativaragenda;
}

public void setReativaragenda(String reativaragenda) {
this.reativaragenda = reativaragenda;
}

public String getAnalisarhistorico() {
return analisarhistorico;
}

public void setAnalisarhistorico(String analisarhistorico) {
this.analisarhistorico = analisarhistorico;
}

public String getAbreanalise() {
return abreanalise;
}

public void setAbreanalise(String abreanalise) {
this.abreanalise = abreanalise;
}

public String getAlteragrupo() {
return alteragrupo;
}

public void setAlteragrupo(String alteragrupo) {
this.alteragrupo = alteragrupo;
}

public String getAlteracodimport() {
return alteracodimport;
}

public void setAlteracodimport(String alteracodimport) {
this.alteracodimport = alteracodimport;
}

public String getAlteraregiao() {
return alteraregiao;
}

public void setAlteraregiao(String alteraregiao) {
this.alteraregiao = alteraregiao;
}

public String getAlteravendedor() {
return alteravendedor;
}

public void setAlteravendedor(String alteravendedor) {
this.alteravendedor = alteravendedor;
}

public String getAlteraclienteativo() {
return alteraclienteativo;
}

public void setAlteraclienteativo(String alteraclienteativo) {
this.alteraclienteativo = alteraclienteativo;
}

public String getAlterastatus() {
return alterastatus;
}

public void setAlterastatus(String alterastatus) {
this.alterastatus = alterastatus;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

