package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvmMaterial {
@Coluna(nome="ivm_material.seqmaterial", tipo="long")
private long seqmaterial;
private boolean seqmaterialNull;
@Coluna(nome="ivm_material.codmaterial", tipo="String")
private String codmaterial;
@Coluna(nome="ivm_material.emuso", tipo="String")
private String emuso;
@Coluna(nome="ivm_material.descricao", tipo="String")
private String descricao;
@Coluna(nome="ivm_material.preco1", tipo="double")
private double preco1;
private boolean preco1Null;
@Coluna(nome="ivm_material.preco2", tipo="double")
private double preco2;
private boolean preco2Null;
@Coluna(nome="ivm_material.qtdepadrao", tipo="double")
private double qtdepadrao;
private boolean qtdepadraoNull;
@Coluna(nome="ivm_material.qtdefixa", tipo="int")
private int qtdefixa;
private boolean qtdefixaNull;
@Coluna(nome="ivm_material.precofixo", tipo="int")
private int precofixo;
private boolean precofixoNull;
@Coluna(nome="ivm_material.custeio", tipo="String")
private String custeio;
@Coluna(nome="ivm_material.custeiofixo", tipo="int")
private int custeiofixo;
private boolean custeiofixoNull;
@Coluna(nome="ivm_material.atributo1", tipo="String")
private String atributo1;
@Coluna(nome="ivm_material.atributo2", tipo="String")
private String atributo2;
@Coluna(nome="ivm_material.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="ivm_material.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="ivm_material.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ivm_material.usualteracao", tipo="String")
private String usualteracao;

public TabIvmMaterial() {
initialize();
}

public void initialize() {
setSeqmaterial(null);
setCodmaterial(null);
setEmuso(null);
setDescricao(null);
setPreco1(null);
setPreco2(null);
setQtdepadrao(null);
setQtdefixa(null);
setPrecofixo(null);
setCusteio(null);
setCusteiofixo(null);
setAtributo1(null);
setAtributo2(null);
setDtainclusao(null);
setUsuinclusao(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvmMaterial(long seqmaterial, String codmaterial, String emuso, String descricao, double preco1, double preco2, double qtdepadrao, int qtdefixa, int precofixo, String custeio, int custeiofixo, String atributo1, String atributo2, FglDateTimeYS dtainclusao, String usuinclusao, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqmaterial = seqmaterial;
this.codmaterial = codmaterial;
this.emuso = emuso;
this.descricao = descricao;
this.preco1 = preco1;
this.preco2 = preco2;
this.qtdepadrao = qtdepadrao;
this.qtdefixa = qtdefixa;
this.precofixo = precofixo;
this.custeio = custeio;
this.custeiofixo = custeiofixo;
this.atributo1 = atributo1;
this.atributo2 = atributo2;
this.dtainclusao = dtainclusao;
this.usuinclusao = usuinclusao;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqmaterial() {
return seqmaterial;
}

public boolean isSeqmaterialNull() {
return seqmaterialNull;
}

public void setSeqmaterial(int seqmaterial) {
setSeqmaterial(new Long(seqmaterial));
}

public void setSeqmaterial(Long seqmaterial) {
if (seqmaterial == null) {
seqmaterialNull = true;
this.seqmaterial = 0l;
} else { 
seqmaterialNull = false;
this.seqmaterial = seqmaterial;
}
}

public String getCodmaterial() {
return codmaterial;
}

public void setCodmaterial(String codmaterial) {
this.codmaterial = codmaterial;
}

public String getEmuso() {
return emuso;
}

public void setEmuso(String emuso) {
this.emuso = emuso;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getPreco1() {
return preco1;
}

public boolean isPreco1Null() {
return preco1Null;
}

public void setPreco1(int preco1) {
setPreco1(new Double(preco1));
}

public void setPreco1(long preco1) {
setPreco1(new Double(preco1));
}

public void setPreco1(Double preco1) {
if (preco1 == null) {
preco1Null = true;
this.preco1 = 0.;
} else { 
preco1Null = false;
this.preco1 = FglDouble.round(preco1, 2);
}
}

public double getPreco2() {
return preco2;
}

public boolean isPreco2Null() {
return preco2Null;
}

public void setPreco2(int preco2) {
setPreco2(new Double(preco2));
}

public void setPreco2(long preco2) {
setPreco2(new Double(preco2));
}

public void setPreco2(Double preco2) {
if (preco2 == null) {
preco2Null = true;
this.preco2 = 0.;
} else { 
preco2Null = false;
this.preco2 = FglDouble.round(preco2, 2);
}
}

public double getQtdepadrao() {
return qtdepadrao;
}

public boolean isQtdepadraoNull() {
return qtdepadraoNull;
}

public void setQtdepadrao(int qtdepadrao) {
setQtdepadrao(new Double(qtdepadrao));
}

public void setQtdepadrao(long qtdepadrao) {
setQtdepadrao(new Double(qtdepadrao));
}

public void setQtdepadrao(Double qtdepadrao) {
if (qtdepadrao == null) {
qtdepadraoNull = true;
this.qtdepadrao = 0.;
} else { 
qtdepadraoNull = false;
this.qtdepadrao = FglDouble.round(qtdepadrao, 2);
}
}

public int getQtdefixa() {
return qtdefixa;
}

public boolean isQtdefixaNull() {
return qtdefixaNull;
}

public void setQtdefixa(Integer qtdefixa) {
if (qtdefixa == null) {
qtdefixaNull = true;
this.qtdefixa = 0;
} else { 
qtdefixaNull = false;
this.qtdefixa = qtdefixa;
}
}

public int getPrecofixo() {
return precofixo;
}

public boolean isPrecofixoNull() {
return precofixoNull;
}

public void setPrecofixo(Integer precofixo) {
if (precofixo == null) {
precofixoNull = true;
this.precofixo = 0;
} else { 
precofixoNull = false;
this.precofixo = precofixo;
}
}

public String getCusteio() {
return custeio;
}

public void setCusteio(String custeio) {
this.custeio = custeio;
}

public int getCusteiofixo() {
return custeiofixo;
}

public boolean isCusteiofixoNull() {
return custeiofixoNull;
}

public void setCusteiofixo(Integer custeiofixo) {
if (custeiofixo == null) {
custeiofixoNull = true;
this.custeiofixo = 0;
} else { 
custeiofixoNull = false;
this.custeiofixo = custeiofixo;
}
}

public String getAtributo1() {
return atributo1;
}

public void setAtributo1(String atributo1) {
this.atributo1 = atributo1;
}

public String getAtributo2() {
return atributo2;
}

public void setAtributo2(String atributo2) {
this.atributo2 = atributo2;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

