package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvsPes {
@Coluna(nome="ivs_pes.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ivs_pes.seqdepto", tipo="int")
private int seqdepto;
private boolean seqdeptoNull;
@Coluna(nome="ivs_pes.seqpesdepto", tipo="int")
private int seqpesdepto;
private boolean seqpesdeptoNull;
@Coluna(nome="ivs_pes.seqcarteira", tipo="int")
private int seqcarteira;
private boolean seqcarteiraNull;
@Coluna(nome="ivs_pes.ciclo", tipo="int")
private int ciclo;
private boolean cicloNull;
@Coluna(nome="ivs_pes.status", tipo="String")
private String status;
@Coluna(nome="ivs_pes.situacao", tipo="String")
private String situacao;
@Coluna(nome="ivs_pes.potencial", tipo="String")
private String potencial;
@Coluna(nome="ivs_pes.perspectiva", tipo="int")
private int perspectiva;
private boolean perspectivaNull;
@Coluna(nome="ivs_pes.dtacalc", tipo="FglDateTimeYS")
private FglDateTimeYS dtacalc;
@Coluna(nome="ivs_pes.recalc", tipo="int")
private int recalc;
private boolean recalcNull;
@Coluna(nome="ivs_pes.rec", tipo="int")
private int rec;
private boolean recNull;
@Coluna(nome="ivs_pes.freq", tipo="int")
private int freq;
private boolean freqNull;
@Coluna(nome="ivs_pes.vlr", tipo="int")
private int vlr;
private boolean vlrNull;
@Coluna(nome="ivs_pes.pto", tipo="int")
private int pto;
private boolean ptoNull;
@Coluna(nome="ivs_pes.qtdtrans", tipo="long")
private long qtdtrans;
private boolean qtdtransNull;
@Coluna(nome="ivs_pes.proculttrans", tipo="long")
private long proculttrans;
private boolean proculttransNull;
@Coluna(nome="ivs_pes.dtainitrans", tipo="FglDateTimeYS")
private FglDateTimeYS dtainitrans;
@Coluna(nome="ivs_pes.dtaulttrans", tipo="FglDateTimeYS")
private FglDateTimeYS dtaulttrans;
@Coluna(nome="ivs_pes.dtaultctto", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultctto;
@Coluna(nome="ivs_pes.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="ivs_pes.usuincluiu", tipo="String")
private String usuincluiu;
@Coluna(nome="ivs_pes.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ivs_pes.usualterou", tipo="String")
private String usualterou;
@Coluna(nome="ivs_pes.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="ivs_pes.usualteracao", tipo="String")
private String usualteracao;

public TabIvsPes() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqdepto(null);
setSeqpesdepto(null);
setSeqcarteira(null);
setCiclo(null);
setStatus(null);
setSituacao(null);
setPotencial(null);
setPerspectiva(null);
setDtacalc(null);
setRecalc(null);
setRec(null);
setFreq(null);
setVlr(null);
setPto(null);
setQtdtrans(null);
setProculttrans(null);
setDtainitrans(null);
setDtaulttrans(null);
setDtaultctto(null);
setDtainclusao(null);
setUsuincluiu(null);
setDtaalteracao(null);
setUsualterou(null);
setUsuinclusao(null);
setUsualteracao(null);
}

public TabIvsPes(long seqpessoa, int seqdepto, int seqpesdepto, int seqcarteira, int ciclo, String status, String situacao, String potencial, int perspectiva, FglDateTimeYS dtacalc, int recalc, int rec, int freq, int vlr, int pto, long qtdtrans, long proculttrans, FglDateTimeYS dtainitrans, FglDateTimeYS dtaulttrans, FglDateTimeYS dtaultctto, FglDateTimeYS dtainclusao, String usuincluiu, FglDateTimeYS dtaalteracao, String usualterou, String usuinclusao, String usualteracao) {
this.seqpessoa = seqpessoa;
this.seqdepto = seqdepto;
this.seqpesdepto = seqpesdepto;
this.seqcarteira = seqcarteira;
this.ciclo = ciclo;
this.status = status;
this.situacao = situacao;
this.potencial = potencial;
this.perspectiva = perspectiva;
this.dtacalc = dtacalc;
this.recalc = recalc;
this.rec = rec;
this.freq = freq;
this.vlr = vlr;
this.pto = pto;
this.qtdtrans = qtdtrans;
this.proculttrans = proculttrans;
this.dtainitrans = dtainitrans;
this.dtaulttrans = dtaulttrans;
this.dtaultctto = dtaultctto;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
this.usuinclusao = usuinclusao;
this.usualteracao = usualteracao;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getSeqdepto() {
return seqdepto;
}

public boolean isSeqdeptoNull() {
return seqdeptoNull;
}

public void setSeqdepto(Integer seqdepto) {
if (seqdepto == null) {
seqdeptoNull = true;
this.seqdepto = 0;
} else { 
seqdeptoNull = false;
this.seqdepto = seqdepto;
}
}

public int getSeqpesdepto() {
return seqpesdepto;
}

public boolean isSeqpesdeptoNull() {
return seqpesdeptoNull;
}

public void setSeqpesdepto(Integer seqpesdepto) {
if (seqpesdepto == null) {
seqpesdeptoNull = true;
this.seqpesdepto = 0;
} else { 
seqpesdeptoNull = false;
this.seqpesdepto = seqpesdepto;
}
}

public int getSeqcarteira() {
return seqcarteira;
}

public boolean isSeqcarteiraNull() {
return seqcarteiraNull;
}

public void setSeqcarteira(Integer seqcarteira) {
if (seqcarteira == null) {
seqcarteiraNull = true;
this.seqcarteira = 0;
} else { 
seqcarteiraNull = false;
this.seqcarteira = seqcarteira;
}
}

public int getCiclo() {
return ciclo;
}

public boolean isCicloNull() {
return cicloNull;
}

public void setCiclo(Integer ciclo) {
if (ciclo == null) {
cicloNull = true;
this.ciclo = 0;
} else { 
cicloNull = false;
this.ciclo = ciclo;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

public int getPerspectiva() {
return perspectiva;
}

public boolean isPerspectivaNull() {
return perspectivaNull;
}

public void setPerspectiva(Integer perspectiva) {
if (perspectiva == null) {
perspectivaNull = true;
this.perspectiva = 0;
} else { 
perspectivaNull = false;
this.perspectiva = perspectiva;
}
}

public FglDateTimeYS getDtacalc() {
return dtacalc;
}

public void setDtacalc(FglDateTimeYS dtacalc) {
this.dtacalc = dtacalc;
}

public int getRecalc() {
return recalc;
}

public boolean isRecalcNull() {
return recalcNull;
}

public void setRecalc(Integer recalc) {
if (recalc == null) {
recalcNull = true;
this.recalc = 0;
} else { 
recalcNull = false;
this.recalc = recalc;
}
}

public int getRec() {
return rec;
}

public boolean isRecNull() {
return recNull;
}

public void setRec(Integer rec) {
if (rec == null) {
recNull = true;
this.rec = 0;
} else { 
recNull = false;
this.rec = rec;
}
}

public int getFreq() {
return freq;
}

public boolean isFreqNull() {
return freqNull;
}

public void setFreq(Integer freq) {
if (freq == null) {
freqNull = true;
this.freq = 0;
} else { 
freqNull = false;
this.freq = freq;
}
}

public int getVlr() {
return vlr;
}

public boolean isVlrNull() {
return vlrNull;
}

public void setVlr(Integer vlr) {
if (vlr == null) {
vlrNull = true;
this.vlr = 0;
} else { 
vlrNull = false;
this.vlr = vlr;
}
}

public int getPto() {
return pto;
}

public boolean isPtoNull() {
return ptoNull;
}

public void setPto(Integer pto) {
if (pto == null) {
ptoNull = true;
this.pto = 0;
} else { 
ptoNull = false;
this.pto = pto;
}
}

public long getQtdtrans() {
return qtdtrans;
}

public boolean isQtdtransNull() {
return qtdtransNull;
}

public void setQtdtrans(int qtdtrans) {
setQtdtrans(new Long(qtdtrans));
}

public void setQtdtrans(Long qtdtrans) {
if (qtdtrans == null) {
qtdtransNull = true;
this.qtdtrans = 0l;
} else { 
qtdtransNull = false;
this.qtdtrans = qtdtrans;
}
}

public long getProculttrans() {
return proculttrans;
}

public boolean isProculttransNull() {
return proculttransNull;
}

public void setProculttrans(int proculttrans) {
setProculttrans(new Long(proculttrans));
}

public void setProculttrans(Long proculttrans) {
if (proculttrans == null) {
proculttransNull = true;
this.proculttrans = 0l;
} else { 
proculttransNull = false;
this.proculttrans = proculttrans;
}
}

public FglDateTimeYS getDtainitrans() {
return dtainitrans;
}

public void setDtainitrans(FglDateTimeYS dtainitrans) {
this.dtainitrans = dtainitrans;
}

public FglDateTimeYS getDtaulttrans() {
return dtaulttrans;
}

public void setDtaulttrans(FglDateTimeYS dtaulttrans) {
this.dtaulttrans = dtaulttrans;
}

public FglDateTimeYS getDtaultctto() {
return dtaultctto;
}

public void setDtaultctto(FglDateTimeYS dtaultctto) {
this.dtaultctto = dtaultctto;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

