package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJdcaacma {
@Coluna(nome="jdcaacma.id_acordo", tipo="int")
private int idAcordo;
private boolean idAcordoNull;
@Coluna(nome="jdcaacma.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="jdcaacma.descricao", tipo="String")
private String descricao;
@Coluna(nome="jdcaacma.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="jdcaacma.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="jdcaacma.chassis", tipo="String")
private String chassis;
@Coluna(nome="jdcaacma.horamensal", tipo="int")
private int horamensal;
private boolean horamensalNull;
@Coluna(nome="jdcaacma.datageracao", tipo="FglDate")
private FglDate datageracao;
@Coluna(nome="jdcaacma.datafechamento", tipo="FglDate")
private FglDate datafechamento;
@Coluna(nome="jdcaacma.valorplano", tipo="double")
private double valorplano;
private boolean valorplanoNull;
@Coluna(nome="jdcaacma.perc_desconto", tipo="double")
private double percDesconto;
private boolean percDescontoNull;
@Coluna(nome="jdcaacma.valordesconto", tipo="double")
private double valordesconto;
private boolean valordescontoNull;
@Coluna(nome="jdcaacma.valoracordo", tipo="double")
private double valoracordo;
private boolean valoracordoNull;
@Coluna(nome="jdcaacma.valorutilizado", tipo="double")
private double valorutilizado;
private boolean valorutilizadoNull;
@Coluna(nome="jdcaacma.status", tipo="String")
private String status;
@Coluna(nome="jdcaacma.numeroacordo", tipo="int")
private int numeroacordo;
private boolean numeroacordoNull;
@Coluna(nome="jdcaacma.id_orc_entregafut", tipo="int")
private int idOrcEntregafut;
private boolean idOrcEntregafutNull;
@Coluna(nome="jdcaacma.id_orc_venda", tipo="int")
private int idOrcVenda;
private boolean idOrcVendaNull;
@Coluna(nome="jdcaacma.forma_fat", tipo="String")
private String formaFat;
@Coluna(nome="jdcaacma.documento_fat", tipo="String")
private String documentoFat;
@Coluna(nome="jdcaacma.dat_status", tipo="FglDate")
private FglDate datStatus;

public TabJdcaacma() {
initialize();
}

public void initialize() {
setIdAcordo(null);
setFilial(null);
setDescricao(null);
setCgccpf(null);
setTppessoa(null);
setChassis(null);
setHoramensal(null);
setDatageracao(null);
setDatafechamento(null);
setValorplano(null);
setPercDesconto(null);
setValordesconto(null);
setValoracordo(null);
setValorutilizado(null);
setStatus(null);
setNumeroacordo(null);
setIdOrcEntregafut(null);
setIdOrcVenda(null);
setFormaFat(null);
setDocumentoFat(null);
setDatStatus(null);
}

public TabJdcaacma(int idAcordo, int filial, String descricao, long cgccpf, int tppessoa, String chassis, int horamensal, FglDate datageracao, FglDate datafechamento, double valorplano, double percDesconto, double valordesconto, double valoracordo, double valorutilizado, String status, int numeroacordo, int idOrcEntregafut, int idOrcVenda, String formaFat, String documentoFat, FglDate datStatus) {
this.idAcordo = idAcordo;
this.filial = filial;
this.descricao = descricao;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.chassis = chassis;
this.horamensal = horamensal;
this.datageracao = datageracao;
this.datafechamento = datafechamento;
this.valorplano = valorplano;
this.percDesconto = percDesconto;
this.valordesconto = valordesconto;
this.valoracordo = valoracordo;
this.valorutilizado = valorutilizado;
this.status = status;
this.numeroacordo = numeroacordo;
this.idOrcEntregafut = idOrcEntregafut;
this.idOrcVenda = idOrcVenda;
this.formaFat = formaFat;
this.documentoFat = documentoFat;
this.datStatus = datStatus;
}

public int getIdAcordo() {
return idAcordo;
}

public boolean isIdAcordoNull() {
return idAcordoNull;
}

public void setIdAcordo(Integer idAcordo) {
if (idAcordo == null) {
idAcordoNull = true;
this.idAcordo = 0;
} else { 
idAcordoNull = false;
this.idAcordo = idAcordo;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getHoramensal() {
return horamensal;
}

public boolean isHoramensalNull() {
return horamensalNull;
}

public void setHoramensal(Integer horamensal) {
if (horamensal == null) {
horamensalNull = true;
this.horamensal = 0;
} else { 
horamensalNull = false;
this.horamensal = horamensal;
}
}

public FglDate getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDate datageracao) {
this.datageracao = datageracao;
}

public FglDate getDatafechamento() {
return datafechamento;
}

public void setDatafechamento(FglDate datafechamento) {
this.datafechamento = datafechamento;
}

public double getValorplano() {
return valorplano;
}

public boolean isValorplanoNull() {
return valorplanoNull;
}

public void setValorplano(int valorplano) {
setValorplano(new Double(valorplano));
}

public void setValorplano(long valorplano) {
setValorplano(new Double(valorplano));
}

public void setValorplano(Double valorplano) {
if (valorplano == null) {
valorplanoNull = true;
this.valorplano = 0.;
} else { 
valorplanoNull = false;
this.valorplano = FglDouble.round(valorplano, 2);
}
}

public double getPercDesconto() {
return percDesconto;
}

public boolean isPercDescontoNull() {
return percDescontoNull;
}

public void setPercDesconto(int percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(long percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(Double percDesconto) {
if (percDesconto == null) {
percDescontoNull = true;
this.percDesconto = 0.;
} else { 
percDescontoNull = false;
this.percDesconto = FglDouble.round(percDesconto, 14);
}
}

public double getValordesconto() {
return valordesconto;
}

public boolean isValordescontoNull() {
return valordescontoNull;
}

public void setValordesconto(int valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(long valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(Double valordesconto) {
if (valordesconto == null) {
valordescontoNull = true;
this.valordesconto = 0.;
} else { 
valordescontoNull = false;
this.valordesconto = FglDouble.round(valordesconto, 2);
}
}

public double getValoracordo() {
return valoracordo;
}

public boolean isValoracordoNull() {
return valoracordoNull;
}

public void setValoracordo(int valoracordo) {
setValoracordo(new Double(valoracordo));
}

public void setValoracordo(long valoracordo) {
setValoracordo(new Double(valoracordo));
}

public void setValoracordo(Double valoracordo) {
if (valoracordo == null) {
valoracordoNull = true;
this.valoracordo = 0.;
} else { 
valoracordoNull = false;
this.valoracordo = FglDouble.round(valoracordo, 2);
}
}

public double getValorutilizado() {
return valorutilizado;
}

public boolean isValorutilizadoNull() {
return valorutilizadoNull;
}

public void setValorutilizado(int valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(long valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(Double valorutilizado) {
if (valorutilizado == null) {
valorutilizadoNull = true;
this.valorutilizado = 0.;
} else { 
valorutilizadoNull = false;
this.valorutilizado = FglDouble.round(valorutilizado, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getNumeroacordo() {
return numeroacordo;
}

public boolean isNumeroacordoNull() {
return numeroacordoNull;
}

public void setNumeroacordo(Integer numeroacordo) {
if (numeroacordo == null) {
numeroacordoNull = true;
this.numeroacordo = 0;
} else { 
numeroacordoNull = false;
this.numeroacordo = numeroacordo;
}
}

public int getIdOrcEntregafut() {
return idOrcEntregafut;
}

public boolean isIdOrcEntregafutNull() {
return idOrcEntregafutNull;
}

public void setIdOrcEntregafut(Integer idOrcEntregafut) {
if (idOrcEntregafut == null) {
idOrcEntregafutNull = true;
this.idOrcEntregafut = 0;
} else { 
idOrcEntregafutNull = false;
this.idOrcEntregafut = idOrcEntregafut;
}
}

public int getIdOrcVenda() {
return idOrcVenda;
}

public boolean isIdOrcVendaNull() {
return idOrcVendaNull;
}

public void setIdOrcVenda(Integer idOrcVenda) {
if (idOrcVenda == null) {
idOrcVendaNull = true;
this.idOrcVenda = 0;
} else { 
idOrcVendaNull = false;
this.idOrcVenda = idOrcVenda;
}
}

public String getFormaFat() {
return formaFat;
}

public void setFormaFat(String formaFat) {
this.formaFat = formaFat;
}

public String getDocumentoFat() {
return documentoFat;
}

public void setDocumentoFat(String documentoFat) {
this.documentoFat = documentoFat;
}

public FglDate getDatStatus() {
return datStatus;
}

public void setDatStatus(FglDate datStatus) {
this.datStatus = datStatus;
}

}

