package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabJdcornum {
@Coluna(nome="jdcornum.matriz", tipo="int")
private int matriz;
private boolean matrizNull;
@Coluna(nome="jdcornum.tipo", tipo="String")
private String tipo;
@Coluna(nome="jdcornum.cornum", tipo="String")
private String cornum;
@Coluna(nome="jdcornum.status", tipo="String")
private String status;
@Coluna(nome="jdcornum.data", tipo="FglDateTimeYS")
private FglDateTimeYS data;
@Coluna(nome="jdcornum.agente", tipo="int")
private int agente;
private boolean agenteNull;
@Coluna(nome="jdcornum.arquivo", tipo="String")
private String arquivo;

public TabJdcornum() {
initialize();
}

public void initialize() {
setMatriz(null);
setTipo(null);
setCornum(null);
setStatus(null);
setData(null);
setAgente(null);
setArquivo(null);
}

public TabJdcornum(int matriz, String tipo, String cornum, String status, FglDateTimeYS data, int agente, String arquivo) {
this.matriz = matriz;
this.tipo = tipo;
this.cornum = cornum;
this.status = status;
this.data = data;
this.agente = agente;
this.arquivo = arquivo;
}

public int getMatriz() {
return matriz;
}

public boolean isMatrizNull() {
return matrizNull;
}

public void setMatriz(Integer matriz) {
if (matriz == null) {
matrizNull = true;
this.matriz = 0;
} else { 
matrizNull = false;
this.matriz = matriz;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getCornum() {
return cornum;
}

public void setCornum(String cornum) {
this.cornum = cornum;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getData() {
return data;
}

public void setData(FglDateTimeYS data) {
this.data = data;
}

public int getAgente() {
return agente;
}

public boolean isAgenteNull() {
return agenteNull;
}

public void setAgente(Integer agente) {
if (agente == null) {
agenteNull = true;
this.agente = 0;
} else { 
agenteNull = false;
this.agente = agente;
}
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

}

