package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJdincchs {
@Coluna(nome="jdincchs.id_incentivo", tipo="int")
private int idIncentivo;
private boolean idIncentivoNull;
@Coluna(nome="jdincchs.chassis", tipo="String")
private String chassis;
@Coluna(nome="jdincchs.percincentivo", tipo="double")
private double percincentivo;
private boolean percincentivoNull;

public TabJdincchs() {
initialize();
}

public void initialize() {
setIdIncentivo(null);
setChassis(null);
setPercincentivo(null);
}

public TabJdincchs(int idIncentivo, String chassis, double percincentivo) {
this.idIncentivo = idIncentivo;
this.chassis = chassis;
this.percincentivo = percincentivo;
}

public int getIdIncentivo() {
return idIncentivo;
}

public boolean isIdIncentivoNull() {
return idIncentivoNull;
}

public void setIdIncentivo(Integer idIncentivo) {
if (idIncentivo == null) {
idIncentivoNull = true;
this.idIncentivo = 0;
} else { 
idIncentivoNull = false;
this.idIncentivo = idIncentivo;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getPercincentivo() {
return percincentivo;
}

public boolean isPercincentivoNull() {
return percincentivoNull;
}

public void setPercincentivo(int percincentivo) {
setPercincentivo(new Double(percincentivo));
}

public void setPercincentivo(long percincentivo) {
setPercincentivo(new Double(percincentivo));
}

public void setPercincentivo(Double percincentivo) {
if (percincentivo == null) {
percincentivoNull = true;
this.percincentivo = 0.;
} else { 
percincentivoNull = false;
this.percincentivo = FglDouble.round(percincentivo, 2);
}
}

}

