package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJdincmod {
@Coluna(nome="jdincmod.id_incentivo", tipo="int")
private int idIncentivo;
private boolean idIncentivoNull;
@Coluna(nome="jdincmod.modelo", tipo="String")
private String modelo;
@Coluna(nome="jdincmod.percincentivo", tipo="double")
private double percincentivo;
private boolean percincentivoNull;

public TabJdincmod() {
initialize();
}

public void initialize() {
setIdIncentivo(null);
setModelo(null);
setPercincentivo(null);
}

public TabJdincmod(int idIncentivo, String modelo, double percincentivo) {
this.idIncentivo = idIncentivo;
this.modelo = modelo;
this.percincentivo = percincentivo;
}

public int getIdIncentivo() {
return idIncentivo;
}

public boolean isIdIncentivoNull() {
return idIncentivoNull;
}

public void setIdIncentivo(Integer idIncentivo) {
if (idIncentivo == null) {
idIncentivoNull = true;
this.idIncentivo = 0;
} else { 
idIncentivoNull = false;
this.idIncentivo = idIncentivo;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getPercincentivo() {
return percincentivo;
}

public boolean isPercincentivoNull() {
return percincentivoNull;
}

public void setPercincentivo(int percincentivo) {
setPercincentivo(new Double(percincentivo));
}

public void setPercincentivo(long percincentivo) {
setPercincentivo(new Double(percincentivo));
}

public void setPercincentivo(Double percincentivo) {
if (percincentivo == null) {
percincentivoNull = true;
this.percincentivo = 0.;
} else { 
percincentivoNull = false;
this.percincentivo = FglDouble.round(percincentivo, 2);
}
}

}

