package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabJdincven {
@Coluna(nome="jdincven.id_incentivo", tipo="int")
private int idIncentivo;
private boolean idIncentivoNull;
@Coluna(nome="jdincven.programa", tipo="String")
private String programa;
@Coluna(nome="jdincven.uffederacao", tipo="String")
private String uffederacao;
@Coluna(nome="jdincven.dtcotado_ini", tipo="FglDate")
private FglDate dtcotadoIni;
@Coluna(nome="jdincven.dtcotado_fim", tipo="FglDate")
private FglDate dtcotadoFim;
@Coluna(nome="jdincven.dtvendido_ini", tipo="FglDate")
private FglDate dtvendidoIni;
@Coluna(nome="jdincven.dtvendido_fim", tipo="FglDate")
private FglDate dtvendidoFim;
@Coluna(nome="jdincven.dtentregue_ini", tipo="FglDate")
private FglDate dtentregueIni;
@Coluna(nome="jdincven.dtentregue_fim", tipo="FglDate")
private FglDate dtentregueFim;
@Coluna(nome="jdincven.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;

public TabJdincven() {
initialize();
}

public void initialize() {
setIdIncentivo(null);
setPrograma(null);
setUffederacao(null);
setDtcotadoIni(null);
setDtcotadoFim(null);
setDtvendidoIni(null);
setDtvendidoFim(null);
setDtentregueIni(null);
setDtentregueFim(null);
setDtvalidade(null);
}

public TabJdincven(int idIncentivo, String programa, String uffederacao, FglDate dtcotadoIni, FglDate dtcotadoFim, FglDate dtvendidoIni, FglDate dtvendidoFim, FglDate dtentregueIni, FglDate dtentregueFim, FglDate dtvalidade) {
this.idIncentivo = idIncentivo;
this.programa = programa;
this.uffederacao = uffederacao;
this.dtcotadoIni = dtcotadoIni;
this.dtcotadoFim = dtcotadoFim;
this.dtvendidoIni = dtvendidoIni;
this.dtvendidoFim = dtvendidoFim;
this.dtentregueIni = dtentregueIni;
this.dtentregueFim = dtentregueFim;
this.dtvalidade = dtvalidade;
}

public int getIdIncentivo() {
return idIncentivo;
}

public boolean isIdIncentivoNull() {
return idIncentivoNull;
}

public void setIdIncentivo(Integer idIncentivo) {
if (idIncentivo == null) {
idIncentivoNull = true;
this.idIncentivo = 0;
} else { 
idIncentivoNull = false;
this.idIncentivo = idIncentivo;
}
}

public String getPrograma() {
return programa;
}

public void setPrograma(String programa) {
this.programa = programa;
}

public String getUffederacao() {
return uffederacao;
}

public void setUffederacao(String uffederacao) {
this.uffederacao = uffederacao;
}

public FglDate getDtcotadoIni() {
return dtcotadoIni;
}

public void setDtcotadoIni(FglDate dtcotadoIni) {
this.dtcotadoIni = dtcotadoIni;
}

public FglDate getDtcotadoFim() {
return dtcotadoFim;
}

public void setDtcotadoFim(FglDate dtcotadoFim) {
this.dtcotadoFim = dtcotadoFim;
}

public FglDate getDtvendidoIni() {
return dtvendidoIni;
}

public void setDtvendidoIni(FglDate dtvendidoIni) {
this.dtvendidoIni = dtvendidoIni;
}

public FglDate getDtvendidoFim() {
return dtvendidoFim;
}

public void setDtvendidoFim(FglDate dtvendidoFim) {
this.dtvendidoFim = dtvendidoFim;
}

public FglDate getDtentregueIni() {
return dtentregueIni;
}

public void setDtentregueIni(FglDate dtentregueIni) {
this.dtentregueIni = dtentregueIni;
}

public FglDate getDtentregueFim() {
return dtentregueFim;
}

public void setDtentregueFim(FglDate dtentregueFim) {
this.dtentregueFim = dtentregueFim;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

}

