package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJditplma {
@Coluna(nome="jditplma.chassis", tipo="String")
private String chassis;
@Coluna(nome="jditplma.id_acordo", tipo="int")
private int idAcordo;
private boolean idAcordoNull;
@Coluna(nome="jditplma.nro_revisao", tipo="int")
private int nroRevisao;
private boolean nroRevisaoNull;
@Coluna(nome="jditplma.tipo_item", tipo="String")
private String tipoItem;
@Coluna(nome="jditplma.codigo_item", tipo="String")
private String codigoItem;
@Coluna(nome="jditplma.quant_item", tipo="double")
private double quantItem;
private boolean quantItemNull;
@Coluna(nome="jditplma.vlr_unitario", tipo="double")
private double vlrUnitario;
private boolean vlrUnitarioNull;
@Coluna(nome="jditplma.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="jditplma.vlr_total", tipo="double")
private double vlrTotal;
private boolean vlrTotalNull;

public TabJditplma() {
initialize();
}

public void initialize() {
setChassis(null);
setIdAcordo(null);
setNroRevisao(null);
setTipoItem(null);
setCodigoItem(null);
setQuantItem(null);
setVlrUnitario(null);
setDesconto(null);
setVlrTotal(null);
}

public TabJditplma(String chassis, int idAcordo, int nroRevisao, String tipoItem, String codigoItem, double quantItem, double vlrUnitario, double desconto, double vlrTotal) {
this.chassis = chassis;
this.idAcordo = idAcordo;
this.nroRevisao = nroRevisao;
this.tipoItem = tipoItem;
this.codigoItem = codigoItem;
this.quantItem = quantItem;
this.vlrUnitario = vlrUnitario;
this.desconto = desconto;
this.vlrTotal = vlrTotal;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdAcordo() {
return idAcordo;
}

public boolean isIdAcordoNull() {
return idAcordoNull;
}

public void setIdAcordo(Integer idAcordo) {
if (idAcordo == null) {
idAcordoNull = true;
this.idAcordo = 0;
} else { 
idAcordoNull = false;
this.idAcordo = idAcordo;
}
}

public int getNroRevisao() {
return nroRevisao;
}

public boolean isNroRevisaoNull() {
return nroRevisaoNull;
}

public void setNroRevisao(Integer nroRevisao) {
if (nroRevisao == null) {
nroRevisaoNull = true;
this.nroRevisao = 0;
} else { 
nroRevisaoNull = false;
this.nroRevisao = nroRevisao;
}
}

public String getTipoItem() {
return tipoItem;
}

public void setTipoItem(String tipoItem) {
this.tipoItem = tipoItem;
}

public String getCodigoItem() {
return codigoItem;
}

public void setCodigoItem(String codigoItem) {
this.codigoItem = codigoItem;
}

public double getQuantItem() {
return quantItem;
}

public boolean isQuantItemNull() {
return quantItemNull;
}

public void setQuantItem(int quantItem) {
setQuantItem(new Double(quantItem));
}

public void setQuantItem(long quantItem) {
setQuantItem(new Double(quantItem));
}

public void setQuantItem(Double quantItem) {
if (quantItem == null) {
quantItemNull = true;
this.quantItem = 0.;
} else { 
quantItemNull = false;
this.quantItem = FglDouble.round(quantItem, 2);
}
}

public double getVlrUnitario() {
return vlrUnitario;
}

public boolean isVlrUnitarioNull() {
return vlrUnitarioNull;
}

public void setVlrUnitario(int vlrUnitario) {
setVlrUnitario(new Double(vlrUnitario));
}

public void setVlrUnitario(long vlrUnitario) {
setVlrUnitario(new Double(vlrUnitario));
}

public void setVlrUnitario(Double vlrUnitario) {
if (vlrUnitario == null) {
vlrUnitarioNull = true;
this.vlrUnitario = 0.;
} else { 
vlrUnitarioNull = false;
this.vlrUnitario = FglDouble.round(vlrUnitario, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getVlrTotal() {
return vlrTotal;
}

public boolean isVlrTotalNull() {
return vlrTotalNull;
}

public void setVlrTotal(int vlrTotal) {
setVlrTotal(new Double(vlrTotal));
}

public void setVlrTotal(long vlrTotal) {
setVlrTotal(new Double(vlrTotal));
}

public void setVlrTotal(Double vlrTotal) {
if (vlrTotal == null) {
vlrTotalNull = true;
this.vlrTotal = 0.;
} else { 
vlrTotalNull = false;
this.vlrTotal = FglDouble.round(vlrTotal, 2);
}
}

}

