package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJdprplma {
@Coluna(nome="jdprplma.id_prplma", tipo="int")
private int idPrplma;
private boolean idPrplmaNull;
@Coluna(nome="jdprplma.id_revisao", tipo="int")
private int idRevisao;
private boolean idRevisaoNull;
@Coluna(nome="jdprplma.produto", tipo="String")
private String produto;
@Coluna(nome="jdprplma.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="jdprplma.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="jdprplma.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;

public TabJdprplma() {
initialize();
}

public void initialize() {
setIdPrplma(null);
setIdRevisao(null);
setProduto(null);
setQuantidade(null);
setDesconto(null);
setUnitario(null);
}

public TabJdprplma(int idPrplma, int idRevisao, String produto, double quantidade, double desconto, double unitario) {
this.idPrplma = idPrplma;
this.idRevisao = idRevisao;
this.produto = produto;
this.quantidade = quantidade;
this.desconto = desconto;
this.unitario = unitario;
}

public int getIdPrplma() {
return idPrplma;
}

public boolean isIdPrplmaNull() {
return idPrplmaNull;
}

public void setIdPrplma(Integer idPrplma) {
if (idPrplma == null) {
idPrplmaNull = true;
this.idPrplma = 0;
} else { 
idPrplmaNull = false;
this.idPrplma = idPrplma;
}
}

public int getIdRevisao() {
return idRevisao;
}

public boolean isIdRevisaoNull() {
return idRevisaoNull;
}

public void setIdRevisao(Integer idRevisao) {
if (idRevisao == null) {
idRevisaoNull = true;
this.idRevisao = 0;
} else { 
idRevisaoNull = false;
this.idRevisao = idRevisao;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

}

