package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabJdreacma {
@Coluna(nome="jdreacma.id_reacma", tipo="int")
private int idReacma;
private boolean idReacmaNull;
@Coluna(nome="jdreacma.id_acordo", tipo="int")
private int idAcordo;
private boolean idAcordoNull;
@Coluna(nome="jdreacma.id_revisao", tipo="int")
private int idRevisao;
private boolean idRevisaoNull;
@Coluna(nome="jdreacma.horasrevisao", tipo="int")
private int horasrevisao;
private boolean horasrevisaoNull;
@Coluna(nome="jdreacma.valorpecas", tipo="double")
private double valorpecas;
private boolean valorpecasNull;
@Coluna(nome="jdreacma.valorservicos", tipo="double")
private double valorservicos;
private boolean valorservicosNull;
@Coluna(nome="jdreacma.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="jdreacma.status", tipo="String")
private String status;
@Coluna(nome="jdreacma.dtutilizacao", tipo="FglDate")
private FglDate dtutilizacao;
@Coluna(nome="jdreacma.valorutilizado", tipo="double")
private double valorutilizado;
private boolean valorutilizadoNull;
@Coluna(nome="jdreacma.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="jdreacma.nrorevisao", tipo="int")
private int nrorevisao;
private boolean nrorevisaoNull;
@Coluna(nome="jdreacma.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;

public TabJdreacma() {
initialize();
}

public void initialize() {
setIdReacma(null);
setIdAcordo(null);
setIdRevisao(null);
setHorasrevisao(null);
setValorpecas(null);
setValorservicos(null);
setDtprevista(null);
setStatus(null);
setDtutilizacao(null);
setValorutilizado(null);
setIdOscapa(null);
setNrorevisao(null);
setIdAgetoy(null);
}

public TabJdreacma(int idReacma, int idAcordo, int idRevisao, int horasrevisao, double valorpecas, double valorservicos, FglDate dtprevista, String status, FglDate dtutilizacao, double valorutilizado, int idOscapa, int nrorevisao, int idAgetoy) {
this.idReacma = idReacma;
this.idAcordo = idAcordo;
this.idRevisao = idRevisao;
this.horasrevisao = horasrevisao;
this.valorpecas = valorpecas;
this.valorservicos = valorservicos;
this.dtprevista = dtprevista;
this.status = status;
this.dtutilizacao = dtutilizacao;
this.valorutilizado = valorutilizado;
this.idOscapa = idOscapa;
this.nrorevisao = nrorevisao;
this.idAgetoy = idAgetoy;
}

public int getIdReacma() {
return idReacma;
}

public boolean isIdReacmaNull() {
return idReacmaNull;
}

public void setIdReacma(Integer idReacma) {
if (idReacma == null) {
idReacmaNull = true;
this.idReacma = 0;
} else { 
idReacmaNull = false;
this.idReacma = idReacma;
}
}

public int getIdAcordo() {
return idAcordo;
}

public boolean isIdAcordoNull() {
return idAcordoNull;
}

public void setIdAcordo(Integer idAcordo) {
if (idAcordo == null) {
idAcordoNull = true;
this.idAcordo = 0;
} else { 
idAcordoNull = false;
this.idAcordo = idAcordo;
}
}

public int getIdRevisao() {
return idRevisao;
}

public boolean isIdRevisaoNull() {
return idRevisaoNull;
}

public void setIdRevisao(Integer idRevisao) {
if (idRevisao == null) {
idRevisaoNull = true;
this.idRevisao = 0;
} else { 
idRevisaoNull = false;
this.idRevisao = idRevisao;
}
}

public int getHorasrevisao() {
return horasrevisao;
}

public boolean isHorasrevisaoNull() {
return horasrevisaoNull;
}

public void setHorasrevisao(Integer horasrevisao) {
if (horasrevisao == null) {
horasrevisaoNull = true;
this.horasrevisao = 0;
} else { 
horasrevisaoNull = false;
this.horasrevisao = horasrevisao;
}
}

public double getValorpecas() {
return valorpecas;
}

public boolean isValorpecasNull() {
return valorpecasNull;
}

public void setValorpecas(int valorpecas) {
setValorpecas(new Double(valorpecas));
}

public void setValorpecas(long valorpecas) {
setValorpecas(new Double(valorpecas));
}

public void setValorpecas(Double valorpecas) {
if (valorpecas == null) {
valorpecasNull = true;
this.valorpecas = 0.;
} else { 
valorpecasNull = false;
this.valorpecas = FglDouble.round(valorpecas, 2);
}
}

public double getValorservicos() {
return valorservicos;
}

public boolean isValorservicosNull() {
return valorservicosNull;
}

public void setValorservicos(int valorservicos) {
setValorservicos(new Double(valorservicos));
}

public void setValorservicos(long valorservicos) {
setValorservicos(new Double(valorservicos));
}

public void setValorservicos(Double valorservicos) {
if (valorservicos == null) {
valorservicosNull = true;
this.valorservicos = 0.;
} else { 
valorservicosNull = false;
this.valorservicos = FglDouble.round(valorservicos, 2);
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDate getDtutilizacao() {
return dtutilizacao;
}

public void setDtutilizacao(FglDate dtutilizacao) {
this.dtutilizacao = dtutilizacao;
}

public double getValorutilizado() {
return valorutilizado;
}

public boolean isValorutilizadoNull() {
return valorutilizadoNull;
}

public void setValorutilizado(int valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(long valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(Double valorutilizado) {
if (valorutilizado == null) {
valorutilizadoNull = true;
this.valorutilizado = 0.;
} else { 
valorutilizadoNull = false;
this.valorutilizado = FglDouble.round(valorutilizado, 2);
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNrorevisao() {
return nrorevisao;
}

public boolean isNrorevisaoNull() {
return nrorevisaoNull;
}

public void setNrorevisao(Integer nrorevisao) {
if (nrorevisao == null) {
nrorevisaoNull = true;
this.nrorevisao = 0;
} else { 
nrorevisaoNull = false;
this.nrorevisao = nrorevisao;
}
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

}

