package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabJobCadastro {
@Coluna(nome="job_cadastro.codigo", tipo="String")
private String codigo;
@Coluna(nome="job_cadastro.descricao", tipo="String")
private String descricao;
@Coluna(nome="job_cadastro.tipo", tipo="String")
private String tipo;
@Coluna(nome="job_cadastro.hora_inicial", tipo="int")
private int horaInicial;
private boolean horaInicialNull;
@Coluna(nome="job_cadastro.hora_final", tipo="int")
private int horaFinal;
private boolean horaFinalNull;
@Coluna(nome="job_cadastro.frequencia", tipo="int")
private int frequencia;
private boolean frequenciaNull;
@Coluna(nome="job_cadastro.duracao_prevista", tipo="int")
private int duracaoPrevista;
private boolean duracaoPrevistaNull;

public TabJobCadastro() {
initialize();
}

public void initialize() {
setCodigo(null);
setDescricao(null);
setTipo(null);
setHoraInicial(null);
setHoraFinal(null);
setFrequencia(null);
setDuracaoPrevista(null);
}

public TabJobCadastro(String codigo, String descricao, String tipo, int horaInicial, int horaFinal, int frequencia, int duracaoPrevista) {
this.codigo = codigo;
this.descricao = descricao;
this.tipo = tipo;
this.horaInicial = horaInicial;
this.horaFinal = horaFinal;
this.frequencia = frequencia;
this.duracaoPrevista = duracaoPrevista;
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getHoraInicial() {
return horaInicial;
}

public boolean isHoraInicialNull() {
return horaInicialNull;
}

public void setHoraInicial(Integer horaInicial) {
if (horaInicial == null) {
horaInicialNull = true;
this.horaInicial = 0;
} else { 
horaInicialNull = false;
this.horaInicial = horaInicial;
}
}

public int getHoraFinal() {
return horaFinal;
}

public boolean isHoraFinalNull() {
return horaFinalNull;
}

public void setHoraFinal(Integer horaFinal) {
if (horaFinal == null) {
horaFinalNull = true;
this.horaFinal = 0;
} else { 
horaFinalNull = false;
this.horaFinal = horaFinal;
}
}

public int getFrequencia() {
return frequencia;
}

public boolean isFrequenciaNull() {
return frequenciaNull;
}

public void setFrequencia(Integer frequencia) {
if (frequencia == null) {
frequenciaNull = true;
this.frequencia = 0;
} else { 
frequenciaNull = false;
this.frequencia = frequencia;
}
}

public int getDuracaoPrevista() {
return duracaoPrevista;
}

public boolean isDuracaoPrevistaNull() {
return duracaoPrevistaNull;
}

public void setDuracaoPrevista(Integer duracaoPrevista) {
if (duracaoPrevista == null) {
duracaoPrevistaNull = true;
this.duracaoPrevista = 0;
} else { 
duracaoPrevistaNull = false;
this.duracaoPrevista = duracaoPrevista;
}
}

}

