package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLdnEmpresas {
@Coluna(nome="ldn_empresas.id_server", tipo="String")
private String idServer;
@Coluna(nome="ldn_empresas.id_instancia", tipo="String")
private String idInstancia;
@Coluna(nome="ldn_empresas.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="ldn_empresas.des_empresa", tipo="String")
private String desEmpresa;
@Coluna(nome="ldn_empresas.certif", tipo="byte")
private String certif;
@Coluna(nome="ldn_empresas.passwd_certificado", tipo="String")
private String passwdCertificado;
@Coluna(nome="ldn_empresas.cod_uf", tipo="int")
private int codUf;
private boolean codUfNull;
@Coluna(nome="ldn_empresas.envia_email", tipo="String")
private String enviaEmail;
@Coluna(nome="ldn_empresas.servidor_email", tipo="String")
private String servidorEmail;
@Coluna(nome="ldn_empresas.porta_email", tipo="int")
private int portaEmail;
private boolean portaEmailNull;
@Coluna(nome="ldn_empresas.usuario_email", tipo="String")
private String usuarioEmail;
@Coluna(nome="ldn_empresas.senha_email", tipo="String")
private String senhaEmail;
@Coluna(nome="ldn_empresas.assunto_email", tipo="String")
private String assuntoEmail;
@Coluna(nome="ldn_empresas.mensagem_email", tipo="String")
private String mensagemEmail;
@Coluna(nome="ldn_empresas.email_envio", tipo="String")
private String emailEnvio;
@Coluna(nome="ldn_empresas.utiliza_ssl_email", tipo="String")
private String utilizaSslEmail;
@Coluna(nome="ldn_empresas.utiliza_office_365", tipo="String")
private String utilizaOffice365;
@Coluna(nome="ldn_empresas.envia_danfe", tipo="String")
private String enviaDanfe;
@Coluna(nome="ldn_empresas.path_entrada", tipo="String")
private String pathEntrada;
@Coluna(nome="ldn_empresas.aut_dfe", tipo="String")
private String autDfe;
@Coluna(nome="ldn_empresas.download_nfe", tipo="String")
private String downloadNfe;
@Coluna(nome="ldn_empresas.ambiente_dfe", tipo="int")
private int ambienteDfe;
private boolean ambienteDfeNull;
@Coluna(nome="ldn_empresas.ultimo_nsu", tipo="int")
private int ultimoNsu;
private boolean ultimoNsuNull;
@Coluna(nome="ldn_empresas.ultimo_nsu_res", tipo="int")
private int ultimoNsuRes;
private boolean ultimoNsuResNull;
@Coluna(nome="ldn_empresas.dfe_automatico", tipo="String")
private String dfeAutomatico;
@Coluna(nome="ldn_empresas.dfe_raiz_cnpj", tipo="String")
private String dfeRaizCnpj;
@Coluna(nome="ldn_empresas.logo", tipo="byte")
private String logo;
@Coluna(nome="ldn_empresas.fuso_horario", tipo="int")
private int fusoHorario;
private boolean fusoHorarioNull;

public TabLdnEmpresas() {
initialize();
}

public void initialize() {
setIdServer(null);
setIdInstancia(null);
setCnpj(null);
setDesEmpresa(null);
setCertif(null);
setPasswdCertificado(null);
setCodUf(null);
setEnviaEmail(null);
setServidorEmail(null);
setPortaEmail(null);
setUsuarioEmail(null);
setSenhaEmail(null);
setAssuntoEmail(null);
setMensagemEmail(null);
setEmailEnvio(null);
setUtilizaSslEmail(null);
setUtilizaOffice365(null);
setEnviaDanfe(null);
setPathEntrada(null);
setAutDfe(null);
setDownloadNfe(null);
setAmbienteDfe(null);
setUltimoNsu(null);
setUltimoNsuRes(null);
setDfeAutomatico(null);
setDfeRaizCnpj(null);
setLogo(null);
setFusoHorario(null);
}

public TabLdnEmpresas(String idServer, String idInstancia, String cnpj, String desEmpresa, String certif, String passwdCertificado, int codUf, String enviaEmail, String servidorEmail, int portaEmail, String usuarioEmail, String senhaEmail, String assuntoEmail, String mensagemEmail, String emailEnvio, String utilizaSslEmail, String utilizaOffice365, String enviaDanfe, String pathEntrada, String autDfe, String downloadNfe, int ambienteDfe, int ultimoNsu, int ultimoNsuRes, String dfeAutomatico, String dfeRaizCnpj, String logo, int fusoHorario) {
this.idServer = idServer;
this.idInstancia = idInstancia;
this.cnpj = cnpj;
this.desEmpresa = desEmpresa;
this.certif = certif;
this.passwdCertificado = passwdCertificado;
this.codUf = codUf;
this.enviaEmail = enviaEmail;
this.servidorEmail = servidorEmail;
this.portaEmail = portaEmail;
this.usuarioEmail = usuarioEmail;
this.senhaEmail = senhaEmail;
this.assuntoEmail = assuntoEmail;
this.mensagemEmail = mensagemEmail;
this.emailEnvio = emailEnvio;
this.utilizaSslEmail = utilizaSslEmail;
this.utilizaOffice365 = utilizaOffice365;
this.enviaDanfe = enviaDanfe;
this.pathEntrada = pathEntrada;
this.autDfe = autDfe;
this.downloadNfe = downloadNfe;
this.ambienteDfe = ambienteDfe;
this.ultimoNsu = ultimoNsu;
this.ultimoNsuRes = ultimoNsuRes;
this.dfeAutomatico = dfeAutomatico;
this.dfeRaizCnpj = dfeRaizCnpj;
this.logo = logo;
this.fusoHorario = fusoHorario;
}

public String getIdServer() {
return idServer;
}

public void setIdServer(String idServer) {
this.idServer = idServer;
}

public String getIdInstancia() {
return idInstancia;
}

public void setIdInstancia(String idInstancia) {
this.idInstancia = idInstancia;
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public String getDesEmpresa() {
return desEmpresa;
}

public void setDesEmpresa(String desEmpresa) {
this.desEmpresa = desEmpresa;
}

public String getCertif() {
return certif;
}

public void setCertif(String certif) {
this.certif = certif;
}

public String getPasswdCertificado() {
return passwdCertificado;
}

public void setPasswdCertificado(String passwdCertificado) {
this.passwdCertificado = passwdCertificado;
}

public int getCodUf() {
return codUf;
}

public boolean isCodUfNull() {
return codUfNull;
}

public void setCodUf(Integer codUf) {
if (codUf == null) {
codUfNull = true;
this.codUf = 0;
} else { 
codUfNull = false;
this.codUf = codUf;
}
}

public String getEnviaEmail() {
return enviaEmail;
}

public void setEnviaEmail(String enviaEmail) {
this.enviaEmail = enviaEmail;
}

public String getServidorEmail() {
return servidorEmail;
}

public void setServidorEmail(String servidorEmail) {
this.servidorEmail = servidorEmail;
}

public int getPortaEmail() {
return portaEmail;
}

public boolean isPortaEmailNull() {
return portaEmailNull;
}

public void setPortaEmail(Integer portaEmail) {
if (portaEmail == null) {
portaEmailNull = true;
this.portaEmail = 0;
} else { 
portaEmailNull = false;
this.portaEmail = portaEmail;
}
}

public String getUsuarioEmail() {
return usuarioEmail;
}

public void setUsuarioEmail(String usuarioEmail) {
this.usuarioEmail = usuarioEmail;
}

public String getSenhaEmail() {
return senhaEmail;
}

public void setSenhaEmail(String senhaEmail) {
this.senhaEmail = senhaEmail;
}

public String getAssuntoEmail() {
return assuntoEmail;
}

public void setAssuntoEmail(String assuntoEmail) {
this.assuntoEmail = assuntoEmail;
}

public String getMensagemEmail() {
return mensagemEmail;
}

public void setMensagemEmail(String mensagemEmail) {
this.mensagemEmail = mensagemEmail;
}

public String getEmailEnvio() {
return emailEnvio;
}

public void setEmailEnvio(String emailEnvio) {
this.emailEnvio = emailEnvio;
}

public String getUtilizaSslEmail() {
return utilizaSslEmail;
}

public void setUtilizaSslEmail(String utilizaSslEmail) {
this.utilizaSslEmail = utilizaSslEmail;
}

public String getUtilizaOffice365() {
return utilizaOffice365;
}

public void setUtilizaOffice365(String utilizaOffice365) {
this.utilizaOffice365 = utilizaOffice365;
}

public String getEnviaDanfe() {
return enviaDanfe;
}

public void setEnviaDanfe(String enviaDanfe) {
this.enviaDanfe = enviaDanfe;
}

public String getPathEntrada() {
return pathEntrada;
}

public void setPathEntrada(String pathEntrada) {
this.pathEntrada = pathEntrada;
}

public String getAutDfe() {
return autDfe;
}

public void setAutDfe(String autDfe) {
this.autDfe = autDfe;
}

public String getDownloadNfe() {
return downloadNfe;
}

public void setDownloadNfe(String downloadNfe) {
this.downloadNfe = downloadNfe;
}

public int getAmbienteDfe() {
return ambienteDfe;
}

public boolean isAmbienteDfeNull() {
return ambienteDfeNull;
}

public void setAmbienteDfe(Integer ambienteDfe) {
if (ambienteDfe == null) {
ambienteDfeNull = true;
this.ambienteDfe = 0;
} else { 
ambienteDfeNull = false;
this.ambienteDfe = ambienteDfe;
}
}

public int getUltimoNsu() {
return ultimoNsu;
}

public boolean isUltimoNsuNull() {
return ultimoNsuNull;
}

public void setUltimoNsu(Integer ultimoNsu) {
if (ultimoNsu == null) {
ultimoNsuNull = true;
this.ultimoNsu = 0;
} else { 
ultimoNsuNull = false;
this.ultimoNsu = ultimoNsu;
}
}

public int getUltimoNsuRes() {
return ultimoNsuRes;
}

public boolean isUltimoNsuResNull() {
return ultimoNsuResNull;
}

public void setUltimoNsuRes(Integer ultimoNsuRes) {
if (ultimoNsuRes == null) {
ultimoNsuResNull = true;
this.ultimoNsuRes = 0;
} else { 
ultimoNsuResNull = false;
this.ultimoNsuRes = ultimoNsuRes;
}
}

public String getDfeAutomatico() {
return dfeAutomatico;
}

public void setDfeAutomatico(String dfeAutomatico) {
this.dfeAutomatico = dfeAutomatico;
}

public String getDfeRaizCnpj() {
return dfeRaizCnpj;
}

public void setDfeRaizCnpj(String dfeRaizCnpj) {
this.dfeRaizCnpj = dfeRaizCnpj;
}

public String getLogo() {
return logo;
}

public void setLogo(String logo) {
this.logo = logo;
}

public int getFusoHorario() {
return fusoHorario;
}

public boolean isFusoHorarioNull() {
return fusoHorarioNull;
}

public void setFusoHorario(Integer fusoHorario) {
if (fusoHorario == null) {
fusoHorarioNull = true;
this.fusoHorario = 0;
} else { 
fusoHorarioNull = false;
this.fusoHorario = fusoHorario;
}
}

}

