package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLdnSeqlote {
@Coluna(nome="ldn_seqlote.id_server", tipo="String")
private String idServer;
@Coluna(nome="ldn_seqlote.id_instancia", tipo="String")
private String idInstancia;
@Coluna(nome="ldn_seqlote.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="ldn_seqlote.sequencia", tipo="double")
private double sequencia;
private boolean sequenciaNull;

public TabLdnSeqlote() {
initialize();
}

public void initialize() {
setIdServer(null);
setIdInstancia(null);
setCnpj(null);
setSequencia(null);
}

public TabLdnSeqlote(String idServer, String idInstancia, String cnpj, double sequencia) {
this.idServer = idServer;
this.idInstancia = idInstancia;
this.cnpj = cnpj;
this.sequencia = sequencia;
}

public String getIdServer() {
return idServer;
}

public void setIdServer(String idServer) {
this.idServer = idServer;
}

public String getIdInstancia() {
return idInstancia;
}

public void setIdInstancia(String idInstancia) {
this.idInstancia = idInstancia;
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public double getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(int sequencia) {
setSequencia(new Double(sequencia));
}

public void setSequencia(long sequencia) {
setSequencia(new Double(sequencia));
}

public void setSequencia(Double sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0.;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

}

