package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabLdnnotas {
@Coluna(nome="ldnnotas.id_empresa", tipo="String")
private String idEmpresa;
@Coluna(nome="ldnnotas.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="ldnnotas.xml", tipo="String")
private String xml;
@Coluna(nome="ldnnotas.xml_canc", tipo="String")
private String xmlCanc;
@Coluna(nome="ldnnotas.xml_evento", tipo="String")
private String xmlEvento;
@Coluna(nome="ldnnotas.data_emissao", tipo="FglDateTimeYS")
private FglDateTimeYS dataEmissao;
@Coluna(nome="ldnnotas.qtd_impressa", tipo="int")
private int qtdImpressa;
private boolean qtdImpressaNull;
@Coluna(nome="ldnnotas.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="ldnnotas.chave_nfe", tipo="String")
private String chaveNfe;
@Coluna(nome="ldnnotas.nro_documento", tipo="int")
private int nroDocumento;
private boolean nroDocumentoNull;
@Coluna(nome="ldnnotas.serie_documento", tipo="int")
private int serieDocumento;
private boolean serieDocumentoNull;

public TabLdnnotas() {
initialize();
}

public void initialize() {
setIdEmpresa(null);
setIdNfcapa(null);
setXml(null);
setXmlCanc(null);
setXmlEvento(null);
setDataEmissao(null);
setQtdImpressa(null);
setCnpj(null);
setChaveNfe(null);
setNroDocumento(null);
setSerieDocumento(null);
}

public TabLdnnotas(String idEmpresa, int idNfcapa, String xml, String xmlCanc, String xmlEvento, FglDateTimeYS dataEmissao, int qtdImpressa, String cnpj, String chaveNfe, int nroDocumento, int serieDocumento) {
this.idEmpresa = idEmpresa;
this.idNfcapa = idNfcapa;
this.xml = xml;
this.xmlCanc = xmlCanc;
this.xmlEvento = xmlEvento;
this.dataEmissao = dataEmissao;
this.qtdImpressa = qtdImpressa;
this.cnpj = cnpj;
this.chaveNfe = chaveNfe;
this.nroDocumento = nroDocumento;
this.serieDocumento = serieDocumento;
}

public String getIdEmpresa() {
return idEmpresa;
}

public void setIdEmpresa(String idEmpresa) {
this.idEmpresa = idEmpresa;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getXml() {
return xml;
}

public void setXml(String xml) {
this.xml = xml;
}

public String getXmlCanc() {
return xmlCanc;
}

public void setXmlCanc(String xmlCanc) {
this.xmlCanc = xmlCanc;
}

public String getXmlEvento() {
return xmlEvento;
}

public void setXmlEvento(String xmlEvento) {
this.xmlEvento = xmlEvento;
}

public FglDateTimeYS getDataEmissao() {
return dataEmissao;
}

public void setDataEmissao(FglDateTimeYS dataEmissao) {
this.dataEmissao = dataEmissao;
}

public int getQtdImpressa() {
return qtdImpressa;
}

public boolean isQtdImpressaNull() {
return qtdImpressaNull;
}

public void setQtdImpressa(Integer qtdImpressa) {
if (qtdImpressa == null) {
qtdImpressaNull = true;
this.qtdImpressa = 0;
} else { 
qtdImpressaNull = false;
this.qtdImpressa = qtdImpressa;
}
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public String getChaveNfe() {
return chaveNfe;
}

public void setChaveNfe(String chaveNfe) {
this.chaveNfe = chaveNfe;
}

public int getNroDocumento() {
return nroDocumento;
}

public boolean isNroDocumentoNull() {
return nroDocumentoNull;
}

public void setNroDocumento(Integer nroDocumento) {
if (nroDocumento == null) {
nroDocumentoNull = true;
this.nroDocumento = 0;
} else { 
nroDocumentoNull = false;
this.nroDocumento = nroDocumento;
}
}

public int getSerieDocumento() {
return serieDocumento;
}

public boolean isSerieDocumentoNull() {
return serieDocumentoNull;
}

public void setSerieDocumento(Integer serieDocumento) {
if (serieDocumento == null) {
serieDocumentoNull = true;
this.serieDocumento = 0;
} else { 
serieDocumentoNull = false;
this.serieDocumento = serieDocumento;
}
}

}

