package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLibmodel {
@Coluna(nome="libmodel.marcaindiana", tipo="String")
private String marcaindiana;
@Coluna(nome="libmodel.modeloindiana", tipo="String")
private String modeloindiana;
@Coluna(nome="libmodel.versaoindiana", tipo="String")
private String versaoindiana;
@Coluna(nome="libmodel.descricao", tipo="String")
private String descricao;
@Coluna(nome="libmodel.codigocategoria", tipo="int")
private int codigocategoria;
private boolean codigocategoriaNull;
@Coluna(nome="libmodel.qtdepassageiros", tipo="int")
private int qtdepassageiros;
private boolean qtdepassageirosNull;

public TabLibmodel() {
initialize();
}

public void initialize() {
setMarcaindiana(null);
setModeloindiana(null);
setVersaoindiana(null);
setDescricao(null);
setCodigocategoria(null);
setQtdepassageiros(null);
}

public TabLibmodel(String marcaindiana, String modeloindiana, String versaoindiana, String descricao, int codigocategoria, int qtdepassageiros) {
this.marcaindiana = marcaindiana;
this.modeloindiana = modeloindiana;
this.versaoindiana = versaoindiana;
this.descricao = descricao;
this.codigocategoria = codigocategoria;
this.qtdepassageiros = qtdepassageiros;
}

public String getMarcaindiana() {
return marcaindiana;
}

public void setMarcaindiana(String marcaindiana) {
this.marcaindiana = marcaindiana;
}

public String getModeloindiana() {
return modeloindiana;
}

public void setModeloindiana(String modeloindiana) {
this.modeloindiana = modeloindiana;
}

public String getVersaoindiana() {
return versaoindiana;
}

public void setVersaoindiana(String versaoindiana) {
this.versaoindiana = versaoindiana;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getCodigocategoria() {
return codigocategoria;
}

public boolean isCodigocategoriaNull() {
return codigocategoriaNull;
}

public void setCodigocategoria(Integer codigocategoria) {
if (codigocategoria == null) {
codigocategoriaNull = true;
this.codigocategoria = 0;
} else { 
codigocategoriaNull = false;
this.codigocategoria = codigocategoria;
}
}

public int getQtdepassageiros() {
return qtdepassageiros;
}

public boolean isQtdepassageirosNull() {
return qtdepassageirosNull;
}

public void setQtdepassageiros(Integer qtdepassageiros) {
if (qtdepassageiros == null) {
qtdepassageirosNull = true;
this.qtdepassageiros = 0;
} else { 
qtdepassageirosNull = false;
this.qtdepassageiros = qtdepassageiros;
}
}

}

