package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabLibparam {
@Coluna(nome="libparam.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="libparam.usuario", tipo="String")
private String usuario;
@Coluna(nome="libparam.senha", tipo="String")
private String senha;
@Coluna(nome="libparam.tpcalculo", tipo="int")
private int tpcalculo;
private boolean tpcalculoNull;
@Coluna(nome="libparam.produtolib", tipo="int")
private int produtolib;
private boolean produtolibNull;
@Coluna(nome="libparam.modalidade", tipo="int")
private int modalidade;
private boolean modalidadeNull;
@Coluna(nome="libparam.prazovigencia", tipo="int")
private int prazovigencia;
private boolean prazovigenciaNull;
@Coluna(nome="libparam.desccomercial", tipo="double")
private double desccomercial;
private boolean desccomercialNull;
@Coluna(nome="libparam.tprenovacao", tipo="int")
private int tprenovacao;
private boolean tprenovacaoNull;
@Coluna(nome="libparam.tpcobertura", tipo="int")
private int tpcobertura;
private boolean tpcoberturaNull;
@Coluna(nome="libparam.cdagenteind", tipo="int")
private int cdagenteind;
private boolean cdagenteindNull;

public TabLibparam() {
initialize();
}

public void initialize() {
setFilial(null);
setUsuario(null);
setSenha(null);
setTpcalculo(null);
setProdutolib(null);
setModalidade(null);
setPrazovigencia(null);
setDesccomercial(null);
setTprenovacao(null);
setTpcobertura(null);
setCdagenteind(null);
}

public TabLibparam(int filial, String usuario, String senha, int tpcalculo, int produtolib, int modalidade, int prazovigencia, double desccomercial, int tprenovacao, int tpcobertura, int cdagenteind) {
this.filial = filial;
this.usuario = usuario;
this.senha = senha;
this.tpcalculo = tpcalculo;
this.produtolib = produtolib;
this.modalidade = modalidade;
this.prazovigencia = prazovigencia;
this.desccomercial = desccomercial;
this.tprenovacao = tprenovacao;
this.tpcobertura = tpcobertura;
this.cdagenteind = cdagenteind;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public int getTpcalculo() {
return tpcalculo;
}

public boolean isTpcalculoNull() {
return tpcalculoNull;
}

public void setTpcalculo(Integer tpcalculo) {
if (tpcalculo == null) {
tpcalculoNull = true;
this.tpcalculo = 0;
} else { 
tpcalculoNull = false;
this.tpcalculo = tpcalculo;
}
}

public int getProdutolib() {
return produtolib;
}

public boolean isProdutolibNull() {
return produtolibNull;
}

public void setProdutolib(Integer produtolib) {
if (produtolib == null) {
produtolibNull = true;
this.produtolib = 0;
} else { 
produtolibNull = false;
this.produtolib = produtolib;
}
}

public int getModalidade() {
return modalidade;
}

public boolean isModalidadeNull() {
return modalidadeNull;
}

public void setModalidade(Integer modalidade) {
if (modalidade == null) {
modalidadeNull = true;
this.modalidade = 0;
} else { 
modalidadeNull = false;
this.modalidade = modalidade;
}
}

public int getPrazovigencia() {
return prazovigencia;
}

public boolean isPrazovigenciaNull() {
return prazovigenciaNull;
}

public void setPrazovigencia(Integer prazovigencia) {
if (prazovigencia == null) {
prazovigenciaNull = true;
this.prazovigencia = 0;
} else { 
prazovigenciaNull = false;
this.prazovigencia = prazovigencia;
}
}

public double getDesccomercial() {
return desccomercial;
}

public boolean isDesccomercialNull() {
return desccomercialNull;
}

public void setDesccomercial(int desccomercial) {
setDesccomercial(new Double(desccomercial));
}

public void setDesccomercial(long desccomercial) {
setDesccomercial(new Double(desccomercial));
}

public void setDesccomercial(Double desccomercial) {
if (desccomercial == null) {
desccomercialNull = true;
this.desccomercial = 0.;
} else { 
desccomercialNull = false;
this.desccomercial = FglDouble.round(desccomercial, 2);
}
}

public int getTprenovacao() {
return tprenovacao;
}

public boolean isTprenovacaoNull() {
return tprenovacaoNull;
}

public void setTprenovacao(Integer tprenovacao) {
if (tprenovacao == null) {
tprenovacaoNull = true;
this.tprenovacao = 0;
} else { 
tprenovacaoNull = false;
this.tprenovacao = tprenovacao;
}
}

public int getTpcobertura() {
return tpcobertura;
}

public boolean isTpcoberturaNull() {
return tpcoberturaNull;
}

public void setTpcobertura(Integer tpcobertura) {
if (tpcobertura == null) {
tpcoberturaNull = true;
this.tpcobertura = 0;
} else { 
tpcoberturaNull = false;
this.tpcobertura = tpcobertura;
}
}

public int getCdagenteind() {
return cdagenteind;
}

public boolean isCdagenteindNull() {
return cdagenteindNull;
}

public void setCdagenteind(Integer cdagenteind) {
if (cdagenteind == null) {
cdagenteindNull = true;
this.cdagenteind = 0;
} else { 
cdagenteindNull = false;
this.cdagenteind = cdagenteind;
}
}

}

