package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabLibparcb {
@Coluna(nome="libparcb.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="libparcb.ramo", tipo="int")
private int ramo;
private boolean ramoNull;
@Coluna(nome="libparcb.cobertura", tipo="int")
private int cobertura;
private boolean coberturaNull;
@Coluna(nome="libparcb.fatortecnic", tipo="double")
private double fatortecnic;
private boolean fatortecnicNull;
@Coluna(nome="libparcb.tipois", tipo="int")
private int tipois;
private boolean tipoisNull;
@Coluna(nome="libparcb.fatorajust", tipo="int")
private int fatorajust;
private boolean fatorajustNull;
@Coluna(nome="libparcb.valoris", tipo="double")
private double valoris;
private boolean valorisNull;
@Coluna(nome="libparcb.nivelis", tipo="String")
private String nivelis;
@Coluna(nome="libparcb.tpofranqu", tipo="int")
private int tpofranqu;
private boolean tpofranquNull;
@Coluna(nome="libparcb.classebonus", tipo="double")
private double classebonus;
private boolean classebonusNull;

public TabLibparcb() {
initialize();
}

public void initialize() {
setFilial(null);
setRamo(null);
setCobertura(null);
setFatortecnic(null);
setTipois(null);
setFatorajust(null);
setValoris(null);
setNivelis(null);
setTpofranqu(null);
setClassebonus(null);
}

public TabLibparcb(int filial, int ramo, int cobertura, double fatortecnic, int tipois, int fatorajust, double valoris, String nivelis, int tpofranqu, double classebonus) {
this.filial = filial;
this.ramo = ramo;
this.cobertura = cobertura;
this.fatortecnic = fatortecnic;
this.tipois = tipois;
this.fatorajust = fatorajust;
this.valoris = valoris;
this.nivelis = nivelis;
this.tpofranqu = tpofranqu;
this.classebonus = classebonus;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getRamo() {
return ramo;
}

public boolean isRamoNull() {
return ramoNull;
}

public void setRamo(Integer ramo) {
if (ramo == null) {
ramoNull = true;
this.ramo = 0;
} else { 
ramoNull = false;
this.ramo = ramo;
}
}

public int getCobertura() {
return cobertura;
}

public boolean isCoberturaNull() {
return coberturaNull;
}

public void setCobertura(Integer cobertura) {
if (cobertura == null) {
coberturaNull = true;
this.cobertura = 0;
} else { 
coberturaNull = false;
this.cobertura = cobertura;
}
}

public double getFatortecnic() {
return fatortecnic;
}

public boolean isFatortecnicNull() {
return fatortecnicNull;
}

public void setFatortecnic(int fatortecnic) {
setFatortecnic(new Double(fatortecnic));
}

public void setFatortecnic(long fatortecnic) {
setFatortecnic(new Double(fatortecnic));
}

public void setFatortecnic(Double fatortecnic) {
if (fatortecnic == null) {
fatortecnicNull = true;
this.fatortecnic = 0.;
} else { 
fatortecnicNull = false;
this.fatortecnic = FglDouble.round(fatortecnic, 2);
}
}

public int getTipois() {
return tipois;
}

public boolean isTipoisNull() {
return tipoisNull;
}

public void setTipois(Integer tipois) {
if (tipois == null) {
tipoisNull = true;
this.tipois = 0;
} else { 
tipoisNull = false;
this.tipois = tipois;
}
}

public int getFatorajust() {
return fatorajust;
}

public boolean isFatorajustNull() {
return fatorajustNull;
}

public void setFatorajust(Integer fatorajust) {
if (fatorajust == null) {
fatorajustNull = true;
this.fatorajust = 0;
} else { 
fatorajustNull = false;
this.fatorajust = fatorajust;
}
}

public double getValoris() {
return valoris;
}

public boolean isValorisNull() {
return valorisNull;
}

public void setValoris(int valoris) {
setValoris(new Double(valoris));
}

public void setValoris(long valoris) {
setValoris(new Double(valoris));
}

public void setValoris(Double valoris) {
if (valoris == null) {
valorisNull = true;
this.valoris = 0.;
} else { 
valorisNull = false;
this.valoris = FglDouble.round(valoris, 2);
}
}

public String getNivelis() {
return nivelis;
}

public void setNivelis(String nivelis) {
this.nivelis = nivelis;
}

public int getTpofranqu() {
return tpofranqu;
}

public boolean isTpofranquNull() {
return tpofranquNull;
}

public void setTpofranqu(Integer tpofranqu) {
if (tpofranqu == null) {
tpofranquNull = true;
this.tpofranqu = 0;
} else { 
tpofranquNull = false;
this.tpofranqu = tpofranqu;
}
}

public double getClassebonus() {
return classebonus;
}

public boolean isClassebonusNull() {
return classebonusNull;
}

public void setClassebonus(int classebonus) {
setClassebonus(new Double(classebonus));
}

public void setClassebonus(long classebonus) {
setClassebonus(new Double(classebonus));
}

public void setClassebonus(Double classebonus) {
if (classebonus == null) {
classebonusNull = true;
this.classebonus = 0.;
} else { 
classebonusNull = false;
this.classebonus = FglDouble.round(classebonus, 2);
}
}

}

