package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabLogEvencs {
@Coluna(nome="log_evencs.nomeprograma", tipo="String")
private String nomeprograma;
@Coluna(nome="log_evencs.datagravacao", tipo="FglDateTimeYS")
private FglDateTimeYS datagravacao;
@Coluna(nome="log_evencs.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="log_evencs.id_nfcapasaida", tipo="int")
private int idNfcapasaida;
private boolean idNfcapasaidaNull;
@Coluna(nome="log_evencs.id_nfcapaentrada", tipo="int")
private int idNfcapaentrada;
private boolean idNfcapaentradaNull;

public TabLogEvencs() {
initialize();
}

public void initialize() {
setNomeprograma(null);
setDatagravacao(null);
setIdEvento(null);
setIdNfcapasaida(null);
setIdNfcapaentrada(null);
}

public TabLogEvencs(String nomeprograma, FglDateTimeYS datagravacao, int idEvento, int idNfcapasaida, int idNfcapaentrada) {
this.nomeprograma = nomeprograma;
this.datagravacao = datagravacao;
this.idEvento = idEvento;
this.idNfcapasaida = idNfcapasaida;
this.idNfcapaentrada = idNfcapaentrada;
}

public String getNomeprograma() {
return nomeprograma;
}

public void setNomeprograma(String nomeprograma) {
this.nomeprograma = nomeprograma;
}

public FglDateTimeYS getDatagravacao() {
return datagravacao;
}

public void setDatagravacao(FglDateTimeYS datagravacao) {
this.datagravacao = datagravacao;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public int getIdNfcapasaida() {
return idNfcapasaida;
}

public boolean isIdNfcapasaidaNull() {
return idNfcapasaidaNull;
}

public void setIdNfcapasaida(Integer idNfcapasaida) {
if (idNfcapasaida == null) {
idNfcapasaidaNull = true;
this.idNfcapasaida = 0;
} else { 
idNfcapasaidaNull = false;
this.idNfcapasaida = idNfcapasaida;
}
}

public int getIdNfcapaentrada() {
return idNfcapaentrada;
}

public boolean isIdNfcapaentradaNull() {
return idNfcapaentradaNull;
}

public void setIdNfcapaentrada(Integer idNfcapaentrada) {
if (idNfcapaentrada == null) {
idNfcapaentradaNull = true;
this.idNfcapaentrada = 0;
} else { 
idNfcapaentradaNull = false;
this.idNfcapaentrada = idNfcapaentrada;
}
}

}

