package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabLogcmestoqu {
@Coluna(nome="logcmestoqu.id_logcmestoqu", tipo="int")
private int idLogcmestoqu;
private boolean idLogcmestoquNull;
@Coluna(nome="logcmestoqu.sid", tipo="int")
private int sid;
private boolean sidNull;
@Coluna(nome="logcmestoqu.username", tipo="String")
private String username;
@Coluna(nome="logcmestoqu.hostname", tipo="String")
private String hostname;
@Coluna(nome="logcmestoqu.tty", tipo="String")
private String tty;
@Coluna(nome="logcmestoqu.connected", tipo="int")
private int connected;
private boolean connectedNull;
@Coluna(nome="logcmestoqu.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="logcmestoqu.produto", tipo="String")
private String produto;
@Coluna(nome="logcmestoqu.pendenfisica_old", tipo="double")
private double pendenfisicaOld;
private boolean pendenfisicaOldNull;
@Coluna(nome="logcmestoqu.pendenfisica_new", tipo="double")
private double pendenfisicaNew;
private boolean pendenfisicaNewNull;
@Coluna(nome="logcmestoqu.reqoficina_old", tipo="double")
private double reqoficinaOld;
private boolean reqoficinaOldNull;
@Coluna(nome="logcmestoqu.reqoficina_new", tipo="double")
private double reqoficinaNew;
private boolean reqoficinaNewNull;
@Coluna(nome="logcmestoqu.nome_programa", tipo="String")
private String nomePrograma;
@Coluna(nome="logcmestoqu.transacao", tipo="String")
private String transacao;
@Coluna(nome="logcmestoqu.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;

public TabLogcmestoqu() {
initialize();
}

public void initialize() {
setIdLogcmestoqu(null);
setSid(null);
setUsername(null);
setHostname(null);
setTty(null);
setConnected(null);
setFilial(null);
setProduto(null);
setPendenfisicaOld(null);
setPendenfisicaNew(null);
setReqoficinaOld(null);
setReqoficinaNew(null);
setNomePrograma(null);
setTransacao(null);
setDtocorrencia(null);
}

public TabLogcmestoqu(int idLogcmestoqu, int sid, String username, String hostname, String tty, int connected, int filial, String produto, double pendenfisicaOld, double pendenfisicaNew, double reqoficinaOld, double reqoficinaNew, String nomePrograma, String transacao, FglDateTimeYS dtocorrencia) {
this.idLogcmestoqu = idLogcmestoqu;
this.sid = sid;
this.username = username;
this.hostname = hostname;
this.tty = tty;
this.connected = connected;
this.filial = filial;
this.produto = produto;
this.pendenfisicaOld = pendenfisicaOld;
this.pendenfisicaNew = pendenfisicaNew;
this.reqoficinaOld = reqoficinaOld;
this.reqoficinaNew = reqoficinaNew;
this.nomePrograma = nomePrograma;
this.transacao = transacao;
this.dtocorrencia = dtocorrencia;
}

public int getIdLogcmestoqu() {
return idLogcmestoqu;
}

public boolean isIdLogcmestoquNull() {
return idLogcmestoquNull;
}

public void setIdLogcmestoqu(Integer idLogcmestoqu) {
if (idLogcmestoqu == null) {
idLogcmestoquNull = true;
this.idLogcmestoqu = 0;
} else { 
idLogcmestoquNull = false;
this.idLogcmestoqu = idLogcmestoqu;
}
}

public int getSid() {
return sid;
}

public boolean isSidNull() {
return sidNull;
}

public void setSid(Integer sid) {
if (sid == null) {
sidNull = true;
this.sid = 0;
} else { 
sidNull = false;
this.sid = sid;
}
}

public String getUsername() {
return username;
}

public void setUsername(String username) {
this.username = username;
}

public String getHostname() {
return hostname;
}

public void setHostname(String hostname) {
this.hostname = hostname;
}

public String getTty() {
return tty;
}

public void setTty(String tty) {
this.tty = tty;
}

public int getConnected() {
return connected;
}

public boolean isConnectedNull() {
return connectedNull;
}

public void setConnected(Integer connected) {
if (connected == null) {
connectedNull = true;
this.connected = 0;
} else { 
connectedNull = false;
this.connected = connected;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getPendenfisicaOld() {
return pendenfisicaOld;
}

public boolean isPendenfisicaOldNull() {
return pendenfisicaOldNull;
}

public void setPendenfisicaOld(int pendenfisicaOld) {
setPendenfisicaOld(new Double(pendenfisicaOld));
}

public void setPendenfisicaOld(long pendenfisicaOld) {
setPendenfisicaOld(new Double(pendenfisicaOld));
}

public void setPendenfisicaOld(Double pendenfisicaOld) {
if (pendenfisicaOld == null) {
pendenfisicaOldNull = true;
this.pendenfisicaOld = 0.;
} else { 
pendenfisicaOldNull = false;
this.pendenfisicaOld = FglDouble.round(pendenfisicaOld, 2);
}
}

public double getPendenfisicaNew() {
return pendenfisicaNew;
}

public boolean isPendenfisicaNewNull() {
return pendenfisicaNewNull;
}

public void setPendenfisicaNew(int pendenfisicaNew) {
setPendenfisicaNew(new Double(pendenfisicaNew));
}

public void setPendenfisicaNew(long pendenfisicaNew) {
setPendenfisicaNew(new Double(pendenfisicaNew));
}

public void setPendenfisicaNew(Double pendenfisicaNew) {
if (pendenfisicaNew == null) {
pendenfisicaNewNull = true;
this.pendenfisicaNew = 0.;
} else { 
pendenfisicaNewNull = false;
this.pendenfisicaNew = FglDouble.round(pendenfisicaNew, 2);
}
}

public double getReqoficinaOld() {
return reqoficinaOld;
}

public boolean isReqoficinaOldNull() {
return reqoficinaOldNull;
}

public void setReqoficinaOld(int reqoficinaOld) {
setReqoficinaOld(new Double(reqoficinaOld));
}

public void setReqoficinaOld(long reqoficinaOld) {
setReqoficinaOld(new Double(reqoficinaOld));
}

public void setReqoficinaOld(Double reqoficinaOld) {
if (reqoficinaOld == null) {
reqoficinaOldNull = true;
this.reqoficinaOld = 0.;
} else { 
reqoficinaOldNull = false;
this.reqoficinaOld = FglDouble.round(reqoficinaOld, 2);
}
}

public double getReqoficinaNew() {
return reqoficinaNew;
}

public boolean isReqoficinaNewNull() {
return reqoficinaNewNull;
}

public void setReqoficinaNew(int reqoficinaNew) {
setReqoficinaNew(new Double(reqoficinaNew));
}

public void setReqoficinaNew(long reqoficinaNew) {
setReqoficinaNew(new Double(reqoficinaNew));
}

public void setReqoficinaNew(Double reqoficinaNew) {
if (reqoficinaNew == null) {
reqoficinaNewNull = true;
this.reqoficinaNew = 0.;
} else { 
reqoficinaNewNull = false;
this.reqoficinaNew = FglDouble.round(reqoficinaNew, 2);
}
}

public String getNomePrograma() {
return nomePrograma;
}

public void setNomePrograma(String nomePrograma) {
this.nomePrograma = nomePrograma;
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

}

