package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMasXml {
@Coluna(nome="mas_xml.id_mas_xml", tipo="int")
private int idMasXml;
private boolean idMasXmlNull;
@Coluna(nome="mas_xml.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="mas_xml.revenda", tipo="int")
private int revenda;
private boolean revendaNull;
@Coluna(nome="mas_xml.numero_nota_fiscal", tipo="int")
private int numeroNotaFiscal;
private boolean numeroNotaFiscalNull;
@Coluna(nome="mas_xml.serie_nota_fiscal", tipo="String")
private String serieNotaFiscal;
@Coluna(nome="mas_xml.tipo_transacao", tipo="String")
private String tipoTransacao;
@Coluna(nome="mas_xml.contador", tipo="int")
private int contador;
private boolean contadorNull;
@Coluna(nome="mas_xml.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="mas_xml.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="mas_xml.dta_envio", tipo="FglDateTimeYS")
private FglDateTimeYS dtaEnvio;
@Coluna(nome="mas_xml.retorno", tipo="String")
private String retorno;
@Coluna(nome="mas_xml.status_nota", tipo="String")
private String statusNota;
@Coluna(nome="mas_xml.dta_emissao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaEmissao;

public TabMasXml() {
initialize();
}

public void initialize() {
setIdMasXml(null);
setEmpresa(null);
setRevenda(null);
setNumeroNotaFiscal(null);
setSerieNotaFiscal(null);
setTipoTransacao(null);
setContador(null);
setIdNfcapa(null);
setStatusEnvio(null);
setDtaEnvio(null);
setRetorno(null);
setStatusNota(null);
setDtaEmissao(null);
}

public TabMasXml(int idMasXml, int empresa, int revenda, int numeroNotaFiscal, String serieNotaFiscal, String tipoTransacao, int contador, int idNfcapa, String statusEnvio, FglDateTimeYS dtaEnvio, String retorno, String statusNota, FglDateTimeYS dtaEmissao) {
this.idMasXml = idMasXml;
this.empresa = empresa;
this.revenda = revenda;
this.numeroNotaFiscal = numeroNotaFiscal;
this.serieNotaFiscal = serieNotaFiscal;
this.tipoTransacao = tipoTransacao;
this.contador = contador;
this.idNfcapa = idNfcapa;
this.statusEnvio = statusEnvio;
this.dtaEnvio = dtaEnvio;
this.retorno = retorno;
this.statusNota = statusNota;
this.dtaEmissao = dtaEmissao;
}

public int getIdMasXml() {
return idMasXml;
}

public boolean isIdMasXmlNull() {
return idMasXmlNull;
}

public void setIdMasXml(Integer idMasXml) {
if (idMasXml == null) {
idMasXmlNull = true;
this.idMasXml = 0;
} else { 
idMasXmlNull = false;
this.idMasXml = idMasXml;
}
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(Integer revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public int getNumeroNotaFiscal() {
return numeroNotaFiscal;
}

public boolean isNumeroNotaFiscalNull() {
return numeroNotaFiscalNull;
}

public void setNumeroNotaFiscal(Integer numeroNotaFiscal) {
if (numeroNotaFiscal == null) {
numeroNotaFiscalNull = true;
this.numeroNotaFiscal = 0;
} else { 
numeroNotaFiscalNull = false;
this.numeroNotaFiscal = numeroNotaFiscal;
}
}

public String getSerieNotaFiscal() {
return serieNotaFiscal;
}

public void setSerieNotaFiscal(String serieNotaFiscal) {
this.serieNotaFiscal = serieNotaFiscal;
}

public String getTipoTransacao() {
return tipoTransacao;
}

public void setTipoTransacao(String tipoTransacao) {
this.tipoTransacao = tipoTransacao;
}

public int getContador() {
return contador;
}

public boolean isContadorNull() {
return contadorNull;
}

public void setContador(Integer contador) {
if (contador == null) {
contadorNull = true;
this.contador = 0;
} else { 
contadorNull = false;
this.contador = contador;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public FglDateTimeYS getDtaEnvio() {
return dtaEnvio;
}

public void setDtaEnvio(FglDateTimeYS dtaEnvio) {
this.dtaEnvio = dtaEnvio;
}

public String getRetorno() {
return retorno;
}

public void setRetorno(String retorno) {
this.retorno = retorno;
}

public String getStatusNota() {
return statusNota;
}

public void setStatusNota(String statusNota) {
this.statusNota = statusNota;
}

public FglDateTimeYS getDtaEmissao() {
return dtaEmissao;
}

public void setDtaEmissao(FglDateTimeYS dtaEmissao) {
this.dtaEmissao = dtaEmissao;
}

}

