package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabMascaras {
@Coluna(nome="mascaras.nome", tipo="String")
private String nome;
@Coluna(nome="mascaras.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="mascaras.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="mascaras.descricao", tipo="String")
private String descricao;

public TabMascaras() {
initialize();
}

public void initialize() {
setNome(null);
setArquivo(null);
setData(null);
setDescricao(null);
}

public TabMascaras(String nome, String arquivo, FglDate data, String descricao) {
this.nome = nome;
this.arquivo = arquivo;
this.data = data;
this.descricao = descricao;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

