package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabMbbstenv {
@Coluna(nome="mbbstenv.id_staenv", tipo="int")
private int idStaenv;
private boolean idStaenvNull;
@Coluna(nome="mbbstenv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mbbstenv.dat_proc", tipo="FglDateTimeYMin")
private FglDateTimeYMin datProc;
@Coluna(nome="mbbstenv.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="mbbstenv.sts_proc", tipo="String")
private String stsProc;
@Coluna(nome="mbbstenv.mensagem", tipo="String")
private String mensagem;

public TabMbbstenv() {
initialize();
}

public void initialize() {
setIdStaenv(null);
setFilial(null);
setDatProc(null);
setArquivo(null);
setStsProc(null);
setMensagem(null);
}

public TabMbbstenv(int idStaenv, int filial, FglDateTimeYMin datProc, String arquivo, String stsProc, String mensagem) {
this.idStaenv = idStaenv;
this.filial = filial;
this.datProc = datProc;
this.arquivo = arquivo;
this.stsProc = stsProc;
this.mensagem = mensagem;
}

public int getIdStaenv() {
return idStaenv;
}

public boolean isIdStaenvNull() {
return idStaenvNull;
}

public void setIdStaenv(Integer idStaenv) {
if (idStaenv == null) {
idStaenvNull = true;
this.idStaenv = 0;
} else { 
idStaenvNull = false;
this.idStaenv = idStaenv;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYMin getDatProc() {
return datProc;
}

public void setDatProc(FglDateTimeYMin datProc) {
this.datProc = datProc;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getStsProc() {
return stsProc;
}

public void setStsProc(String stsProc) {
this.stsProc = stsProc;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

