package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMdfenfe {
@Coluna(nome="mdfenfe.idmdfe", tipo="int")
private int idmdfe;
private boolean idmdfeNull;
@Coluna(nome="mdfenfe.cmundescarga", tipo="int")
private int cmundescarga;
private boolean cmundescargaNull;
@Coluna(nome="mdfenfe.chnfe", tipo="String")
private String chnfe;
@Coluna(nome="mdfenfe.indreentrega", tipo="int")
private int indreentrega;
private boolean indreentregaNull;
@Coluna(nome="mdfenfe.demissao", tipo="int")
private int demissao;
private boolean demissaoNull;
@Coluna(nome="mdfenfe.cpf_cnpj_dest", tipo="String")
private String cpfCnpjDest;
@Coluna(nome="mdfenfe.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="mdfenfe.seq_nfe", tipo="int")
private int seqNfe;
private boolean seqNfeNull;
@Coluna(nome="mdfenfe.mod_nfe", tipo="int")
private int modNfe;
private boolean modNfeNull;

public TabMdfenfe() {
initialize();
}

public void initialize() {
setIdmdfe(null);
setCmundescarga(null);
setChnfe(null);
setIndreentrega(null);
setDemissao(null);
setCpfCnpjDest(null);
setValor(null);
setSeqNfe(null);
setModNfe(null);
}

public TabMdfenfe(int idmdfe, int cmundescarga, String chnfe, int indreentrega, int demissao, String cpfCnpjDest, double valor, int seqNfe, int modNfe) {
this.idmdfe = idmdfe;
this.cmundescarga = cmundescarga;
this.chnfe = chnfe;
this.indreentrega = indreentrega;
this.demissao = demissao;
this.cpfCnpjDest = cpfCnpjDest;
this.valor = valor;
this.seqNfe = seqNfe;
this.modNfe = modNfe;
}

public int getIdmdfe() {
return idmdfe;
}

public boolean isIdmdfeNull() {
return idmdfeNull;
}

public void setIdmdfe(Integer idmdfe) {
if (idmdfe == null) {
idmdfeNull = true;
this.idmdfe = 0;
} else { 
idmdfeNull = false;
this.idmdfe = idmdfe;
}
}

public int getCmundescarga() {
return cmundescarga;
}

public boolean isCmundescargaNull() {
return cmundescargaNull;
}

public void setCmundescarga(Integer cmundescarga) {
if (cmundescarga == null) {
cmundescargaNull = true;
this.cmundescarga = 0;
} else { 
cmundescargaNull = false;
this.cmundescarga = cmundescarga;
}
}

public String getChnfe() {
return chnfe;
}

public void setChnfe(String chnfe) {
this.chnfe = chnfe;
}

public int getIndreentrega() {
return indreentrega;
}

public boolean isIndreentregaNull() {
return indreentregaNull;
}

public void setIndreentrega(Integer indreentrega) {
if (indreentrega == null) {
indreentregaNull = true;
this.indreentrega = 0;
} else { 
indreentregaNull = false;
this.indreentrega = indreentrega;
}
}

public int getDemissao() {
return demissao;
}

public boolean isDemissaoNull() {
return demissaoNull;
}

public void setDemissao(Integer demissao) {
if (demissao == null) {
demissaoNull = true;
this.demissao = 0;
} else { 
demissaoNull = false;
this.demissao = demissao;
}
}

public String getCpfCnpjDest() {
return cpfCnpjDest;
}

public void setCpfCnpjDest(String cpfCnpjDest) {
this.cpfCnpjDest = cpfCnpjDest;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getSeqNfe() {
return seqNfe;
}

public boolean isSeqNfeNull() {
return seqNfeNull;
}

public void setSeqNfe(Integer seqNfe) {
if (seqNfe == null) {
seqNfeNull = true;
this.seqNfe = 0;
} else { 
seqNfeNull = false;
this.seqNfe = seqNfe;
}
}

public int getModNfe() {
return modNfe;
}

public boolean isModNfeNull() {
return modNfeNull;
}

public void setModNfe(Integer modNfe) {
if (modNfe == null) {
modNfeNull = true;
this.modNfe = 0;
} else { 
modNfeNull = false;
this.modNfe = modNfe;
}
}

}

