package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMdfepagfrete {
@Coluna(nome="mdfepagfrete.idmdfe", tipo="int")
private int idmdfe;
private boolean idmdfeNull;
@Coluna(nome="mdfepagfrete.seq_pagfrete", tipo="int")
private int seqPagfrete;
private boolean seqPagfreteNull;
@Coluna(nome="mdfepagfrete.cpf_cnpj", tipo="String")
private String cpfCnpj;
@Coluna(nome="mdfepagfrete.xnome", tipo="String")
private String xnome;
@Coluna(nome="mdfepagfrete.id_estrang", tipo="String")
private String idEstrang;
@Coluna(nome="mdfepagfrete.vcontrato", tipo="double")
private double vcontrato;
private boolean vcontratoNull;
@Coluna(nome="mdfepagfrete.tpforpag", tipo="int")
private int tpforpag;
private boolean tpforpagNull;
@Coluna(nome="mdfepagfrete.num_banco", tipo="String")
private String numBanco;
@Coluna(nome="mdfepagfrete.ag_banco", tipo="String")
private String agBanco;
@Coluna(nome="mdfepagfrete.cnpj_inst", tipo="String")
private String cnpjInst;
@Coluna(nome="mdfepagfrete.idevento", tipo="int")
private int idevento;
private boolean ideventoNull;
@Coluna(nome="mdfepagfrete.vadiant", tipo="double")
private double vadiant;
private boolean vadiantNull;

public TabMdfepagfrete() {
initialize();
}

public void initialize() {
setIdmdfe(null);
setSeqPagfrete(null);
setCpfCnpj(null);
setXnome(null);
setIdEstrang(null);
setVcontrato(null);
setTpforpag(null);
setNumBanco(null);
setAgBanco(null);
setCnpjInst(null);
setIdevento(null);
setVadiant(null);
}

public TabMdfepagfrete(int idmdfe, int seqPagfrete, String cpfCnpj, String xnome, String idEstrang, double vcontrato, int tpforpag, String numBanco, String agBanco, String cnpjInst, int idevento, double vadiant) {
this.idmdfe = idmdfe;
this.seqPagfrete = seqPagfrete;
this.cpfCnpj = cpfCnpj;
this.xnome = xnome;
this.idEstrang = idEstrang;
this.vcontrato = vcontrato;
this.tpforpag = tpforpag;
this.numBanco = numBanco;
this.agBanco = agBanco;
this.cnpjInst = cnpjInst;
this.idevento = idevento;
this.vadiant = vadiant;
}

public int getIdmdfe() {
return idmdfe;
}

public boolean isIdmdfeNull() {
return idmdfeNull;
}

public void setIdmdfe(Integer idmdfe) {
if (idmdfe == null) {
idmdfeNull = true;
this.idmdfe = 0;
} else { 
idmdfeNull = false;
this.idmdfe = idmdfe;
}
}

public int getSeqPagfrete() {
return seqPagfrete;
}

public boolean isSeqPagfreteNull() {
return seqPagfreteNull;
}

public void setSeqPagfrete(Integer seqPagfrete) {
if (seqPagfrete == null) {
seqPagfreteNull = true;
this.seqPagfrete = 0;
} else { 
seqPagfreteNull = false;
this.seqPagfrete = seqPagfrete;
}
}

public String getCpfCnpj() {
return cpfCnpj;
}

public void setCpfCnpj(String cpfCnpj) {
this.cpfCnpj = cpfCnpj;
}

public String getXnome() {
return xnome;
}

public void setXnome(String xnome) {
this.xnome = xnome;
}

public String getIdEstrang() {
return idEstrang;
}

public void setIdEstrang(String idEstrang) {
this.idEstrang = idEstrang;
}

public double getVcontrato() {
return vcontrato;
}

public boolean isVcontratoNull() {
return vcontratoNull;
}

public void setVcontrato(int vcontrato) {
setVcontrato(new Double(vcontrato));
}

public void setVcontrato(long vcontrato) {
setVcontrato(new Double(vcontrato));
}

public void setVcontrato(Double vcontrato) {
if (vcontrato == null) {
vcontratoNull = true;
this.vcontrato = 0.;
} else { 
vcontratoNull = false;
this.vcontrato = FglDouble.round(vcontrato, 2);
}
}

public int getTpforpag() {
return tpforpag;
}

public boolean isTpforpagNull() {
return tpforpagNull;
}

public void setTpforpag(Integer tpforpag) {
if (tpforpag == null) {
tpforpagNull = true;
this.tpforpag = 0;
} else { 
tpforpagNull = false;
this.tpforpag = tpforpag;
}
}

public String getNumBanco() {
return numBanco;
}

public void setNumBanco(String numBanco) {
this.numBanco = numBanco;
}

public String getAgBanco() {
return agBanco;
}

public void setAgBanco(String agBanco) {
this.agBanco = agBanco;
}

public String getCnpjInst() {
return cnpjInst;
}

public void setCnpjInst(String cnpjInst) {
this.cnpjInst = cnpjInst;
}

public int getIdevento() {
return idevento;
}

public boolean isIdeventoNull() {
return ideventoNull;
}

public void setIdevento(Integer idevento) {
if (idevento == null) {
ideventoNull = true;
this.idevento = 0;
} else { 
ideventoNull = false;
this.idevento = idevento;
}
}

public double getVadiant() {
return vadiant;
}

public boolean isVadiantNull() {
return vadiantNull;
}

public void setVadiant(int vadiant) {
setVadiant(new Double(vadiant));
}

public void setVadiant(long vadiant) {
setVadiant(new Double(vadiant));
}

public void setVadiant(Double vadiant) {
if (vadiant == null) {
vadiantNull = true;
this.vadiant = 0.;
} else { 
vadiantNull = false;
this.vadiant = FglDouble.round(vadiant, 2);
}
}

}

