package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMetFiscais {
@Coluna(nome="met_fiscais.dataemissaonf", tipo="FglDateTimeYS")
private FglDateTimeYS dataemissaonf;
@Coluna(nome="met_fiscais.estabelecimento", tipo="String")
private String estabelecimento;
@Coluna(nome="met_fiscais.indoperacao", tipo="String")
private String indoperacao;
@Coluna(nome="met_fiscais.nronotafiscal", tipo="String")
private String nronotafiscal;
@Coluna(nome="met_fiscais.serienotafiscal", tipo="String")
private String serienotafiscal;
@Coluna(nome="met_fiscais.tiponotafiscal", tipo="String")
private String tiponotafiscal;
@Coluna(nome="met_fiscais.valortotalnf", tipo="double")
private double valortotalnf;
private boolean valortotalnfNull;
@Coluna(nome="met_fiscais.valorbrutonf", tipo="double")
private double valorbrutonf;
private boolean valorbrutonfNull;
@Coluna(nome="met_fiscais.valorretidonf", tipo="double")
private double valorretidonf;
private boolean valorretidonfNull;
@Coluna(nome="met_fiscais.statusnf", tipo="String")
private String statusnf;
@Coluna(nome="met_fiscais.msgerro", tipo="String")
private String msgerro;

public TabMetFiscais() {
initialize();
}

public void initialize() {
setDataemissaonf(null);
setEstabelecimento(null);
setIndoperacao(null);
setNronotafiscal(null);
setSerienotafiscal(null);
setTiponotafiscal(null);
setValortotalnf(null);
setValorbrutonf(null);
setValorretidonf(null);
setStatusnf(null);
setMsgerro(null);
}

public TabMetFiscais(FglDateTimeYS dataemissaonf, String estabelecimento, String indoperacao, String nronotafiscal, String serienotafiscal, String tiponotafiscal, double valortotalnf, double valorbrutonf, double valorretidonf, String statusnf, String msgerro) {
this.dataemissaonf = dataemissaonf;
this.estabelecimento = estabelecimento;
this.indoperacao = indoperacao;
this.nronotafiscal = nronotafiscal;
this.serienotafiscal = serienotafiscal;
this.tiponotafiscal = tiponotafiscal;
this.valortotalnf = valortotalnf;
this.valorbrutonf = valorbrutonf;
this.valorretidonf = valorretidonf;
this.statusnf = statusnf;
this.msgerro = msgerro;
}

public FglDateTimeYS getDataemissaonf() {
return dataemissaonf;
}

public void setDataemissaonf(FglDateTimeYS dataemissaonf) {
this.dataemissaonf = dataemissaonf;
}

public String getEstabelecimento() {
return estabelecimento;
}

public void setEstabelecimento(String estabelecimento) {
this.estabelecimento = estabelecimento;
}

public String getIndoperacao() {
return indoperacao;
}

public void setIndoperacao(String indoperacao) {
this.indoperacao = indoperacao;
}

public String getNronotafiscal() {
return nronotafiscal;
}

public void setNronotafiscal(String nronotafiscal) {
this.nronotafiscal = nronotafiscal;
}

public String getSerienotafiscal() {
return serienotafiscal;
}

public void setSerienotafiscal(String serienotafiscal) {
this.serienotafiscal = serienotafiscal;
}

public String getTiponotafiscal() {
return tiponotafiscal;
}

public void setTiponotafiscal(String tiponotafiscal) {
this.tiponotafiscal = tiponotafiscal;
}

public double getValortotalnf() {
return valortotalnf;
}

public boolean isValortotalnfNull() {
return valortotalnfNull;
}

public void setValortotalnf(int valortotalnf) {
setValortotalnf(new Double(valortotalnf));
}

public void setValortotalnf(long valortotalnf) {
setValortotalnf(new Double(valortotalnf));
}

public void setValortotalnf(Double valortotalnf) {
if (valortotalnf == null) {
valortotalnfNull = true;
this.valortotalnf = 0.;
} else { 
valortotalnfNull = false;
this.valortotalnf = FglDouble.round(valortotalnf, 2);
}
}

public double getValorbrutonf() {
return valorbrutonf;
}

public boolean isValorbrutonfNull() {
return valorbrutonfNull;
}

public void setValorbrutonf(int valorbrutonf) {
setValorbrutonf(new Double(valorbrutonf));
}

public void setValorbrutonf(long valorbrutonf) {
setValorbrutonf(new Double(valorbrutonf));
}

public void setValorbrutonf(Double valorbrutonf) {
if (valorbrutonf == null) {
valorbrutonfNull = true;
this.valorbrutonf = 0.;
} else { 
valorbrutonfNull = false;
this.valorbrutonf = FglDouble.round(valorbrutonf, 2);
}
}

public double getValorretidonf() {
return valorretidonf;
}

public boolean isValorretidonfNull() {
return valorretidonfNull;
}

public void setValorretidonf(int valorretidonf) {
setValorretidonf(new Double(valorretidonf));
}

public void setValorretidonf(long valorretidonf) {
setValorretidonf(new Double(valorretidonf));
}

public void setValorretidonf(Double valorretidonf) {
if (valorretidonf == null) {
valorretidonfNull = true;
this.valorretidonf = 0.;
} else { 
valorretidonfNull = false;
this.valorretidonf = FglDouble.round(valorretidonf, 2);
}
}

public String getStatusnf() {
return statusnf;
}

public void setStatusnf(String statusnf) {
this.statusnf = statusnf;
}

public String getMsgerro() {
return msgerro;
}

public void setMsgerro(String msgerro) {
this.msgerro = msgerro;
}

}

