package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabMfpartrc {
@Coluna(nome="mfpartrc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mfpartrc.int_cadpecas", tipo="String")
private String intCadpecas;
@Coluna(nome="mfpartrc.int_estpecas", tipo="String")
private String intEstpecas;
@Coluna(nome="mfpartrc.int_pedcompra", tipo="String")
private String intPedcompra;
@Coluna(nome="mfpartrc.int_pedvenda", tipo="String")
private String intPedvenda;
@Coluna(nome="mfpartrc.int_cadcliente", tipo="String")
private String intCadcliente;
@Coluna(nome="mfpartrc.int_vendaperd", tipo="String")
private String intVendaperd;
@Coluna(nome="mfpartrc.ambiente", tipo="String")
private String ambiente;
@Coluna(nome="mfpartrc.usuario", tipo="String")
private String usuario;
@Coluna(nome="mfpartrc.senha", tipo="String")
private String senha;
@Coluna(nome="mfpartrc.ws_tst_dms01", tipo="String")
private String wsTstDms01;
@Coluna(nome="mfpartrc.ws_tst_dms02", tipo="String")
private String wsTstDms02;
@Coluna(nome="mfpartrc.ws_tst_dms03", tipo="String")
private String wsTstDms03;
@Coluna(nome="mfpartrc.ws_tst_dms04", tipo="String")
private String wsTstDms04;
@Coluna(nome="mfpartrc.ws_tst_dms05", tipo="String")
private String wsTstDms05;
@Coluna(nome="mfpartrc.ws_tst_dms06", tipo="String")
private String wsTstDms06;
@Coluna(nome="mfpartrc.ws_prd_dms01", tipo="String")
private String wsPrdDms01;
@Coluna(nome="mfpartrc.ws_prd_dms02", tipo="String")
private String wsPrdDms02;
@Coluna(nome="mfpartrc.ws_prd_dms03", tipo="String")
private String wsPrdDms03;
@Coluna(nome="mfpartrc.ws_prd_dms04", tipo="String")
private String wsPrdDms04;
@Coluna(nome="mfpartrc.ws_prd_dms05", tipo="String")
private String wsPrdDms05;
@Coluna(nome="mfpartrc.ws_prd_dms06", tipo="String")
private String wsPrdDms06;
@Coluna(nome="mfpartrc.dt_carga_ini", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtCargaIni;
@Coluna(nome="mfpartrc.caminho_arquivos", tipo="String")
private String caminhoArquivos;

public TabMfpartrc() {
initialize();
}

public void initialize() {
setFilial(null);
setIntCadpecas(null);
setIntEstpecas(null);
setIntPedcompra(null);
setIntPedvenda(null);
setIntCadcliente(null);
setIntVendaperd(null);
setAmbiente(null);
setUsuario(null);
setSenha(null);
setWsTstDms01(null);
setWsTstDms02(null);
setWsTstDms03(null);
setWsTstDms04(null);
setWsTstDms05(null);
setWsTstDms06(null);
setWsPrdDms01(null);
setWsPrdDms02(null);
setWsPrdDms03(null);
setWsPrdDms04(null);
setWsPrdDms05(null);
setWsPrdDms06(null);
setDtCargaIni(null);
setCaminhoArquivos(null);
}

public TabMfpartrc(int filial, String intCadpecas, String intEstpecas, String intPedcompra, String intPedvenda, String intCadcliente, String intVendaperd, String ambiente, String usuario, String senha, String wsTstDms01, String wsTstDms02, String wsTstDms03, String wsTstDms04, String wsTstDms05, String wsTstDms06, String wsPrdDms01, String wsPrdDms02, String wsPrdDms03, String wsPrdDms04, String wsPrdDms05, String wsPrdDms06, FglDateTimeYMin dtCargaIni, String caminhoArquivos) {
this.filial = filial;
this.intCadpecas = intCadpecas;
this.intEstpecas = intEstpecas;
this.intPedcompra = intPedcompra;
this.intPedvenda = intPedvenda;
this.intCadcliente = intCadcliente;
this.intVendaperd = intVendaperd;
this.ambiente = ambiente;
this.usuario = usuario;
this.senha = senha;
this.wsTstDms01 = wsTstDms01;
this.wsTstDms02 = wsTstDms02;
this.wsTstDms03 = wsTstDms03;
this.wsTstDms04 = wsTstDms04;
this.wsTstDms05 = wsTstDms05;
this.wsTstDms06 = wsTstDms06;
this.wsPrdDms01 = wsPrdDms01;
this.wsPrdDms02 = wsPrdDms02;
this.wsPrdDms03 = wsPrdDms03;
this.wsPrdDms04 = wsPrdDms04;
this.wsPrdDms05 = wsPrdDms05;
this.wsPrdDms06 = wsPrdDms06;
this.dtCargaIni = dtCargaIni;
this.caminhoArquivos = caminhoArquivos;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getIntCadpecas() {
return intCadpecas;
}

public void setIntCadpecas(String intCadpecas) {
this.intCadpecas = intCadpecas;
}

public String getIntEstpecas() {
return intEstpecas;
}

public void setIntEstpecas(String intEstpecas) {
this.intEstpecas = intEstpecas;
}

public String getIntPedcompra() {
return intPedcompra;
}

public void setIntPedcompra(String intPedcompra) {
this.intPedcompra = intPedcompra;
}

public String getIntPedvenda() {
return intPedvenda;
}

public void setIntPedvenda(String intPedvenda) {
this.intPedvenda = intPedvenda;
}

public String getIntCadcliente() {
return intCadcliente;
}

public void setIntCadcliente(String intCadcliente) {
this.intCadcliente = intCadcliente;
}

public String getIntVendaperd() {
return intVendaperd;
}

public void setIntVendaperd(String intVendaperd) {
this.intVendaperd = intVendaperd;
}

public String getAmbiente() {
return ambiente;
}

public void setAmbiente(String ambiente) {
this.ambiente = ambiente;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getWsTstDms01() {
return wsTstDms01;
}

public void setWsTstDms01(String wsTstDms01) {
this.wsTstDms01 = wsTstDms01;
}

public String getWsTstDms02() {
return wsTstDms02;
}

public void setWsTstDms02(String wsTstDms02) {
this.wsTstDms02 = wsTstDms02;
}

public String getWsTstDms03() {
return wsTstDms03;
}

public void setWsTstDms03(String wsTstDms03) {
this.wsTstDms03 = wsTstDms03;
}

public String getWsTstDms04() {
return wsTstDms04;
}

public void setWsTstDms04(String wsTstDms04) {
this.wsTstDms04 = wsTstDms04;
}

public String getWsTstDms05() {
return wsTstDms05;
}

public void setWsTstDms05(String wsTstDms05) {
this.wsTstDms05 = wsTstDms05;
}

public String getWsTstDms06() {
return wsTstDms06;
}

public void setWsTstDms06(String wsTstDms06) {
this.wsTstDms06 = wsTstDms06;
}

public String getWsPrdDms01() {
return wsPrdDms01;
}

public void setWsPrdDms01(String wsPrdDms01) {
this.wsPrdDms01 = wsPrdDms01;
}

public String getWsPrdDms02() {
return wsPrdDms02;
}

public void setWsPrdDms02(String wsPrdDms02) {
this.wsPrdDms02 = wsPrdDms02;
}

public String getWsPrdDms03() {
return wsPrdDms03;
}

public void setWsPrdDms03(String wsPrdDms03) {
this.wsPrdDms03 = wsPrdDms03;
}

public String getWsPrdDms04() {
return wsPrdDms04;
}

public void setWsPrdDms04(String wsPrdDms04) {
this.wsPrdDms04 = wsPrdDms04;
}

public String getWsPrdDms05() {
return wsPrdDms05;
}

public void setWsPrdDms05(String wsPrdDms05) {
this.wsPrdDms05 = wsPrdDms05;
}

public String getWsPrdDms06() {
return wsPrdDms06;
}

public void setWsPrdDms06(String wsPrdDms06) {
this.wsPrdDms06 = wsPrdDms06;
}

public FglDateTimeYMin getDtCargaIni() {
return dtCargaIni;
}

public void setDtCargaIni(FglDateTimeYMin dtCargaIni) {
this.dtCargaIni = dtCargaIni;
}

public String getCaminhoArquivos() {
return caminhoArquivos;
}

public void setCaminhoArquivos(String caminhoArquivos) {
this.caminhoArquivos = caminhoArquivos;
}

}

