package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabMobwebco {
@Coluna(nome="mobwebco.id_mobwebco", tipo="int")
private int idMobwebco;
private boolean idMobwebcoNull;
@Coluna(nome="mobwebco.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="mobwebco.nro_preos", tipo="int")
private int nroPreos;
private boolean nroPreosNull;
@Coluna(nome="mobwebco.dtcontato", tipo="FglDate")
private FglDate dtcontato;
@Coluna(nome="mobwebco.hrcontato", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrcontato;
@Coluna(nome="mobwebco.tpcontato", tipo="String")
private String tpcontato;
@Coluna(nome="mobwebco.observacao", tipo="String")
private String observacao;

public TabMobwebco() {
initialize();
}

public void initialize() {
setIdMobwebco(null);
setIdPreos(null);
setNroPreos(null);
setDtcontato(null);
setHrcontato(null);
setTpcontato(null);
setObservacao(null);
}

public TabMobwebco(int idMobwebco, int idPreos, int nroPreos, FglDate dtcontato, FglDateTimeHMin hrcontato, String tpcontato, String observacao) {
this.idMobwebco = idMobwebco;
this.idPreos = idPreos;
this.nroPreos = nroPreos;
this.dtcontato = dtcontato;
this.hrcontato = hrcontato;
this.tpcontato = tpcontato;
this.observacao = observacao;
}

public int getIdMobwebco() {
return idMobwebco;
}

public boolean isIdMobwebcoNull() {
return idMobwebcoNull;
}

public void setIdMobwebco(Integer idMobwebco) {
if (idMobwebco == null) {
idMobwebcoNull = true;
this.idMobwebco = 0;
} else { 
idMobwebcoNull = false;
this.idMobwebco = idMobwebco;
}
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public int getNroPreos() {
return nroPreos;
}

public boolean isNroPreosNull() {
return nroPreosNull;
}

public void setNroPreos(Integer nroPreos) {
if (nroPreos == null) {
nroPreosNull = true;
this.nroPreos = 0;
} else { 
nroPreosNull = false;
this.nroPreos = nroPreos;
}
}

public FglDate getDtcontato() {
return dtcontato;
}

public void setDtcontato(FglDate dtcontato) {
this.dtcontato = dtcontato;
}

public FglDateTimeHMin getHrcontato() {
return hrcontato;
}

public void setHrcontato(FglDateTimeHMin hrcontato) {
this.hrcontato = hrcontato;
}

public String getTpcontato() {
return tpcontato;
}

public void setTpcontato(String tpcontato) {
this.tpcontato = tpcontato;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

