package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabMobwebos {
@Coluna(nome="mobwebos.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="mobwebos.dt_envio", tipo="FglDate")
private FglDate dtEnvio;
@Coluna(nome="mobwebos.hr_envio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrEnvio;
@Coluna(nome="mobwebos.dt_pgto", tipo="FglDate")
private FglDate dtPgto;
@Coluna(nome="mobwebos.hr_pgto", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrPgto;

public TabMobwebos() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDtEnvio(null);
setHrEnvio(null);
setDtPgto(null);
setHrPgto(null);
}

public TabMobwebos(int idOscapa, FglDate dtEnvio, FglDateTimeHMin hrEnvio, FglDate dtPgto, FglDateTimeHMin hrPgto) {
this.idOscapa = idOscapa;
this.dtEnvio = dtEnvio;
this.hrEnvio = hrEnvio;
this.dtPgto = dtPgto;
this.hrPgto = hrPgto;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDtEnvio() {
return dtEnvio;
}

public void setDtEnvio(FglDate dtEnvio) {
this.dtEnvio = dtEnvio;
}

public FglDateTimeHMin getHrEnvio() {
return hrEnvio;
}

public void setHrEnvio(FglDateTimeHMin hrEnvio) {
this.hrEnvio = hrEnvio;
}

public FglDate getDtPgto() {
return dtPgto;
}

public void setDtPgto(FglDate dtPgto) {
this.dtPgto = dtPgto;
}

public FglDateTimeHMin getHrPgto() {
return hrPgto;
}

public void setHrPgto(FglDateTimeHMin hrPgto) {
this.hrPgto = hrPgto;
}

}

