package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabMobwebst {
@Coluna(nome="mobwebst.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="mobwebst.stenvio", tipo="String")
private String stenvio;
@Coluna(nome="mobwebst.dtproc", tipo="FglDate")
private FglDate dtproc;
@Coluna(nome="mobwebst.hrproc", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrproc;
@Coluna(nome="mobwebst.codretws", tipo="int")
private int codretws;
private boolean codretwsNull;
@Coluna(nome="mobwebst.mensagem", tipo="String")
private String mensagem;

public TabMobwebst() {
initialize();
}

public void initialize() {
setIdPreos(null);
setStenvio(null);
setDtproc(null);
setHrproc(null);
setCodretws(null);
setMensagem(null);
}

public TabMobwebst(int idPreos, String stenvio, FglDate dtproc, FglDateTimeHMin hrproc, int codretws, String mensagem) {
this.idPreos = idPreos;
this.stenvio = stenvio;
this.dtproc = dtproc;
this.hrproc = hrproc;
this.codretws = codretws;
this.mensagem = mensagem;
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public String getStenvio() {
return stenvio;
}

public void setStenvio(String stenvio) {
this.stenvio = stenvio;
}

public FglDate getDtproc() {
return dtproc;
}

public void setDtproc(FglDate dtproc) {
this.dtproc = dtproc;
}

public FglDateTimeHMin getHrproc() {
return hrproc;
}

public void setHrproc(FglDateTimeHMin hrproc) {
this.hrproc = hrproc;
}

public int getCodretws() {
return codretws;
}

public boolean isCodretwsNull() {
return codretwsNull;
}

public void setCodretws(Integer codretws) {
if (codretws == null) {
codretwsNull = true;
this.codretws = 0;
} else { 
codretwsNull = false;
this.codretws = codretws;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

