package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMonfcapa {
@Coluna(nome="monfcapa.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="monfcapa.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="monfcapa.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="monfcapa.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="monfcapa.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="monfcapa.serienf", tipo="String")
private String serienf;
@Coluna(nome="monfcapa.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="monfcapa.nro_proprietario", tipo="long")
private long nroProprietario;
private boolean nroProprietarioNull;
@Coluna(nome="monfcapa.transacao", tipo="String")
private String transacao;
@Coluna(nome="monfcapa.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="monfcapa.hrnota", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrnota;
@Coluna(nome="monfcapa.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="monfcapa.codfiscal", tipo="String")
private String codfiscal;
@Coluna(nome="monfcapa.codfiscalmo", tipo="String")
private String codfiscalmo;
@Coluna(nome="monfcapa.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="monfcapa.valoritem", tipo="double")
private double valoritem;
private boolean valoritemNull;
@Coluna(nome="monfcapa.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="monfcapa.valoracresc", tipo="double")
private double valoracresc;
private boolean valoracrescNull;
@Coluna(nome="monfcapa.valorfrete", tipo="double")
private double valorfrete;
private boolean valorfreteNull;
@Coluna(nome="monfcapa.valorseguro", tipo="double")
private double valorseguro;
private boolean valorseguroNull;
@Coluna(nome="monfcapa.valoroutros", tipo="double")
private double valoroutros;
private boolean valoroutrosNull;
@Coluna(nome="monfcapa.totnfiscal", tipo="double")
private double totnfiscal;
private boolean totnfiscalNull;
@Coluna(nome="monfcapa.jurossicm", tipo="double")
private double jurossicm;
private boolean jurossicmNull;
@Coluna(nome="monfcapa.isentoicms", tipo="double")
private double isentoicms;
private boolean isentoicmsNull;
@Coluna(nome="monfcapa.subisento", tipo="double")
private double subisento;
private boolean subisentoNull;
@Coluna(nome="monfcapa.baseicms", tipo="double")
private double baseicms;
private boolean baseicmsNull;
@Coluna(nome="monfcapa.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;
@Coluna(nome="monfcapa.difaliqicms", tipo="double")
private double difaliqicms;
private boolean difaliqicmsNull;
@Coluna(nome="monfcapa.icmsfretefora", tipo="double")
private double icmsfretefora;
private boolean icmsfreteforaNull;
@Coluna(nome="monfcapa.sbaseicms", tipo="double")
private double sbaseicms;
private boolean sbaseicmsNull;
@Coluna(nome="monfcapa.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="monfcapa.valoripi", tipo="double")
private double valoripi;
private boolean valoripiNull;
@Coluna(nome="monfcapa.valoripiembal", tipo="double")
private double valoripiembal;
private boolean valoripiembalNull;
@Coluna(nome="monfcapa.maoobraext", tipo="double")
private double maoobraext;
private boolean maoobraextNull;
@Coluna(nome="monfcapa.descontomob", tipo="double")
private double descontomob;
private boolean descontomobNull;
@Coluna(nome="monfcapa.acrescimmob", tipo="double")
private double acrescimmob;
private boolean acrescimmobNull;
@Coluna(nome="monfcapa.baseipi", tipo="double")
private double baseipi;
private boolean baseipiNull;
@Coluna(nome="monfcapa.embalagemipi", tipo="double")
private double embalagemipi;
private boolean embalagemipiNull;
@Coluna(nome="monfcapa.freteporfora", tipo="double")
private double freteporfora;
private boolean freteporforaNull;
@Coluna(nome="monfcapa.maoobraint", tipo="double")
private double maoobraint;
private boolean maoobraintNull;
@Coluna(nome="monfcapa.baseiss", tipo="double")
private double baseiss;
private boolean baseissNull;
@Coluna(nome="monfcapa.valoriss", tipo="double")
private double valoriss;
private boolean valorissNull;
@Coluna(nome="monfcapa.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="monfcapa.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="monfcapa.id_fatura", tipo="int")
private int idFatura;
private boolean idFaturaNull;
@Coluna(nome="monfcapa.viamagnetica", tipo="String")
private String viamagnetica;
@Coluna(nome="monfcapa.cancelada", tipo="String")
private String cancelada;
@Coluna(nome="monfcapa.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="monfcapa.dttransacao", tipo="FglDate")
private FglDate dttransacao;
@Coluna(nome="monfcapa.hrtransacao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrtransacao;
@Coluna(nome="monfcapa.id_agentvext", tipo="int")
private int idAgentvext;
private boolean idAgentvextNull;
@Coluna(nome="monfcapa.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="monfcapa.pedido", tipo="int")
private int pedido;
private boolean pedidoNull;
@Coluna(nome="monfcapa.freteconta", tipo="String")
private String freteconta;
@Coluna(nome="monfcapa.dtretorno", tipo="FglDate")
private FglDate dtretorno;
@Coluna(nome="monfcapa.dtefetivacao", tipo="FglDate")
private FglDate dtefetivacao;
@Coluna(nome="monfcapa.tpdocto", tipo="String")
private String tpdocto;

public TabMonfcapa() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setNronota(null);
setSerienf(null);
setNroEndere(null);
setNroProprietario(null);
setTransacao(null);
setDtnota(null);
setHrnota(null);
setCondpgto(null);
setCodfiscal(null);
setCodfiscalmo(null);
setIdAgente(null);
setValoritem(null);
setValordesc(null);
setValoracresc(null);
setValorfrete(null);
setValorseguro(null);
setValoroutros(null);
setTotnfiscal(null);
setJurossicm(null);
setIsentoicms(null);
setSubisento(null);
setBaseicms(null);
setValoricms(null);
setDifaliqicms(null);
setIcmsfretefora(null);
setSbaseicms(null);
setSvaloricms(null);
setValoripi(null);
setValoripiembal(null);
setMaoobraext(null);
setDescontomob(null);
setAcrescimmob(null);
setBaseipi(null);
setEmbalagemipi(null);
setFreteporfora(null);
setMaoobraint(null);
setBaseiss(null);
setValoriss(null);
setTpordem(null);
setOrdemserv(null);
setIdFatura(null);
setViamagnetica(null);
setCancelada(null);
setIdLancto(null);
setDttransacao(null);
setHrtransacao(null);
setIdAgentvext(null);
setIdSetor(null);
setPedido(null);
setFreteconta(null);
setDtretorno(null);
setDtefetivacao(null);
setTpdocto(null);
}

public TabMonfcapa(int idNfcapa, int filial, long cgccpf, int tppessoa, int nronota, String serienf, long nroEndere, long nroProprietario, String transacao, FglDate dtnota, FglDateTimeHMin hrnota, int condpgto, String codfiscal, String codfiscalmo, int idAgente, double valoritem, double valordesc, double valoracresc, double valorfrete, double valorseguro, double valoroutros, double totnfiscal, double jurossicm, double isentoicms, double subisento, double baseicms, double valoricms, double difaliqicms, double icmsfretefora, double sbaseicms, double svaloricms, double valoripi, double valoripiembal, double maoobraext, double descontomob, double acrescimmob, double baseipi, double embalagemipi, double freteporfora, double maoobraint, double baseiss, double valoriss, String tpordem, int ordemserv, int idFatura, String viamagnetica, String cancelada, int idLancto, FglDate dttransacao, FglDateTimeHMin hrtransacao, int idAgentvext, int idSetor, int pedido, String freteconta, FglDate dtretorno, FglDate dtefetivacao, String tpdocto) {
this.idNfcapa = idNfcapa;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nronota = nronota;
this.serienf = serienf;
this.nroEndere = nroEndere;
this.nroProprietario = nroProprietario;
this.transacao = transacao;
this.dtnota = dtnota;
this.hrnota = hrnota;
this.condpgto = condpgto;
this.codfiscal = codfiscal;
this.codfiscalmo = codfiscalmo;
this.idAgente = idAgente;
this.valoritem = valoritem;
this.valordesc = valordesc;
this.valoracresc = valoracresc;
this.valorfrete = valorfrete;
this.valorseguro = valorseguro;
this.valoroutros = valoroutros;
this.totnfiscal = totnfiscal;
this.jurossicm = jurossicm;
this.isentoicms = isentoicms;
this.subisento = subisento;
this.baseicms = baseicms;
this.valoricms = valoricms;
this.difaliqicms = difaliqicms;
this.icmsfretefora = icmsfretefora;
this.sbaseicms = sbaseicms;
this.svaloricms = svaloricms;
this.valoripi = valoripi;
this.valoripiembal = valoripiembal;
this.maoobraext = maoobraext;
this.descontomob = descontomob;
this.acrescimmob = acrescimmob;
this.baseipi = baseipi;
this.embalagemipi = embalagemipi;
this.freteporfora = freteporfora;
this.maoobraint = maoobraint;
this.baseiss = baseiss;
this.valoriss = valoriss;
this.tpordem = tpordem;
this.ordemserv = ordemserv;
this.idFatura = idFatura;
this.viamagnetica = viamagnetica;
this.cancelada = cancelada;
this.idLancto = idLancto;
this.dttransacao = dttransacao;
this.hrtransacao = hrtransacao;
this.idAgentvext = idAgentvext;
this.idSetor = idSetor;
this.pedido = pedido;
this.freteconta = freteconta;
this.dtretorno = dtretorno;
this.dtefetivacao = dtefetivacao;
this.tpdocto = tpdocto;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public long getNroProprietario() {
return nroProprietario;
}

public boolean isNroProprietarioNull() {
return nroProprietarioNull;
}

public void setNroProprietario(int nroProprietario) {
setNroProprietario(new Long(nroProprietario));
}

public void setNroProprietario(Long nroProprietario) {
if (nroProprietario == null) {
nroProprietarioNull = true;
this.nroProprietario = 0l;
} else { 
nroProprietarioNull = false;
this.nroProprietario = nroProprietario;
}
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public FglDateTimeHMin getHrnota() {
return hrnota;
}

public void setHrnota(FglDateTimeHMin hrnota) {
this.hrnota = hrnota;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public String getCodfiscal() {
return codfiscal;
}

public void setCodfiscal(String codfiscal) {
this.codfiscal = codfiscal;
}

public String getCodfiscalmo() {
return codfiscalmo;
}

public void setCodfiscalmo(String codfiscalmo) {
this.codfiscalmo = codfiscalmo;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public double getValoritem() {
return valoritem;
}

public boolean isValoritemNull() {
return valoritemNull;
}

public void setValoritem(int valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(long valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(Double valoritem) {
if (valoritem == null) {
valoritemNull = true;
this.valoritem = 0.;
} else { 
valoritemNull = false;
this.valoritem = FglDouble.round(valoritem, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValoracresc() {
return valoracresc;
}

public boolean isValoracrescNull() {
return valoracrescNull;
}

public void setValoracresc(int valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(long valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(Double valoracresc) {
if (valoracresc == null) {
valoracrescNull = true;
this.valoracresc = 0.;
} else { 
valoracrescNull = false;
this.valoracresc = FglDouble.round(valoracresc, 2);
}
}

public double getValorfrete() {
return valorfrete;
}

public boolean isValorfreteNull() {
return valorfreteNull;
}

public void setValorfrete(int valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(long valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(Double valorfrete) {
if (valorfrete == null) {
valorfreteNull = true;
this.valorfrete = 0.;
} else { 
valorfreteNull = false;
this.valorfrete = FglDouble.round(valorfrete, 2);
}
}

public double getValorseguro() {
return valorseguro;
}

public boolean isValorseguroNull() {
return valorseguroNull;
}

public void setValorseguro(int valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(long valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(Double valorseguro) {
if (valorseguro == null) {
valorseguroNull = true;
this.valorseguro = 0.;
} else { 
valorseguroNull = false;
this.valorseguro = FglDouble.round(valorseguro, 2);
}
}

public double getValoroutros() {
return valoroutros;
}

public boolean isValoroutrosNull() {
return valoroutrosNull;
}

public void setValoroutros(int valoroutros) {
setValoroutros(new Double(valoroutros));
}

public void setValoroutros(long valoroutros) {
setValoroutros(new Double(valoroutros));
}

public void setValoroutros(Double valoroutros) {
if (valoroutros == null) {
valoroutrosNull = true;
this.valoroutros = 0.;
} else { 
valoroutrosNull = false;
this.valoroutros = FglDouble.round(valoroutros, 2);
}
}

public double getTotnfiscal() {
return totnfiscal;
}

public boolean isTotnfiscalNull() {
return totnfiscalNull;
}

public void setTotnfiscal(int totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(long totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(Double totnfiscal) {
if (totnfiscal == null) {
totnfiscalNull = true;
this.totnfiscal = 0.;
} else { 
totnfiscalNull = false;
this.totnfiscal = FglDouble.round(totnfiscal, 2);
}
}

public double getJurossicm() {
return jurossicm;
}

public boolean isJurossicmNull() {
return jurossicmNull;
}

public void setJurossicm(int jurossicm) {
setJurossicm(new Double(jurossicm));
}

public void setJurossicm(long jurossicm) {
setJurossicm(new Double(jurossicm));
}

public void setJurossicm(Double jurossicm) {
if (jurossicm == null) {
jurossicmNull = true;
this.jurossicm = 0.;
} else { 
jurossicmNull = false;
this.jurossicm = FglDouble.round(jurossicm, 2);
}
}

public double getIsentoicms() {
return isentoicms;
}

public boolean isIsentoicmsNull() {
return isentoicmsNull;
}

public void setIsentoicms(int isentoicms) {
setIsentoicms(new Double(isentoicms));
}

public void setIsentoicms(long isentoicms) {
setIsentoicms(new Double(isentoicms));
}

public void setIsentoicms(Double isentoicms) {
if (isentoicms == null) {
isentoicmsNull = true;
this.isentoicms = 0.;
} else { 
isentoicmsNull = false;
this.isentoicms = FglDouble.round(isentoicms, 2);
}
}

public double getSubisento() {
return subisento;
}

public boolean isSubisentoNull() {
return subisentoNull;
}

public void setSubisento(int subisento) {
setSubisento(new Double(subisento));
}

public void setSubisento(long subisento) {
setSubisento(new Double(subisento));
}

public void setSubisento(Double subisento) {
if (subisento == null) {
subisentoNull = true;
this.subisento = 0.;
} else { 
subisentoNull = false;
this.subisento = FglDouble.round(subisento, 2);
}
}

public double getBaseicms() {
return baseicms;
}

public boolean isBaseicmsNull() {
return baseicmsNull;
}

public void setBaseicms(int baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(long baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(Double baseicms) {
if (baseicms == null) {
baseicmsNull = true;
this.baseicms = 0.;
} else { 
baseicmsNull = false;
this.baseicms = FglDouble.round(baseicms, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

public double getDifaliqicms() {
return difaliqicms;
}

public boolean isDifaliqicmsNull() {
return difaliqicmsNull;
}

public void setDifaliqicms(int difaliqicms) {
setDifaliqicms(new Double(difaliqicms));
}

public void setDifaliqicms(long difaliqicms) {
setDifaliqicms(new Double(difaliqicms));
}

public void setDifaliqicms(Double difaliqicms) {
if (difaliqicms == null) {
difaliqicmsNull = true;
this.difaliqicms = 0.;
} else { 
difaliqicmsNull = false;
this.difaliqicms = FglDouble.round(difaliqicms, 2);
}
}

public double getIcmsfretefora() {
return icmsfretefora;
}

public boolean isIcmsfreteforaNull() {
return icmsfreteforaNull;
}

public void setIcmsfretefora(int icmsfretefora) {
setIcmsfretefora(new Double(icmsfretefora));
}

public void setIcmsfretefora(long icmsfretefora) {
setIcmsfretefora(new Double(icmsfretefora));
}

public void setIcmsfretefora(Double icmsfretefora) {
if (icmsfretefora == null) {
icmsfreteforaNull = true;
this.icmsfretefora = 0.;
} else { 
icmsfreteforaNull = false;
this.icmsfretefora = FglDouble.round(icmsfretefora, 2);
}
}

public double getSbaseicms() {
return sbaseicms;
}

public boolean isSbaseicmsNull() {
return sbaseicmsNull;
}

public void setSbaseicms(int sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(long sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(Double sbaseicms) {
if (sbaseicms == null) {
sbaseicmsNull = true;
this.sbaseicms = 0.;
} else { 
sbaseicmsNull = false;
this.sbaseicms = FglDouble.round(sbaseicms, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getValoripi() {
return valoripi;
}

public boolean isValoripiNull() {
return valoripiNull;
}

public void setValoripi(int valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(long valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(Double valoripi) {
if (valoripi == null) {
valoripiNull = true;
this.valoripi = 0.;
} else { 
valoripiNull = false;
this.valoripi = FglDouble.round(valoripi, 2);
}
}

public double getValoripiembal() {
return valoripiembal;
}

public boolean isValoripiembalNull() {
return valoripiembalNull;
}

public void setValoripiembal(int valoripiembal) {
setValoripiembal(new Double(valoripiembal));
}

public void setValoripiembal(long valoripiembal) {
setValoripiembal(new Double(valoripiembal));
}

public void setValoripiembal(Double valoripiembal) {
if (valoripiembal == null) {
valoripiembalNull = true;
this.valoripiembal = 0.;
} else { 
valoripiembalNull = false;
this.valoripiembal = FglDouble.round(valoripiembal, 2);
}
}

public double getMaoobraext() {
return maoobraext;
}

public boolean isMaoobraextNull() {
return maoobraextNull;
}

public void setMaoobraext(int maoobraext) {
setMaoobraext(new Double(maoobraext));
}

public void setMaoobraext(long maoobraext) {
setMaoobraext(new Double(maoobraext));
}

public void setMaoobraext(Double maoobraext) {
if (maoobraext == null) {
maoobraextNull = true;
this.maoobraext = 0.;
} else { 
maoobraextNull = false;
this.maoobraext = FglDouble.round(maoobraext, 2);
}
}

public double getDescontomob() {
return descontomob;
}

public boolean isDescontomobNull() {
return descontomobNull;
}

public void setDescontomob(int descontomob) {
setDescontomob(new Double(descontomob));
}

public void setDescontomob(long descontomob) {
setDescontomob(new Double(descontomob));
}

public void setDescontomob(Double descontomob) {
if (descontomob == null) {
descontomobNull = true;
this.descontomob = 0.;
} else { 
descontomobNull = false;
this.descontomob = FglDouble.round(descontomob, 2);
}
}

public double getAcrescimmob() {
return acrescimmob;
}

public boolean isAcrescimmobNull() {
return acrescimmobNull;
}

public void setAcrescimmob(int acrescimmob) {
setAcrescimmob(new Double(acrescimmob));
}

public void setAcrescimmob(long acrescimmob) {
setAcrescimmob(new Double(acrescimmob));
}

public void setAcrescimmob(Double acrescimmob) {
if (acrescimmob == null) {
acrescimmobNull = true;
this.acrescimmob = 0.;
} else { 
acrescimmobNull = false;
this.acrescimmob = FglDouble.round(acrescimmob, 2);
}
}

public double getBaseipi() {
return baseipi;
}

public boolean isBaseipiNull() {
return baseipiNull;
}

public void setBaseipi(int baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(long baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(Double baseipi) {
if (baseipi == null) {
baseipiNull = true;
this.baseipi = 0.;
} else { 
baseipiNull = false;
this.baseipi = FglDouble.round(baseipi, 2);
}
}

public double getEmbalagemipi() {
return embalagemipi;
}

public boolean isEmbalagemipiNull() {
return embalagemipiNull;
}

public void setEmbalagemipi(int embalagemipi) {
setEmbalagemipi(new Double(embalagemipi));
}

public void setEmbalagemipi(long embalagemipi) {
setEmbalagemipi(new Double(embalagemipi));
}

public void setEmbalagemipi(Double embalagemipi) {
if (embalagemipi == null) {
embalagemipiNull = true;
this.embalagemipi = 0.;
} else { 
embalagemipiNull = false;
this.embalagemipi = FglDouble.round(embalagemipi, 2);
}
}

public double getFreteporfora() {
return freteporfora;
}

public boolean isFreteporforaNull() {
return freteporforaNull;
}

public void setFreteporfora(int freteporfora) {
setFreteporfora(new Double(freteporfora));
}

public void setFreteporfora(long freteporfora) {
setFreteporfora(new Double(freteporfora));
}

public void setFreteporfora(Double freteporfora) {
if (freteporfora == null) {
freteporforaNull = true;
this.freteporfora = 0.;
} else { 
freteporforaNull = false;
this.freteporfora = FglDouble.round(freteporfora, 2);
}
}

public double getMaoobraint() {
return maoobraint;
}

public boolean isMaoobraintNull() {
return maoobraintNull;
}

public void setMaoobraint(int maoobraint) {
setMaoobraint(new Double(maoobraint));
}

public void setMaoobraint(long maoobraint) {
setMaoobraint(new Double(maoobraint));
}

public void setMaoobraint(Double maoobraint) {
if (maoobraint == null) {
maoobraintNull = true;
this.maoobraint = 0.;
} else { 
maoobraintNull = false;
this.maoobraint = FglDouble.round(maoobraint, 2);
}
}

public double getBaseiss() {
return baseiss;
}

public boolean isBaseissNull() {
return baseissNull;
}

public void setBaseiss(int baseiss) {
setBaseiss(new Double(baseiss));
}

public void setBaseiss(long baseiss) {
setBaseiss(new Double(baseiss));
}

public void setBaseiss(Double baseiss) {
if (baseiss == null) {
baseissNull = true;
this.baseiss = 0.;
} else { 
baseissNull = false;
this.baseiss = FglDouble.round(baseiss, 2);
}
}

public double getValoriss() {
return valoriss;
}

public boolean isValorissNull() {
return valorissNull;
}

public void setValoriss(int valoriss) {
setValoriss(new Double(valoriss));
}

public void setValoriss(long valoriss) {
setValoriss(new Double(valoriss));
}

public void setValoriss(Double valoriss) {
if (valoriss == null) {
valorissNull = true;
this.valoriss = 0.;
} else { 
valorissNull = false;
this.valoriss = FglDouble.round(valoriss, 2);
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getIdFatura() {
return idFatura;
}

public boolean isIdFaturaNull() {
return idFaturaNull;
}

public void setIdFatura(Integer idFatura) {
if (idFatura == null) {
idFaturaNull = true;
this.idFatura = 0;
} else { 
idFaturaNull = false;
this.idFatura = idFatura;
}
}

public String getViamagnetica() {
return viamagnetica;
}

public void setViamagnetica(String viamagnetica) {
this.viamagnetica = viamagnetica;
}

public String getCancelada() {
return cancelada;
}

public void setCancelada(String cancelada) {
this.cancelada = cancelada;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public FglDate getDttransacao() {
return dttransacao;
}

public void setDttransacao(FglDate dttransacao) {
this.dttransacao = dttransacao;
}

public FglDateTimeHMin getHrtransacao() {
return hrtransacao;
}

public void setHrtransacao(FglDateTimeHMin hrtransacao) {
this.hrtransacao = hrtransacao;
}

public int getIdAgentvext() {
return idAgentvext;
}

public boolean isIdAgentvextNull() {
return idAgentvextNull;
}

public void setIdAgentvext(Integer idAgentvext) {
if (idAgentvext == null) {
idAgentvextNull = true;
this.idAgentvext = 0;
} else { 
idAgentvextNull = false;
this.idAgentvext = idAgentvext;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getPedido() {
return pedido;
}

public boolean isPedidoNull() {
return pedidoNull;
}

public void setPedido(Integer pedido) {
if (pedido == null) {
pedidoNull = true;
this.pedido = 0;
} else { 
pedidoNull = false;
this.pedido = pedido;
}
}

public String getFreteconta() {
return freteconta;
}

public void setFreteconta(String freteconta) {
this.freteconta = freteconta;
}

public FglDate getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDate dtretorno) {
this.dtretorno = dtretorno;
}

public FglDate getDtefetivacao() {
return dtefetivacao;
}

public void setDtefetivacao(FglDate dtefetivacao) {
this.dtefetivacao = dtefetivacao;
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

}

