package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMoordpag {
@Coluna(nome="moordpag.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="moordpag.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="moordpag.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="moordpag.serieop", tipo="String")
private String serieop;
@Coluna(nome="moordpag.seqdocto", tipo="int")
private int seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="moordpag.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="moordpag.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="moordpag.dtdocto", tipo="FglDate")
private FglDate dtdocto;
@Coluna(nome="moordpag.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="moordpag.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="moordpag.nrodoctoor", tipo="int")
private int nrodoctoor;
private boolean nrodoctoorNull;
@Coluna(nome="moordpag.serdoctoor", tipo="String")
private String serdoctoor;
@Coluna(nome="moordpag.tpdoctoor", tipo="String")
private String tpdoctoor;
@Coluna(nome="moordpag.dtdoctoor", tipo="FglDate")
private FglDate dtdoctoor;
@Coluna(nome="moordpag.dtcontabil", tipo="FglDate")
private FglDate dtcontabil;
@Coluna(nome="moordpag.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="moordpag.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="moordpag.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="moordpag.liquidado", tipo="String")
private String liquidado;
@Coluna(nome="moordpag.autorizado", tipo="String")
private String autorizado;

public TabMoordpag() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setFilial(null);
setNrodocto(null);
setSerieop(null);
setSeqdocto(null);
setNroEndere(null);
setTpdocto(null);
setDtdocto(null);
setDtvencto(null);
setValor(null);
setNrodoctoor(null);
setSerdoctoor(null);
setTpdoctoor(null);
setDtdoctoor(null);
setDtcontabil(null);
setIdLancto(null);
setIdBancos(null);
setIdSetor(null);
setLiquidado(null);
setAutorizado(null);
}

public TabMoordpag(int idOrdpag, int filial, int nrodocto, String serieop, int seqdocto, long nroEndere, String tpdocto, FglDate dtdocto, FglDate dtvencto, double valor, int nrodoctoor, String serdoctoor, String tpdoctoor, FglDate dtdoctoor, FglDate dtcontabil, int idLancto, int idBancos, int idSetor, String liquidado, String autorizado) {
this.idOrdpag = idOrdpag;
this.filial = filial;
this.nrodocto = nrodocto;
this.serieop = serieop;
this.seqdocto = seqdocto;
this.nroEndere = nroEndere;
this.tpdocto = tpdocto;
this.dtdocto = dtdocto;
this.dtvencto = dtvencto;
this.valor = valor;
this.nrodoctoor = nrodoctoor;
this.serdoctoor = serdoctoor;
this.tpdoctoor = tpdoctoor;
this.dtdoctoor = dtdoctoor;
this.dtcontabil = dtcontabil;
this.idLancto = idLancto;
this.idBancos = idBancos;
this.idSetor = idSetor;
this.liquidado = liquidado;
this.autorizado = autorizado;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public String getSerieop() {
return serieop;
}

public void setSerieop(String serieop) {
this.serieop = serieop;
}

public int getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(Integer seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public FglDate getDtdocto() {
return dtdocto;
}

public void setDtdocto(FglDate dtdocto) {
this.dtdocto = dtdocto;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getNrodoctoor() {
return nrodoctoor;
}

public boolean isNrodoctoorNull() {
return nrodoctoorNull;
}

public void setNrodoctoor(Integer nrodoctoor) {
if (nrodoctoor == null) {
nrodoctoorNull = true;
this.nrodoctoor = 0;
} else { 
nrodoctoorNull = false;
this.nrodoctoor = nrodoctoor;
}
}

public String getSerdoctoor() {
return serdoctoor;
}

public void setSerdoctoor(String serdoctoor) {
this.serdoctoor = serdoctoor;
}

public String getTpdoctoor() {
return tpdoctoor;
}

public void setTpdoctoor(String tpdoctoor) {
this.tpdoctoor = tpdoctoor;
}

public FglDate getDtdoctoor() {
return dtdoctoor;
}

public void setDtdoctoor(FglDate dtdoctoor) {
this.dtdoctoor = dtdoctoor;
}

public FglDate getDtcontabil() {
return dtcontabil;
}

public void setDtcontabil(FglDate dtcontabil) {
this.dtcontabil = dtcontabil;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getLiquidado() {
return liquidado;
}

public void setLiquidado(String liquidado) {
this.liquidado = liquidado;
}

public String getAutorizado() {
return autorizado;
}

public void setAutorizado(String autorizado) {
this.autorizado = autorizado;
}

}

