package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMsocorre {
@Coluna(nome="msocorre.id_ocorr", tipo="int")
private int idOcorr;
private boolean idOcorrNull;
@Coluna(nome="msocorre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="msocorre.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="msocorre.nomeprog", tipo="String")
private String nomeprog;
@Coluna(nome="msocorre.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="msocorre.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="msocorre.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="msocorre.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="msocorre.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="msocorre.campanha", tipo="String")
private String campanha;
@Coluna(nome="msocorre.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="msocorre.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="msocorre.id_agepgt", tipo="int")
private int idAgepgt;
private boolean idAgepgtNull;

public TabMsocorre() {
initialize();
}

public void initialize() {
setIdOcorr(null);
setFilial(null);
setIdEvento(null);
setNomeprog(null);
setDtocorrencia(null);
setCgccpf(null);
setTppessoa(null);
setIdAgetoy(null);
setIdOscapa(null);
setCampanha(null);
setIdNfcapa(null);
setIdOrccap(null);
setIdAgepgt(null);
}

public TabMsocorre(int idOcorr, int filial, int idEvento, String nomeprog, FglDateTimeYS dtocorrencia, long cgccpf, int tppessoa, int idAgetoy, int idOscapa, String campanha, int idNfcapa, int idOrccap, int idAgepgt) {
this.idOcorr = idOcorr;
this.filial = filial;
this.idEvento = idEvento;
this.nomeprog = nomeprog;
this.dtocorrencia = dtocorrencia;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.idAgetoy = idAgetoy;
this.idOscapa = idOscapa;
this.campanha = campanha;
this.idNfcapa = idNfcapa;
this.idOrccap = idOrccap;
this.idAgepgt = idAgepgt;
}

public int getIdOcorr() {
return idOcorr;
}

public boolean isIdOcorrNull() {
return idOcorrNull;
}

public void setIdOcorr(Integer idOcorr) {
if (idOcorr == null) {
idOcorrNull = true;
this.idOcorr = 0;
} else { 
idOcorrNull = false;
this.idOcorr = idOcorr;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public String getNomeprog() {
return nomeprog;
}

public void setNomeprog(String nomeprog) {
this.nomeprog = nomeprog;
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getCampanha() {
return campanha;
}

public void setCampanha(String campanha) {
this.campanha = campanha;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdAgepgt() {
return idAgepgt;
}

public boolean isIdAgepgtNull() {
return idAgepgtNull;
}

public void setIdAgepgt(Integer idAgepgt) {
if (idAgepgt == null) {
idAgepgtNull = true;
this.idAgepgt = 0;
} else { 
idAgepgtNull = false;
this.idAgepgt = idAgepgt;
}
}

}

