package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabNddNfe {
@Coluna(nome="ndd_nfe.ide_serie", tipo="int")
private int ideSerie;
private boolean ideSerieNull;
@Coluna(nome="ndd_nfe.ide_nnf", tipo="int")
private int ideNnf;
private boolean ideNnfNull;
@Coluna(nome="ndd_nfe.ide_demi", tipo="FglDateTimeYS")
private FglDateTimeYS ideDemi;
@Coluna(nome="ndd_nfe.emit_cnpj", tipo="String")
private String emitCnpj;
@Coluna(nome="ndd_nfe.dest_cnpj", tipo="String")
private String destCnpj;
@Coluna(nome="ndd_nfe.ide_id", tipo="String")
private String ideId;
@Coluna(nome="ndd_nfe.statusnfe", tipo="int")
private int statusnfe;
private boolean statusnfeNull;
@Coluna(nome="ndd_nfe.xml_nfe", tipo="String")
private String xmlNfe;
@Coluna(nome="ndd_nfe.docsequence", tipo="int")
private int docsequence;
private boolean docsequenceNull;

public TabNddNfe() {
initialize();
}

public void initialize() {
setIdeSerie(null);
setIdeNnf(null);
setIdeDemi(null);
setEmitCnpj(null);
setDestCnpj(null);
setIdeId(null);
setStatusnfe(null);
setXmlNfe(null);
setDocsequence(null);
}

public TabNddNfe(int ideSerie, int ideNnf, FglDateTimeYS ideDemi, String emitCnpj, String destCnpj, String ideId, int statusnfe, String xmlNfe, int docsequence) {
this.ideSerie = ideSerie;
this.ideNnf = ideNnf;
this.ideDemi = ideDemi;
this.emitCnpj = emitCnpj;
this.destCnpj = destCnpj;
this.ideId = ideId;
this.statusnfe = statusnfe;
this.xmlNfe = xmlNfe;
this.docsequence = docsequence;
}

public int getIdeSerie() {
return ideSerie;
}

public boolean isIdeSerieNull() {
return ideSerieNull;
}

public void setIdeSerie(Integer ideSerie) {
if (ideSerie == null) {
ideSerieNull = true;
this.ideSerie = 0;
} else { 
ideSerieNull = false;
this.ideSerie = ideSerie;
}
}

public int getIdeNnf() {
return ideNnf;
}

public boolean isIdeNnfNull() {
return ideNnfNull;
}

public void setIdeNnf(Integer ideNnf) {
if (ideNnf == null) {
ideNnfNull = true;
this.ideNnf = 0;
} else { 
ideNnfNull = false;
this.ideNnf = ideNnf;
}
}

public FglDateTimeYS getIdeDemi() {
return ideDemi;
}

public void setIdeDemi(FglDateTimeYS ideDemi) {
this.ideDemi = ideDemi;
}

public String getEmitCnpj() {
return emitCnpj;
}

public void setEmitCnpj(String emitCnpj) {
this.emitCnpj = emitCnpj;
}

public String getDestCnpj() {
return destCnpj;
}

public void setDestCnpj(String destCnpj) {
this.destCnpj = destCnpj;
}

public String getIdeId() {
return ideId;
}

public void setIdeId(String ideId) {
this.ideId = ideId;
}

public int getStatusnfe() {
return statusnfe;
}

public boolean isStatusnfeNull() {
return statusnfeNull;
}

public void setStatusnfe(Integer statusnfe) {
if (statusnfe == null) {
statusnfeNull = true;
this.statusnfe = 0;
} else { 
statusnfeNull = false;
this.statusnfe = statusnfe;
}
}

public String getXmlNfe() {
return xmlNfe;
}

public void setXmlNfe(String xmlNfe) {
this.xmlNfe = xmlNfe;
}

public int getDocsequence() {
return docsequence;
}

public boolean isDocsequenceNull() {
return docsequenceNull;
}

public void setDocsequence(Integer docsequence) {
if (docsequence == null) {
docsequenceNull = true;
this.docsequence = 0;
} else { 
docsequenceNull = false;
this.docsequence = docsequence;
}
}

}

