package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabNfeCfempresa {
@Coluna(nome="nfe_cfempresa.cnpj", tipo="long")
private long cnpj;
private boolean cnpjNull;
@Coluna(nome="nfe_cfempresa.razaosocial", tipo="String")
private String razaosocial;
@Coluna(nome="nfe_cfempresa.tipointegracao", tipo="int")
private int tipointegracao;
private boolean tipointegracaoNull;
@Coluna(nome="nfe_cfempresa.usuario", tipo="String")
private String usuario;
@Coluna(nome="nfe_cfempresa.senha", tipo="String")
private String senha;
@Coluna(nome="nfe_cfempresa.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="nfe_cfempresa.logotipo", tipo="String")
private String logotipo;
@Coluna(nome="nfe_cfempresa.marcadagua", tipo="String")
private String marcadagua;

public TabNfeCfempresa() {
initialize();
}

public void initialize() {
setCnpj(null);
setRazaosocial(null);
setTipointegracao(null);
setUsuario(null);
setSenha(null);
setOperacao(null);
setLogotipo(null);
setMarcadagua(null);
}

public TabNfeCfempresa(long cnpj, String razaosocial, int tipointegracao, String usuario, String senha, int operacao, String logotipo, String marcadagua) {
this.cnpj = cnpj;
this.razaosocial = razaosocial;
this.tipointegracao = tipointegracao;
this.usuario = usuario;
this.senha = senha;
this.operacao = operacao;
this.logotipo = logotipo;
this.marcadagua = marcadagua;
}

public long getCnpj() {
return cnpj;
}

public boolean isCnpjNull() {
return cnpjNull;
}

public void setCnpj(int cnpj) {
setCnpj(new Long(cnpj));
}

public void setCnpj(Long cnpj) {
if (cnpj == null) {
cnpjNull = true;
this.cnpj = 0l;
} else { 
cnpjNull = false;
this.cnpj = cnpj;
}
}

public String getRazaosocial() {
return razaosocial;
}

public void setRazaosocial(String razaosocial) {
this.razaosocial = razaosocial;
}

public int getTipointegracao() {
return tipointegracao;
}

public boolean isTipointegracaoNull() {
return tipointegracaoNull;
}

public void setTipointegracao(Integer tipointegracao) {
if (tipointegracao == null) {
tipointegracaoNull = true;
this.tipointegracao = 0;
} else { 
tipointegracaoNull = false;
this.tipointegracao = tipointegracao;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getLogotipo() {
return logotipo;
}

public void setLogotipo(String logotipo) {
this.logotipo = logotipo;
}

public String getMarcadagua() {
return marcadagua;
}

public void setMarcadagua(String marcadagua) {
this.marcadagua = marcadagua;
}

}

