package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabNfeDmsmensagem {
@Coluna(nome="nfe_dmsmensagem.cnpj", tipo="long")
private long cnpj;
private boolean cnpjNull;
@Coluna(nome="nfe_dmsmensagem.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="nfe_dmsmensagem.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="nfe_dmsmensagem.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="nfe_dmsmensagem.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="nfe_dmsmensagem.dhenviodms", tipo="FglDateTimeYS")
private FglDateTimeYS dhenviodms;
@Coluna(nome="nfe_dmsmensagem.chnfe", tipo="String")
private String chnfe;
@Coluna(nome="nfe_dmsmensagem.dhrecbto", tipo="FglDateTimeYS")
private FglDateTimeYS dhrecbto;
@Coluna(nome="nfe_dmsmensagem.chdpec", tipo="String")
private String chdpec;
@Coluna(nome="nfe_dmsmensagem.dhregdpec", tipo="FglDateTimeYS")
private FglDateTimeYS dhregdpec;
@Coluna(nome="nfe_dmsmensagem.nregdpec", tipo="String")
private String nregdpec;
@Coluna(nome="nfe_dmsmensagem.nprot", tipo="String")
private String nprot;
@Coluna(nome="nfe_dmsmensagem.cstat", tipo="int")
private int cstat;
private boolean cstatNull;
@Coluna(nome="nfe_dmsmensagem.xmotivo", tipo="String")
private String xmotivo;
@Coluna(nome="nfe_dmsmensagem.digestvalue", tipo="String")
private String digestvalue;
@Coluna(nome="nfe_dmsmensagem.cuf", tipo="int")
private int cuf;
private boolean cufNull;
@Coluna(nome="nfe_dmsmensagem.xmldistribuicao", tipo="String")
private String xmldistribuicao;
@Coluna(nome="nfe_dmsmensagem.nomeservico", tipo="String")
private String nomeservico;
@Coluna(nome="nfe_dmsmensagem.andamento", tipo="String")
private String andamento;
@Coluna(nome="nfe_dmsmensagem.dhretornonfd", tipo="FglDateTimeYS")
private FglDateTimeYS dhretornonfd;
@Coluna(nome="nfe_dmsmensagem.nroconsulta", tipo="int")
private int nroconsulta;
private boolean nroconsultaNull;

public TabNfeDmsmensagem() {
initialize();
}

public void initialize() {
setCnpj(null);
setIdNfcapa(null);
setTipo(null);
setMensagem(null);
setStatus(null);
setDhenviodms(null);
setChnfe(null);
setDhrecbto(null);
setChdpec(null);
setDhregdpec(null);
setNregdpec(null);
setNprot(null);
setCstat(null);
setXmotivo(null);
setDigestvalue(null);
setCuf(null);
setXmldistribuicao(null);
setNomeservico(null);
setAndamento(null);
setDhretornonfd(null);
setNroconsulta(null);
}

public TabNfeDmsmensagem(long cnpj, int idNfcapa, int tipo, String mensagem, int status, FglDateTimeYS dhenviodms, String chnfe, FglDateTimeYS dhrecbto, String chdpec, FglDateTimeYS dhregdpec, String nregdpec, String nprot, int cstat, String xmotivo, String digestvalue, int cuf, String xmldistribuicao, String nomeservico, String andamento, FglDateTimeYS dhretornonfd, int nroconsulta) {
this.cnpj = cnpj;
this.idNfcapa = idNfcapa;
this.tipo = tipo;
this.mensagem = mensagem;
this.status = status;
this.dhenviodms = dhenviodms;
this.chnfe = chnfe;
this.dhrecbto = dhrecbto;
this.chdpec = chdpec;
this.dhregdpec = dhregdpec;
this.nregdpec = nregdpec;
this.nprot = nprot;
this.cstat = cstat;
this.xmotivo = xmotivo;
this.digestvalue = digestvalue;
this.cuf = cuf;
this.xmldistribuicao = xmldistribuicao;
this.nomeservico = nomeservico;
this.andamento = andamento;
this.dhretornonfd = dhretornonfd;
this.nroconsulta = nroconsulta;
}

public long getCnpj() {
return cnpj;
}

public boolean isCnpjNull() {
return cnpjNull;
}

public void setCnpj(int cnpj) {
setCnpj(new Long(cnpj));
}

public void setCnpj(Long cnpj) {
if (cnpj == null) {
cnpjNull = true;
this.cnpj = 0l;
} else { 
cnpjNull = false;
this.cnpj = cnpj;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public FglDateTimeYS getDhenviodms() {
return dhenviodms;
}

public void setDhenviodms(FglDateTimeYS dhenviodms) {
this.dhenviodms = dhenviodms;
}

public String getChnfe() {
return chnfe;
}

public void setChnfe(String chnfe) {
this.chnfe = chnfe;
}

public FglDateTimeYS getDhrecbto() {
return dhrecbto;
}

public void setDhrecbto(FglDateTimeYS dhrecbto) {
this.dhrecbto = dhrecbto;
}

public String getChdpec() {
return chdpec;
}

public void setChdpec(String chdpec) {
this.chdpec = chdpec;
}

public FglDateTimeYS getDhregdpec() {
return dhregdpec;
}

public void setDhregdpec(FglDateTimeYS dhregdpec) {
this.dhregdpec = dhregdpec;
}

public String getNregdpec() {
return nregdpec;
}

public void setNregdpec(String nregdpec) {
this.nregdpec = nregdpec;
}

public String getNprot() {
return nprot;
}

public void setNprot(String nprot) {
this.nprot = nprot;
}

public int getCstat() {
return cstat;
}

public boolean isCstatNull() {
return cstatNull;
}

public void setCstat(Integer cstat) {
if (cstat == null) {
cstatNull = true;
this.cstat = 0;
} else { 
cstatNull = false;
this.cstat = cstat;
}
}

public String getXmotivo() {
return xmotivo;
}

public void setXmotivo(String xmotivo) {
this.xmotivo = xmotivo;
}

public String getDigestvalue() {
return digestvalue;
}

public void setDigestvalue(String digestvalue) {
this.digestvalue = digestvalue;
}

public int getCuf() {
return cuf;
}

public boolean isCufNull() {
return cufNull;
}

public void setCuf(Integer cuf) {
if (cuf == null) {
cufNull = true;
this.cuf = 0;
} else { 
cufNull = false;
this.cuf = cuf;
}
}

public String getXmldistribuicao() {
return xmldistribuicao;
}

public void setXmldistribuicao(String xmldistribuicao) {
this.xmldistribuicao = xmldistribuicao;
}

public String getNomeservico() {
return nomeservico;
}

public void setNomeservico(String nomeservico) {
this.nomeservico = nomeservico;
}

public String getAndamento() {
return andamento;
}

public void setAndamento(String andamento) {
this.andamento = andamento;
}

public FglDateTimeYS getDhretornonfd() {
return dhretornonfd;
}

public void setDhretornonfd(FglDateTimeYS dhretornonfd) {
this.dhretornonfd = dhretornonfd;
}

public int getNroconsulta() {
return nroconsulta;
}

public boolean isNroconsultaNull() {
return nroconsultaNull;
}

public void setNroconsulta(Integer nroconsulta) {
if (nroconsulta == null) {
nroconsultaNull = true;
this.nroconsulta = 0;
} else { 
nroconsultaNull = false;
this.nroconsulta = nroconsulta;
}
}

}

