package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabNfestatus {
@Coluna(nome="nfestatus.chave_nfe", tipo="String")
private String chaveNfe;
@Coluna(nome="nfestatus.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="nfestatus.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="nfestatus.usuario", tipo="String")
private String usuario;
@Coluna(nome="nfestatus.id_status", tipo="String")
private String idStatus;
@Coluna(nome="nfestatus.ambiente", tipo="int")
private int ambiente;
private boolean ambienteNull;
@Coluna(nome="nfestatus.versao", tipo="String")
private String versao;
@Coluna(nome="nfestatus.data_hora", tipo="FglDateTimeYS")
private FglDateTimeYS dataHora;
@Coluna(nome="nfestatus.protocolo", tipo="String")
private String protocolo;
@Coluna(nome="nfestatus.digest_value", tipo="String")
private String digestValue;
@Coluna(nome="nfestatus.codigo_status", tipo="int")
private int codigoStatus;
private boolean codigoStatusNull;
@Coluna(nome="nfestatus.descr_status", tipo="String")
private String descrStatus;
@Coluna(nome="nfestatus.tipo_emissao", tipo="int")
private int tipoEmissao;
private boolean tipoEmissaoNull;
@Coluna(nome="nfestatus.tipo_impressao", tipo="int")
private int tipoImpressao;
private boolean tipoImpressaoNull;
@Coluna(nome="nfestatus.codigo_uf", tipo="int")
private int codigoUf;
private boolean codigoUfNull;
@Coluna(nome="nfestatus.ano", tipo="int")
private int ano;
private boolean anoNull;
@Coluna(nome="nfestatus.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="nfestatus.modelo", tipo="int")
private int modelo;
private boolean modeloNull;
@Coluna(nome="nfestatus.serie", tipo="String")
private String serie;
@Coluna(nome="nfestatus.nro_nfe_inicial", tipo="int")
private int nroNfeInicial;
private boolean nroNfeInicialNull;
@Coluna(nome="nfestatus.nro_nfe_final", tipo="int")
private int nroNfeFinal;
private boolean nroNfeFinalNull;
@Coluna(nome="nfestatus.chave_nfe_alt", tipo="String")
private String chaveNfeAlt;
@Coluna(nome="nfestatus.dhregdpec", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhregdpec;
@Coluna(nome="nfestatus.nregdpec", tipo="String")
private String nregdpec;

public TabNfestatus() {
initialize();
}

public void initialize() {
setChaveNfe(null);
setSequencia(null);
setIdNfcapa(null);
setUsuario(null);
setIdStatus(null);
setAmbiente(null);
setVersao(null);
setDataHora(null);
setProtocolo(null);
setDigestValue(null);
setCodigoStatus(null);
setDescrStatus(null);
setTipoEmissao(null);
setTipoImpressao(null);
setCodigoUf(null);
setAno(null);
setCnpj(null);
setModelo(null);
setSerie(null);
setNroNfeInicial(null);
setNroNfeFinal(null);
setChaveNfeAlt(null);
setDhregdpec(null);
setNregdpec(null);
}

public TabNfestatus(String chaveNfe, int sequencia, int idNfcapa, String usuario, String idStatus, int ambiente, String versao, FglDateTimeYS dataHora, String protocolo, String digestValue, int codigoStatus, String descrStatus, int tipoEmissao, int tipoImpressao, int codigoUf, int ano, String cnpj, int modelo, String serie, int nroNfeInicial, int nroNfeFinal, String chaveNfeAlt, FglDateTimeYMin dhregdpec, String nregdpec) {
this.chaveNfe = chaveNfe;
this.sequencia = sequencia;
this.idNfcapa = idNfcapa;
this.usuario = usuario;
this.idStatus = idStatus;
this.ambiente = ambiente;
this.versao = versao;
this.dataHora = dataHora;
this.protocolo = protocolo;
this.digestValue = digestValue;
this.codigoStatus = codigoStatus;
this.descrStatus = descrStatus;
this.tipoEmissao = tipoEmissao;
this.tipoImpressao = tipoImpressao;
this.codigoUf = codigoUf;
this.ano = ano;
this.cnpj = cnpj;
this.modelo = modelo;
this.serie = serie;
this.nroNfeInicial = nroNfeInicial;
this.nroNfeFinal = nroNfeFinal;
this.chaveNfeAlt = chaveNfeAlt;
this.dhregdpec = dhregdpec;
this.nregdpec = nregdpec;
}

public String getChaveNfe() {
return chaveNfe;
}

public void setChaveNfe(String chaveNfe) {
this.chaveNfe = chaveNfe;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getIdStatus() {
return idStatus;
}

public void setIdStatus(String idStatus) {
this.idStatus = idStatus;
}

public int getAmbiente() {
return ambiente;
}

public boolean isAmbienteNull() {
return ambienteNull;
}

public void setAmbiente(Integer ambiente) {
if (ambiente == null) {
ambienteNull = true;
this.ambiente = 0;
} else { 
ambienteNull = false;
this.ambiente = ambiente;
}
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public FglDateTimeYS getDataHora() {
return dataHora;
}

public void setDataHora(FglDateTimeYS dataHora) {
this.dataHora = dataHora;
}

public String getProtocolo() {
return protocolo;
}

public void setProtocolo(String protocolo) {
this.protocolo = protocolo;
}

public String getDigestValue() {
return digestValue;
}

public void setDigestValue(String digestValue) {
this.digestValue = digestValue;
}

public int getCodigoStatus() {
return codigoStatus;
}

public boolean isCodigoStatusNull() {
return codigoStatusNull;
}

public void setCodigoStatus(Integer codigoStatus) {
if (codigoStatus == null) {
codigoStatusNull = true;
this.codigoStatus = 0;
} else { 
codigoStatusNull = false;
this.codigoStatus = codigoStatus;
}
}

public String getDescrStatus() {
return descrStatus;
}

public void setDescrStatus(String descrStatus) {
this.descrStatus = descrStatus;
}

public int getTipoEmissao() {
return tipoEmissao;
}

public boolean isTipoEmissaoNull() {
return tipoEmissaoNull;
}

public void setTipoEmissao(Integer tipoEmissao) {
if (tipoEmissao == null) {
tipoEmissaoNull = true;
this.tipoEmissao = 0;
} else { 
tipoEmissaoNull = false;
this.tipoEmissao = tipoEmissao;
}
}

public int getTipoImpressao() {
return tipoImpressao;
}

public boolean isTipoImpressaoNull() {
return tipoImpressaoNull;
}

public void setTipoImpressao(Integer tipoImpressao) {
if (tipoImpressao == null) {
tipoImpressaoNull = true;
this.tipoImpressao = 0;
} else { 
tipoImpressaoNull = false;
this.tipoImpressao = tipoImpressao;
}
}

public int getCodigoUf() {
return codigoUf;
}

public boolean isCodigoUfNull() {
return codigoUfNull;
}

public void setCodigoUf(Integer codigoUf) {
if (codigoUf == null) {
codigoUfNull = true;
this.codigoUf = 0;
} else { 
codigoUfNull = false;
this.codigoUf = codigoUf;
}
}

public int getAno() {
return ano;
}

public boolean isAnoNull() {
return anoNull;
}

public void setAno(Integer ano) {
if (ano == null) {
anoNull = true;
this.ano = 0;
} else { 
anoNull = false;
this.ano = ano;
}
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public int getModelo() {
return modelo;
}

public boolean isModeloNull() {
return modeloNull;
}

public void setModelo(Integer modelo) {
if (modelo == null) {
modeloNull = true;
this.modelo = 0;
} else { 
modeloNull = false;
this.modelo = modelo;
}
}

public String getSerie() {
return serie;
}

public void setSerie(String serie) {
this.serie = serie;
}

public int getNroNfeInicial() {
return nroNfeInicial;
}

public boolean isNroNfeInicialNull() {
return nroNfeInicialNull;
}

public void setNroNfeInicial(Integer nroNfeInicial) {
if (nroNfeInicial == null) {
nroNfeInicialNull = true;
this.nroNfeInicial = 0;
} else { 
nroNfeInicialNull = false;
this.nroNfeInicial = nroNfeInicial;
}
}

public int getNroNfeFinal() {
return nroNfeFinal;
}

public boolean isNroNfeFinalNull() {
return nroNfeFinalNull;
}

public void setNroNfeFinal(Integer nroNfeFinal) {
if (nroNfeFinal == null) {
nroNfeFinalNull = true;
this.nroNfeFinal = 0;
} else { 
nroNfeFinalNull = false;
this.nroNfeFinal = nroNfeFinal;
}
}

public String getChaveNfeAlt() {
return chaveNfeAlt;
}

public void setChaveNfeAlt(String chaveNfeAlt) {
this.chaveNfeAlt = chaveNfeAlt;
}

public FglDateTimeYMin getDhregdpec() {
return dhregdpec;
}

public void setDhregdpec(FglDateTimeYMin dhregdpec) {
this.dhregdpec = dhregdpec;
}

public String getNregdpec() {
return nregdpec;
}

public void setNregdpec(String nregdpec) {
this.nregdpec = nregdpec;
}

}

