package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabNhgarcap {
@Coluna(nome="nhgarcap.id_garcap", tipo="int")
private int idGarcap;
private boolean idGarcapNull;
@Coluna(nome="nhgarcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="nhgarcap.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="nhgarcap.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="nhgarcap.linhaprod", tipo="int")
private int linhaprod;
private boolean linhaprodNull;
@Coluna(nome="nhgarcap.dtsg", tipo="FglDate")
private FglDate dtsg;
@Coluna(nome="nhgarcap.dtenvio", tipo="FglDate")
private FglDate dtenvio;
@Coluna(nome="nhgarcap.dtretorno", tipo="FglDate")
private FglDate dtretorno;
@Coluna(nome="nhgarcap.status", tipo="String")
private String status;
@Coluna(nome="nhgarcap.hrstrab", tipo="int")
private int hrstrab;
private boolean hrstrabNull;

public TabNhgarcap() {
initialize();
}

public void initialize() {
setIdGarcap(null);
setFilial(null);
setNrosg(null);
setIdOscapa(null);
setLinhaprod(null);
setDtsg(null);
setDtenvio(null);
setDtretorno(null);
setStatus(null);
setHrstrab(null);
}

public TabNhgarcap(int idGarcap, int filial, int nrosg, int idOscapa, int linhaprod, FglDate dtsg, FglDate dtenvio, FglDate dtretorno, String status, int hrstrab) {
this.idGarcap = idGarcap;
this.filial = filial;
this.nrosg = nrosg;
this.idOscapa = idOscapa;
this.linhaprod = linhaprod;
this.dtsg = dtsg;
this.dtenvio = dtenvio;
this.dtretorno = dtretorno;
this.status = status;
this.hrstrab = hrstrab;
}

public int getIdGarcap() {
return idGarcap;
}

public boolean isIdGarcapNull() {
return idGarcapNull;
}

public void setIdGarcap(Integer idGarcap) {
if (idGarcap == null) {
idGarcapNull = true;
this.idGarcap = 0;
} else { 
idGarcapNull = false;
this.idGarcap = idGarcap;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getLinhaprod() {
return linhaprod;
}

public boolean isLinhaprodNull() {
return linhaprodNull;
}

public void setLinhaprod(Integer linhaprod) {
if (linhaprod == null) {
linhaprodNull = true;
this.linhaprod = 0;
} else { 
linhaprodNull = false;
this.linhaprod = linhaprod;
}
}

public FglDate getDtsg() {
return dtsg;
}

public void setDtsg(FglDate dtsg) {
this.dtsg = dtsg;
}

public FglDate getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDate dtenvio) {
this.dtenvio = dtenvio;
}

public FglDate getDtretorno() {
return dtretorno;
}

public void setDtretorno(FglDate dtretorno) {
this.dtretorno = dtretorno;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getHrstrab() {
return hrstrab;
}

public boolean isHrstrabNull() {
return hrstrabNull;
}

public void setHrstrab(Integer hrstrab) {
if (hrstrab == null) {
hrstrabNull = true;
this.hrstrab = 0;
} else { 
hrstrabNull = false;
this.hrstrab = hrstrab;
}
}

}

