package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabNhgarser {
@Coluna(nome="nhgarser.id_garcap", tipo="int")
private int idGarcap;
private boolean idGarcapNull;
@Coluna(nome="nhgarser.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="nhgarser.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="nhgarser.hrreclam", tipo="double")
private double hrreclam;
private boolean hrreclamNull;
@Coluna(nome="nhgarser.hraceita", tipo="double")
private double hraceita;
private boolean hraceitaNull;
@Coluna(nome="nhgarser.percentual", tipo="double")
private double percentual;
private boolean percentualNull;
@Coluna(nome="nhgarser.codrazao", tipo="String")
private String codrazao;

public TabNhgarser() {
initialize();
}

public void initialize() {
setIdGarcap(null);
setNroitem(null);
setIdServico(null);
setHrreclam(null);
setHraceita(null);
setPercentual(null);
setCodrazao(null);
}

public TabNhgarser(int idGarcap, int nroitem, int idServico, double hrreclam, double hraceita, double percentual, String codrazao) {
this.idGarcap = idGarcap;
this.nroitem = nroitem;
this.idServico = idServico;
this.hrreclam = hrreclam;
this.hraceita = hraceita;
this.percentual = percentual;
this.codrazao = codrazao;
}

public int getIdGarcap() {
return idGarcap;
}

public boolean isIdGarcapNull() {
return idGarcapNull;
}

public void setIdGarcap(Integer idGarcap) {
if (idGarcap == null) {
idGarcapNull = true;
this.idGarcap = 0;
} else { 
idGarcapNull = false;
this.idGarcap = idGarcap;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getHrreclam() {
return hrreclam;
}

public boolean isHrreclamNull() {
return hrreclamNull;
}

public void setHrreclam(int hrreclam) {
setHrreclam(new Double(hrreclam));
}

public void setHrreclam(long hrreclam) {
setHrreclam(new Double(hrreclam));
}

public void setHrreclam(Double hrreclam) {
if (hrreclam == null) {
hrreclamNull = true;
this.hrreclam = 0.;
} else { 
hrreclamNull = false;
this.hrreclam = FglDouble.round(hrreclam, 2);
}
}

public double getHraceita() {
return hraceita;
}

public boolean isHraceitaNull() {
return hraceitaNull;
}

public void setHraceita(int hraceita) {
setHraceita(new Double(hraceita));
}

public void setHraceita(long hraceita) {
setHraceita(new Double(hraceita));
}

public void setHraceita(Double hraceita) {
if (hraceita == null) {
hraceitaNull = true;
this.hraceita = 0.;
} else { 
hraceitaNull = false;
this.hraceita = FglDouble.round(hraceita, 2);
}
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

public String getCodrazao() {
return codrazao;
}

public void setCodrazao(String codrazao) {
this.codrazao = codrazao;
}

}

