package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabNisEnos {
@Coluna(nome="nis_enos.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="nis_enos.revenda", tipo="int")
private int revenda;
private boolean revendaNull;
@Coluna(nome="nis_enos.nro_os", tipo="int")
private int nroOs;
private boolean nroOsNull;
@Coluna(nome="nis_enos.filialcod", tipo="String")
private String filialcod;
@Coluna(nome="nis_enos.ordgernroos", tipo="int")
private int ordgernroos;
private boolean ordgernroosNull;
@Coluna(nome="nis_enos.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="nis_enos.tipo_os", tipo="String")
private String tipoOs;
@Coluna(nome="nis_enos.dta_envio", tipo="FglDate")
private FglDate dtaEnvio;
@Coluna(nome="nis_enos.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="nis_enos.descricao", tipo="String")
private String descricao;
@Coluna(nome="nis_enos.hra_envio", tipo="String")
private String hraEnvio;
@Coluna(nome="nis_enos.tipo_os_ant", tipo="String")
private String tipoOsAnt;

public TabNisEnos() {
initialize();
}

public void initialize() {
setEmpresa(null);
setRevenda(null);
setNroOs(null);
setFilialcod(null);
setOrdgernroos(null);
setIdOscapa(null);
setTipoOs(null);
setDtaEnvio(null);
setCodigo(null);
setDescricao(null);
setHraEnvio(null);
setTipoOsAnt(null);
}

public TabNisEnos(int empresa, int revenda, int nroOs, String filialcod, int ordgernroos, int idOscapa, String tipoOs, FglDate dtaEnvio, int codigo, String descricao, String hraEnvio, String tipoOsAnt) {
this.empresa = empresa;
this.revenda = revenda;
this.nroOs = nroOs;
this.filialcod = filialcod;
this.ordgernroos = ordgernroos;
this.idOscapa = idOscapa;
this.tipoOs = tipoOs;
this.dtaEnvio = dtaEnvio;
this.codigo = codigo;
this.descricao = descricao;
this.hraEnvio = hraEnvio;
this.tipoOsAnt = tipoOsAnt;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(Integer revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public int getNroOs() {
return nroOs;
}

public boolean isNroOsNull() {
return nroOsNull;
}

public void setNroOs(Integer nroOs) {
if (nroOs == null) {
nroOsNull = true;
this.nroOs = 0;
} else { 
nroOsNull = false;
this.nroOs = nroOs;
}
}

public String getFilialcod() {
return filialcod;
}

public void setFilialcod(String filialcod) {
this.filialcod = filialcod;
}

public int getOrdgernroos() {
return ordgernroos;
}

public boolean isOrdgernroosNull() {
return ordgernroosNull;
}

public void setOrdgernroos(Integer ordgernroos) {
if (ordgernroos == null) {
ordgernroosNull = true;
this.ordgernroos = 0;
} else { 
ordgernroosNull = false;
this.ordgernroos = ordgernroos;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getTipoOs() {
return tipoOs;
}

public void setTipoOs(String tipoOs) {
this.tipoOs = tipoOs;
}

public FglDate getDtaEnvio() {
return dtaEnvio;
}

public void setDtaEnvio(FglDate dtaEnvio) {
this.dtaEnvio = dtaEnvio;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getHraEnvio() {
return hraEnvio;
}

public void setHraEnvio(String hraEnvio) {
this.hraEnvio = hraEnvio;
}

public String getTipoOsAnt() {
return tipoOsAnt;
}

public void setTipoOsAnt(String tipoOsAnt) {
this.tipoOsAnt = tipoOsAnt;
}

}

