package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabNsdfmovi {
@Coluna(nome="nsdfmovi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="nsdfmovi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="nsdfmovi.id_dfguia", tipo="int")
private int idDfguia;
private boolean idDfguiaNull;
@Coluna(nome="nsdfmovi.chassis", tipo="String")
private String chassis;
@Coluna(nome="nsdfmovi.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabNsdfmovi() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setIdDfguia(null);
setChassis(null);
setValor(null);
}

public TabNsdfmovi(int filial, FglDateTimeYM anomes, int idDfguia, String chassis, double valor) {
this.filial = filial;
this.anomes = anomes;
this.idDfguia = idDfguia;
this.chassis = chassis;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdDfguia() {
return idDfguia;
}

public boolean isIdDfguiaNull() {
return idDfguiaNull;
}

public void setIdDfguia(Integer idDfguia) {
if (idDfguia == null) {
idDfguiaNull = true;
this.idDfguia = 0;
} else { 
idDfguiaNull = false;
this.idDfguia = idDfguia;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

