package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabOfic9901 {
@Coluna(nome="ofic9901.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ofic9901.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="ofic9901.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="ofic9901.hrabertura", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrabertura;
@Coluna(nome="ofic9901.dtfechament", tipo="FglDate")
private FglDate dtfechament;
@Coluna(nome="ofic9901.hrfechament", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfechament;
@Coluna(nome="ofic9901.cliente", tipo="String")
private String cliente;
@Coluna(nome="ofic9901.emite", tipo="String")
private String emite;
@Coluna(nome="ofic9901.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="ofic9901.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="ofic9901.nroorcament", tipo="int")
private int nroorcament;
private boolean nroorcamentNull;
@Coluna(nome="ofic9901.id_setorconsumo", tipo="int")
private int idSetorconsumo;
private boolean idSetorconsumoNull;
@Coluna(nome="ofic9901.transacao", tipo="String")
private String transacao;
@Coluna(nome="ofic9901.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="ofic9901.total", tipo="double")
private double total;
private boolean totalNull;
@Coluna(nome="ofic9901.mensagem", tipo="String")
private String mensagem;

public TabOfic9901() {
initialize();
}

public void initialize() {
setFilial(null);
setOrdemserv(null);
setDtabertura(null);
setHrabertura(null);
setDtfechament(null);
setHrfechament(null);
setCliente(null);
setEmite(null);
setIdOscapa(null);
setIdOrccap(null);
setNroorcament(null);
setIdSetorconsumo(null);
setTransacao(null);
setTpordem(null);
setTotal(null);
setMensagem(null);
}

public TabOfic9901(int filial, int ordemserv, FglDate dtabertura, FglDateTimeHMin hrabertura, FglDate dtfechament, FglDateTimeHMin hrfechament, String cliente, String emite, int idOscapa, int idOrccap, int nroorcament, int idSetorconsumo, String transacao, String tpordem, double total, String mensagem) {
this.filial = filial;
this.ordemserv = ordemserv;
this.dtabertura = dtabertura;
this.hrabertura = hrabertura;
this.dtfechament = dtfechament;
this.hrfechament = hrfechament;
this.cliente = cliente;
this.emite = emite;
this.idOscapa = idOscapa;
this.idOrccap = idOrccap;
this.nroorcament = nroorcament;
this.idSetorconsumo = idSetorconsumo;
this.transacao = transacao;
this.tpordem = tpordem;
this.total = total;
this.mensagem = mensagem;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public FglDateTimeHMin getHrabertura() {
return hrabertura;
}

public void setHrabertura(FglDateTimeHMin hrabertura) {
this.hrabertura = hrabertura;
}

public FglDate getDtfechament() {
return dtfechament;
}

public void setDtfechament(FglDate dtfechament) {
this.dtfechament = dtfechament;
}

public FglDateTimeHMin getHrfechament() {
return hrfechament;
}

public void setHrfechament(FglDateTimeHMin hrfechament) {
this.hrfechament = hrfechament;
}

public String getCliente() {
return cliente;
}

public void setCliente(String cliente) {
this.cliente = cliente;
}

public String getEmite() {
return emite;
}

public void setEmite(String emite) {
this.emite = emite;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getNroorcament() {
return nroorcament;
}

public boolean isNroorcamentNull() {
return nroorcamentNull;
}

public void setNroorcament(Integer nroorcament) {
if (nroorcament == null) {
nroorcamentNull = true;
this.nroorcament = 0;
} else { 
nroorcamentNull = false;
this.nroorcament = nroorcament;
}
}

public int getIdSetorconsumo() {
return idSetorconsumo;
}

public boolean isIdSetorconsumoNull() {
return idSetorconsumoNull;
}

public void setIdSetorconsumo(Integer idSetorconsumo) {
if (idSetorconsumo == null) {
idSetorconsumoNull = true;
this.idSetorconsumo = 0;
} else { 
idSetorconsumoNull = false;
this.idSetorconsumo = idSetorconsumo;
}
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public double getTotal() {
return total;
}

public boolean isTotalNull() {
return totalNull;
}

public void setTotal(int total) {
setTotal(new Double(total));
}

public void setTotal(long total) {
setTotal(new Double(total));
}

public void setTotal(Double total) {
if (total == null) {
totalNull = true;
this.total = 0.;
} else { 
totalNull = false;
this.total = FglDouble.round(total, 2);
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

