package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabOpvLog {
@Coluna(nome="opv_log.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="opv_log.process", tipo="String")
private String process;
@Coluna(nome="opv_log.tip_mvto", tipo="String")
private String tipMvto;
@Coluna(nome="opv_log.codcre", tipo="String")
private String codcre;
@Coluna(nome="opv_log.numbcdlivia", tipo="String")
private String numbcdlivia;
@Coluna(nome="opv_log.id", tipo="int")
private int id;
private boolean idNull;
@Coluna(nome="opv_log.usuario", tipo="String")
private String usuario;
@Coluna(nome="opv_log.mensagem", tipo="String")
private String mensagem;

public TabOpvLog() {
initialize();
}

public void initialize() {
setDtocorrencia(null);
setProcess(null);
setTipMvto(null);
setCodcre(null);
setNumbcdlivia(null);
setId(null);
setUsuario(null);
setMensagem(null);
}

public TabOpvLog(FglDateTimeYS dtocorrencia, String process, String tipMvto, String codcre, String numbcdlivia, int id, String usuario, String mensagem) {
this.dtocorrencia = dtocorrencia;
this.process = process;
this.tipMvto = tipMvto;
this.codcre = codcre;
this.numbcdlivia = numbcdlivia;
this.id = id;
this.usuario = usuario;
this.mensagem = mensagem;
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public String getProcess() {
return process;
}

public void setProcess(String process) {
this.process = process;
}

public String getTipMvto() {
return tipMvto;
}

public void setTipMvto(String tipMvto) {
this.tipMvto = tipMvto;
}

public String getCodcre() {
return codcre;
}

public void setCodcre(String codcre) {
this.codcre = codcre;
}

public String getNumbcdlivia() {
return numbcdlivia;
}

public void setNumbcdlivia(String numbcdlivia) {
this.numbcdlivia = numbcdlivia;
}

public int getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(Integer id) {
if (id == null) {
idNull = true;
this.id = 0;
} else { 
idNull = false;
this.id = id;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

