package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabOrtarefa {
@Coluna(nome="ortarefa.idtarefa", tipo="int")
private int idtarefa;
private boolean idtarefaNull;
@Coluna(nome="ortarefa.dtcriacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtcriacao;
@Coluna(nome="ortarefa.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="ortarefa.situacao", tipo="String")
private String situacao;
@Coluna(nome="ortarefa.chave", tipo="String")
private String chave;
@Coluna(nome="ortarefa.idmensagem", tipo="int")
private int idmensagem;
private boolean idmensagemNull;
@Coluna(nome="ortarefa.txtmensagem", tipo="String")
private String txtmensagem;

public TabOrtarefa() {
initialize();
}

public void initialize() {
setIdtarefa(null);
setDtcriacao(null);
setOperacao(null);
setSituacao(null);
setChave(null);
setIdmensagem(null);
setTxtmensagem(null);
}

public TabOrtarefa(int idtarefa, FglDateTimeYS dtcriacao, int operacao, String situacao, String chave, int idmensagem, String txtmensagem) {
this.idtarefa = idtarefa;
this.dtcriacao = dtcriacao;
this.operacao = operacao;
this.situacao = situacao;
this.chave = chave;
this.idmensagem = idmensagem;
this.txtmensagem = txtmensagem;
}

public int getIdtarefa() {
return idtarefa;
}

public boolean isIdtarefaNull() {
return idtarefaNull;
}

public void setIdtarefa(Integer idtarefa) {
if (idtarefa == null) {
idtarefaNull = true;
this.idtarefa = 0;
} else { 
idtarefaNull = false;
this.idtarefa = idtarefa;
}
}

public FglDateTimeYS getDtcriacao() {
return dtcriacao;
}

public void setDtcriacao(FglDateTimeYS dtcriacao) {
this.dtcriacao = dtcriacao;
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public int getIdmensagem() {
return idmensagem;
}

public boolean isIdmensagemNull() {
return idmensagemNull;
}

public void setIdmensagem(Integer idmensagem) {
if (idmensagem == null) {
idmensagemNull = true;
this.idmensagem = 0;
} else { 
idmensagemNull = false;
this.idmensagem = idmensagem;
}
}

public String getTxtmensagem() {
return txtmensagem;
}

public void setTxtmensagem(String txtmensagem) {
this.txtmensagem = txtmensagem;
}

}

