package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParCont7001 {
@Coluna(nome="par_cont7001.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_cont7001.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_cont7001.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="par_cont7001.conta", tipo="long")
private long conta;
private boolean contaNull;
@Coluna(nome="par_cont7001.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="par_cont7001.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="par_cont7001.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_cont7001.saldoini", tipo="double")
private double saldoini;
private boolean saldoiniNull;
@Coluna(nome="par_cont7001.debitos", tipo="double")
private double debitos;
private boolean debitosNull;
@Coluna(nome="par_cont7001.creditos", tipo="double")
private double creditos;
private boolean creditosNull;
@Coluna(nome="par_cont7001.saldofin", tipo="double")
private double saldofin;
private boolean saldofinNull;

public TabParCont7001() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setAnomes(null);
setConta(null);
setCgccpf(null);
setTppessoa(null);
setSequencia(null);
setSaldoini(null);
setDebitos(null);
setCreditos(null);
setSaldofin(null);
}

public TabParCont7001(String terminal, int filial, FglDateTimeYM anomes, long conta, long cgccpf, int tppessoa, int sequencia, double saldoini, double debitos, double creditos, double saldofin) {
this.terminal = terminal;
this.filial = filial;
this.anomes = anomes;
this.conta = conta;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.sequencia = sequencia;
this.saldoini = saldoini;
this.debitos = debitos;
this.creditos = creditos;
this.saldofin = saldofin;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(int conta) {
setConta(new Long(conta));
}

public void setConta(Long conta) {
if (conta == null) {
contaNull = true;
this.conta = 0l;
} else { 
contaNull = false;
this.conta = conta;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public double getSaldoini() {
return saldoini;
}

public boolean isSaldoiniNull() {
return saldoiniNull;
}

public void setSaldoini(int saldoini) {
setSaldoini(new Double(saldoini));
}

public void setSaldoini(long saldoini) {
setSaldoini(new Double(saldoini));
}

public void setSaldoini(Double saldoini) {
if (saldoini == null) {
saldoiniNull = true;
this.saldoini = 0.;
} else { 
saldoiniNull = false;
this.saldoini = FglDouble.round(saldoini, 2);
}
}

public double getDebitos() {
return debitos;
}

public boolean isDebitosNull() {
return debitosNull;
}

public void setDebitos(int debitos) {
setDebitos(new Double(debitos));
}

public void setDebitos(long debitos) {
setDebitos(new Double(debitos));
}

public void setDebitos(Double debitos) {
if (debitos == null) {
debitosNull = true;
this.debitos = 0.;
} else { 
debitosNull = false;
this.debitos = FglDouble.round(debitos, 2);
}
}

public double getCreditos() {
return creditos;
}

public boolean isCreditosNull() {
return creditosNull;
}

public void setCreditos(int creditos) {
setCreditos(new Double(creditos));
}

public void setCreditos(long creditos) {
setCreditos(new Double(creditos));
}

public void setCreditos(Double creditos) {
if (creditos == null) {
creditosNull = true;
this.creditos = 0.;
} else { 
creditosNull = false;
this.creditos = FglDouble.round(creditos, 2);
}
}

public double getSaldofin() {
return saldofin;
}

public boolean isSaldofinNull() {
return saldofinNull;
}

public void setSaldofin(int saldofin) {
setSaldofin(new Double(saldofin));
}

public void setSaldofin(long saldofin) {
setSaldofin(new Double(saldofin));
}

public void setSaldofin(Double saldofin) {
if (saldofin == null) {
saldofinNull = true;
this.saldofin = 0.;
} else { 
saldofinNull = false;
this.saldofin = FglDouble.round(saldofin, 2);
}
}

}

