package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParInve0100prod {
@Coluna(nome="par_inve0100prod.produto", tipo="String")
private String produto;
@Coluna(nome="par_inve0100prod.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="par_inve0100prod.valorcontabil", tipo="double")
private double valorcontabil;
private boolean valorcontabilNull;

public TabParInve0100prod() {
initialize();
}

public void initialize() {
setProduto(null);
setTributacao(null);
setValorcontabil(null);
}

public TabParInve0100prod(String produto, int tributacao, double valorcontabil) {
this.produto = produto;
this.tributacao = tributacao;
this.valorcontabil = valorcontabil;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public double getValorcontabil() {
return valorcontabil;
}

public boolean isValorcontabilNull() {
return valorcontabilNull;
}

public void setValorcontabil(int valorcontabil) {
setValorcontabil(new Double(valorcontabil));
}

public void setValorcontabil(long valorcontabil) {
setValorcontabil(new Double(valorcontabil));
}

public void setValorcontabil(Double valorcontabil) {
if (valorcontabil == null) {
valorcontabilNull = true;
this.valorcontabil = 0.;
} else { 
valorcontabilNull = false;
this.valorcontabil = FglDouble.round(valorcontabil, 2);
}
}

}

