package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParOfic4900 {
@Coluna(nome="par_ofic4900.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_ofic4900.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_ofic4900.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="par_ofic4900.ofic7900age", tipo="int")
private int ofic7900age;
private boolean ofic7900ageNull;
@Coluna(nome="par_ofic4900.ofic7900cli", tipo="int")
private int ofic7900cli;
private boolean ofic7900cliNull;
@Coluna(nome="par_ofic4900.ofic7900gar", tipo="int")
private int ofic7900gar;
private boolean ofic7900garNull;
@Coluna(nome="par_ofic4900.ofic7900int", tipo="int")
private int ofic7900int;
private boolean ofic7900intNull;
@Coluna(nome="par_ofic4900.ofic8000clipc", tipo="double")
private double ofic8000clipc;
private boolean ofic8000clipcNull;
@Coluna(nome="par_ofic4900.ofic8000garpc", tipo="double")
private double ofic8000garpc;
private boolean ofic8000garpcNull;
@Coluna(nome="par_ofic4900.ofic8000intpc", tipo="double")
private double ofic8000intpc;
private boolean ofic8000intpcNull;
@Coluna(nome="par_ofic4900.ofic8000apldir", tipo="double")
private double ofic8000apldir;
private boolean ofic8000apldirNull;
@Coluna(nome="par_ofic4900.ofic8000devpc", tipo="double")
private double ofic8000devpc;
private boolean ofic8000devpcNull;
@Coluna(nome="par_ofic4900.ofic8000climo", tipo="double")
private double ofic8000climo;
private boolean ofic8000climoNull;
@Coluna(nome="par_ofic4900.ofic8000garmo", tipo="double")
private double ofic8000garmo;
private boolean ofic8000garmoNull;
@Coluna(nome="par_ofic4900.ofic8000intmo", tipo="double")
private double ofic8000intmo;
private boolean ofic8000intmoNull;
@Coluna(nome="par_ofic4900.ofic8000serter", tipo="double")
private double ofic8000serter;
private boolean ofic8000serterNull;
@Coluna(nome="par_ofic4900.ofic8000devmo", tipo="double")
private double ofic8000devmo;
private boolean ofic8000devmoNull;
@Coluna(nome="par_ofic4900.ofic0430txpro", tipo="double")
private double ofic0430txpro;
private boolean ofic0430txproNull;
@Coluna(nome="par_ofic4900.ofic0430txuti", tipo="double")
private double ofic0430txuti;
private boolean ofic0430txutiNull;
@Coluna(nome="par_ofic4900.ofic7700qtdos", tipo="int")
private int ofic7700qtdos;
private boolean ofic7700qtdosNull;
@Coluna(nome="par_ofic4900.regp0005ataca", tipo="double")
private double regp0005ataca;
private boolean regp0005atacaNull;
@Coluna(nome="par_ofic4900.regp0005varej", tipo="double")
private double regp0005varej;
private boolean regp0005varejNull;
@Coluna(nome="par_ofic4900.gerc1510giro", tipo="double")
private double gerc1510giro;
private boolean gerc1510giroNull;
@Coluna(nome="par_ofic4900.gerc1510absor", tipo="double")
private double gerc1510absor;
private boolean gerc1510absorNull;
@Coluna(nome="par_ofic4900.rhfp5195posge", tipo="int")
private int rhfp5195posge;
private boolean rhfp5195posgeNull;
@Coluna(nome="par_ofic4900.rhfp5195poscs", tipo="int")
private int rhfp5195poscs;
private boolean rhfp5195poscsNull;
@Coluna(nome="par_ofic4900.rhfp5195pospr", tipo="int")
private int rhfp5195pospr;
private boolean rhfp5195posprNull;
@Coluna(nome="par_ofic4900.rhfp5195posou", tipo="int")
private int rhfp5195posou;
private boolean rhfp5195posouNull;
@Coluna(nome="par_ofic4900.rhfp5195pecge", tipo="int")
private int rhfp5195pecge;
private boolean rhfp5195pecgeNull;
@Coluna(nome="par_ofic4900.rhfp5195peccs", tipo="int")
private int rhfp5195peccs;
private boolean rhfp5195peccsNull;
@Coluna(nome="par_ofic4900.rhfp5195pecpr", tipo="int")
private int rhfp5195pecpr;
private boolean rhfp5195pecprNull;
@Coluna(nome="par_ofic4900.rhfp5195pecou", tipo="int")
private int rhfp5195pecou;
private boolean rhfp5195pecouNull;

public TabParOfic4900() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setAnomes(null);
setOfic7900age(null);
setOfic7900cli(null);
setOfic7900gar(null);
setOfic7900int(null);
setOfic8000clipc(null);
setOfic8000garpc(null);
setOfic8000intpc(null);
setOfic8000apldir(null);
setOfic8000devpc(null);
setOfic8000climo(null);
setOfic8000garmo(null);
setOfic8000intmo(null);
setOfic8000serter(null);
setOfic8000devmo(null);
setOfic0430txpro(null);
setOfic0430txuti(null);
setOfic7700qtdos(null);
setRegp0005ataca(null);
setRegp0005varej(null);
setGerc1510giro(null);
setGerc1510absor(null);
setRhfp5195posge(null);
setRhfp5195poscs(null);
setRhfp5195pospr(null);
setRhfp5195posou(null);
setRhfp5195pecge(null);
setRhfp5195peccs(null);
setRhfp5195pecpr(null);
setRhfp5195pecou(null);
}

public TabParOfic4900(String terminal, int filial, FglDateTimeYM anomes, int ofic7900age, int ofic7900cli, int ofic7900gar, int ofic7900int, double ofic8000clipc, double ofic8000garpc, double ofic8000intpc, double ofic8000apldir, double ofic8000devpc, double ofic8000climo, double ofic8000garmo, double ofic8000intmo, double ofic8000serter, double ofic8000devmo, double ofic0430txpro, double ofic0430txuti, int ofic7700qtdos, double regp0005ataca, double regp0005varej, double gerc1510giro, double gerc1510absor, int rhfp5195posge, int rhfp5195poscs, int rhfp5195pospr, int rhfp5195posou, int rhfp5195pecge, int rhfp5195peccs, int rhfp5195pecpr, int rhfp5195pecou) {
this.terminal = terminal;
this.filial = filial;
this.anomes = anomes;
this.ofic7900age = ofic7900age;
this.ofic7900cli = ofic7900cli;
this.ofic7900gar = ofic7900gar;
this.ofic7900int = ofic7900int;
this.ofic8000clipc = ofic8000clipc;
this.ofic8000garpc = ofic8000garpc;
this.ofic8000intpc = ofic8000intpc;
this.ofic8000apldir = ofic8000apldir;
this.ofic8000devpc = ofic8000devpc;
this.ofic8000climo = ofic8000climo;
this.ofic8000garmo = ofic8000garmo;
this.ofic8000intmo = ofic8000intmo;
this.ofic8000serter = ofic8000serter;
this.ofic8000devmo = ofic8000devmo;
this.ofic0430txpro = ofic0430txpro;
this.ofic0430txuti = ofic0430txuti;
this.ofic7700qtdos = ofic7700qtdos;
this.regp0005ataca = regp0005ataca;
this.regp0005varej = regp0005varej;
this.gerc1510giro = gerc1510giro;
this.gerc1510absor = gerc1510absor;
this.rhfp5195posge = rhfp5195posge;
this.rhfp5195poscs = rhfp5195poscs;
this.rhfp5195pospr = rhfp5195pospr;
this.rhfp5195posou = rhfp5195posou;
this.rhfp5195pecge = rhfp5195pecge;
this.rhfp5195peccs = rhfp5195peccs;
this.rhfp5195pecpr = rhfp5195pecpr;
this.rhfp5195pecou = rhfp5195pecou;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getOfic7900age() {
return ofic7900age;
}

public boolean isOfic7900ageNull() {
return ofic7900ageNull;
}

public void setOfic7900age(Integer ofic7900age) {
if (ofic7900age == null) {
ofic7900ageNull = true;
this.ofic7900age = 0;
} else { 
ofic7900ageNull = false;
this.ofic7900age = ofic7900age;
}
}

public int getOfic7900cli() {
return ofic7900cli;
}

public boolean isOfic7900cliNull() {
return ofic7900cliNull;
}

public void setOfic7900cli(Integer ofic7900cli) {
if (ofic7900cli == null) {
ofic7900cliNull = true;
this.ofic7900cli = 0;
} else { 
ofic7900cliNull = false;
this.ofic7900cli = ofic7900cli;
}
}

public int getOfic7900gar() {
return ofic7900gar;
}

public boolean isOfic7900garNull() {
return ofic7900garNull;
}

public void setOfic7900gar(Integer ofic7900gar) {
if (ofic7900gar == null) {
ofic7900garNull = true;
this.ofic7900gar = 0;
} else { 
ofic7900garNull = false;
this.ofic7900gar = ofic7900gar;
}
}

public int getOfic7900int() {
return ofic7900int;
}

public boolean isOfic7900intNull() {
return ofic7900intNull;
}

public void setOfic7900int(Integer ofic7900int) {
if (ofic7900int == null) {
ofic7900intNull = true;
this.ofic7900int = 0;
} else { 
ofic7900intNull = false;
this.ofic7900int = ofic7900int;
}
}

public double getOfic8000clipc() {
return ofic8000clipc;
}

public boolean isOfic8000clipcNull() {
return ofic8000clipcNull;
}

public void setOfic8000clipc(int ofic8000clipc) {
setOfic8000clipc(new Double(ofic8000clipc));
}

public void setOfic8000clipc(long ofic8000clipc) {
setOfic8000clipc(new Double(ofic8000clipc));
}

public void setOfic8000clipc(Double ofic8000clipc) {
if (ofic8000clipc == null) {
ofic8000clipcNull = true;
this.ofic8000clipc = 0.;
} else { 
ofic8000clipcNull = false;
this.ofic8000clipc = FglDouble.round(ofic8000clipc, 2);
}
}

public double getOfic8000garpc() {
return ofic8000garpc;
}

public boolean isOfic8000garpcNull() {
return ofic8000garpcNull;
}

public void setOfic8000garpc(int ofic8000garpc) {
setOfic8000garpc(new Double(ofic8000garpc));
}

public void setOfic8000garpc(long ofic8000garpc) {
setOfic8000garpc(new Double(ofic8000garpc));
}

public void setOfic8000garpc(Double ofic8000garpc) {
if (ofic8000garpc == null) {
ofic8000garpcNull = true;
this.ofic8000garpc = 0.;
} else { 
ofic8000garpcNull = false;
this.ofic8000garpc = FglDouble.round(ofic8000garpc, 2);
}
}

public double getOfic8000intpc() {
return ofic8000intpc;
}

public boolean isOfic8000intpcNull() {
return ofic8000intpcNull;
}

public void setOfic8000intpc(int ofic8000intpc) {
setOfic8000intpc(new Double(ofic8000intpc));
}

public void setOfic8000intpc(long ofic8000intpc) {
setOfic8000intpc(new Double(ofic8000intpc));
}

public void setOfic8000intpc(Double ofic8000intpc) {
if (ofic8000intpc == null) {
ofic8000intpcNull = true;
this.ofic8000intpc = 0.;
} else { 
ofic8000intpcNull = false;
this.ofic8000intpc = FglDouble.round(ofic8000intpc, 2);
}
}

public double getOfic8000apldir() {
return ofic8000apldir;
}

public boolean isOfic8000apldirNull() {
return ofic8000apldirNull;
}

public void setOfic8000apldir(int ofic8000apldir) {
setOfic8000apldir(new Double(ofic8000apldir));
}

public void setOfic8000apldir(long ofic8000apldir) {
setOfic8000apldir(new Double(ofic8000apldir));
}

public void setOfic8000apldir(Double ofic8000apldir) {
if (ofic8000apldir == null) {
ofic8000apldirNull = true;
this.ofic8000apldir = 0.;
} else { 
ofic8000apldirNull = false;
this.ofic8000apldir = FglDouble.round(ofic8000apldir, 2);
}
}

public double getOfic8000devpc() {
return ofic8000devpc;
}

public boolean isOfic8000devpcNull() {
return ofic8000devpcNull;
}

public void setOfic8000devpc(int ofic8000devpc) {
setOfic8000devpc(new Double(ofic8000devpc));
}

public void setOfic8000devpc(long ofic8000devpc) {
setOfic8000devpc(new Double(ofic8000devpc));
}

public void setOfic8000devpc(Double ofic8000devpc) {
if (ofic8000devpc == null) {
ofic8000devpcNull = true;
this.ofic8000devpc = 0.;
} else { 
ofic8000devpcNull = false;
this.ofic8000devpc = FglDouble.round(ofic8000devpc, 2);
}
}

public double getOfic8000climo() {
return ofic8000climo;
}

public boolean isOfic8000climoNull() {
return ofic8000climoNull;
}

public void setOfic8000climo(int ofic8000climo) {
setOfic8000climo(new Double(ofic8000climo));
}

public void setOfic8000climo(long ofic8000climo) {
setOfic8000climo(new Double(ofic8000climo));
}

public void setOfic8000climo(Double ofic8000climo) {
if (ofic8000climo == null) {
ofic8000climoNull = true;
this.ofic8000climo = 0.;
} else { 
ofic8000climoNull = false;
this.ofic8000climo = FglDouble.round(ofic8000climo, 2);
}
}

public double getOfic8000garmo() {
return ofic8000garmo;
}

public boolean isOfic8000garmoNull() {
return ofic8000garmoNull;
}

public void setOfic8000garmo(int ofic8000garmo) {
setOfic8000garmo(new Double(ofic8000garmo));
}

public void setOfic8000garmo(long ofic8000garmo) {
setOfic8000garmo(new Double(ofic8000garmo));
}

public void setOfic8000garmo(Double ofic8000garmo) {
if (ofic8000garmo == null) {
ofic8000garmoNull = true;
this.ofic8000garmo = 0.;
} else { 
ofic8000garmoNull = false;
this.ofic8000garmo = FglDouble.round(ofic8000garmo, 2);
}
}

public double getOfic8000intmo() {
return ofic8000intmo;
}

public boolean isOfic8000intmoNull() {
return ofic8000intmoNull;
}

public void setOfic8000intmo(int ofic8000intmo) {
setOfic8000intmo(new Double(ofic8000intmo));
}

public void setOfic8000intmo(long ofic8000intmo) {
setOfic8000intmo(new Double(ofic8000intmo));
}

public void setOfic8000intmo(Double ofic8000intmo) {
if (ofic8000intmo == null) {
ofic8000intmoNull = true;
this.ofic8000intmo = 0.;
} else { 
ofic8000intmoNull = false;
this.ofic8000intmo = FglDouble.round(ofic8000intmo, 2);
}
}

public double getOfic8000serter() {
return ofic8000serter;
}

public boolean isOfic8000serterNull() {
return ofic8000serterNull;
}

public void setOfic8000serter(int ofic8000serter) {
setOfic8000serter(new Double(ofic8000serter));
}

public void setOfic8000serter(long ofic8000serter) {
setOfic8000serter(new Double(ofic8000serter));
}

public void setOfic8000serter(Double ofic8000serter) {
if (ofic8000serter == null) {
ofic8000serterNull = true;
this.ofic8000serter = 0.;
} else { 
ofic8000serterNull = false;
this.ofic8000serter = FglDouble.round(ofic8000serter, 2);
}
}

public double getOfic8000devmo() {
return ofic8000devmo;
}

public boolean isOfic8000devmoNull() {
return ofic8000devmoNull;
}

public void setOfic8000devmo(int ofic8000devmo) {
setOfic8000devmo(new Double(ofic8000devmo));
}

public void setOfic8000devmo(long ofic8000devmo) {
setOfic8000devmo(new Double(ofic8000devmo));
}

public void setOfic8000devmo(Double ofic8000devmo) {
if (ofic8000devmo == null) {
ofic8000devmoNull = true;
this.ofic8000devmo = 0.;
} else { 
ofic8000devmoNull = false;
this.ofic8000devmo = FglDouble.round(ofic8000devmo, 2);
}
}

public double getOfic0430txpro() {
return ofic0430txpro;
}

public boolean isOfic0430txproNull() {
return ofic0430txproNull;
}

public void setOfic0430txpro(int ofic0430txpro) {
setOfic0430txpro(new Double(ofic0430txpro));
}

public void setOfic0430txpro(long ofic0430txpro) {
setOfic0430txpro(new Double(ofic0430txpro));
}

public void setOfic0430txpro(Double ofic0430txpro) {
if (ofic0430txpro == null) {
ofic0430txproNull = true;
this.ofic0430txpro = 0.;
} else { 
ofic0430txproNull = false;
this.ofic0430txpro = FglDouble.round(ofic0430txpro, 2);
}
}

public double getOfic0430txuti() {
return ofic0430txuti;
}

public boolean isOfic0430txutiNull() {
return ofic0430txutiNull;
}

public void setOfic0430txuti(int ofic0430txuti) {
setOfic0430txuti(new Double(ofic0430txuti));
}

public void setOfic0430txuti(long ofic0430txuti) {
setOfic0430txuti(new Double(ofic0430txuti));
}

public void setOfic0430txuti(Double ofic0430txuti) {
if (ofic0430txuti == null) {
ofic0430txutiNull = true;
this.ofic0430txuti = 0.;
} else { 
ofic0430txutiNull = false;
this.ofic0430txuti = FglDouble.round(ofic0430txuti, 2);
}
}

public int getOfic7700qtdos() {
return ofic7700qtdos;
}

public boolean isOfic7700qtdosNull() {
return ofic7700qtdosNull;
}

public void setOfic7700qtdos(Integer ofic7700qtdos) {
if (ofic7700qtdos == null) {
ofic7700qtdosNull = true;
this.ofic7700qtdos = 0;
} else { 
ofic7700qtdosNull = false;
this.ofic7700qtdos = ofic7700qtdos;
}
}

public double getRegp0005ataca() {
return regp0005ataca;
}

public boolean isRegp0005atacaNull() {
return regp0005atacaNull;
}

public void setRegp0005ataca(int regp0005ataca) {
setRegp0005ataca(new Double(regp0005ataca));
}

public void setRegp0005ataca(long regp0005ataca) {
setRegp0005ataca(new Double(regp0005ataca));
}

public void setRegp0005ataca(Double regp0005ataca) {
if (regp0005ataca == null) {
regp0005atacaNull = true;
this.regp0005ataca = 0.;
} else { 
regp0005atacaNull = false;
this.regp0005ataca = FglDouble.round(regp0005ataca, 2);
}
}

public double getRegp0005varej() {
return regp0005varej;
}

public boolean isRegp0005varejNull() {
return regp0005varejNull;
}

public void setRegp0005varej(int regp0005varej) {
setRegp0005varej(new Double(regp0005varej));
}

public void setRegp0005varej(long regp0005varej) {
setRegp0005varej(new Double(regp0005varej));
}

public void setRegp0005varej(Double regp0005varej) {
if (regp0005varej == null) {
regp0005varejNull = true;
this.regp0005varej = 0.;
} else { 
regp0005varejNull = false;
this.regp0005varej = FglDouble.round(regp0005varej, 2);
}
}

public double getGerc1510giro() {
return gerc1510giro;
}

public boolean isGerc1510giroNull() {
return gerc1510giroNull;
}

public void setGerc1510giro(int gerc1510giro) {
setGerc1510giro(new Double(gerc1510giro));
}

public void setGerc1510giro(long gerc1510giro) {
setGerc1510giro(new Double(gerc1510giro));
}

public void setGerc1510giro(Double gerc1510giro) {
if (gerc1510giro == null) {
gerc1510giroNull = true;
this.gerc1510giro = 0.;
} else { 
gerc1510giroNull = false;
this.gerc1510giro = FglDouble.round(gerc1510giro, 2);
}
}

public double getGerc1510absor() {
return gerc1510absor;
}

public boolean isGerc1510absorNull() {
return gerc1510absorNull;
}

public void setGerc1510absor(int gerc1510absor) {
setGerc1510absor(new Double(gerc1510absor));
}

public void setGerc1510absor(long gerc1510absor) {
setGerc1510absor(new Double(gerc1510absor));
}

public void setGerc1510absor(Double gerc1510absor) {
if (gerc1510absor == null) {
gerc1510absorNull = true;
this.gerc1510absor = 0.;
} else { 
gerc1510absorNull = false;
this.gerc1510absor = FglDouble.round(gerc1510absor, 2);
}
}

public int getRhfp5195posge() {
return rhfp5195posge;
}

public boolean isRhfp5195posgeNull() {
return rhfp5195posgeNull;
}

public void setRhfp5195posge(Integer rhfp5195posge) {
if (rhfp5195posge == null) {
rhfp5195posgeNull = true;
this.rhfp5195posge = 0;
} else { 
rhfp5195posgeNull = false;
this.rhfp5195posge = rhfp5195posge;
}
}

public int getRhfp5195poscs() {
return rhfp5195poscs;
}

public boolean isRhfp5195poscsNull() {
return rhfp5195poscsNull;
}

public void setRhfp5195poscs(Integer rhfp5195poscs) {
if (rhfp5195poscs == null) {
rhfp5195poscsNull = true;
this.rhfp5195poscs = 0;
} else { 
rhfp5195poscsNull = false;
this.rhfp5195poscs = rhfp5195poscs;
}
}

public int getRhfp5195pospr() {
return rhfp5195pospr;
}

public boolean isRhfp5195posprNull() {
return rhfp5195posprNull;
}

public void setRhfp5195pospr(Integer rhfp5195pospr) {
if (rhfp5195pospr == null) {
rhfp5195posprNull = true;
this.rhfp5195pospr = 0;
} else { 
rhfp5195posprNull = false;
this.rhfp5195pospr = rhfp5195pospr;
}
}

public int getRhfp5195posou() {
return rhfp5195posou;
}

public boolean isRhfp5195posouNull() {
return rhfp5195posouNull;
}

public void setRhfp5195posou(Integer rhfp5195posou) {
if (rhfp5195posou == null) {
rhfp5195posouNull = true;
this.rhfp5195posou = 0;
} else { 
rhfp5195posouNull = false;
this.rhfp5195posou = rhfp5195posou;
}
}

public int getRhfp5195pecge() {
return rhfp5195pecge;
}

public boolean isRhfp5195pecgeNull() {
return rhfp5195pecgeNull;
}

public void setRhfp5195pecge(Integer rhfp5195pecge) {
if (rhfp5195pecge == null) {
rhfp5195pecgeNull = true;
this.rhfp5195pecge = 0;
} else { 
rhfp5195pecgeNull = false;
this.rhfp5195pecge = rhfp5195pecge;
}
}

public int getRhfp5195peccs() {
return rhfp5195peccs;
}

public boolean isRhfp5195peccsNull() {
return rhfp5195peccsNull;
}

public void setRhfp5195peccs(Integer rhfp5195peccs) {
if (rhfp5195peccs == null) {
rhfp5195peccsNull = true;
this.rhfp5195peccs = 0;
} else { 
rhfp5195peccsNull = false;
this.rhfp5195peccs = rhfp5195peccs;
}
}

public int getRhfp5195pecpr() {
return rhfp5195pecpr;
}

public boolean isRhfp5195pecprNull() {
return rhfp5195pecprNull;
}

public void setRhfp5195pecpr(Integer rhfp5195pecpr) {
if (rhfp5195pecpr == null) {
rhfp5195pecprNull = true;
this.rhfp5195pecpr = 0;
} else { 
rhfp5195pecprNull = false;
this.rhfp5195pecpr = rhfp5195pecpr;
}
}

public int getRhfp5195pecou() {
return rhfp5195pecou;
}

public boolean isRhfp5195pecouNull() {
return rhfp5195pecouNull;
}

public void setRhfp5195pecou(Integer rhfp5195pecou) {
if (rhfp5195pecou == null) {
rhfp5195pecouNull = true;
this.rhfp5195pecou = 0;
} else { 
rhfp5195pecouNull = false;
this.rhfp5195pecou = rhfp5195pecou;
}
}

}

