package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParReccart {
@Coluna(nome="par_reccart.nrorecibo", tipo="String")
private String nrorecibo;
@Coluna(nome="par_reccart.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_reccart.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="par_reccart.nossonumero", tipo="String")
private String nossonumero;
@Coluna(nome="par_reccart.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="par_reccart.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="par_reccart.nomeoperadora", tipo="String")
private String nomeoperadora;

public TabParReccart() {
initialize();
}

public void initialize() {
setNrorecibo(null);
setSequencia(null);
setTpdocto(null);
setNossonumero(null);
setDtvencto(null);
setValor(null);
setNomeoperadora(null);
}

public TabParReccart(String nrorecibo, int sequencia, String tpdocto, String nossonumero, FglDate dtvencto, double valor, String nomeoperadora) {
this.nrorecibo = nrorecibo;
this.sequencia = sequencia;
this.tpdocto = tpdocto;
this.nossonumero = nossonumero;
this.dtvencto = dtvencto;
this.valor = valor;
this.nomeoperadora = nomeoperadora;
}

public String getNrorecibo() {
return nrorecibo;
}

public void setNrorecibo(String nrorecibo) {
this.nrorecibo = nrorecibo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public String getNossonumero() {
return nossonumero;
}

public void setNossonumero(String nossonumero) {
this.nossonumero = nossonumero;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getNomeoperadora() {
return nomeoperadora;
}

public void setNomeoperadora(String nomeoperadora) {
this.nomeoperadora = nomeoperadora;
}

}

