package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParRecdocs {
@Coluna(nome="par_recdocs.nrorecibo", tipo="String")
private String nrorecibo;
@Coluna(nome="par_recdocs.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_recdocs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_recdocs.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="par_recdocs.documento", tipo="String")
private String documento;
@Coluna(nome="par_recdocs.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="par_recdocs.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="par_recdocs.valorjuros", tipo="double")
private double valorjuros;
private boolean valorjurosNull;
@Coluna(nome="par_recdocs.valordesconto", tipo="double")
private double valordesconto;
private boolean valordescontoNull;
@Coluna(nome="par_recdocs.valorfinal", tipo="double")
private double valorfinal;
private boolean valorfinalNull;

public TabParRecdocs() {
initialize();
}

public void initialize() {
setNrorecibo(null);
setSequencia(null);
setFilial(null);
setTpdocto(null);
setDocumento(null);
setDtvencto(null);
setValor(null);
setValorjuros(null);
setValordesconto(null);
setValorfinal(null);
}

public TabParRecdocs(String nrorecibo, int sequencia, int filial, String tpdocto, String documento, FglDate dtvencto, double valor, double valorjuros, double valordesconto, double valorfinal) {
this.nrorecibo = nrorecibo;
this.sequencia = sequencia;
this.filial = filial;
this.tpdocto = tpdocto;
this.documento = documento;
this.dtvencto = dtvencto;
this.valor = valor;
this.valorjuros = valorjuros;
this.valordesconto = valordesconto;
this.valorfinal = valorfinal;
}

public String getNrorecibo() {
return nrorecibo;
}

public void setNrorecibo(String nrorecibo) {
this.nrorecibo = nrorecibo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public String getDocumento() {
return documento;
}

public void setDocumento(String documento) {
this.documento = documento;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValorjuros() {
return valorjuros;
}

public boolean isValorjurosNull() {
return valorjurosNull;
}

public void setValorjuros(int valorjuros) {
setValorjuros(new Double(valorjuros));
}

public void setValorjuros(long valorjuros) {
setValorjuros(new Double(valorjuros));
}

public void setValorjuros(Double valorjuros) {
if (valorjuros == null) {
valorjurosNull = true;
this.valorjuros = 0.;
} else { 
valorjurosNull = false;
this.valorjuros = FglDouble.round(valorjuros, 2);
}
}

public double getValordesconto() {
return valordesconto;
}

public boolean isValordescontoNull() {
return valordescontoNull;
}

public void setValordesconto(int valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(long valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(Double valordesconto) {
if (valordesconto == null) {
valordescontoNull = true;
this.valordesconto = 0.;
} else { 
valordescontoNull = false;
this.valordesconto = FglDouble.round(valordesconto, 2);
}
}

public double getValorfinal() {
return valorfinal;
}

public boolean isValorfinalNull() {
return valorfinalNull;
}

public void setValorfinal(int valorfinal) {
setValorfinal(new Double(valorfinal));
}

public void setValorfinal(long valorfinal) {
setValorfinal(new Double(valorfinal));
}

public void setValorfinal(Double valorfinal) {
if (valorfinal == null) {
valorfinalNull = true;
this.valorfinal = 0.;
} else { 
valorfinalNull = false;
this.valorfinal = FglDouble.round(valorfinal, 2);
}
}

}

