package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParRecitem {
@Coluna(nome="par_recitem.nrorecibo", tipo="String")
private String nrorecibo;
@Coluna(nome="par_recitem.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="par_recitem.totaldepos", tipo="double")
private double totaldepos;
private boolean totaldeposNull;
@Coluna(nome="par_recitem.nomepessoaban", tipo="String")
private String nomepessoaban;
@Coluna(nome="par_recitem.cgccpfban", tipo="long")
private long cgccpfban;
private boolean cgccpfbanNull;
@Coluna(nome="par_recitem.vlrpagto_e", tipo="double")
private double vlrpagtoE;
private boolean vlrpagtoENull;
@Coluna(nome="par_recitem.vlrpagto_c", tipo="double")
private double vlrpagtoC;
private boolean vlrpagtoCNull;
@Coluna(nome="par_recitem.acrescimo", tipo="double")
private double acrescimo;
private boolean acrescimoNull;
@Coluna(nome="par_recitem.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="par_recitem.abatimento", tipo="double")
private double abatimento;
private boolean abatimentoNull;

public TabParRecitem() {
initialize();
}

public void initialize() {
setNrorecibo(null);
setNroitem(null);
setTotaldepos(null);
setNomepessoaban(null);
setCgccpfban(null);
setVlrpagtoE(null);
setVlrpagtoC(null);
setAcrescimo(null);
setDesconto(null);
setAbatimento(null);
}

public TabParRecitem(String nrorecibo, int nroitem, double totaldepos, String nomepessoaban, long cgccpfban, double vlrpagtoE, double vlrpagtoC, double acrescimo, double desconto, double abatimento) {
this.nrorecibo = nrorecibo;
this.nroitem = nroitem;
this.totaldepos = totaldepos;
this.nomepessoaban = nomepessoaban;
this.cgccpfban = cgccpfban;
this.vlrpagtoE = vlrpagtoE;
this.vlrpagtoC = vlrpagtoC;
this.acrescimo = acrescimo;
this.desconto = desconto;
this.abatimento = abatimento;
}

public String getNrorecibo() {
return nrorecibo;
}

public void setNrorecibo(String nrorecibo) {
this.nrorecibo = nrorecibo;
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public double getTotaldepos() {
return totaldepos;
}

public boolean isTotaldeposNull() {
return totaldeposNull;
}

public void setTotaldepos(int totaldepos) {
setTotaldepos(new Double(totaldepos));
}

public void setTotaldepos(long totaldepos) {
setTotaldepos(new Double(totaldepos));
}

public void setTotaldepos(Double totaldepos) {
if (totaldepos == null) {
totaldeposNull = true;
this.totaldepos = 0.;
} else { 
totaldeposNull = false;
this.totaldepos = FglDouble.round(totaldepos, 2);
}
}

public String getNomepessoaban() {
return nomepessoaban;
}

public void setNomepessoaban(String nomepessoaban) {
this.nomepessoaban = nomepessoaban;
}

public long getCgccpfban() {
return cgccpfban;
}

public boolean isCgccpfbanNull() {
return cgccpfbanNull;
}

public void setCgccpfban(int cgccpfban) {
setCgccpfban(new Long(cgccpfban));
}

public void setCgccpfban(Long cgccpfban) {
if (cgccpfban == null) {
cgccpfbanNull = true;
this.cgccpfban = 0l;
} else { 
cgccpfbanNull = false;
this.cgccpfban = cgccpfban;
}
}

public double getVlrpagtoE() {
return vlrpagtoE;
}

public boolean isVlrpagtoENull() {
return vlrpagtoENull;
}

public void setVlrpagtoE(int vlrpagtoE) {
setVlrpagtoE(new Double(vlrpagtoE));
}

public void setVlrpagtoE(long vlrpagtoE) {
setVlrpagtoE(new Double(vlrpagtoE));
}

public void setVlrpagtoE(Double vlrpagtoE) {
if (vlrpagtoE == null) {
vlrpagtoENull = true;
this.vlrpagtoE = 0.;
} else { 
vlrpagtoENull = false;
this.vlrpagtoE = FglDouble.round(vlrpagtoE, 2);
}
}

public double getVlrpagtoC() {
return vlrpagtoC;
}

public boolean isVlrpagtoCNull() {
return vlrpagtoCNull;
}

public void setVlrpagtoC(int vlrpagtoC) {
setVlrpagtoC(new Double(vlrpagtoC));
}

public void setVlrpagtoC(long vlrpagtoC) {
setVlrpagtoC(new Double(vlrpagtoC));
}

public void setVlrpagtoC(Double vlrpagtoC) {
if (vlrpagtoC == null) {
vlrpagtoCNull = true;
this.vlrpagtoC = 0.;
} else { 
vlrpagtoCNull = false;
this.vlrpagtoC = FglDouble.round(vlrpagtoC, 2);
}
}

public double getAcrescimo() {
return acrescimo;
}

public boolean isAcrescimoNull() {
return acrescimoNull;
}

public void setAcrescimo(int acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(long acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(Double acrescimo) {
if (acrescimo == null) {
acrescimoNull = true;
this.acrescimo = 0.;
} else { 
acrescimoNull = false;
this.acrescimo = FglDouble.round(acrescimo, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getAbatimento() {
return abatimento;
}

public boolean isAbatimentoNull() {
return abatimentoNull;
}

public void setAbatimento(int abatimento) {
setAbatimento(new Double(abatimento));
}

public void setAbatimento(long abatimento) {
setAbatimento(new Double(abatimento));
}

public void setAbatimento(Double abatimento) {
if (abatimento == null) {
abatimentoNull = true;
this.abatimento = 0.;
} else { 
abatimentoNull = false;
this.abatimento = FglDouble.round(abatimento, 2);
}
}

}

