package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabParRecparc {
@Coluna(nome="par_recparc.nrorecibo", tipo="String")
private String nrorecibo;
@Coluna(nome="par_recparc.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_recparc.forma", tipo="String")
private String forma;
@Coluna(nome="par_recparc.valor", tipo="String")
private String valor;
@Coluna(nome="par_recparc.data", tipo="String")
private String data;

public TabParRecparc() {
initialize();
}

public void initialize() {
setNrorecibo(null);
setSequencia(null);
setForma(null);
setValor(null);
setData(null);
}

public TabParRecparc(String nrorecibo, int sequencia, String forma, String valor, String data) {
this.nrorecibo = nrorecibo;
this.sequencia = sequencia;
this.forma = forma;
this.valor = valor;
this.data = data;
}

public String getNrorecibo() {
return nrorecibo;
}

public void setNrorecibo(String nrorecibo) {
this.nrorecibo = nrorecibo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getForma() {
return forma;
}

public void setForma(String forma) {
this.forma = forma;
}

public String getValor() {
return valor;
}

public void setValor(String valor) {
this.valor = valor;
}

public String getData() {
return data;
}

public void setData(String data) {
this.data = data;
}

}

