package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParTdosPsc {
@Coluna(nome="par_tdos_psc.id_psc", tipo="int")
private int idPsc;
private boolean idPscNull;
@Coluna(nome="par_tdos_psc.distribuidor", tipo="long")
private long distribuidor;
private boolean distribuidorNull;
@Coluna(nome="par_tdos_psc.codpacote", tipo="String")
private String codpacote;
@Coluna(nome="par_tdos_psc.katashiki", tipo="String")
private String katashiki;
@Coluna(nome="par_tdos_psc.kmrevisao", tipo="int")
private int kmrevisao;
private boolean kmrevisaoNull;
@Coluna(nome="par_tdos_psc.nomepacote", tipo="String")
private String nomepacote;
@Coluna(nome="par_tdos_psc.modelo", tipo="String")
private String modelo;
@Coluna(nome="par_tdos_psc.tipopacote", tipo="String")
private String tipopacote;
@Coluna(nome="par_tdos_psc.pacotetdb", tipo="String")
private String pacotetdb;
@Coluna(nome="par_tdos_psc.valorpacote", tipo="double")
private double valorpacote;
private boolean valorpacoteNull;
@Coluna(nome="par_tdos_psc.ativo", tipo="String")
private String ativo;
@Coluna(nome="par_tdos_psc.versaoestrut", tipo="int")
private int versaoestrut;
private boolean versaoestrutNull;

public TabParTdosPsc() {
initialize();
}

public void initialize() {
setIdPsc(null);
setDistribuidor(null);
setCodpacote(null);
setKatashiki(null);
setKmrevisao(null);
setNomepacote(null);
setModelo(null);
setTipopacote(null);
setPacotetdb(null);
setValorpacote(null);
setAtivo(null);
setVersaoestrut(null);
}

public TabParTdosPsc(int idPsc, long distribuidor, String codpacote, String katashiki, int kmrevisao, String nomepacote, String modelo, String tipopacote, String pacotetdb, double valorpacote, String ativo, int versaoestrut) {
this.idPsc = idPsc;
this.distribuidor = distribuidor;
this.codpacote = codpacote;
this.katashiki = katashiki;
this.kmrevisao = kmrevisao;
this.nomepacote = nomepacote;
this.modelo = modelo;
this.tipopacote = tipopacote;
this.pacotetdb = pacotetdb;
this.valorpacote = valorpacote;
this.ativo = ativo;
this.versaoestrut = versaoestrut;
}

public int getIdPsc() {
return idPsc;
}

public boolean isIdPscNull() {
return idPscNull;
}

public void setIdPsc(Integer idPsc) {
if (idPsc == null) {
idPscNull = true;
this.idPsc = 0;
} else { 
idPscNull = false;
this.idPsc = idPsc;
}
}

public long getDistribuidor() {
return distribuidor;
}

public boolean isDistribuidorNull() {
return distribuidorNull;
}

public void setDistribuidor(int distribuidor) {
setDistribuidor(new Long(distribuidor));
}

public void setDistribuidor(Long distribuidor) {
if (distribuidor == null) {
distribuidorNull = true;
this.distribuidor = 0l;
} else { 
distribuidorNull = false;
this.distribuidor = distribuidor;
}
}

public String getCodpacote() {
return codpacote;
}

public void setCodpacote(String codpacote) {
this.codpacote = codpacote;
}

public String getKatashiki() {
return katashiki;
}

public void setKatashiki(String katashiki) {
this.katashiki = katashiki;
}

public int getKmrevisao() {
return kmrevisao;
}

public boolean isKmrevisaoNull() {
return kmrevisaoNull;
}

public void setKmrevisao(Integer kmrevisao) {
if (kmrevisao == null) {
kmrevisaoNull = true;
this.kmrevisao = 0;
} else { 
kmrevisaoNull = false;
this.kmrevisao = kmrevisao;
}
}

public String getNomepacote() {
return nomepacote;
}

public void setNomepacote(String nomepacote) {
this.nomepacote = nomepacote;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTipopacote() {
return tipopacote;
}

public void setTipopacote(String tipopacote) {
this.tipopacote = tipopacote;
}

public String getPacotetdb() {
return pacotetdb;
}

public void setPacotetdb(String pacotetdb) {
this.pacotetdb = pacotetdb;
}

public double getValorpacote() {
return valorpacote;
}

public boolean isValorpacoteNull() {
return valorpacoteNull;
}

public void setValorpacote(int valorpacote) {
setValorpacote(new Double(valorpacote));
}

public void setValorpacote(long valorpacote) {
setValorpacote(new Double(valorpacote));
}

public void setValorpacote(Double valorpacote) {
if (valorpacote == null) {
valorpacoteNull = true;
this.valorpacote = 0.;
} else { 
valorpacoteNull = false;
this.valorpacote = FglDouble.round(valorpacote, 2);
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public int getVersaoestrut() {
return versaoestrut;
}

public boolean isVersaoestrutNull() {
return versaoestrutNull;
}

public void setVersaoestrut(Integer versaoestrut) {
if (versaoestrut == null) {
versaoestrutNull = true;
this.versaoestrut = 0;
} else { 
versaoestrutNull = false;
this.versaoestrut = versaoestrut;
}
}

}

