package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParTdosPsp {
@Coluna(nome="par_tdos_psp.id_psc", tipo="int")
private int idPsc;
private boolean idPscNull;
@Coluna(nome="par_tdos_psp.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_tdos_psp.produto", tipo="String")
private String produto;
@Coluna(nome="par_tdos_psp.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="par_tdos_psp.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="par_tdos_psp.valorproduto", tipo="double")
private double valorproduto;
private boolean valorprodutoNull;
@Coluna(nome="par_tdos_psp.unidademedid", tipo="String")
private String unidademedid;

public TabParTdosPsp() {
initialize();
}

public void initialize() {
setIdPsc(null);
setSequencia(null);
setProduto(null);
setDescrprodut(null);
setQuantidade(null);
setValorproduto(null);
setUnidademedid(null);
}

public TabParTdosPsp(int idPsc, int sequencia, String produto, String descrprodut, double quantidade, double valorproduto, String unidademedid) {
this.idPsc = idPsc;
this.sequencia = sequencia;
this.produto = produto;
this.descrprodut = descrprodut;
this.quantidade = quantidade;
this.valorproduto = valorproduto;
this.unidademedid = unidademedid;
}

public int getIdPsc() {
return idPsc;
}

public boolean isIdPscNull() {
return idPscNull;
}

public void setIdPsc(Integer idPsc) {
if (idPsc == null) {
idPscNull = true;
this.idPsc = 0;
} else { 
idPscNull = false;
this.idPsc = idPsc;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getValorproduto() {
return valorproduto;
}

public boolean isValorprodutoNull() {
return valorprodutoNull;
}

public void setValorproduto(int valorproduto) {
setValorproduto(new Double(valorproduto));
}

public void setValorproduto(long valorproduto) {
setValorproduto(new Double(valorproduto));
}

public void setValorproduto(Double valorproduto) {
if (valorproduto == null) {
valorprodutoNull = true;
this.valorproduto = 0.;
} else { 
valorprodutoNull = false;
this.valorproduto = FglDouble.round(valorproduto, 2);
}
}

public String getUnidademedid() {
return unidademedid;
}

public void setUnidademedid(String unidademedid) {
this.unidademedid = unidademedid;
}

}

