package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParVeic3000 {
@Coluna(nome="par_veic3000.chassis", tipo="String")
private String chassis;
@Coluna(nome="par_veic3000.id_login", tipo="int")
private int idLogin;
private boolean idLoginNull;
@Coluna(nome="par_veic3000.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_veic3000.modelo", tipo="String")
private String modelo;
@Coluna(nome="par_veic3000.tpmaqveic", tipo="String")
private String tpmaqveic;
@Coluna(nome="par_veic3000.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="par_veic3000.classeabc", tipo="String")
private String classeabc;
@Coluna(nome="par_veic3000.codigocor", tipo="String")
private String codigocor;
@Coluna(nome="par_veic3000.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="par_veic3000.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="par_veic3000.novousado", tipo="String")
private String novousado;
@Coluna(nome="par_veic3000.permanencia", tipo="int")
private int permanencia;
private boolean permanenciaNull;
@Coluna(nome="par_veic3000.precotabela", tipo="double")
private double precotabela;
private boolean precotabelaNull;
@Coluna(nome="par_veic3000.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="par_veic3000.localizacao", tipo="String")
private String localizacao;
@Coluna(nome="par_veic3000.reserva", tipo="String")
private String reserva;
@Coluna(nome="par_veic3000.acessorios", tipo="String")
private String acessorios;
@Coluna(nome="par_veic3000.pago", tipo="String")
private String pago;
@Coluna(nome="par_veic3000.opcional", tipo="String")
private String opcional;
@Coluna(nome="par_veic3000.dadosfplan", tipo="String")
private String dadosfplan;

public TabParVeic3000() {
initialize();
}

public void initialize() {
setChassis(null);
setIdLogin(null);
setTerminal(null);
setModelo(null);
setTpmaqveic(null);
setDescrmodelo(null);
setClasseabc(null);
setCodigocor(null);
setAnofabric(null);
setAnomodelo(null);
setNovousado(null);
setPermanencia(null);
setPrecotabela(null);
setCombustivel(null);
setLocalizacao(null);
setReserva(null);
setAcessorios(null);
setPago(null);
setOpcional(null);
setDadosfplan(null);
}

public TabParVeic3000(String chassis, int idLogin, String terminal, String modelo, String tpmaqveic, String descrmodelo, String classeabc, String codigocor, int anofabric, int anomodelo, String novousado, int permanencia, double precotabela, int combustivel, String localizacao, String reserva, String acessorios, String pago, String opcional, String dadosfplan) {
this.chassis = chassis;
this.idLogin = idLogin;
this.terminal = terminal;
this.modelo = modelo;
this.tpmaqveic = tpmaqveic;
this.descrmodelo = descrmodelo;
this.classeabc = classeabc;
this.codigocor = codigocor;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.novousado = novousado;
this.permanencia = permanencia;
this.precotabela = precotabela;
this.combustivel = combustivel;
this.localizacao = localizacao;
this.reserva = reserva;
this.acessorios = acessorios;
this.pago = pago;
this.opcional = opcional;
this.dadosfplan = dadosfplan;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdLogin() {
return idLogin;
}

public boolean isIdLoginNull() {
return idLoginNull;
}

public void setIdLogin(Integer idLogin) {
if (idLogin == null) {
idLoginNull = true;
this.idLogin = 0;
} else { 
idLoginNull = false;
this.idLogin = idLogin;
}
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTpmaqveic() {
return tpmaqveic;
}

public void setTpmaqveic(String tpmaqveic) {
this.tpmaqveic = tpmaqveic;
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public String getClasseabc() {
return classeabc;
}

public void setClasseabc(String classeabc) {
this.classeabc = classeabc;
}

public String getCodigocor() {
return codigocor;
}

public void setCodigocor(String codigocor) {
this.codigocor = codigocor;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getPermanencia() {
return permanencia;
}

public boolean isPermanenciaNull() {
return permanenciaNull;
}

public void setPermanencia(Integer permanencia) {
if (permanencia == null) {
permanenciaNull = true;
this.permanencia = 0;
} else { 
permanenciaNull = false;
this.permanencia = permanencia;
}
}

public double getPrecotabela() {
return precotabela;
}

public boolean isPrecotabelaNull() {
return precotabelaNull;
}

public void setPrecotabela(int precotabela) {
setPrecotabela(new Double(precotabela));
}

public void setPrecotabela(long precotabela) {
setPrecotabela(new Double(precotabela));
}

public void setPrecotabela(Double precotabela) {
if (precotabela == null) {
precotabelaNull = true;
this.precotabela = 0.;
} else { 
precotabelaNull = false;
this.precotabela = FglDouble.round(precotabela, 2);
}
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public String getLocalizacao() {
return localizacao;
}

public void setLocalizacao(String localizacao) {
this.localizacao = localizacao;
}

public String getReserva() {
return reserva;
}

public void setReserva(String reserva) {
this.reserva = reserva;
}

public String getAcessorios() {
return acessorios;
}

public void setAcessorios(String acessorios) {
this.acessorios = acessorios;
}

public String getPago() {
return pago;
}

public void setPago(String pago) {
this.pago = pago;
}

public String getOpcional() {
return opcional;
}

public void setOpcional(String opcional) {
this.opcional = opcional;
}

public String getDadosfplan() {
return dadosfplan;
}

public void setDadosfplan(String dadosfplan) {
this.dadosfplan = dadosfplan;
}

}

