package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParafeef {
@Coluna(nome="parafeef.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="parafeef.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="parafeef.veiculo", tipo="String")
private String veiculo;
@Coluna(nome="parafeef.categoria", tipo="String")
private String categoria;
@Coluna(nome="parafeef.venda", tipo="String")
private String venda;
@Coluna(nome="parafeef.percbase_s", tipo="double")
private double percbaseS;
private boolean percbaseSNull;
@Coluna(nome="parafeef.percfeef", tipo="double")
private double percfeef;
private boolean percfeefNull;

public TabParafeef() {
initialize();
}

public void initialize() {
setFilial(null);
setUfederacao(null);
setVeiculo(null);
setCategoria(null);
setVenda(null);
setPercbaseS(null);
setPercfeef(null);
}

public TabParafeef(int filial, String ufederacao, String veiculo, String categoria, String venda, double percbaseS, double percfeef) {
this.filial = filial;
this.ufederacao = ufederacao;
this.veiculo = veiculo;
this.categoria = categoria;
this.venda = venda;
this.percbaseS = percbaseS;
this.percfeef = percfeef;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public String getVeiculo() {
return veiculo;
}

public void setVeiculo(String veiculo) {
this.veiculo = veiculo;
}

public String getCategoria() {
return categoria;
}

public void setCategoria(String categoria) {
this.categoria = categoria;
}

public String getVenda() {
return venda;
}

public void setVenda(String venda) {
this.venda = venda;
}

public double getPercbaseS() {
return percbaseS;
}

public boolean isPercbaseSNull() {
return percbaseSNull;
}

public void setPercbaseS(int percbaseS) {
setPercbaseS(new Double(percbaseS));
}

public void setPercbaseS(long percbaseS) {
setPercbaseS(new Double(percbaseS));
}

public void setPercbaseS(Double percbaseS) {
if (percbaseS == null) {
percbaseSNull = true;
this.percbaseS = 0.;
} else { 
percbaseSNull = false;
this.percbaseS = FglDouble.round(percbaseS, 2);
}
}

public double getPercfeef() {
return percfeef;
}

public boolean isPercfeefNull() {
return percfeefNull;
}

public void setPercfeef(int percfeef) {
setPercfeef(new Double(percfeef));
}

public void setPercfeef(long percfeef) {
setPercfeef(new Double(percfeef));
}

public void setPercfeef(Double percfeef) {
if (percfeef == null) {
percfeefNull = true;
this.percfeef = 0.;
} else { 
percfeefNull = false;
this.percfeef = FglDouble.round(percfeef, 2);
}
}

}

