package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabParametros {
@Coluna(nome="parametros.versao", tipo="String")
private String versao;
@Coluna(nome="parametros.database_ifx", tipo="String")
private String databaseIfx;
@Coluna(nome="parametros.host_ifx", tipo="String")
private String hostIfx;
@Coluna(nome="parametros.usuario_ifx", tipo="String")
private String usuarioIfx;
@Coluna(nome="parametros.senha_ifx", tipo="String")
private String senhaIfx;
@Coluna(nome="parametros.sql_livre", tipo="String")
private String sqlLivre;
@Coluna(nome="parametros.sql_livre_integrador", tipo="String")
private String sqlLivreIntegrador;

public TabParametros() {
initialize();
}

public void initialize() {
setVersao(null);
setDatabaseIfx(null);
setHostIfx(null);
setUsuarioIfx(null);
setSenhaIfx(null);
setSqlLivre(null);
setSqlLivreIntegrador(null);
}

public TabParametros(String versao, String databaseIfx, String hostIfx, String usuarioIfx, String senhaIfx, String sqlLivre, String sqlLivreIntegrador) {
this.versao = versao;
this.databaseIfx = databaseIfx;
this.hostIfx = hostIfx;
this.usuarioIfx = usuarioIfx;
this.senhaIfx = senhaIfx;
this.sqlLivre = sqlLivre;
this.sqlLivreIntegrador = sqlLivreIntegrador;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getDatabaseIfx() {
return databaseIfx;
}

public void setDatabaseIfx(String databaseIfx) {
this.databaseIfx = databaseIfx;
}

public String getHostIfx() {
return hostIfx;
}

public void setHostIfx(String hostIfx) {
this.hostIfx = hostIfx;
}

public String getUsuarioIfx() {
return usuarioIfx;
}

public void setUsuarioIfx(String usuarioIfx) {
this.usuarioIfx = usuarioIfx;
}

public String getSenhaIfx() {
return senhaIfx;
}

public void setSenhaIfx(String senhaIfx) {
this.senhaIfx = senhaIfx;
}

public String getSqlLivre() {
return sqlLivre;
}

public void setSqlLivre(String sqlLivre) {
this.sqlLivre = sqlLivre;
}

public String getSqlLivreIntegrador() {
return sqlLivreIntegrador;
}

public void setSqlLivreIntegrador(String sqlLivreIntegrador) {
this.sqlLivreIntegrador = sqlLivreIntegrador;
}

}

