package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabPgevedcs {
@Coluna(nome="pgevedcs.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="pgevedcs.dt_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtGeracao;
@Coluna(nome="pgevedcs.tipoevento", tipo="String")
private String tipoevento;
@Coluna(nome="pgevedcs.nomeproggera", tipo="String")
private String nomeproggera;
@Coluna(nome="pgevedcs.dtprienvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtprienvio;
@Coluna(nome="pgevedcs.dtultenvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtultenvio;
@Coluna(nome="pgevedcs.qtdtransmissao", tipo="int")
private int qtdtransmissao;
private boolean qtdtransmissaoNull;
@Coluna(nome="pgevedcs.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="pgevedcs.xmlenviado", tipo="String")
private String xmlenviado;
@Coluna(nome="pgevedcs.xmlrecebido", tipo="String")
private String xmlrecebido;
@Coluna(nome="pgevedcs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="pgevedcs.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="pgevedcs.seqagenda", tipo="long")
private long seqagenda;
private boolean seqagendaNull;
@Coluna(nome="pgevedcs.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="pgevedcs.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="pgevedcs.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="pgevedcs.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="pgevedcs.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="pgevedcs.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="pgevedcs.chassis", tipo="String")
private String chassis;

public TabPgevedcs() {
initialize();
}

public void initialize() {
setIdEvento(null);
setDtGeracao(null);
setTipoevento(null);
setNomeproggera(null);
setDtprienvio(null);
setDtultenvio(null);
setQtdtransmissao(null);
setStatus(null);
setXmlenviado(null);
setXmlrecebido(null);
setFilial(null);
setProcesso(null);
setSeqagenda(null);
setFilialped(null);
setPedvenda(null);
setIdNfcapa(null);
setIdNfitem(null);
setArquivo(null);
setIdOscapa(null);
setChassis(null);
}

public TabPgevedcs(int idEvento, FglDateTimeYS dtGeracao, String tipoevento, String nomeproggera, FglDateTimeYS dtprienvio, FglDateTimeYS dtultenvio, int qtdtransmissao, int status, String xmlenviado, String xmlrecebido, int filial, long processo, long seqagenda, int filialped, int pedvenda, int idNfcapa, int idNfitem, String arquivo, int idOscapa, String chassis) {
this.idEvento = idEvento;
this.dtGeracao = dtGeracao;
this.tipoevento = tipoevento;
this.nomeproggera = nomeproggera;
this.dtprienvio = dtprienvio;
this.dtultenvio = dtultenvio;
this.qtdtransmissao = qtdtransmissao;
this.status = status;
this.xmlenviado = xmlenviado;
this.xmlrecebido = xmlrecebido;
this.filial = filial;
this.processo = processo;
this.seqagenda = seqagenda;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.idNfcapa = idNfcapa;
this.idNfitem = idNfitem;
this.arquivo = arquivo;
this.idOscapa = idOscapa;
this.chassis = chassis;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public FglDateTimeYS getDtGeracao() {
return dtGeracao;
}

public void setDtGeracao(FglDateTimeYS dtGeracao) {
this.dtGeracao = dtGeracao;
}

public String getTipoevento() {
return tipoevento;
}

public void setTipoevento(String tipoevento) {
this.tipoevento = tipoevento;
}

public String getNomeproggera() {
return nomeproggera;
}

public void setNomeproggera(String nomeproggera) {
this.nomeproggera = nomeproggera;
}

public FglDateTimeYS getDtprienvio() {
return dtprienvio;
}

public void setDtprienvio(FglDateTimeYS dtprienvio) {
this.dtprienvio = dtprienvio;
}

public FglDateTimeYS getDtultenvio() {
return dtultenvio;
}

public void setDtultenvio(FglDateTimeYS dtultenvio) {
this.dtultenvio = dtultenvio;
}

public int getQtdtransmissao() {
return qtdtransmissao;
}

public boolean isQtdtransmissaoNull() {
return qtdtransmissaoNull;
}

public void setQtdtransmissao(Integer qtdtransmissao) {
if (qtdtransmissao == null) {
qtdtransmissaoNull = true;
this.qtdtransmissao = 0;
} else { 
qtdtransmissaoNull = false;
this.qtdtransmissao = qtdtransmissao;
}
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getXmlenviado() {
return xmlenviado;
}

public void setXmlenviado(String xmlenviado) {
this.xmlenviado = xmlenviado;
}

public String getXmlrecebido() {
return xmlrecebido;
}

public void setXmlrecebido(String xmlrecebido) {
this.xmlrecebido = xmlrecebido;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getSeqagenda() {
return seqagenda;
}

public boolean isSeqagendaNull() {
return seqagendaNull;
}

public void setSeqagenda(int seqagenda) {
setSeqagenda(new Long(seqagenda));
}

public void setSeqagenda(Long seqagenda) {
if (seqagenda == null) {
seqagendaNull = true;
this.seqagenda = 0l;
} else { 
seqagendaNull = false;
this.seqagenda = seqagenda;
}
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

}

