package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabPgvaldcs {
@Coluna(nome="pgvaldcs.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="pgvaldcs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="pgvaldcs.tipoevento", tipo="String")
private String tipoevento;
@Coluna(nome="pgvaldcs.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="pgvaldcs.valor", tipo="String")
private String valor;

public TabPgvaldcs() {
initialize();
}

public void initialize() {
setAnomes(null);
setFilial(null);
setTipoevento(null);
setSequencia(null);
setValor(null);
}

public TabPgvaldcs(FglDateTimeYM anomes, int filial, String tipoevento, int sequencia, String valor) {
this.anomes = anomes;
this.filial = filial;
this.tipoevento = tipoevento;
this.sequencia = sequencia;
this.valor = valor;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipoevento() {
return tipoevento;
}

public void setTipoevento(String tipoevento) {
this.tipoevento = tipoevento;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getValor() {
return valor;
}

public void setValor(String valor) {
this.valor = valor;
}

}

