package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabRnleaint {
@Coluna(nome="rnleaint.id_leads", tipo="int")
private int idLeads;
private boolean idLeadsNull;
@Coluna(nome="rnleaint.categoria", tipo="String")
private String categoria;
@Coluna(nome="rnleaint.descrcat", tipo="String")
private String descrcat;
@Coluna(nome="rnleaint.molicarint", tipo="String")
private String molicarint;
@Coluna(nome="rnleaint.marcaint", tipo="String")
private String marcaint;
@Coluna(nome="rnleaint.modeloint", tipo="String")
private String modeloint;
@Coluna(nome="rnleaint.anoint", tipo="int")
private int anoint;
private boolean anointNull;
@Coluna(nome="rnleaint.cor", tipo="String")
private String cor;
@Coluna(nome="rnleaint.prazointe", tipo="String")
private String prazointe;
@Coluna(nome="rnleaint.precovei", tipo="double")
private double precovei;
private boolean precoveiNull;

public TabRnleaint() {
initialize();
}

public void initialize() {
setIdLeads(null);
setCategoria(null);
setDescrcat(null);
setMolicarint(null);
setMarcaint(null);
setModeloint(null);
setAnoint(null);
setCor(null);
setPrazointe(null);
setPrecovei(null);
}

public TabRnleaint(int idLeads, String categoria, String descrcat, String molicarint, String marcaint, String modeloint, int anoint, String cor, String prazointe, double precovei) {
this.idLeads = idLeads;
this.categoria = categoria;
this.descrcat = descrcat;
this.molicarint = molicarint;
this.marcaint = marcaint;
this.modeloint = modeloint;
this.anoint = anoint;
this.cor = cor;
this.prazointe = prazointe;
this.precovei = precovei;
}

public int getIdLeads() {
return idLeads;
}

public boolean isIdLeadsNull() {
return idLeadsNull;
}

public void setIdLeads(Integer idLeads) {
if (idLeads == null) {
idLeadsNull = true;
this.idLeads = 0;
} else { 
idLeadsNull = false;
this.idLeads = idLeads;
}
}

public String getCategoria() {
return categoria;
}

public void setCategoria(String categoria) {
this.categoria = categoria;
}

public String getDescrcat() {
return descrcat;
}

public void setDescrcat(String descrcat) {
this.descrcat = descrcat;
}

public String getMolicarint() {
return molicarint;
}

public void setMolicarint(String molicarint) {
this.molicarint = molicarint;
}

public String getMarcaint() {
return marcaint;
}

public void setMarcaint(String marcaint) {
this.marcaint = marcaint;
}

public String getModeloint() {
return modeloint;
}

public void setModeloint(String modeloint) {
this.modeloint = modeloint;
}

public int getAnoint() {
return anoint;
}

public boolean isAnointNull() {
return anointNull;
}

public void setAnoint(Integer anoint) {
if (anoint == null) {
anointNull = true;
this.anoint = 0;
} else { 
anointNull = false;
this.anoint = anoint;
}
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public String getPrazointe() {
return prazointe;
}

public void setPrazointe(String prazointe) {
this.prazointe = prazointe;
}

public double getPrecovei() {
return precovei;
}

public boolean isPrecoveiNull() {
return precoveiNull;
}

public void setPrecovei(int precovei) {
setPrecovei(new Double(precovei));
}

public void setPrecovei(long precovei) {
setPrecovei(new Double(precovei));
}

public void setPrecovei(Double precovei) {
if (precovei == null) {
precoveiNull = true;
this.precovei = 0.;
} else { 
precoveiNull = false;
this.precovei = FglDouble.round(precovei, 2);
}
}

}

