package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSafx13 {
@Coluna(nome="safx13.cod_empresa", tipo="String")
private String codEmpresa;
@Coluna(nome="safx13.cod_estab", tipo="String")
private String codEstab;
@Coluna(nome="safx13.cod_bem", tipo="String")
private String codBem;
@Coluna(nome="safx13.cod_inc", tipo="String")
private String codInc;
@Coluna(nome="safx13.valid_bem", tipo="FglDate")
private FglDate validBem;
@Coluna(nome="safx13.descricao", tipo="String")
private String descricao;
@Coluna(nome="safx13.cod_conta_cm", tipo="String")
private String codContaCm;
@Coluna(nome="safx13.data_aquis", tipo="FglDate")
private FglDate dataAquis;
@Coluna(nome="safx13.vlr_aquis", tipo="double")
private double vlrAquis;
private boolean vlrAquisNull;
@Coluna(nome="safx13.cod_almox", tipo="String")
private String codAlmox;
@Coluna(nome="safx13.cod_conta_depr", tipo="String")
private String codContaDepr;
@Coluna(nome="safx13.cod_custo", tipo="String")
private String codCusto;
@Coluna(nome="safx13.cod_despesa", tipo="String")
private String codDespesa;
@Coluna(nome="safx13.codt_docto", tipo="String")
private String codtDocto;
@Coluna(nome="safx13.ident_sit_bem", tipo="String")
private String identSitBem;
@Coluna(nome="safx13.cod_bem_orig", tipo="String")
private String codBemOrig;
@Coluna(nome="safx13.cod_inc_orig", tipo="String")
private String codIncOrig;
@Coluna(nome="safx13.data_baixa", tipo="FglDate")
private FglDate dataBaixa;
@Coluna(nome="safx13.data_ini_cm", tipo="FglDate")
private FglDate dataIniCm;
@Coluna(nome="safx13.data_ini_depr", tipo="FglDate")
private FglDate dataIniDepr;
@Coluna(nome="safx13.num_docfis", tipo="String")
private String numDocfis;
@Coluna(nome="safx13.serie_docfis", tipo="String")
private String serieDocfis;
@Coluna(nome="safx13.sub_serie_docfis", tipo="String")
private String subSerieDocfis;
@Coluna(nome="safx13.serie_bem", tipo="String")
private String serieBem;
@Coluna(nome="safx13.arquivamento", tipo="String")
private String arquivamento;
@Coluna(nome="safx13.taxa_depr", tipo="double")
private double taxaDepr;
private boolean taxaDeprNull;
@Coluna(nome="safx13.cod_indice", tipo="String")
private String codIndice;
@Coluna(nome="safx13.vlr_em_indice", tipo="double")
private double vlrEmIndice;
private boolean vlrEmIndiceNull;
@Coluna(nome="safx13.ind_nat_bem", tipo="String")
private String indNatBem;
@Coluna(nome="safx13.vlr_aquis_real", tipo="double")
private double vlrAquisReal;
private boolean vlrAquisRealNull;
@Coluna(nome="safx13.vlr_depr_acum", tipo="double")
private double vlrDeprAcum;
private boolean vlrDeprAcumNull;
@Coluna(nome="safx13.vlr_depr_lanc", tipo="double")
private double vlrDeprLanc;
private boolean vlrDeprLancNull;
@Coluna(nome="safx13.ind_gera_p7", tipo="String")
private String indGeraP7;
@Coluna(nome="safx13.datager", tipo="FglDate")
private FglDate datager;

public TabSafx13() {
initialize();
}

public void initialize() {
setCodEmpresa(null);
setCodEstab(null);
setCodBem(null);
setCodInc(null);
setValidBem(null);
setDescricao(null);
setCodContaCm(null);
setDataAquis(null);
setVlrAquis(null);
setCodAlmox(null);
setCodContaDepr(null);
setCodCusto(null);
setCodDespesa(null);
setCodtDocto(null);
setIdentSitBem(null);
setCodBemOrig(null);
setCodIncOrig(null);
setDataBaixa(null);
setDataIniCm(null);
setDataIniDepr(null);
setNumDocfis(null);
setSerieDocfis(null);
setSubSerieDocfis(null);
setSerieBem(null);
setArquivamento(null);
setTaxaDepr(null);
setCodIndice(null);
setVlrEmIndice(null);
setIndNatBem(null);
setVlrAquisReal(null);
setVlrDeprAcum(null);
setVlrDeprLanc(null);
setIndGeraP7(null);
setDatager(null);
}

public TabSafx13(String codEmpresa, String codEstab, String codBem, String codInc, FglDate validBem, String descricao, String codContaCm, FglDate dataAquis, double vlrAquis, String codAlmox, String codContaDepr, String codCusto, String codDespesa, String codtDocto, String identSitBem, String codBemOrig, String codIncOrig, FglDate dataBaixa, FglDate dataIniCm, FglDate dataIniDepr, String numDocfis, String serieDocfis, String subSerieDocfis, String serieBem, String arquivamento, double taxaDepr, String codIndice, double vlrEmIndice, String indNatBem, double vlrAquisReal, double vlrDeprAcum, double vlrDeprLanc, String indGeraP7, FglDate datager) {
this.codEmpresa = codEmpresa;
this.codEstab = codEstab;
this.codBem = codBem;
this.codInc = codInc;
this.validBem = validBem;
this.descricao = descricao;
this.codContaCm = codContaCm;
this.dataAquis = dataAquis;
this.vlrAquis = vlrAquis;
this.codAlmox = codAlmox;
this.codContaDepr = codContaDepr;
this.codCusto = codCusto;
this.codDespesa = codDespesa;
this.codtDocto = codtDocto;
this.identSitBem = identSitBem;
this.codBemOrig = codBemOrig;
this.codIncOrig = codIncOrig;
this.dataBaixa = dataBaixa;
this.dataIniCm = dataIniCm;
this.dataIniDepr = dataIniDepr;
this.numDocfis = numDocfis;
this.serieDocfis = serieDocfis;
this.subSerieDocfis = subSerieDocfis;
this.serieBem = serieBem;
this.arquivamento = arquivamento;
this.taxaDepr = taxaDepr;
this.codIndice = codIndice;
this.vlrEmIndice = vlrEmIndice;
this.indNatBem = indNatBem;
this.vlrAquisReal = vlrAquisReal;
this.vlrDeprAcum = vlrDeprAcum;
this.vlrDeprLanc = vlrDeprLanc;
this.indGeraP7 = indGeraP7;
this.datager = datager;
}

public String getCodEmpresa() {
return codEmpresa;
}

public void setCodEmpresa(String codEmpresa) {
this.codEmpresa = codEmpresa;
}

public String getCodEstab() {
return codEstab;
}

public void setCodEstab(String codEstab) {
this.codEstab = codEstab;
}

public String getCodBem() {
return codBem;
}

public void setCodBem(String codBem) {
this.codBem = codBem;
}

public String getCodInc() {
return codInc;
}

public void setCodInc(String codInc) {
this.codInc = codInc;
}

public FglDate getValidBem() {
return validBem;
}

public void setValidBem(FglDate validBem) {
this.validBem = validBem;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getCodContaCm() {
return codContaCm;
}

public void setCodContaCm(String codContaCm) {
this.codContaCm = codContaCm;
}

public FglDate getDataAquis() {
return dataAquis;
}

public void setDataAquis(FglDate dataAquis) {
this.dataAquis = dataAquis;
}

public double getVlrAquis() {
return vlrAquis;
}

public boolean isVlrAquisNull() {
return vlrAquisNull;
}

public void setVlrAquis(int vlrAquis) {
setVlrAquis(new Double(vlrAquis));
}

public void setVlrAquis(long vlrAquis) {
setVlrAquis(new Double(vlrAquis));
}

public void setVlrAquis(Double vlrAquis) {
if (vlrAquis == null) {
vlrAquisNull = true;
this.vlrAquis = 0.;
} else { 
vlrAquisNull = false;
this.vlrAquis = FglDouble.round(vlrAquis, 2);
}
}

public String getCodAlmox() {
return codAlmox;
}

public void setCodAlmox(String codAlmox) {
this.codAlmox = codAlmox;
}

public String getCodContaDepr() {
return codContaDepr;
}

public void setCodContaDepr(String codContaDepr) {
this.codContaDepr = codContaDepr;
}

public String getCodCusto() {
return codCusto;
}

public void setCodCusto(String codCusto) {
this.codCusto = codCusto;
}

public String getCodDespesa() {
return codDespesa;
}

public void setCodDespesa(String codDespesa) {
this.codDespesa = codDespesa;
}

public String getCodtDocto() {
return codtDocto;
}

public void setCodtDocto(String codtDocto) {
this.codtDocto = codtDocto;
}

public String getIdentSitBem() {
return identSitBem;
}

public void setIdentSitBem(String identSitBem) {
this.identSitBem = identSitBem;
}

public String getCodBemOrig() {
return codBemOrig;
}

public void setCodBemOrig(String codBemOrig) {
this.codBemOrig = codBemOrig;
}

public String getCodIncOrig() {
return codIncOrig;
}

public void setCodIncOrig(String codIncOrig) {
this.codIncOrig = codIncOrig;
}

public FglDate getDataBaixa() {
return dataBaixa;
}

public void setDataBaixa(FglDate dataBaixa) {
this.dataBaixa = dataBaixa;
}

public FglDate getDataIniCm() {
return dataIniCm;
}

public void setDataIniCm(FglDate dataIniCm) {
this.dataIniCm = dataIniCm;
}

public FglDate getDataIniDepr() {
return dataIniDepr;
}

public void setDataIniDepr(FglDate dataIniDepr) {
this.dataIniDepr = dataIniDepr;
}

public String getNumDocfis() {
return numDocfis;
}

public void setNumDocfis(String numDocfis) {
this.numDocfis = numDocfis;
}

public String getSerieDocfis() {
return serieDocfis;
}

public void setSerieDocfis(String serieDocfis) {
this.serieDocfis = serieDocfis;
}

public String getSubSerieDocfis() {
return subSerieDocfis;
}

public void setSubSerieDocfis(String subSerieDocfis) {
this.subSerieDocfis = subSerieDocfis;
}

public String getSerieBem() {
return serieBem;
}

public void setSerieBem(String serieBem) {
this.serieBem = serieBem;
}

public String getArquivamento() {
return arquivamento;
}

public void setArquivamento(String arquivamento) {
this.arquivamento = arquivamento;
}

public double getTaxaDepr() {
return taxaDepr;
}

public boolean isTaxaDeprNull() {
return taxaDeprNull;
}

public void setTaxaDepr(int taxaDepr) {
setTaxaDepr(new Double(taxaDepr));
}

public void setTaxaDepr(long taxaDepr) {
setTaxaDepr(new Double(taxaDepr));
}

public void setTaxaDepr(Double taxaDepr) {
if (taxaDepr == null) {
taxaDeprNull = true;
this.taxaDepr = 0.;
} else { 
taxaDeprNull = false;
this.taxaDepr = FglDouble.round(taxaDepr, 4);
}
}

public String getCodIndice() {
return codIndice;
}

public void setCodIndice(String codIndice) {
this.codIndice = codIndice;
}

public double getVlrEmIndice() {
return vlrEmIndice;
}

public boolean isVlrEmIndiceNull() {
return vlrEmIndiceNull;
}

public void setVlrEmIndice(int vlrEmIndice) {
setVlrEmIndice(new Double(vlrEmIndice));
}

public void setVlrEmIndice(long vlrEmIndice) {
setVlrEmIndice(new Double(vlrEmIndice));
}

public void setVlrEmIndice(Double vlrEmIndice) {
if (vlrEmIndice == null) {
vlrEmIndiceNull = true;
this.vlrEmIndice = 0.;
} else { 
vlrEmIndiceNull = false;
this.vlrEmIndice = FglDouble.round(vlrEmIndice, 4);
}
}

public String getIndNatBem() {
return indNatBem;
}

public void setIndNatBem(String indNatBem) {
this.indNatBem = indNatBem;
}

public double getVlrAquisReal() {
return vlrAquisReal;
}

public boolean isVlrAquisRealNull() {
return vlrAquisRealNull;
}

public void setVlrAquisReal(int vlrAquisReal) {
setVlrAquisReal(new Double(vlrAquisReal));
}

public void setVlrAquisReal(long vlrAquisReal) {
setVlrAquisReal(new Double(vlrAquisReal));
}

public void setVlrAquisReal(Double vlrAquisReal) {
if (vlrAquisReal == null) {
vlrAquisRealNull = true;
this.vlrAquisReal = 0.;
} else { 
vlrAquisRealNull = false;
this.vlrAquisReal = FglDouble.round(vlrAquisReal, 2);
}
}

public double getVlrDeprAcum() {
return vlrDeprAcum;
}

public boolean isVlrDeprAcumNull() {
return vlrDeprAcumNull;
}

public void setVlrDeprAcum(int vlrDeprAcum) {
setVlrDeprAcum(new Double(vlrDeprAcum));
}

public void setVlrDeprAcum(long vlrDeprAcum) {
setVlrDeprAcum(new Double(vlrDeprAcum));
}

public void setVlrDeprAcum(Double vlrDeprAcum) {
if (vlrDeprAcum == null) {
vlrDeprAcumNull = true;
this.vlrDeprAcum = 0.;
} else { 
vlrDeprAcumNull = false;
this.vlrDeprAcum = FglDouble.round(vlrDeprAcum, 2);
}
}

public double getVlrDeprLanc() {
return vlrDeprLanc;
}

public boolean isVlrDeprLancNull() {
return vlrDeprLancNull;
}

public void setVlrDeprLanc(int vlrDeprLanc) {
setVlrDeprLanc(new Double(vlrDeprLanc));
}

public void setVlrDeprLanc(long vlrDeprLanc) {
setVlrDeprLanc(new Double(vlrDeprLanc));
}

public void setVlrDeprLanc(Double vlrDeprLanc) {
if (vlrDeprLanc == null) {
vlrDeprLancNull = true;
this.vlrDeprLanc = 0.;
} else { 
vlrDeprLancNull = false;
this.vlrDeprLanc = FglDouble.round(vlrDeprLanc, 2);
}
}

public String getIndGeraP7() {
return indGeraP7;
}

public void setIndGeraP7(String indGeraP7) {
this.indGeraP7 = indGeraP7;
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

