package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSafx2043 {
@Coluna(nome="safx2043.cod_nbm", tipo="String")
private String codNbm;
@Coluna(nome="safx2043.data_nbm", tipo="FglDate")
private FglDate dataNbm;
@Coluna(nome="safx2043.ind_trib_nbm", tipo="String")
private String indTribNbm;
@Coluna(nome="safx2043.descricao", tipo="String")
private String descricao;
@Coluna(nome="safx2043.aliq_ipi", tipo="double")
private double aliqIpi;
private boolean aliqIpiNull;
@Coluna(nome="safx2043.secao_ipi", tipo="String")
private String secaoIpi;
@Coluna(nome="safx2043.nota_secao_ipi", tipo="String")
private String notaSecaoIpi;
@Coluna(nome="safx2043.cod_medida", tipo="String")
private String codMedida;
@Coluna(nome="safx2043.grupo_apurac", tipo="String")
private String grupoApurac;
@Coluna(nome="safx2043.ind_incidencia", tipo="String")
private String indIncidencia;
@Coluna(nome="safx2043.datager", tipo="FglDate")
private FglDate datager;

public TabSafx2043() {
initialize();
}

public void initialize() {
setCodNbm(null);
setDataNbm(null);
setIndTribNbm(null);
setDescricao(null);
setAliqIpi(null);
setSecaoIpi(null);
setNotaSecaoIpi(null);
setCodMedida(null);
setGrupoApurac(null);
setIndIncidencia(null);
setDatager(null);
}

public TabSafx2043(String codNbm, FglDate dataNbm, String indTribNbm, String descricao, double aliqIpi, String secaoIpi, String notaSecaoIpi, String codMedida, String grupoApurac, String indIncidencia, FglDate datager) {
this.codNbm = codNbm;
this.dataNbm = dataNbm;
this.indTribNbm = indTribNbm;
this.descricao = descricao;
this.aliqIpi = aliqIpi;
this.secaoIpi = secaoIpi;
this.notaSecaoIpi = notaSecaoIpi;
this.codMedida = codMedida;
this.grupoApurac = grupoApurac;
this.indIncidencia = indIncidencia;
this.datager = datager;
}

public String getCodNbm() {
return codNbm;
}

public void setCodNbm(String codNbm) {
this.codNbm = codNbm;
}

public FglDate getDataNbm() {
return dataNbm;
}

public void setDataNbm(FglDate dataNbm) {
this.dataNbm = dataNbm;
}

public String getIndTribNbm() {
return indTribNbm;
}

public void setIndTribNbm(String indTribNbm) {
this.indTribNbm = indTribNbm;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getAliqIpi() {
return aliqIpi;
}

public boolean isAliqIpiNull() {
return aliqIpiNull;
}

public void setAliqIpi(int aliqIpi) {
setAliqIpi(new Double(aliqIpi));
}

public void setAliqIpi(long aliqIpi) {
setAliqIpi(new Double(aliqIpi));
}

public void setAliqIpi(Double aliqIpi) {
if (aliqIpi == null) {
aliqIpiNull = true;
this.aliqIpi = 0.;
} else { 
aliqIpiNull = false;
this.aliqIpi = FglDouble.round(aliqIpi, 4);
}
}

public String getSecaoIpi() {
return secaoIpi;
}

public void setSecaoIpi(String secaoIpi) {
this.secaoIpi = secaoIpi;
}

public String getNotaSecaoIpi() {
return notaSecaoIpi;
}

public void setNotaSecaoIpi(String notaSecaoIpi) {
this.notaSecaoIpi = notaSecaoIpi;
}

public String getCodMedida() {
return codMedida;
}

public void setCodMedida(String codMedida) {
this.codMedida = codMedida;
}

public String getGrupoApurac() {
return grupoApurac;
}

public void setGrupoApurac(String grupoApurac) {
this.grupoApurac = grupoApurac;
}

public String getIndIncidencia() {
return indIncidencia;
}

public void setIndIncidencia(String indIncidencia) {
this.indIncidencia = indIncidencia;
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

