package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSapRetorno {
@Coluna(nome="sap_retorno.id_registro", tipo="String")
private String idRegistro;
@Coluna(nome="sap_retorno.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="sap_retorno.data_hora", tipo="FglDateTimeYS")
private FglDateTimeYS dataHora;
@Coluna(nome="sap_retorno.status", tipo="String")
private String status;
@Coluna(nome="sap_retorno.id_retorno_sap", tipo="String")
private String idRetornoSap;
@Coluna(nome="sap_retorno.numero_mensagem", tipo="int")
private int numeroMensagem;
private boolean numeroMensagemNull;
@Coluna(nome="sap_retorno.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="sap_retorno.codigo_integracao_sap", tipo="String")
private String codigoIntegracaoSap;
@Coluna(nome="sap_retorno.id_processo", tipo="int")
private int idProcesso;
private boolean idProcessoNull;
@Coluna(nome="sap_retorno.id_comando", tipo="int")
private int idComando;
private boolean idComandoNull;
@Coluna(nome="sap_retorno.message_v1", tipo="String")
private String messageV1;
@Coluna(nome="sap_retorno.message_v2", tipo="String")
private String messageV2;
@Coluna(nome="sap_retorno.message_v3", tipo="String")
private String messageV3;
@Coluna(nome="sap_retorno.message_v4", tipo="String")
private String messageV4;

public TabSapRetorno() {
initialize();
}

public void initialize() {
setIdRegistro(null);
setSequencia(null);
setDataHora(null);
setStatus(null);
setIdRetornoSap(null);
setNumeroMensagem(null);
setMensagem(null);
setCodigoIntegracaoSap(null);
setIdProcesso(null);
setIdComando(null);
setMessageV1(null);
setMessageV2(null);
setMessageV3(null);
setMessageV4(null);
}

public TabSapRetorno(String idRegistro, int sequencia, FglDateTimeYS dataHora, String status, String idRetornoSap, int numeroMensagem, String mensagem, String codigoIntegracaoSap, int idProcesso, int idComando, String messageV1, String messageV2, String messageV3, String messageV4) {
this.idRegistro = idRegistro;
this.sequencia = sequencia;
this.dataHora = dataHora;
this.status = status;
this.idRetornoSap = idRetornoSap;
this.numeroMensagem = numeroMensagem;
this.mensagem = mensagem;
this.codigoIntegracaoSap = codigoIntegracaoSap;
this.idProcesso = idProcesso;
this.idComando = idComando;
this.messageV1 = messageV1;
this.messageV2 = messageV2;
this.messageV3 = messageV3;
this.messageV4 = messageV4;
}

public String getIdRegistro() {
return idRegistro;
}

public void setIdRegistro(String idRegistro) {
this.idRegistro = idRegistro;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDateTimeYS getDataHora() {
return dataHora;
}

public void setDataHora(FglDateTimeYS dataHora) {
this.dataHora = dataHora;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getIdRetornoSap() {
return idRetornoSap;
}

public void setIdRetornoSap(String idRetornoSap) {
this.idRetornoSap = idRetornoSap;
}

public int getNumeroMensagem() {
return numeroMensagem;
}

public boolean isNumeroMensagemNull() {
return numeroMensagemNull;
}

public void setNumeroMensagem(Integer numeroMensagem) {
if (numeroMensagem == null) {
numeroMensagemNull = true;
this.numeroMensagem = 0;
} else { 
numeroMensagemNull = false;
this.numeroMensagem = numeroMensagem;
}
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public String getCodigoIntegracaoSap() {
return codigoIntegracaoSap;
}

public void setCodigoIntegracaoSap(String codigoIntegracaoSap) {
this.codigoIntegracaoSap = codigoIntegracaoSap;
}

public int getIdProcesso() {
return idProcesso;
}

public boolean isIdProcessoNull() {
return idProcessoNull;
}

public void setIdProcesso(Integer idProcesso) {
if (idProcesso == null) {
idProcessoNull = true;
this.idProcesso = 0;
} else { 
idProcessoNull = false;
this.idProcesso = idProcesso;
}
}

public int getIdComando() {
return idComando;
}

public boolean isIdComandoNull() {
return idComandoNull;
}

public void setIdComando(Integer idComando) {
if (idComando == null) {
idComandoNull = true;
this.idComando = 0;
} else { 
idComandoNull = false;
this.idComando = idComando;
}
}

public String getMessageV1() {
return messageV1;
}

public void setMessageV1(String messageV1) {
this.messageV1 = messageV1;
}

public String getMessageV2() {
return messageV2;
}

public void setMessageV2(String messageV2) {
this.messageV2 = messageV2;
}

public String getMessageV3() {
return messageV3;
}

public void setMessageV3(String messageV3) {
this.messageV3 = messageV3;
}

public String getMessageV4() {
return messageV4;
}

public void setMessageV4(String messageV4) {
this.messageV4 = messageV4;
}

}

