package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabSccoe {
@Coluna(nome="sccoe.nrocoe", tipo="int")
private int nrocoe;
private boolean nrocoeNull;
@Coluna(nome="sccoe.severidade", tipo="int")
private int severidade;
private boolean severidadeNull;
@Coluna(nome="sccoe.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="sccoe.horaabertura", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaabertura;
@Coluna(nome="sccoe.nrocontrato", tipo="int")
private int nrocontrato;
private boolean nrocontratoNull;
@Coluna(nome="sccoe.loja", tipo="int")
private int loja;
private boolean lojaNull;
@Coluna(nome="sccoe.usuario", tipo="String")
private String usuario;
@Coluna(nome="sccoe.versao", tipo="String")
private String versao;
@Coluna(nome="sccoe.sigladepto", tipo="String")
private String sigladepto;
@Coluna(nome="sccoe.id_produto", tipo="int")
private int idProduto;
private boolean idProdutoNull;
@Coluna(nome="sccoe.nomeprog", tipo="String")
private String nomeprog;
@Coluna(nome="sccoe.release", tipo="int")
private int release;
private boolean releaseNull;
@Coluna(nome="sccoe.nroerro", tipo="int")
private int nroerro;
private boolean nroerroNull;
@Coluna(nome="sccoe.linhaerro", tipo="int")
private int linhaerro;
private boolean linhaerroNull;
@Coluna(nome="sccoe.descrcoe", tipo="String")
private String descrcoe;
@Coluna(nome="sccoe.idstatus", tipo="String")
private String idstatus;
@Coluna(nome="sccoe.id_agenteenv", tipo="int")
private int idAgenteenv;
private boolean idAgenteenvNull;
@Coluna(nome="sccoe.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="sccoe.cargahoraria", tipo="float")
private float cargahoraria;
private boolean cargahorariaNull;
@Coluna(nome="sccoe.ver_prev", tipo="String")
private String verPrev;
@Coluna(nome="sccoe.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="sccoe.dtsolucao", tipo="FglDate")
private FglDate dtsolucao;
@Coluna(nome="sccoe.hrsolucao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrsolucao;
@Coluna(nome="sccoe.tpsolucao", tipo="String")
private String tpsolucao;
@Coluna(nome="sccoe.tpcausa", tipo="String")
private String tpcausa;
@Coluna(nome="sccoe.dtencerra", tipo="FglDate")
private FglDate dtencerra;
@Coluna(nome="sccoe.hrencerra", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrencerra;
@Coluna(nome="sccoe.descrsolint", tipo="String")
private String descrsolint;
@Coluna(nome="sccoe.descrsolcli", tipo="String")
private String descrsolcli;
@Coluna(nome="sccoe.disp_todos", tipo="String")
private String dispTodos;

public TabSccoe() {
initialize();
}

public void initialize() {
setNrocoe(null);
setSeveridade(null);
setDtabertura(null);
setHoraabertura(null);
setNrocontrato(null);
setLoja(null);
setUsuario(null);
setVersao(null);
setSigladepto(null);
setIdProduto(null);
setNomeprog(null);
setRelease(null);
setNroerro(null);
setLinhaerro(null);
setDescrcoe(null);
setIdstatus(null);
setIdAgenteenv(null);
setIdAgente(null);
setCargahoraria(null);
setVerPrev(null);
setDtprevista(null);
setDtsolucao(null);
setHrsolucao(null);
setTpsolucao(null);
setTpcausa(null);
setDtencerra(null);
setHrencerra(null);
setDescrsolint(null);
setDescrsolcli(null);
setDispTodos(null);
}

public TabSccoe(int nrocoe, int severidade, FglDate dtabertura, FglDateTimeHMin horaabertura, int nrocontrato, int loja, String usuario, String versao, String sigladepto, int idProduto, String nomeprog, int release, int nroerro, int linhaerro, String descrcoe, String idstatus, int idAgenteenv, int idAgente, float cargahoraria, String verPrev, FglDate dtprevista, FglDate dtsolucao, FglDateTimeHMin hrsolucao, String tpsolucao, String tpcausa, FglDate dtencerra, FglDateTimeHMin hrencerra, String descrsolint, String descrsolcli, String dispTodos) {
this.nrocoe = nrocoe;
this.severidade = severidade;
this.dtabertura = dtabertura;
this.horaabertura = horaabertura;
this.nrocontrato = nrocontrato;
this.loja = loja;
this.usuario = usuario;
this.versao = versao;
this.sigladepto = sigladepto;
this.idProduto = idProduto;
this.nomeprog = nomeprog;
this.release = release;
this.nroerro = nroerro;
this.linhaerro = linhaerro;
this.descrcoe = descrcoe;
this.idstatus = idstatus;
this.idAgenteenv = idAgenteenv;
this.idAgente = idAgente;
this.cargahoraria = cargahoraria;
this.verPrev = verPrev;
this.dtprevista = dtprevista;
this.dtsolucao = dtsolucao;
this.hrsolucao = hrsolucao;
this.tpsolucao = tpsolucao;
this.tpcausa = tpcausa;
this.dtencerra = dtencerra;
this.hrencerra = hrencerra;
this.descrsolint = descrsolint;
this.descrsolcli = descrsolcli;
this.dispTodos = dispTodos;
}

public int getNrocoe() {
return nrocoe;
}

public boolean isNrocoeNull() {
return nrocoeNull;
}

public void setNrocoe(Integer nrocoe) {
if (nrocoe == null) {
nrocoeNull = true;
this.nrocoe = 0;
} else { 
nrocoeNull = false;
this.nrocoe = nrocoe;
}
}

public int getSeveridade() {
return severidade;
}

public boolean isSeveridadeNull() {
return severidadeNull;
}

public void setSeveridade(Integer severidade) {
if (severidade == null) {
severidadeNull = true;
this.severidade = 0;
} else { 
severidadeNull = false;
this.severidade = severidade;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public FglDateTimeHMin getHoraabertura() {
return horaabertura;
}

public void setHoraabertura(FglDateTimeHMin horaabertura) {
this.horaabertura = horaabertura;
}

public int getNrocontrato() {
return nrocontrato;
}

public boolean isNrocontratoNull() {
return nrocontratoNull;
}

public void setNrocontrato(Integer nrocontrato) {
if (nrocontrato == null) {
nrocontratoNull = true;
this.nrocontrato = 0;
} else { 
nrocontratoNull = false;
this.nrocontrato = nrocontrato;
}
}

public int getLoja() {
return loja;
}

public boolean isLojaNull() {
return lojaNull;
}

public void setLoja(Integer loja) {
if (loja == null) {
lojaNull = true;
this.loja = 0;
} else { 
lojaNull = false;
this.loja = loja;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getSigladepto() {
return sigladepto;
}

public void setSigladepto(String sigladepto) {
this.sigladepto = sigladepto;
}

public int getIdProduto() {
return idProduto;
}

public boolean isIdProdutoNull() {
return idProdutoNull;
}

public void setIdProduto(Integer idProduto) {
if (idProduto == null) {
idProdutoNull = true;
this.idProduto = 0;
} else { 
idProdutoNull = false;
this.idProduto = idProduto;
}
}

public String getNomeprog() {
return nomeprog;
}

public void setNomeprog(String nomeprog) {
this.nomeprog = nomeprog;
}

public int getRelease() {
return release;
}

public boolean isReleaseNull() {
return releaseNull;
}

public void setRelease(Integer release) {
if (release == null) {
releaseNull = true;
this.release = 0;
} else { 
releaseNull = false;
this.release = release;
}
}

public int getNroerro() {
return nroerro;
}

public boolean isNroerroNull() {
return nroerroNull;
}

public void setNroerro(Integer nroerro) {
if (nroerro == null) {
nroerroNull = true;
this.nroerro = 0;
} else { 
nroerroNull = false;
this.nroerro = nroerro;
}
}

public int getLinhaerro() {
return linhaerro;
}

public boolean isLinhaerroNull() {
return linhaerroNull;
}

public void setLinhaerro(Integer linhaerro) {
if (linhaerro == null) {
linhaerroNull = true;
this.linhaerro = 0;
} else { 
linhaerroNull = false;
this.linhaerro = linhaerro;
}
}

public String getDescrcoe() {
return descrcoe;
}

public void setDescrcoe(String descrcoe) {
this.descrcoe = descrcoe;
}

public String getIdstatus() {
return idstatus;
}

public void setIdstatus(String idstatus) {
this.idstatus = idstatus;
}

public int getIdAgenteenv() {
return idAgenteenv;
}

public boolean isIdAgenteenvNull() {
return idAgenteenvNull;
}

public void setIdAgenteenv(Integer idAgenteenv) {
if (idAgenteenv == null) {
idAgenteenvNull = true;
this.idAgenteenv = 0;
} else { 
idAgenteenvNull = false;
this.idAgenteenv = idAgenteenv;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public float getCargahoraria() {
return cargahoraria;
}

public boolean isCargahorariaNull() {
return cargahorariaNull;
}

public void setCargahoraria(int cargahoraria) {
setCargahoraria(new Float(cargahoraria));
}

public void setCargahoraria(long cargahoraria) {
setCargahoraria(new Float(cargahoraria));
}

public void setCargahoraria(Float cargahoraria) {
if (cargahoraria == null) {
cargahorariaNull = true;
this.cargahoraria = 0f;
} else { 
cargahorariaNull = false;
this.cargahoraria = cargahoraria;
}
}

public String getVerPrev() {
return verPrev;
}

public void setVerPrev(String verPrev) {
this.verPrev = verPrev;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDate getDtsolucao() {
return dtsolucao;
}

public void setDtsolucao(FglDate dtsolucao) {
this.dtsolucao = dtsolucao;
}

public FglDateTimeHMin getHrsolucao() {
return hrsolucao;
}

public void setHrsolucao(FglDateTimeHMin hrsolucao) {
this.hrsolucao = hrsolucao;
}

public String getTpsolucao() {
return tpsolucao;
}

public void setTpsolucao(String tpsolucao) {
this.tpsolucao = tpsolucao;
}

public String getTpcausa() {
return tpcausa;
}

public void setTpcausa(String tpcausa) {
this.tpcausa = tpcausa;
}

public FglDate getDtencerra() {
return dtencerra;
}

public void setDtencerra(FglDate dtencerra) {
this.dtencerra = dtencerra;
}

public FglDateTimeHMin getHrencerra() {
return hrencerra;
}

public void setHrencerra(FglDateTimeHMin hrencerra) {
this.hrencerra = hrencerra;
}

public String getDescrsolint() {
return descrsolint;
}

public void setDescrsolint(String descrsolint) {
this.descrsolint = descrsolint;
}

public String getDescrsolcli() {
return descrsolcli;
}

public void setDescrsolcli(String descrsolcli) {
this.descrsolcli = descrsolcli;
}

public String getDispTodos() {
return dispTodos;
}

public void setDispTodos(String dispTodos) {
this.dispTodos = dispTodos;
}

}

