package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabScreleas {
@Coluna(nome="screleas.id_produto", tipo="int")
private int idProduto;
private boolean idProdutoNull;
@Coluna(nome="screleas.nomeprog", tipo="String")
private String nomeprog;
@Coluna(nome="screleas.versao", tipo="String")
private String versao;
@Coluna(nome="screleas.release", tipo="int")
private int release;
private boolean releaseNull;
@Coluna(nome="screleas.datalib", tipo="FglDate")
private FglDate datalib;
@Coluna(nome="screleas.horalib", tipo="FglDateTimeHMin")
private FglDateTimeHMin horalib;
@Coluna(nome="screleas.acao", tipo="String")
private String acao;
@Coluna(nome="screleas.arquivos", tipo="String")
private String arquivos;
@Coluna(nome="screleas.caminho", tipo="String")
private String caminho;
@Coluna(nome="screleas.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="screleas.liberado", tipo="String")
private String liberado;
@Coluna(nome="screleas.nrocoe", tipo="int")
private int nrocoe;
private boolean nrocoeNull;

public TabScreleas() {
initialize();
}

public void initialize() {
setIdProduto(null);
setNomeprog(null);
setVersao(null);
setRelease(null);
setDatalib(null);
setHoralib(null);
setAcao(null);
setArquivos(null);
setCaminho(null);
setIdAgente(null);
setLiberado(null);
setNrocoe(null);
}

public TabScreleas(int idProduto, String nomeprog, String versao, int release, FglDate datalib, FglDateTimeHMin horalib, String acao, String arquivos, String caminho, int idAgente, String liberado, int nrocoe) {
this.idProduto = idProduto;
this.nomeprog = nomeprog;
this.versao = versao;
this.release = release;
this.datalib = datalib;
this.horalib = horalib;
this.acao = acao;
this.arquivos = arquivos;
this.caminho = caminho;
this.idAgente = idAgente;
this.liberado = liberado;
this.nrocoe = nrocoe;
}

public int getIdProduto() {
return idProduto;
}

public boolean isIdProdutoNull() {
return idProdutoNull;
}

public void setIdProduto(Integer idProduto) {
if (idProduto == null) {
idProdutoNull = true;
this.idProduto = 0;
} else { 
idProdutoNull = false;
this.idProduto = idProduto;
}
}

public String getNomeprog() {
return nomeprog;
}

public void setNomeprog(String nomeprog) {
this.nomeprog = nomeprog;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public int getRelease() {
return release;
}

public boolean isReleaseNull() {
return releaseNull;
}

public void setRelease(Integer release) {
if (release == null) {
releaseNull = true;
this.release = 0;
} else { 
releaseNull = false;
this.release = release;
}
}

public FglDate getDatalib() {
return datalib;
}

public void setDatalib(FglDate datalib) {
this.datalib = datalib;
}

public FglDateTimeHMin getHoralib() {
return horalib;
}

public void setHoralib(FglDateTimeHMin horalib) {
this.horalib = horalib;
}

public String getAcao() {
return acao;
}

public void setAcao(String acao) {
this.acao = acao;
}

public String getArquivos() {
return arquivos;
}

public void setArquivos(String arquivos) {
this.arquivos = arquivos;
}

public String getCaminho() {
return caminho;
}

public void setCaminho(String caminho) {
this.caminho = caminho;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getLiberado() {
return liberado;
}

public void setLiberado(String liberado) {
this.liberado = liberado;
}

public int getNrocoe() {
return nrocoe;
}

public boolean isNrocoeNull() {
return nrocoeNull;
}

public void setNrocoe(Integer nrocoe) {
if (nrocoe == null) {
nrocoeNull = true;
this.nrocoe = 0;
} else { 
nrocoeNull = false;
this.nrocoe = nrocoe;
}
}

}

