package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabScversao {
@Coluna(nome="scversao.versao", tipo="String")
private String versao;
@Coluna(nome="scversao.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="scversao.dtliberacao", tipo="FglDate")
private FglDate dtliberacao;
@Coluna(nome="scversao.dtlmtrequisito", tipo="FglDate")
private FglDate dtlmtrequisito;

public TabScversao() {
initialize();
}

public void initialize() {
setVersao(null);
setDtprevista(null);
setDtliberacao(null);
setDtlmtrequisito(null);
}

public TabScversao(String versao, FglDate dtprevista, FglDate dtliberacao, FglDate dtlmtrequisito) {
this.versao = versao;
this.dtprevista = dtprevista;
this.dtliberacao = dtliberacao;
this.dtlmtrequisito = dtlmtrequisito;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDate getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDate dtliberacao) {
this.dtliberacao = dtliberacao;
}

public FglDate getDtlmtrequisito() {
return dtlmtrequisito;
}

public void setDtlmtrequisito(FglDate dtlmtrequisito) {
this.dtlmtrequisito = dtlmtrequisito;
}

}

