package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSfestoqu {
@Coluna(nome="sfestoqu.id_estoqu", tipo="int")
private int idEstoqu;
private boolean idEstoquNull;
@Coluna(nome="sfestoqu.metodo", tipo="String")
private String metodo;
@Coluna(nome="sfestoqu.numero_dn", tipo="int")
private int numeroDn;
private boolean numeroDnNull;
@Coluna(nome="sfestoqu.chassi", tipo="String")
private String chassi;
@Coluna(nome="sfestoqu.data_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dataInclusao;
@Coluna(nome="sfestoqu.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="sfestoqu.modelo", tipo="String")
private String modelo;
@Coluna(nome="sfestoqu.versao", tipo="String")
private String versao;
@Coluna(nome="sfestoqu.ano_fabricacao", tipo="int")
private int anoFabricacao;
private boolean anoFabricacaoNull;
@Coluna(nome="sfestoqu.ano_modelo", tipo="int")
private int anoModelo;
private boolean anoModeloNull;
@Coluna(nome="sfestoqu.cor", tipo="String")
private String cor;
@Coluna(nome="sfestoqu.data_entrada_estoque", tipo="FglDateTimeYS")
private FglDateTimeYS dataEntradaEstoque;
@Coluna(nome="sfestoqu.status", tipo="String")
private String status;
@Coluna(nome="sfestoqu.cod_retorno", tipo="String")
private String codRetorno;
@Coluna(nome="sfestoqu.des_retorno", tipo="String")
private String desRetorno;
@Coluna(nome="sfestoqu.preco", tipo="double")
private double preco;
private boolean precoNull;
@Coluna(nome="sfestoqu.opcionais", tipo="String")
private String opcionais;
@Coluna(nome="sfestoqu.data_ultima_atualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dataUltimaAtualizacao;
@Coluna(nome="sfestoqu.validade_reserva", tipo="FglDateTimeYS")
private FglDateTimeYS validadeReserva;

public TabSfestoqu() {
initialize();
}

public void initialize() {
setIdEstoqu(null);
setMetodo(null);
setNumeroDn(null);
setChassi(null);
setDataInclusao(null);
setStatusEnvio(null);
setModelo(null);
setVersao(null);
setAnoFabricacao(null);
setAnoModelo(null);
setCor(null);
setDataEntradaEstoque(null);
setStatus(null);
setCodRetorno(null);
setDesRetorno(null);
setPreco(null);
setOpcionais(null);
setDataUltimaAtualizacao(null);
setValidadeReserva(null);
}

public TabSfestoqu(int idEstoqu, String metodo, int numeroDn, String chassi, FglDateTimeYS dataInclusao, String statusEnvio, String modelo, String versao, int anoFabricacao, int anoModelo, String cor, FglDateTimeYS dataEntradaEstoque, String status, String codRetorno, String desRetorno, double preco, String opcionais, FglDateTimeYS dataUltimaAtualizacao, FglDateTimeYS validadeReserva) {
this.idEstoqu = idEstoqu;
this.metodo = metodo;
this.numeroDn = numeroDn;
this.chassi = chassi;
this.dataInclusao = dataInclusao;
this.statusEnvio = statusEnvio;
this.modelo = modelo;
this.versao = versao;
this.anoFabricacao = anoFabricacao;
this.anoModelo = anoModelo;
this.cor = cor;
this.dataEntradaEstoque = dataEntradaEstoque;
this.status = status;
this.codRetorno = codRetorno;
this.desRetorno = desRetorno;
this.preco = preco;
this.opcionais = opcionais;
this.dataUltimaAtualizacao = dataUltimaAtualizacao;
this.validadeReserva = validadeReserva;
}

public int getIdEstoqu() {
return idEstoqu;
}

public boolean isIdEstoquNull() {
return idEstoquNull;
}

public void setIdEstoqu(Integer idEstoqu) {
if (idEstoqu == null) {
idEstoquNull = true;
this.idEstoqu = 0;
} else { 
idEstoquNull = false;
this.idEstoqu = idEstoqu;
}
}

public String getMetodo() {
return metodo;
}

public void setMetodo(String metodo) {
this.metodo = metodo;
}

public int getNumeroDn() {
return numeroDn;
}

public boolean isNumeroDnNull() {
return numeroDnNull;
}

public void setNumeroDn(Integer numeroDn) {
if (numeroDn == null) {
numeroDnNull = true;
this.numeroDn = 0;
} else { 
numeroDnNull = false;
this.numeroDn = numeroDn;
}
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public FglDateTimeYS getDataInclusao() {
return dataInclusao;
}

public void setDataInclusao(FglDateTimeYS dataInclusao) {
this.dataInclusao = dataInclusao;
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public int getAnoFabricacao() {
return anoFabricacao;
}

public boolean isAnoFabricacaoNull() {
return anoFabricacaoNull;
}

public void setAnoFabricacao(Integer anoFabricacao) {
if (anoFabricacao == null) {
anoFabricacaoNull = true;
this.anoFabricacao = 0;
} else { 
anoFabricacaoNull = false;
this.anoFabricacao = anoFabricacao;
}
}

public int getAnoModelo() {
return anoModelo;
}

public boolean isAnoModeloNull() {
return anoModeloNull;
}

public void setAnoModelo(Integer anoModelo) {
if (anoModelo == null) {
anoModeloNull = true;
this.anoModelo = 0;
} else { 
anoModeloNull = false;
this.anoModelo = anoModelo;
}
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public FglDateTimeYS getDataEntradaEstoque() {
return dataEntradaEstoque;
}

public void setDataEntradaEstoque(FglDateTimeYS dataEntradaEstoque) {
this.dataEntradaEstoque = dataEntradaEstoque;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getCodRetorno() {
return codRetorno;
}

public void setCodRetorno(String codRetorno) {
this.codRetorno = codRetorno;
}

public String getDesRetorno() {
return desRetorno;
}

public void setDesRetorno(String desRetorno) {
this.desRetorno = desRetorno;
}

public double getPreco() {
return preco;
}

public boolean isPrecoNull() {
return precoNull;
}

public void setPreco(int preco) {
setPreco(new Double(preco));
}

public void setPreco(long preco) {
setPreco(new Double(preco));
}

public void setPreco(Double preco) {
if (preco == null) {
precoNull = true;
this.preco = 0.;
} else { 
precoNull = false;
this.preco = FglDouble.round(preco, 2);
}
}

public String getOpcionais() {
return opcionais;
}

public void setOpcionais(String opcionais) {
this.opcionais = opcionais;
}

public FglDateTimeYS getDataUltimaAtualizacao() {
return dataUltimaAtualizacao;
}

public void setDataUltimaAtualizacao(FglDateTimeYS dataUltimaAtualizacao) {
this.dataUltimaAtualizacao = dataUltimaAtualizacao;
}

public FglDateTimeYS getValidadeReserva() {
return validadeReserva;
}

public void setValidadeReserva(FglDateTimeYS validadeReserva) {
this.validadeReserva = validadeReserva;
}

}

