package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSmescopo {
@Coluna(nome="smescopo.id_sm", tipo="int")
private int idSm;
private boolean idSmNull;
@Coluna(nome="smescopo.versao", tipo="int")
private int versao;
private boolean versaoNull;
@Coluna(nome="smescopo.mudanca", tipo="int")
private int mudanca;
private boolean mudancaNull;
@Coluna(nome="smescopo.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="smescopo.altprazo", tipo="String")
private String altprazo;
@Coluna(nome="smescopo.motivo", tipo="String")
private String motivo;
@Coluna(nome="smescopo.acaocont", tipo="String")
private String acaocont;
@Coluna(nome="smescopo.aprovado", tipo="String")
private String aprovado;
@Coluna(nome="smescopo.horaaprov", tipo="FglDateTimeYS")
private FglDateTimeYS horaaprov;
@Coluna(nome="smescopo.preanalise", tipo="String")
private String preanalise;
@Coluna(nome="smescopo.comentario", tipo="String")
private String comentario;
@Coluna(nome="smescopo.responsavel", tipo="int")
private int responsavel;
private boolean responsavelNull;
@Coluna(nome="smescopo.projeto", tipo="int")
private int projeto;
private boolean projetoNull;

public TabSmescopo() {
initialize();
}

public void initialize() {
setIdSm(null);
setVersao(null);
setMudanca(null);
setTipo(null);
setAltprazo(null);
setMotivo(null);
setAcaocont(null);
setAprovado(null);
setHoraaprov(null);
setPreanalise(null);
setComentario(null);
setResponsavel(null);
setProjeto(null);
}

public TabSmescopo(int idSm, int versao, int mudanca, int tipo, String altprazo, String motivo, String acaocont, String aprovado, FglDateTimeYS horaaprov, String preanalise, String comentario, int responsavel, int projeto) {
this.idSm = idSm;
this.versao = versao;
this.mudanca = mudanca;
this.tipo = tipo;
this.altprazo = altprazo;
this.motivo = motivo;
this.acaocont = acaocont;
this.aprovado = aprovado;
this.horaaprov = horaaprov;
this.preanalise = preanalise;
this.comentario = comentario;
this.responsavel = responsavel;
this.projeto = projeto;
}

public int getIdSm() {
return idSm;
}

public boolean isIdSmNull() {
return idSmNull;
}

public void setIdSm(Integer idSm) {
if (idSm == null) {
idSmNull = true;
this.idSm = 0;
} else { 
idSmNull = false;
this.idSm = idSm;
}
}

public int getVersao() {
return versao;
}

public boolean isVersaoNull() {
return versaoNull;
}

public void setVersao(Integer versao) {
if (versao == null) {
versaoNull = true;
this.versao = 0;
} else { 
versaoNull = false;
this.versao = versao;
}
}

public int getMudanca() {
return mudanca;
}

public boolean isMudancaNull() {
return mudancaNull;
}

public void setMudanca(Integer mudanca) {
if (mudanca == null) {
mudancaNull = true;
this.mudanca = 0;
} else { 
mudancaNull = false;
this.mudanca = mudanca;
}
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public String getAltprazo() {
return altprazo;
}

public void setAltprazo(String altprazo) {
this.altprazo = altprazo;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public String getAcaocont() {
return acaocont;
}

public void setAcaocont(String acaocont) {
this.acaocont = acaocont;
}

public String getAprovado() {
return aprovado;
}

public void setAprovado(String aprovado) {
this.aprovado = aprovado;
}

public FglDateTimeYS getHoraaprov() {
return horaaprov;
}

public void setHoraaprov(FglDateTimeYS horaaprov) {
this.horaaprov = horaaprov;
}

public String getPreanalise() {
return preanalise;
}

public void setPreanalise(String preanalise) {
this.preanalise = preanalise;
}

public String getComentario() {
return comentario;
}

public void setComentario(String comentario) {
this.comentario = comentario;
}

public int getResponsavel() {
return responsavel;
}

public boolean isResponsavelNull() {
return responsavelNull;
}

public void setResponsavel(Integer responsavel) {
if (responsavel == null) {
responsavelNull = true;
this.responsavel = 0;
} else { 
responsavelNull = false;
this.responsavel = responsavel;
}
}

public int getProjeto() {
return projeto;
}

public boolean isProjetoNull() {
return projetoNull;
}

public void setProjeto(Integer projeto) {
if (projeto == null) {
projetoNull = true;
this.projeto = 0;
} else { 
projetoNull = false;
this.projeto = projeto;
}
}

}

