package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSmfaixaite {
@Coluna(nome="smfaixaite.tecnologia", tipo="String")
private String tecnologia;
@Coluna(nome="smfaixaite.estimativa", tipo="int")
private int estimativa;
private boolean estimativaNull;
@Coluna(nome="smfaixaite.item", tipo="int")
private int item;
private boolean itemNull;
@Coluna(nome="smfaixaite.faixa", tipo="int")
private int faixa;
private boolean faixaNull;
@Coluna(nome="smfaixaite.descricao", tipo="String")
private String descricao;
@Coluna(nome="smfaixaite.pesorelat", tipo="double")
private double pesorelat;
private boolean pesorelatNull;

public TabSmfaixaite() {
initialize();
}

public void initialize() {
setTecnologia(null);
setEstimativa(null);
setItem(null);
setFaixa(null);
setDescricao(null);
setPesorelat(null);
}

public TabSmfaixaite(String tecnologia, int estimativa, int item, int faixa, String descricao, double pesorelat) {
this.tecnologia = tecnologia;
this.estimativa = estimativa;
this.item = item;
this.faixa = faixa;
this.descricao = descricao;
this.pesorelat = pesorelat;
}

public String getTecnologia() {
return tecnologia;
}

public void setTecnologia(String tecnologia) {
this.tecnologia = tecnologia;
}

public int getEstimativa() {
return estimativa;
}

public boolean isEstimativaNull() {
return estimativaNull;
}

public void setEstimativa(Integer estimativa) {
if (estimativa == null) {
estimativaNull = true;
this.estimativa = 0;
} else { 
estimativaNull = false;
this.estimativa = estimativa;
}
}

public int getItem() {
return item;
}

public boolean isItemNull() {
return itemNull;
}

public void setItem(Integer item) {
if (item == null) {
itemNull = true;
this.item = 0;
} else { 
itemNull = false;
this.item = item;
}
}

public int getFaixa() {
return faixa;
}

public boolean isFaixaNull() {
return faixaNull;
}

public void setFaixa(Integer faixa) {
if (faixa == null) {
faixaNull = true;
this.faixa = 0;
} else { 
faixaNull = false;
this.faixa = faixa;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getPesorelat() {
return pesorelat;
}

public boolean isPesorelatNull() {
return pesorelatNull;
}

public void setPesorelat(int pesorelat) {
setPesorelat(new Double(pesorelat));
}

public void setPesorelat(long pesorelat) {
setPesorelat(new Double(pesorelat));
}

public void setPesorelat(Double pesorelat) {
if (pesorelat == null) {
pesorelatNull = true;
this.pesorelat = 0.;
} else { 
pesorelatNull = false;
this.pesorelat = FglDouble.round(pesorelat, 2);
}
}

}

