package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabSmpacote {
@Coluna(nome="smpacote.id_projeto", tipo="int")
private int idProjeto;
private boolean idProjetoNull;
@Coluna(nome="smpacote.id_pacote", tipo="int")
private int idPacote;
private boolean idPacoteNull;
@Coluna(nome="smpacote.nompacote", tipo="String")
private String nompacote;
@Coluna(nome="smpacote.dtinicio", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtinicio;
@Coluna(nome="smpacote.dtfim", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtfim;

public TabSmpacote() {
initialize();
}

public void initialize() {
setIdProjeto(null);
setIdPacote(null);
setNompacote(null);
setDtinicio(null);
setDtfim(null);
}

public TabSmpacote(int idProjeto, int idPacote, String nompacote, FglDateTimeYMin dtinicio, FglDateTimeYMin dtfim) {
this.idProjeto = idProjeto;
this.idPacote = idPacote;
this.nompacote = nompacote;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
}

public int getIdProjeto() {
return idProjeto;
}

public boolean isIdProjetoNull() {
return idProjetoNull;
}

public void setIdProjeto(Integer idProjeto) {
if (idProjeto == null) {
idProjetoNull = true;
this.idProjeto = 0;
} else { 
idProjetoNull = false;
this.idProjeto = idProjeto;
}
}

public int getIdPacote() {
return idPacote;
}

public boolean isIdPacoteNull() {
return idPacoteNull;
}

public void setIdPacote(Integer idPacote) {
if (idPacote == null) {
idPacoteNull = true;
this.idPacote = 0;
} else { 
idPacoteNull = false;
this.idPacote = idPacote;
}
}

public String getNompacote() {
return nompacote;
}

public void setNompacote(String nompacote) {
this.nompacote = nompacote;
}

public FglDateTimeYMin getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDateTimeYMin dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeYMin getDtfim() {
return dtfim;
}

public void setDtfim(FglDateTimeYMin dtfim) {
this.dtfim = dtfim;
}

}

