package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSmprojeto {
@Coluna(nome="smprojeto.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="smprojeto.sigla", tipo="String")
private String sigla;
@Coluna(nome="smprojeto.codgerente", tipo="int")
private int codgerente;
private boolean codgerenteNull;
@Coluna(nome="smprojeto.nomestake", tipo="String")
private String nomestake;
@Coluna(nome="smprojeto.importstake", tipo="String")
private String importstake;
@Coluna(nome="smprojeto.emailstake", tipo="String")
private String emailstake;
@Coluna(nome="smprojeto.situacao", tipo="String")
private String situacao;
@Coluna(nome="smprojeto.motivosit", tipo="String")
private String motivosit;
@Coluna(nome="smprojeto.dataentrega", tipo="FglDate")
private FglDate dataentrega;
@Coluna(nome="smprojeto.datafimapv", tipo="FglDate")
private FglDate datafimapv;
@Coluna(nome="smprojeto.datareuko", tipo="FglDate")
private FglDate datareuko;
@Coluna(nome="smprojeto.arqpdeprj", tipo="String")
private String arqpdeprj;
@Coluna(nome="smprojeto.arqaprgpr", tipo="String")
private String arqaprgpr;
@Coluna(nome="smprojeto.arqplaprj", tipo="String")
private String arqplaprj;
@Coluna(nome="smprojeto.arqcronog", tipo="String")
private String arqcronog;
@Coluna(nome="smprojeto.arqatareu", tipo="String")
private String arqatareu;
@Coluna(nome="smprojeto.id_coordenador", tipo="int")
private int idCoordenador;
private boolean idCoordenadorNull;
@Coluna(nome="smprojeto.email", tipo="String")
private String email;

public TabSmprojeto() {
initialize();
}

public void initialize() {
setCodigo(null);
setSigla(null);
setCodgerente(null);
setNomestake(null);
setImportstake(null);
setEmailstake(null);
setSituacao(null);
setMotivosit(null);
setDataentrega(null);
setDatafimapv(null);
setDatareuko(null);
setArqpdeprj(null);
setArqaprgpr(null);
setArqplaprj(null);
setArqcronog(null);
setArqatareu(null);
setIdCoordenador(null);
setEmail(null);
}

public TabSmprojeto(int codigo, String sigla, int codgerente, String nomestake, String importstake, String emailstake, String situacao, String motivosit, FglDate dataentrega, FglDate datafimapv, FglDate datareuko, String arqpdeprj, String arqaprgpr, String arqplaprj, String arqcronog, String arqatareu, int idCoordenador, String email) {
this.codigo = codigo;
this.sigla = sigla;
this.codgerente = codgerente;
this.nomestake = nomestake;
this.importstake = importstake;
this.emailstake = emailstake;
this.situacao = situacao;
this.motivosit = motivosit;
this.dataentrega = dataentrega;
this.datafimapv = datafimapv;
this.datareuko = datareuko;
this.arqpdeprj = arqpdeprj;
this.arqaprgpr = arqaprgpr;
this.arqplaprj = arqplaprj;
this.arqcronog = arqcronog;
this.arqatareu = arqatareu;
this.idCoordenador = idCoordenador;
this.email = email;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

public int getCodgerente() {
return codgerente;
}

public boolean isCodgerenteNull() {
return codgerenteNull;
}

public void setCodgerente(Integer codgerente) {
if (codgerente == null) {
codgerenteNull = true;
this.codgerente = 0;
} else { 
codgerenteNull = false;
this.codgerente = codgerente;
}
}

public String getNomestake() {
return nomestake;
}

public void setNomestake(String nomestake) {
this.nomestake = nomestake;
}

public String getImportstake() {
return importstake;
}

public void setImportstake(String importstake) {
this.importstake = importstake;
}

public String getEmailstake() {
return emailstake;
}

public void setEmailstake(String emailstake) {
this.emailstake = emailstake;
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getMotivosit() {
return motivosit;
}

public void setMotivosit(String motivosit) {
this.motivosit = motivosit;
}

public FglDate getDataentrega() {
return dataentrega;
}

public void setDataentrega(FglDate dataentrega) {
this.dataentrega = dataentrega;
}

public FglDate getDatafimapv() {
return datafimapv;
}

public void setDatafimapv(FglDate datafimapv) {
this.datafimapv = datafimapv;
}

public FglDate getDatareuko() {
return datareuko;
}

public void setDatareuko(FglDate datareuko) {
this.datareuko = datareuko;
}

public String getArqpdeprj() {
return arqpdeprj;
}

public void setArqpdeprj(String arqpdeprj) {
this.arqpdeprj = arqpdeprj;
}

public String getArqaprgpr() {
return arqaprgpr;
}

public void setArqaprgpr(String arqaprgpr) {
this.arqaprgpr = arqaprgpr;
}

public String getArqplaprj() {
return arqplaprj;
}

public void setArqplaprj(String arqplaprj) {
this.arqplaprj = arqplaprj;
}

public String getArqcronog() {
return arqcronog;
}

public void setArqcronog(String arqcronog) {
this.arqcronog = arqcronog;
}

public String getArqatareu() {
return arqatareu;
}

public void setArqatareu(String arqatareu) {
this.arqatareu = arqatareu;
}

public int getIdCoordenador() {
return idCoordenador;
}

public boolean isIdCoordenadorNull() {
return idCoordenadorNull;
}

public void setIdCoordenador(Integer idCoordenador) {
if (idCoordenador == null) {
idCoordenadorNull = true;
this.idCoordenador = 0;
} else { 
idCoordenadorNull = false;
this.idCoordenador = idCoordenador;
}
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

}

