package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSmreghor {
@Coluna(nome="smreghor.id_sm", tipo="int")
private int idSm;
private boolean idSmNull;
@Coluna(nome="smreghor.versao", tipo="int")
private int versao;
private boolean versaoNull;
@Coluna(nome="smreghor.especificacao", tipo="int")
private int especificacao;
private boolean especificacaoNull;
@Coluna(nome="smreghor.horainicio", tipo="FglDateTimeYS")
private FglDateTimeYS horainicio;
@Coluna(nome="smreghor.horafim", tipo="FglDateTimeYS")
private FglDateTimeYS horafim;
@Coluna(nome="smreghor.tipoest", tipo="int")
private int tipoest;
private boolean tipoestNull;
@Coluna(nome="smreghor.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="smreghor.minutos", tipo="int")
private int minutos;
private boolean minutosNull;

public TabSmreghor() {
initialize();
}

public void initialize() {
setIdSm(null);
setVersao(null);
setEspecificacao(null);
setHorainicio(null);
setHorafim(null);
setTipoest(null);
setIdAgente(null);
setMinutos(null);
}

public TabSmreghor(int idSm, int versao, int especificacao, FglDateTimeYS horainicio, FglDateTimeYS horafim, int tipoest, int idAgente, int minutos) {
this.idSm = idSm;
this.versao = versao;
this.especificacao = especificacao;
this.horainicio = horainicio;
this.horafim = horafim;
this.tipoest = tipoest;
this.idAgente = idAgente;
this.minutos = minutos;
}

public int getIdSm() {
return idSm;
}

public boolean isIdSmNull() {
return idSmNull;
}

public void setIdSm(Integer idSm) {
if (idSm == null) {
idSmNull = true;
this.idSm = 0;
} else { 
idSmNull = false;
this.idSm = idSm;
}
}

public int getVersao() {
return versao;
}

public boolean isVersaoNull() {
return versaoNull;
}

public void setVersao(Integer versao) {
if (versao == null) {
versaoNull = true;
this.versao = 0;
} else { 
versaoNull = false;
this.versao = versao;
}
}

public int getEspecificacao() {
return especificacao;
}

public boolean isEspecificacaoNull() {
return especificacaoNull;
}

public void setEspecificacao(Integer especificacao) {
if (especificacao == null) {
especificacaoNull = true;
this.especificacao = 0;
} else { 
especificacaoNull = false;
this.especificacao = especificacao;
}
}

public FglDateTimeYS getHorainicio() {
return horainicio;
}

public void setHorainicio(FglDateTimeYS horainicio) {
this.horainicio = horainicio;
}

public FglDateTimeYS getHorafim() {
return horafim;
}

public void setHorafim(FglDateTimeYS horafim) {
this.horafim = horafim;
}

public int getTipoest() {
return tipoest;
}

public boolean isTipoestNull() {
return tipoestNull;
}

public void setTipoest(Integer tipoest) {
if (tipoest == null) {
tipoestNull = true;
this.tipoest = 0;
} else { 
tipoestNull = false;
this.tipoest = tipoest;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getMinutos() {
return minutos;
}

public boolean isMinutosNull() {
return minutosNull;
}

public void setMinutos(Integer minutos) {
if (minutos == null) {
minutosNull = true;
this.minutos = 0;
} else { 
minutosNull = false;
this.minutos = minutos;
}
}

}

