package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSnapondr {
@Coluna(nome="snapondr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="snapondr.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="snapondr.codigo", tipo="String")
private String codigo;
@Coluna(nome="snapondr.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabSnapondr() {
initialize();
}

public void initialize() {
setFilial(null);
setBandeira(null);
setCodigo(null);
setValor(null);
}

public TabSnapondr(int filial, String bandeira, String codigo, double valor) {
this.filial = filial;
this.bandeira = bandeira;
this.codigo = codigo;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

