package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSpedcont {
@Coluna(nome="spedcont.id_spedicon", tipo="int")
private int idSpedicon;
private boolean idSpediconNull;
@Coluna(nome="spedcont.conta", tipo="String")
private String conta;
@Coluna(nome="spedcont.descricao", tipo="String")
private String descricao;
@Coluna(nome="spedcont.aplicaprop", tipo="String")
private String aplicaprop;
@Coluna(nome="spedcont.cst_pis", tipo="int")
private int cstPis;
private boolean cstPisNull;
@Coluna(nome="spedcont.cst_cofins", tipo="int")
private int cstCofins;
private boolean cstCofinsNull;
@Coluna(nome="spedcont.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="spedcont.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;
@Coluna(nome="spedcont.id_planopis", tipo="int")
private int idPlanopis;
private boolean idPlanopisNull;
@Coluna(nome="spedcont.id_planocofins", tipo="int")
private int idPlanocofins;
private boolean idPlanocofinsNull;
@Coluna(nome="spedcont.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;
@Coluna(nome="spedcont.cre_rec", tipo="String")
private String creRec;
@Coluna(nome="spedcont.ativo", tipo="String")
private String ativo;
@Coluna(nome="spedcont.inc_recbruta", tipo="String")
private String incRecbruta;
@Coluna(nome="spedcont.cnpj_participante", tipo="long")
private long cnpjParticipante;
private boolean cnpjParticipanteNull;

public TabSpedcont() {
initialize();
}

public void initialize() {
setIdSpedicon(null);
setConta(null);
setDescricao(null);
setAplicaprop(null);
setCstPis(null);
setCstCofins(null);
setAliqpis(null);
setAliqcofins(null);
setIdPlanopis(null);
setIdPlanocofins(null);
setCodCalculo(null);
setCreRec(null);
setAtivo(null);
setIncRecbruta(null);
setCnpjParticipante(null);
}

public TabSpedcont(int idSpedicon, String conta, String descricao, String aplicaprop, int cstPis, int cstCofins, double aliqpis, double aliqcofins, int idPlanopis, int idPlanocofins, int codCalculo, String creRec, String ativo, String incRecbruta, long cnpjParticipante) {
this.idSpedicon = idSpedicon;
this.conta = conta;
this.descricao = descricao;
this.aplicaprop = aplicaprop;
this.cstPis = cstPis;
this.cstCofins = cstCofins;
this.aliqpis = aliqpis;
this.aliqcofins = aliqcofins;
this.idPlanopis = idPlanopis;
this.idPlanocofins = idPlanocofins;
this.codCalculo = codCalculo;
this.creRec = creRec;
this.ativo = ativo;
this.incRecbruta = incRecbruta;
this.cnpjParticipante = cnpjParticipante;
}

public int getIdSpedicon() {
return idSpedicon;
}

public boolean isIdSpediconNull() {
return idSpediconNull;
}

public void setIdSpedicon(Integer idSpedicon) {
if (idSpedicon == null) {
idSpediconNull = true;
this.idSpedicon = 0;
} else { 
idSpediconNull = false;
this.idSpedicon = idSpedicon;
}
}

public String getConta() {
return conta;
}

public void setConta(String conta) {
this.conta = conta;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getAplicaprop() {
return aplicaprop;
}

public void setAplicaprop(String aplicaprop) {
this.aplicaprop = aplicaprop;
}

public int getCstPis() {
return cstPis;
}

public boolean isCstPisNull() {
return cstPisNull;
}

public void setCstPis(Integer cstPis) {
if (cstPis == null) {
cstPisNull = true;
this.cstPis = 0;
} else { 
cstPisNull = false;
this.cstPis = cstPis;
}
}

public int getCstCofins() {
return cstCofins;
}

public boolean isCstCofinsNull() {
return cstCofinsNull;
}

public void setCstCofins(Integer cstCofins) {
if (cstCofins == null) {
cstCofinsNull = true;
this.cstCofins = 0;
} else { 
cstCofinsNull = false;
this.cstCofins = cstCofins;
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

public int getIdPlanopis() {
return idPlanopis;
}

public boolean isIdPlanopisNull() {
return idPlanopisNull;
}

public void setIdPlanopis(Integer idPlanopis) {
if (idPlanopis == null) {
idPlanopisNull = true;
this.idPlanopis = 0;
} else { 
idPlanopisNull = false;
this.idPlanopis = idPlanopis;
}
}

public int getIdPlanocofins() {
return idPlanocofins;
}

public boolean isIdPlanocofinsNull() {
return idPlanocofinsNull;
}

public void setIdPlanocofins(Integer idPlanocofins) {
if (idPlanocofins == null) {
idPlanocofinsNull = true;
this.idPlanocofins = 0;
} else { 
idPlanocofinsNull = false;
this.idPlanocofins = idPlanocofins;
}
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

public String getCreRec() {
return creRec;
}

public void setCreRec(String creRec) {
this.creRec = creRec;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getIncRecbruta() {
return incRecbruta;
}

public void setIncRecbruta(String incRecbruta) {
this.incRecbruta = incRecbruta;
}

public long getCnpjParticipante() {
return cnpjParticipante;
}

public boolean isCnpjParticipanteNull() {
return cnpjParticipanteNull;
}

public void setCnpjParticipante(int cnpjParticipante) {
setCnpjParticipante(new Long(cnpjParticipante));
}

public void setCnpjParticipante(Long cnpjParticipante) {
if (cnpjParticipante == null) {
cnpjParticipanteNull = true;
this.cnpjParticipante = 0l;
} else { 
cnpjParticipanteNull = false;
this.cnpjParticipante = cnpjParticipante;
}
}

}

