package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSpedcst {
@Coluna(nome="spedcst.cod_cst", tipo="int")
private int codCst;
private boolean codCstNull;
@Coluna(nome="spedcst.tipo", tipo="String")
private String tipo;
@Coluna(nome="spedcst.descricao", tipo="String")
private String descricao;
@Coluna(nome="spedcst.tipo_credito", tipo="int")
private int tipoCredito;
private boolean tipoCreditoNull;
@Coluna(nome="spedcst.tipo_contrib", tipo="int")
private int tipoContrib;
private boolean tipoContribNull;

public TabSpedcst() {
initialize();
}

public void initialize() {
setCodCst(null);
setTipo(null);
setDescricao(null);
setTipoCredito(null);
setTipoContrib(null);
}

public TabSpedcst(int codCst, String tipo, String descricao, int tipoCredito, int tipoContrib) {
this.codCst = codCst;
this.tipo = tipo;
this.descricao = descricao;
this.tipoCredito = tipoCredito;
this.tipoContrib = tipoContrib;
}

public int getCodCst() {
return codCst;
}

public boolean isCodCstNull() {
return codCstNull;
}

public void setCodCst(Integer codCst) {
if (codCst == null) {
codCstNull = true;
this.codCst = 0;
} else { 
codCstNull = false;
this.codCst = codCst;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getTipoCredito() {
return tipoCredito;
}

public boolean isTipoCreditoNull() {
return tipoCreditoNull;
}

public void setTipoCredito(Integer tipoCredito) {
if (tipoCredito == null) {
tipoCreditoNull = true;
this.tipoCredito = 0;
} else { 
tipoCreditoNull = false;
this.tipoCredito = tipoCredito;
}
}

public int getTipoContrib() {
return tipoContrib;
}

public boolean isTipoContribNull() {
return tipoContribNull;
}

public void setTipoContrib(Integer tipoContrib) {
if (tipoContrib == null) {
tipoContribNull = true;
this.tipoContrib = 0;
} else { 
tipoContribNull = false;
this.tipoContrib = tipoContrib;
}
}

}

