package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSpedpara {
@Coluna(nome="spedpara.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="spedpara.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="spedpara.dtiniativ", tipo="FglDate")
private FglDate dtiniativ;
@Coluna(nome="spedpara.dtfimativ", tipo="FglDate")
private FglDate dtfimativ;
@Coluna(nome="spedpara.metodoaprop", tipo="int")
private int metodoaprop;
private boolean metodoapropNull;

public TabSpedpara() {
initialize();
}

public void initialize() {
setFilial(null);
setData(null);
setDtiniativ(null);
setDtfimativ(null);
setMetodoaprop(null);
}

public TabSpedpara(int filial, FglDate data, FglDate dtiniativ, FglDate dtfimativ, int metodoaprop) {
this.filial = filial;
this.data = data;
this.dtiniativ = dtiniativ;
this.dtfimativ = dtfimativ;
this.metodoaprop = metodoaprop;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public FglDate getDtiniativ() {
return dtiniativ;
}

public void setDtiniativ(FglDate dtiniativ) {
this.dtiniativ = dtiniativ;
}

public FglDate getDtfimativ() {
return dtfimativ;
}

public void setDtfimativ(FglDate dtfimativ) {
this.dtfimativ = dtfimativ;
}

public int getMetodoaprop() {
return metodoaprop;
}

public boolean isMetodoapropNull() {
return metodoapropNull;
}

public void setMetodoaprop(Integer metodoaprop) {
if (metodoaprop == null) {
metodoapropNull = true;
this.metodoaprop = 0;
} else { 
metodoapropNull = false;
this.metodoaprop = metodoaprop;
}
}

}

