package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabSpedrefe {
@Coluna(nome="spedrefe.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="spedrefe.instituicao", tipo="String")
private String instituicao;
@Coluna(nome="spedrefe.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="spedrefe.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="spedrefe.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="spedrefe.tipo", tipo="String")
private String tipo;
@Coluna(nome="spedrefe.contarefer", tipo="long")
private long contarefer;
private boolean contareferNull;
@Coluna(nome="spedrefe.cod_idt_corr", tipo="String")
private String codIdtCorr;
@Coluna(nome="spedrefe.cod_cnt_corr", tipo="long")
private long codCntCorr;
private boolean codCntCorrNull;
@Coluna(nome="spedrefe.nat_sub_cnt_corr", tipo="String")
private String natSubCntCorr;

public TabSpedrefe() {
initialize();
}

public void initialize() {
setFilial(null);
setInstituicao(null);
setIdPlano(null);
setIdSetor(null);
setAnomes(null);
setTipo(null);
setContarefer(null);
setCodIdtCorr(null);
setCodCntCorr(null);
setNatSubCntCorr(null);
}

public TabSpedrefe(int filial, String instituicao, int idPlano, int idSetor, FglDateTimeYM anomes, String tipo, long contarefer, String codIdtCorr, long codCntCorr, String natSubCntCorr) {
this.filial = filial;
this.instituicao = instituicao;
this.idPlano = idPlano;
this.idSetor = idSetor;
this.anomes = anomes;
this.tipo = tipo;
this.contarefer = contarefer;
this.codIdtCorr = codIdtCorr;
this.codCntCorr = codCntCorr;
this.natSubCntCorr = natSubCntCorr;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getInstituicao() {
return instituicao;
}

public void setInstituicao(String instituicao) {
this.instituicao = instituicao;
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public long getContarefer() {
return contarefer;
}

public boolean isContareferNull() {
return contareferNull;
}

public void setContarefer(int contarefer) {
setContarefer(new Long(contarefer));
}

public void setContarefer(Long contarefer) {
if (contarefer == null) {
contareferNull = true;
this.contarefer = 0l;
} else { 
contareferNull = false;
this.contarefer = contarefer;
}
}

public String getCodIdtCorr() {
return codIdtCorr;
}

public void setCodIdtCorr(String codIdtCorr) {
this.codIdtCorr = codIdtCorr;
}

public long getCodCntCorr() {
return codCntCorr;
}

public boolean isCodCntCorrNull() {
return codCntCorrNull;
}

public void setCodCntCorr(int codCntCorr) {
setCodCntCorr(new Long(codCntCorr));
}

public void setCodCntCorr(Long codCntCorr) {
if (codCntCorr == null) {
codCntCorrNull = true;
this.codCntCorr = 0l;
} else { 
codCntCorrNull = false;
this.codCntCorr = codCntCorr;
}
}

public String getNatSubCntCorr() {
return natSubCntCorr;
}

public void setNatSubCntCorr(String natSubCntCorr) {
this.natSubCntCorr = natSubCntCorr;
}

}

