package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSpedsald {
@Coluna(nome="spedsald.cgccpf_raiz", tipo="long")
private long cgccpfRaiz;
private boolean cgccpfRaizNull;
@Coluna(nome="spedsald.nroplano", tipo="int")
private int nroplano;
private boolean nroplanoNull;
@Coluna(nome="spedsald.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="spedsald.tipo_credito", tipo="int")
private int tipoCredito;
private boolean tipoCreditoNull;
@Coluna(nome="spedsald.tipo", tipo="String")
private String tipo;
@Coluna(nome="spedsald.saldocred_ant", tipo="double")
private double saldocredAnt;
private boolean saldocredAntNull;
@Coluna(nome="spedsald.vlcredapu", tipo="double")
private double vlcredapu;
private boolean vlcredapuNull;
@Coluna(nome="spedsald.vlcreddescant", tipo="double")
private double vlcreddescant;
private boolean vlcreddescantNull;
@Coluna(nome="spedsald.vlcreddesc", tipo="double")
private double vlcreddesc;
private boolean vlcreddescNull;
@Coluna(nome="spedsald.saldocred", tipo="double")
private double saldocred;
private boolean saldocredNull;

public TabSpedsald() {
initialize();
}

public void initialize() {
setCgccpfRaiz(null);
setNroplano(null);
setAnomes(null);
setTipoCredito(null);
setTipo(null);
setSaldocredAnt(null);
setVlcredapu(null);
setVlcreddescant(null);
setVlcreddesc(null);
setSaldocred(null);
}

public TabSpedsald(long cgccpfRaiz, int nroplano, FglDateTimeYM anomes, int tipoCredito, String tipo, double saldocredAnt, double vlcredapu, double vlcreddescant, double vlcreddesc, double saldocred) {
this.cgccpfRaiz = cgccpfRaiz;
this.nroplano = nroplano;
this.anomes = anomes;
this.tipoCredito = tipoCredito;
this.tipo = tipo;
this.saldocredAnt = saldocredAnt;
this.vlcredapu = vlcredapu;
this.vlcreddescant = vlcreddescant;
this.vlcreddesc = vlcreddesc;
this.saldocred = saldocred;
}

public long getCgccpfRaiz() {
return cgccpfRaiz;
}

public boolean isCgccpfRaizNull() {
return cgccpfRaizNull;
}

public void setCgccpfRaiz(int cgccpfRaiz) {
setCgccpfRaiz(new Long(cgccpfRaiz));
}

public void setCgccpfRaiz(Long cgccpfRaiz) {
if (cgccpfRaiz == null) {
cgccpfRaizNull = true;
this.cgccpfRaiz = 0l;
} else { 
cgccpfRaizNull = false;
this.cgccpfRaiz = cgccpfRaiz;
}
}

public int getNroplano() {
return nroplano;
}

public boolean isNroplanoNull() {
return nroplanoNull;
}

public void setNroplano(Integer nroplano) {
if (nroplano == null) {
nroplanoNull = true;
this.nroplano = 0;
} else { 
nroplanoNull = false;
this.nroplano = nroplano;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getTipoCredito() {
return tipoCredito;
}

public boolean isTipoCreditoNull() {
return tipoCreditoNull;
}

public void setTipoCredito(Integer tipoCredito) {
if (tipoCredito == null) {
tipoCreditoNull = true;
this.tipoCredito = 0;
} else { 
tipoCreditoNull = false;
this.tipoCredito = tipoCredito;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public double getSaldocredAnt() {
return saldocredAnt;
}

public boolean isSaldocredAntNull() {
return saldocredAntNull;
}

public void setSaldocredAnt(int saldocredAnt) {
setSaldocredAnt(new Double(saldocredAnt));
}

public void setSaldocredAnt(long saldocredAnt) {
setSaldocredAnt(new Double(saldocredAnt));
}

public void setSaldocredAnt(Double saldocredAnt) {
if (saldocredAnt == null) {
saldocredAntNull = true;
this.saldocredAnt = 0.;
} else { 
saldocredAntNull = false;
this.saldocredAnt = FglDouble.round(saldocredAnt, 2);
}
}

public double getVlcredapu() {
return vlcredapu;
}

public boolean isVlcredapuNull() {
return vlcredapuNull;
}

public void setVlcredapu(int vlcredapu) {
setVlcredapu(new Double(vlcredapu));
}

public void setVlcredapu(long vlcredapu) {
setVlcredapu(new Double(vlcredapu));
}

public void setVlcredapu(Double vlcredapu) {
if (vlcredapu == null) {
vlcredapuNull = true;
this.vlcredapu = 0.;
} else { 
vlcredapuNull = false;
this.vlcredapu = FglDouble.round(vlcredapu, 2);
}
}

public double getVlcreddescant() {
return vlcreddescant;
}

public boolean isVlcreddescantNull() {
return vlcreddescantNull;
}

public void setVlcreddescant(int vlcreddescant) {
setVlcreddescant(new Double(vlcreddescant));
}

public void setVlcreddescant(long vlcreddescant) {
setVlcreddescant(new Double(vlcreddescant));
}

public void setVlcreddescant(Double vlcreddescant) {
if (vlcreddescant == null) {
vlcreddescantNull = true;
this.vlcreddescant = 0.;
} else { 
vlcreddescantNull = false;
this.vlcreddescant = FglDouble.round(vlcreddescant, 2);
}
}

public double getVlcreddesc() {
return vlcreddesc;
}

public boolean isVlcreddescNull() {
return vlcreddescNull;
}

public void setVlcreddesc(int vlcreddesc) {
setVlcreddesc(new Double(vlcreddesc));
}

public void setVlcreddesc(long vlcreddesc) {
setVlcreddesc(new Double(vlcreddesc));
}

public void setVlcreddesc(Double vlcreddesc) {
if (vlcreddesc == null) {
vlcreddescNull = true;
this.vlcreddesc = 0.;
} else { 
vlcreddescNull = false;
this.vlcreddesc = FglDouble.round(vlcreddesc, 2);
}
}

public double getSaldocred() {
return saldocred;
}

public boolean isSaldocredNull() {
return saldocredNull;
}

public void setSaldocred(int saldocred) {
setSaldocred(new Double(saldocred));
}

public void setSaldocred(long saldocred) {
setSaldocred(new Double(saldocred));
}

public void setSaldocred(Double saldocred) {
if (saldocred == null) {
saldocredNull = true;
this.saldocred = 0.;
} else { 
saldocredNull = false;
this.saldocred = FglDouble.round(saldocred, 2);
}
}

}

