package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSrtbcove {
@Coluna(nome="srtbcove.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="srtbcove.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="srtbcove.sitvei", tipo="String")
private String sitvei;
@Coluna(nome="srtbcove.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="srtbcove.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="srtbcove.modelo", tipo="String")
private String modelo;
@Coluna(nome="srtbcove.qtdevenda", tipo="int")
private int qtdevenda;
private boolean qtdevendaNull;
@Coluna(nome="srtbcove.percomis", tipo="double")
private double percomis;
private boolean percomisNull;
@Coluna(nome="srtbcove.basecomis", tipo="String")
private String basecomis;

public TabSrtbcove() {
initialize();
}

public void initialize() {
setFilial(null);
setTpvenda(null);
setSitvei(null);
setIdGrupos(null);
setFamilia(null);
setModelo(null);
setQtdevenda(null);
setPercomis(null);
setBasecomis(null);
}

public TabSrtbcove(int filial, String tpvenda, String sitvei, int idGrupos, int familia, String modelo, int qtdevenda, double percomis, String basecomis) {
this.filial = filial;
this.tpvenda = tpvenda;
this.sitvei = sitvei;
this.idGrupos = idGrupos;
this.familia = familia;
this.modelo = modelo;
this.qtdevenda = qtdevenda;
this.percomis = percomis;
this.basecomis = basecomis;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public String getSitvei() {
return sitvei;
}

public void setSitvei(String sitvei) {
this.sitvei = sitvei;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getQtdevenda() {
return qtdevenda;
}

public boolean isQtdevendaNull() {
return qtdevendaNull;
}

public void setQtdevenda(Integer qtdevenda) {
if (qtdevenda == null) {
qtdevendaNull = true;
this.qtdevenda = 0;
} else { 
qtdevendaNull = false;
this.qtdevenda = qtdevenda;
}
}

public double getPercomis() {
return percomis;
}

public boolean isPercomisNull() {
return percomisNull;
}

public void setPercomis(int percomis) {
setPercomis(new Double(percomis));
}

public void setPercomis(long percomis) {
setPercomis(new Double(percomis));
}

public void setPercomis(Double percomis) {
if (percomis == null) {
percomisNull = true;
this.percomis = 0.;
} else { 
percomisNull = false;
this.percomis = FglDouble.round(percomis, 2);
}
}

public String getBasecomis() {
return basecomis;
}

public void setBasecomis(String basecomis) {
this.basecomis = basecomis;
}

}

