package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysaqt {
@Coluna(nome="sysaqt.aqt", tipo="String")
private String aqt;
@Coluna(nome="sysaqt.aqttabid", tipo="int")
private int aqttabid;
private boolean aqttabidNull;
@Coluna(nome="sysaqt.dbname", tipo="String")
private String dbname;
@Coluna(nome="sysaqt.dwa", tipo="String")
private String dwa;
@Coluna(nome="sysaqt.factid", tipo="int")
private int factid;
private boolean factidNull;
@Coluna(nome="sysaqt.ntab", tipo="int")
private int ntab;
private boolean ntabNull;
@Coluna(nome="sysaqt.matched", tipo="int")
private int matched;
private boolean matchedNull;
@Coluna(nome="sysaqt.enabled", tipo="String")
private String enabled;
@Coluna(nome="sysaqt.virtual", tipo="String")
private String virtual;

public TabSysaqt() {
initialize();
}

public void initialize() {
setAqt(null);
setAqttabid(null);
setDbname(null);
setDwa(null);
setFactid(null);
setNtab(null);
setMatched(null);
setEnabled(null);
setVirtual(null);
}

public TabSysaqt(String aqt, int aqttabid, String dbname, String dwa, int factid, int ntab, int matched, String enabled, String virtual) {
this.aqt = aqt;
this.aqttabid = aqttabid;
this.dbname = dbname;
this.dwa = dwa;
this.factid = factid;
this.ntab = ntab;
this.matched = matched;
this.enabled = enabled;
this.virtual = virtual;
}

public String getAqt() {
return aqt;
}

public void setAqt(String aqt) {
this.aqt = aqt;
}

public int getAqttabid() {
return aqttabid;
}

public boolean isAqttabidNull() {
return aqttabidNull;
}

public void setAqttabid(Integer aqttabid) {
if (aqttabid == null) {
aqttabidNull = true;
this.aqttabid = 0;
} else { 
aqttabidNull = false;
this.aqttabid = aqttabid;
}
}

public String getDbname() {
return dbname;
}

public void setDbname(String dbname) {
this.dbname = dbname;
}

public String getDwa() {
return dwa;
}

public void setDwa(String dwa) {
this.dwa = dwa;
}

public int getFactid() {
return factid;
}

public boolean isFactidNull() {
return factidNull;
}

public void setFactid(Integer factid) {
if (factid == null) {
factidNull = true;
this.factid = 0;
} else { 
factidNull = false;
this.factid = factid;
}
}

public int getNtab() {
return ntab;
}

public boolean isNtabNull() {
return ntabNull;
}

public void setNtab(Integer ntab) {
if (ntab == null) {
ntabNull = true;
this.ntab = 0;
} else { 
ntabNull = false;
this.ntab = ntab;
}
}

public int getMatched() {
return matched;
}

public boolean isMatchedNull() {
return matchedNull;
}

public void setMatched(Integer matched) {
if (matched == null) {
matchedNull = true;
this.matched = 0;
} else { 
matchedNull = false;
this.matched = matched;
}
}

public String getEnabled() {
return enabled;
}

public void setEnabled(String enabled) {
this.enabled = enabled;
}

public String getVirtual() {
return virtual;
}

public void setVirtual(String virtual) {
this.virtual = virtual;
}

}

