package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyscasts {
@Coluna(nome="syscasts.owner", tipo="String")
private String owner;
@Coluna(nome="syscasts.argument_type", tipo="int")
private int argumentType;
private boolean argumentTypeNull;
@Coluna(nome="syscasts.argument_xid", tipo="int")
private int argumentXid;
private boolean argumentXidNull;
@Coluna(nome="syscasts.result_type", tipo="int")
private int resultType;
private boolean resultTypeNull;
@Coluna(nome="syscasts.result_xid", tipo="int")
private int resultXid;
private boolean resultXidNull;
@Coluna(nome="syscasts.routine_name", tipo="String")
private String routineName;
@Coluna(nome="syscasts.routine_owner", tipo="String")
private String routineOwner;
@Coluna(nome="syscasts.class", tipo="String")
private String _class;

public TabSyscasts() {
initialize();
}

public void initialize() {
setOwner(null);
setArgumentType(null);
setArgumentXid(null);
setResultType(null);
setResultXid(null);
setRoutineName(null);
setRoutineOwner(null);
set_class(null);
}

public TabSyscasts(String owner, int argumentType, int argumentXid, int resultType, int resultXid, String routineName, String routineOwner, String _class) {
this.owner = owner;
this.argumentType = argumentType;
this.argumentXid = argumentXid;
this.resultType = resultType;
this.resultXid = resultXid;
this.routineName = routineName;
this.routineOwner = routineOwner;
this._class = _class;
}

public String getOwner() {
return owner;
}

public void setOwner(String owner) {
this.owner = owner;
}

public int getArgumentType() {
return argumentType;
}

public boolean isArgumentTypeNull() {
return argumentTypeNull;
}

public void setArgumentType(Integer argumentType) {
if (argumentType == null) {
argumentTypeNull = true;
this.argumentType = 0;
} else { 
argumentTypeNull = false;
this.argumentType = argumentType;
}
}

public int getArgumentXid() {
return argumentXid;
}

public boolean isArgumentXidNull() {
return argumentXidNull;
}

public void setArgumentXid(Integer argumentXid) {
if (argumentXid == null) {
argumentXidNull = true;
this.argumentXid = 0;
} else { 
argumentXidNull = false;
this.argumentXid = argumentXid;
}
}

public int getResultType() {
return resultType;
}

public boolean isResultTypeNull() {
return resultTypeNull;
}

public void setResultType(Integer resultType) {
if (resultType == null) {
resultTypeNull = true;
this.resultType = 0;
} else { 
resultTypeNull = false;
this.resultType = resultType;
}
}

public int getResultXid() {
return resultXid;
}

public boolean isResultXidNull() {
return resultXidNull;
}

public void setResultXid(Integer resultXid) {
if (resultXid == null) {
resultXidNull = true;
this.resultXid = 0;
} else { 
resultXidNull = false;
this.resultXid = resultXid;
}
}

public String getRoutineName() {
return routineName;
}

public void setRoutineName(String routineName) {
this.routineName = routineName;
}

public String getRoutineOwner() {
return routineOwner;
}

public void setRoutineOwner(String routineOwner) {
this.routineOwner = routineOwner;
}

public String get_class() {
return _class;
}

public void set_class(String _class) {
this._class = _class;
}

}

