package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSyscdrAtsdir {
@Coluna(nome="syscdr_atsdir.atsd_rid", tipo="int")
private int atsdRid;
private boolean atsdRidNull;
@Coluna(nome="syscdr_atsdir.atsd_file", tipo="String")
private String atsdFile;
@Coluna(nome="syscdr_atsdir.atsd_mode", tipo="int")
private int atsdMode;
private boolean atsdModeNull;
@Coluna(nome="syscdr_atsdir.atsd_size", tipo="int")
private int atsdSize;
private boolean atsdSizeNull;
@Coluna(nome="syscdr_atsdir.atsd_atime", tipo="FglDateTimeYS")
private FglDateTimeYS atsdAtime;
@Coluna(nome="syscdr_atsdir.atsd_mtime", tipo="FglDateTimeYS")
private FglDateTimeYS atsdMtime;
@Coluna(nome="syscdr_atsdir.atsd_ctime", tipo="FglDateTimeYS")
private FglDateTimeYS atsdCtime;

public TabSyscdrAtsdir() {
initialize();
}

public void initialize() {
setAtsdRid(null);
setAtsdFile(null);
setAtsdMode(null);
setAtsdSize(null);
setAtsdAtime(null);
setAtsdMtime(null);
setAtsdCtime(null);
}

public TabSyscdrAtsdir(int atsdRid, String atsdFile, int atsdMode, int atsdSize, FglDateTimeYS atsdAtime, FglDateTimeYS atsdMtime, FglDateTimeYS atsdCtime) {
this.atsdRid = atsdRid;
this.atsdFile = atsdFile;
this.atsdMode = atsdMode;
this.atsdSize = atsdSize;
this.atsdAtime = atsdAtime;
this.atsdMtime = atsdMtime;
this.atsdCtime = atsdCtime;
}

public int getAtsdRid() {
return atsdRid;
}

public boolean isAtsdRidNull() {
return atsdRidNull;
}

public void setAtsdRid(Integer atsdRid) {
if (atsdRid == null) {
atsdRidNull = true;
this.atsdRid = 0;
} else { 
atsdRidNull = false;
this.atsdRid = atsdRid;
}
}

public String getAtsdFile() {
return atsdFile;
}

public void setAtsdFile(String atsdFile) {
this.atsdFile = atsdFile;
}

public int getAtsdMode() {
return atsdMode;
}

public boolean isAtsdModeNull() {
return atsdModeNull;
}

public void setAtsdMode(Integer atsdMode) {
if (atsdMode == null) {
atsdModeNull = true;
this.atsdMode = 0;
} else { 
atsdModeNull = false;
this.atsdMode = atsdMode;
}
}

public int getAtsdSize() {
return atsdSize;
}

public boolean isAtsdSizeNull() {
return atsdSizeNull;
}

public void setAtsdSize(Integer atsdSize) {
if (atsdSize == null) {
atsdSizeNull = true;
this.atsdSize = 0;
} else { 
atsdSizeNull = false;
this.atsdSize = atsdSize;
}
}

public FglDateTimeYS getAtsdAtime() {
return atsdAtime;
}

public void setAtsdAtime(FglDateTimeYS atsdAtime) {
this.atsdAtime = atsdAtime;
}

public FglDateTimeYS getAtsdMtime() {
return atsdMtime;
}

public void setAtsdMtime(FglDateTimeYS atsdMtime) {
this.atsdMtime = atsdMtime;
}

public FglDateTimeYS getAtsdCtime() {
return atsdCtime;
}

public void setAtsdCtime(FglDateTimeYS atsdCtime) {
this.atsdCtime = atsdCtime;
}

}

