package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSyscdrDdr {
@Coluna(nome="syscdr_ddr.ddr_state", tipo="String")
private String ddrState;
@Coluna(nome="syscdr_ddr.ddr_snoopy_loguniq", tipo="int")
private int ddrSnoopyLoguniq;
private boolean ddrSnoopyLoguniqNull;
@Coluna(nome="syscdr_ddr.ddr_snoopy_logpos", tipo="int")
private int ddrSnoopyLogpos;
private boolean ddrSnoopyLogposNull;
@Coluna(nome="syscdr_ddr.ddr_replay_loguniq", tipo="int")
private int ddrReplayLoguniq;
private boolean ddrReplayLoguniqNull;
@Coluna(nome="syscdr_ddr.ddr_replay_logpos", tipo="int")
private int ddrReplayLogpos;
private boolean ddrReplayLogposNull;
@Coluna(nome="syscdr_ddr.ddr_curr_loguniq", tipo="int")
private int ddrCurrLoguniq;
private boolean ddrCurrLoguniqNull;
@Coluna(nome="syscdr_ddr.ddr_curr_logpos", tipo="int")
private int ddrCurrLogpos;
private boolean ddrCurrLogposNull;
@Coluna(nome="syscdr_ddr.ddr_logsnoop_cached", tipo="int")
private int ddrLogsnoopCached;
private boolean ddrLogsnoopCachedNull;
@Coluna(nome="syscdr_ddr.ddr_logsnoop_disk", tipo="int")
private int ddrLogsnoopDisk;
private boolean ddrLogsnoopDiskNull;
@Coluna(nome="syscdr_ddr.ddr_logs_tossed", tipo="int")
private int ddrLogsTossed;
private boolean ddrLogsTossedNull;
@Coluna(nome="syscdr_ddr.ddr_logs_ignored", tipo="int")
private int ddrLogsIgnored;
private boolean ddrLogsIgnoredNull;
@Coluna(nome="syscdr_ddr.ddr_dlog_requests", tipo="int")
private int ddrDlogRequests;
private boolean ddrDlogRequestsNull;
@Coluna(nome="syscdr_ddr.ddr_total_logspace", tipo="int")
private int ddrTotalLogspace;
private boolean ddrTotalLogspaceNull;
@Coluna(nome="syscdr_ddr.ddr_logpage2wrap", tipo="int")
private int ddrLogpage2wrap;
private boolean ddrLogpage2wrapNull;
@Coluna(nome="syscdr_ddr.ddr_logpage2block", tipo="int")
private int ddrLogpage2block;
private boolean ddrLogpage2blockNull;
@Coluna(nome="syscdr_ddr.ddr_logneeds", tipo="int")
private int ddrLogneeds;
private boolean ddrLogneedsNull;
@Coluna(nome="syscdr_ddr.ddr_logcatchup", tipo="int")
private int ddrLogcatchup;
private boolean ddrLogcatchupNull;
@Coluna(nome="syscdr_ddr.ddr_loglag_state", tipo="String")
private String ddrLoglagState;
@Coluna(nome="syscdr_ddr.ddr_cur_loglag_act", tipo="String")
private String ddrCurLoglagAct;
@Coluna(nome="syscdr_ddr.ddr_logstage_diskusage", tipo="double")
private double ddrLogstageDiskusage;
private boolean ddrLogstageDiskusageNull;
@Coluna(nome="syscdr_ddr.ddr_logstage_hwm4disk", tipo="int")
private int ddrLogstageHwm4disk;
private boolean ddrLogstageHwm4diskNull;
@Coluna(nome="syscdr_ddr.ddr_logstage_maxused", tipo="double")
private double ddrLogstageMaxused;
private boolean ddrLogstageMaxusedNull;
@Coluna(nome="syscdr_ddr.ddr_logstage_lfile_cnt", tipo="int")
private int ddrLogstageLfileCnt;
private boolean ddrLogstageLfileCntNull;

public TabSyscdrDdr() {
initialize();
}

public void initialize() {
setDdrState(null);
setDdrSnoopyLoguniq(null);
setDdrSnoopyLogpos(null);
setDdrReplayLoguniq(null);
setDdrReplayLogpos(null);
setDdrCurrLoguniq(null);
setDdrCurrLogpos(null);
setDdrLogsnoopCached(null);
setDdrLogsnoopDisk(null);
setDdrLogsTossed(null);
setDdrLogsIgnored(null);
setDdrDlogRequests(null);
setDdrTotalLogspace(null);
setDdrLogpage2wrap(null);
setDdrLogpage2block(null);
setDdrLogneeds(null);
setDdrLogcatchup(null);
setDdrLoglagState(null);
setDdrCurLoglagAct(null);
setDdrLogstageDiskusage(null);
setDdrLogstageHwm4disk(null);
setDdrLogstageMaxused(null);
setDdrLogstageLfileCnt(null);
}

public TabSyscdrDdr(String ddrState, int ddrSnoopyLoguniq, int ddrSnoopyLogpos, int ddrReplayLoguniq, int ddrReplayLogpos, int ddrCurrLoguniq, int ddrCurrLogpos, int ddrLogsnoopCached, int ddrLogsnoopDisk, int ddrLogsTossed, int ddrLogsIgnored, int ddrDlogRequests, int ddrTotalLogspace, int ddrLogpage2wrap, int ddrLogpage2block, int ddrLogneeds, int ddrLogcatchup, String ddrLoglagState, String ddrCurLoglagAct, double ddrLogstageDiskusage, int ddrLogstageHwm4disk, double ddrLogstageMaxused, int ddrLogstageLfileCnt) {
this.ddrState = ddrState;
this.ddrSnoopyLoguniq = ddrSnoopyLoguniq;
this.ddrSnoopyLogpos = ddrSnoopyLogpos;
this.ddrReplayLoguniq = ddrReplayLoguniq;
this.ddrReplayLogpos = ddrReplayLogpos;
this.ddrCurrLoguniq = ddrCurrLoguniq;
this.ddrCurrLogpos = ddrCurrLogpos;
this.ddrLogsnoopCached = ddrLogsnoopCached;
this.ddrLogsnoopDisk = ddrLogsnoopDisk;
this.ddrLogsTossed = ddrLogsTossed;
this.ddrLogsIgnored = ddrLogsIgnored;
this.ddrDlogRequests = ddrDlogRequests;
this.ddrTotalLogspace = ddrTotalLogspace;
this.ddrLogpage2wrap = ddrLogpage2wrap;
this.ddrLogpage2block = ddrLogpage2block;
this.ddrLogneeds = ddrLogneeds;
this.ddrLogcatchup = ddrLogcatchup;
this.ddrLoglagState = ddrLoglagState;
this.ddrCurLoglagAct = ddrCurLoglagAct;
this.ddrLogstageDiskusage = ddrLogstageDiskusage;
this.ddrLogstageHwm4disk = ddrLogstageHwm4disk;
this.ddrLogstageMaxused = ddrLogstageMaxused;
this.ddrLogstageLfileCnt = ddrLogstageLfileCnt;
}

public String getDdrState() {
return ddrState;
}

public void setDdrState(String ddrState) {
this.ddrState = ddrState;
}

public int getDdrSnoopyLoguniq() {
return ddrSnoopyLoguniq;
}

public boolean isDdrSnoopyLoguniqNull() {
return ddrSnoopyLoguniqNull;
}

public void setDdrSnoopyLoguniq(Integer ddrSnoopyLoguniq) {
if (ddrSnoopyLoguniq == null) {
ddrSnoopyLoguniqNull = true;
this.ddrSnoopyLoguniq = 0;
} else { 
ddrSnoopyLoguniqNull = false;
this.ddrSnoopyLoguniq = ddrSnoopyLoguniq;
}
}

public int getDdrSnoopyLogpos() {
return ddrSnoopyLogpos;
}

public boolean isDdrSnoopyLogposNull() {
return ddrSnoopyLogposNull;
}

public void setDdrSnoopyLogpos(Integer ddrSnoopyLogpos) {
if (ddrSnoopyLogpos == null) {
ddrSnoopyLogposNull = true;
this.ddrSnoopyLogpos = 0;
} else { 
ddrSnoopyLogposNull = false;
this.ddrSnoopyLogpos = ddrSnoopyLogpos;
}
}

public int getDdrReplayLoguniq() {
return ddrReplayLoguniq;
}

public boolean isDdrReplayLoguniqNull() {
return ddrReplayLoguniqNull;
}

public void setDdrReplayLoguniq(Integer ddrReplayLoguniq) {
if (ddrReplayLoguniq == null) {
ddrReplayLoguniqNull = true;
this.ddrReplayLoguniq = 0;
} else { 
ddrReplayLoguniqNull = false;
this.ddrReplayLoguniq = ddrReplayLoguniq;
}
}

public int getDdrReplayLogpos() {
return ddrReplayLogpos;
}

public boolean isDdrReplayLogposNull() {
return ddrReplayLogposNull;
}

public void setDdrReplayLogpos(Integer ddrReplayLogpos) {
if (ddrReplayLogpos == null) {
ddrReplayLogposNull = true;
this.ddrReplayLogpos = 0;
} else { 
ddrReplayLogposNull = false;
this.ddrReplayLogpos = ddrReplayLogpos;
}
}

public int getDdrCurrLoguniq() {
return ddrCurrLoguniq;
}

public boolean isDdrCurrLoguniqNull() {
return ddrCurrLoguniqNull;
}

public void setDdrCurrLoguniq(Integer ddrCurrLoguniq) {
if (ddrCurrLoguniq == null) {
ddrCurrLoguniqNull = true;
this.ddrCurrLoguniq = 0;
} else { 
ddrCurrLoguniqNull = false;
this.ddrCurrLoguniq = ddrCurrLoguniq;
}
}

public int getDdrCurrLogpos() {
return ddrCurrLogpos;
}

public boolean isDdrCurrLogposNull() {
return ddrCurrLogposNull;
}

public void setDdrCurrLogpos(Integer ddrCurrLogpos) {
if (ddrCurrLogpos == null) {
ddrCurrLogposNull = true;
this.ddrCurrLogpos = 0;
} else { 
ddrCurrLogposNull = false;
this.ddrCurrLogpos = ddrCurrLogpos;
}
}

public int getDdrLogsnoopCached() {
return ddrLogsnoopCached;
}

public boolean isDdrLogsnoopCachedNull() {
return ddrLogsnoopCachedNull;
}

public void setDdrLogsnoopCached(Integer ddrLogsnoopCached) {
if (ddrLogsnoopCached == null) {
ddrLogsnoopCachedNull = true;
this.ddrLogsnoopCached = 0;
} else { 
ddrLogsnoopCachedNull = false;
this.ddrLogsnoopCached = ddrLogsnoopCached;
}
}

public int getDdrLogsnoopDisk() {
return ddrLogsnoopDisk;
}

public boolean isDdrLogsnoopDiskNull() {
return ddrLogsnoopDiskNull;
}

public void setDdrLogsnoopDisk(Integer ddrLogsnoopDisk) {
if (ddrLogsnoopDisk == null) {
ddrLogsnoopDiskNull = true;
this.ddrLogsnoopDisk = 0;
} else { 
ddrLogsnoopDiskNull = false;
this.ddrLogsnoopDisk = ddrLogsnoopDisk;
}
}

public int getDdrLogsTossed() {
return ddrLogsTossed;
}

public boolean isDdrLogsTossedNull() {
return ddrLogsTossedNull;
}

public void setDdrLogsTossed(Integer ddrLogsTossed) {
if (ddrLogsTossed == null) {
ddrLogsTossedNull = true;
this.ddrLogsTossed = 0;
} else { 
ddrLogsTossedNull = false;
this.ddrLogsTossed = ddrLogsTossed;
}
}

public int getDdrLogsIgnored() {
return ddrLogsIgnored;
}

public boolean isDdrLogsIgnoredNull() {
return ddrLogsIgnoredNull;
}

public void setDdrLogsIgnored(Integer ddrLogsIgnored) {
if (ddrLogsIgnored == null) {
ddrLogsIgnoredNull = true;
this.ddrLogsIgnored = 0;
} else { 
ddrLogsIgnoredNull = false;
this.ddrLogsIgnored = ddrLogsIgnored;
}
}

public int getDdrDlogRequests() {
return ddrDlogRequests;
}

public boolean isDdrDlogRequestsNull() {
return ddrDlogRequestsNull;
}

public void setDdrDlogRequests(Integer ddrDlogRequests) {
if (ddrDlogRequests == null) {
ddrDlogRequestsNull = true;
this.ddrDlogRequests = 0;
} else { 
ddrDlogRequestsNull = false;
this.ddrDlogRequests = ddrDlogRequests;
}
}

public int getDdrTotalLogspace() {
return ddrTotalLogspace;
}

public boolean isDdrTotalLogspaceNull() {
return ddrTotalLogspaceNull;
}

public void setDdrTotalLogspace(Integer ddrTotalLogspace) {
if (ddrTotalLogspace == null) {
ddrTotalLogspaceNull = true;
this.ddrTotalLogspace = 0;
} else { 
ddrTotalLogspaceNull = false;
this.ddrTotalLogspace = ddrTotalLogspace;
}
}

public int getDdrLogpage2wrap() {
return ddrLogpage2wrap;
}

public boolean isDdrLogpage2wrapNull() {
return ddrLogpage2wrapNull;
}

public void setDdrLogpage2wrap(Integer ddrLogpage2wrap) {
if (ddrLogpage2wrap == null) {
ddrLogpage2wrapNull = true;
this.ddrLogpage2wrap = 0;
} else { 
ddrLogpage2wrapNull = false;
this.ddrLogpage2wrap = ddrLogpage2wrap;
}
}

public int getDdrLogpage2block() {
return ddrLogpage2block;
}

public boolean isDdrLogpage2blockNull() {
return ddrLogpage2blockNull;
}

public void setDdrLogpage2block(Integer ddrLogpage2block) {
if (ddrLogpage2block == null) {
ddrLogpage2blockNull = true;
this.ddrLogpage2block = 0;
} else { 
ddrLogpage2blockNull = false;
this.ddrLogpage2block = ddrLogpage2block;
}
}

public int getDdrLogneeds() {
return ddrLogneeds;
}

public boolean isDdrLogneedsNull() {
return ddrLogneedsNull;
}

public void setDdrLogneeds(Integer ddrLogneeds) {
if (ddrLogneeds == null) {
ddrLogneedsNull = true;
this.ddrLogneeds = 0;
} else { 
ddrLogneedsNull = false;
this.ddrLogneeds = ddrLogneeds;
}
}

public int getDdrLogcatchup() {
return ddrLogcatchup;
}

public boolean isDdrLogcatchupNull() {
return ddrLogcatchupNull;
}

public void setDdrLogcatchup(Integer ddrLogcatchup) {
if (ddrLogcatchup == null) {
ddrLogcatchupNull = true;
this.ddrLogcatchup = 0;
} else { 
ddrLogcatchupNull = false;
this.ddrLogcatchup = ddrLogcatchup;
}
}

public String getDdrLoglagState() {
return ddrLoglagState;
}

public void setDdrLoglagState(String ddrLoglagState) {
this.ddrLoglagState = ddrLoglagState;
}

public String getDdrCurLoglagAct() {
return ddrCurLoglagAct;
}

public void setDdrCurLoglagAct(String ddrCurLoglagAct) {
this.ddrCurLoglagAct = ddrCurLoglagAct;
}

public double getDdrLogstageDiskusage() {
return ddrLogstageDiskusage;
}

public boolean isDdrLogstageDiskusageNull() {
return ddrLogstageDiskusageNull;
}

public void setDdrLogstageDiskusage(int ddrLogstageDiskusage) {
setDdrLogstageDiskusage(new Double(ddrLogstageDiskusage));
}

public void setDdrLogstageDiskusage(long ddrLogstageDiskusage) {
setDdrLogstageDiskusage(new Double(ddrLogstageDiskusage));
}

public void setDdrLogstageDiskusage(Double ddrLogstageDiskusage) {
if (ddrLogstageDiskusage == null) {
ddrLogstageDiskusageNull = true;
this.ddrLogstageDiskusage = 0.;
} else { 
ddrLogstageDiskusageNull = false;
this.ddrLogstageDiskusage = FglDouble.round(ddrLogstageDiskusage, 8);
}
}

public int getDdrLogstageHwm4disk() {
return ddrLogstageHwm4disk;
}

public boolean isDdrLogstageHwm4diskNull() {
return ddrLogstageHwm4diskNull;
}

public void setDdrLogstageHwm4disk(Integer ddrLogstageHwm4disk) {
if (ddrLogstageHwm4disk == null) {
ddrLogstageHwm4diskNull = true;
this.ddrLogstageHwm4disk = 0;
} else { 
ddrLogstageHwm4diskNull = false;
this.ddrLogstageHwm4disk = ddrLogstageHwm4disk;
}
}

public double getDdrLogstageMaxused() {
return ddrLogstageMaxused;
}

public boolean isDdrLogstageMaxusedNull() {
return ddrLogstageMaxusedNull;
}

public void setDdrLogstageMaxused(int ddrLogstageMaxused) {
setDdrLogstageMaxused(new Double(ddrLogstageMaxused));
}

public void setDdrLogstageMaxused(long ddrLogstageMaxused) {
setDdrLogstageMaxused(new Double(ddrLogstageMaxused));
}

public void setDdrLogstageMaxused(Double ddrLogstageMaxused) {
if (ddrLogstageMaxused == null) {
ddrLogstageMaxusedNull = true;
this.ddrLogstageMaxused = 0.;
} else { 
ddrLogstageMaxusedNull = false;
this.ddrLogstageMaxused = FglDouble.round(ddrLogstageMaxused, 8);
}
}

public int getDdrLogstageLfileCnt() {
return ddrLogstageLfileCnt;
}

public boolean isDdrLogstageLfileCntNull() {
return ddrLogstageLfileCntNull;
}

public void setDdrLogstageLfileCnt(Integer ddrLogstageLfileCnt) {
if (ddrLogstageLfileCnt == null) {
ddrLogstageLfileCntNull = true;
this.ddrLogstageLfileCnt = 0;
} else { 
ddrLogstageLfileCntNull = false;
this.ddrLogstageLfileCnt = ddrLogstageLfileCnt;
}
}

}

