package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSyscdrRisdir {
@Coluna(nome="syscdr_risdir.risd_rid", tipo="int")
private int risdRid;
private boolean risdRidNull;
@Coluna(nome="syscdr_risdir.risd_file", tipo="String")
private String risdFile;
@Coluna(nome="syscdr_risdir.risd_mode", tipo="int")
private int risdMode;
private boolean risdModeNull;
@Coluna(nome="syscdr_risdir.risd_size", tipo="int")
private int risdSize;
private boolean risdSizeNull;
@Coluna(nome="syscdr_risdir.risd_atime", tipo="FglDateTimeYS")
private FglDateTimeYS risdAtime;
@Coluna(nome="syscdr_risdir.risd_mtime", tipo="FglDateTimeYS")
private FglDateTimeYS risdMtime;
@Coluna(nome="syscdr_risdir.risd_ctime", tipo="FglDateTimeYS")
private FglDateTimeYS risdCtime;

public TabSyscdrRisdir() {
initialize();
}

public void initialize() {
setRisdRid(null);
setRisdFile(null);
setRisdMode(null);
setRisdSize(null);
setRisdAtime(null);
setRisdMtime(null);
setRisdCtime(null);
}

public TabSyscdrRisdir(int risdRid, String risdFile, int risdMode, int risdSize, FglDateTimeYS risdAtime, FglDateTimeYS risdMtime, FglDateTimeYS risdCtime) {
this.risdRid = risdRid;
this.risdFile = risdFile;
this.risdMode = risdMode;
this.risdSize = risdSize;
this.risdAtime = risdAtime;
this.risdMtime = risdMtime;
this.risdCtime = risdCtime;
}

public int getRisdRid() {
return risdRid;
}

public boolean isRisdRidNull() {
return risdRidNull;
}

public void setRisdRid(Integer risdRid) {
if (risdRid == null) {
risdRidNull = true;
this.risdRid = 0;
} else { 
risdRidNull = false;
this.risdRid = risdRid;
}
}

public String getRisdFile() {
return risdFile;
}

public void setRisdFile(String risdFile) {
this.risdFile = risdFile;
}

public int getRisdMode() {
return risdMode;
}

public boolean isRisdModeNull() {
return risdModeNull;
}

public void setRisdMode(Integer risdMode) {
if (risdMode == null) {
risdModeNull = true;
this.risdMode = 0;
} else { 
risdModeNull = false;
this.risdMode = risdMode;
}
}

public int getRisdSize() {
return risdSize;
}

public boolean isRisdSizeNull() {
return risdSizeNull;
}

public void setRisdSize(Integer risdSize) {
if (risdSize == null) {
risdSizeNull = true;
this.risdSize = 0;
} else { 
risdSizeNull = false;
this.risdSize = risdSize;
}
}

public FglDateTimeYS getRisdAtime() {
return risdAtime;
}

public void setRisdAtime(FglDateTimeYS risdAtime) {
this.risdAtime = risdAtime;
}

public FglDateTimeYS getRisdMtime() {
return risdMtime;
}

public void setRisdMtime(FglDateTimeYS risdMtime) {
this.risdMtime = risdMtime;
}

public FglDateTimeYS getRisdCtime() {
return risdCtime;
}

public void setRisdCtime(FglDateTimeYS risdCtime) {
this.risdCtime = risdCtime;
}

}

