package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSyscheckpoint {
@Coluna(nome="syscheckpoint.intvl", tipo="int")
private int intvl;
private boolean intvlNull;
@Coluna(nome="syscheckpoint.type", tipo="String")
private String type;
@Coluna(nome="syscheckpoint.caller", tipo="String")
private String caller;
@Coluna(nome="syscheckpoint.clock_time", tipo="int")
private int clockTime;
private boolean clockTimeNull;
@Coluna(nome="syscheckpoint.crit_time", tipo="double")
private double critTime;
private boolean critTimeNull;
@Coluna(nome="syscheckpoint.flush_time", tipo="double")
private double flushTime;
private boolean flushTimeNull;
@Coluna(nome="syscheckpoint.cp_time", tipo="double")
private double cpTime;
private boolean cpTimeNull;
@Coluna(nome="syscheckpoint.n_dirty_buffs", tipo="int")
private int nDirtyBuffs;
private boolean nDirtyBuffsNull;
@Coluna(nome="syscheckpoint.plogs_per_sec", tipo="int")
private int plogsPerSec;
private boolean plogsPerSecNull;
@Coluna(nome="syscheckpoint.llogs_per_sec", tipo="int")
private int llogsPerSec;
private boolean llogsPerSecNull;
@Coluna(nome="syscheckpoint.dskflush_per_sec", tipo="int")
private int dskflushPerSec;
private boolean dskflushPerSecNull;
@Coluna(nome="syscheckpoint.ckpt_logid", tipo="int")
private int ckptLogid;
private boolean ckptLogidNull;
@Coluna(nome="syscheckpoint.ckpt_logpos", tipo="int")
private int ckptLogpos;
private boolean ckptLogposNull;
@Coluna(nome="syscheckpoint.physused", tipo="int")
private int physused;
private boolean physusedNull;
@Coluna(nome="syscheckpoint.logused", tipo="int")
private int logused;
private boolean logusedNull;
@Coluna(nome="syscheckpoint.n_crit_waits", tipo="int")
private int nCritWaits;
private boolean nCritWaitsNull;
@Coluna(nome="syscheckpoint.tot_crit_wait", tipo="double")
private double totCritWait;
private boolean totCritWaitNull;
@Coluna(nome="syscheckpoint.longest_crit_wait", tipo="double")
private double longestCritWait;
private boolean longestCritWaitNull;
@Coluna(nome="syscheckpoint.block_time", tipo="double")
private double blockTime;
private boolean blockTimeNull;

public TabSyscheckpoint() {
initialize();
}

public void initialize() {
setIntvl(null);
setType(null);
setCaller(null);
setClockTime(null);
setCritTime(null);
setFlushTime(null);
setCpTime(null);
setNDirtyBuffs(null);
setPlogsPerSec(null);
setLlogsPerSec(null);
setDskflushPerSec(null);
setCkptLogid(null);
setCkptLogpos(null);
setPhysused(null);
setLogused(null);
setNCritWaits(null);
setTotCritWait(null);
setLongestCritWait(null);
setBlockTime(null);
}

public TabSyscheckpoint(int intvl, String type, String caller, int clockTime, double critTime, double flushTime, double cpTime, int nDirtyBuffs, int plogsPerSec, int llogsPerSec, int dskflushPerSec, int ckptLogid, int ckptLogpos, int physused, int logused, int nCritWaits, double totCritWait, double longestCritWait, double blockTime) {
this.intvl = intvl;
this.type = type;
this.caller = caller;
this.clockTime = clockTime;
this.critTime = critTime;
this.flushTime = flushTime;
this.cpTime = cpTime;
this.nDirtyBuffs = nDirtyBuffs;
this.plogsPerSec = plogsPerSec;
this.llogsPerSec = llogsPerSec;
this.dskflushPerSec = dskflushPerSec;
this.ckptLogid = ckptLogid;
this.ckptLogpos = ckptLogpos;
this.physused = physused;
this.logused = logused;
this.nCritWaits = nCritWaits;
this.totCritWait = totCritWait;
this.longestCritWait = longestCritWait;
this.blockTime = blockTime;
}

public int getIntvl() {
return intvl;
}

public boolean isIntvlNull() {
return intvlNull;
}

public void setIntvl(Integer intvl) {
if (intvl == null) {
intvlNull = true;
this.intvl = 0;
} else { 
intvlNull = false;
this.intvl = intvl;
}
}

public String getType() {
return type;
}

public void setType(String type) {
this.type = type;
}

public String getCaller() {
return caller;
}

public void setCaller(String caller) {
this.caller = caller;
}

public int getClockTime() {
return clockTime;
}

public boolean isClockTimeNull() {
return clockTimeNull;
}

public void setClockTime(Integer clockTime) {
if (clockTime == null) {
clockTimeNull = true;
this.clockTime = 0;
} else { 
clockTimeNull = false;
this.clockTime = clockTime;
}
}

public double getCritTime() {
return critTime;
}

public boolean isCritTimeNull() {
return critTimeNull;
}

public void setCritTime(int critTime) {
setCritTime(new Double(critTime));
}

public void setCritTime(long critTime) {
setCritTime(new Double(critTime));
}

public void setCritTime(Double critTime) {
if (critTime == null) {
critTimeNull = true;
this.critTime = 0.;
} else { 
critTimeNull = false;
this.critTime = FglDouble.round(critTime, 8);
}
}

public double getFlushTime() {
return flushTime;
}

public boolean isFlushTimeNull() {
return flushTimeNull;
}

public void setFlushTime(int flushTime) {
setFlushTime(new Double(flushTime));
}

public void setFlushTime(long flushTime) {
setFlushTime(new Double(flushTime));
}

public void setFlushTime(Double flushTime) {
if (flushTime == null) {
flushTimeNull = true;
this.flushTime = 0.;
} else { 
flushTimeNull = false;
this.flushTime = FglDouble.round(flushTime, 8);
}
}

public double getCpTime() {
return cpTime;
}

public boolean isCpTimeNull() {
return cpTimeNull;
}

public void setCpTime(int cpTime) {
setCpTime(new Double(cpTime));
}

public void setCpTime(long cpTime) {
setCpTime(new Double(cpTime));
}

public void setCpTime(Double cpTime) {
if (cpTime == null) {
cpTimeNull = true;
this.cpTime = 0.;
} else { 
cpTimeNull = false;
this.cpTime = FglDouble.round(cpTime, 8);
}
}

public int getNDirtyBuffs() {
return nDirtyBuffs;
}

public boolean isNDirtyBuffsNull() {
return nDirtyBuffsNull;
}

public void setNDirtyBuffs(Integer nDirtyBuffs) {
if (nDirtyBuffs == null) {
nDirtyBuffsNull = true;
this.nDirtyBuffs = 0;
} else { 
nDirtyBuffsNull = false;
this.nDirtyBuffs = nDirtyBuffs;
}
}

public int getPlogsPerSec() {
return plogsPerSec;
}

public boolean isPlogsPerSecNull() {
return plogsPerSecNull;
}

public void setPlogsPerSec(Integer plogsPerSec) {
if (plogsPerSec == null) {
plogsPerSecNull = true;
this.plogsPerSec = 0;
} else { 
plogsPerSecNull = false;
this.plogsPerSec = plogsPerSec;
}
}

public int getLlogsPerSec() {
return llogsPerSec;
}

public boolean isLlogsPerSecNull() {
return llogsPerSecNull;
}

public void setLlogsPerSec(Integer llogsPerSec) {
if (llogsPerSec == null) {
llogsPerSecNull = true;
this.llogsPerSec = 0;
} else { 
llogsPerSecNull = false;
this.llogsPerSec = llogsPerSec;
}
}

public int getDskflushPerSec() {
return dskflushPerSec;
}

public boolean isDskflushPerSecNull() {
return dskflushPerSecNull;
}

public void setDskflushPerSec(Integer dskflushPerSec) {
if (dskflushPerSec == null) {
dskflushPerSecNull = true;
this.dskflushPerSec = 0;
} else { 
dskflushPerSecNull = false;
this.dskflushPerSec = dskflushPerSec;
}
}

public int getCkptLogid() {
return ckptLogid;
}

public boolean isCkptLogidNull() {
return ckptLogidNull;
}

public void setCkptLogid(Integer ckptLogid) {
if (ckptLogid == null) {
ckptLogidNull = true;
this.ckptLogid = 0;
} else { 
ckptLogidNull = false;
this.ckptLogid = ckptLogid;
}
}

public int getCkptLogpos() {
return ckptLogpos;
}

public boolean isCkptLogposNull() {
return ckptLogposNull;
}

public void setCkptLogpos(Integer ckptLogpos) {
if (ckptLogpos == null) {
ckptLogposNull = true;
this.ckptLogpos = 0;
} else { 
ckptLogposNull = false;
this.ckptLogpos = ckptLogpos;
}
}

public int getPhysused() {
return physused;
}

public boolean isPhysusedNull() {
return physusedNull;
}

public void setPhysused(Integer physused) {
if (physused == null) {
physusedNull = true;
this.physused = 0;
} else { 
physusedNull = false;
this.physused = physused;
}
}

public int getLogused() {
return logused;
}

public boolean isLogusedNull() {
return logusedNull;
}

public void setLogused(Integer logused) {
if (logused == null) {
logusedNull = true;
this.logused = 0;
} else { 
logusedNull = false;
this.logused = logused;
}
}

public int getNCritWaits() {
return nCritWaits;
}

public boolean isNCritWaitsNull() {
return nCritWaitsNull;
}

public void setNCritWaits(Integer nCritWaits) {
if (nCritWaits == null) {
nCritWaitsNull = true;
this.nCritWaits = 0;
} else { 
nCritWaitsNull = false;
this.nCritWaits = nCritWaits;
}
}

public double getTotCritWait() {
return totCritWait;
}

public boolean isTotCritWaitNull() {
return totCritWaitNull;
}

public void setTotCritWait(int totCritWait) {
setTotCritWait(new Double(totCritWait));
}

public void setTotCritWait(long totCritWait) {
setTotCritWait(new Double(totCritWait));
}

public void setTotCritWait(Double totCritWait) {
if (totCritWait == null) {
totCritWaitNull = true;
this.totCritWait = 0.;
} else { 
totCritWaitNull = false;
this.totCritWait = FglDouble.round(totCritWait, 8);
}
}

public double getLongestCritWait() {
return longestCritWait;
}

public boolean isLongestCritWaitNull() {
return longestCritWaitNull;
}

public void setLongestCritWait(int longestCritWait) {
setLongestCritWait(new Double(longestCritWait));
}

public void setLongestCritWait(long longestCritWait) {
setLongestCritWait(new Double(longestCritWait));
}

public void setLongestCritWait(Double longestCritWait) {
if (longestCritWait == null) {
longestCritWaitNull = true;
this.longestCritWait = 0.;
} else { 
longestCritWaitNull = false;
this.longestCritWait = FglDouble.round(longestCritWait, 8);
}
}

public double getBlockTime() {
return blockTime;
}

public boolean isBlockTimeNull() {
return blockTimeNull;
}

public void setBlockTime(int blockTime) {
setBlockTime(new Double(blockTime));
}

public void setBlockTime(long blockTime) {
setBlockTime(new Double(blockTime));
}

public void setBlockTime(Double blockTime) {
if (blockTime == null) {
blockTimeNull = true;
this.blockTime = 0.;
} else { 
blockTimeNull = false;
this.blockTime = FglDouble.round(blockTime, 8);
}
}

}

