package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSysdatabases {
@Coluna(nome="sysdatabases.name", tipo="String")
private String name;
@Coluna(nome="sysdatabases.partnum", tipo="int")
private int partnum;
private boolean partnumNull;
@Coluna(nome="sysdatabases.owner", tipo="String")
private String owner;
@Coluna(nome="sysdatabases.created", tipo="FglDate")
private FglDate created;
@Coluna(nome="sysdatabases.is_logging", tipo="int")
private int isLogging;
private boolean isLoggingNull;
@Coluna(nome="sysdatabases.is_buff_log", tipo="int")
private int isBuffLog;
private boolean isBuffLogNull;
@Coluna(nome="sysdatabases.is_ansi", tipo="int")
private int isAnsi;
private boolean isAnsiNull;
@Coluna(nome="sysdatabases.is_nls", tipo="int")
private int isNls;
private boolean isNlsNull;
@Coluna(nome="sysdatabases.flags", tipo="int")
private int flags;
private boolean flagsNull;

public TabSysdatabases() {
initialize();
}

public void initialize() {
setName(null);
setPartnum(null);
setOwner(null);
setCreated(null);
setIsLogging(null);
setIsBuffLog(null);
setIsAnsi(null);
setIsNls(null);
setFlags(null);
}

public TabSysdatabases(String name, int partnum, String owner, FglDate created, int isLogging, int isBuffLog, int isAnsi, int isNls, int flags) {
this.name = name;
this.partnum = partnum;
this.owner = owner;
this.created = created;
this.isLogging = isLogging;
this.isBuffLog = isBuffLog;
this.isAnsi = isAnsi;
this.isNls = isNls;
this.flags = flags;
}

public String getName() {
return name;
}

public void setName(String name) {
this.name = name;
}

public int getPartnum() {
return partnum;
}

public boolean isPartnumNull() {
return partnumNull;
}

public void setPartnum(Integer partnum) {
if (partnum == null) {
partnumNull = true;
this.partnum = 0;
} else { 
partnumNull = false;
this.partnum = partnum;
}
}

public String getOwner() {
return owner;
}

public void setOwner(String owner) {
this.owner = owner;
}

public FglDate getCreated() {
return created;
}

public void setCreated(FglDate created) {
this.created = created;
}

public int getIsLogging() {
return isLogging;
}

public boolean isIsLoggingNull() {
return isLoggingNull;
}

public void setIsLogging(Integer isLogging) {
if (isLogging == null) {
isLoggingNull = true;
this.isLogging = 0;
} else { 
isLoggingNull = false;
this.isLogging = isLogging;
}
}

public int getIsBuffLog() {
return isBuffLog;
}

public boolean isIsBuffLogNull() {
return isBuffLogNull;
}

public void setIsBuffLog(Integer isBuffLog) {
if (isBuffLog == null) {
isBuffLogNull = true;
this.isBuffLog = 0;
} else { 
isBuffLogNull = false;
this.isBuffLog = isBuffLog;
}
}

public int getIsAnsi() {
return isAnsi;
}

public boolean isIsAnsiNull() {
return isAnsiNull;
}

public void setIsAnsi(Integer isAnsi) {
if (isAnsi == null) {
isAnsiNull = true;
this.isAnsi = 0;
} else { 
isAnsiNull = false;
this.isAnsi = isAnsi;
}
}

public int getIsNls() {
return isNls;
}

public boolean isIsNlsNull() {
return isNlsNull;
}

public void setIsNls(Integer isNls) {
if (isNls == null) {
isNlsNull = true;
this.isNls = 0;
} else { 
isNlsNull = false;
this.isNls = isNls;
}
}

public int getFlags() {
return flags;
}

public boolean isFlagsNull() {
return flagsNull;
}

public void setFlags(Integer flags) {
if (flags == null) {
flagsNull = true;
this.flags = 0;
} else { 
flagsNull = false;
this.flags = flags;
}
}

}

