package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysdri {
@Coluna(nome="sysdri.type", tipo="String")
private String type;
@Coluna(nome="sysdri.state", tipo="String")
private String state;
@Coluna(nome="sysdri.name", tipo="String")
private String name;
@Coluna(nome="sysdri.intvl", tipo="int")
private int intvl;
private boolean intvlNull;
@Coluna(nome="sysdri.timeout", tipo="int")
private int timeout;
private boolean timeoutNull;
@Coluna(nome="sysdri.lostfound", tipo="String")
private String lostfound;
@Coluna(nome="sysdri.drauto", tipo="int")
private int drauto;
private boolean drautoNull;
@Coluna(nome="sysdri.dridxauto", tipo="int")
private int dridxauto;
private boolean dridxautoNull;

public TabSysdri() {
initialize();
}

public void initialize() {
setType(null);
setState(null);
setName(null);
setIntvl(null);
setTimeout(null);
setLostfound(null);
setDrauto(null);
setDridxauto(null);
}

public TabSysdri(String type, String state, String name, int intvl, int timeout, String lostfound, int drauto, int dridxauto) {
this.type = type;
this.state = state;
this.name = name;
this.intvl = intvl;
this.timeout = timeout;
this.lostfound = lostfound;
this.drauto = drauto;
this.dridxauto = dridxauto;
}

public String getType() {
return type;
}

public void setType(String type) {
this.type = type;
}

public String getState() {
return state;
}

public void setState(String state) {
this.state = state;
}

public String getName() {
return name;
}

public void setName(String name) {
this.name = name;
}

public int getIntvl() {
return intvl;
}

public boolean isIntvlNull() {
return intvlNull;
}

public void setIntvl(Integer intvl) {
if (intvl == null) {
intvlNull = true;
this.intvl = 0;
} else { 
intvlNull = false;
this.intvl = intvl;
}
}

public int getTimeout() {
return timeout;
}

public boolean isTimeoutNull() {
return timeoutNull;
}

public void setTimeout(Integer timeout) {
if (timeout == null) {
timeoutNull = true;
this.timeout = 0;
} else { 
timeoutNull = false;
this.timeout = timeout;
}
}

public String getLostfound() {
return lostfound;
}

public void setLostfound(String lostfound) {
this.lostfound = lostfound;
}

public int getDrauto() {
return drauto;
}

public boolean isDrautoNull() {
return drautoNull;
}

public void setDrauto(Integer drauto) {
if (drauto == null) {
drautoNull = true;
this.drauto = 0;
} else { 
drautoNull = false;
this.drauto = drauto;
}
}

public int getDridxauto() {
return dridxauto;
}

public boolean isDridxautoNull() {
return dridxautoNull;
}

public void setDridxauto(Integer dridxauto) {
if (dridxauto == null) {
dridxautoNull = true;
this.dridxauto = 0;
} else { 
dridxautoNull = false;
this.dridxauto = dridxauto;
}
}

}

