package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyserrors {
@Coluna(nome="syserrors.sqlstate", tipo="String")
private String sqlstate;
@Coluna(nome="syserrors.locale", tipo="String")
private String locale;
@Coluna(nome="syserrors.level", tipo="int")
private int level;
private boolean levelNull;
@Coluna(nome="syserrors.seqno", tipo="int")
private int seqno;
private boolean seqnoNull;
@Coluna(nome="syserrors.message", tipo="String")
private String message;

public TabSyserrors() {
initialize();
}

public void initialize() {
setSqlstate(null);
setLocale(null);
setLevel(null);
setSeqno(null);
setMessage(null);
}

public TabSyserrors(String sqlstate, String locale, int level, int seqno, String message) {
this.sqlstate = sqlstate;
this.locale = locale;
this.level = level;
this.seqno = seqno;
this.message = message;
}

public String getSqlstate() {
return sqlstate;
}

public void setSqlstate(String sqlstate) {
this.sqlstate = sqlstate;
}

public String getLocale() {
return locale;
}

public void setLocale(String locale) {
this.locale = locale;
}

public int getLevel() {
return level;
}

public boolean isLevelNull() {
return levelNull;
}

public void setLevel(Integer level) {
if (level == null) {
levelNull = true;
this.level = 0;
} else { 
levelNull = false;
this.level = level;
}
}

public int getSeqno() {
return seqno;
}

public boolean isSeqnoNull() {
return seqnoNull;
}

public void setSeqno(Integer seqno) {
if (seqno == null) {
seqnoNull = true;
this.seqno = 0;
} else { 
seqnoNull = false;
this.seqno = seqno;
}
}

public String getMessage() {
return message;
}

public void setMessage(String message) {
this.message = message;
}

}

