package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysfileinfo {
@Coluna(nome="sysfileinfo.fileid", tipo="int")
private int fileid;
private boolean fileidNull;
@Coluna(nome="sysfileinfo.directory", tipo="String")
private String directory;
@Coluna(nome="sysfileinfo.filename", tipo="String")
private String filename;
@Coluna(nome="sysfileinfo.version", tipo="String")
private String version;
@Coluna(nome="sysfileinfo.fullname", tipo="String")
private String fullname;

public TabSysfileinfo() {
initialize();
}

public void initialize() {
setFileid(null);
setDirectory(null);
setFilename(null);
setVersion(null);
setFullname(null);
}

public TabSysfileinfo(int fileid, String directory, String filename, String version, String fullname) {
this.fileid = fileid;
this.directory = directory;
this.filename = filename;
this.version = version;
this.fullname = fullname;
}

public int getFileid() {
return fileid;
}

public boolean isFileidNull() {
return fileidNull;
}

public void setFileid(Integer fileid) {
if (fileid == null) {
fileidNull = true;
this.fileid = 0;
} else { 
fileidNull = false;
this.fileid = fileid;
}
}

public String getDirectory() {
return directory;
}

public void setDirectory(String directory) {
this.directory = directory;
}

public String getFilename() {
return filename;
}

public void setFilename(String filename) {
this.filename = filename;
}

public String getVersion() {
return version;
}

public void setVersion(String version) {
this.version = version;
}

public String getFullname() {
return fullname;
}

public void setFullname(String fullname) {
this.fullname = fullname;
}

}

