package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyslangauth {
@Coluna(nome="syslangauth.grantor", tipo="String")
private String grantor;
@Coluna(nome="syslangauth.grantee", tipo="String")
private String grantee;
@Coluna(nome="syslangauth.langid", tipo="int")
private int langid;
private boolean langidNull;
@Coluna(nome="syslangauth.langauth", tipo="String")
private String langauth;

public TabSyslangauth() {
initialize();
}

public void initialize() {
setGrantor(null);
setGrantee(null);
setLangid(null);
setLangauth(null);
}

public TabSyslangauth(String grantor, String grantee, int langid, String langauth) {
this.grantor = grantor;
this.grantee = grantee;
this.langid = langid;
this.langauth = langauth;
}

public String getGrantor() {
return grantor;
}

public void setGrantor(String grantor) {
this.grantor = grantor;
}

public String getGrantee() {
return grantee;
}

public void setGrantee(String grantee) {
this.grantee = grantee;
}

public int getLangid() {
return langid;
}

public boolean isLangidNull() {
return langidNull;
}

public void setLangid(Integer langid) {
if (langid == null) {
langidNull = true;
this.langid = 0;
} else { 
langidNull = false;
this.langid = langid;
}
}

public String getLangauth() {
return langauth;
}

public void setLangauth(String langauth) {
this.langauth = langauth;
}

}

