package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysproxysessions {
@Coluna(nome="sysproxysessions.session_id", tipo="int")
private int sessionId;
private boolean sessionIdNull;
@Coluna(nome="sysproxysessions.proxy_id", tipo="int")
private int proxyId;
private boolean proxyIdNull;
@Coluna(nome="sysproxysessions.proxy_tid", tipo="int")
private int proxyTid;
private boolean proxyTidNull;
@Coluna(nome="sysproxysessions.proxy_txn_id", tipo="int")
private int proxyTxnId;
private boolean proxyTxnIdNull;
@Coluna(nome="sysproxysessions.current_seq", tipo="int")
private int currentSeq;
private boolean currentSeqNull;
@Coluna(nome="sysproxysessions.pending_ops", tipo="int")
private int pendingOps;
private boolean pendingOpsNull;
@Coluna(nome="sysproxysessions.reference_count", tipo="int")
private int referenceCount;
private boolean referenceCountNull;

public TabSysproxysessions() {
initialize();
}

public void initialize() {
setSessionId(null);
setProxyId(null);
setProxyTid(null);
setProxyTxnId(null);
setCurrentSeq(null);
setPendingOps(null);
setReferenceCount(null);
}

public TabSysproxysessions(int sessionId, int proxyId, int proxyTid, int proxyTxnId, int currentSeq, int pendingOps, int referenceCount) {
this.sessionId = sessionId;
this.proxyId = proxyId;
this.proxyTid = proxyTid;
this.proxyTxnId = proxyTxnId;
this.currentSeq = currentSeq;
this.pendingOps = pendingOps;
this.referenceCount = referenceCount;
}

public int getSessionId() {
return sessionId;
}

public boolean isSessionIdNull() {
return sessionIdNull;
}

public void setSessionId(Integer sessionId) {
if (sessionId == null) {
sessionIdNull = true;
this.sessionId = 0;
} else { 
sessionIdNull = false;
this.sessionId = sessionId;
}
}

public int getProxyId() {
return proxyId;
}

public boolean isProxyIdNull() {
return proxyIdNull;
}

public void setProxyId(Integer proxyId) {
if (proxyId == null) {
proxyIdNull = true;
this.proxyId = 0;
} else { 
proxyIdNull = false;
this.proxyId = proxyId;
}
}

public int getProxyTid() {
return proxyTid;
}

public boolean isProxyTidNull() {
return proxyTidNull;
}

public void setProxyTid(Integer proxyTid) {
if (proxyTid == null) {
proxyTidNull = true;
this.proxyTid = 0;
} else { 
proxyTidNull = false;
this.proxyTid = proxyTid;
}
}

public int getProxyTxnId() {
return proxyTxnId;
}

public boolean isProxyTxnIdNull() {
return proxyTxnIdNull;
}

public void setProxyTxnId(Integer proxyTxnId) {
if (proxyTxnId == null) {
proxyTxnIdNull = true;
this.proxyTxnId = 0;
} else { 
proxyTxnIdNull = false;
this.proxyTxnId = proxyTxnId;
}
}

public int getCurrentSeq() {
return currentSeq;
}

public boolean isCurrentSeqNull() {
return currentSeqNull;
}

public void setCurrentSeq(Integer currentSeq) {
if (currentSeq == null) {
currentSeqNull = true;
this.currentSeq = 0;
} else { 
currentSeqNull = false;
this.currentSeq = currentSeq;
}
}

public int getPendingOps() {
return pendingOps;
}

public boolean isPendingOpsNull() {
return pendingOpsNull;
}

public void setPendingOps(Integer pendingOps) {
if (pendingOps == null) {
pendingOpsNull = true;
this.pendingOps = 0;
} else { 
pendingOpsNull = false;
this.pendingOps = pendingOps;
}
}

public int getReferenceCount() {
return referenceCount;
}

public boolean isReferenceCountNull() {
return referenceCountNull;
}

public void setReferenceCount(Integer referenceCount) {
if (referenceCount == null) {
referenceCountNull = true;
this.referenceCount = 0;
} else { 
referenceCountNull = false;
this.referenceCount = referenceCount;
}
}

}

