package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyssesprof {
@Coluna(nome="syssesprof.sid", tipo="int")
private int sid;
private boolean sidNull;
@Coluna(nome="syssesprof.lockreqs", tipo="long")
private long lockreqs;
private boolean lockreqsNull;
@Coluna(nome="syssesprof.locksheld", tipo="long")
private long locksheld;
private boolean locksheldNull;
@Coluna(nome="syssesprof.lockwts", tipo="long")
private long lockwts;
private boolean lockwtsNull;
@Coluna(nome="syssesprof.deadlks", tipo="long")
private long deadlks;
private boolean deadlksNull;
@Coluna(nome="syssesprof.lktouts", tipo="long")
private long lktouts;
private boolean lktoutsNull;
@Coluna(nome="syssesprof.logrecs", tipo="long")
private long logrecs;
private boolean logrecsNull;
@Coluna(nome="syssesprof.isreads", tipo="long")
private long isreads;
private boolean isreadsNull;
@Coluna(nome="syssesprof.iswrites", tipo="long")
private long iswrites;
private boolean iswritesNull;
@Coluna(nome="syssesprof.isrewrites", tipo="long")
private long isrewrites;
private boolean isrewritesNull;
@Coluna(nome="syssesprof.isdeletes", tipo="long")
private long isdeletes;
private boolean isdeletesNull;
@Coluna(nome="syssesprof.iscommits", tipo="long")
private long iscommits;
private boolean iscommitsNull;
@Coluna(nome="syssesprof.isrollbacks", tipo="long")
private long isrollbacks;
private boolean isrollbacksNull;
@Coluna(nome="syssesprof.longtxs", tipo="long")
private long longtxs;
private boolean longtxsNull;
@Coluna(nome="syssesprof.bufreads", tipo="long")
private long bufreads;
private boolean bufreadsNull;
@Coluna(nome="syssesprof.bufwrites", tipo="long")
private long bufwrites;
private boolean bufwritesNull;
@Coluna(nome="syssesprof.seqscans", tipo="long")
private long seqscans;
private boolean seqscansNull;
@Coluna(nome="syssesprof.pagreads", tipo="long")
private long pagreads;
private boolean pagreadsNull;
@Coluna(nome="syssesprof.pagwrites", tipo="long")
private long pagwrites;
private boolean pagwritesNull;
@Coluna(nome="syssesprof.total_sorts", tipo="long")
private long totalSorts;
private boolean totalSortsNull;
@Coluna(nome="syssesprof.dsksorts", tipo="long")
private long dsksorts;
private boolean dsksortsNull;
@Coluna(nome="syssesprof.max_sortdiskspace", tipo="long")
private long maxSortdiskspace;
private boolean maxSortdiskspaceNull;
@Coluna(nome="syssesprof.logspused", tipo="long")
private long logspused;
private boolean logspusedNull;
@Coluna(nome="syssesprof.maxlogsp", tipo="long")
private long maxlogsp;
private boolean maxlogspNull;

public TabSyssesprof() {
initialize();
}

public void initialize() {
setSid(null);
setLockreqs(null);
setLocksheld(null);
setLockwts(null);
setDeadlks(null);
setLktouts(null);
setLogrecs(null);
setIsreads(null);
setIswrites(null);
setIsrewrites(null);
setIsdeletes(null);
setIscommits(null);
setIsrollbacks(null);
setLongtxs(null);
setBufreads(null);
setBufwrites(null);
setSeqscans(null);
setPagreads(null);
setPagwrites(null);
setTotalSorts(null);
setDsksorts(null);
setMaxSortdiskspace(null);
setLogspused(null);
setMaxlogsp(null);
}

public TabSyssesprof(int sid, long lockreqs, long locksheld, long lockwts, long deadlks, long lktouts, long logrecs, long isreads, long iswrites, long isrewrites, long isdeletes, long iscommits, long isrollbacks, long longtxs, long bufreads, long bufwrites, long seqscans, long pagreads, long pagwrites, long totalSorts, long dsksorts, long maxSortdiskspace, long logspused, long maxlogsp) {
this.sid = sid;
this.lockreqs = lockreqs;
this.locksheld = locksheld;
this.lockwts = lockwts;
this.deadlks = deadlks;
this.lktouts = lktouts;
this.logrecs = logrecs;
this.isreads = isreads;
this.iswrites = iswrites;
this.isrewrites = isrewrites;
this.isdeletes = isdeletes;
this.iscommits = iscommits;
this.isrollbacks = isrollbacks;
this.longtxs = longtxs;
this.bufreads = bufreads;
this.bufwrites = bufwrites;
this.seqscans = seqscans;
this.pagreads = pagreads;
this.pagwrites = pagwrites;
this.totalSorts = totalSorts;
this.dsksorts = dsksorts;
this.maxSortdiskspace = maxSortdiskspace;
this.logspused = logspused;
this.maxlogsp = maxlogsp;
}

public int getSid() {
return sid;
}

public boolean isSidNull() {
return sidNull;
}

public void setSid(Integer sid) {
if (sid == null) {
sidNull = true;
this.sid = 0;
} else { 
sidNull = false;
this.sid = sid;
}
}

public long getLockreqs() {
return lockreqs;
}

public boolean isLockreqsNull() {
return lockreqsNull;
}

public void setLockreqs(int lockreqs) {
setLockreqs(new Long(lockreqs));
}

public void setLockreqs(Long lockreqs) {
if (lockreqs == null) {
lockreqsNull = true;
this.lockreqs = 0l;
} else { 
lockreqsNull = false;
this.lockreqs = lockreqs;
}
}

public long getLocksheld() {
return locksheld;
}

public boolean isLocksheldNull() {
return locksheldNull;
}

public void setLocksheld(int locksheld) {
setLocksheld(new Long(locksheld));
}

public void setLocksheld(Long locksheld) {
if (locksheld == null) {
locksheldNull = true;
this.locksheld = 0l;
} else { 
locksheldNull = false;
this.locksheld = locksheld;
}
}

public long getLockwts() {
return lockwts;
}

public boolean isLockwtsNull() {
return lockwtsNull;
}

public void setLockwts(int lockwts) {
setLockwts(new Long(lockwts));
}

public void setLockwts(Long lockwts) {
if (lockwts == null) {
lockwtsNull = true;
this.lockwts = 0l;
} else { 
lockwtsNull = false;
this.lockwts = lockwts;
}
}

public long getDeadlks() {
return deadlks;
}

public boolean isDeadlksNull() {
return deadlksNull;
}

public void setDeadlks(int deadlks) {
setDeadlks(new Long(deadlks));
}

public void setDeadlks(Long deadlks) {
if (deadlks == null) {
deadlksNull = true;
this.deadlks = 0l;
} else { 
deadlksNull = false;
this.deadlks = deadlks;
}
}

public long getLktouts() {
return lktouts;
}

public boolean isLktoutsNull() {
return lktoutsNull;
}

public void setLktouts(int lktouts) {
setLktouts(new Long(lktouts));
}

public void setLktouts(Long lktouts) {
if (lktouts == null) {
lktoutsNull = true;
this.lktouts = 0l;
} else { 
lktoutsNull = false;
this.lktouts = lktouts;
}
}

public long getLogrecs() {
return logrecs;
}

public boolean isLogrecsNull() {
return logrecsNull;
}

public void setLogrecs(int logrecs) {
setLogrecs(new Long(logrecs));
}

public void setLogrecs(Long logrecs) {
if (logrecs == null) {
logrecsNull = true;
this.logrecs = 0l;
} else { 
logrecsNull = false;
this.logrecs = logrecs;
}
}

public long getIsreads() {
return isreads;
}

public boolean isIsreadsNull() {
return isreadsNull;
}

public void setIsreads(int isreads) {
setIsreads(new Long(isreads));
}

public void setIsreads(Long isreads) {
if (isreads == null) {
isreadsNull = true;
this.isreads = 0l;
} else { 
isreadsNull = false;
this.isreads = isreads;
}
}

public long getIswrites() {
return iswrites;
}

public boolean isIswritesNull() {
return iswritesNull;
}

public void setIswrites(int iswrites) {
setIswrites(new Long(iswrites));
}

public void setIswrites(Long iswrites) {
if (iswrites == null) {
iswritesNull = true;
this.iswrites = 0l;
} else { 
iswritesNull = false;
this.iswrites = iswrites;
}
}

public long getIsrewrites() {
return isrewrites;
}

public boolean isIsrewritesNull() {
return isrewritesNull;
}

public void setIsrewrites(int isrewrites) {
setIsrewrites(new Long(isrewrites));
}

public void setIsrewrites(Long isrewrites) {
if (isrewrites == null) {
isrewritesNull = true;
this.isrewrites = 0l;
} else { 
isrewritesNull = false;
this.isrewrites = isrewrites;
}
}

public long getIsdeletes() {
return isdeletes;
}

public boolean isIsdeletesNull() {
return isdeletesNull;
}

public void setIsdeletes(int isdeletes) {
setIsdeletes(new Long(isdeletes));
}

public void setIsdeletes(Long isdeletes) {
if (isdeletes == null) {
isdeletesNull = true;
this.isdeletes = 0l;
} else { 
isdeletesNull = false;
this.isdeletes = isdeletes;
}
}

public long getIscommits() {
return iscommits;
}

public boolean isIscommitsNull() {
return iscommitsNull;
}

public void setIscommits(int iscommits) {
setIscommits(new Long(iscommits));
}

public void setIscommits(Long iscommits) {
if (iscommits == null) {
iscommitsNull = true;
this.iscommits = 0l;
} else { 
iscommitsNull = false;
this.iscommits = iscommits;
}
}

public long getIsrollbacks() {
return isrollbacks;
}

public boolean isIsrollbacksNull() {
return isrollbacksNull;
}

public void setIsrollbacks(int isrollbacks) {
setIsrollbacks(new Long(isrollbacks));
}

public void setIsrollbacks(Long isrollbacks) {
if (isrollbacks == null) {
isrollbacksNull = true;
this.isrollbacks = 0l;
} else { 
isrollbacksNull = false;
this.isrollbacks = isrollbacks;
}
}

public long getLongtxs() {
return longtxs;
}

public boolean isLongtxsNull() {
return longtxsNull;
}

public void setLongtxs(int longtxs) {
setLongtxs(new Long(longtxs));
}

public void setLongtxs(Long longtxs) {
if (longtxs == null) {
longtxsNull = true;
this.longtxs = 0l;
} else { 
longtxsNull = false;
this.longtxs = longtxs;
}
}

public long getBufreads() {
return bufreads;
}

public boolean isBufreadsNull() {
return bufreadsNull;
}

public void setBufreads(int bufreads) {
setBufreads(new Long(bufreads));
}

public void setBufreads(Long bufreads) {
if (bufreads == null) {
bufreadsNull = true;
this.bufreads = 0l;
} else { 
bufreadsNull = false;
this.bufreads = bufreads;
}
}

public long getBufwrites() {
return bufwrites;
}

public boolean isBufwritesNull() {
return bufwritesNull;
}

public void setBufwrites(int bufwrites) {
setBufwrites(new Long(bufwrites));
}

public void setBufwrites(Long bufwrites) {
if (bufwrites == null) {
bufwritesNull = true;
this.bufwrites = 0l;
} else { 
bufwritesNull = false;
this.bufwrites = bufwrites;
}
}

public long getSeqscans() {
return seqscans;
}

public boolean isSeqscansNull() {
return seqscansNull;
}

public void setSeqscans(int seqscans) {
setSeqscans(new Long(seqscans));
}

public void setSeqscans(Long seqscans) {
if (seqscans == null) {
seqscansNull = true;
this.seqscans = 0l;
} else { 
seqscansNull = false;
this.seqscans = seqscans;
}
}

public long getPagreads() {
return pagreads;
}

public boolean isPagreadsNull() {
return pagreadsNull;
}

public void setPagreads(int pagreads) {
setPagreads(new Long(pagreads));
}

public void setPagreads(Long pagreads) {
if (pagreads == null) {
pagreadsNull = true;
this.pagreads = 0l;
} else { 
pagreadsNull = false;
this.pagreads = pagreads;
}
}

public long getPagwrites() {
return pagwrites;
}

public boolean isPagwritesNull() {
return pagwritesNull;
}

public void setPagwrites(int pagwrites) {
setPagwrites(new Long(pagwrites));
}

public void setPagwrites(Long pagwrites) {
if (pagwrites == null) {
pagwritesNull = true;
this.pagwrites = 0l;
} else { 
pagwritesNull = false;
this.pagwrites = pagwrites;
}
}

public long getTotalSorts() {
return totalSorts;
}

public boolean isTotalSortsNull() {
return totalSortsNull;
}

public void setTotalSorts(int totalSorts) {
setTotalSorts(new Long(totalSorts));
}

public void setTotalSorts(Long totalSorts) {
if (totalSorts == null) {
totalSortsNull = true;
this.totalSorts = 0l;
} else { 
totalSortsNull = false;
this.totalSorts = totalSorts;
}
}

public long getDsksorts() {
return dsksorts;
}

public boolean isDsksortsNull() {
return dsksortsNull;
}

public void setDsksorts(int dsksorts) {
setDsksorts(new Long(dsksorts));
}

public void setDsksorts(Long dsksorts) {
if (dsksorts == null) {
dsksortsNull = true;
this.dsksorts = 0l;
} else { 
dsksortsNull = false;
this.dsksorts = dsksorts;
}
}

public long getMaxSortdiskspace() {
return maxSortdiskspace;
}

public boolean isMaxSortdiskspaceNull() {
return maxSortdiskspaceNull;
}

public void setMaxSortdiskspace(int maxSortdiskspace) {
setMaxSortdiskspace(new Long(maxSortdiskspace));
}

public void setMaxSortdiskspace(Long maxSortdiskspace) {
if (maxSortdiskspace == null) {
maxSortdiskspaceNull = true;
this.maxSortdiskspace = 0l;
} else { 
maxSortdiskspaceNull = false;
this.maxSortdiskspace = maxSortdiskspace;
}
}

public long getLogspused() {
return logspused;
}

public boolean isLogspusedNull() {
return logspusedNull;
}

public void setLogspused(int logspused) {
setLogspused(new Long(logspused));
}

public void setLogspused(Long logspused) {
if (logspused == null) {
logspusedNull = true;
this.logspused = 0l;
} else { 
logspusedNull = false;
this.logspused = logspused;
}
}

public long getMaxlogsp() {
return maxlogsp;
}

public boolean isMaxlogspNull() {
return maxlogspNull;
}

public void setMaxlogsp(int maxlogsp) {
setMaxlogsp(new Long(maxlogsp));
}

public void setMaxlogsp(Long maxlogsp) {
if (maxlogsp == null) {
maxlogspNull = true;
this.maxlogsp = 0l;
} else { 
maxlogspNull = false;
this.maxlogsp = maxlogsp;
}
}

}

