package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSystables {
@Coluna(nome="systables.tabname", tipo="String")
private String tabname;
@Coluna(nome="systables.owner", tipo="String")
private String owner;
@Coluna(nome="systables.partnum", tipo="int")
private int partnum;
private boolean partnumNull;
@Coluna(nome="systables.tabid", tipo="int")
private int tabid;
private boolean tabidNull;
@Coluna(nome="systables.rowsize", tipo="int")
private int rowsize;
private boolean rowsizeNull;
@Coluna(nome="systables.ncols", tipo="int")
private int ncols;
private boolean ncolsNull;
@Coluna(nome="systables.nindexes", tipo="int")
private int nindexes;
private boolean nindexesNull;
@Coluna(nome="systables.nrows", tipo="double")
private double nrows;
private boolean nrowsNull;
@Coluna(nome="systables.created", tipo="FglDate")
private FglDate created;
@Coluna(nome="systables.version", tipo="int")
private int version;
private boolean versionNull;
@Coluna(nome="systables.tabtype", tipo="String")
private String tabtype;
@Coluna(nome="systables.locklevel", tipo="String")
private String locklevel;
@Coluna(nome="systables.npused", tipo="double")
private double npused;
private boolean npusedNull;
@Coluna(nome="systables.fextsize", tipo="int")
private int fextsize;
private boolean fextsizeNull;
@Coluna(nome="systables.nextsize", tipo="int")
private int nextsize;
private boolean nextsizeNull;
@Coluna(nome="systables.flags", tipo="int")
private int flags;
private boolean flagsNull;
@Coluna(nome="systables.site", tipo="String")
private String site;
@Coluna(nome="systables.dbname", tipo="String")
private String dbname;
@Coluna(nome="systables.type_xid", tipo="int")
private int typeXid;
private boolean typeXidNull;
@Coluna(nome="systables.am_id", tipo="int")
private int amId;
private boolean amIdNull;
@Coluna(nome="systables.pagesize", tipo="int")
private int pagesize;
private boolean pagesizeNull;
@Coluna(nome="systables.ustlowts", tipo="FglDateTimeYS")
private FglDateTimeYS ustlowts;
@Coluna(nome="systables.secpolicyid", tipo="int")
private int secpolicyid;
private boolean secpolicyidNull;
@Coluna(nome="systables.protgranularity", tipo="String")
private String protgranularity;
@Coluna(nome="systables.statchange", tipo="int")
private int statchange;
private boolean statchangeNull;
@Coluna(nome="systables.statlevel", tipo="String")
private String statlevel;

public TabSystables() {
initialize();
}

public void initialize() {
setTabname(null);
setOwner(null);
setPartnum(null);
setTabid(null);
setRowsize(null);
setNcols(null);
setNindexes(null);
setNrows(null);
setCreated(null);
setVersion(null);
setTabtype(null);
setLocklevel(null);
setNpused(null);
setFextsize(null);
setNextsize(null);
setFlags(null);
setSite(null);
setDbname(null);
setTypeXid(null);
setAmId(null);
setPagesize(null);
setUstlowts(null);
setSecpolicyid(null);
setProtgranularity(null);
setStatchange(null);
setStatlevel(null);
}

public TabSystables(String tabname, String owner, int partnum, int tabid, int rowsize, int ncols, int nindexes, double nrows, FglDate created, int version, String tabtype, String locklevel, double npused, int fextsize, int nextsize, int flags, String site, String dbname, int typeXid, int amId, int pagesize, FglDateTimeYS ustlowts, int secpolicyid, String protgranularity, int statchange, String statlevel) {
this.tabname = tabname;
this.owner = owner;
this.partnum = partnum;
this.tabid = tabid;
this.rowsize = rowsize;
this.ncols = ncols;
this.nindexes = nindexes;
this.nrows = nrows;
this.created = created;
this.version = version;
this.tabtype = tabtype;
this.locklevel = locklevel;
this.npused = npused;
this.fextsize = fextsize;
this.nextsize = nextsize;
this.flags = flags;
this.site = site;
this.dbname = dbname;
this.typeXid = typeXid;
this.amId = amId;
this.pagesize = pagesize;
this.ustlowts = ustlowts;
this.secpolicyid = secpolicyid;
this.protgranularity = protgranularity;
this.statchange = statchange;
this.statlevel = statlevel;
}

public String getTabname() {
return tabname;
}

public void setTabname(String tabname) {
this.tabname = tabname;
}

public String getOwner() {
return owner;
}

public void setOwner(String owner) {
this.owner = owner;
}

public int getPartnum() {
return partnum;
}

public boolean isPartnumNull() {
return partnumNull;
}

public void setPartnum(Integer partnum) {
if (partnum == null) {
partnumNull = true;
this.partnum = 0;
} else { 
partnumNull = false;
this.partnum = partnum;
}
}

public int getTabid() {
return tabid;
}

public boolean isTabidNull() {
return tabidNull;
}

public void setTabid(Integer tabid) {
if (tabid == null) {
tabidNull = true;
this.tabid = 0;
} else { 
tabidNull = false;
this.tabid = tabid;
}
}

public int getRowsize() {
return rowsize;
}

public boolean isRowsizeNull() {
return rowsizeNull;
}

public void setRowsize(Integer rowsize) {
if (rowsize == null) {
rowsizeNull = true;
this.rowsize = 0;
} else { 
rowsizeNull = false;
this.rowsize = rowsize;
}
}

public int getNcols() {
return ncols;
}

public boolean isNcolsNull() {
return ncolsNull;
}

public void setNcols(Integer ncols) {
if (ncols == null) {
ncolsNull = true;
this.ncols = 0;
} else { 
ncolsNull = false;
this.ncols = ncols;
}
}

public int getNindexes() {
return nindexes;
}

public boolean isNindexesNull() {
return nindexesNull;
}

public void setNindexes(Integer nindexes) {
if (nindexes == null) {
nindexesNull = true;
this.nindexes = 0;
} else { 
nindexesNull = false;
this.nindexes = nindexes;
}
}

public double getNrows() {
return nrows;
}

public boolean isNrowsNull() {
return nrowsNull;
}

public void setNrows(int nrows) {
setNrows(new Double(nrows));
}

public void setNrows(long nrows) {
setNrows(new Double(nrows));
}

public void setNrows(Double nrows) {
if (nrows == null) {
nrowsNull = true;
this.nrows = 0.;
} else { 
nrowsNull = false;
this.nrows = FglDouble.round(nrows, 8);
}
}

public FglDate getCreated() {
return created;
}

public void setCreated(FglDate created) {
this.created = created;
}

public int getVersion() {
return version;
}

public boolean isVersionNull() {
return versionNull;
}

public void setVersion(Integer version) {
if (version == null) {
versionNull = true;
this.version = 0;
} else { 
versionNull = false;
this.version = version;
}
}

public String getTabtype() {
return tabtype;
}

public void setTabtype(String tabtype) {
this.tabtype = tabtype;
}

public String getLocklevel() {
return locklevel;
}

public void setLocklevel(String locklevel) {
this.locklevel = locklevel;
}

public double getNpused() {
return npused;
}

public boolean isNpusedNull() {
return npusedNull;
}

public void setNpused(int npused) {
setNpused(new Double(npused));
}

public void setNpused(long npused) {
setNpused(new Double(npused));
}

public void setNpused(Double npused) {
if (npused == null) {
npusedNull = true;
this.npused = 0.;
} else { 
npusedNull = false;
this.npused = FglDouble.round(npused, 8);
}
}

public int getFextsize() {
return fextsize;
}

public boolean isFextsizeNull() {
return fextsizeNull;
}

public void setFextsize(Integer fextsize) {
if (fextsize == null) {
fextsizeNull = true;
this.fextsize = 0;
} else { 
fextsizeNull = false;
this.fextsize = fextsize;
}
}

public int getNextsize() {
return nextsize;
}

public boolean isNextsizeNull() {
return nextsizeNull;
}

public void setNextsize(Integer nextsize) {
if (nextsize == null) {
nextsizeNull = true;
this.nextsize = 0;
} else { 
nextsizeNull = false;
this.nextsize = nextsize;
}
}

public int getFlags() {
return flags;
}

public boolean isFlagsNull() {
return flagsNull;
}

public void setFlags(Integer flags) {
if (flags == null) {
flagsNull = true;
this.flags = 0;
} else { 
flagsNull = false;
this.flags = flags;
}
}

public String getSite() {
return site;
}

public void setSite(String site) {
this.site = site;
}

public String getDbname() {
return dbname;
}

public void setDbname(String dbname) {
this.dbname = dbname;
}

public int getTypeXid() {
return typeXid;
}

public boolean isTypeXidNull() {
return typeXidNull;
}

public void setTypeXid(Integer typeXid) {
if (typeXid == null) {
typeXidNull = true;
this.typeXid = 0;
} else { 
typeXidNull = false;
this.typeXid = typeXid;
}
}

public int getAmId() {
return amId;
}

public boolean isAmIdNull() {
return amIdNull;
}

public void setAmId(Integer amId) {
if (amId == null) {
amIdNull = true;
this.amId = 0;
} else { 
amIdNull = false;
this.amId = amId;
}
}

public int getPagesize() {
return pagesize;
}

public boolean isPagesizeNull() {
return pagesizeNull;
}

public void setPagesize(Integer pagesize) {
if (pagesize == null) {
pagesizeNull = true;
this.pagesize = 0;
} else { 
pagesizeNull = false;
this.pagesize = pagesize;
}
}

public FglDateTimeYS getUstlowts() {
return ustlowts;
}

public void setUstlowts(FglDateTimeYS ustlowts) {
this.ustlowts = ustlowts;
}

public int getSecpolicyid() {
return secpolicyid;
}

public boolean isSecpolicyidNull() {
return secpolicyidNull;
}

public void setSecpolicyid(Integer secpolicyid) {
if (secpolicyid == null) {
secpolicyidNull = true;
this.secpolicyid = 0;
} else { 
secpolicyidNull = false;
this.secpolicyid = secpolicyid;
}
}

public String getProtgranularity() {
return protgranularity;
}

public void setProtgranularity(String protgranularity) {
this.protgranularity = protgranularity;
}

public int getStatchange() {
return statchange;
}

public boolean isStatchangeNull() {
return statchangeNull;
}

public void setStatchange(Integer statchange) {
if (statchange == null) {
statchangeNull = true;
this.statchange = 0;
} else { 
statchangeNull = false;
this.statchange = statchange;
}
}

public String getStatlevel() {
return statlevel;
}

public void setStatlevel(String statlevel) {
this.statlevel = statlevel;
}

}

