package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTamensag {
@Coluna(nome="tamensag.id_mensagem", tipo="int")
private int idMensagem;
private boolean idMensagemNull;
@Coluna(nome="tamensag.id_agenteemi", tipo="int")
private int idAgenteemi;
private boolean idAgenteemiNull;
@Coluna(nome="tamensag.id_agenterec", tipo="int")
private int idAgenterec;
private boolean idAgenterecNull;
@Coluna(nome="tamensag.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="tamensag.assunto", tipo="String")
private String assunto;
@Coluna(nome="tamensag.descricao", tipo="String")
private String descricao;
@Coluna(nome="tamensag.lida", tipo="String")
private String lida;
@Coluna(nome="tamensag.solresp", tipo="String")
private String solresp;
@Coluna(nome="tamensag.mostramsg", tipo="String")
private String mostramsg;
@Coluna(nome="tamensag.id_msgorigem", tipo="int")
private int idMsgorigem;
private boolean idMsgorigemNull;
@Coluna(nome="tamensag.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="tamensag.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="tamensag.comentario", tipo="String")
private String comentario;

public TabTamensag() {
initialize();
}

public void initialize() {
setIdMensagem(null);
setIdAgenteemi(null);
setIdAgenterec(null);
setDtemissao(null);
setAssunto(null);
setDescricao(null);
setLida(null);
setSolresp(null);
setMostramsg(null);
setIdMsgorigem(null);
setIdOscapa(null);
setSequencia(null);
setComentario(null);
}

public TabTamensag(int idMensagem, int idAgenteemi, int idAgenterec, FglDate dtemissao, String assunto, String descricao, String lida, String solresp, String mostramsg, int idMsgorigem, int idOscapa, int sequencia, String comentario) {
this.idMensagem = idMensagem;
this.idAgenteemi = idAgenteemi;
this.idAgenterec = idAgenterec;
this.dtemissao = dtemissao;
this.assunto = assunto;
this.descricao = descricao;
this.lida = lida;
this.solresp = solresp;
this.mostramsg = mostramsg;
this.idMsgorigem = idMsgorigem;
this.idOscapa = idOscapa;
this.sequencia = sequencia;
this.comentario = comentario;
}

public int getIdMensagem() {
return idMensagem;
}

public boolean isIdMensagemNull() {
return idMensagemNull;
}

public void setIdMensagem(Integer idMensagem) {
if (idMensagem == null) {
idMensagemNull = true;
this.idMensagem = 0;
} else { 
idMensagemNull = false;
this.idMensagem = idMensagem;
}
}

public int getIdAgenteemi() {
return idAgenteemi;
}

public boolean isIdAgenteemiNull() {
return idAgenteemiNull;
}

public void setIdAgenteemi(Integer idAgenteemi) {
if (idAgenteemi == null) {
idAgenteemiNull = true;
this.idAgenteemi = 0;
} else { 
idAgenteemiNull = false;
this.idAgenteemi = idAgenteemi;
}
}

public int getIdAgenterec() {
return idAgenterec;
}

public boolean isIdAgenterecNull() {
return idAgenterecNull;
}

public void setIdAgenterec(Integer idAgenterec) {
if (idAgenterec == null) {
idAgenterecNull = true;
this.idAgenterec = 0;
} else { 
idAgenterecNull = false;
this.idAgenterec = idAgenterec;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public String getAssunto() {
return assunto;
}

public void setAssunto(String assunto) {
this.assunto = assunto;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getLida() {
return lida;
}

public void setLida(String lida) {
this.lida = lida;
}

public String getSolresp() {
return solresp;
}

public void setSolresp(String solresp) {
this.solresp = solresp;
}

public String getMostramsg() {
return mostramsg;
}

public void setMostramsg(String mostramsg) {
this.mostramsg = mostramsg;
}

public int getIdMsgorigem() {
return idMsgorigem;
}

public boolean isIdMsgorigemNull() {
return idMsgorigemNull;
}

public void setIdMsgorigem(Integer idMsgorigem) {
if (idMsgorigem == null) {
idMsgorigemNull = true;
this.idMsgorigem = 0;
} else { 
idMsgorigemNull = false;
this.idMsgorigem = idMsgorigem;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getComentario() {
return comentario;
}

public void setComentario(String comentario) {
this.comentario = comentario;
}

}

