package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTapesqui {
@Coluna(nome="tapesqui.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="tapesqui.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="tapesqui.seqpesquisa", tipo="int")
private int seqpesquisa;
private boolean seqpesquisaNull;
@Coluna(nome="tapesqui.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="tapesqui.resposta", tipo="String")
private String resposta;
@Coluna(nome="tapesqui.comentario", tipo="String")
private String comentario;
@Coluna(nome="tapesqui.nota", tipo="double")
private double nota;
private boolean notaNull;

public TabTapesqui() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setSequencia(null);
setSeqpesquisa(null);
setNroitem(null);
setResposta(null);
setComentario(null);
setNota(null);
}

public TabTapesqui(int idOscapa, int sequencia, int seqpesquisa, int nroitem, String resposta, String comentario, double nota) {
this.idOscapa = idOscapa;
this.sequencia = sequencia;
this.seqpesquisa = seqpesquisa;
this.nroitem = nroitem;
this.resposta = resposta;
this.comentario = comentario;
this.nota = nota;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getSeqpesquisa() {
return seqpesquisa;
}

public boolean isSeqpesquisaNull() {
return seqpesquisaNull;
}

public void setSeqpesquisa(Integer seqpesquisa) {
if (seqpesquisa == null) {
seqpesquisaNull = true;
this.seqpesquisa = 0;
} else { 
seqpesquisaNull = false;
this.seqpesquisa = seqpesquisa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getResposta() {
return resposta;
}

public void setResposta(String resposta) {
this.resposta = resposta;
}

public String getComentario() {
return comentario;
}

public void setComentario(String comentario) {
this.comentario = comentario;
}

public double getNota() {
return nota;
}

public boolean isNotaNull() {
return notaNull;
}

public void setNota(int nota) {
setNota(new Double(nota));
}

public void setNota(long nota) {
setNota(new Double(nota));
}

public void setNota(Double nota) {
if (nota == null) {
notaNull = true;
this.nota = 0.;
} else { 
notaNull = false;
this.nota = FglDouble.round(nota, 2);
}
}

}

