package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTaracaps {
@Coluna(nome="taracaps.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="taracaps.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="taracaps.sequenciarac", tipo="int")
private int sequenciarac;
private boolean sequenciaracNull;
@Coluna(nome="taracaps.resposta_cliente", tipo="String")
private String respostaCliente;
@Coluna(nome="taracaps.sat_nivel", tipo="int")
private int satNivel;
private boolean satNivelNull;
@Coluna(nome="taracaps.sat_dtregistro", tipo="FglDate")
private FglDate satDtregistro;
@Coluna(nome="taracaps.sat_id_agente", tipo="int")
private int satIdAgente;
private boolean satIdAgenteNull;
@Coluna(nome="taracaps.acoes_causa", tipo="String")
private String acoesCausa;
@Coluna(nome="taracaps.acoes_contramedida", tipo="String")
private String acoesContramedida;
@Coluna(nome="taracaps.responsavel", tipo="int")
private int responsavel;
private boolean responsavelNull;
@Coluna(nome="taracaps.dt_registro", tipo="FglDate")
private FglDate dtRegistro;

public TabTaracaps() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setSequencia(null);
setSequenciarac(null);
setRespostaCliente(null);
setSatNivel(null);
setSatDtregistro(null);
setSatIdAgente(null);
setAcoesCausa(null);
setAcoesContramedida(null);
setResponsavel(null);
setDtRegistro(null);
}

public TabTaracaps(int idOscapa, int sequencia, int sequenciarac, String respostaCliente, int satNivel, FglDate satDtregistro, int satIdAgente, String acoesCausa, String acoesContramedida, int responsavel, FglDate dtRegistro) {
this.idOscapa = idOscapa;
this.sequencia = sequencia;
this.sequenciarac = sequenciarac;
this.respostaCliente = respostaCliente;
this.satNivel = satNivel;
this.satDtregistro = satDtregistro;
this.satIdAgente = satIdAgente;
this.acoesCausa = acoesCausa;
this.acoesContramedida = acoesContramedida;
this.responsavel = responsavel;
this.dtRegistro = dtRegistro;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getSequenciarac() {
return sequenciarac;
}

public boolean isSequenciaracNull() {
return sequenciaracNull;
}

public void setSequenciarac(Integer sequenciarac) {
if (sequenciarac == null) {
sequenciaracNull = true;
this.sequenciarac = 0;
} else { 
sequenciaracNull = false;
this.sequenciarac = sequenciarac;
}
}

public String getRespostaCliente() {
return respostaCliente;
}

public void setRespostaCliente(String respostaCliente) {
this.respostaCliente = respostaCliente;
}

public int getSatNivel() {
return satNivel;
}

public boolean isSatNivelNull() {
return satNivelNull;
}

public void setSatNivel(Integer satNivel) {
if (satNivel == null) {
satNivelNull = true;
this.satNivel = 0;
} else { 
satNivelNull = false;
this.satNivel = satNivel;
}
}

public FglDate getSatDtregistro() {
return satDtregistro;
}

public void setSatDtregistro(FglDate satDtregistro) {
this.satDtregistro = satDtregistro;
}

public int getSatIdAgente() {
return satIdAgente;
}

public boolean isSatIdAgenteNull() {
return satIdAgenteNull;
}

public void setSatIdAgente(Integer satIdAgente) {
if (satIdAgente == null) {
satIdAgenteNull = true;
this.satIdAgente = 0;
} else { 
satIdAgenteNull = false;
this.satIdAgente = satIdAgente;
}
}

public String getAcoesCausa() {
return acoesCausa;
}

public void setAcoesCausa(String acoesCausa) {
this.acoesCausa = acoesCausa;
}

public String getAcoesContramedida() {
return acoesContramedida;
}

public void setAcoesContramedida(String acoesContramedida) {
this.acoesContramedida = acoesContramedida;
}

public int getResponsavel() {
return responsavel;
}

public boolean isResponsavelNull() {
return responsavelNull;
}

public void setResponsavel(Integer responsavel) {
if (responsavel == null) {
responsavelNull = true;
this.responsavel = 0;
} else { 
responsavelNull = false;
this.responsavel = responsavel;
}
}

public FglDate getDtRegistro() {
return dtRegistro;
}

public void setDtRegistro(FglDate dtRegistro) {
this.dtRegistro = dtRegistro;
}

}

