package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTrnfpgto {
@Coluna(nome="trnfpgto.id_trcapa", tipo="int")
private int idTrcapa;
private boolean idTrcapaNull;
@Coluna(nome="trnfpgto.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="trnfpgto.plano_pagto", tipo="String")
private String planoPagto;
@Coluna(nome="trnfpgto.forma_pagto", tipo="String")
private String formaPagto;
@Coluna(nome="trnfpgto.perc_desconto", tipo="double")
private double percDesconto;
private boolean percDescontoNull;
@Coluna(nome="trnfpgto.valor_desconto", tipo="double")
private double valorDesconto;
private boolean valorDescontoNull;
@Coluna(nome="trnfpgto.vencto_desconto", tipo="FglDate")
private FglDate venctoDesconto;

public TabTrnfpgto() {
initialize();
}

public void initialize() {
setIdTrcapa(null);
setNroparcela(null);
setPlanoPagto(null);
setFormaPagto(null);
setPercDesconto(null);
setValorDesconto(null);
setVenctoDesconto(null);
}

public TabTrnfpgto(int idTrcapa, int nroparcela, String planoPagto, String formaPagto, double percDesconto, double valorDesconto, FglDate venctoDesconto) {
this.idTrcapa = idTrcapa;
this.nroparcela = nroparcela;
this.planoPagto = planoPagto;
this.formaPagto = formaPagto;
this.percDesconto = percDesconto;
this.valorDesconto = valorDesconto;
this.venctoDesconto = venctoDesconto;
}

public int getIdTrcapa() {
return idTrcapa;
}

public boolean isIdTrcapaNull() {
return idTrcapaNull;
}

public void setIdTrcapa(Integer idTrcapa) {
if (idTrcapa == null) {
idTrcapaNull = true;
this.idTrcapa = 0;
} else { 
idTrcapaNull = false;
this.idTrcapa = idTrcapa;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public String getPlanoPagto() {
return planoPagto;
}

public void setPlanoPagto(String planoPagto) {
this.planoPagto = planoPagto;
}

public String getFormaPagto() {
return formaPagto;
}

public void setFormaPagto(String formaPagto) {
this.formaPagto = formaPagto;
}

public double getPercDesconto() {
return percDesconto;
}

public boolean isPercDescontoNull() {
return percDescontoNull;
}

public void setPercDesconto(int percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(long percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(Double percDesconto) {
if (percDesconto == null) {
percDescontoNull = true;
this.percDesconto = 0.;
} else { 
percDescontoNull = false;
this.percDesconto = FglDouble.round(percDesconto, 2);
}
}

public double getValorDesconto() {
return valorDesconto;
}

public boolean isValorDescontoNull() {
return valorDescontoNull;
}

public void setValorDesconto(int valorDesconto) {
setValorDesconto(new Double(valorDesconto));
}

public void setValorDesconto(long valorDesconto) {
setValorDesconto(new Double(valorDesconto));
}

public void setValorDesconto(Double valorDesconto) {
if (valorDesconto == null) {
valorDescontoNull = true;
this.valorDesconto = 0.;
} else { 
valorDescontoNull = false;
this.valorDesconto = FglDouble.round(valorDesconto, 2);
}
}

public FglDate getVenctoDesconto() {
return venctoDesconto;
}

public void setVenctoDesconto(FglDate venctoDesconto) {
this.venctoDesconto = venctoDesconto;
}

}

