package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTrnfpicm {
@Coluna(nome="trnfpicm.id_trcapa", tipo="int")
private int idTrcapa;
private boolean idTrcapaNull;
@Coluna(nome="trnfpicm.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="trnfpicm.vbcufdest", tipo="double")
private double vbcufdest;
private boolean vbcufdestNull;
@Coluna(nome="trnfpicm.pfcpufdest", tipo="double")
private double pfcpufdest;
private boolean pfcpufdestNull;
@Coluna(nome="trnfpicm.picmsufdest", tipo="double")
private double picmsufdest;
private boolean picmsufdestNull;
@Coluna(nome="trnfpicm.picmsinter", tipo="double")
private double picmsinter;
private boolean picmsinterNull;
@Coluna(nome="trnfpicm.picmsinterpart", tipo="double")
private double picmsinterpart;
private boolean picmsinterpartNull;
@Coluna(nome="trnfpicm.vfcpufdest", tipo="double")
private double vfcpufdest;
private boolean vfcpufdestNull;
@Coluna(nome="trnfpicm.vicmsufdest", tipo="double")
private double vicmsufdest;
private boolean vicmsufdestNull;
@Coluna(nome="trnfpicm.vicmsufremet", tipo="double")
private double vicmsufremet;
private boolean vicmsufremetNull;

public TabTrnfpicm() {
initialize();
}

public void initialize() {
setIdTrcapa(null);
setNrolinha(null);
setVbcufdest(null);
setPfcpufdest(null);
setPicmsufdest(null);
setPicmsinter(null);
setPicmsinterpart(null);
setVfcpufdest(null);
setVicmsufdest(null);
setVicmsufremet(null);
}

public TabTrnfpicm(int idTrcapa, int nrolinha, double vbcufdest, double pfcpufdest, double picmsufdest, double picmsinter, double picmsinterpart, double vfcpufdest, double vicmsufdest, double vicmsufremet) {
this.idTrcapa = idTrcapa;
this.nrolinha = nrolinha;
this.vbcufdest = vbcufdest;
this.pfcpufdest = pfcpufdest;
this.picmsufdest = picmsufdest;
this.picmsinter = picmsinter;
this.picmsinterpart = picmsinterpart;
this.vfcpufdest = vfcpufdest;
this.vicmsufdest = vicmsufdest;
this.vicmsufremet = vicmsufremet;
}

public int getIdTrcapa() {
return idTrcapa;
}

public boolean isIdTrcapaNull() {
return idTrcapaNull;
}

public void setIdTrcapa(Integer idTrcapa) {
if (idTrcapa == null) {
idTrcapaNull = true;
this.idTrcapa = 0;
} else { 
idTrcapaNull = false;
this.idTrcapa = idTrcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getVbcufdest() {
return vbcufdest;
}

public boolean isVbcufdestNull() {
return vbcufdestNull;
}

public void setVbcufdest(int vbcufdest) {
setVbcufdest(new Double(vbcufdest));
}

public void setVbcufdest(long vbcufdest) {
setVbcufdest(new Double(vbcufdest));
}

public void setVbcufdest(Double vbcufdest) {
if (vbcufdest == null) {
vbcufdestNull = true;
this.vbcufdest = 0.;
} else { 
vbcufdestNull = false;
this.vbcufdest = FglDouble.round(vbcufdest, 2);
}
}

public double getPfcpufdest() {
return pfcpufdest;
}

public boolean isPfcpufdestNull() {
return pfcpufdestNull;
}

public void setPfcpufdest(int pfcpufdest) {
setPfcpufdest(new Double(pfcpufdest));
}

public void setPfcpufdest(long pfcpufdest) {
setPfcpufdest(new Double(pfcpufdest));
}

public void setPfcpufdest(Double pfcpufdest) {
if (pfcpufdest == null) {
pfcpufdestNull = true;
this.pfcpufdest = 0.;
} else { 
pfcpufdestNull = false;
this.pfcpufdest = FglDouble.round(pfcpufdest, 2);
}
}

public double getPicmsufdest() {
return picmsufdest;
}

public boolean isPicmsufdestNull() {
return picmsufdestNull;
}

public void setPicmsufdest(int picmsufdest) {
setPicmsufdest(new Double(picmsufdest));
}

public void setPicmsufdest(long picmsufdest) {
setPicmsufdest(new Double(picmsufdest));
}

public void setPicmsufdest(Double picmsufdest) {
if (picmsufdest == null) {
picmsufdestNull = true;
this.picmsufdest = 0.;
} else { 
picmsufdestNull = false;
this.picmsufdest = FglDouble.round(picmsufdest, 2);
}
}

public double getPicmsinter() {
return picmsinter;
}

public boolean isPicmsinterNull() {
return picmsinterNull;
}

public void setPicmsinter(int picmsinter) {
setPicmsinter(new Double(picmsinter));
}

public void setPicmsinter(long picmsinter) {
setPicmsinter(new Double(picmsinter));
}

public void setPicmsinter(Double picmsinter) {
if (picmsinter == null) {
picmsinterNull = true;
this.picmsinter = 0.;
} else { 
picmsinterNull = false;
this.picmsinter = FglDouble.round(picmsinter, 2);
}
}

public double getPicmsinterpart() {
return picmsinterpart;
}

public boolean isPicmsinterpartNull() {
return picmsinterpartNull;
}

public void setPicmsinterpart(int picmsinterpart) {
setPicmsinterpart(new Double(picmsinterpart));
}

public void setPicmsinterpart(long picmsinterpart) {
setPicmsinterpart(new Double(picmsinterpart));
}

public void setPicmsinterpart(Double picmsinterpart) {
if (picmsinterpart == null) {
picmsinterpartNull = true;
this.picmsinterpart = 0.;
} else { 
picmsinterpartNull = false;
this.picmsinterpart = FglDouble.round(picmsinterpart, 2);
}
}

public double getVfcpufdest() {
return vfcpufdest;
}

public boolean isVfcpufdestNull() {
return vfcpufdestNull;
}

public void setVfcpufdest(int vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(long vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(Double vfcpufdest) {
if (vfcpufdest == null) {
vfcpufdestNull = true;
this.vfcpufdest = 0.;
} else { 
vfcpufdestNull = false;
this.vfcpufdest = FglDouble.round(vfcpufdest, 2);
}
}

public double getVicmsufdest() {
return vicmsufdest;
}

public boolean isVicmsufdestNull() {
return vicmsufdestNull;
}

public void setVicmsufdest(int vicmsufdest) {
setVicmsufdest(new Double(vicmsufdest));
}

public void setVicmsufdest(long vicmsufdest) {
setVicmsufdest(new Double(vicmsufdest));
}

public void setVicmsufdest(Double vicmsufdest) {
if (vicmsufdest == null) {
vicmsufdestNull = true;
this.vicmsufdest = 0.;
} else { 
vicmsufdestNull = false;
this.vicmsufdest = FglDouble.round(vicmsufdest, 2);
}
}

public double getVicmsufremet() {
return vicmsufremet;
}

public boolean isVicmsufremetNull() {
return vicmsufremetNull;
}

public void setVicmsufremet(int vicmsufremet) {
setVicmsufremet(new Double(vicmsufremet));
}

public void setVicmsufremet(long vicmsufremet) {
setVicmsufremet(new Double(vicmsufremet));
}

public void setVicmsufremet(Double vicmsufremet) {
if (vicmsufremet == null) {
vicmsufremetNull = true;
this.vicmsufremet = 0.;
} else { 
vicmsufremetNull = false;
this.vicmsufremet = FglDouble.round(vicmsufremet, 2);
}
}

}

