package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTsficava {
@Coluna(nome="tsficava.id_avaliacao", tipo="int")
private int idAvaliacao;
private boolean idAvaliacaoNull;
@Coluna(nome="tsficava.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsficava.dt_vinculacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtVinculacao;
@Coluna(nome="tsficava.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="tsficava.marca", tipo="String")
private String marca;
@Coluna(nome="tsficava.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsficava.placa", tipo="String")
private String placa;
@Coluna(nome="tsficava.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="tsficava.cor", tipo="String")
private String cor;
@Coluna(nome="tsficava.ano", tipo="String")
private String ano;
@Coluna(nome="tsficava.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="tsficava.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsficava.ativo", tipo="String")
private String ativo;
@Coluna(nome="tsficava.status", tipo="String")
private String status;
@Coluna(nome="tsficava.aceito", tipo="String")
private String aceito;
@Coluna(nome="tsficava.repasse", tipo="String")
private String repasse;
@Coluna(nome="tsficava.nro_avafabrica", tipo="String")
private String nroAvafabrica;

public TabTsficava() {
initialize();
}

public void initialize() {
setIdAvaliacao(null);
setIdProspe(null);
setDtVinculacao(null);
setSequencia(null);
setMarca(null);
setModelo(null);
setPlaca(null);
setQuilometr(null);
setCor(null);
setAno(null);
setValor(null);
setIdAgente(null);
setAtivo(null);
setStatus(null);
setAceito(null);
setRepasse(null);
setNroAvafabrica(null);
}

public TabTsficava(int idAvaliacao, int idProspe, FglDateTimeYS dtVinculacao, int sequencia, String marca, String modelo, String placa, int quilometr, String cor, String ano, double valor, int idAgente, String ativo, String status, String aceito, String repasse, String nroAvafabrica) {
this.idAvaliacao = idAvaliacao;
this.idProspe = idProspe;
this.dtVinculacao = dtVinculacao;
this.sequencia = sequencia;
this.marca = marca;
this.modelo = modelo;
this.placa = placa;
this.quilometr = quilometr;
this.cor = cor;
this.ano = ano;
this.valor = valor;
this.idAgente = idAgente;
this.ativo = ativo;
this.status = status;
this.aceito = aceito;
this.repasse = repasse;
this.nroAvafabrica = nroAvafabrica;
}

public int getIdAvaliacao() {
return idAvaliacao;
}

public boolean isIdAvaliacaoNull() {
return idAvaliacaoNull;
}

public void setIdAvaliacao(Integer idAvaliacao) {
if (idAvaliacao == null) {
idAvaliacaoNull = true;
this.idAvaliacao = 0;
} else { 
idAvaliacaoNull = false;
this.idAvaliacao = idAvaliacao;
}
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public FglDateTimeYS getDtVinculacao() {
return dtVinculacao;
}

public void setDtVinculacao(FglDateTimeYS dtVinculacao) {
this.dtVinculacao = dtVinculacao;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public String getAno() {
return ano;
}

public void setAno(String ano) {
this.ano = ano;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getAceito() {
return aceito;
}

public void setAceito(String aceito) {
this.aceito = aceito;
}

public String getRepasse() {
return repasse;
}

public void setRepasse(String repasse) {
this.repasse = repasse;
}

public String getNroAvafabrica() {
return nroAvafabrica;
}

public void setNroAvafabrica(String nroAvafabrica) {
this.nroAvafabrica = nroAvafabrica;
}

}

