package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabTsinsfab {
@Coluna(nome="tsinsfab.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsinsfab.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="tsinsfab.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="tsinsfab.codtoyotacliente", tipo="String")
private String codtoyotacliente;
@Coluna(nome="tsinsfab.coddestino", tipo="String")
private String coddestino;

public TabTsinsfab() {
initialize();
}

public void initialize() {
setFilial(null);
setTppessoa(null);
setCgccpf(null);
setCodtoyotacliente(null);
setCoddestino(null);
}

public TabTsinsfab(int filial, int tppessoa, long cgccpf, String codtoyotacliente, String coddestino) {
this.filial = filial;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.codtoyotacliente = codtoyotacliente;
this.coddestino = coddestino;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getCodtoyotacliente() {
return codtoyotacliente;
}

public void setCodtoyotacliente(String codtoyotacliente) {
this.codtoyotacliente = codtoyotacliente;
}

public String getCoddestino() {
return coddestino;
}

public void setCoddestino(String coddestino) {
this.coddestino = coddestino;
}

}

