package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsloprep {
@Coluna(nome="tsloprep.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsloprep.id_loprep", tipo="int")
private int idLoprep;
private boolean idLoprepNull;
@Coluna(nome="tsloprep.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="tsloprep.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsloprep.campos_alt", tipo="String")
private String camposAlt;

public TabTsloprep() {
initialize();
}

public void initialize() {
setFilial(null);
setIdLoprep(null);
setDtaalteracao(null);
setIdAgente(null);
setCamposAlt(null);
}

public TabTsloprep(int filial, int idLoprep, FglDateTimeYS dtaalteracao, int idAgente, String camposAlt) {
this.filial = filial;
this.idLoprep = idLoprep;
this.dtaalteracao = dtaalteracao;
this.idAgente = idAgente;
this.camposAlt = camposAlt;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdLoprep() {
return idLoprep;
}

public boolean isIdLoprepNull() {
return idLoprepNull;
}

public void setIdLoprep(Integer idLoprep) {
if (idLoprep == null) {
idLoprepNull = true;
this.idLoprep = 0;
} else { 
idLoprepNull = false;
this.idLoprep = idLoprep;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getCamposAlt() {
return camposAlt;
}

public void setCamposAlt(String camposAlt) {
this.camposAlt = camposAlt;
}

}

