package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTsmidier {
@Coluna(nome="tsmidier.id_tpmidia", tipo="int")
private int idTpmidia;
private boolean idTpmidiaNull;
@Coluna(nome="tsmidier.dealer", tipo="String")
private String dealer;
@Coluna(nome="tsmidier.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsmidier.tpmidia", tipo="String")
private String tpmidia;
@Coluna(nome="tsmidier.descricao", tipo="String")
private String descricao;
@Coluna(nome="tsmidier.ativo", tipo="String")
private String ativo;
@Coluna(nome="tsmidier.tipouso", tipo="String")
private String tipouso;
@Coluna(nome="tsmidier.dtinicial", tipo="FglDate")
private FglDate dtinicial;
@Coluna(nome="tsmidier.dtfinal", tipo="FglDate")
private FglDate dtfinal;
@Coluna(nome="tsmidier.coderror", tipo="int")
private int coderror;
private boolean coderrorNull;
@Coluna(nome="tsmidier.descriptionerror", tipo="String")
private String descriptionerror;

public TabTsmidier() {
initialize();
}

public void initialize() {
setIdTpmidia(null);
setDealer(null);
setFilial(null);
setTpmidia(null);
setDescricao(null);
setAtivo(null);
setTipouso(null);
setDtinicial(null);
setDtfinal(null);
setCoderror(null);
setDescriptionerror(null);
}

public TabTsmidier(int idTpmidia, String dealer, int filial, String tpmidia, String descricao, String ativo, String tipouso, FglDate dtinicial, FglDate dtfinal, int coderror, String descriptionerror) {
this.idTpmidia = idTpmidia;
this.dealer = dealer;
this.filial = filial;
this.tpmidia = tpmidia;
this.descricao = descricao;
this.ativo = ativo;
this.tipouso = tipouso;
this.dtinicial = dtinicial;
this.dtfinal = dtfinal;
this.coderror = coderror;
this.descriptionerror = descriptionerror;
}

public int getIdTpmidia() {
return idTpmidia;
}

public boolean isIdTpmidiaNull() {
return idTpmidiaNull;
}

public void setIdTpmidia(Integer idTpmidia) {
if (idTpmidia == null) {
idTpmidiaNull = true;
this.idTpmidia = 0;
} else { 
idTpmidiaNull = false;
this.idTpmidia = idTpmidia;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpmidia() {
return tpmidia;
}

public void setTpmidia(String tpmidia) {
this.tpmidia = tpmidia;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getTipouso() {
return tipouso;
}

public void setTipouso(String tipouso) {
this.tipouso = tipouso;
}

public FglDate getDtinicial() {
return dtinicial;
}

public void setDtinicial(FglDate dtinicial) {
this.dtinicial = dtinicial;
}

public FglDate getDtfinal() {
return dtfinal;
}

public void setDtfinal(FglDate dtfinal) {
this.dtfinal = dtfinal;
}

public int getCoderror() {
return coderror;
}

public boolean isCoderrorNull() {
return coderrorNull;
}

public void setCoderror(Integer coderror) {
if (coderror == null) {
coderrorNull = true;
this.coderror = 0;
} else { 
coderrorNull = false;
this.coderror = coderror;
}
}

public String getDescriptionerror() {
return descriptionerror;
}

public void setDescriptionerror(String descriptionerror) {
this.descriptionerror = descriptionerror;
}

}

