package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabTsmodelo {
@Coluna(nome="tsmodelo.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsmodelo.ativo", tipo="String")
private String ativo;
@Coluna(nome="tsmodelo.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="tsmodelo.nroportas", tipo="int")
private int nroportas;
private boolean nroportasNull;
@Coluna(nome="tsmodelo.nropassag", tipo="int")
private int nropassag;
private boolean nropassagNull;

public TabTsmodelo() {
initialize();
}

public void initialize() {
setModelo(null);
setAtivo(null);
setCombustivel(null);
setNroportas(null);
setNropassag(null);
}

public TabTsmodelo(String modelo, String ativo, int combustivel, int nroportas, int nropassag) {
this.modelo = modelo;
this.ativo = ativo;
this.combustivel = combustivel;
this.nroportas = nroportas;
this.nropassag = nropassag;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public int getNroportas() {
return nroportas;
}

public boolean isNroportasNull() {
return nroportasNull;
}

public void setNroportas(Integer nroportas) {
if (nroportas == null) {
nroportasNull = true;
this.nroportas = 0;
} else { 
nroportasNull = false;
this.nroportas = nroportas;
}
}

public int getNropassag() {
return nropassag;
}

public boolean isNropassagNull() {
return nropassagNull;
}

public void setNropassag(Integer nropassag) {
if (nropassag == null) {
nropassagNull = true;
this.nropassag = 0;
} else { 
nropassagNull = false;
this.nropassag = nropassag;
}
}

}

