package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTsmoprep {
@Coluna(nome="tsmoprep.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="tsmoprep.id_moprep", tipo="int")
private int idMoprep;
private boolean idMoprepNull;
@Coluna(nome="tsmoprep.datamov", tipo="FglDate")
private FglDate datamov;
@Coluna(nome="tsmoprep.horamov", tipo="FglDateTimeHS")
private FglDateTimeHS horamov;
@Coluna(nome="tsmoprep.tipomov", tipo="String")
private String tipomov;
@Coluna(nome="tsmoprep.valormov", tipo="double")
private double valormov;
private boolean valormovNull;
@Coluna(nome="tsmoprep.descricaomov", tipo="String")
private String descricaomov;
@Coluna(nome="tsmoprep.status_ant", tipo="String")
private String statusAnt;
@Coluna(nome="tsmoprep.status_atu", tipo="String")
private String statusAtu;
@Coluna(nome="tsmoprep.tipo_transf", tipo="String")
private String tipoTransf;
@Coluna(nome="tsmoprep.filial_ant", tipo="int")
private int filialAnt;
private boolean filialAntNull;
@Coluna(nome="tsmoprep.cgccpf_ant", tipo="long")
private long cgccpfAnt;
private boolean cgccpfAntNull;
@Coluna(nome="tsmoprep.tppessoa_ant", tipo="int")
private int tppessoaAnt;
private boolean tppessoaAntNull;
@Coluna(nome="tsmoprep.filial_atu", tipo="int")
private int filialAtu;
private boolean filialAtuNull;
@Coluna(nome="tsmoprep.cgccpf_atu", tipo="long")
private long cgccpfAtu;
private boolean cgccpfAtuNull;
@Coluna(nome="tsmoprep.tppessoa_atu", tipo="int")
private int tppessoaAtu;
private boolean tppessoaAtuNull;
@Coluna(nome="tsmoprep.id_adiant", tipo="int")
private int idAdiant;
private boolean idAdiantNull;
@Coluna(nome="tsmoprep.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="tsmoprep.id_nfcapa_pec", tipo="int")
private int idNfcapaPec;
private boolean idNfcapaPecNull;
@Coluna(nome="tsmoprep.id_nfcapa_ser", tipo="int")
private int idNfcapaSer;
private boolean idNfcapaSerNull;
@Coluna(nome="tsmoprep.id_orccap_dev", tipo="int")
private int idOrccapDev;
private boolean idOrccapDevNull;
@Coluna(nome="tsmoprep.id_nfcapa_devpec", tipo="int")
private int idNfcapaDevpec;
private boolean idNfcapaDevpecNull;
@Coluna(nome="tsmoprep.id_nfcapa_devser", tipo="int")
private int idNfcapaDevser;
private boolean idNfcapaDevserNull;
@Coluna(nome="tsmoprep.id_orccap_adi", tipo="int")
private int idOrccapAdi;
private boolean idOrccapAdiNull;
@Coluna(nome="tsmoprep.id_nfcapa_adipec", tipo="int")
private int idNfcapaAdipec;
private boolean idNfcapaAdipecNull;
@Coluna(nome="tsmoprep.id_nfcapa_adiser", tipo="int")
private int idNfcapaAdiser;
private boolean idNfcapaAdiserNull;
@Coluna(nome="tsmoprep.id_reprep", tipo="int")
private int idReprep;
private boolean idReprepNull;
@Coluna(nome="tsmoprep.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsmoprep.id_evento_svt", tipo="int")
private int idEventoSvt;
private boolean idEventoSvtNull;

public TabTsmoprep() {
initialize();
}

public void initialize() {
setIdContrato(null);
setIdMoprep(null);
setDatamov(null);
setHoramov(null);
setTipomov(null);
setValormov(null);
setDescricaomov(null);
setStatusAnt(null);
setStatusAtu(null);
setTipoTransf(null);
setFilialAnt(null);
setCgccpfAnt(null);
setTppessoaAnt(null);
setFilialAtu(null);
setCgccpfAtu(null);
setTppessoaAtu(null);
setIdAdiant(null);
setIdOrccap(null);
setIdNfcapaPec(null);
setIdNfcapaSer(null);
setIdOrccapDev(null);
setIdNfcapaDevpec(null);
setIdNfcapaDevser(null);
setIdOrccapAdi(null);
setIdNfcapaAdipec(null);
setIdNfcapaAdiser(null);
setIdReprep(null);
setIdAgente(null);
setIdEventoSvt(null);
}

public TabTsmoprep(int idContrato, int idMoprep, FglDate datamov, FglDateTimeHS horamov, String tipomov, double valormov, String descricaomov, String statusAnt, String statusAtu, String tipoTransf, int filialAnt, long cgccpfAnt, int tppessoaAnt, int filialAtu, long cgccpfAtu, int tppessoaAtu, int idAdiant, int idOrccap, int idNfcapaPec, int idNfcapaSer, int idOrccapDev, int idNfcapaDevpec, int idNfcapaDevser, int idOrccapAdi, int idNfcapaAdipec, int idNfcapaAdiser, int idReprep, int idAgente, int idEventoSvt) {
this.idContrato = idContrato;
this.idMoprep = idMoprep;
this.datamov = datamov;
this.horamov = horamov;
this.tipomov = tipomov;
this.valormov = valormov;
this.descricaomov = descricaomov;
this.statusAnt = statusAnt;
this.statusAtu = statusAtu;
this.tipoTransf = tipoTransf;
this.filialAnt = filialAnt;
this.cgccpfAnt = cgccpfAnt;
this.tppessoaAnt = tppessoaAnt;
this.filialAtu = filialAtu;
this.cgccpfAtu = cgccpfAtu;
this.tppessoaAtu = tppessoaAtu;
this.idAdiant = idAdiant;
this.idOrccap = idOrccap;
this.idNfcapaPec = idNfcapaPec;
this.idNfcapaSer = idNfcapaSer;
this.idOrccapDev = idOrccapDev;
this.idNfcapaDevpec = idNfcapaDevpec;
this.idNfcapaDevser = idNfcapaDevser;
this.idOrccapAdi = idOrccapAdi;
this.idNfcapaAdipec = idNfcapaAdipec;
this.idNfcapaAdiser = idNfcapaAdiser;
this.idReprep = idReprep;
this.idAgente = idAgente;
this.idEventoSvt = idEventoSvt;
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getIdMoprep() {
return idMoprep;
}

public boolean isIdMoprepNull() {
return idMoprepNull;
}

public void setIdMoprep(Integer idMoprep) {
if (idMoprep == null) {
idMoprepNull = true;
this.idMoprep = 0;
} else { 
idMoprepNull = false;
this.idMoprep = idMoprep;
}
}

public FglDate getDatamov() {
return datamov;
}

public void setDatamov(FglDate datamov) {
this.datamov = datamov;
}

public FglDateTimeHS getHoramov() {
return horamov;
}

public void setHoramov(FglDateTimeHS horamov) {
this.horamov = horamov;
}

public String getTipomov() {
return tipomov;
}

public void setTipomov(String tipomov) {
this.tipomov = tipomov;
}

public double getValormov() {
return valormov;
}

public boolean isValormovNull() {
return valormovNull;
}

public void setValormov(int valormov) {
setValormov(new Double(valormov));
}

public void setValormov(long valormov) {
setValormov(new Double(valormov));
}

public void setValormov(Double valormov) {
if (valormov == null) {
valormovNull = true;
this.valormov = 0.;
} else { 
valormovNull = false;
this.valormov = FglDouble.round(valormov, 2);
}
}

public String getDescricaomov() {
return descricaomov;
}

public void setDescricaomov(String descricaomov) {
this.descricaomov = descricaomov;
}

public String getStatusAnt() {
return statusAnt;
}

public void setStatusAnt(String statusAnt) {
this.statusAnt = statusAnt;
}

public String getStatusAtu() {
return statusAtu;
}

public void setStatusAtu(String statusAtu) {
this.statusAtu = statusAtu;
}

public String getTipoTransf() {
return tipoTransf;
}

public void setTipoTransf(String tipoTransf) {
this.tipoTransf = tipoTransf;
}

public int getFilialAnt() {
return filialAnt;
}

public boolean isFilialAntNull() {
return filialAntNull;
}

public void setFilialAnt(Integer filialAnt) {
if (filialAnt == null) {
filialAntNull = true;
this.filialAnt = 0;
} else { 
filialAntNull = false;
this.filialAnt = filialAnt;
}
}

public long getCgccpfAnt() {
return cgccpfAnt;
}

public boolean isCgccpfAntNull() {
return cgccpfAntNull;
}

public void setCgccpfAnt(int cgccpfAnt) {
setCgccpfAnt(new Long(cgccpfAnt));
}

public void setCgccpfAnt(Long cgccpfAnt) {
if (cgccpfAnt == null) {
cgccpfAntNull = true;
this.cgccpfAnt = 0l;
} else { 
cgccpfAntNull = false;
this.cgccpfAnt = cgccpfAnt;
}
}

public int getTppessoaAnt() {
return tppessoaAnt;
}

public boolean isTppessoaAntNull() {
return tppessoaAntNull;
}

public void setTppessoaAnt(Integer tppessoaAnt) {
if (tppessoaAnt == null) {
tppessoaAntNull = true;
this.tppessoaAnt = 0;
} else { 
tppessoaAntNull = false;
this.tppessoaAnt = tppessoaAnt;
}
}

public int getFilialAtu() {
return filialAtu;
}

public boolean isFilialAtuNull() {
return filialAtuNull;
}

public void setFilialAtu(Integer filialAtu) {
if (filialAtu == null) {
filialAtuNull = true;
this.filialAtu = 0;
} else { 
filialAtuNull = false;
this.filialAtu = filialAtu;
}
}

public long getCgccpfAtu() {
return cgccpfAtu;
}

public boolean isCgccpfAtuNull() {
return cgccpfAtuNull;
}

public void setCgccpfAtu(int cgccpfAtu) {
setCgccpfAtu(new Long(cgccpfAtu));
}

public void setCgccpfAtu(Long cgccpfAtu) {
if (cgccpfAtu == null) {
cgccpfAtuNull = true;
this.cgccpfAtu = 0l;
} else { 
cgccpfAtuNull = false;
this.cgccpfAtu = cgccpfAtu;
}
}

public int getTppessoaAtu() {
return tppessoaAtu;
}

public boolean isTppessoaAtuNull() {
return tppessoaAtuNull;
}

public void setTppessoaAtu(Integer tppessoaAtu) {
if (tppessoaAtu == null) {
tppessoaAtuNull = true;
this.tppessoaAtu = 0;
} else { 
tppessoaAtuNull = false;
this.tppessoaAtu = tppessoaAtu;
}
}

public int getIdAdiant() {
return idAdiant;
}

public boolean isIdAdiantNull() {
return idAdiantNull;
}

public void setIdAdiant(Integer idAdiant) {
if (idAdiant == null) {
idAdiantNull = true;
this.idAdiant = 0;
} else { 
idAdiantNull = false;
this.idAdiant = idAdiant;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdNfcapaPec() {
return idNfcapaPec;
}

public boolean isIdNfcapaPecNull() {
return idNfcapaPecNull;
}

public void setIdNfcapaPec(Integer idNfcapaPec) {
if (idNfcapaPec == null) {
idNfcapaPecNull = true;
this.idNfcapaPec = 0;
} else { 
idNfcapaPecNull = false;
this.idNfcapaPec = idNfcapaPec;
}
}

public int getIdNfcapaSer() {
return idNfcapaSer;
}

public boolean isIdNfcapaSerNull() {
return idNfcapaSerNull;
}

public void setIdNfcapaSer(Integer idNfcapaSer) {
if (idNfcapaSer == null) {
idNfcapaSerNull = true;
this.idNfcapaSer = 0;
} else { 
idNfcapaSerNull = false;
this.idNfcapaSer = idNfcapaSer;
}
}

public int getIdOrccapDev() {
return idOrccapDev;
}

public boolean isIdOrccapDevNull() {
return idOrccapDevNull;
}

public void setIdOrccapDev(Integer idOrccapDev) {
if (idOrccapDev == null) {
idOrccapDevNull = true;
this.idOrccapDev = 0;
} else { 
idOrccapDevNull = false;
this.idOrccapDev = idOrccapDev;
}
}

public int getIdNfcapaDevpec() {
return idNfcapaDevpec;
}

public boolean isIdNfcapaDevpecNull() {
return idNfcapaDevpecNull;
}

public void setIdNfcapaDevpec(Integer idNfcapaDevpec) {
if (idNfcapaDevpec == null) {
idNfcapaDevpecNull = true;
this.idNfcapaDevpec = 0;
} else { 
idNfcapaDevpecNull = false;
this.idNfcapaDevpec = idNfcapaDevpec;
}
}

public int getIdNfcapaDevser() {
return idNfcapaDevser;
}

public boolean isIdNfcapaDevserNull() {
return idNfcapaDevserNull;
}

public void setIdNfcapaDevser(Integer idNfcapaDevser) {
if (idNfcapaDevser == null) {
idNfcapaDevserNull = true;
this.idNfcapaDevser = 0;
} else { 
idNfcapaDevserNull = false;
this.idNfcapaDevser = idNfcapaDevser;
}
}

public int getIdOrccapAdi() {
return idOrccapAdi;
}

public boolean isIdOrccapAdiNull() {
return idOrccapAdiNull;
}

public void setIdOrccapAdi(Integer idOrccapAdi) {
if (idOrccapAdi == null) {
idOrccapAdiNull = true;
this.idOrccapAdi = 0;
} else { 
idOrccapAdiNull = false;
this.idOrccapAdi = idOrccapAdi;
}
}

public int getIdNfcapaAdipec() {
return idNfcapaAdipec;
}

public boolean isIdNfcapaAdipecNull() {
return idNfcapaAdipecNull;
}

public void setIdNfcapaAdipec(Integer idNfcapaAdipec) {
if (idNfcapaAdipec == null) {
idNfcapaAdipecNull = true;
this.idNfcapaAdipec = 0;
} else { 
idNfcapaAdipecNull = false;
this.idNfcapaAdipec = idNfcapaAdipec;
}
}

public int getIdNfcapaAdiser() {
return idNfcapaAdiser;
}

public boolean isIdNfcapaAdiserNull() {
return idNfcapaAdiserNull;
}

public void setIdNfcapaAdiser(Integer idNfcapaAdiser) {
if (idNfcapaAdiser == null) {
idNfcapaAdiserNull = true;
this.idNfcapaAdiser = 0;
} else { 
idNfcapaAdiserNull = false;
this.idNfcapaAdiser = idNfcapaAdiser;
}
}

public int getIdReprep() {
return idReprep;
}

public boolean isIdReprepNull() {
return idReprepNull;
}

public void setIdReprep(Integer idReprep) {
if (idReprep == null) {
idReprepNull = true;
this.idReprep = 0;
} else { 
idReprepNull = false;
this.idReprep = idReprep;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdEventoSvt() {
return idEventoSvt;
}

public boolean isIdEventoSvtNull() {
return idEventoSvtNull;
}

public void setIdEventoSvt(Integer idEventoSvt) {
if (idEventoSvt == null) {
idEventoSvtNull = true;
this.idEventoSvt = 0;
} else { 
idEventoSvtNull = false;
this.idEventoSvt = idEventoSvt;
}
}

}

