package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabTsmotivo {
@Coluna(nome="tsmotivo.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="tsmotivo.tipo", tipo="String")
private String tipo;
@Coluna(nome="tsmotivo.descricao", tipo="String")
private String descricao;
@Coluna(nome="tsmotivo.nro_vezes", tipo="int")
private int nroVezes;
private boolean nroVezesNull;
@Coluna(nome="tsmotivo.sigla", tipo="String")
private String sigla;

public TabTsmotivo() {
initialize();
}

public void initialize() {
setMotivo(null);
setTipo(null);
setDescricao(null);
setNroVezes(null);
setSigla(null);
}

public TabTsmotivo(int motivo, String tipo, String descricao, int nroVezes, String sigla) {
this.motivo = motivo;
this.tipo = tipo;
this.descricao = descricao;
this.nroVezes = nroVezes;
this.sigla = sigla;
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getNroVezes() {
return nroVezes;
}

public boolean isNroVezesNull() {
return nroVezesNull;
}

public void setNroVezes(Integer nroVezes) {
if (nroVezes == null) {
nroVezesNull = true;
this.nroVezes = 0;
} else { 
nroVezesNull = false;
this.nroVezes = nroVezes;
}
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

}

