package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTspessoa {
@Coluna(nome="tspessoa.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tspessoa.tppessoaficha", tipo="int")
private int tppessoaficha;
private boolean tppessoafichaNull;
@Coluna(nome="tspessoa.sequencial", tipo="int")
private int sequencial;
private boolean sequencialNull;
@Coluna(nome="tspessoa.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="tspessoa.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="tspessoa.nomepessoa", tipo="String")
private String nomepessoa;
@Coluna(nome="tspessoa.rg", tipo="String")
private String rg;
@Coluna(nome="tspessoa.digitorg", tipo="String")
private String digitorg;
@Coluna(nome="tspessoa.dtemissaorg", tipo="FglDate")
private FglDate dtemissaorg;
@Coluna(nome="tspessoa.endereco", tipo="String")
private String endereco;
@Coluna(nome="tspessoa.complemento", tipo="String")
private String complemento;
@Coluna(nome="tspessoa.bairro", tipo="String")
private String bairro;
@Coluna(nome="tspessoa.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="tspessoa.cep", tipo="String")
private String cep;
@Coluna(nome="tspessoa.telefone", tipo="String")
private String telefone;
@Coluna(nome="tspessoa.celular", tipo="String")
private String celular;
@Coluna(nome="tspessoa.fax", tipo="String")
private String fax;
@Coluna(nome="tspessoa.fonecomercial", tipo="String")
private String fonecomercial;
@Coluna(nome="tspessoa.ramal", tipo="int")
private int ramal;
private boolean ramalNull;
@Coluna(nome="tspessoa.endeletronic", tipo="String")
private String endeletronic;
@Coluna(nome="tspessoa.sexo", tipo="String")
private String sexo;
@Coluna(nome="tspessoa.estadocivil", tipo="String")
private String estadocivil;
@Coluna(nome="tspessoa.dtnascimento", tipo="FglDate")
private FglDate dtnascimento;
@Coluna(nome="tspessoa.num_endere", tipo="long")
private long numEndere;
private boolean numEndereNull;
@Coluna(nome="tspessoa.ehcomprador", tipo="String")
private String ehcomprador;
@Coluna(nome="tspessoa.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;

public TabTspessoa() {
initialize();
}

public void initialize() {
setIdProspe(null);
setTppessoaficha(null);
setSequencial(null);
setCgccpf(null);
setTppessoa(null);
setNomepessoa(null);
setRg(null);
setDigitorg(null);
setDtemissaorg(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setCidade(null);
setCep(null);
setTelefone(null);
setCelular(null);
setFax(null);
setFonecomercial(null);
setRamal(null);
setEndeletronic(null);
setSexo(null);
setEstadocivil(null);
setDtnascimento(null);
setNumEndere(null);
setEhcomprador(null);
setDtocorrencia(null);
}

public TabTspessoa(int idProspe, int tppessoaficha, int sequencial, long cgccpf, int tppessoa, String nomepessoa, String rg, String digitorg, FglDate dtemissaorg, String endereco, String complemento, String bairro, int cidade, String cep, String telefone, String celular, String fax, String fonecomercial, int ramal, String endeletronic, String sexo, String estadocivil, FglDate dtnascimento, long numEndere, String ehcomprador, FglDateTimeYS dtocorrencia) {
this.idProspe = idProspe;
this.tppessoaficha = tppessoaficha;
this.sequencial = sequencial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nomepessoa = nomepessoa;
this.rg = rg;
this.digitorg = digitorg;
this.dtemissaorg = dtemissaorg;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.cidade = cidade;
this.cep = cep;
this.telefone = telefone;
this.celular = celular;
this.fax = fax;
this.fonecomercial = fonecomercial;
this.ramal = ramal;
this.endeletronic = endeletronic;
this.sexo = sexo;
this.estadocivil = estadocivil;
this.dtnascimento = dtnascimento;
this.numEndere = numEndere;
this.ehcomprador = ehcomprador;
this.dtocorrencia = dtocorrencia;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getTppessoaficha() {
return tppessoaficha;
}

public boolean isTppessoafichaNull() {
return tppessoafichaNull;
}

public void setTppessoaficha(Integer tppessoaficha) {
if (tppessoaficha == null) {
tppessoafichaNull = true;
this.tppessoaficha = 0;
} else { 
tppessoafichaNull = false;
this.tppessoaficha = tppessoaficha;
}
}

public int getSequencial() {
return sequencial;
}

public boolean isSequencialNull() {
return sequencialNull;
}

public void setSequencial(Integer sequencial) {
if (sequencial == null) {
sequencialNull = true;
this.sequencial = 0;
} else { 
sequencialNull = false;
this.sequencial = sequencial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getNomepessoa() {
return nomepessoa;
}

public void setNomepessoa(String nomepessoa) {
this.nomepessoa = nomepessoa;
}

public String getRg() {
return rg;
}

public void setRg(String rg) {
this.rg = rg;
}

public String getDigitorg() {
return digitorg;
}

public void setDigitorg(String digitorg) {
this.digitorg = digitorg;
}

public FglDate getDtemissaorg() {
return dtemissaorg;
}

public void setDtemissaorg(FglDate dtemissaorg) {
this.dtemissaorg = dtemissaorg;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getTelefone() {
return telefone;
}

public void setTelefone(String telefone) {
this.telefone = telefone;
}

public String getCelular() {
return celular;
}

public void setCelular(String celular) {
this.celular = celular;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public String getFonecomercial() {
return fonecomercial;
}

public void setFonecomercial(String fonecomercial) {
this.fonecomercial = fonecomercial;
}

public int getRamal() {
return ramal;
}

public boolean isRamalNull() {
return ramalNull;
}

public void setRamal(Integer ramal) {
if (ramal == null) {
ramalNull = true;
this.ramal = 0;
} else { 
ramalNull = false;
this.ramal = ramal;
}
}

public String getEndeletronic() {
return endeletronic;
}

public void setEndeletronic(String endeletronic) {
this.endeletronic = endeletronic;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public String getEstadocivil() {
return estadocivil;
}

public void setEstadocivil(String estadocivil) {
this.estadocivil = estadocivil;
}

public FglDate getDtnascimento() {
return dtnascimento;
}

public void setDtnascimento(FglDate dtnascimento) {
this.dtnascimento = dtnascimento;
}

public long getNumEndere() {
return numEndere;
}

public boolean isNumEndereNull() {
return numEndereNull;
}

public void setNumEndere(int numEndere) {
setNumEndere(new Long(numEndere));
}

public void setNumEndere(Long numEndere) {
if (numEndere == null) {
numEndereNull = true;
this.numEndere = 0l;
} else { 
numEndereNull = false;
this.numEndere = numEndere;
}
}

public String getEhcomprador() {
return ehcomprador;
}

public void setEhcomprador(String ehcomprador) {
this.ehcomprador = ehcomprador;
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

}

