package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsprerel {
@Coluna(nome="tsprerel.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsprerel.id_relatorio", tipo="String")
private String idRelatorio;
@Coluna(nome="tsprerel.dt_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtGeracao;
@Coluna(nome="tsprerel.relatorio", tipo="String")
private String relatorio;

public TabTsprerel() {
initialize();
}

public void initialize() {
setFilial(null);
setIdRelatorio(null);
setDtGeracao(null);
setRelatorio(null);
}

public TabTsprerel(int filial, String idRelatorio, FglDateTimeYS dtGeracao, String relatorio) {
this.filial = filial;
this.idRelatorio = idRelatorio;
this.dtGeracao = dtGeracao;
this.relatorio = relatorio;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getIdRelatorio() {
return idRelatorio;
}

public void setIdRelatorio(String idRelatorio) {
this.idRelatorio = idRelatorio;
}

public FglDateTimeYS getDtGeracao() {
return dtGeracao;
}

public void setDtGeracao(FglDateTimeYS dtGeracao) {
this.dtGeracao = dtGeracao;
}

public String getRelatorio() {
return relatorio;
}

public void setRelatorio(String relatorio) {
this.relatorio = relatorio;
}

}

