package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTsreserv {
@Coluna(nome="tsreserv.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsreserv.chassi", tipo="String")
private String chassi;
@Coluna(nome="tsreserv.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;
@Coluna(nome="tsreserv.dt_operacao", tipo="FglDate")
private FglDate dtOperacao;

public TabTsreserv() {
initialize();
}

public void initialize() {
setIdProspe(null);
setChassi(null);
setIdTsagente(null);
setDtOperacao(null);
}

public TabTsreserv(int idProspe, String chassi, int idTsagente, FglDate dtOperacao) {
this.idProspe = idProspe;
this.chassi = chassi;
this.idTsagente = idTsagente;
this.dtOperacao = dtOperacao;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

public FglDate getDtOperacao() {
return dtOperacao;
}

public void setDtOperacao(FglDate dtOperacao) {
this.dtOperacao = dtOperacao;
}

}

