package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabTsretira {
@Coluna(nome="tsretira.chassis", tipo="String")
private String chassis;
@Coluna(nome="tsretira.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsretira.linmodcod", tipo="int")
private int linmodcod;
private boolean linmodcodNull;
@Coluna(nome="tsretira.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsretira.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="tsretira.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="tsretira.descrcorexterna", tipo="String")
private String descrcorexterna;
@Coluna(nome="tsretira.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="tsretira.descrcorinterna", tipo="String")
private String descrcorinterna;
@Coluna(nome="tsretira.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="tsretira.serienf", tipo="String")
private String serienf;
@Coluna(nome="tsretira.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="tsretira.totnfiscal", tipo="double")
private double totnfiscal;
private boolean totnfiscalNull;
@Coluna(nome="tsretira.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsretira.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="tsretira.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsretira.dtlog", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtlog;
@Coluna(nome="tsretira.dtexclusao", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtexclusao;
@Coluna(nome="tsretira.tipoexclusao", tipo="String")
private String tipoexclusao;
@Coluna(nome="tsretira.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;
@Coluna(nome="tsretira.dtcancelamento", tipo="FglDate")
private FglDate dtcancelamento;

public TabTsretira() {
initialize();
}

public void initialize() {
setChassis(null);
setFilial(null);
setLinmodcod(null);
setModelo(null);
setDescrmodelo(null);
setCorexterna(null);
setDescrcorexterna(null);
setCorinterna(null);
setDescrcorinterna(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setTotnfiscal(null);
setIdProspe(null);
setFilialped(null);
setPedvenda(null);
setDtlog(null);
setDtexclusao(null);
setTipoexclusao(null);
setIdTsagente(null);
setDtcancelamento(null);
}

public TabTsretira(String chassis, int filial, int linmodcod, String modelo, String descrmodelo, String corexterna, String descrcorexterna, String corinterna, String descrcorinterna, int nronota, String serienf, FglDate dtnota, double totnfiscal, int idProspe, int filialped, int pedvenda, FglDateTimeYMin dtlog, FglDateTimeYMin dtexclusao, String tipoexclusao, int idTsagente, FglDate dtcancelamento) {
this.chassis = chassis;
this.filial = filial;
this.linmodcod = linmodcod;
this.modelo = modelo;
this.descrmodelo = descrmodelo;
this.corexterna = corexterna;
this.descrcorexterna = descrcorexterna;
this.corinterna = corinterna;
this.descrcorinterna = descrcorinterna;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.totnfiscal = totnfiscal;
this.idProspe = idProspe;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.dtlog = dtlog;
this.dtexclusao = dtexclusao;
this.tipoexclusao = tipoexclusao;
this.idTsagente = idTsagente;
this.dtcancelamento = dtcancelamento;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getLinmodcod() {
return linmodcod;
}

public boolean isLinmodcodNull() {
return linmodcodNull;
}

public void setLinmodcod(Integer linmodcod) {
if (linmodcod == null) {
linmodcodNull = true;
this.linmodcod = 0;
} else { 
linmodcodNull = false;
this.linmodcod = linmodcod;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getDescrcorexterna() {
return descrcorexterna;
}

public void setDescrcorexterna(String descrcorexterna) {
this.descrcorexterna = descrcorexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getDescrcorinterna() {
return descrcorinterna;
}

public void setDescrcorinterna(String descrcorinterna) {
this.descrcorinterna = descrcorinterna;
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public double getTotnfiscal() {
return totnfiscal;
}

public boolean isTotnfiscalNull() {
return totnfiscalNull;
}

public void setTotnfiscal(int totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(long totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(Double totnfiscal) {
if (totnfiscal == null) {
totnfiscalNull = true;
this.totnfiscal = 0.;
} else { 
totnfiscalNull = false;
this.totnfiscal = FglDouble.round(totnfiscal, 2);
}
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public FglDateTimeYMin getDtlog() {
return dtlog;
}

public void setDtlog(FglDateTimeYMin dtlog) {
this.dtlog = dtlog;
}

public FglDateTimeYMin getDtexclusao() {
return dtexclusao;
}

public void setDtexclusao(FglDateTimeYMin dtexclusao) {
this.dtexclusao = dtexclusao;
}

public String getTipoexclusao() {
return tipoexclusao;
}

public void setTipoexclusao(String tipoexclusao) {
this.tipoexclusao = tipoexclusao;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

public FglDate getDtcancelamento() {
return dtcancelamento;
}

public void setDtcancelamento(FglDate dtcancelamento) {
this.dtcancelamento = dtcancelamento;
}

}

