package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTsseprep {
@Coluna(nome="tsseprep.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="tsseprep.id_reprep", tipo="int")
private int idReprep;
private boolean idReprepNull;
@Coluna(nome="tsseprep.id_seprep", tipo="int")
private int idSeprep;
private boolean idSeprepNull;
@Coluna(nome="tsseprep.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="tsseprep.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="tsseprep.valorunitario", tipo="double")
private double valorunitario;
private boolean valorunitarioNull;
@Coluna(nome="tsseprep.valordesconto", tipo="double")
private double valordesconto;
private boolean valordescontoNull;

public TabTsseprep() {
initialize();
}

public void initialize() {
setIdContrato(null);
setIdReprep(null);
setIdSeprep(null);
setIdServico(null);
setQuantidade(null);
setValorunitario(null);
setValordesconto(null);
}

public TabTsseprep(int idContrato, int idReprep, int idSeprep, int idServico, double quantidade, double valorunitario, double valordesconto) {
this.idContrato = idContrato;
this.idReprep = idReprep;
this.idSeprep = idSeprep;
this.idServico = idServico;
this.quantidade = quantidade;
this.valorunitario = valorunitario;
this.valordesconto = valordesconto;
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getIdReprep() {
return idReprep;
}

public boolean isIdReprepNull() {
return idReprepNull;
}

public void setIdReprep(Integer idReprep) {
if (idReprep == null) {
idReprepNull = true;
this.idReprep = 0;
} else { 
idReprepNull = false;
this.idReprep = idReprep;
}
}

public int getIdSeprep() {
return idSeprep;
}

public boolean isIdSeprepNull() {
return idSeprepNull;
}

public void setIdSeprep(Integer idSeprep) {
if (idSeprep == null) {
idSeprepNull = true;
this.idSeprep = 0;
} else { 
idSeprepNull = false;
this.idSeprep = idSeprep;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getValorunitario() {
return valorunitario;
}

public boolean isValorunitarioNull() {
return valorunitarioNull;
}

public void setValorunitario(int valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(long valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(Double valorunitario) {
if (valorunitario == null) {
valorunitarioNull = true;
this.valorunitario = 0.;
} else { 
valorunitarioNull = false;
this.valorunitario = FglDouble.round(valorunitario, 2);
}
}

public double getValordesconto() {
return valordesconto;
}

public boolean isValordescontoNull() {
return valordescontoNull;
}

public void setValordesconto(int valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(long valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(Double valordesconto) {
if (valordesconto == null) {
valordescontoNull = true;
this.valordesconto = 0.;
} else { 
valordescontoNull = false;
this.valordesconto = FglDouble.round(valordesconto, 2);
}
}

}

