package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabTstarmes {
@Coluna(nome="tstarmes.diaexecucao", tipo="int")
private int diaexecucao;
private boolean diaexecucaoNull;
@Coluna(nome="tstarmes.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="tstarmes.processo", tipo="String")
private String processo;

public TabTstarmes() {
initialize();
}

public void initialize() {
setDiaexecucao(null);
setHora(null);
setProcesso(null);
}

public TabTstarmes(int diaexecucao, FglDateTimeHMin hora, String processo) {
this.diaexecucao = diaexecucao;
this.hora = hora;
this.processo = processo;
}

public int getDiaexecucao() {
return diaexecucao;
}

public boolean isDiaexecucaoNull() {
return diaexecucaoNull;
}

public void setDiaexecucao(Integer diaexecucao) {
if (diaexecucao == null) {
diaexecucaoNull = true;
this.diaexecucao = 0;
} else { 
diaexecucaoNull = false;
this.diaexecucao = diaexecucao;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

}

