package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTstwspec {
@Coluna(nome="tstwspec.partnumber", tipo="String")
private String partnumber;
@Coluna(nome="tstwspec.id_reparo", tipo="int")
private int idReparo;
private boolean idReparoNull;
@Coluna(nome="tstwspec.id_garantia", tipo="int")
private int idGarantia;
private boolean idGarantiaNull;
@Coluna(nome="tstwspec.data", tipo="FglDateTimeYS")
private FglDateTimeYS data;
@Coluna(nome="tstwspec.valorunitario", tipo="double")
private double valorunitario;
private boolean valorunitarioNull;
@Coluna(nome="tstwspec.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="tstwspec.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="tstwspec.qtdeoriginal", tipo="double")
private double qtdeoriginal;
private boolean qtdeoriginalNull;

public TabTstwspec() {
initialize();
}

public void initialize() {
setPartnumber(null);
setIdReparo(null);
setIdGarantia(null);
setData(null);
setValorunitario(null);
setQuantidade(null);
setIdNfcapa(null);
setQtdeoriginal(null);
}

public TabTstwspec(String partnumber, int idReparo, int idGarantia, FglDateTimeYS data, double valorunitario, double quantidade, int idNfcapa, double qtdeoriginal) {
this.partnumber = partnumber;
this.idReparo = idReparo;
this.idGarantia = idGarantia;
this.data = data;
this.valorunitario = valorunitario;
this.quantidade = quantidade;
this.idNfcapa = idNfcapa;
this.qtdeoriginal = qtdeoriginal;
}

public String getPartnumber() {
return partnumber;
}

public void setPartnumber(String partnumber) {
this.partnumber = partnumber;
}

public int getIdReparo() {
return idReparo;
}

public boolean isIdReparoNull() {
return idReparoNull;
}

public void setIdReparo(Integer idReparo) {
if (idReparo == null) {
idReparoNull = true;
this.idReparo = 0;
} else { 
idReparoNull = false;
this.idReparo = idReparo;
}
}

public int getIdGarantia() {
return idGarantia;
}

public boolean isIdGarantiaNull() {
return idGarantiaNull;
}

public void setIdGarantia(Integer idGarantia) {
if (idGarantia == null) {
idGarantiaNull = true;
this.idGarantia = 0;
} else { 
idGarantiaNull = false;
this.idGarantia = idGarantia;
}
}

public FglDateTimeYS getData() {
return data;
}

public void setData(FglDateTimeYS data) {
this.data = data;
}

public double getValorunitario() {
return valorunitario;
}

public boolean isValorunitarioNull() {
return valorunitarioNull;
}

public void setValorunitario(int valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(long valorunitario) {
setValorunitario(new Double(valorunitario));
}

public void setValorunitario(Double valorunitario) {
if (valorunitario == null) {
valorunitarioNull = true;
this.valorunitario = 0.;
} else { 
valorunitarioNull = false;
this.valorunitario = FglDouble.round(valorunitario, 2);
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public double getQtdeoriginal() {
return qtdeoriginal;
}

public boolean isQtdeoriginalNull() {
return qtdeoriginalNull;
}

public void setQtdeoriginal(int qtdeoriginal) {
setQtdeoriginal(new Double(qtdeoriginal));
}

public void setQtdeoriginal(long qtdeoriginal) {
setQtdeoriginal(new Double(qtdeoriginal));
}

public void setQtdeoriginal(Double qtdeoriginal) {
if (qtdeoriginal == null) {
qtdeoriginalNull = true;
this.qtdeoriginal = 0.;
} else { 
qtdeoriginalNull = false;
this.qtdeoriginal = FglDouble.round(qtdeoriginal, 2);
}
}

}

