package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabTsvwfila {
@Coluna(nome="tsvwfila.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsvwfila.dealer", tipo="String")
private String dealer;
@Coluna(nome="tsvwfila.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsvwfila.nomecliente", tipo="String")
private String nomecliente;
@Coluna(nome="tsvwfila.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="tsvwfila.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsvwfila.dtpedido", tipo="FglDate")
private FglDate dtpedido;
@Coluna(nome="tsvwfila.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="tsvwfila.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="tsvwfila.linmodcod", tipo="int")
private int linmodcod;
private boolean linmodcodNull;
@Coluna(nome="tsvwfila.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsvwfila.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="tsvwfila.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="tsvwfila.descorexterna", tipo="String")
private String descorexterna;
@Coluna(nome="tsvwfila.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="tsvwfila.descorinterna", tipo="String")
private String descorinterna;
@Coluna(nome="tsvwfila.dtreserva", tipo="FglDate")
private FglDate dtreserva;
@Coluna(nome="tsvwfila.id_vendedor", tipo="int")
private int idVendedor;
private boolean idVendedorNull;
@Coluna(nome="tsvwfila.nomevendedor", tipo="String")
private String nomevendedor;
@Coluna(nome="tsvwfila.prioridade", tipo="int")
private int prioridade;
private boolean prioridadeNull;
@Coluna(nome="tsvwfila.pedidodealer", tipo="double")
private double pedidodealer;
private boolean pedidodealerNull;
@Coluna(nome="tsvwfila.seqpeddealer", tipo="double")
private double seqpeddealer;
private boolean seqpeddealerNull;
@Coluna(nome="tsvwfila.ordemprod", tipo="int")
private int ordemprod;
private boolean ordemprodNull;
@Coluna(nome="tsvwfila.nrourn", tipo="String")
private String nrourn;
@Coluna(nome="tsvwfila.chassis", tipo="String")
private String chassis;
@Coluna(nome="tsvwfila.datprevfat", tipo="FglDate")
private FglDate datprevfat;
@Coluna(nome="tsvwfila.datfattoy", tipo="FglDate")
private FglDate datfattoy;
@Coluna(nome="tsvwfila.situacao", tipo="int")
private int situacao;
private boolean situacaoNull;
@Coluna(nome="tsvwfila.datprevche", tipo="FglDate")
private FglDate datprevche;
@Coluna(nome="tsvwfila.datchetoy", tipo="FglDate")
private FglDate datchetoy;

public TabTsvwfila() {
initialize();
}

public void initialize() {
setFilial(null);
setDealer(null);
setIdProspe(null);
setNomecliente(null);
setFilialped(null);
setPedvenda(null);
setDtpedido(null);
setDtprevista(null);
setHrprevista(null);
setLinmodcod(null);
setModelo(null);
setDescrmodelo(null);
setCorexterna(null);
setDescorexterna(null);
setCorinterna(null);
setDescorinterna(null);
setDtreserva(null);
setIdVendedor(null);
setNomevendedor(null);
setPrioridade(null);
setPedidodealer(null);
setSeqpeddealer(null);
setOrdemprod(null);
setNrourn(null);
setChassis(null);
setDatprevfat(null);
setDatfattoy(null);
setSituacao(null);
setDatprevche(null);
setDatchetoy(null);
}

public TabTsvwfila(int filial, String dealer, int idProspe, String nomecliente, int filialped, int pedvenda, FglDate dtpedido, FglDate dtprevista, FglDateTimeHMin hrprevista, int linmodcod, String modelo, String descrmodelo, String corexterna, String descorexterna, String corinterna, String descorinterna, FglDate dtreserva, int idVendedor, String nomevendedor, int prioridade, double pedidodealer, double seqpeddealer, int ordemprod, String nrourn, String chassis, FglDate datprevfat, FglDate datfattoy, int situacao, FglDate datprevche, FglDate datchetoy) {
this.filial = filial;
this.dealer = dealer;
this.idProspe = idProspe;
this.nomecliente = nomecliente;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.dtpedido = dtpedido;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.linmodcod = linmodcod;
this.modelo = modelo;
this.descrmodelo = descrmodelo;
this.corexterna = corexterna;
this.descorexterna = descorexterna;
this.corinterna = corinterna;
this.descorinterna = descorinterna;
this.dtreserva = dtreserva;
this.idVendedor = idVendedor;
this.nomevendedor = nomevendedor;
this.prioridade = prioridade;
this.pedidodealer = pedidodealer;
this.seqpeddealer = seqpeddealer;
this.ordemprod = ordemprod;
this.nrourn = nrourn;
this.chassis = chassis;
this.datprevfat = datprevfat;
this.datfattoy = datfattoy;
this.situacao = situacao;
this.datprevche = datprevche;
this.datchetoy = datchetoy;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public String getNomecliente() {
return nomecliente;
}

public void setNomecliente(String nomecliente) {
this.nomecliente = nomecliente;
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public FglDate getDtpedido() {
return dtpedido;
}

public void setDtpedido(FglDate dtpedido) {
this.dtpedido = dtpedido;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public int getLinmodcod() {
return linmodcod;
}

public boolean isLinmodcodNull() {
return linmodcodNull;
}

public void setLinmodcod(Integer linmodcod) {
if (linmodcod == null) {
linmodcodNull = true;
this.linmodcod = 0;
} else { 
linmodcodNull = false;
this.linmodcod = linmodcod;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getDescorexterna() {
return descorexterna;
}

public void setDescorexterna(String descorexterna) {
this.descorexterna = descorexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getDescorinterna() {
return descorinterna;
}

public void setDescorinterna(String descorinterna) {
this.descorinterna = descorinterna;
}

public FglDate getDtreserva() {
return dtreserva;
}

public void setDtreserva(FglDate dtreserva) {
this.dtreserva = dtreserva;
}

public int getIdVendedor() {
return idVendedor;
}

public boolean isIdVendedorNull() {
return idVendedorNull;
}

public void setIdVendedor(Integer idVendedor) {
if (idVendedor == null) {
idVendedorNull = true;
this.idVendedor = 0;
} else { 
idVendedorNull = false;
this.idVendedor = idVendedor;
}
}

public String getNomevendedor() {
return nomevendedor;
}

public void setNomevendedor(String nomevendedor) {
this.nomevendedor = nomevendedor;
}

public int getPrioridade() {
return prioridade;
}

public boolean isPrioridadeNull() {
return prioridadeNull;
}

public void setPrioridade(Integer prioridade) {
if (prioridade == null) {
prioridadeNull = true;
this.prioridade = 0;
} else { 
prioridadeNull = false;
this.prioridade = prioridade;
}
}

public double getPedidodealer() {
return pedidodealer;
}

public boolean isPedidodealerNull() {
return pedidodealerNull;
}

public void setPedidodealer(int pedidodealer) {
setPedidodealer(new Double(pedidodealer));
}

public void setPedidodealer(long pedidodealer) {
setPedidodealer(new Double(pedidodealer));
}

public void setPedidodealer(Double pedidodealer) {
if (pedidodealer == null) {
pedidodealerNull = true;
this.pedidodealer = 0.;
} else { 
pedidodealerNull = false;
this.pedidodealer = pedidodealer;
}
}

public double getSeqpeddealer() {
return seqpeddealer;
}

public boolean isSeqpeddealerNull() {
return seqpeddealerNull;
}

public void setSeqpeddealer(int seqpeddealer) {
setSeqpeddealer(new Double(seqpeddealer));
}

public void setSeqpeddealer(long seqpeddealer) {
setSeqpeddealer(new Double(seqpeddealer));
}

public void setSeqpeddealer(Double seqpeddealer) {
if (seqpeddealer == null) {
seqpeddealerNull = true;
this.seqpeddealer = 0.;
} else { 
seqpeddealerNull = false;
this.seqpeddealer = seqpeddealer;
}
}

public int getOrdemprod() {
return ordemprod;
}

public boolean isOrdemprodNull() {
return ordemprodNull;
}

public void setOrdemprod(Integer ordemprod) {
if (ordemprod == null) {
ordemprodNull = true;
this.ordemprod = 0;
} else { 
ordemprodNull = false;
this.ordemprod = ordemprod;
}
}

public String getNrourn() {
return nrourn;
}

public void setNrourn(String nrourn) {
this.nrourn = nrourn;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDatprevfat() {
return datprevfat;
}

public void setDatprevfat(FglDate datprevfat) {
this.datprevfat = datprevfat;
}

public FglDate getDatfattoy() {
return datfattoy;
}

public void setDatfattoy(FglDate datfattoy) {
this.datfattoy = datfattoy;
}

public int getSituacao() {
return situacao;
}

public boolean isSituacaoNull() {
return situacaoNull;
}

public void setSituacao(Integer situacao) {
if (situacao == null) {
situacaoNull = true;
this.situacao = 0;
} else { 
situacaoNull = false;
this.situacao = situacao;
}
}

public FglDate getDatprevche() {
return datprevche;
}

public void setDatprevche(FglDate datprevche) {
this.datprevche = datprevche;
}

public FglDate getDatchetoy() {
return datchetoy;
}

public void setDatchetoy(FglDate datchetoy) {
this.datchetoy = datchetoy;
}

}

