package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTswvehic {
@Coluna(nome="tswvehic.dealer", tipo="String")
private String dealer;
@Coluna(nome="tswvehic.codigo", tipo="double")
private double codigo;
private boolean codigoNull;
@Coluna(nome="tswvehic.codcomercial", tipo="String")
private String codcomercial;
@Coluna(nome="tswvehic.modelo", tipo="String")
private String modelo;
@Coluna(nome="tswvehic.codigocorext", tipo="String")
private String codigocorext;
@Coluna(nome="tswvehic.codigocorint", tipo="String")
private String codigocorint;
@Coluna(nome="tswvehic.toy_codpeddea", tipo="double")
private double toyCodpeddea;
private boolean toyCodpeddeaNull;
@Coluna(nome="tswvehic.toy_seqpeddea", tipo="double")
private double toySeqpeddea;
private boolean toySeqpeddeaNull;
@Coluna(nome="tswvehic.toy_ordprd", tipo="double")
private double toyOrdprd;
private boolean toyOrdprdNull;
@Coluna(nome="tswvehic.toy_urn", tipo="String")
private String toyUrn;
@Coluna(nome="tswvehic.toy_chassi1", tipo="String")
private String toyChassi1;
@Coluna(nome="tswvehic.toy_chassi2", tipo="String")
private String toyChassi2;
@Coluna(nome="tswvehic.toy_datprvfat", tipo="FglDate")
private FglDate toyDatprvfat;
@Coluna(nome="tswvehic.toy_datfat", tipo="FglDate")
private FglDate toyDatfat;
@Coluna(nome="tswvehic.toy_datpreche", tipo="FglDate")
private FglDate toyDatpreche;
@Coluna(nome="tswvehic.toy_datche", tipo="FglDate")
private FglDate toyDatche;
@Coluna(nome="tswvehic.flag", tipo="double")
private double flag;
private boolean flagNull;
@Coluna(nome="tswvehic.toy_sitvei", tipo="int")
private int toySitvei;
private boolean toySitveiNull;
@Coluna(nome="tswvehic.status_transf", tipo="String")
private String statusTransf;

public TabTswvehic() {
initialize();
}

public void initialize() {
setDealer(null);
setCodigo(null);
setCodcomercial(null);
setModelo(null);
setCodigocorext(null);
setCodigocorint(null);
setToyCodpeddea(null);
setToySeqpeddea(null);
setToyOrdprd(null);
setToyUrn(null);
setToyChassi1(null);
setToyChassi2(null);
setToyDatprvfat(null);
setToyDatfat(null);
setToyDatpreche(null);
setToyDatche(null);
setFlag(null);
setToySitvei(null);
setStatusTransf(null);
}

public TabTswvehic(String dealer, double codigo, String codcomercial, String modelo, String codigocorext, String codigocorint, double toyCodpeddea, double toySeqpeddea, double toyOrdprd, String toyUrn, String toyChassi1, String toyChassi2, FglDate toyDatprvfat, FglDate toyDatfat, FglDate toyDatpreche, FglDate toyDatche, double flag, int toySitvei, String statusTransf) {
this.dealer = dealer;
this.codigo = codigo;
this.codcomercial = codcomercial;
this.modelo = modelo;
this.codigocorext = codigocorext;
this.codigocorint = codigocorint;
this.toyCodpeddea = toyCodpeddea;
this.toySeqpeddea = toySeqpeddea;
this.toyOrdprd = toyOrdprd;
this.toyUrn = toyUrn;
this.toyChassi1 = toyChassi1;
this.toyChassi2 = toyChassi2;
this.toyDatprvfat = toyDatprvfat;
this.toyDatfat = toyDatfat;
this.toyDatpreche = toyDatpreche;
this.toyDatche = toyDatche;
this.flag = flag;
this.toySitvei = toySitvei;
this.statusTransf = statusTransf;
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public double getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(int codigo) {
setCodigo(new Double(codigo));
}

public void setCodigo(long codigo) {
setCodigo(new Double(codigo));
}

public void setCodigo(Double codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0.;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getCodcomercial() {
return codcomercial;
}

public void setCodcomercial(String codcomercial) {
this.codcomercial = codcomercial;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCodigocorext() {
return codigocorext;
}

public void setCodigocorext(String codigocorext) {
this.codigocorext = codigocorext;
}

public String getCodigocorint() {
return codigocorint;
}

public void setCodigocorint(String codigocorint) {
this.codigocorint = codigocorint;
}

public double getToyCodpeddea() {
return toyCodpeddea;
}

public boolean isToyCodpeddeaNull() {
return toyCodpeddeaNull;
}

public void setToyCodpeddea(int toyCodpeddea) {
setToyCodpeddea(new Double(toyCodpeddea));
}

public void setToyCodpeddea(long toyCodpeddea) {
setToyCodpeddea(new Double(toyCodpeddea));
}

public void setToyCodpeddea(Double toyCodpeddea) {
if (toyCodpeddea == null) {
toyCodpeddeaNull = true;
this.toyCodpeddea = 0.;
} else { 
toyCodpeddeaNull = false;
this.toyCodpeddea = toyCodpeddea;
}
}

public double getToySeqpeddea() {
return toySeqpeddea;
}

public boolean isToySeqpeddeaNull() {
return toySeqpeddeaNull;
}

public void setToySeqpeddea(int toySeqpeddea) {
setToySeqpeddea(new Double(toySeqpeddea));
}

public void setToySeqpeddea(long toySeqpeddea) {
setToySeqpeddea(new Double(toySeqpeddea));
}

public void setToySeqpeddea(Double toySeqpeddea) {
if (toySeqpeddea == null) {
toySeqpeddeaNull = true;
this.toySeqpeddea = 0.;
} else { 
toySeqpeddeaNull = false;
this.toySeqpeddea = toySeqpeddea;
}
}

public double getToyOrdprd() {
return toyOrdprd;
}

public boolean isToyOrdprdNull() {
return toyOrdprdNull;
}

public void setToyOrdprd(int toyOrdprd) {
setToyOrdprd(new Double(toyOrdprd));
}

public void setToyOrdprd(long toyOrdprd) {
setToyOrdprd(new Double(toyOrdprd));
}

public void setToyOrdprd(Double toyOrdprd) {
if (toyOrdprd == null) {
toyOrdprdNull = true;
this.toyOrdprd = 0.;
} else { 
toyOrdprdNull = false;
this.toyOrdprd = toyOrdprd;
}
}

public String getToyUrn() {
return toyUrn;
}

public void setToyUrn(String toyUrn) {
this.toyUrn = toyUrn;
}

public String getToyChassi1() {
return toyChassi1;
}

public void setToyChassi1(String toyChassi1) {
this.toyChassi1 = toyChassi1;
}

public String getToyChassi2() {
return toyChassi2;
}

public void setToyChassi2(String toyChassi2) {
this.toyChassi2 = toyChassi2;
}

public FglDate getToyDatprvfat() {
return toyDatprvfat;
}

public void setToyDatprvfat(FglDate toyDatprvfat) {
this.toyDatprvfat = toyDatprvfat;
}

public FglDate getToyDatfat() {
return toyDatfat;
}

public void setToyDatfat(FglDate toyDatfat) {
this.toyDatfat = toyDatfat;
}

public FglDate getToyDatpreche() {
return toyDatpreche;
}

public void setToyDatpreche(FglDate toyDatpreche) {
this.toyDatpreche = toyDatpreche;
}

public FglDate getToyDatche() {
return toyDatche;
}

public void setToyDatche(FglDate toyDatche) {
this.toyDatche = toyDatche;
}

public double getFlag() {
return flag;
}

public boolean isFlagNull() {
return flagNull;
}

public void setFlag(int flag) {
setFlag(new Double(flag));
}

public void setFlag(long flag) {
setFlag(new Double(flag));
}

public void setFlag(Double flag) {
if (flag == null) {
flagNull = true;
this.flag = 0.;
} else { 
flagNull = false;
this.flag = flag;
}
}

public int getToySitvei() {
return toySitvei;
}

public boolean isToySitveiNull() {
return toySitveiNull;
}

public void setToySitvei(Integer toySitvei) {
if (toySitvei == null) {
toySitveiNull = true;
this.toySitvei = 0;
} else { 
toySitveiNull = false;
this.toySitvei = toySitvei;
}
}

public String getStatusTransf() {
return statusTransf;
}

public void setStatusTransf(String statusTransf) {
this.statusTransf = statusTransf;
}

}

