package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabUagacugl {
@Coluna(nome="uagacugl.filial_uag", tipo="int")
private int filialUag;
private boolean filialUagNull;
@Coluna(nome="uagacugl.nroconta", tipo="int")
private int nroconta;
private boolean nrocontaNull;
@Coluna(nome="uagacugl.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="uagacugl.qtdvlr", tipo="String")
private String qtdvlr;
@Coluna(nome="uagacugl.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabUagacugl() {
initialize();
}

public void initialize() {
setFilialUag(null);
setNroconta(null);
setAnomes(null);
setQtdvlr(null);
setValor(null);
}

public TabUagacugl(int filialUag, int nroconta, FglDateTimeYM anomes, String qtdvlr, double valor) {
this.filialUag = filialUag;
this.nroconta = nroconta;
this.anomes = anomes;
this.qtdvlr = qtdvlr;
this.valor = valor;
}

public int getFilialUag() {
return filialUag;
}

public boolean isFilialUagNull() {
return filialUagNull;
}

public void setFilialUag(Integer filialUag) {
if (filialUag == null) {
filialUagNull = true;
this.filialUag = 0;
} else { 
filialUagNull = false;
this.filialUag = filialUag;
}
}

public int getNroconta() {
return nroconta;
}

public boolean isNrocontaNull() {
return nrocontaNull;
}

public void setNroconta(Integer nroconta) {
if (nroconta == null) {
nrocontaNull = true;
this.nroconta = 0;
} else { 
nrocontaNull = false;
this.nroconta = nroconta;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getQtdvlr() {
return qtdvlr;
}

public void setQtdvlr(String qtdvlr) {
this.qtdvlr = qtdvlr;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

