package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabUagage {
@Coluna(nome="uagage.filial_uag", tipo="int")
private int filialUag;
private boolean filialUagNull;
@Coluna(nome="uagage.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="uagage.item", tipo="int")
private int item;
private boolean itemNull;
@Coluna(nome="uagage.fx", tipo="int")
private int fx;
private boolean fxNull;
@Coluna(nome="uagage.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="uagage.descritem", tipo="String")
private String descritem;
@Coluna(nome="uagage.descrfx", tipo="String")
private String descrfx;
@Coluna(nome="uagage.filial", tipo="int")
private int filial;
private boolean filialNull;

public TabUagage() {
initialize();
}

public void initialize() {
setFilialUag(null);
setData(null);
setItem(null);
setFx(null);
setValor(null);
setDescritem(null);
setDescrfx(null);
setFilial(null);
}

public TabUagage(int filialUag, FglDate data, int item, int fx, double valor, String descritem, String descrfx, int filial) {
this.filialUag = filialUag;
this.data = data;
this.item = item;
this.fx = fx;
this.valor = valor;
this.descritem = descritem;
this.descrfx = descrfx;
this.filial = filial;
}

public int getFilialUag() {
return filialUag;
}

public boolean isFilialUagNull() {
return filialUagNull;
}

public void setFilialUag(Integer filialUag) {
if (filialUag == null) {
filialUagNull = true;
this.filialUag = 0;
} else { 
filialUagNull = false;
this.filialUag = filialUag;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getItem() {
return item;
}

public boolean isItemNull() {
return itemNull;
}

public void setItem(Integer item) {
if (item == null) {
itemNull = true;
this.item = 0;
} else { 
itemNull = false;
this.item = item;
}
}

public int getFx() {
return fx;
}

public boolean isFxNull() {
return fxNull;
}

public void setFx(Integer fx) {
if (fx == null) {
fxNull = true;
this.fx = 0;
} else { 
fxNull = false;
this.fx = fx;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getDescritem() {
return descritem;
}

public void setDescritem(String descritem) {
this.descritem = descritem;
}

public String getDescrfx() {
return descrfx;
}

public void setDescrfx(String descrfx) {
this.descrfx = descrfx;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

}

