package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabUagvidet {
@Coluna(nome="uagvidet.filial_uag", tipo="int")
private int filialUag;
private boolean filialUagNull;
@Coluna(nome="uagvidet.chassis", tipo="String")
private String chassis;
@Coluna(nome="uagvidet.novousado", tipo="String")
private String novousado;
@Coluna(nome="uagvidet.make", tipo="String")
private String make;
@Coluna(nome="uagvidet.familia", tipo="String")
private String familia;
@Coluna(nome="uagvidet.anomodelo", tipo="String")
private String anomodelo;
@Coluna(nome="uagvidet.cor", tipo="String")
private String cor;
@Coluna(nome="uagvidet.corexting", tipo="String")
private String corexting;
@Coluna(nome="uagvidet.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="uagvidet.corinting", tipo="String")
private String corinting;
@Coluna(nome="uagvidet.km", tipo="int")
private int km;
private boolean kmNull;
@Coluna(nome="uagvidet.idade", tipo="int")
private int idade;
private boolean idadeNull;
@Coluna(nome="uagvidet.fx", tipo="int")
private int fx;
private boolean fxNull;
@Coluna(nome="uagvidet.dealnr", tipo="int")
private int dealnr;
private boolean dealnrNull;
@Coluna(nome="uagvidet.custofabrica", tipo="double")
private double custofabrica;
private boolean custofabricaNull;
@Coluna(nome="uagvidet.bonus", tipo="double")
private double bonus;
private boolean bonusNull;
@Coluna(nome="uagvidet.debcredfabr", tipo="double")
private double debcredfabr;
private boolean debcredfabrNull;
@Coluna(nome="uagvidet.precotabela", tipo="double")
private double precotabela;
private boolean precotabelaNull;
@Coluna(nome="uagvidet.usedjourcode", tipo="String")
private String usedjourcode;
@Coluna(nome="uagvidet.motorizacao", tipo="String")
private String motorizacao;
@Coluna(nome="uagvidet.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="uagvidet.fabriccgc", tipo="long")
private long fabriccgc;
private boolean fabriccgcNull;
@Coluna(nome="uagvidet.makelong", tipo="String")
private String makelong;
@Coluna(nome="uagvidet.modelo", tipo="String")
private String modelo;
@Coluna(nome="uagvidet.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="uagvidet.nroportas", tipo="String")
private String nroportas;
@Coluna(nome="uagvidet.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="uagvidet.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="uagvidet.serienf", tipo="String")
private String serienf;
@Coluna(nome="uagvidet.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="uagvidet.hrnota", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrnota;
@Coluna(nome="uagvidet.vlrnf", tipo="double")
private double vlrnf;
private boolean vlrnfNull;
@Coluna(nome="uagvidet.customedio", tipo="double")
private double customedio;
private boolean customedioNull;

public TabUagvidet() {
initialize();
}

public void initialize() {
setFilialUag(null);
setChassis(null);
setNovousado(null);
setMake(null);
setFamilia(null);
setAnomodelo(null);
setCor(null);
setCorexting(null);
setCorinterna(null);
setCorinting(null);
setKm(null);
setIdade(null);
setFx(null);
setDealnr(null);
setCustofabrica(null);
setBonus(null);
setDebcredfabr(null);
setPrecotabela(null);
setUsedjourcode(null);
setMotorizacao(null);
setFilial(null);
setFabriccgc(null);
setMakelong(null);
setModelo(null);
setDescrmodelo(null);
setNroportas(null);
setIdNfcapa(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setHrnota(null);
setVlrnf(null);
setCustomedio(null);
}

public TabUagvidet(int filialUag, String chassis, String novousado, String make, String familia, String anomodelo, String cor, String corexting, String corinterna, String corinting, int km, int idade, int fx, int dealnr, double custofabrica, double bonus, double debcredfabr, double precotabela, String usedjourcode, String motorizacao, int filial, long fabriccgc, String makelong, String modelo, String descrmodelo, String nroportas, int idNfcapa, int nronota, String serienf, FglDate dtnota, FglDateTimeHMin hrnota, double vlrnf, double customedio) {
this.filialUag = filialUag;
this.chassis = chassis;
this.novousado = novousado;
this.make = make;
this.familia = familia;
this.anomodelo = anomodelo;
this.cor = cor;
this.corexting = corexting;
this.corinterna = corinterna;
this.corinting = corinting;
this.km = km;
this.idade = idade;
this.fx = fx;
this.dealnr = dealnr;
this.custofabrica = custofabrica;
this.bonus = bonus;
this.debcredfabr = debcredfabr;
this.precotabela = precotabela;
this.usedjourcode = usedjourcode;
this.motorizacao = motorizacao;
this.filial = filial;
this.fabriccgc = fabriccgc;
this.makelong = makelong;
this.modelo = modelo;
this.descrmodelo = descrmodelo;
this.nroportas = nroportas;
this.idNfcapa = idNfcapa;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.hrnota = hrnota;
this.vlrnf = vlrnf;
this.customedio = customedio;
}

public int getFilialUag() {
return filialUag;
}

public boolean isFilialUagNull() {
return filialUagNull;
}

public void setFilialUag(Integer filialUag) {
if (filialUag == null) {
filialUagNull = true;
this.filialUag = 0;
} else { 
filialUagNull = false;
this.filialUag = filialUag;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getMake() {
return make;
}

public void setMake(String make) {
this.make = make;
}

public String getFamilia() {
return familia;
}

public void setFamilia(String familia) {
this.familia = familia;
}

public String getAnomodelo() {
return anomodelo;
}

public void setAnomodelo(String anomodelo) {
this.anomodelo = anomodelo;
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public String getCorexting() {
return corexting;
}

public void setCorexting(String corexting) {
this.corexting = corexting;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getCorinting() {
return corinting;
}

public void setCorinting(String corinting) {
this.corinting = corinting;
}

public int getKm() {
return km;
}

public boolean isKmNull() {
return kmNull;
}

public void setKm(Integer km) {
if (km == null) {
kmNull = true;
this.km = 0;
} else { 
kmNull = false;
this.km = km;
}
}

public int getIdade() {
return idade;
}

public boolean isIdadeNull() {
return idadeNull;
}

public void setIdade(Integer idade) {
if (idade == null) {
idadeNull = true;
this.idade = 0;
} else { 
idadeNull = false;
this.idade = idade;
}
}

public int getFx() {
return fx;
}

public boolean isFxNull() {
return fxNull;
}

public void setFx(Integer fx) {
if (fx == null) {
fxNull = true;
this.fx = 0;
} else { 
fxNull = false;
this.fx = fx;
}
}

public int getDealnr() {
return dealnr;
}

public boolean isDealnrNull() {
return dealnrNull;
}

public void setDealnr(Integer dealnr) {
if (dealnr == null) {
dealnrNull = true;
this.dealnr = 0;
} else { 
dealnrNull = false;
this.dealnr = dealnr;
}
}

public double getCustofabrica() {
return custofabrica;
}

public boolean isCustofabricaNull() {
return custofabricaNull;
}

public void setCustofabrica(int custofabrica) {
setCustofabrica(new Double(custofabrica));
}

public void setCustofabrica(long custofabrica) {
setCustofabrica(new Double(custofabrica));
}

public void setCustofabrica(Double custofabrica) {
if (custofabrica == null) {
custofabricaNull = true;
this.custofabrica = 0.;
} else { 
custofabricaNull = false;
this.custofabrica = FglDouble.round(custofabrica, 2);
}
}

public double getBonus() {
return bonus;
}

public boolean isBonusNull() {
return bonusNull;
}

public void setBonus(int bonus) {
setBonus(new Double(bonus));
}

public void setBonus(long bonus) {
setBonus(new Double(bonus));
}

public void setBonus(Double bonus) {
if (bonus == null) {
bonusNull = true;
this.bonus = 0.;
} else { 
bonusNull = false;
this.bonus = FglDouble.round(bonus, 2);
}
}

public double getDebcredfabr() {
return debcredfabr;
}

public boolean isDebcredfabrNull() {
return debcredfabrNull;
}

public void setDebcredfabr(int debcredfabr) {
setDebcredfabr(new Double(debcredfabr));
}

public void setDebcredfabr(long debcredfabr) {
setDebcredfabr(new Double(debcredfabr));
}

public void setDebcredfabr(Double debcredfabr) {
if (debcredfabr == null) {
debcredfabrNull = true;
this.debcredfabr = 0.;
} else { 
debcredfabrNull = false;
this.debcredfabr = FglDouble.round(debcredfabr, 2);
}
}

public double getPrecotabela() {
return precotabela;
}

public boolean isPrecotabelaNull() {
return precotabelaNull;
}

public void setPrecotabela(int precotabela) {
setPrecotabela(new Double(precotabela));
}

public void setPrecotabela(long precotabela) {
setPrecotabela(new Double(precotabela));
}

public void setPrecotabela(Double precotabela) {
if (precotabela == null) {
precotabelaNull = true;
this.precotabela = 0.;
} else { 
precotabelaNull = false;
this.precotabela = FglDouble.round(precotabela, 2);
}
}

public String getUsedjourcode() {
return usedjourcode;
}

public void setUsedjourcode(String usedjourcode) {
this.usedjourcode = usedjourcode;
}

public String getMotorizacao() {
return motorizacao;
}

public void setMotorizacao(String motorizacao) {
this.motorizacao = motorizacao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getFabriccgc() {
return fabriccgc;
}

public boolean isFabriccgcNull() {
return fabriccgcNull;
}

public void setFabriccgc(int fabriccgc) {
setFabriccgc(new Long(fabriccgc));
}

public void setFabriccgc(Long fabriccgc) {
if (fabriccgc == null) {
fabriccgcNull = true;
this.fabriccgc = 0l;
} else { 
fabriccgcNull = false;
this.fabriccgc = fabriccgc;
}
}

public String getMakelong() {
return makelong;
}

public void setMakelong(String makelong) {
this.makelong = makelong;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public String getNroportas() {
return nroportas;
}

public void setNroportas(String nroportas) {
this.nroportas = nroportas;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public FglDateTimeHMin getHrnota() {
return hrnota;
}

public void setHrnota(FglDateTimeHMin hrnota) {
this.hrnota = hrnota;
}

public double getVlrnf() {
return vlrnf;
}

public boolean isVlrnfNull() {
return vlrnfNull;
}

public void setVlrnf(int vlrnf) {
setVlrnf(new Double(vlrnf));
}

public void setVlrnf(long vlrnf) {
setVlrnf(new Double(vlrnf));
}

public void setVlrnf(Double vlrnf) {
if (vlrnf == null) {
vlrnfNull = true;
this.vlrnf = 0.;
} else { 
vlrnfNull = false;
this.vlrnf = FglDouble.round(vlrnf, 2);
}
}

public double getCustomedio() {
return customedio;
}

public boolean isCustomedioNull() {
return customedioNull;
}

public void setCustomedio(int customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(long customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(Double customedio) {
if (customedio == null) {
customedioNull = true;
this.customedio = 0.;
} else { 
customedioNull = false;
this.customedio = FglDouble.round(customedio, 2);
}
}

}

