package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVcdfmode {
@Coluna(nome="vcdfmode.modelo", tipo="String")
private String modelo;
@Coluna(nome="vcdfmode.novousado", tipo="String")
private String novousado;
@Coluna(nome="vcdfmode.anomes_ini", tipo="FglDateTimeYM")
private FglDateTimeYM anomesIni;
@Coluna(nome="vcdfmode.anomes_fim", tipo="FglDateTimeYM")
private FglDateTimeYM anomesFim;
@Coluna(nome="vcdfmode.def_campo_vda_un", tipo="int")
private int defCampoVdaUn;
private boolean defCampoVdaUnNull;
@Coluna(nome="vcdfmode.def_campo_vda_vl", tipo="int")
private int defCampoVdaVl;
private boolean defCampoVdaVlNull;
@Coluna(nome="vcdfmode.def_campo_vda_iv", tipo="int")
private int defCampoVdaIv;
private boolean defCampoVdaIvNull;
@Coluna(nome="vcdfmode.def_campo_vda_lb", tipo="int")
private int defCampoVdaLb;
private boolean defCampoVdaLbNull;
@Coluna(nome="vcdfmode.def_campo_est_un", tipo="int")
private int defCampoEstUn;
private boolean defCampoEstUnNull;
@Coluna(nome="vcdfmode.def_campo_est_30", tipo="int")
private int defCampoEst30;
private boolean defCampoEst30Null;
@Coluna(nome="vcdfmode.def_campo_est_60", tipo="int")
private int defCampoEst60;
private boolean defCampoEst60Null;
@Coluna(nome="vcdfmode.def_campo_est_90", tipo="int")
private int defCampoEst90;
private boolean defCampoEst90Null;

public TabVcdfmode() {
initialize();
}

public void initialize() {
setModelo(null);
setNovousado(null);
setAnomesIni(null);
setAnomesFim(null);
setDefCampoVdaUn(null);
setDefCampoVdaVl(null);
setDefCampoVdaIv(null);
setDefCampoVdaLb(null);
setDefCampoEstUn(null);
setDefCampoEst30(null);
setDefCampoEst60(null);
setDefCampoEst90(null);
}

public TabVcdfmode(String modelo, String novousado, FglDateTimeYM anomesIni, FglDateTimeYM anomesFim, int defCampoVdaUn, int defCampoVdaVl, int defCampoVdaIv, int defCampoVdaLb, int defCampoEstUn, int defCampoEst30, int defCampoEst60, int defCampoEst90) {
this.modelo = modelo;
this.novousado = novousado;
this.anomesIni = anomesIni;
this.anomesFim = anomesFim;
this.defCampoVdaUn = defCampoVdaUn;
this.defCampoVdaVl = defCampoVdaVl;
this.defCampoVdaIv = defCampoVdaIv;
this.defCampoVdaLb = defCampoVdaLb;
this.defCampoEstUn = defCampoEstUn;
this.defCampoEst30 = defCampoEst30;
this.defCampoEst60 = defCampoEst60;
this.defCampoEst90 = defCampoEst90;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public FglDateTimeYM getAnomesIni() {
return anomesIni;
}

public void setAnomesIni(FglDateTimeYM anomesIni) {
this.anomesIni = anomesIni;
}

public FglDateTimeYM getAnomesFim() {
return anomesFim;
}

public void setAnomesFim(FglDateTimeYM anomesFim) {
this.anomesFim = anomesFim;
}

public int getDefCampoVdaUn() {
return defCampoVdaUn;
}

public boolean isDefCampoVdaUnNull() {
return defCampoVdaUnNull;
}

public void setDefCampoVdaUn(Integer defCampoVdaUn) {
if (defCampoVdaUn == null) {
defCampoVdaUnNull = true;
this.defCampoVdaUn = 0;
} else { 
defCampoVdaUnNull = false;
this.defCampoVdaUn = defCampoVdaUn;
}
}

public int getDefCampoVdaVl() {
return defCampoVdaVl;
}

public boolean isDefCampoVdaVlNull() {
return defCampoVdaVlNull;
}

public void setDefCampoVdaVl(Integer defCampoVdaVl) {
if (defCampoVdaVl == null) {
defCampoVdaVlNull = true;
this.defCampoVdaVl = 0;
} else { 
defCampoVdaVlNull = false;
this.defCampoVdaVl = defCampoVdaVl;
}
}

public int getDefCampoVdaIv() {
return defCampoVdaIv;
}

public boolean isDefCampoVdaIvNull() {
return defCampoVdaIvNull;
}

public void setDefCampoVdaIv(Integer defCampoVdaIv) {
if (defCampoVdaIv == null) {
defCampoVdaIvNull = true;
this.defCampoVdaIv = 0;
} else { 
defCampoVdaIvNull = false;
this.defCampoVdaIv = defCampoVdaIv;
}
}

public int getDefCampoVdaLb() {
return defCampoVdaLb;
}

public boolean isDefCampoVdaLbNull() {
return defCampoVdaLbNull;
}

public void setDefCampoVdaLb(Integer defCampoVdaLb) {
if (defCampoVdaLb == null) {
defCampoVdaLbNull = true;
this.defCampoVdaLb = 0;
} else { 
defCampoVdaLbNull = false;
this.defCampoVdaLb = defCampoVdaLb;
}
}

public int getDefCampoEstUn() {
return defCampoEstUn;
}

public boolean isDefCampoEstUnNull() {
return defCampoEstUnNull;
}

public void setDefCampoEstUn(Integer defCampoEstUn) {
if (defCampoEstUn == null) {
defCampoEstUnNull = true;
this.defCampoEstUn = 0;
} else { 
defCampoEstUnNull = false;
this.defCampoEstUn = defCampoEstUn;
}
}

public int getDefCampoEst30() {
return defCampoEst30;
}

public boolean isDefCampoEst30Null() {
return defCampoEst30Null;
}

public void setDefCampoEst30(Integer defCampoEst30) {
if (defCampoEst30 == null) {
defCampoEst30Null = true;
this.defCampoEst30 = 0;
} else { 
defCampoEst30Null = false;
this.defCampoEst30 = defCampoEst30;
}
}

public int getDefCampoEst60() {
return defCampoEst60;
}

public boolean isDefCampoEst60Null() {
return defCampoEst60Null;
}

public void setDefCampoEst60(Integer defCampoEst60) {
if (defCampoEst60 == null) {
defCampoEst60Null = true;
this.defCampoEst60 = 0;
} else { 
defCampoEst60Null = false;
this.defCampoEst60 = defCampoEst60;
}
}

public int getDefCampoEst90() {
return defCampoEst90;
}

public boolean isDefCampoEst90Null() {
return defCampoEst90Null;
}

public void setDefCampoEst90(Integer defCampoEst90) {
if (defCampoEst90 == null) {
defCampoEst90Null = true;
this.defCampoEst90 = 0;
} else { 
defCampoEst90Null = false;
this.defCampoEst90 = defCampoEst90;
}
}

}

