package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabVoagenda {
@Coluna(nome="voagenda.id_agendamento", tipo="int")
private int idAgendamento;
private boolean idAgendamentoNull;
@Coluna(nome="voagenda.tpagendamento", tipo="String")
private String tpagendamento;
@Coluna(nome="voagenda.id_processo", tipo="int")
private int idProcesso;
private boolean idProcessoNull;
@Coluna(nome="voagenda.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="voagenda.id_form", tipo="int")
private int idForm;
private boolean idFormNull;
@Coluna(nome="voagenda.id_agentecriador", tipo="int")
private int idAgentecriador;
private boolean idAgentecriadorNull;
@Coluna(nome="voagenda.id_agenteresp", tipo="int")
private int idAgenteresp;
private boolean idAgenterespNull;
@Coluna(nome="voagenda.dtabertura", tipo="FglDateTimeYS")
private FglDateTimeYS dtabertura;
@Coluna(nome="voagenda.comentabertura", tipo="String")
private String comentabertura;
@Coluna(nome="voagenda.dtexecucao", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtexecucao;
@Coluna(nome="voagenda.dtencerramento", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtencerramento;
@Coluna(nome="voagenda.comentfechmnto", tipo="String")
private String comentfechmnto;
@Coluna(nome="voagenda.tipocontato", tipo="String")
private String tipocontato;
@Coluna(nome="voagenda.status", tipo="String")
private String status;
@Coluna(nome="voagenda.id_reagendamento", tipo="int")
private int idReagendamento;
private boolean idReagendamentoNull;
@Coluna(nome="voagenda.id_resultado", tipo="int")
private int idResultado;
private boolean idResultadoNull;

public TabVoagenda() {
initialize();
}

public void initialize() {
setIdAgendamento(null);
setTpagendamento(null);
setIdProcesso(null);
setFilial(null);
setIdForm(null);
setIdAgentecriador(null);
setIdAgenteresp(null);
setDtabertura(null);
setComentabertura(null);
setDtexecucao(null);
setDtencerramento(null);
setComentfechmnto(null);
setTipocontato(null);
setStatus(null);
setIdReagendamento(null);
setIdResultado(null);
}

public TabVoagenda(int idAgendamento, String tpagendamento, int idProcesso, int filial, int idForm, int idAgentecriador, int idAgenteresp, FglDateTimeYS dtabertura, String comentabertura, FglDateTimeYMin dtexecucao, FglDateTimeYMin dtencerramento, String comentfechmnto, String tipocontato, String status, int idReagendamento, int idResultado) {
this.idAgendamento = idAgendamento;
this.tpagendamento = tpagendamento;
this.idProcesso = idProcesso;
this.filial = filial;
this.idForm = idForm;
this.idAgentecriador = idAgentecriador;
this.idAgenteresp = idAgenteresp;
this.dtabertura = dtabertura;
this.comentabertura = comentabertura;
this.dtexecucao = dtexecucao;
this.dtencerramento = dtencerramento;
this.comentfechmnto = comentfechmnto;
this.tipocontato = tipocontato;
this.status = status;
this.idReagendamento = idReagendamento;
this.idResultado = idResultado;
}

public int getIdAgendamento() {
return idAgendamento;
}

public boolean isIdAgendamentoNull() {
return idAgendamentoNull;
}

public void setIdAgendamento(Integer idAgendamento) {
if (idAgendamento == null) {
idAgendamentoNull = true;
this.idAgendamento = 0;
} else { 
idAgendamentoNull = false;
this.idAgendamento = idAgendamento;
}
}

public String getTpagendamento() {
return tpagendamento;
}

public void setTpagendamento(String tpagendamento) {
this.tpagendamento = tpagendamento;
}

public int getIdProcesso() {
return idProcesso;
}

public boolean isIdProcessoNull() {
return idProcessoNull;
}

public void setIdProcesso(Integer idProcesso) {
if (idProcesso == null) {
idProcessoNull = true;
this.idProcesso = 0;
} else { 
idProcessoNull = false;
this.idProcesso = idProcesso;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdForm() {
return idForm;
}

public boolean isIdFormNull() {
return idFormNull;
}

public void setIdForm(Integer idForm) {
if (idForm == null) {
idFormNull = true;
this.idForm = 0;
} else { 
idFormNull = false;
this.idForm = idForm;
}
}

public int getIdAgentecriador() {
return idAgentecriador;
}

public boolean isIdAgentecriadorNull() {
return idAgentecriadorNull;
}

public void setIdAgentecriador(Integer idAgentecriador) {
if (idAgentecriador == null) {
idAgentecriadorNull = true;
this.idAgentecriador = 0;
} else { 
idAgentecriadorNull = false;
this.idAgentecriador = idAgentecriador;
}
}

public int getIdAgenteresp() {
return idAgenteresp;
}

public boolean isIdAgenterespNull() {
return idAgenterespNull;
}

public void setIdAgenteresp(Integer idAgenteresp) {
if (idAgenteresp == null) {
idAgenterespNull = true;
this.idAgenteresp = 0;
} else { 
idAgenterespNull = false;
this.idAgenteresp = idAgenteresp;
}
}

public FglDateTimeYS getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDateTimeYS dtabertura) {
this.dtabertura = dtabertura;
}

public String getComentabertura() {
return comentabertura;
}

public void setComentabertura(String comentabertura) {
this.comentabertura = comentabertura;
}

public FglDateTimeYMin getDtexecucao() {
return dtexecucao;
}

public void setDtexecucao(FglDateTimeYMin dtexecucao) {
this.dtexecucao = dtexecucao;
}

public FglDateTimeYMin getDtencerramento() {
return dtencerramento;
}

public void setDtencerramento(FglDateTimeYMin dtencerramento) {
this.dtencerramento = dtencerramento;
}

public String getComentfechmnto() {
return comentfechmnto;
}

public void setComentfechmnto(String comentfechmnto) {
this.comentfechmnto = comentfechmnto;
}

public String getTipocontato() {
return tipocontato;
}

public void setTipocontato(String tipocontato) {
this.tipocontato = tipocontato;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getIdReagendamento() {
return idReagendamento;
}

public boolean isIdReagendamentoNull() {
return idReagendamentoNull;
}

public void setIdReagendamento(Integer idReagendamento) {
if (idReagendamento == null) {
idReagendamentoNull = true;
this.idReagendamento = 0;
} else { 
idReagendamentoNull = false;
this.idReagendamento = idReagendamento;
}
}

public int getIdResultado() {
return idResultado;
}

public boolean isIdResultadoNull() {
return idResultadoNull;
}

public void setIdResultado(Integer idResultado) {
if (idResultado == null) {
idResultadoNull = true;
this.idResultado = 0;
} else { 
idResultadoNull = false;
this.idResultado = idResultado;
}
}

}

