package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVoaponta {
@Coluna(nome="voaponta.id_voaponta", tipo="int")
private int idVoaponta;
private boolean idVoapontaNull;
@Coluna(nome="voaponta.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="voaponta.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="voaponta.tipo_apontamento", tipo="String")
private String tipoApontamento;
@Coluna(nome="voaponta.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="voaponta.data_apontamento", tipo="FglDate")
private FglDate dataApontamento;
@Coluna(nome="voaponta.hora_apontamento", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaApontamento;

public TabVoaponta() {
initialize();
}

public void initialize() {
setIdVoaponta(null);
setIdOscapa(null);
setIdServico(null);
setTipoApontamento(null);
setNroitem(null);
setDataApontamento(null);
setHoraApontamento(null);
}

public TabVoaponta(int idVoaponta, int idOscapa, int idServico, String tipoApontamento, int nroitem, FglDate dataApontamento, FglDateTimeHMin horaApontamento) {
this.idVoaponta = idVoaponta;
this.idOscapa = idOscapa;
this.idServico = idServico;
this.tipoApontamento = tipoApontamento;
this.nroitem = nroitem;
this.dataApontamento = dataApontamento;
this.horaApontamento = horaApontamento;
}

public int getIdVoaponta() {
return idVoaponta;
}

public boolean isIdVoapontaNull() {
return idVoapontaNull;
}

public void setIdVoaponta(Integer idVoaponta) {
if (idVoaponta == null) {
idVoapontaNull = true;
this.idVoaponta = 0;
} else { 
idVoapontaNull = false;
this.idVoaponta = idVoaponta;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getTipoApontamento() {
return tipoApontamento;
}

public void setTipoApontamento(String tipoApontamento) {
this.tipoApontamento = tipoApontamento;
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public FglDate getDataApontamento() {
return dataApontamento;
}

public void setDataApontamento(FglDate dataApontamento) {
this.dataApontamento = dataApontamento;
}

public FglDateTimeHMin getHoraApontamento() {
return horaApontamento;
}

public void setHoraApontamento(FglDateTimeHMin horaApontamento) {
this.horaApontamento = horaApontamento;
}

}

