package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabVopaleta {
@Coluna(nome="vopaleta.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="vopaleta.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vopaleta.id_parcor", tipo="int")
private int idParcor;
private boolean idParcorNull;

public TabVopaleta() {
initialize();
}

public void initialize() {
setBandeira(null);
setFilial(null);
setIdParcor(null);
}

public TabVopaleta(String bandeira, int filial, int idParcor) {
this.bandeira = bandeira;
this.filial = filial;
this.idParcor = idParcor;
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdParcor() {
return idParcor;
}

public boolean isIdParcorNull() {
return idParcorNull;
}

public void setIdParcor(Integer idParcor) {
if (idParcor == null) {
idParcorNull = true;
this.idParcor = 0;
} else { 
idParcorNull = false;
this.idParcor = idParcor;
}
}

}

