package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVoquagen {
@Coluna(nome="voquagen.id_protmp", tipo="int")
private int idProtmp;
private boolean idProtmpNull;
@Coluna(nome="voquagen.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="voquagen.quilometragem", tipo="int")
private int quilometragem;
private boolean quilometragemNull;
@Coluna(nome="voquagen.datarecepcao", tipo="FglDate")
private FglDate datarecepcao;
@Coluna(nome="voquagen.horarecepcao", tipo="FglDateTimeHMin")
private FglDateTimeHMin horarecepcao;
@Coluna(nome="voquagen.dataentrega", tipo="FglDate")
private FglDate dataentrega;
@Coluna(nome="voquagen.horaentrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaentrega;
@Coluna(nome="voquagen.datainiserv", tipo="FglDate")
private FglDate datainiserv;
@Coluna(nome="voquagen.horainicioserv", tipo="FglDateTimeHMin")
private FglDateTimeHMin horainicioserv;
@Coluna(nome="voquagen.lavagem", tipo="String")
private String lavagem;
@Coluna(nome="voquagen.qualidade", tipo="String")
private String qualidade;
@Coluna(nome="voquagen.lqs", tipo="String")
private String lqs;
@Coluna(nome="voquagen.adicdt", tipo="String")
private String adicdt;
@Coluna(nome="voquagen.recalculardataentrega", tipo="int")
private int recalculardataentrega;
private boolean recalculardataentregaNull;

public TabVoquagen() {
initialize();
}

public void initialize() {
setIdProtmp(null);
setIdAgetoy(null);
setQuilometragem(null);
setDatarecepcao(null);
setHorarecepcao(null);
setDataentrega(null);
setHoraentrega(null);
setDatainiserv(null);
setHorainicioserv(null);
setLavagem(null);
setQualidade(null);
setLqs(null);
setAdicdt(null);
setRecalculardataentrega(null);
}

public TabVoquagen(int idProtmp, int idAgetoy, int quilometragem, FglDate datarecepcao, FglDateTimeHMin horarecepcao, FglDate dataentrega, FglDateTimeHMin horaentrega, FglDate datainiserv, FglDateTimeHMin horainicioserv, String lavagem, String qualidade, String lqs, String adicdt, int recalculardataentrega) {
this.idProtmp = idProtmp;
this.idAgetoy = idAgetoy;
this.quilometragem = quilometragem;
this.datarecepcao = datarecepcao;
this.horarecepcao = horarecepcao;
this.dataentrega = dataentrega;
this.horaentrega = horaentrega;
this.datainiserv = datainiserv;
this.horainicioserv = horainicioserv;
this.lavagem = lavagem;
this.qualidade = qualidade;
this.lqs = lqs;
this.adicdt = adicdt;
this.recalculardataentrega = recalculardataentrega;
}

public int getIdProtmp() {
return idProtmp;
}

public boolean isIdProtmpNull() {
return idProtmpNull;
}

public void setIdProtmp(Integer idProtmp) {
if (idProtmp == null) {
idProtmpNull = true;
this.idProtmp = 0;
} else { 
idProtmpNull = false;
this.idProtmp = idProtmp;
}
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getQuilometragem() {
return quilometragem;
}

public boolean isQuilometragemNull() {
return quilometragemNull;
}

public void setQuilometragem(Integer quilometragem) {
if (quilometragem == null) {
quilometragemNull = true;
this.quilometragem = 0;
} else { 
quilometragemNull = false;
this.quilometragem = quilometragem;
}
}

public FglDate getDatarecepcao() {
return datarecepcao;
}

public void setDatarecepcao(FglDate datarecepcao) {
this.datarecepcao = datarecepcao;
}

public FglDateTimeHMin getHorarecepcao() {
return horarecepcao;
}

public void setHorarecepcao(FglDateTimeHMin horarecepcao) {
this.horarecepcao = horarecepcao;
}

public FglDate getDataentrega() {
return dataentrega;
}

public void setDataentrega(FglDate dataentrega) {
this.dataentrega = dataentrega;
}

public FglDateTimeHMin getHoraentrega() {
return horaentrega;
}

public void setHoraentrega(FglDateTimeHMin horaentrega) {
this.horaentrega = horaentrega;
}

public FglDate getDatainiserv() {
return datainiserv;
}

public void setDatainiserv(FglDate datainiserv) {
this.datainiserv = datainiserv;
}

public FglDateTimeHMin getHorainicioserv() {
return horainicioserv;
}

public void setHorainicioserv(FglDateTimeHMin horainicioserv) {
this.horainicioserv = horainicioserv;
}

public String getLavagem() {
return lavagem;
}

public void setLavagem(String lavagem) {
this.lavagem = lavagem;
}

public String getQualidade() {
return qualidade;
}

public void setQualidade(String qualidade) {
this.qualidade = qualidade;
}

public String getLqs() {
return lqs;
}

public void setLqs(String lqs) {
this.lqs = lqs;
}

public String getAdicdt() {
return adicdt;
}

public void setAdicdt(String adicdt) {
this.adicdt = adicdt;
}

public int getRecalculardataentrega() {
return recalculardataentrega;
}

public boolean isRecalculardataentregaNull() {
return recalculardataentregaNull;
}

public void setRecalculardataentrega(Integer recalculardataentrega) {
if (recalculardataentrega == null) {
recalculardataentregaNull = true;
this.recalculardataentrega = 0;
} else { 
recalculardataentregaNull = false;
this.recalculardataentrega = recalculardataentrega;
}
}

}

