package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVostaage {
@Coluna(nome="vostaage.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vostaage.status", tipo="String")
private String status;
@Coluna(nome="vostaage.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="vostaage.dtatualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtatualizacao;

public TabVostaage() {
initialize();
}

public void initialize() {
setIdAgente(null);
setStatus(null);
setMensagem(null);
setDtatualizacao(null);
}

public TabVostaage(int idAgente, String status, String mensagem, FglDateTimeYS dtatualizacao) {
this.idAgente = idAgente;
this.status = status;
this.mensagem = mensagem;
this.dtatualizacao = dtatualizacao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public FglDateTimeYS getDtatualizacao() {
return dtatualizacao;
}

public void setDtatualizacao(FglDateTimeYS dtatualizacao) {
this.dtatualizacao = dtatualizacao;
}

}

