package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVotrfage {
@Coluna(nome="votrfage.id_agendamento", tipo="int")
private int idAgendamento;
private boolean idAgendamentoNull;
@Coluna(nome="votrfage.id_agenteori", tipo="int")
private int idAgenteori;
private boolean idAgenteoriNull;
@Coluna(nome="votrfage.id_agentedest", tipo="int")
private int idAgentedest;
private boolean idAgentedestNull;
@Coluna(nome="votrfage.dttransf", tipo="FglDateTimeYS")
private FglDateTimeYS dttransf;

public TabVotrfage() {
initialize();
}

public void initialize() {
setIdAgendamento(null);
setIdAgenteori(null);
setIdAgentedest(null);
setDttransf(null);
}

public TabVotrfage(int idAgendamento, int idAgenteori, int idAgentedest, FglDateTimeYS dttransf) {
this.idAgendamento = idAgendamento;
this.idAgenteori = idAgenteori;
this.idAgentedest = idAgentedest;
this.dttransf = dttransf;
}

public int getIdAgendamento() {
return idAgendamento;
}

public boolean isIdAgendamentoNull() {
return idAgendamentoNull;
}

public void setIdAgendamento(Integer idAgendamento) {
if (idAgendamento == null) {
idAgendamentoNull = true;
this.idAgendamento = 0;
} else { 
idAgendamentoNull = false;
this.idAgendamento = idAgendamento;
}
}

public int getIdAgenteori() {
return idAgenteori;
}

public boolean isIdAgenteoriNull() {
return idAgenteoriNull;
}

public void setIdAgenteori(Integer idAgenteori) {
if (idAgenteori == null) {
idAgenteoriNull = true;
this.idAgenteori = 0;
} else { 
idAgenteoriNull = false;
this.idAgenteori = idAgenteori;
}
}

public int getIdAgentedest() {
return idAgentedest;
}

public boolean isIdAgentedestNull() {
return idAgentedestNull;
}

public void setIdAgentedest(Integer idAgentedest) {
if (idAgentedest == null) {
idAgentedestNull = true;
this.idAgentedest = 0;
} else { 
idAgentedestNull = false;
this.idAgentedest = idAgentedest;
}
}

public FglDateTimeYS getDttransf() {
return dttransf;
}

public void setDttransf(FglDateTimeYS dttransf) {
this.dttransf = dttransf;
}

}

