package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVpagenda {
@Coluna(nome="vpagenda.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="vpagenda.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vpagenda.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vpagenda.tpcontato", tipo="String")
private String tpcontato;
@Coluna(nome="vpagenda.tpacao", tipo="String")
private String tpacao;
@Coluna(nome="vpagenda.dtprevista", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtprevista;
@Coluna(nome="vpagenda.comentagenda", tipo="String")
private String comentagenda;
@Coluna(nome="vpagenda.id_agentede", tipo="int")
private int idAgentede;
private boolean idAgentedeNull;
@Coluna(nome="vpagenda.id_agentepara", tipo="int")
private int idAgentepara;
private boolean idAgenteparaNull;
@Coluna(nome="vpagenda.codcampanha", tipo="String")
private String codcampanha;
@Coluna(nome="vpagenda.automatico", tipo="String")
private String automatico;
@Coluna(nome="vpagenda.seqorigem", tipo="int")
private int seqorigem;
private boolean seqorigemNull;
@Coluna(nome="vpagenda.tpresult", tipo="String")
private String tpresult;
@Coluna(nome="vpagenda.comentresult", tipo="String")
private String comentresult;
@Coluna(nome="vpagenda.dtefetiva", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtefetiva;
@Coluna(nome="vpagenda.id_agenteexe", tipo="int")
private int idAgenteexe;
private boolean idAgenteexeNull;
@Coluna(nome="vpagenda.seqdestino", tipo="int")
private int seqdestino;
private boolean seqdestinoNull;
@Coluna(nome="vpagenda.tpcancelamento", tipo="int")
private int tpcancelamento;
private boolean tpcancelamentoNull;
@Coluna(nome="vpagenda.id_tpbloqueio", tipo="int")
private int idTpbloqueio;
private boolean idTpbloqueioNull;
@Coluna(nome="vpagenda.potencial", tipo="String")
private String potencial;
@Coluna(nome="vpagenda.modelo", tipo="String")
private String modelo;
@Coluna(nome="vpagenda.linmodcod", tipo="int")
private int linmodcod;
private boolean linmodcodNull;
@Coluna(nome="vpagenda.dthrcontato", tipo="FglDateTimeYS")
private FglDateTimeYS dthrcontato;
@Coluna(nome="vpagenda.sem_interesse", tipo="String")
private String semInteresse;

public TabVpagenda() {
initialize();
}

public void initialize() {
setIdProspe(null);
setSequencia(null);
setFilial(null);
setTpcontato(null);
setTpacao(null);
setDtprevista(null);
setComentagenda(null);
setIdAgentede(null);
setIdAgentepara(null);
setCodcampanha(null);
setAutomatico(null);
setSeqorigem(null);
setTpresult(null);
setComentresult(null);
setDtefetiva(null);
setIdAgenteexe(null);
setSeqdestino(null);
setTpcancelamento(null);
setIdTpbloqueio(null);
setPotencial(null);
setModelo(null);
setLinmodcod(null);
setDthrcontato(null);
setSemInteresse(null);
}

public TabVpagenda(int idProspe, int sequencia, int filial, String tpcontato, String tpacao, FglDateTimeYMin dtprevista, String comentagenda, int idAgentede, int idAgentepara, String codcampanha, String automatico, int seqorigem, String tpresult, String comentresult, FglDateTimeYMin dtefetiva, int idAgenteexe, int seqdestino, int tpcancelamento, int idTpbloqueio, String potencial, String modelo, int linmodcod, FglDateTimeYS dthrcontato, String semInteresse) {
this.idProspe = idProspe;
this.sequencia = sequencia;
this.filial = filial;
this.tpcontato = tpcontato;
this.tpacao = tpacao;
this.dtprevista = dtprevista;
this.comentagenda = comentagenda;
this.idAgentede = idAgentede;
this.idAgentepara = idAgentepara;
this.codcampanha = codcampanha;
this.automatico = automatico;
this.seqorigem = seqorigem;
this.tpresult = tpresult;
this.comentresult = comentresult;
this.dtefetiva = dtefetiva;
this.idAgenteexe = idAgenteexe;
this.seqdestino = seqdestino;
this.tpcancelamento = tpcancelamento;
this.idTpbloqueio = idTpbloqueio;
this.potencial = potencial;
this.modelo = modelo;
this.linmodcod = linmodcod;
this.dthrcontato = dthrcontato;
this.semInteresse = semInteresse;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpcontato() {
return tpcontato;
}

public void setTpcontato(String tpcontato) {
this.tpcontato = tpcontato;
}

public String getTpacao() {
return tpacao;
}

public void setTpacao(String tpacao) {
this.tpacao = tpacao;
}

public FglDateTimeYMin getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDateTimeYMin dtprevista) {
this.dtprevista = dtprevista;
}

public String getComentagenda() {
return comentagenda;
}

public void setComentagenda(String comentagenda) {
this.comentagenda = comentagenda;
}

public int getIdAgentede() {
return idAgentede;
}

public boolean isIdAgentedeNull() {
return idAgentedeNull;
}

public void setIdAgentede(Integer idAgentede) {
if (idAgentede == null) {
idAgentedeNull = true;
this.idAgentede = 0;
} else { 
idAgentedeNull = false;
this.idAgentede = idAgentede;
}
}

public int getIdAgentepara() {
return idAgentepara;
}

public boolean isIdAgenteparaNull() {
return idAgenteparaNull;
}

public void setIdAgentepara(Integer idAgentepara) {
if (idAgentepara == null) {
idAgenteparaNull = true;
this.idAgentepara = 0;
} else { 
idAgenteparaNull = false;
this.idAgentepara = idAgentepara;
}
}

public String getCodcampanha() {
return codcampanha;
}

public void setCodcampanha(String codcampanha) {
this.codcampanha = codcampanha;
}

public String getAutomatico() {
return automatico;
}

public void setAutomatico(String automatico) {
this.automatico = automatico;
}

public int getSeqorigem() {
return seqorigem;
}

public boolean isSeqorigemNull() {
return seqorigemNull;
}

public void setSeqorigem(Integer seqorigem) {
if (seqorigem == null) {
seqorigemNull = true;
this.seqorigem = 0;
} else { 
seqorigemNull = false;
this.seqorigem = seqorigem;
}
}

public String getTpresult() {
return tpresult;
}

public void setTpresult(String tpresult) {
this.tpresult = tpresult;
}

public String getComentresult() {
return comentresult;
}

public void setComentresult(String comentresult) {
this.comentresult = comentresult;
}

public FglDateTimeYMin getDtefetiva() {
return dtefetiva;
}

public void setDtefetiva(FglDateTimeYMin dtefetiva) {
this.dtefetiva = dtefetiva;
}

public int getIdAgenteexe() {
return idAgenteexe;
}

public boolean isIdAgenteexeNull() {
return idAgenteexeNull;
}

public void setIdAgenteexe(Integer idAgenteexe) {
if (idAgenteexe == null) {
idAgenteexeNull = true;
this.idAgenteexe = 0;
} else { 
idAgenteexeNull = false;
this.idAgenteexe = idAgenteexe;
}
}

public int getSeqdestino() {
return seqdestino;
}

public boolean isSeqdestinoNull() {
return seqdestinoNull;
}

public void setSeqdestino(Integer seqdestino) {
if (seqdestino == null) {
seqdestinoNull = true;
this.seqdestino = 0;
} else { 
seqdestinoNull = false;
this.seqdestino = seqdestino;
}
}

public int getTpcancelamento() {
return tpcancelamento;
}

public boolean isTpcancelamentoNull() {
return tpcancelamentoNull;
}

public void setTpcancelamento(Integer tpcancelamento) {
if (tpcancelamento == null) {
tpcancelamentoNull = true;
this.tpcancelamento = 0;
} else { 
tpcancelamentoNull = false;
this.tpcancelamento = tpcancelamento;
}
}

public int getIdTpbloqueio() {
return idTpbloqueio;
}

public boolean isIdTpbloqueioNull() {
return idTpbloqueioNull;
}

public void setIdTpbloqueio(Integer idTpbloqueio) {
if (idTpbloqueio == null) {
idTpbloqueioNull = true;
this.idTpbloqueio = 0;
} else { 
idTpbloqueioNull = false;
this.idTpbloqueio = idTpbloqueio;
}
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getLinmodcod() {
return linmodcod;
}

public boolean isLinmodcodNull() {
return linmodcodNull;
}

public void setLinmodcod(Integer linmodcod) {
if (linmodcod == null) {
linmodcodNull = true;
this.linmodcod = 0;
} else { 
linmodcodNull = false;
this.linmodcod = linmodcod;
}
}

public FglDateTimeYS getDthrcontato() {
return dthrcontato;
}

public void setDthrcontato(FglDateTimeYS dthrcontato) {
this.dthrcontato = dthrcontato;
}

public String getSemInteresse() {
return semInteresse;
}

public void setSemInteresse(String semInteresse) {
this.semInteresse = semInteresse;
}

}

