package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVpjuscap {
@Coluna(nome="vpjuscap.id_bloqueio", tipo="int")
private int idBloqueio;
private boolean idBloqueioNull;
@Coluna(nome="vpjuscap.dtprevista", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtprevista;
@Coluna(nome="vpjuscap.id_vpagente", tipo="int")
private int idVpagente;
private boolean idVpagenteNull;
@Coluna(nome="vpjuscap.data_justificativa", tipo="FglDateTimeYS")
private FglDateTimeYS dataJustificativa;
@Coluna(nome="vpjuscap.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="vpjuscap.justificativa", tipo="String")
private String justificativa;
@Coluna(nome="vpjuscap.desbloqueado", tipo="String")
private String desbloqueado;

public TabVpjuscap() {
initialize();
}

public void initialize() {
setIdBloqueio(null);
setDtprevista(null);
setIdVpagente(null);
setDataJustificativa(null);
setMotivo(null);
setJustificativa(null);
setDesbloqueado(null);
}

public TabVpjuscap(int idBloqueio, FglDateTimeYMin dtprevista, int idVpagente, FglDateTimeYS dataJustificativa, int motivo, String justificativa, String desbloqueado) {
this.idBloqueio = idBloqueio;
this.dtprevista = dtprevista;
this.idVpagente = idVpagente;
this.dataJustificativa = dataJustificativa;
this.motivo = motivo;
this.justificativa = justificativa;
this.desbloqueado = desbloqueado;
}

public int getIdBloqueio() {
return idBloqueio;
}

public boolean isIdBloqueioNull() {
return idBloqueioNull;
}

public void setIdBloqueio(Integer idBloqueio) {
if (idBloqueio == null) {
idBloqueioNull = true;
this.idBloqueio = 0;
} else { 
idBloqueioNull = false;
this.idBloqueio = idBloqueio;
}
}

public FglDateTimeYMin getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDateTimeYMin dtprevista) {
this.dtprevista = dtprevista;
}

public int getIdVpagente() {
return idVpagente;
}

public boolean isIdVpagenteNull() {
return idVpagenteNull;
}

public void setIdVpagente(Integer idVpagente) {
if (idVpagente == null) {
idVpagenteNull = true;
this.idVpagente = 0;
} else { 
idVpagenteNull = false;
this.idVpagente = idVpagente;
}
}

public FglDateTimeYS getDataJustificativa() {
return dataJustificativa;
}

public void setDataJustificativa(FglDateTimeYS dataJustificativa) {
this.dataJustificativa = dataJustificativa;
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public String getJustificativa() {
return justificativa;
}

public void setJustificativa(String justificativa) {
this.justificativa = justificativa;
}

public String getDesbloqueado() {
return desbloqueado;
}

public void setDesbloqueado(String desbloqueado) {
this.desbloqueado = desbloqueado;
}

}

