package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVpnegoci {
@Coluna(nome="vpnegoci.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="vpnegoci.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vpnegoci.valorveiculo", tipo="double")
private double valorveiculo;
private boolean valorveiculoNull;
@Coluna(nome="vpnegoci.valoragreg", tipo="double")
private double valoragreg;
private boolean valoragregNull;
@Coluna(nome="vpnegoci.valorrecprop", tipo="double")
private double valorrecprop;
private boolean valorrecpropNull;
@Coluna(nome="vpnegoci.valorfinanc", tipo="double")
private double valorfinanc;
private boolean valorfinancNull;
@Coluna(nome="vpnegoci.qtdparcfinanc", tipo="int")
private int qtdparcfinanc;
private boolean qtdparcfinancNull;
@Coluna(nome="vpnegoci.valorparcfinanc", tipo="double")
private double valorparcfinanc;
private boolean valorparcfinancNull;
@Coluna(nome="vpnegoci.qtdinterfinanc", tipo="int")
private int qtdinterfinanc;
private boolean qtdinterfinancNull;
@Coluna(nome="vpnegoci.valorinetrfinanc", tipo="double")
private double valorinetrfinanc;
private boolean valorinetrfinancNull;
@Coluna(nome="vpnegoci.valorusados", tipo="double")
private double valorusados;
private boolean valorusadosNull;
@Coluna(nome="vpnegoci.valorleasing", tipo="double")
private double valorleasing;
private boolean valorleasingNull;
@Coluna(nome="vpnegoci.qtdparcleasing", tipo="int")
private int qtdparcleasing;
private boolean qtdparcleasingNull;
@Coluna(nome="vpnegoci.valorparcleasing", tipo="double")
private double valorparcleasing;
private boolean valorparcleasingNull;
@Coluna(nome="vpnegoci.qtdinterleasing", tipo="int")
private int qtdinterleasing;
private boolean qtdinterleasingNull;
@Coluna(nome="vpnegoci.valorinetrleasing", tipo="double")
private double valorinetrleasing;
private boolean valorinetrleasingNull;
@Coluna(nome="vpnegoci.valorconsorcio", tipo="double")
private double valorconsorcio;
private boolean valorconsorcioNull;
@Coluna(nome="vpnegoci.valortrocousados", tipo="double")
private double valortrocousados;
private boolean valortrocousadosNull;
@Coluna(nome="vpnegoci.taxaflat", tipo="String")
private String taxaflat;

public TabVpnegoci() {
initialize();
}

public void initialize() {
setIdProspe(null);
setSequencia(null);
setValorveiculo(null);
setValoragreg(null);
setValorrecprop(null);
setValorfinanc(null);
setQtdparcfinanc(null);
setValorparcfinanc(null);
setQtdinterfinanc(null);
setValorinetrfinanc(null);
setValorusados(null);
setValorleasing(null);
setQtdparcleasing(null);
setValorparcleasing(null);
setQtdinterleasing(null);
setValorinetrleasing(null);
setValorconsorcio(null);
setValortrocousados(null);
setTaxaflat(null);
}

public TabVpnegoci(int idProspe, int sequencia, double valorveiculo, double valoragreg, double valorrecprop, double valorfinanc, int qtdparcfinanc, double valorparcfinanc, int qtdinterfinanc, double valorinetrfinanc, double valorusados, double valorleasing, int qtdparcleasing, double valorparcleasing, int qtdinterleasing, double valorinetrleasing, double valorconsorcio, double valortrocousados, String taxaflat) {
this.idProspe = idProspe;
this.sequencia = sequencia;
this.valorveiculo = valorveiculo;
this.valoragreg = valoragreg;
this.valorrecprop = valorrecprop;
this.valorfinanc = valorfinanc;
this.qtdparcfinanc = qtdparcfinanc;
this.valorparcfinanc = valorparcfinanc;
this.qtdinterfinanc = qtdinterfinanc;
this.valorinetrfinanc = valorinetrfinanc;
this.valorusados = valorusados;
this.valorleasing = valorleasing;
this.qtdparcleasing = qtdparcleasing;
this.valorparcleasing = valorparcleasing;
this.qtdinterleasing = qtdinterleasing;
this.valorinetrleasing = valorinetrleasing;
this.valorconsorcio = valorconsorcio;
this.valortrocousados = valortrocousados;
this.taxaflat = taxaflat;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public double getValorveiculo() {
return valorveiculo;
}

public boolean isValorveiculoNull() {
return valorveiculoNull;
}

public void setValorveiculo(int valorveiculo) {
setValorveiculo(new Double(valorveiculo));
}

public void setValorveiculo(long valorveiculo) {
setValorveiculo(new Double(valorveiculo));
}

public void setValorveiculo(Double valorveiculo) {
if (valorveiculo == null) {
valorveiculoNull = true;
this.valorveiculo = 0.;
} else { 
valorveiculoNull = false;
this.valorveiculo = FglDouble.round(valorveiculo, 2);
}
}

public double getValoragreg() {
return valoragreg;
}

public boolean isValoragregNull() {
return valoragregNull;
}

public void setValoragreg(int valoragreg) {
setValoragreg(new Double(valoragreg));
}

public void setValoragreg(long valoragreg) {
setValoragreg(new Double(valoragreg));
}

public void setValoragreg(Double valoragreg) {
if (valoragreg == null) {
valoragregNull = true;
this.valoragreg = 0.;
} else { 
valoragregNull = false;
this.valoragreg = FglDouble.round(valoragreg, 2);
}
}

public double getValorrecprop() {
return valorrecprop;
}

public boolean isValorrecpropNull() {
return valorrecpropNull;
}

public void setValorrecprop(int valorrecprop) {
setValorrecprop(new Double(valorrecprop));
}

public void setValorrecprop(long valorrecprop) {
setValorrecprop(new Double(valorrecprop));
}

public void setValorrecprop(Double valorrecprop) {
if (valorrecprop == null) {
valorrecpropNull = true;
this.valorrecprop = 0.;
} else { 
valorrecpropNull = false;
this.valorrecprop = FglDouble.round(valorrecprop, 2);
}
}

public double getValorfinanc() {
return valorfinanc;
}

public boolean isValorfinancNull() {
return valorfinancNull;
}

public void setValorfinanc(int valorfinanc) {
setValorfinanc(new Double(valorfinanc));
}

public void setValorfinanc(long valorfinanc) {
setValorfinanc(new Double(valorfinanc));
}

public void setValorfinanc(Double valorfinanc) {
if (valorfinanc == null) {
valorfinancNull = true;
this.valorfinanc = 0.;
} else { 
valorfinancNull = false;
this.valorfinanc = FglDouble.round(valorfinanc, 2);
}
}

public int getQtdparcfinanc() {
return qtdparcfinanc;
}

public boolean isQtdparcfinancNull() {
return qtdparcfinancNull;
}

public void setQtdparcfinanc(Integer qtdparcfinanc) {
if (qtdparcfinanc == null) {
qtdparcfinancNull = true;
this.qtdparcfinanc = 0;
} else { 
qtdparcfinancNull = false;
this.qtdparcfinanc = qtdparcfinanc;
}
}

public double getValorparcfinanc() {
return valorparcfinanc;
}

public boolean isValorparcfinancNull() {
return valorparcfinancNull;
}

public void setValorparcfinanc(int valorparcfinanc) {
setValorparcfinanc(new Double(valorparcfinanc));
}

public void setValorparcfinanc(long valorparcfinanc) {
setValorparcfinanc(new Double(valorparcfinanc));
}

public void setValorparcfinanc(Double valorparcfinanc) {
if (valorparcfinanc == null) {
valorparcfinancNull = true;
this.valorparcfinanc = 0.;
} else { 
valorparcfinancNull = false;
this.valorparcfinanc = FglDouble.round(valorparcfinanc, 2);
}
}

public int getQtdinterfinanc() {
return qtdinterfinanc;
}

public boolean isQtdinterfinancNull() {
return qtdinterfinancNull;
}

public void setQtdinterfinanc(Integer qtdinterfinanc) {
if (qtdinterfinanc == null) {
qtdinterfinancNull = true;
this.qtdinterfinanc = 0;
} else { 
qtdinterfinancNull = false;
this.qtdinterfinanc = qtdinterfinanc;
}
}

public double getValorinetrfinanc() {
return valorinetrfinanc;
}

public boolean isValorinetrfinancNull() {
return valorinetrfinancNull;
}

public void setValorinetrfinanc(int valorinetrfinanc) {
setValorinetrfinanc(new Double(valorinetrfinanc));
}

public void setValorinetrfinanc(long valorinetrfinanc) {
setValorinetrfinanc(new Double(valorinetrfinanc));
}

public void setValorinetrfinanc(Double valorinetrfinanc) {
if (valorinetrfinanc == null) {
valorinetrfinancNull = true;
this.valorinetrfinanc = 0.;
} else { 
valorinetrfinancNull = false;
this.valorinetrfinanc = FglDouble.round(valorinetrfinanc, 2);
}
}

public double getValorusados() {
return valorusados;
}

public boolean isValorusadosNull() {
return valorusadosNull;
}

public void setValorusados(int valorusados) {
setValorusados(new Double(valorusados));
}

public void setValorusados(long valorusados) {
setValorusados(new Double(valorusados));
}

public void setValorusados(Double valorusados) {
if (valorusados == null) {
valorusadosNull = true;
this.valorusados = 0.;
} else { 
valorusadosNull = false;
this.valorusados = FglDouble.round(valorusados, 2);
}
}

public double getValorleasing() {
return valorleasing;
}

public boolean isValorleasingNull() {
return valorleasingNull;
}

public void setValorleasing(int valorleasing) {
setValorleasing(new Double(valorleasing));
}

public void setValorleasing(long valorleasing) {
setValorleasing(new Double(valorleasing));
}

public void setValorleasing(Double valorleasing) {
if (valorleasing == null) {
valorleasingNull = true;
this.valorleasing = 0.;
} else { 
valorleasingNull = false;
this.valorleasing = FglDouble.round(valorleasing, 2);
}
}

public int getQtdparcleasing() {
return qtdparcleasing;
}

public boolean isQtdparcleasingNull() {
return qtdparcleasingNull;
}

public void setQtdparcleasing(Integer qtdparcleasing) {
if (qtdparcleasing == null) {
qtdparcleasingNull = true;
this.qtdparcleasing = 0;
} else { 
qtdparcleasingNull = false;
this.qtdparcleasing = qtdparcleasing;
}
}

public double getValorparcleasing() {
return valorparcleasing;
}

public boolean isValorparcleasingNull() {
return valorparcleasingNull;
}

public void setValorparcleasing(int valorparcleasing) {
setValorparcleasing(new Double(valorparcleasing));
}

public void setValorparcleasing(long valorparcleasing) {
setValorparcleasing(new Double(valorparcleasing));
}

public void setValorparcleasing(Double valorparcleasing) {
if (valorparcleasing == null) {
valorparcleasingNull = true;
this.valorparcleasing = 0.;
} else { 
valorparcleasingNull = false;
this.valorparcleasing = FglDouble.round(valorparcleasing, 2);
}
}

public int getQtdinterleasing() {
return qtdinterleasing;
}

public boolean isQtdinterleasingNull() {
return qtdinterleasingNull;
}

public void setQtdinterleasing(Integer qtdinterleasing) {
if (qtdinterleasing == null) {
qtdinterleasingNull = true;
this.qtdinterleasing = 0;
} else { 
qtdinterleasingNull = false;
this.qtdinterleasing = qtdinterleasing;
}
}

public double getValorinetrleasing() {
return valorinetrleasing;
}

public boolean isValorinetrleasingNull() {
return valorinetrleasingNull;
}

public void setValorinetrleasing(int valorinetrleasing) {
setValorinetrleasing(new Double(valorinetrleasing));
}

public void setValorinetrleasing(long valorinetrleasing) {
setValorinetrleasing(new Double(valorinetrleasing));
}

public void setValorinetrleasing(Double valorinetrleasing) {
if (valorinetrleasing == null) {
valorinetrleasingNull = true;
this.valorinetrleasing = 0.;
} else { 
valorinetrleasingNull = false;
this.valorinetrleasing = FglDouble.round(valorinetrleasing, 2);
}
}

public double getValorconsorcio() {
return valorconsorcio;
}

public boolean isValorconsorcioNull() {
return valorconsorcioNull;
}

public void setValorconsorcio(int valorconsorcio) {
setValorconsorcio(new Double(valorconsorcio));
}

public void setValorconsorcio(long valorconsorcio) {
setValorconsorcio(new Double(valorconsorcio));
}

public void setValorconsorcio(Double valorconsorcio) {
if (valorconsorcio == null) {
valorconsorcioNull = true;
this.valorconsorcio = 0.;
} else { 
valorconsorcioNull = false;
this.valorconsorcio = FglDouble.round(valorconsorcio, 2);
}
}

public double getValortrocousados() {
return valortrocousados;
}

public boolean isValortrocousadosNull() {
return valortrocousadosNull;
}

public void setValortrocousados(int valortrocousados) {
setValortrocousados(new Double(valortrocousados));
}

public void setValortrocousados(long valortrocousados) {
setValortrocousados(new Double(valortrocousados));
}

public void setValortrocousados(Double valortrocousados) {
if (valortrocousados == null) {
valortrocousadosNull = true;
this.valortrocousados = 0.;
} else { 
valortrocousadosNull = false;
this.valortrocousados = FglDouble.round(valortrocousados, 2);
}
}

public String getTaxaflat() {
return taxaflat;
}

public void setTaxaflat(String taxaflat) {
this.taxaflat = taxaflat;
}

}

