package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVprestdv {
@Coluna(nome="vprestdv.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vprestdv.chassis", tipo="String")
private String chassis;
@Coluna(nome="vprestdv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vprestdv.dt_reserva", tipo="FglDate")
private FglDate dtReserva;
@Coluna(nome="vprestdv.dt_retorno", tipo="FglDate")
private FglDate dtRetorno;
@Coluna(nome="vprestdv.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vprestdv.dthr_operacao", tipo="FglDateTimeYS")
private FglDateTimeYS dthrOperacao;
@Coluna(nome="vprestdv.ativo", tipo="String")
private String ativo;

public TabVprestdv() {
initialize();
}

public void initialize() {
setSequencia(null);
setChassis(null);
setFilial(null);
setDtReserva(null);
setDtRetorno(null);
setIdAgente(null);
setDthrOperacao(null);
setAtivo(null);
}

public TabVprestdv(int sequencia, String chassis, int filial, FglDate dtReserva, FglDate dtRetorno, int idAgente, FglDateTimeYS dthrOperacao, String ativo) {
this.sequencia = sequencia;
this.chassis = chassis;
this.filial = filial;
this.dtReserva = dtReserva;
this.dtRetorno = dtRetorno;
this.idAgente = idAgente;
this.dthrOperacao = dthrOperacao;
this.ativo = ativo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtReserva() {
return dtReserva;
}

public void setDtReserva(FglDate dtReserva) {
this.dtReserva = dtReserva;
}

public FglDate getDtRetorno() {
return dtRetorno;
}

public void setDtRetorno(FglDate dtRetorno) {
this.dtRetorno = dtRetorno;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYS getDthrOperacao() {
return dthrOperacao;
}

public void setDthrOperacao(FglDateTimeYS dthrOperacao) {
this.dthrOperacao = dthrOperacao;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

