package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVptarefa {
@Coluna(nome="vptarefa.diasemana", tipo="int")
private int diasemana;
private boolean diasemanaNull;
@Coluna(nome="vptarefa.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="vptarefa.processo", tipo="String")
private String processo;

public TabVptarefa() {
initialize();
}

public void initialize() {
setDiasemana(null);
setHora(null);
setProcesso(null);
}

public TabVptarefa(int diasemana, FglDateTimeHMin hora, String processo) {
this.diasemana = diasemana;
this.hora = hora;
this.processo = processo;
}

public int getDiasemana() {
return diasemana;
}

public boolean isDiasemanaNull() {
return diasemanaNull;
}

public void setDiasemana(Integer diasemana) {
if (diasemana == null) {
diasemanaNull = true;
this.diasemana = 0;
} else { 
diasemanaNull = false;
this.diasemana = diasemana;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

}

