package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVtrecgar {
@Coluna(nome="vtrecgar.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="vtrecgar.distribuidor", tipo="String")
private String distribuidor;
@Coluna(nome="vtrecgar.reclamacao", tipo="String")
private String reclamacao;
@Coluna(nome="vtrecgar.areavendas", tipo="String")
private String areavendas;
@Coluna(nome="vtrecgar.numerotrab", tipo="int")
private int numerotrab;
private boolean numerotrabNull;
@Coluna(nome="vtrecgar.materialenv", tipo="String")
private String materialenv;
@Coluna(nome="vtrecgar.implemento", tipo="String")
private String implemento;
@Coluna(nome="vtrecgar.nrocabina", tipo="int")
private int nrocabina;
private boolean nrocabinaNull;
@Coluna(nome="vtrecgar.nrotransm", tipo="int")
private int nrotransm;
private boolean nrotransmNull;
@Coluna(nome="vtrecgar.dtreparo", tipo="FglDate")
private FglDate dtreparo;
@Coluna(nome="vtrecgar.materialrec", tipo="String")
private String materialrec;
@Coluna(nome="vtrecgar.hrdeslocam", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrdeslocam;
@Coluna(nome="vtrecgar.custodesloc", tipo="double")
private double custodesloc;
private boolean custodeslocNull;
@Coluna(nome="vtrecgar.recfora", tipo="String")
private String recfora;

public TabVtrecgar() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDistribuidor(null);
setReclamacao(null);
setAreavendas(null);
setNumerotrab(null);
setMaterialenv(null);
setImplemento(null);
setNrocabina(null);
setNrotransm(null);
setDtreparo(null);
setMaterialrec(null);
setHrdeslocam(null);
setCustodesloc(null);
setRecfora(null);
}

public TabVtrecgar(int idOscapa, String distribuidor, String reclamacao, String areavendas, int numerotrab, String materialenv, String implemento, int nrocabina, int nrotransm, FglDate dtreparo, String materialrec, FglDateTimeHMin hrdeslocam, double custodesloc, String recfora) {
this.idOscapa = idOscapa;
this.distribuidor = distribuidor;
this.reclamacao = reclamacao;
this.areavendas = areavendas;
this.numerotrab = numerotrab;
this.materialenv = materialenv;
this.implemento = implemento;
this.nrocabina = nrocabina;
this.nrotransm = nrotransm;
this.dtreparo = dtreparo;
this.materialrec = materialrec;
this.hrdeslocam = hrdeslocam;
this.custodesloc = custodesloc;
this.recfora = recfora;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getDistribuidor() {
return distribuidor;
}

public void setDistribuidor(String distribuidor) {
this.distribuidor = distribuidor;
}

public String getReclamacao() {
return reclamacao;
}

public void setReclamacao(String reclamacao) {
this.reclamacao = reclamacao;
}

public String getAreavendas() {
return areavendas;
}

public void setAreavendas(String areavendas) {
this.areavendas = areavendas;
}

public int getNumerotrab() {
return numerotrab;
}

public boolean isNumerotrabNull() {
return numerotrabNull;
}

public void setNumerotrab(Integer numerotrab) {
if (numerotrab == null) {
numerotrabNull = true;
this.numerotrab = 0;
} else { 
numerotrabNull = false;
this.numerotrab = numerotrab;
}
}

public String getMaterialenv() {
return materialenv;
}

public void setMaterialenv(String materialenv) {
this.materialenv = materialenv;
}

public String getImplemento() {
return implemento;
}

public void setImplemento(String implemento) {
this.implemento = implemento;
}

public int getNrocabina() {
return nrocabina;
}

public boolean isNrocabinaNull() {
return nrocabinaNull;
}

public void setNrocabina(Integer nrocabina) {
if (nrocabina == null) {
nrocabinaNull = true;
this.nrocabina = 0;
} else { 
nrocabinaNull = false;
this.nrocabina = nrocabina;
}
}

public int getNrotransm() {
return nrotransm;
}

public boolean isNrotransmNull() {
return nrotransmNull;
}

public void setNrotransm(Integer nrotransm) {
if (nrotransm == null) {
nrotransmNull = true;
this.nrotransm = 0;
} else { 
nrotransmNull = false;
this.nrotransm = nrotransm;
}
}

public FglDate getDtreparo() {
return dtreparo;
}

public void setDtreparo(FglDate dtreparo) {
this.dtreparo = dtreparo;
}

public String getMaterialrec() {
return materialrec;
}

public void setMaterialrec(String materialrec) {
this.materialrec = materialrec;
}

public FglDateTimeHMin getHrdeslocam() {
return hrdeslocam;
}

public void setHrdeslocam(FglDateTimeHMin hrdeslocam) {
this.hrdeslocam = hrdeslocam;
}

public double getCustodesloc() {
return custodesloc;
}

public boolean isCustodeslocNull() {
return custodeslocNull;
}

public void setCustodesloc(int custodesloc) {
setCustodesloc(new Double(custodesloc));
}

public void setCustodesloc(long custodesloc) {
setCustodesloc(new Double(custodesloc));
}

public void setCustodesloc(Double custodesloc) {
if (custodesloc == null) {
custodeslocNull = true;
this.custodesloc = 0.;
} else { 
custodeslocNull = false;
this.custodesloc = FglDouble.round(custodesloc, 2);
}
}

public String getRecfora() {
return recfora;
}

public void setRecfora(String recfora) {
this.recfora = recfora;
}

}

