package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVtsergar {
@Coluna(nome="vtsergar.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="vtsergar.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="vtsergar.codigo", tipo="String")
private String codigo;
@Coluna(nome="vtsergar.descricao", tipo="String")
private String descricao;
@Coluna(nome="vtsergar.custo", tipo="double")
private double custo;
private boolean custoNull;

public TabVtsergar() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setCodigo(null);
setDescricao(null);
setCusto(null);
}

public TabVtsergar(int idOscapa, int nroitem, String codigo, String descricao, double custo) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.codigo = codigo;
this.descricao = descricao;
this.custo = custo;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getCusto() {
return custo;
}

public boolean isCustoNull() {
return custoNull;
}

public void setCusto(int custo) {
setCusto(new Double(custo));
}

public void setCusto(long custo) {
setCusto(new Double(custo));
}

public void setCusto(Double custo) {
if (custo == null) {
custoNull = true;
this.custo = 0.;
} else { 
custoNull = false;
this.custo = FglDouble.round(custo, 2);
}
}

}

