package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwapprod {
@Coluna(nome="vwapprod.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwapprod.produto", tipo="String")
private String produto;
@Coluna(nome="vwapprod.dtexclusao", tipo="FglDate")
private FglDate dtexclusao;

public TabVwapprod() {
initialize();
}

public void initialize() {
setFilial(null);
setProduto(null);
setDtexclusao(null);
}

public TabVwapprod(int filial, String produto, FglDate dtexclusao) {
this.filial = filial;
this.produto = produto;
this.dtexclusao = dtexclusao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public FglDate getDtexclusao() {
return dtexclusao;
}

public void setDtexclusao(FglDate dtexclusao) {
this.dtexclusao = dtexclusao;
}

}

