package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVwdfoutr {
@Coluna(nome="vwdfoutr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwdfoutr.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="vwdfoutr.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="vwdfoutr.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="vwdfoutr.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="vwdfoutr.sinal", tipo="String")
private String sinal;

public TabVwdfoutr() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setIdPlano(null);
setIdSetor(null);
setValor(null);
setSinal(null);
}

public TabVwdfoutr(int filial, FglDateTimeYM anomes, int idPlano, int idSetor, double valor, String sinal) {
this.filial = filial;
this.anomes = anomes;
this.idPlano = idPlano;
this.idSetor = idSetor;
this.valor = valor;
this.sinal = sinal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getSinal() {
return sinal;
}

public void setSinal(String sinal) {
this.sinal = sinal;
}

}

