package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwesitem {
@Coluna(nome="vwesitem.id_vwescapa", tipo="int")
private int idVwescapa;
private boolean idVwescapaNull;
@Coluna(nome="vwesitem.id_vwesitem", tipo="int")
private int idVwesitem;
private boolean idVwesitemNull;
@Coluna(nome="vwesitem.dealer_number", tipo="String")
private String dealerNumber;
@Coluna(nome="vwesitem.part_number", tipo="String")
private String partNumber;
@Coluna(nome="vwesitem.alternative_item", tipo="String")
private String alternativeItem;
@Coluna(nome="vwesitem.quantity", tipo="double")
private double quantity;
private boolean quantityNull;
@Coluna(nome="vwesitem.accounting_cost", tipo="double")
private double accountingCost;
private boolean accountingCostNull;
@Coluna(nome="vwesitem.sold_quantity", tipo="double")
private double soldQuantity;
private boolean soldQuantityNull;
@Coluna(nome="vwesitem.first_buy_date", tipo="FglDate")
private FglDate firstBuyDate;
@Coluna(nome="vwesitem.last_buy_date", tipo="FglDate")
private FglDate lastBuyDate;
@Coluna(nome="vwesitem.last_sale_date", tipo="FglDate")
private FglDate lastSaleDate;
@Coluna(nome="vwesitem.generation_date", tipo="FglDate")
private FglDate generationDate;

public TabVwesitem() {
initialize();
}

public void initialize() {
setIdVwescapa(null);
setIdVwesitem(null);
setDealerNumber(null);
setPartNumber(null);
setAlternativeItem(null);
setQuantity(null);
setAccountingCost(null);
setSoldQuantity(null);
setFirstBuyDate(null);
setLastBuyDate(null);
setLastSaleDate(null);
setGenerationDate(null);
}

public TabVwesitem(int idVwescapa, int idVwesitem, String dealerNumber, String partNumber, String alternativeItem, double quantity, double accountingCost, double soldQuantity, FglDate firstBuyDate, FglDate lastBuyDate, FglDate lastSaleDate, FglDate generationDate) {
this.idVwescapa = idVwescapa;
this.idVwesitem = idVwesitem;
this.dealerNumber = dealerNumber;
this.partNumber = partNumber;
this.alternativeItem = alternativeItem;
this.quantity = quantity;
this.accountingCost = accountingCost;
this.soldQuantity = soldQuantity;
this.firstBuyDate = firstBuyDate;
this.lastBuyDate = lastBuyDate;
this.lastSaleDate = lastSaleDate;
this.generationDate = generationDate;
}

public int getIdVwescapa() {
return idVwescapa;
}

public boolean isIdVwescapaNull() {
return idVwescapaNull;
}

public void setIdVwescapa(Integer idVwescapa) {
if (idVwescapa == null) {
idVwescapaNull = true;
this.idVwescapa = 0;
} else { 
idVwescapaNull = false;
this.idVwescapa = idVwescapa;
}
}

public int getIdVwesitem() {
return idVwesitem;
}

public boolean isIdVwesitemNull() {
return idVwesitemNull;
}

public void setIdVwesitem(Integer idVwesitem) {
if (idVwesitem == null) {
idVwesitemNull = true;
this.idVwesitem = 0;
} else { 
idVwesitemNull = false;
this.idVwesitem = idVwesitem;
}
}

public String getDealerNumber() {
return dealerNumber;
}

public void setDealerNumber(String dealerNumber) {
this.dealerNumber = dealerNumber;
}

public String getPartNumber() {
return partNumber;
}

public void setPartNumber(String partNumber) {
this.partNumber = partNumber;
}

public String getAlternativeItem() {
return alternativeItem;
}

public void setAlternativeItem(String alternativeItem) {
this.alternativeItem = alternativeItem;
}

public double getQuantity() {
return quantity;
}

public boolean isQuantityNull() {
return quantityNull;
}

public void setQuantity(int quantity) {
setQuantity(new Double(quantity));
}

public void setQuantity(long quantity) {
setQuantity(new Double(quantity));
}

public void setQuantity(Double quantity) {
if (quantity == null) {
quantityNull = true;
this.quantity = 0.;
} else { 
quantityNull = false;
this.quantity = FglDouble.round(quantity, 1);
}
}

public double getAccountingCost() {
return accountingCost;
}

public boolean isAccountingCostNull() {
return accountingCostNull;
}

public void setAccountingCost(int accountingCost) {
setAccountingCost(new Double(accountingCost));
}

public void setAccountingCost(long accountingCost) {
setAccountingCost(new Double(accountingCost));
}

public void setAccountingCost(Double accountingCost) {
if (accountingCost == null) {
accountingCostNull = true;
this.accountingCost = 0.;
} else { 
accountingCostNull = false;
this.accountingCost = FglDouble.round(accountingCost, 2);
}
}

public double getSoldQuantity() {
return soldQuantity;
}

public boolean isSoldQuantityNull() {
return soldQuantityNull;
}

public void setSoldQuantity(int soldQuantity) {
setSoldQuantity(new Double(soldQuantity));
}

public void setSoldQuantity(long soldQuantity) {
setSoldQuantity(new Double(soldQuantity));
}

public void setSoldQuantity(Double soldQuantity) {
if (soldQuantity == null) {
soldQuantityNull = true;
this.soldQuantity = 0.;
} else { 
soldQuantityNull = false;
this.soldQuantity = FglDouble.round(soldQuantity, 1);
}
}

public FglDate getFirstBuyDate() {
return firstBuyDate;
}

public void setFirstBuyDate(FglDate firstBuyDate) {
this.firstBuyDate = firstBuyDate;
}

public FglDate getLastBuyDate() {
return lastBuyDate;
}

public void setLastBuyDate(FglDate lastBuyDate) {
this.lastBuyDate = lastBuyDate;
}

public FglDate getLastSaleDate() {
return lastSaleDate;
}

public void setLastSaleDate(FglDate lastSaleDate) {
this.lastSaleDate = lastSaleDate;
}

public FglDate getGenerationDate() {
return generationDate;
}

public void setGenerationDate(FglDate generationDate) {
this.generationDate = generationDate;
}

}

