package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVwppa001 {
@Coluna(nome="vwppa001.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwppa001.mes_anoref", tipo="FglDateTimeYM")
private FglDateTimeYM mesAnoref;
@Coluna(nome="vwppa001.governo_vl", tipo="int")
private int governoVl;
private boolean governoVlNull;
@Coluna(nome="vwppa001.governo_cv", tipo="int")
private int governoCv;
private boolean governoCvNull;
@Coluna(nome="vwppa001.frotista_vl", tipo="int")
private int frotistaVl;
private boolean frotistaVlNull;
@Coluna(nome="vwppa001.frotista_cv", tipo="int")
private int frotistaCv;
private boolean frotistaCvNull;
@Coluna(nome="vwppa001.seguradora_vl", tipo="int")
private int seguradoraVl;
private boolean seguradoraVlNull;
@Coluna(nome="vwppa001.seguradora_cv", tipo="int")
private int seguradoraCv;
private boolean seguradoraCvNull;
@Coluna(nome="vwppa001.cliente_vl", tipo="int")
private int clienteVl;
private boolean clienteVlNull;
@Coluna(nome="vwppa001.cliente_cv", tipo="int")
private int clienteCv;
private boolean clienteCvNull;
@Coluna(nome="vwppa001.garantia_vl", tipo="int")
private int garantiaVl;
private boolean garantiaVlNull;
@Coluna(nome="vwppa001.garantia_cv", tipo="int")
private int garantiaCv;
private boolean garantiaCvNull;
@Coluna(nome="vwppa001.cons_int_vl", tipo="int")
private int consIntVl;
private boolean consIntVlNull;
@Coluna(nome="vwppa001.cons_int_cv", tipo="int")
private int consIntCv;
private boolean consIntCvNull;
@Coluna(nome="vwppa001.acessorio_vl", tipo="int")
private int acessorioVl;
private boolean acessorioVlNull;
@Coluna(nome="vwppa001.acessorio_cv", tipo="int")
private int acessorioCv;
private boolean acessorioCvNull;
@Coluna(nome="vwppa001.tot_pc_ac_vl", tipo="int")
private int totPcAcVl;
private boolean totPcAcVlNull;
@Coluna(nome="vwppa001.tot_pc_ac_cv", tipo="int")
private int totPcAcCv;
private boolean totPcAcCvNull;
@Coluna(nome="vwppa001.venda_vl", tipo="int")
private int vendaVl;
private boolean vendaVlNull;
@Coluna(nome="vwppa001.venda_cv", tipo="int")
private int vendaCv;
private boolean vendaCvNull;

public TabVwppa001() {
initialize();
}

public void initialize() {
setFilial(null);
setMesAnoref(null);
setGovernoVl(null);
setGovernoCv(null);
setFrotistaVl(null);
setFrotistaCv(null);
setSeguradoraVl(null);
setSeguradoraCv(null);
setClienteVl(null);
setClienteCv(null);
setGarantiaVl(null);
setGarantiaCv(null);
setConsIntVl(null);
setConsIntCv(null);
setAcessorioVl(null);
setAcessorioCv(null);
setTotPcAcVl(null);
setTotPcAcCv(null);
setVendaVl(null);
setVendaCv(null);
}

public TabVwppa001(int filial, FglDateTimeYM mesAnoref, int governoVl, int governoCv, int frotistaVl, int frotistaCv, int seguradoraVl, int seguradoraCv, int clienteVl, int clienteCv, int garantiaVl, int garantiaCv, int consIntVl, int consIntCv, int acessorioVl, int acessorioCv, int totPcAcVl, int totPcAcCv, int vendaVl, int vendaCv) {
this.filial = filial;
this.mesAnoref = mesAnoref;
this.governoVl = governoVl;
this.governoCv = governoCv;
this.frotistaVl = frotistaVl;
this.frotistaCv = frotistaCv;
this.seguradoraVl = seguradoraVl;
this.seguradoraCv = seguradoraCv;
this.clienteVl = clienteVl;
this.clienteCv = clienteCv;
this.garantiaVl = garantiaVl;
this.garantiaCv = garantiaCv;
this.consIntVl = consIntVl;
this.consIntCv = consIntCv;
this.acessorioVl = acessorioVl;
this.acessorioCv = acessorioCv;
this.totPcAcVl = totPcAcVl;
this.totPcAcCv = totPcAcCv;
this.vendaVl = vendaVl;
this.vendaCv = vendaCv;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getMesAnoref() {
return mesAnoref;
}

public void setMesAnoref(FglDateTimeYM mesAnoref) {
this.mesAnoref = mesAnoref;
}

public int getGovernoVl() {
return governoVl;
}

public boolean isGovernoVlNull() {
return governoVlNull;
}

public void setGovernoVl(Integer governoVl) {
if (governoVl == null) {
governoVlNull = true;
this.governoVl = 0;
} else { 
governoVlNull = false;
this.governoVl = governoVl;
}
}

public int getGovernoCv() {
return governoCv;
}

public boolean isGovernoCvNull() {
return governoCvNull;
}

public void setGovernoCv(Integer governoCv) {
if (governoCv == null) {
governoCvNull = true;
this.governoCv = 0;
} else { 
governoCvNull = false;
this.governoCv = governoCv;
}
}

public int getFrotistaVl() {
return frotistaVl;
}

public boolean isFrotistaVlNull() {
return frotistaVlNull;
}

public void setFrotistaVl(Integer frotistaVl) {
if (frotistaVl == null) {
frotistaVlNull = true;
this.frotistaVl = 0;
} else { 
frotistaVlNull = false;
this.frotistaVl = frotistaVl;
}
}

public int getFrotistaCv() {
return frotistaCv;
}

public boolean isFrotistaCvNull() {
return frotistaCvNull;
}

public void setFrotistaCv(Integer frotistaCv) {
if (frotistaCv == null) {
frotistaCvNull = true;
this.frotistaCv = 0;
} else { 
frotistaCvNull = false;
this.frotistaCv = frotistaCv;
}
}

public int getSeguradoraVl() {
return seguradoraVl;
}

public boolean isSeguradoraVlNull() {
return seguradoraVlNull;
}

public void setSeguradoraVl(Integer seguradoraVl) {
if (seguradoraVl == null) {
seguradoraVlNull = true;
this.seguradoraVl = 0;
} else { 
seguradoraVlNull = false;
this.seguradoraVl = seguradoraVl;
}
}

public int getSeguradoraCv() {
return seguradoraCv;
}

public boolean isSeguradoraCvNull() {
return seguradoraCvNull;
}

public void setSeguradoraCv(Integer seguradoraCv) {
if (seguradoraCv == null) {
seguradoraCvNull = true;
this.seguradoraCv = 0;
} else { 
seguradoraCvNull = false;
this.seguradoraCv = seguradoraCv;
}
}

public int getClienteVl() {
return clienteVl;
}

public boolean isClienteVlNull() {
return clienteVlNull;
}

public void setClienteVl(Integer clienteVl) {
if (clienteVl == null) {
clienteVlNull = true;
this.clienteVl = 0;
} else { 
clienteVlNull = false;
this.clienteVl = clienteVl;
}
}

public int getClienteCv() {
return clienteCv;
}

public boolean isClienteCvNull() {
return clienteCvNull;
}

public void setClienteCv(Integer clienteCv) {
if (clienteCv == null) {
clienteCvNull = true;
this.clienteCv = 0;
} else { 
clienteCvNull = false;
this.clienteCv = clienteCv;
}
}

public int getGarantiaVl() {
return garantiaVl;
}

public boolean isGarantiaVlNull() {
return garantiaVlNull;
}

public void setGarantiaVl(Integer garantiaVl) {
if (garantiaVl == null) {
garantiaVlNull = true;
this.garantiaVl = 0;
} else { 
garantiaVlNull = false;
this.garantiaVl = garantiaVl;
}
}

public int getGarantiaCv() {
return garantiaCv;
}

public boolean isGarantiaCvNull() {
return garantiaCvNull;
}

public void setGarantiaCv(Integer garantiaCv) {
if (garantiaCv == null) {
garantiaCvNull = true;
this.garantiaCv = 0;
} else { 
garantiaCvNull = false;
this.garantiaCv = garantiaCv;
}
}

public int getConsIntVl() {
return consIntVl;
}

public boolean isConsIntVlNull() {
return consIntVlNull;
}

public void setConsIntVl(Integer consIntVl) {
if (consIntVl == null) {
consIntVlNull = true;
this.consIntVl = 0;
} else { 
consIntVlNull = false;
this.consIntVl = consIntVl;
}
}

public int getConsIntCv() {
return consIntCv;
}

public boolean isConsIntCvNull() {
return consIntCvNull;
}

public void setConsIntCv(Integer consIntCv) {
if (consIntCv == null) {
consIntCvNull = true;
this.consIntCv = 0;
} else { 
consIntCvNull = false;
this.consIntCv = consIntCv;
}
}

public int getAcessorioVl() {
return acessorioVl;
}

public boolean isAcessorioVlNull() {
return acessorioVlNull;
}

public void setAcessorioVl(Integer acessorioVl) {
if (acessorioVl == null) {
acessorioVlNull = true;
this.acessorioVl = 0;
} else { 
acessorioVlNull = false;
this.acessorioVl = acessorioVl;
}
}

public int getAcessorioCv() {
return acessorioCv;
}

public boolean isAcessorioCvNull() {
return acessorioCvNull;
}

public void setAcessorioCv(Integer acessorioCv) {
if (acessorioCv == null) {
acessorioCvNull = true;
this.acessorioCv = 0;
} else { 
acessorioCvNull = false;
this.acessorioCv = acessorioCv;
}
}

public int getTotPcAcVl() {
return totPcAcVl;
}

public boolean isTotPcAcVlNull() {
return totPcAcVlNull;
}

public void setTotPcAcVl(Integer totPcAcVl) {
if (totPcAcVl == null) {
totPcAcVlNull = true;
this.totPcAcVl = 0;
} else { 
totPcAcVlNull = false;
this.totPcAcVl = totPcAcVl;
}
}

public int getTotPcAcCv() {
return totPcAcCv;
}

public boolean isTotPcAcCvNull() {
return totPcAcCvNull;
}

public void setTotPcAcCv(Integer totPcAcCv) {
if (totPcAcCv == null) {
totPcAcCvNull = true;
this.totPcAcCv = 0;
} else { 
totPcAcCvNull = false;
this.totPcAcCv = totPcAcCv;
}
}

public int getVendaVl() {
return vendaVl;
}

public boolean isVendaVlNull() {
return vendaVlNull;
}

public void setVendaVl(Integer vendaVl) {
if (vendaVl == null) {
vendaVlNull = true;
this.vendaVl = 0;
} else { 
vendaVlNull = false;
this.vendaVl = vendaVl;
}
}

public int getVendaCv() {
return vendaCv;
}

public boolean isVendaCvNull() {
return vendaCvNull;
}

public void setVendaCv(Integer vendaCv) {
if (vendaCv == null) {
vendaCvNull = true;
this.vendaCv = 0;
} else { 
vendaCvNull = false;
this.vendaCv = vendaCv;
}
}

}

