package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVwrms01 {
@Coluna(nome="vwrms01.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwrms01.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="vwrms01.veicatofic", tipo="int")
private int veicatofic;
private boolean veicatoficNull;
@Coluna(nome="vwrms01.servrapido", tipo="int")
private int servrapido;
private boolean servrapidoNull;
@Coluna(nome="vwrms01.internas", tipo="int")
private int internas;
private boolean internasNull;
@Coluna(nome="vwrms01.reserva", tipo="String")
private String reserva;
@Coluna(nome="vwrms01.totalsg", tipo="int")
private int totalsg;
private boolean totalsgNull;
@Coluna(nome="vwrms01.totalsc", tipo="int")
private int totalsc;
private boolean totalscNull;
@Coluna(nome="vwrms01.gerservico", tipo="int")
private int gerservico;
private boolean gerservicoNull;
@Coluna(nome="vwrms01.chefeofic", tipo="int")
private int chefeofic;
private boolean chefeoficNull;
@Coluna(nome="vwrms01.constecnico", tipo="int")
private int constecnico;
private boolean constecnicoNull;
@Coluna(nome="vwrms01.aprendiz", tipo="int")
private int aprendiz;
private boolean aprendizNull;
@Coluna(nome="vwrms01.imprasstec", tipo="int")
private int imprasstec;
private boolean imprasstecNull;
@Coluna(nome="vwrms01.prodservrap", tipo="double")
private double prodservrap;
private boolean prodservrapNull;
@Coluna(nome="vwrms01.produtivosg", tipo="double")
private double produtivosg;
private boolean produtivosgNull;
@Coluna(nome="vwrms01.produtivosc", tipo="double")
private double produtivosc;
private boolean produtivoscNull;
@Coluna(nome="vwrms01.vendamosg", tipo="int")
private int vendamosg;
private boolean vendamosgNull;
@Coluna(nome="vwrms01.vendamosr", tipo="int")
private int vendamosr;
private boolean vendamosrNull;
@Coluna(nome="vwrms01.vendamosc", tipo="int")
private int vendamosc;
private boolean vendamoscNull;
@Coluna(nome="vwrms01.vendapofic", tipo="int")
private int vendapofic;
private boolean vendapoficNull;
@Coluna(nome="vwrms01.vendapbalc", tipo="int")
private int vendapbalc;
private boolean vendapbalcNull;
@Coluna(nome="vwrms01.taxamopubl", tipo="int")
private int taxamopubl;
private boolean taxamopublNull;

public TabVwrms01() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setVeicatofic(null);
setServrapido(null);
setInternas(null);
setReserva(null);
setTotalsg(null);
setTotalsc(null);
setGerservico(null);
setChefeofic(null);
setConstecnico(null);
setAprendiz(null);
setImprasstec(null);
setProdservrap(null);
setProdutivosg(null);
setProdutivosc(null);
setVendamosg(null);
setVendamosr(null);
setVendamosc(null);
setVendapofic(null);
setVendapbalc(null);
setTaxamopubl(null);
}

public TabVwrms01(int filial, FglDateTimeYM anomes, int veicatofic, int servrapido, int internas, String reserva, int totalsg, int totalsc, int gerservico, int chefeofic, int constecnico, int aprendiz, int imprasstec, double prodservrap, double produtivosg, double produtivosc, int vendamosg, int vendamosr, int vendamosc, int vendapofic, int vendapbalc, int taxamopubl) {
this.filial = filial;
this.anomes = anomes;
this.veicatofic = veicatofic;
this.servrapido = servrapido;
this.internas = internas;
this.reserva = reserva;
this.totalsg = totalsg;
this.totalsc = totalsc;
this.gerservico = gerservico;
this.chefeofic = chefeofic;
this.constecnico = constecnico;
this.aprendiz = aprendiz;
this.imprasstec = imprasstec;
this.prodservrap = prodservrap;
this.produtivosg = produtivosg;
this.produtivosc = produtivosc;
this.vendamosg = vendamosg;
this.vendamosr = vendamosr;
this.vendamosc = vendamosc;
this.vendapofic = vendapofic;
this.vendapbalc = vendapbalc;
this.taxamopubl = taxamopubl;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getVeicatofic() {
return veicatofic;
}

public boolean isVeicatoficNull() {
return veicatoficNull;
}

public void setVeicatofic(Integer veicatofic) {
if (veicatofic == null) {
veicatoficNull = true;
this.veicatofic = 0;
} else { 
veicatoficNull = false;
this.veicatofic = veicatofic;
}
}

public int getServrapido() {
return servrapido;
}

public boolean isServrapidoNull() {
return servrapidoNull;
}

public void setServrapido(Integer servrapido) {
if (servrapido == null) {
servrapidoNull = true;
this.servrapido = 0;
} else { 
servrapidoNull = false;
this.servrapido = servrapido;
}
}

public int getInternas() {
return internas;
}

public boolean isInternasNull() {
return internasNull;
}

public void setInternas(Integer internas) {
if (internas == null) {
internasNull = true;
this.internas = 0;
} else { 
internasNull = false;
this.internas = internas;
}
}

public String getReserva() {
return reserva;
}

public void setReserva(String reserva) {
this.reserva = reserva;
}

public int getTotalsg() {
return totalsg;
}

public boolean isTotalsgNull() {
return totalsgNull;
}

public void setTotalsg(Integer totalsg) {
if (totalsg == null) {
totalsgNull = true;
this.totalsg = 0;
} else { 
totalsgNull = false;
this.totalsg = totalsg;
}
}

public int getTotalsc() {
return totalsc;
}

public boolean isTotalscNull() {
return totalscNull;
}

public void setTotalsc(Integer totalsc) {
if (totalsc == null) {
totalscNull = true;
this.totalsc = 0;
} else { 
totalscNull = false;
this.totalsc = totalsc;
}
}

public int getGerservico() {
return gerservico;
}

public boolean isGerservicoNull() {
return gerservicoNull;
}

public void setGerservico(Integer gerservico) {
if (gerservico == null) {
gerservicoNull = true;
this.gerservico = 0;
} else { 
gerservicoNull = false;
this.gerservico = gerservico;
}
}

public int getChefeofic() {
return chefeofic;
}

public boolean isChefeoficNull() {
return chefeoficNull;
}

public void setChefeofic(Integer chefeofic) {
if (chefeofic == null) {
chefeoficNull = true;
this.chefeofic = 0;
} else { 
chefeoficNull = false;
this.chefeofic = chefeofic;
}
}

public int getConstecnico() {
return constecnico;
}

public boolean isConstecnicoNull() {
return constecnicoNull;
}

public void setConstecnico(Integer constecnico) {
if (constecnico == null) {
constecnicoNull = true;
this.constecnico = 0;
} else { 
constecnicoNull = false;
this.constecnico = constecnico;
}
}

public int getAprendiz() {
return aprendiz;
}

public boolean isAprendizNull() {
return aprendizNull;
}

public void setAprendiz(Integer aprendiz) {
if (aprendiz == null) {
aprendizNull = true;
this.aprendiz = 0;
} else { 
aprendizNull = false;
this.aprendiz = aprendiz;
}
}

public int getImprasstec() {
return imprasstec;
}

public boolean isImprasstecNull() {
return imprasstecNull;
}

public void setImprasstec(Integer imprasstec) {
if (imprasstec == null) {
imprasstecNull = true;
this.imprasstec = 0;
} else { 
imprasstecNull = false;
this.imprasstec = imprasstec;
}
}

public double getProdservrap() {
return prodservrap;
}

public boolean isProdservrapNull() {
return prodservrapNull;
}

public void setProdservrap(int prodservrap) {
setProdservrap(new Double(prodservrap));
}

public void setProdservrap(long prodservrap) {
setProdservrap(new Double(prodservrap));
}

public void setProdservrap(Double prodservrap) {
if (prodservrap == null) {
prodservrapNull = true;
this.prodservrap = 0.;
} else { 
prodservrapNull = false;
this.prodservrap = FglDouble.round(prodservrap, 1);
}
}

public double getProdutivosg() {
return produtivosg;
}

public boolean isProdutivosgNull() {
return produtivosgNull;
}

public void setProdutivosg(int produtivosg) {
setProdutivosg(new Double(produtivosg));
}

public void setProdutivosg(long produtivosg) {
setProdutivosg(new Double(produtivosg));
}

public void setProdutivosg(Double produtivosg) {
if (produtivosg == null) {
produtivosgNull = true;
this.produtivosg = 0.;
} else { 
produtivosgNull = false;
this.produtivosg = FglDouble.round(produtivosg, 1);
}
}

public double getProdutivosc() {
return produtivosc;
}

public boolean isProdutivoscNull() {
return produtivoscNull;
}

public void setProdutivosc(int produtivosc) {
setProdutivosc(new Double(produtivosc));
}

public void setProdutivosc(long produtivosc) {
setProdutivosc(new Double(produtivosc));
}

public void setProdutivosc(Double produtivosc) {
if (produtivosc == null) {
produtivoscNull = true;
this.produtivosc = 0.;
} else { 
produtivoscNull = false;
this.produtivosc = FglDouble.round(produtivosc, 1);
}
}

public int getVendamosg() {
return vendamosg;
}

public boolean isVendamosgNull() {
return vendamosgNull;
}

public void setVendamosg(Integer vendamosg) {
if (vendamosg == null) {
vendamosgNull = true;
this.vendamosg = 0;
} else { 
vendamosgNull = false;
this.vendamosg = vendamosg;
}
}

public int getVendamosr() {
return vendamosr;
}

public boolean isVendamosrNull() {
return vendamosrNull;
}

public void setVendamosr(Integer vendamosr) {
if (vendamosr == null) {
vendamosrNull = true;
this.vendamosr = 0;
} else { 
vendamosrNull = false;
this.vendamosr = vendamosr;
}
}

public int getVendamosc() {
return vendamosc;
}

public boolean isVendamoscNull() {
return vendamoscNull;
}

public void setVendamosc(Integer vendamosc) {
if (vendamosc == null) {
vendamoscNull = true;
this.vendamosc = 0;
} else { 
vendamoscNull = false;
this.vendamosc = vendamosc;
}
}

public int getVendapofic() {
return vendapofic;
}

public boolean isVendapoficNull() {
return vendapoficNull;
}

public void setVendapofic(Integer vendapofic) {
if (vendapofic == null) {
vendapoficNull = true;
this.vendapofic = 0;
} else { 
vendapoficNull = false;
this.vendapofic = vendapofic;
}
}

public int getVendapbalc() {
return vendapbalc;
}

public boolean isVendapbalcNull() {
return vendapbalcNull;
}

public void setVendapbalc(Integer vendapbalc) {
if (vendapbalc == null) {
vendapbalcNull = true;
this.vendapbalc = 0;
} else { 
vendapbalcNull = false;
this.vendapbalc = vendapbalc;
}
}

public int getTaxamopubl() {
return taxamopubl;
}

public boolean isTaxamopublNull() {
return taxamopublNull;
}

public void setTaxamopubl(Integer taxamopubl) {
if (taxamopubl == null) {
taxamopublNull = true;
this.taxamopubl = 0;
} else { 
taxamopublNull = false;
this.taxamopubl = taxamopubl;
}
}

}

