package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDateTimeDMin;

public class TabVwvochip {
@Coluna(nome="vwvochip.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="vwvochip.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="vwvochip.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="vwvochip.placa", tipo="String")
private String placa;
@Coluna(nome="vwvochip.dtchegada", tipo="FglDate")
private FglDate dtchegada;
@Coluna(nome="vwvochip.hrchegada", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrchegada;
@Coluna(nome="vwvochip.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="vwvochip.hrentrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrentrega;
@Coluna(nome="vwvochip.aguarda_pc", tipo="String")
private String aguardaPc;
@Coluna(nome="vwvochip.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="vwvochip.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="vwvochip.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="vwvochip.descricaoservico", tipo="String")
private String descricaoservico;
@Coluna(nome="vwvochip.cor", tipo="int")
private int cor;
private boolean corNull;
@Coluna(nome="vwvochip.servisolado", tipo="String")
private String servisolado;
@Coluna(nome="vwvochip.me", tipo="long")
private long me;
private boolean meNull;
@Coluna(nome="vwvochip.descmodelo", tipo="String")
private String descmodelo;
@Coluna(nome="vwvochip.nomecliente", tipo="String")
private String nomecliente;
@Coluna(nome="vwvochip.dtagenda", tipo="FglDate")
private FglDate dtagenda;
@Coluna(nome="vwvochip.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwvochip.id_recurso", tipo="int")
private int idRecurso;
private boolean idRecursoNull;
@Coluna(nome="vwvochip.ghost", tipo="int")
private int ghost;
private boolean ghostNull;
@Coluna(nome="vwvochip.codservico", tipo="String")
private String codservico;
@Coluna(nome="vwvochip.id_agerec", tipo="int")
private int idAgerec;
private boolean idAgerecNull;
@Coluna(nome="vwvochip.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="vwvochip.duracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin duracao;
@Coluna(nome="vwvochip.duracaooriginal", tipo="FglDateTimeHMin")
private FglDateTimeHMin duracaooriginal;
@Coluna(nome="vwvochip.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vwvochip.dtdestaque", tipo="FglDateTimeDMin")
private FglDateTimeDMin dtdestaque;
@Coluna(nome="vwvochip.mincomplemento", tipo="int")
private int mincomplemento;
private boolean mincomplementoNull;
@Coluna(nome="vwvochip.motcomplemento", tipo="String")
private String motcomplemento;

public TabVwvochip() {
initialize();
}

public void initialize() {
setIdPreos(null);
setIdOscapa(null);
setIdAgetoy(null);
setPlaca(null);
setDtchegada(null);
setHrchegada(null);
setDtentrega(null);
setHrentrega(null);
setAguardaPc(null);
setIdServico(null);
setHrinicio(null);
setHrfim(null);
setDescricaoservico(null);
setCor(null);
setServisolado(null);
setMe(null);
setDescmodelo(null);
setNomecliente(null);
setDtagenda(null);
setFilial(null);
setIdRecurso(null);
setGhost(null);
setCodservico(null);
setIdAgerec(null);
setNroitem(null);
setDuracao(null);
setDuracaooriginal(null);
setSequencia(null);
setDtdestaque(null);
setMincomplemento(null);
setMotcomplemento(null);
}

public TabVwvochip(int idPreos, int idOscapa, int idAgetoy, String placa, FglDate dtchegada, FglDateTimeHMin hrchegada, FglDate dtentrega, FglDateTimeHMin hrentrega, String aguardaPc, int idServico, FglDateTimeHMin hrinicio, FglDateTimeHMin hrfim, String descricaoservico, int cor, String servisolado, long me, String descmodelo, String nomecliente, FglDate dtagenda, int filial, int idRecurso, int ghost, String codservico, int idAgerec, int nroitem, FglDateTimeHMin duracao, FglDateTimeHMin duracaooriginal, int sequencia, FglDateTimeDMin dtdestaque, int mincomplemento, String motcomplemento) {
this.idPreos = idPreos;
this.idOscapa = idOscapa;
this.idAgetoy = idAgetoy;
this.placa = placa;
this.dtchegada = dtchegada;
this.hrchegada = hrchegada;
this.dtentrega = dtentrega;
this.hrentrega = hrentrega;
this.aguardaPc = aguardaPc;
this.idServico = idServico;
this.hrinicio = hrinicio;
this.hrfim = hrfim;
this.descricaoservico = descricaoservico;
this.cor = cor;
this.servisolado = servisolado;
this.me = me;
this.descmodelo = descmodelo;
this.nomecliente = nomecliente;
this.dtagenda = dtagenda;
this.filial = filial;
this.idRecurso = idRecurso;
this.ghost = ghost;
this.codservico = codservico;
this.idAgerec = idAgerec;
this.nroitem = nroitem;
this.duracao = duracao;
this.duracaooriginal = duracaooriginal;
this.sequencia = sequencia;
this.dtdestaque = dtdestaque;
this.mincomplemento = mincomplemento;
this.motcomplemento = motcomplemento;
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public FglDate getDtchegada() {
return dtchegada;
}

public void setDtchegada(FglDate dtchegada) {
this.dtchegada = dtchegada;
}

public FglDateTimeHMin getHrchegada() {
return hrchegada;
}

public void setHrchegada(FglDateTimeHMin hrchegada) {
this.hrchegada = hrchegada;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public FglDateTimeHMin getHrentrega() {
return hrentrega;
}

public void setHrentrega(FglDateTimeHMin hrentrega) {
this.hrentrega = hrentrega;
}

public String getAguardaPc() {
return aguardaPc;
}

public void setAguardaPc(String aguardaPc) {
this.aguardaPc = aguardaPc;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public String getDescricaoservico() {
return descricaoservico;
}

public void setDescricaoservico(String descricaoservico) {
this.descricaoservico = descricaoservico;
}

public int getCor() {
return cor;
}

public boolean isCorNull() {
return corNull;
}

public void setCor(Integer cor) {
if (cor == null) {
corNull = true;
this.cor = 0;
} else { 
corNull = false;
this.cor = cor;
}
}

public String getServisolado() {
return servisolado;
}

public void setServisolado(String servisolado) {
this.servisolado = servisolado;
}

public long getMe() {
return me;
}

public boolean isMeNull() {
return meNull;
}

public void setMe(int me) {
setMe(new Long(me));
}

public void setMe(Long me) {
if (me == null) {
meNull = true;
this.me = 0l;
} else { 
meNull = false;
this.me = me;
}
}

public String getDescmodelo() {
return descmodelo;
}

public void setDescmodelo(String descmodelo) {
this.descmodelo = descmodelo;
}

public String getNomecliente() {
return nomecliente;
}

public void setNomecliente(String nomecliente) {
this.nomecliente = nomecliente;
}

public FglDate getDtagenda() {
return dtagenda;
}

public void setDtagenda(FglDate dtagenda) {
this.dtagenda = dtagenda;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdRecurso() {
return idRecurso;
}

public boolean isIdRecursoNull() {
return idRecursoNull;
}

public void setIdRecurso(Integer idRecurso) {
if (idRecurso == null) {
idRecursoNull = true;
this.idRecurso = 0;
} else { 
idRecursoNull = false;
this.idRecurso = idRecurso;
}
}

public int getGhost() {
return ghost;
}

public boolean isGhostNull() {
return ghostNull;
}

public void setGhost(Integer ghost) {
if (ghost == null) {
ghostNull = true;
this.ghost = 0;
} else { 
ghostNull = false;
this.ghost = ghost;
}
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public int getIdAgerec() {
return idAgerec;
}

public boolean isIdAgerecNull() {
return idAgerecNull;
}

public void setIdAgerec(Integer idAgerec) {
if (idAgerec == null) {
idAgerecNull = true;
this.idAgerec = 0;
} else { 
idAgerecNull = false;
this.idAgerec = idAgerec;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public FglDateTimeHMin getDuracao() {
return duracao;
}

public void setDuracao(FglDateTimeHMin duracao) {
this.duracao = duracao;
}

public FglDateTimeHMin getDuracaooriginal() {
return duracaooriginal;
}

public void setDuracaooriginal(FglDateTimeHMin duracaooriginal) {
this.duracaooriginal = duracaooriginal;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDateTimeDMin getDtdestaque() {
return dtdestaque;
}

public void setDtdestaque(FglDateTimeDMin dtdestaque) {
this.dtdestaque = dtdestaque;
}

public int getMincomplemento() {
return mincomplemento;
}

public boolean isMincomplementoNull() {
return mincomplementoNull;
}

public void setMincomplemento(Integer mincomplemento) {
if (mincomplemento == null) {
mincomplementoNull = true;
this.mincomplemento = 0;
} else { 
mincomplementoNull = false;
this.mincomplemento = mincomplemento;
}
}

public String getMotcomplemento() {
return motcomplemento;
}

public void setMotcomplemento(String motcomplemento) {
this.motcomplemento = motcomplemento;
}

}

