package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabWsCampos {
@Coluna(nome="ws_campos.codigo_ws", tipo="int")
private int codigoWs;
private boolean codigoWsNull;
@Coluna(nome="ws_campos.codigo_ws_campo", tipo="int")
private int codigoWsCampo;
private boolean codigoWsCampoNull;
@Coluna(nome="ws_campos.nome_classe", tipo="String")
private String nomeClasse;
@Coluna(nome="ws_campos.nome_campo", tipo="String")
private String nomeCampo;
@Coluna(nome="ws_campos.tipo", tipo="String")
private String tipo;
@Coluna(nome="ws_campos.descricao", tipo="String")
private String descricao;

public TabWsCampos() {
initialize();
}

public void initialize() {
setCodigoWs(null);
setCodigoWsCampo(null);
setNomeClasse(null);
setNomeCampo(null);
setTipo(null);
setDescricao(null);
}

public TabWsCampos(int codigoWs, int codigoWsCampo, String nomeClasse, String nomeCampo, String tipo, String descricao) {
this.codigoWs = codigoWs;
this.codigoWsCampo = codigoWsCampo;
this.nomeClasse = nomeClasse;
this.nomeCampo = nomeCampo;
this.tipo = tipo;
this.descricao = descricao;
}

public int getCodigoWs() {
return codigoWs;
}

public boolean isCodigoWsNull() {
return codigoWsNull;
}

public void setCodigoWs(Integer codigoWs) {
if (codigoWs == null) {
codigoWsNull = true;
this.codigoWs = 0;
} else { 
codigoWsNull = false;
this.codigoWs = codigoWs;
}
}

public int getCodigoWsCampo() {
return codigoWsCampo;
}

public boolean isCodigoWsCampoNull() {
return codigoWsCampoNull;
}

public void setCodigoWsCampo(Integer codigoWsCampo) {
if (codigoWsCampo == null) {
codigoWsCampoNull = true;
this.codigoWsCampo = 0;
} else { 
codigoWsCampoNull = false;
this.codigoWsCampo = codigoWsCampo;
}
}

public String getNomeClasse() {
return nomeClasse;
}

public void setNomeClasse(String nomeClasse) {
this.nomeClasse = nomeClasse;
}

public String getNomeCampo() {
return nomeCampo;
}

public void setNomeCampo(String nomeCampo) {
this.nomeCampo = nomeCampo;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

