package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabXetarefas {
@Coluna(nome="xetarefas.tarefaid", tipo="int")
private int tarefaid;
private boolean tarefaidNull;
@Coluna(nome="xetarefas.datacriacao", tipo="FglDateTimeYS")
private FglDateTimeYS datacriacao;
@Coluna(nome="xetarefas.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="xetarefas.situacao", tipo="String")
private String situacao;
@Coluna(nome="xetarefas.orderid", tipo="String")
private String orderid;
@Coluna(nome="xetarefas.dataid", tipo="String")
private String dataid;
@Coluna(nome="xetarefas.dataprocessamento", tipo="FglDateTimeYS")
private FglDateTimeYS dataprocessamento;
@Coluna(nome="xetarefas.messageid", tipo="int")
private int messageid;
private boolean messageidNull;
@Coluna(nome="xetarefas.messagetext", tipo="String")
private String messagetext;
@Coluna(nome="xetarefas.messageiddms", tipo="String")
private String messageiddms;
@Coluna(nome="xetarefas.messagetextdms", tipo="String")
private String messagetextdms;
@Coluna(nome="xetarefas.responsecode", tipo="String")
private String responsecode;
@Coluna(nome="xetarefas.dataalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dataalteracao;
@Coluna(nome="xetarefas.filial", tipo="int")
private int filial;
private boolean filialNull;

public TabXetarefas() {
initialize();
}

public void initialize() {
setTarefaid(null);
setDatacriacao(null);
setOperacao(null);
setSituacao(null);
setOrderid(null);
setDataid(null);
setDataprocessamento(null);
setMessageid(null);
setMessagetext(null);
setMessageiddms(null);
setMessagetextdms(null);
setResponsecode(null);
setDataalteracao(null);
setFilial(null);
}

public TabXetarefas(int tarefaid, FglDateTimeYS datacriacao, int operacao, String situacao, String orderid, String dataid, FglDateTimeYS dataprocessamento, int messageid, String messagetext, String messageiddms, String messagetextdms, String responsecode, FglDateTimeYS dataalteracao, int filial) {
this.tarefaid = tarefaid;
this.datacriacao = datacriacao;
this.operacao = operacao;
this.situacao = situacao;
this.orderid = orderid;
this.dataid = dataid;
this.dataprocessamento = dataprocessamento;
this.messageid = messageid;
this.messagetext = messagetext;
this.messageiddms = messageiddms;
this.messagetextdms = messagetextdms;
this.responsecode = responsecode;
this.dataalteracao = dataalteracao;
this.filial = filial;
}

public int getTarefaid() {
return tarefaid;
}

public boolean isTarefaidNull() {
return tarefaidNull;
}

public void setTarefaid(Integer tarefaid) {
if (tarefaid == null) {
tarefaidNull = true;
this.tarefaid = 0;
} else { 
tarefaidNull = false;
this.tarefaid = tarefaid;
}
}

public FglDateTimeYS getDatacriacao() {
return datacriacao;
}

public void setDatacriacao(FglDateTimeYS datacriacao) {
this.datacriacao = datacriacao;
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getSituacao() {
return situacao;
}

public void setSituacao(String situacao) {
this.situacao = situacao;
}

public String getOrderid() {
return orderid;
}

public void setOrderid(String orderid) {
this.orderid = orderid;
}

public String getDataid() {
return dataid;
}

public void setDataid(String dataid) {
this.dataid = dataid;
}

public FglDateTimeYS getDataprocessamento() {
return dataprocessamento;
}

public void setDataprocessamento(FglDateTimeYS dataprocessamento) {
this.dataprocessamento = dataprocessamento;
}

public int getMessageid() {
return messageid;
}

public boolean isMessageidNull() {
return messageidNull;
}

public void setMessageid(Integer messageid) {
if (messageid == null) {
messageidNull = true;
this.messageid = 0;
} else { 
messageidNull = false;
this.messageid = messageid;
}
}

public String getMessagetext() {
return messagetext;
}

public void setMessagetext(String messagetext) {
this.messagetext = messagetext;
}

public String getMessageiddms() {
return messageiddms;
}

public void setMessageiddms(String messageiddms) {
this.messageiddms = messageiddms;
}

public String getMessagetextdms() {
return messagetextdms;
}

public void setMessagetextdms(String messagetextdms) {
this.messagetextdms = messagetextdms;
}

public String getResponsecode() {
return responsecode;
}

public void setResponsecode(String responsecode) {
this.responsecode = responsecode;
}

public FglDateTimeYS getDataalteracao() {
return dataalteracao;
}

public void setDataalteracao(FglDateTimeYS dataalteracao) {
this.dataalteracao = dataalteracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

}

