package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabXxcepBr {
@Coluna(nome="xxcep_br.cep", tipo="int")
private int cep;
private boolean cepNull;
@Coluna(nome="xxcep_br.tipo", tipo="String")
private String tipo;
@Coluna(nome="xxcep_br.nome", tipo="String")
private String nome;
@Coluna(nome="xxcep_br.bairro", tipo="String")
private String bairro;
@Coluna(nome="xxcep_br.cidade", tipo="String")
private String cidade;
@Coluna(nome="xxcep_br.uf", tipo="String")
private String uf;
@Coluna(nome="xxcep_br.de", tipo="int")
private int de;
private boolean deNull;
@Coluna(nome="xxcep_br.ate", tipo="int")
private int ate;
private boolean ateNull;
@Coluna(nome="xxcep_br.lado", tipo="String")
private String lado;

public TabXxcepBr() {
initialize();
}

public void initialize() {
setCep(null);
setTipo(null);
setNome(null);
setBairro(null);
setCidade(null);
setUf(null);
setDe(null);
setAte(null);
setLado(null);
}

public TabXxcepBr(int cep, String tipo, String nome, String bairro, String cidade, String uf, int de, int ate, String lado) {
this.cep = cep;
this.tipo = tipo;
this.nome = nome;
this.bairro = bairro;
this.cidade = cidade;
this.uf = uf;
this.de = de;
this.ate = ate;
this.lado = lado;
}

public int getCep() {
return cep;
}

public boolean isCepNull() {
return cepNull;
}

public void setCep(Integer cep) {
if (cep == null) {
cepNull = true;
this.cep = 0;
} else { 
cepNull = false;
this.cep = cep;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public int getDe() {
return de;
}

public boolean isDeNull() {
return deNull;
}

public void setDe(Integer de) {
if (de == null) {
deNull = true;
this.de = 0;
} else { 
deNull = false;
this.de = de;
}
}

public int getAte() {
return ate;
}

public boolean isAteNull() {
return ateNull;
}

public void setAte(Integer ate) {
if (ate == null) {
ateNull = true;
this.ate = 0;
} else { 
ateNull = false;
this.ate = ate;
}
}

public String getLado() {
return lado;
}

public void setLado(String lado) {
this.lado = lado;
}

}

