package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabXxcmestoqu {
@Coluna(nome="xxcmestoqu.produto", tipo="String")
private String produto;
@Coluna(nome="xxcmestoqu.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="xxcmestoqu.rua", tipo="String")
private String rua;
@Coluna(nome="xxcmestoqu.prateleira", tipo="String")
private String prateleira;
@Coluna(nome="xxcmestoqu.gaveta", tipo="String")
private String gaveta;
@Coluna(nome="xxcmestoqu.classeabc", tipo="String")
private String classeabc;
@Coluna(nome="xxcmestoqu.subclasse", tipo="String")
private String subclasse;
@Coluna(nome="xxcmestoqu.estoqideal", tipo="double")
private double estoqideal;
private boolean estoqidealNull;
@Coluna(nome="xxcmestoqu.saidamedpre", tipo="double")
private double saidamedpre;
private boolean saidamedpreNull;
@Coluna(nome="xxcmestoqu.estoqcritico", tipo="double")
private double estoqcritico;
private boolean estoqcriticoNull;
@Coluna(nome="xxcmestoqu.margembruta", tipo="double")
private double margembruta;
private boolean margembrutaNull;
@Coluna(nome="xxcmestoqu.saldocontabil", tipo="double")
private double saldocontabil;
private boolean saldocontabilNull;
@Coluna(nome="xxcmestoqu.valorcontabil", tipo="double")
private double valorcontabil;
private boolean valorcontabilNull;
@Coluna(nome="xxcmestoqu.pendenfisica", tipo="double")
private double pendenfisica;
private boolean pendenfisicaNull;
@Coluna(nome="xxcmestoqu.reqoficina", tipo="double")
private double reqoficina;
private boolean reqoficinaNull;
@Coluna(nome="xxcmestoqu.qtdevolante", tipo="double")
private double qtdevolante;
private boolean qtdevolanteNull;
@Coluna(nome="xxcmestoqu.reservatecnica", tipo="double")
private double reservatecnica;
private boolean reservatecnicaNull;
@Coluna(nome="xxcmestoqu.dtdesativacao", tipo="FglDate")
private FglDate dtdesativacao;
@Coluna(nome="xxcmestoqu.digitapreco", tipo="String")
private String digitapreco;
@Coluna(nome="xxcmestoqu.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="xxcmestoqu.ctrlestoque", tipo="String")
private String ctrlestoque;
@Coluna(nome="xxcmestoqu.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="xxcmestoqu.percredbase", tipo="double")
private double percredbase;
private boolean percredbaseNull;
@Coluna(nome="xxcmestoqu.convicms", tipo="int")
private int convicms;
private boolean convicmsNull;
@Coluna(nome="xxcmestoqu.dtadmissao", tipo="FglDate")
private FglDate dtadmissao;
@Coluna(nome="xxcmestoqu.dtultentr", tipo="FglDate")
private FglDate dtultentr;
@Coluna(nome="xxcmestoqu.qtultentr", tipo="double")
private double qtultentr;
private boolean qtultentrNull;
@Coluna(nome="xxcmestoqu.vlultentr", tipo="double")
private double vlultentr;
private boolean vlultentrNull;
@Coluna(nome="xxcmestoqu.dtultsaid", tipo="FglDate")
private FglDate dtultsaid;
@Coluna(nome="xxcmestoqu.qtultsaid", tipo="double")
private double qtultsaid;
private boolean qtultsaidNull;
@Coluna(nome="xxcmestoqu.vlultsaid", tipo="double")
private double vlultsaid;
private boolean vlultsaidNull;
@Coluna(nome="xxcmestoqu.voador", tipo="String")
private String voador;
@Coluna(nome="xxcmestoqu.indisponivel_gar", tipo="double")
private double indisponivelGar;
private boolean indisponivelGarNull;
@Coluna(nome="xxcmestoqu.pendente_gar", tipo="double")
private double pendenteGar;
private boolean pendenteGarNull;
@Coluna(nome="xxcmestoqu.disponivel_gar", tipo="double")
private double disponivelGar;
private boolean disponivelGarNull;
@Coluna(nome="xxcmestoqu.assinatura", tipo="String")
private String assinatura;

public TabXxcmestoqu() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setRua(null);
setPrateleira(null);
setGaveta(null);
setClasseabc(null);
setSubclasse(null);
setEstoqideal(null);
setSaidamedpre(null);
setEstoqcritico(null);
setMargembruta(null);
setSaldocontabil(null);
setValorcontabil(null);
setPendenfisica(null);
setReqoficina(null);
setQtdevolante(null);
setReservatecnica(null);
setDtdesativacao(null);
setDigitapreco(null);
setTributacao(null);
setCtrlestoque(null);
setAliqicms(null);
setPercredbase(null);
setConvicms(null);
setDtadmissao(null);
setDtultentr(null);
setQtultentr(null);
setVlultentr(null);
setDtultsaid(null);
setQtultsaid(null);
setVlultsaid(null);
setVoador(null);
setIndisponivelGar(null);
setPendenteGar(null);
setDisponivelGar(null);
setAssinatura(null);
}

public TabXxcmestoqu(String produto, int filial, String rua, String prateleira, String gaveta, String classeabc, String subclasse, double estoqideal, double saidamedpre, double estoqcritico, double margembruta, double saldocontabil, double valorcontabil, double pendenfisica, double reqoficina, double qtdevolante, double reservatecnica, FglDate dtdesativacao, String digitapreco, int tributacao, String ctrlestoque, double aliqicms, double percredbase, int convicms, FglDate dtadmissao, FglDate dtultentr, double qtultentr, double vlultentr, FglDate dtultsaid, double qtultsaid, double vlultsaid, String voador, double indisponivelGar, double pendenteGar, double disponivelGar, String assinatura) {
this.produto = produto;
this.filial = filial;
this.rua = rua;
this.prateleira = prateleira;
this.gaveta = gaveta;
this.classeabc = classeabc;
this.subclasse = subclasse;
this.estoqideal = estoqideal;
this.saidamedpre = saidamedpre;
this.estoqcritico = estoqcritico;
this.margembruta = margembruta;
this.saldocontabil = saldocontabil;
this.valorcontabil = valorcontabil;
this.pendenfisica = pendenfisica;
this.reqoficina = reqoficina;
this.qtdevolante = qtdevolante;
this.reservatecnica = reservatecnica;
this.dtdesativacao = dtdesativacao;
this.digitapreco = digitapreco;
this.tributacao = tributacao;
this.ctrlestoque = ctrlestoque;
this.aliqicms = aliqicms;
this.percredbase = percredbase;
this.convicms = convicms;
this.dtadmissao = dtadmissao;
this.dtultentr = dtultentr;
this.qtultentr = qtultentr;
this.vlultentr = vlultentr;
this.dtultsaid = dtultsaid;
this.qtultsaid = qtultsaid;
this.vlultsaid = vlultsaid;
this.voador = voador;
this.indisponivelGar = indisponivelGar;
this.pendenteGar = pendenteGar;
this.disponivelGar = disponivelGar;
this.assinatura = assinatura;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getRua() {
return rua;
}

public void setRua(String rua) {
this.rua = rua;
}

public String getPrateleira() {
return prateleira;
}

public void setPrateleira(String prateleira) {
this.prateleira = prateleira;
}

public String getGaveta() {
return gaveta;
}

public void setGaveta(String gaveta) {
this.gaveta = gaveta;
}

public String getClasseabc() {
return classeabc;
}

public void setClasseabc(String classeabc) {
this.classeabc = classeabc;
}

public String getSubclasse() {
return subclasse;
}

public void setSubclasse(String subclasse) {
this.subclasse = subclasse;
}

public double getEstoqideal() {
return estoqideal;
}

public boolean isEstoqidealNull() {
return estoqidealNull;
}

public void setEstoqideal(int estoqideal) {
setEstoqideal(new Double(estoqideal));
}

public void setEstoqideal(long estoqideal) {
setEstoqideal(new Double(estoqideal));
}

public void setEstoqideal(Double estoqideal) {
if (estoqideal == null) {
estoqidealNull = true;
this.estoqideal = 0.;
} else { 
estoqidealNull = false;
this.estoqideal = FglDouble.round(estoqideal, 2);
}
}

public double getSaidamedpre() {
return saidamedpre;
}

public boolean isSaidamedpreNull() {
return saidamedpreNull;
}

public void setSaidamedpre(int saidamedpre) {
setSaidamedpre(new Double(saidamedpre));
}

public void setSaidamedpre(long saidamedpre) {
setSaidamedpre(new Double(saidamedpre));
}

public void setSaidamedpre(Double saidamedpre) {
if (saidamedpre == null) {
saidamedpreNull = true;
this.saidamedpre = 0.;
} else { 
saidamedpreNull = false;
this.saidamedpre = FglDouble.round(saidamedpre, 2);
}
}

public double getEstoqcritico() {
return estoqcritico;
}

public boolean isEstoqcriticoNull() {
return estoqcriticoNull;
}

public void setEstoqcritico(int estoqcritico) {
setEstoqcritico(new Double(estoqcritico));
}

public void setEstoqcritico(long estoqcritico) {
setEstoqcritico(new Double(estoqcritico));
}

public void setEstoqcritico(Double estoqcritico) {
if (estoqcritico == null) {
estoqcriticoNull = true;
this.estoqcritico = 0.;
} else { 
estoqcriticoNull = false;
this.estoqcritico = FglDouble.round(estoqcritico, 2);
}
}

public double getMargembruta() {
return margembruta;
}

public boolean isMargembrutaNull() {
return margembrutaNull;
}

public void setMargembruta(int margembruta) {
setMargembruta(new Double(margembruta));
}

public void setMargembruta(long margembruta) {
setMargembruta(new Double(margembruta));
}

public void setMargembruta(Double margembruta) {
if (margembruta == null) {
margembrutaNull = true;
this.margembruta = 0.;
} else { 
margembrutaNull = false;
this.margembruta = FglDouble.round(margembruta, 2);
}
}

public double getSaldocontabil() {
return saldocontabil;
}

public boolean isSaldocontabilNull() {
return saldocontabilNull;
}

public void setSaldocontabil(int saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(long saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(Double saldocontabil) {
if (saldocontabil == null) {
saldocontabilNull = true;
this.saldocontabil = 0.;
} else { 
saldocontabilNull = false;
this.saldocontabil = FglDouble.round(saldocontabil, 2);
}
}

public double getValorcontabil() {
return valorcontabil;
}

public boolean isValorcontabilNull() {
return valorcontabilNull;
}

public void setValorcontabil(int valorcontabil) {
setValorcontabil(new Double(valorcontabil));
}

public void setValorcontabil(long valorcontabil) {
setValorcontabil(new Double(valorcontabil));
}

public void setValorcontabil(Double valorcontabil) {
if (valorcontabil == null) {
valorcontabilNull = true;
this.valorcontabil = 0.;
} else { 
valorcontabilNull = false;
this.valorcontabil = FglDouble.round(valorcontabil, 2);
}
}

public double getPendenfisica() {
return pendenfisica;
}

public boolean isPendenfisicaNull() {
return pendenfisicaNull;
}

public void setPendenfisica(int pendenfisica) {
setPendenfisica(new Double(pendenfisica));
}

public void setPendenfisica(long pendenfisica) {
setPendenfisica(new Double(pendenfisica));
}

public void setPendenfisica(Double pendenfisica) {
if (pendenfisica == null) {
pendenfisicaNull = true;
this.pendenfisica = 0.;
} else { 
pendenfisicaNull = false;
this.pendenfisica = FglDouble.round(pendenfisica, 2);
}
}

public double getReqoficina() {
return reqoficina;
}

public boolean isReqoficinaNull() {
return reqoficinaNull;
}

public void setReqoficina(int reqoficina) {
setReqoficina(new Double(reqoficina));
}

public void setReqoficina(long reqoficina) {
setReqoficina(new Double(reqoficina));
}

public void setReqoficina(Double reqoficina) {
if (reqoficina == null) {
reqoficinaNull = true;
this.reqoficina = 0.;
} else { 
reqoficinaNull = false;
this.reqoficina = FglDouble.round(reqoficina, 2);
}
}

public double getQtdevolante() {
return qtdevolante;
}

public boolean isQtdevolanteNull() {
return qtdevolanteNull;
}

public void setQtdevolante(int qtdevolante) {
setQtdevolante(new Double(qtdevolante));
}

public void setQtdevolante(long qtdevolante) {
setQtdevolante(new Double(qtdevolante));
}

public void setQtdevolante(Double qtdevolante) {
if (qtdevolante == null) {
qtdevolanteNull = true;
this.qtdevolante = 0.;
} else { 
qtdevolanteNull = false;
this.qtdevolante = FglDouble.round(qtdevolante, 2);
}
}

public double getReservatecnica() {
return reservatecnica;
}

public boolean isReservatecnicaNull() {
return reservatecnicaNull;
}

public void setReservatecnica(int reservatecnica) {
setReservatecnica(new Double(reservatecnica));
}

public void setReservatecnica(long reservatecnica) {
setReservatecnica(new Double(reservatecnica));
}

public void setReservatecnica(Double reservatecnica) {
if (reservatecnica == null) {
reservatecnicaNull = true;
this.reservatecnica = 0.;
} else { 
reservatecnicaNull = false;
this.reservatecnica = FglDouble.round(reservatecnica, 2);
}
}

public FglDate getDtdesativacao() {
return dtdesativacao;
}

public void setDtdesativacao(FglDate dtdesativacao) {
this.dtdesativacao = dtdesativacao;
}

public String getDigitapreco() {
return digitapreco;
}

public void setDigitapreco(String digitapreco) {
this.digitapreco = digitapreco;
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public String getCtrlestoque() {
return ctrlestoque;
}

public void setCtrlestoque(String ctrlestoque) {
this.ctrlestoque = ctrlestoque;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getPercredbase() {
return percredbase;
}

public boolean isPercredbaseNull() {
return percredbaseNull;
}

public void setPercredbase(int percredbase) {
setPercredbase(new Double(percredbase));
}

public void setPercredbase(long percredbase) {
setPercredbase(new Double(percredbase));
}

public void setPercredbase(Double percredbase) {
if (percredbase == null) {
percredbaseNull = true;
this.percredbase = 0.;
} else { 
percredbaseNull = false;
this.percredbase = FglDouble.round(percredbase, 2);
}
}

public int getConvicms() {
return convicms;
}

public boolean isConvicmsNull() {
return convicmsNull;
}

public void setConvicms(Integer convicms) {
if (convicms == null) {
convicmsNull = true;
this.convicms = 0;
} else { 
convicmsNull = false;
this.convicms = convicms;
}
}

public FglDate getDtadmissao() {
return dtadmissao;
}

public void setDtadmissao(FglDate dtadmissao) {
this.dtadmissao = dtadmissao;
}

public FglDate getDtultentr() {
return dtultentr;
}

public void setDtultentr(FglDate dtultentr) {
this.dtultentr = dtultentr;
}

public double getQtultentr() {
return qtultentr;
}

public boolean isQtultentrNull() {
return qtultentrNull;
}

public void setQtultentr(int qtultentr) {
setQtultentr(new Double(qtultentr));
}

public void setQtultentr(long qtultentr) {
setQtultentr(new Double(qtultentr));
}

public void setQtultentr(Double qtultentr) {
if (qtultentr == null) {
qtultentrNull = true;
this.qtultentr = 0.;
} else { 
qtultentrNull = false;
this.qtultentr = FglDouble.round(qtultentr, 2);
}
}

public double getVlultentr() {
return vlultentr;
}

public boolean isVlultentrNull() {
return vlultentrNull;
}

public void setVlultentr(int vlultentr) {
setVlultentr(new Double(vlultentr));
}

public void setVlultentr(long vlultentr) {
setVlultentr(new Double(vlultentr));
}

public void setVlultentr(Double vlultentr) {
if (vlultentr == null) {
vlultentrNull = true;
this.vlultentr = 0.;
} else { 
vlultentrNull = false;
this.vlultentr = FglDouble.round(vlultentr, 2);
}
}

public FglDate getDtultsaid() {
return dtultsaid;
}

public void setDtultsaid(FglDate dtultsaid) {
this.dtultsaid = dtultsaid;
}

public double getQtultsaid() {
return qtultsaid;
}

public boolean isQtultsaidNull() {
return qtultsaidNull;
}

public void setQtultsaid(int qtultsaid) {
setQtultsaid(new Double(qtultsaid));
}

public void setQtultsaid(long qtultsaid) {
setQtultsaid(new Double(qtultsaid));
}

public void setQtultsaid(Double qtultsaid) {
if (qtultsaid == null) {
qtultsaidNull = true;
this.qtultsaid = 0.;
} else { 
qtultsaidNull = false;
this.qtultsaid = FglDouble.round(qtultsaid, 2);
}
}

public double getVlultsaid() {
return vlultsaid;
}

public boolean isVlultsaidNull() {
return vlultsaidNull;
}

public void setVlultsaid(int vlultsaid) {
setVlultsaid(new Double(vlultsaid));
}

public void setVlultsaid(long vlultsaid) {
setVlultsaid(new Double(vlultsaid));
}

public void setVlultsaid(Double vlultsaid) {
if (vlultsaid == null) {
vlultsaidNull = true;
this.vlultsaid = 0.;
} else { 
vlultsaidNull = false;
this.vlultsaid = FglDouble.round(vlultsaid, 2);
}
}

public String getVoador() {
return voador;
}

public void setVoador(String voador) {
this.voador = voador;
}

public double getIndisponivelGar() {
return indisponivelGar;
}

public boolean isIndisponivelGarNull() {
return indisponivelGarNull;
}

public void setIndisponivelGar(int indisponivelGar) {
setIndisponivelGar(new Double(indisponivelGar));
}

public void setIndisponivelGar(long indisponivelGar) {
setIndisponivelGar(new Double(indisponivelGar));
}

public void setIndisponivelGar(Double indisponivelGar) {
if (indisponivelGar == null) {
indisponivelGarNull = true;
this.indisponivelGar = 0.;
} else { 
indisponivelGarNull = false;
this.indisponivelGar = FglDouble.round(indisponivelGar, 2);
}
}

public double getPendenteGar() {
return pendenteGar;
}

public boolean isPendenteGarNull() {
return pendenteGarNull;
}

public void setPendenteGar(int pendenteGar) {
setPendenteGar(new Double(pendenteGar));
}

public void setPendenteGar(long pendenteGar) {
setPendenteGar(new Double(pendenteGar));
}

public void setPendenteGar(Double pendenteGar) {
if (pendenteGar == null) {
pendenteGarNull = true;
this.pendenteGar = 0.;
} else { 
pendenteGarNull = false;
this.pendenteGar = FglDouble.round(pendenteGar, 2);
}
}

public double getDisponivelGar() {
return disponivelGar;
}

public boolean isDisponivelGarNull() {
return disponivelGarNull;
}

public void setDisponivelGar(int disponivelGar) {
setDisponivelGar(new Double(disponivelGar));
}

public void setDisponivelGar(long disponivelGar) {
setDisponivelGar(new Double(disponivelGar));
}

public void setDisponivelGar(Double disponivelGar) {
if (disponivelGar == null) {
disponivelGarNull = true;
this.disponivelGar = 0.;
} else { 
disponivelGarNull = false;
this.disponivelGar = FglDouble.round(disponivelGar, 2);
}
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

