#########################################################
# Prezados atenção ao informar as variaveis de ambiente #
#  -FGLDIR depende de qual sistema esta sendo utilizado #
#  -INFORMIXSERVER depente do nome da instancia         #
#    do banco de dados                                  #
#########################################################
# Copiar este arquivo para /root/bin
export INFORMIXDIR=/opt/informix
# Para Sisdia BDS 
export FGLDIR=/usr/fgl2c
# Para Sisdia EVO2016
#export FGLDIR=/usr/local/genero25/fgl
# Para Sisdia SisdiaEvolution 
#export FGLDIR=/usr/local/genero/fgl

export FGLPROFILE=$FGLDIR/etc/fglprofile
export DBDATE=dmy4/
export DBMONEY=R$,
export DBEDIT=jstar
export PATH=$PATH:$INFORMIXDIR/bin:$FGLDIR/bin
export OS=Linux
export RUNNER=fglrun
export DBEDIT=jstar
unset LANG LC_CTYPE
export PATH=$PATH:/ext/sisdia
export TERM=vt100

### Problema com Four J's no RH Enterprise
Kernel=`uname -r | awk -F "." '{ print $1 $2 $3 }' | awk -F "-" '{ print $1 }'`
if [ ${Kernel} -lt 2610 ]; then
   export LD_ASSUME_KERNEL=2.4.1
fi

### Para Instalar o Informix no Four J's
export RPM_INSTALL_PREFIX=/opt/informix

## Necessaria para o RH-EL ES Versao 4
export INFORMIXSHMBASE=-1
export INFORMIXSERVER=ol_dpralfa
export INSTANCIA=`echo $INFORMIXSERVER | cut -c 4-11`
export ONCONFIG=onconfig.ol_$INSTANCIA

# informar o caminho onde a sisdia onde esta instalado os arquivos espa0000.42m 
# para instalação padrao do BDS sistema cd /ext/sisdia 
# para instalação padrao do Sisdia Evolution sistema cd /ext/sisdia/SisdiaEvolution 
# para instalação padrao do EVO2016 sistema cd /ext/sisdia/SisdiaEvolution  
# ou cd /ext/sisdia/SisdiaEvolution25
cd /ext/sisdia/dpralfa



#------- INFORMIX environment file
SHELL=/bin/bash
export SHELL
#------- Upgrade the LD_LIBRARY_PATH
LD_LIBRARY_PATH="/opt/informix/lib:/opt/informix/lib/c++:/opt/informix/lib/cli:/opt/informix/lib/dmi:/opt/informix/lib/esql:/opt/informix/lib/tools:${LD_LIBRARY_PATH=}"
export LD_LIBRARY_PATH

export AUTO=AUTO
export FGLGUI=0
# Executando o espa0000
#export SQLDEBUG=3
#fglrun -d espa0000 7 'AUTO' 'S'
fglrun espa0000 0
# Formato: 
# fglrun espa0000 codigo_empresa AUTO lGravaLog


