package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCltbconc {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "Conceito", "White", null));
    labels.add(new LLabel(null, 3, 24, ": ", "White", null));
    labels.add(new LLabel(null, 4, 0, "Descricao", "White", null));
    labels.add(new LLabel(null, 4, 23, " : ", "White", null));
    labels.add(new LLabel(null, 5, 0, "Permissao Faturam.", "White", null));
    labels.add(new LLabel(null, 5, 24, ": ", "White", null));
    labels.add(new LLabel(null, 6, 0, "Atualiza Dados", "White", null));
    labels.add(new LLabel(null, 6, 24, ": ", "White", null));
    labels.add(new LLabel(null, 7, 0, "Envia Mala Direta", "White", null));
    labels.add(new LLabel(null, 7, 23, " : ", "White", null));
    labels.add(new LLabel(null, 8, 0, "Considera Orçamento/O.S :", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "conceito",
            3,
            27,
            2,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descrconceito",
            4,
            27,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "permissao",
            5,
            27,
            1,
            'U',
            null,
            "B=Bloqueado, V=Somente a vista, L=Liberado",
            false,
            null,
            "B:V:L",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "atualiza",
            6,
            27,
            1,
            'U',
            null,
            "S=Sim, N=Nao",
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "maladireta",
            7,
            27,
            1,
            'U',
            null,
            "S=Sim, N=Nao",
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "orcaberto",
            8,
            27,
            1,
            'U',
            null,
            "ConSIdera Orçamentos e O.S. Abertas no cálculo do limite de crédito disponível: S/N",
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
