package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCncotcab {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel("Label1", 1, 2, "Código Comlink:", "White", null));
    labels.add(new LLabel("Label11", 1, 41, "Número Cotação:", "White", null));
    labels.add(new LLabel("Label2", 2, 2, "Situação:", "White", null));
    labels.add(new LLabel("Label3", 3, 2, "Data da Situação:", "White", null));
    labels.add(new LLabel("Label4", 4, 2, "Número Orçamento:", "White", null));
    labels.add(new LLabel("lb119_1", 4, 30, "Agente:", "White", null));
    labels.add(new LLabel("lb120_1", 5, 2, "Observação:", "White", null));
    labels.add(new LLabel("lb29_2", 6, 2, "Valor Frete:", "White", null));
    labels.add(new LLabel("lb225", 7, 2, "Transportador:", "White", null));
    labels.add(new LLabel("Label5", 9, 2, "Data da Resposta:", "White", null));
    labels.add(new LLabel("Label6", 10, 2, "Prazo de Entrega:", "White", null));
    labels.add(new LLabel("Label7", 12, 2, "Local da Entrega:", "White", null));
    labels.add(new LLabel("Label8", 16, 2, "Código Condição Peças:", "White", null));
    labels.add(new LLabel("Label9", 17, 2, "Forma Remessa:", "White", null));
    labels.add(new LLabel("Label10", 18, 2, "Validade da Proposta:", "White", null));
    labels.add(new LLabel("Label12", 18, 23, "dias", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "numerocomlink",
            1,
            19,
            9,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "numerocotacao",
            1,
            57,
            20,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descstcotacao",
            2,
            19,
            11,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "dtstatus",
            3,
            19,
            19,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nroorcament",
            4,
            19,
            9,
            ' ',
            "#,###,##&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "idAgente",
            4,
            39,
            10,
            ' ',
            "#########&",
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nomeagente",
            4,
            50,
            33,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "obserorccapa",
            5,
            19,
            56,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "valorfrete",
            6,
            19,
            14,
            ' ',
            "###,##&.&&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "transnome",
            7,
            19,
            30,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "dataresposta",
            9,
            19,
            10,
            ' ',
            "dd/mm/yyyy",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "prazoentrega",
            10,
            19,
            3,
            ' ',
            "##&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "localentrega",
            13,
            6,
            70,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "codigocondicaopecas",
            16,
            19,
            4,
            ' ',
            "&&&",
            null,
            false,
            "ajudag",
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descricaocond",
            16,
            26,
            35,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "formaremessa",
            17,
            19,
            5,
            ' ',
            null,
            "F-FOB, C-CIF -  F=F-FOB C=C-CIF",
            false,
            null,
            "F=F-FOB:C=C-CIF",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "validadeproposta",
            18,
            19,
            3,
            ' ',
            "##&",
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
