package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCntpitem {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 3, 0, "Tipo Item", "White", null));
    labels.add(new LLabel(null, 3, 17, ": ", "White", null));
    labels.add(new LLabel(null, 3, 26, "Descricao", "White", null));
    labels.add(new LLabel(null, 3, 43, ": ", "White", null));
    labels.add(new LLabel(null, 4, 0, "Pede Codigo", "White", null));
    labels.add(new LLabel(null, 4, 17, ": ", "White", null));
    labels.add(new LLabel(null, 4, 26, "Exige Produto", "White", null));
    labels.add(new LLabel(null, 4, 43, ": ", "White", null));
    labels.add(new LLabel(null, 4, 52, "Exige Consumo", "White", null));
    labels.add(new LLabel(null, 4, 69, ": ", "White", null));
    labels.add(new LLabel(null, 5, 0, "Exige Servico", "White", null));
    labels.add(new LLabel(null, 5, 17, ": ", "White", null));
    labels.add(new LLabel(null, 5, 26, "Controla Tempo", "White", null));
    labels.add(new LLabel(null, 5, 42, " : ", "White", null));
    labels.add(new LLabel(null, 5, 52, "Tempo Automatico :", "White", null));
    labels.add(new LLabel(null, 6, 0, "Serv. Terceiro", "White", null));
    labels.add(new LLabel(null, 6, 16, " : ", "White", null));
    labels.add(new LLabel(null, 6, 26, "E'IPI Devolucao", "White", null));
    labels.add(new LLabel(null, 6, 43, ": ", "White", null));
    labels.add(new LLabel(null, 6, 52, "Ativo Fixo", "White", null));
    labels.add(new LLabel(null, 6, 68, " : ", "White", null));
    labels.add(new LLabel(null, 7, 0, "Exige Individual :", "White", null));
    labels.add(new LLabel(null, 7, 26, "Exige Modelo", "White", null));
    labels.add(new LLabel(null, 7, 42, " : ", "White", null));
    labels.add(new LLabel(null, 7, 52, "Material Consumo :", "White", null));
    labels.add(new LLabel(null, 8, 0, "Pede Tributacao", "White", null));
    labels.add(new LLabel(null, 8, 17, ": ", "White", null));
    labels.add(new LLabel(null, 8, 26, "Exige Cod.Tribut.:", "White", null));
    labels.add(new LLabel(null, 9, 0, "Pede Qtde", "White", null));
    labels.add(new LLabel(null, 9, 17, ": ", "White", null));
    labels.add(new LLabel(null, 9, 26, "Exige Qtde", "White", null));
    labels.add(new LLabel(null, 9, 42, " : ", "White", null));
    labels.add(new LLabel(null, 10, 0, "Pede Descricao", "White", null));
    labels.add(new LLabel(null, 10, 16, " : ", "White", null));
    labels.add(new LLabel(null, 10, 26, "Exige Descricao", "White", null));
    labels.add(new LLabel(null, 10, 43, ": ", "White", null));
    labels.add(new LLabel(null, 11, 0, "Pede Unidade", "White", null));
    labels.add(new LLabel(null, 11, 16, " : ", "White", null));
    labels.add(new LLabel(null, 11, 26, "Exige Unidade", "White", null));
    labels.add(new LLabel(null, 11, 43, ": ", "White", null));
    labels.add(new LLabel(null, 12, 0, "Pede Unitario", "White", null));
    labels.add(new LLabel(null, 12, 17, ": ", "White", null));
    labels.add(new LLabel(null, 12, 26, "Exige Unitario", "White", null));
    labels.add(new LLabel(null, 12, 42, " : ", "White", null));
    labels.add(new LLabel(null, 13, 0, "Pede Total", "White", null));
    labels.add(new LLabel(null, 13, 16, " : ", "White", null));
    labels.add(new LLabel(null, 13, 26, "Exige Total", "White", null));
    labels.add(new LLabel(null, 13, 43, ": ", "White", null));
    labels.add(new LLabel(null, 14, 0, "Pede Desconto", "White", null));
    labels.add(new LLabel(null, 14, 17, ": ", "White", null));
    labels.add(new LLabel(null, 14, 26, "Paga ISS", "White", null));
    labels.add(new LLabel(null, 14, 42, " : ", "White", null));
    labels.add(new LLabel(null, 15, 0, "Debito/Credito", "White", null));
    labels.add(new LLabel(null, 15, 16, " : ", "White", null));
    labels.add(new LLabel(null, 15, 26, "Ordem de Servico :", "White", null));
    labels.add(new LLabel(null, 16, 26, "Exige OS Entrada :", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "tpitem", 3, 20, 2, ' ', "#&", null, false, null, null, "0", false, true, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "descrtipoitem",
            3,
            46,
            20,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedecodigo",
            4,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeprodut",
            4,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeconsumo",
            4,
            72,
            2,
            ' ',
            null,
            "P=Produtos, S=Servicos, N=Nao",
            false,
            null,
            "P:S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeservico",
            5,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "controlatempo",
            5,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "regtempoautom",
            5,
            72,
            2,
            ' ',
            null,
            "S=Registra tempo automatico, N=Nao registra",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "terceiro",
            6,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao A=Terceiros Acessorios/Pecas",
            false,
            null,
            "S:N:A",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "ipi",
            6,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "ativofixo",
            6,
            72,
            2,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeindivi",
            7,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigemodelo",
            7,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "matconsumo",
            7,
            72,
            2,
            ' ',
            null,
            "S=Sim, N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedetribut",
            8,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigetribut",
            8,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedeqtde",
            9,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeqtde",
            9,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao U=Unitario",
            false,
            null,
            "S:N:U",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pededescr",
            10,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigedescr",
            10,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedeunidade",
            11,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeunidade",
            11,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedeunitario",
            12,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeunitario",
            12,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedetotal",
            13,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigetotal",
            13,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pededesconto",
            14,
            20,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pagaiss",
            14,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "debcred",
            15,
            20,
            1,
            ' ',
            null,
            "D=Debito C=Credito O=Nao Considerado",
            false,
            null,
            "D:C:O",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "trataos",
            15,
            46,
            1,
            ' ',
            null,
            "S=Sim N=Nao",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "exigeosentr",
            16,
            46,
            1,
            ' ',
            null,
            "Exige informar a OS quando for Servico de Terceiro ? ",
            false,
            null,
            "S:N",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
