package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCota0001lc {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();
    grupos.add(new LGroup("Group2", "Filtro", 2, 1, 126, 4));
    grupos.add(new LGroup("Group1", "Ações", 114, 11, 14, 8));

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel("Label15", 2, 2, "Status Cotação:", "White", "Group2"));
    labels.add(new LLabel("Label13", 2, 60, "Cliente:", "White", "Group2"));
    labels.add(new LLabel("Label14", 2, 91, "Número Cotação:", "White", "Group2"));
    labels.add(new LLabel("Label1", 11, 2, "Código Comlink:", "White", null));
    labels.add(new LLabel("Label4", 11, 34, "Número Cotação:", "White", null));
    labels.add(new LLabel("Label12", 11, 75, "Orçamento:", "White", null));
    labels.add(new LLabel("Label2", 12, 2, "Cliente:", "White", null));
    labels.add(new LLabel("Label11", 12, 75, "Código:", "White", null));
    labels.add(new LLabel("Label3", 13, 2, "Comprador:", "White", null));
    labels.add(new LLabel("Label5", 14, 2, "Endereço:", "White", null));
    labels.add(new LLabel("Label6", 15, 2, "Bairro:", "White", null));
    labels.add(new LLabel("Label9", 15, 66, "CEP:", "White", null));
    labels.add(new LLabel("Label7", 16, 2, "Cidade:", "White", null));
    labels.add(new LLabel("Label10", 16, 66, " / ", "White", null));
    labels.add(new LLabel("Label8", 17, 2, "Obervações:", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "combobox1",
            2,
            15,
            38,
            ' ',
            null,
            " 1=1-Abertas 2=2-Importadas 3=3-Respondidas/Baixadas",
            false,
            null,
            "1=1-Abertas:2=2-Importadas:3=3-Respondidas/Baixadas",
            null,
            false,
            false,
            null,
            "Group2",
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "cnpjfiltro",
            2,
            68,
            14,
            ' ',
            null,
            null,
            false,
            "ajudag",
            null,
            null,
            false,
            false,
            null,
            "Group2",
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nrocotacaofiltro",
            2,
            105,
            20,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            "Group2",
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "checkbox1",
            3,
            15,
            12,
            ' ',
            null,
            "Lista Vencidas",
            false,
            null,
            "CHECK",
            "N",
            false,
            false,
            null,
            "Group2",
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "numerocomlink",
            11,
            15,
            9,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "numerocotacao",
            11,
            47,
            20,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "nroorcament",
            11,
            85,
            28,
            ' ',
            "#,###,##&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "cnpj", 12, 15, 18, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "empresa", 12, 34, 40, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "codigocliente",
            12,
            85,
            13,
            ' ',
            "######&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comprador",
            13,
            15,
            40,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "endereco",
            14,
            15,
            50,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "endereconumero",
            14,
            66,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "bairro", 15, 15, 50, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "cep", 15, 72, 11, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "cidade", 16, 15, 50, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "uf", 16, 70, 3, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "observacoes",
            17,
            15,
            69,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista Table1 - formato de tabela
    List<LEntry> editsTable1 = new ArrayList<LEntry>();
    String[] cabTable1 = {"Cotação", "Cliente", "Publicação", "Validade", "Status", "Desde"};
    editsTable1.add(
        new LEntry(
            "aNumerocotacao",
            1,
            1,
            12,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "aEmpresa",
            1,
            13,
            37,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "aDatapublicacao",
            1,
            50,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "aValidade",
            1,
            60,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "stcotacao",
            1,
            70,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "dtstatus",
            1,
            80,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "Table1",
            6,
            2,
            5,
            89,
            cabTable1,
            editsTable1.toArray(new LEntry[editsTable1.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
