package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCota0001tb {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();
    grupos.add(new LGroup("Group1", "Condição de Pagamento", 2, 2, 70, 8));
    grupos.add(new LGroup("Group2", "Prazos de Entrega", 2, 10, 70, 8));

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel("Label1", 1, 2, "Cliente", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "cnpj", 1, 17, 18, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "empresa", 1, 37, 40, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista Table1 - formato de tabela
    List<LEntry> editsTable1 = new ArrayList<LEntry>();
    String[] cabTable1 = {"Código", "Descrição", "Ativo"};
    editsTable1.add(
        new LEntry(
            "codigocondicao",
            1,
            1,
            6,
            ' ',
            "#####&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "descricaocond",
            1,
            7,
            50,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "ativo", 1, 57, 3, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    listas.add(
        new LList(
            "Table1",
            3,
            2,
            5,
            59,
            cabTable1,
            editsTable1.toArray(new LEntry[editsTable1.size()]),
            "Group1",
            true));
    // lista Table2 - formato de tabela
    List<LEntry> editsTable2 = new ArrayList<LEntry>();
    String[] cabTable2 = {"Código", "Descrição"};
    editsTable2.add(
        new LEntry(
            "codigoprazo",
            1,
            1,
            6,
            ' ',
            "#####&",
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable2.add(
        new LEntry(
            "descricaoprz",
            1,
            7,
            50,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    listas.add(
        new LList(
            "Table2",
            3,
            2,
            5,
            56,
            cabTable2,
            editsTable2.toArray(new LEntry[editsTable2.size()]),
            "Group2",
            true));

    // cria a aba
    aba = new LAba("");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
