package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmCthistor {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Historico", "White", null));
    labels.add(new LLabel(null, 2, 17, ": ", "White", null));
    labels.add(new LLabel(null, 3, 0, "Sequencia", "White", null));
    labels.add(new LLabel(null, 3, 17, ": ", "White", null));
    labels.add(new LLabel(null, 3, 37, "ID_Histor:", "White", null));
    labels.add(new LLabel(null, 4, 0, "Descricao", "White", null));
    labels.add(new LLabel(null, 4, 17, ": ", "White", null));
    labels.add(new LLabel(null, 5, 0, "Complementos Automaticos: &TD", "White", null));
    labels.add(new LLabel(null, 5, 37, " - Tipo Docto/Titulo", "White", null));
    labels.add(new LLabel(null, 6, 26, "&NUMNFTICH", "White", null));
    labels.add(new LLabel(null, 6, 38, "- Numero NF/Titulo/Cheque(ate 10 Pos.)", "White", null));
    labels.add(new LLabel(null, 7, 26, "&NUMERNOTA", "White", null));
    labels.add(new LLabel(null, 7, 38, "- Numero NF/Titulo/Cheque(ate 10 Pos.)", "White", null));
    labels.add(new LLabel(null, 8, 26, "&SE", "White", null));
    labels.add(new LLabel(null, 8, 37, " - Serie da NF/Cheque", "White", null));
    labels.add(new LLabel(null, 9, 26, "&DATA_NOTA", "White", null));
    labels.add(new LLabel(null, 9, 38, "- Data da NF/Docto/Referencia", "White", null));
    labels.add(new LLabel(null, 10, 26, "&P", "White", null));
    labels.add(new LLabel(null, 10, 38, "- Numero da Parcela", "White", null));
    labels.add(new LLabel(null, 11, 26, "&NUMOS", "White", null));
    labels.add(new LLabel(null, 11, 38, "- Numero OS", "White", null));
    labels.add(new LLabel(null, 12, 26, "&BCO_AGENC", "White", null));
    labels.add(new LLabel(null, 12, 38, "- Numero do Banco/Agencia/Dig", "White", null));
    labels.add(new LLabel(null, 13, 26, "&CHASSIS", "White", null));
    labels.add(new LLabel(null, 13, 38, "- Chassis (Com 17 Posicoes)", "White", null));
    labels.add(new LLabel(null, 14, 26, "&FZVEICUL", "White", null));
    labels.add(
        new LLabel(null, 14, 37, " - FZ+Serie do Veic/Equi (Com 9 Posicoes)", "White", null));
    labels.add(new LLabel(null, 15, 0, "Pedir Complemento:", "White", null));
    labels.add(
        new LLabel(null, 15, 26, "&NOMEPESSOA - Nome Pessoa (Com 40 Posicoes)", "White", null));
    labels.add(new LLabel(null, 16, 0, "Tipo Lancamento", "White", null));
    labels.add(new LLabel(null, 16, 17, ": ", "White", null));
    labels.add(new LLabel(null, 16, 26, "&D", "White", null));
    labels.add(new LLabel(null, 16, 38, "- Numero Departamento (Com 2 Posicoes)", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "historico",
            2,
            20,
            4,
            ' ',
            "###&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "sequencia",
            3,
            20,
            2,
            ' ',
            "#&",
            null,
            false,
            null,
            null,
            "0",
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "id_histor",
            3,
            49,
            11,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "descrhistor",
            4,
            20,
            40,
            'U',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "pedecompl",
            15,
            20,
            1,
            'U',
            null,
            "S=Sim, N=Nao",
            false,
            null,
            null,
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "tplcto",
            16,
            20,
            1,
            'U',
            null,
            "D=Somente Debitos, C= Somente Creditos, A= Ambos",
            false,
            null,
            "D:C:A",
            null,
            false,
            true,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
