package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmEdij11061 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 1, "Periodo:", "White", null));
labels.add(new LLabel(null, 2, 23, "Ate", "White", null));
labels.add(new LLabel(null, 2, 43, "Quantidade de Documentos:", "White", null));
labels.add(new LLabel(null, 3, 1, "Bonus:", "White", null));
labels.add(new LLabel(null, 3, 14, "Numero Nota Fiscal:", "White", null));
labels.add(new LLabel(null, 3, 48, "Serie Nota Fiscal:", "White", null));
labels.add(new LLabel(null, 13, 27, "Chassi", "White", null));
labels.add(new LLabel(null, 13, 37, ":", "White", null));
labels.add(new LLabel(null, 14, 27, "Status", "White", null));
labels.add(new LLabel(null, 14, 37, ":", "White", null));
labels.add(new LLabel(null, 15, 27, "Ordenacao :", "White", null));
labels.add(new LLabel(null, 16, 27, "Filtro", "White", null));
labels.add(new LLabel(null, 16, 37, ":", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("dtini", 2, 11, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtfim", 2, 28, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("total", 2, 69, 6, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("bonus", 3, 11, 1, 'U', null, "S = Sim  ou  N = Nao", false, null, null, "S", false, false, null, null, null, false, null));
edits.add(new LEntry("nronotapesq", 3, 35, 11, ' ', "###,###,##&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("serienfpesq", 3, 68, 4, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("chassis", 13, 39, 21, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("stat", 14, 39, 36, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("orde", 15, 39, 36, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("filt", 16, 39, 36, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista ajNotas - formato de tabela
List<LEntry> editsAjnotas = new ArrayList<LEntry>();
String[] cabAjnotas = { 
"*", "S", "Fi", "Nro Nota", "Ser. I", "tem", "Data Emis.", "Cliente", "Vlr Bonus Prev"};
editsAjnotas.add(new LEntry("seleciona", 5, 2, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("status", 5, 4, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("filial", 5, 6, 3, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("nronota", 5, 10, 8, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("serienf", 5, 19, 5, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("nrolinha", 5, 25, 3, ' ', "##&", null, false, null, null, null, false, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("dtnota", 5, 29, 10, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("cgccpf", 5, 40, 20, ' ', "###&&,&&&,&&&&,&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("valorbonus", 5, 61, 14, ' ', "###,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("ajNotas", 4, 2, 7, 74, cabAjnotas, editsAjnotas.toArray(new LEntry[editsAjnotas.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
