package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmEdij11062 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 1, "Filial:", "White", null));
labels.add(new LLabel(null, 2, 15, "Periodo:", "White", null));
labels.add(new LLabel(null, 2, 37, "Ate", "White", null));
labels.add(new LLabel(null, 2, 57, "Qtde. Doc.:", "White", null));
labels.add(new LLabel(null, 3, 1, "Numero Nota Fiscal:", "White", null));
labels.add(new LLabel(null, 3, 35, "Serie Nota Fiscal:", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("filial", 2, 10, 3, ' ', null, "/Ajuda/ Filiais", false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtini", 2, 25, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dtfim", 2, 42, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("total", 2, 69, 6, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("nronotapesq", 3, 22, 11, ' ', "###,###,##&", null, false, null, null, "0", false, false, null, null, null, false, null));
edits.add(new LEntry("serienfpesq", 3, 55, 4, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista ajNotas - formato de tabela
List<LEntry> editsAjnotas = new ArrayList<LEntry>();
String[] cabAjnotas = { 
"CNPJ", "Return ID", "Vlr Bonus Prev", "Vlr Bonus"};
editsAjnotas.add(new LEntry("cnpj", 5, 2, 15, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("returnid", 5, 18, 9, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("valorbonus", 5, 28, 14, ' ', "###,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsAjnotas.add(new LEntry("valorbruto", 5, 43, 14, ' ', "###,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("ajNotas", 4, 2, 7, 56, cabAjnotas, editsAjnotas.toArray(new LEntry[editsAjnotas.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
