package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd10000 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();
grupos.add(new LGroup("Group1", "", 2, 1, 72, 8));

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel("Label5", 2, 2, "Nmero SG:", "White", "Group1"));
labels.add(new LLabel("Label8", 2, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label15", 2, 48, "Status SD:", "White", "Group1"));
labels.add(new LLabel("Label1", 3, 2, "Ordem Servio:", "White", "Group1"));
labels.add(new LLabel("Label12", 3, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label13", 3, 48, "Tipo OS:", "White", "Group1"));
labels.add(new LLabel("Label16", 4, 2, "Data Falha:", "White", "Group1"));
labels.add(new LLabel("Label17", 4, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label2", 5, 2, "Data Abertura:", "White", "Group1"));
labels.add(new LLabel("Label11", 5, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label3", 6, 2, "Data Fechamento:", "White", "Group1"));
labels.add(new LLabel("Label10", 6, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label4", 7, 2, "Cliente:", "White", "Group1"));
labels.add(new LLabel("Label9", 7, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label6", 8, 2, "Data Criao:", "White", "Group1"));
labels.add(new LLabel("Label7", 8, 32, "at", "White", "Group1"));
labels.add(new LLabel("Label14", 8, 48, "Status JD:", "White", "Group1"));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("nrosgini", 2, 15, 6, ' ', "#####&", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("nrosgfin", 2, 36, 6, ' ', "#####&", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("codStatusSd", 2, 56, 13, ' ', null, " 1=Aberto 2=Enviado 3=Aprovado 4=Rejeitado 5=Aguardando NF 6=Atualizou OS 7=Atualizou Credit Memo 8=Revisado C=Cancelado", false, null, "1=Aberto:2=Enviado:3=Aprovado:4=Rejeitado:5=Aguardando NF:6=Atualizou OS:7=Atualizou Credit Memo:8=Revisado:C=Cancelado", null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("ordemservini", 3, 15, 9, ' ', "########&", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("ordemservfin", 3, 36, 9, ' ', "########&", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("tpordem", 3, 56, 3, 'U', null, null, false, "ajudag", null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtFalhaini", 4, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtFalhafin", 4, 36, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtaberturaini", 5, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtaberturafin", 5, 36, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtfechamentini", 6, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtfechamentfin", 6, 36, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("cgccpfini", 7, 15, 14, ' ', "#############&", null, false, "ajudag", null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("cgccpffin", 7, 36, 14, ' ', "#############&", null, false, "ajudag", null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtCriacaoini", 8, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("dtCriacaofin", 8, 36, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("codStatusJd", 8, 56, 2, ' ', "#&", null, false, "ajudag", null, null, false, false, null, "Group1", null, false, null));
edits.add(new LEntry("envioNf", 9, 2, 25, ' ', null, "SG com informaes da NF Enviadas", false, null, "CHECK", "N", false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista tb2 - formato de tabela
List<LEntry> editsTb2 = new ArrayList<LEntry>();
String[] cabTb2 = { 
"Fil", "OS", "Tip", "Abertura", "Fechamento", "Cliente", "Nro SG", "Criao", "Status JD", "Status SD", "Data Falha"};
editsTb2.add(new LEntry("filial", 1, 1, 3, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTb2.add(new LEntry("ordemservbrw", 1, 4, 9, ' ', "########&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTb2.add(new LEntry("tpordembrw", 1, 13, 3, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("dtaberturabrw", 1, 16, 8, ' ', "dd/mm/yy", null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("dtfechamentbrw", 1, 24, 10, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("cgccpfbrw", 1, 34, 14, ' ', "#############&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("nrosgbrw", 1, 48, 6, ' ', "#####&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("dtCriacaobrw", 1, 54, 8, ' ', "dd/mm/yy", null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("codStatusJdbrw", 1, 62, 10, ' ', "#&", null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("codStatusSdbrw", 1, 72, 10, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTb2.add(new LEntry("dtFalha", 1, 82, 9, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
listas.add(new LList("tb2", 10, 2, 6, 90, cabTb2, editsTb2.toArray(new LEntry[editsTb2.size()]), null, true));

// cria a aba
aba = new LAba("");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
