package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd10002 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "Data Reparo", "White", null));
labels.add(new LLabel(null, 2, 13, " : ", "White", null));
labels.add(new LLabel(null, 2, 39, "Autorizacao :", "White", null));
labels.add(new LLabel(null, 3, 0, "SG Origem", "White", null));
labels.add(new LLabel(null, 3, 13, " : ", "White", null));
labels.add(new LLabel(null, 3, 25, "Altura Media Agarradeiras :", "White", null));
labels.add(new LLabel(null, 4, 0, "OS Atualizada :", "White", null));
labels.add(new LLabel(null, 4, 20, "NF Emitida :", "White", null));
labels.add(new LLabel(null, 4, 37, "Nro Nota :", "White", null));
labels.add(new LLabel(null, 4, 61, "Serie :", "White", null));
labels.add(new LLabel(null, 5, 20, "NF Enviada :", "White", null));
labels.add(new LLabel(null, 6, 9, "Totais", "White", null));
labels.add(new LLabel(null, 6, 52, "Contribuicao", "White", null));
labels.add(new LLabel(null, 6, 70, "%", "White", null));
labels.add(new LLabel(null, 7, 8, "Pecas :", "White", null));
labels.add(new LLabel(null, 7, 40, "Cliente :", "White", null));
labels.add(new LLabel(null, 8, 5, "Servicos :", "White", null));
labels.add(new LLabel(null, 8, 33, "Concessionaria :", "White", null));
labels.add(new LLabel(null, 9, 4, "Terceiros :", "White", null));
labels.add(new LLabel(null, 9, 38, "Montadora :", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("dt_reparo", 2, 17, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("cod_autorizacao", 2, 54, 20, 'U', null, null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("nrosg_ant", 3, 17, 6, ' ', "#####&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("altura_porca", 3, 54, 6, ' ', "#&.&&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("atualizou_os", 4, 17, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("nf_emitida", 4, 34, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("nronota", 4, 49, 9, ' ', "########&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("serienf", 4, 70, 4, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("envio_nf", 5, 34, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("ret_vlr_total", 6, 17, 14, ' ', "#######,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("percentual", 6, 72, 1, 'U', null, "S = Sim contribuicao por percentual, N = Nao contribuicao por valor", false, null, "S:N", "S", false, false, null, null, null, false, null));
edits.add(new LEntry("ret_vlr_peca", 7, 17, 14, ' ', "#######,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_vlr_cli", 7, 51, 14, ' ', "#######,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_perc_vlr_cli", 7, 68, 6, ' ', "##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ret_vlr_servico", 8, 17, 14, ' ', "#######,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_vlr_con", 8, 51, 14, ' ', "#######,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_perc_vlr_con", 8, 68, 6, ' ', "##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ret_vlr_terceiro", 9, 17, 14, ' ', "#######,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_vlr_fab", 9, 51, 14, ' ', "#######,##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("ret_aut_perc_vlr_fab", 9, 68, 6, ' ', "##&.&&", null, false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
