package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmGajd1001 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 3, 0, "Chassi", "White", null));
labels.add(new LLabel(null, 3, 12, ": ", "White", null));
labels.add(new LLabel(null, 5, 0, "Horimetro", "White", null));
labels.add(new LLabel(null, 5, 11, " : ", "White", null));
labels.add(new LLabel(null, 5, 30, "Cod. Industrial", "White", null));
labels.add(new LLabel(null, 6, 0, "Uso Final", "White", null));
labels.add(new LLabel(null, 6, 11, " : ", "White", null));
labels.add(new LLabel(null, 6, 30, "Status", "White", null));
labels.add(new LLabel(null, 7, 0, "Data Entrega:", "White", null));
labels.add(new LLabel(null, 7, 30, "Data Prev. 1º Uso", "White", null));
labels.add(new LLabel(null, 9, 0, "Proprietario:", "White", null));
labels.add(new LLabel(null, 10, 0, "Tipo", "White", null));
labels.add(new LLabel(null, 10, 12, ": ", "White", null));
labels.add(new LLabel(null, 11, 0, "End. Entrega:", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("chassis", 3, 15, 21, 'U', null, null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("horimetro", 5, 15, 6, ' ', "#####&", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("cod_industrial", 5, 49, 1, 'U', null, "A=Agricola & golf/jardinagem, I=Construção & florestal ou E=Motor oem", false, null, "A:I:E", "A", false, false, null, null, null, false, null));
edits.add(new LEntry("cod_uso_equip", 6, 15, 2, 'U', null, null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("descrusof", 6, 19, 9, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("new_used_rental", 6, 49, 6, 'U', null, "N = Novo, U = Usado ou A = Aluguel", false, null, "N:U:A", "N", false, false, null, null, null, false, null));
edits.add(new LEntry("dat_entrega", 7, 15, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("dat_previsao", 7, 49, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("cgccpf", 9, 15, 14, ' ', "#############&", null, false, "ajudag", null, "0", false, true, null, null, null, false, null));
edits.add(new LEntry("tppessoa", 9, 31, 1, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("nomepessoa", 9, 34, 40, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("cod_tip_cliente", 10, 15, 2, 'U', null, null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("descricao_tip_cliente", 10, 19, 24, ' ', null, null, false, null, null, null, true, true, null, null, null, false, null));
edits.add(new LEntry("seqendereco", 11, 15, 2, ' ', "&&", null, false, "ajudag", null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
