package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmHCipessoa {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "Nome :", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("ajuda", 2, 8, 40, 'U', null, "Digite parte do nome para pesquisa", false, null, null, null, false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista ajPessoa - formato de tabela
List<LEntry> editsAjpessoa = new ArrayList<LEntry>();
String[] cabAjpessoa = { 
"CNPJ / CPF", "T", "Razo Social / Nome", "Nome Fantasia"};
editsAjpessoa.add(new LEntry("cgccpf", 5, 1, 14, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsAjpessoa.add(new LEntry("tppessoa", 5, 16, 1, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsAjpessoa.add(new LEntry("nomepessoa", 5, 18, 40, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsAjpessoa.add(new LEntry("nomeguerra", 5, 59, 17, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
listas.add(new LList("ajPessoa", 4, 1, 8, 76, cabAjpessoa, editsAjpessoa.toArray(new LEntry[editsAjpessoa.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
