package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdcg03003 {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 12, 0, "Resumo", "White", null));
    labels.add(new LLabel(null, 13, 0, "Vendido Para", "White", null));
    labels.add(new LLabel(null, 13, 14, " : ", "White", null));
    labels.add(new LLabel(null, 14, 0, "Enviado Para", "White", null));
    labels.add(new LLabel(null, 14, 14, " : ", "White", null));
    labels.add(new LLabel(null, 15, 0, "Tipo de Venda", "White", null));
    labels.add(new LLabel(null, 15, 15, ": ", "White", null));
    labels.add(new LLabel(null, 16, 0, "Nro. Cotação", "White", null));
    labels.add(new LLabel(null, 16, 14, " : ", "White", null));
    labels.add(new LLabel(null, 16, 30, "Status da Cotação :", "White", null));
    labels.add(new LLabel(null, 17, 0, "Comar", "White", null));
    labels.add(new LLabel(null, 17, 15, ": ", "White", null));
    labels.add(new LLabel(null, 18, 0, "ORSD", "White", null));
    labels.add(new LLabel(null, 18, 14, " : ", "White", null));
    labels.add(new LLabel(null, 19, 0, "FDD", "White", null));
    labels.add(new LLabel(null, 19, 15, ": ", "White", null));
    labels.add(new LLabel(null, 20, 0, "RDD", "White", null));
    labels.add(new LLabel(null, 20, 15, ": ", "White", null));
    labels.add(new LLabel(null, 21, 0, "OFDD", "White", null));
    labels.add(new LLabel(null, 21, 14, " : ", "White", null));
    labels.add(new LLabel(null, 22, 0, "Data Produção", "White", null));
    labels.add(new LLabel(null, 22, 15, ": ", "White", null));
    labels.add(new LLabel(null, 23, 0, "Modelo", "White", null));
    labels.add(new LLabel(null, 23, 14, " : ", "White", null));
    labels.add(new LLabel(null, 23, 28, "Descrição :", "White", null));
    labels.add(new LLabel(null, 24, 0, "Preço Total", "White", null));
    labels.add(new LLabel(null, 24, 15, ": ", "White", null));
    labels.add(new LLabel(null, 25, 0, "Frete", "White", null));
    labels.add(new LLabel(null, 25, 15, ": ", "White", null));
    labels.add(new LLabel(null, 26, 0, "Valor Comissão :", "White", null));
    labels.add(new LLabel(null, 27, 0, "Total impostos :", "White", null));
    labels.add(new LLabel(null, 28, 0, "Chassi", "White", null));
    labels.add(new LLabel(null, 28, 14, " : ", "White", null));
    labels.add(new LLabel(null, 30, 0, "Configuração", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "soldaccount",
            13,
            18,
            61,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "shipaccount",
            14,
            18,
            61,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "ordtyp", 15, 18, 16, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "quotenumber",
            16,
            18,
            10,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "quotingstatuscode",
            16,
            50,
            29,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "comar", 17, 18, 10, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "ORSD", 18, 18, 15, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "FDD", 19, 18, 15, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "RDD", 20, 18, 15, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "OFDD", 21, 18, 15, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "DPRD", 22, 18, 15, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "ordercode",
            23,
            18,
            8,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "ordercodedescription",
            23,
            41,
            38,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "orderTotPrc",
            24,
            18,
            15,
            ' ',
            "###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "orderFrt",
            25,
            18,
            15,
            ' ',
            "###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "orderComsn",
            26,
            18,
            15,
            ' ',
            "###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "orderTotTax",
            27,
            18,
            15,
            ' ',
            "###,###,##&.&&",
            null,
            false,
            null,
            null,
            "0",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "chassis", 28, 18, 15, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "configuracao",
            31,
            1,
            78,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "configuracao2",
            32,
            1,
            78,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "configuracao3",
            33,
            1,
            78,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista tabTelaHistorico - formato de tabela
    List<LEntry> editsTabtelahistorico = new ArrayList<LEntry>();
    String[] cabTabtelahistorico = {
      "Nome Arquivo",
      "Data Alteração",
      "Data Importação",
      "Cotação",
      "Status Cotação",
      "Comar",
      "Status"
    };
    editsTabtelahistorico.add(
        new LEntry(
            "tab_nomearquivo",
            4,
            1,
            19,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_datageracao",
            4,
            21,
            16,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_dataimportacao",
            4,
            38,
            19,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_quotenumber",
            4,
            58,
            9,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_quotingstatuscode",
            4,
            68,
            16,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_comar",
            4,
            85,
            9,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTabtelahistorico.add(
        new LEntry(
            "tab_orderStatus",
            4,
            95,
            7,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            ";PENDENTE DE DE-PARA=yellow;PENDENTE DE AVALIACAO DE USADO=yellow;PRONTO PARA GERAR PEDIDO=blue;PEDIDO GERADO=green;NAO ATUALIZADO=red"));
    listas.add(
        new LList(
            "tabTelaHistorico",
            3,
            1,
            7,
            102,
            cabTabtelahistorico,
            editsTabtelahistorico.toArray(new LEntry[editsTabtelahistorico.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
