package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdqu00002 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 3, 0, "Filial", "White", null));
labels.add(new LLabel(null, 3, 16, " : ", "White", null));
labels.add(new LLabel(null, 3, 71, "DN:", "White", null));
labels.add(new LLabel(null, 4, 0, "Data Modificação :", "White", null));
labels.add(new LLabel(null, 4, 32, "ate", "White", null));
labels.add(new LLabel(null, 5, 0, "Nro. Pedido", "White", null));
labels.add(new LLabel(null, 5, 17, ": ", "White", null));
labels.add(new LLabel(null, 16, 0, "Tecle <ENTER/ACEITAR> p/Marcar-Desmarcar, clique em <TODOS> para Marcar/Desmarcar todos <CONCLUIR> p/ importar as cotações marcadas", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("filial", 3, 20, 2, ' ', "&&", "Informar o código da filial", false, "ajudag", null, "1", false, false, null, null, null, false, null));
edits.add(new LEntry("dsfilial", 3, 24, 45, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("inscricao", 3, 76, 16, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("dtmodifini", 4, 20, 10, ' ', "dd/mm/yyyy", null, false, null, null, "today", false, false, null, null, null, false, null));
edits.add(new LEntry("dtmodiffin", 4, 37, 10, ' ', "dd/mm/yyyy", null, false, null, null, "today", false, false, null, null, null, false, null));
edits.add(new LEntry("num_cotacao", 5, 20, 15, ' ', "##############&", "Informar o numero do pedido", false, null, null, "0", false, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();

// cria listas
listas = new ArrayList<LList>();
// lista tabTela - formato de tabela
List<LEntry> editsTabtela = new ArrayList<LEntry>();
String[] cabTabtela = { 
"S/", "N Pedido", "Cotação", "Vendedor", "Cliente", "Assinatura", "Vencimento", "Valor", "Status JD", "Situação"};
editsTabtela.add(new LEntry("selecao", 8, 1, 1, 'U', null, null, false, null, "S:N", "N", false, false, null, null, null, false, null));
editsTabtela.add(new LEntry("pedido", 8, 3, 10, ' ', "##############&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("cotacao", 8, 14, 10, ' ', "##############&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("vendedor", 8, 25, 10, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("cliente", 8, 36, 10, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("dtassinatura", 8, 47, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("dtvencimento", 8, 58, 10, ' ', "dd/mm/yyyy", null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("valor", 8, 69, 10, ' ', "###,###,###,##&.&&", null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("status", 8, 80, 10, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
editsTabtela.add(new LEntry("situacao", 8, 91, 11, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
listas.add(new LList("tabTela", 7, 1, 8, 102, cabTabtela, editsTabtela.toArray(new LEntry[editsTabtela.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
