package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmJdqu04007 {

public LForm open() throws IOException {

List<LAba> abas = new ArrayList<LAba>();
List<LGroup> grupos;
List<LEntry> edits;
List<LLabel> labels;
List<LList> listas;
List<LWidgetButton> buttons;
LAba aba;


// cria grupos
grupos = new ArrayList<LGroup>();

// cria labels
labels = new ArrayList<LLabel>();
labels.add(new LLabel(null, 2, 0, "DE (Modelo JD)", "White", null));
labels.add(new LLabel(null, 3, 1, "Cod. Base:", "White", null));
labels.add(new LLabel(null, 4, 1, "Descrio:", "White", null));
labels.add(new LLabel(null, 5, 1, "N. Serie/Chassis:", "White", null));
labels.add(new LLabel(null, 7, 0, "Opicionais:", "White", null));
labels.add(new LLabel(null, 17, 0, "PARA (Modelo DMS)", "White", null));
labels.add(new LLabel(null, 18, 1, "Cd. Modelo:", "White", null));
labels.add(new LLabel(null, 19, 1, "Cd. Fbrica:", "White", null));
labels.add(new LLabel(null, 20, 1, "Descrio:", "White", null));

// cria edits
edits = new ArrayList<LEntry>();
edits.add(new LEntry("de_basecode", 3, 19, 30, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_descricao", 4, 19, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("de_chassis", 5, 19, 22, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_modelo", 18, 15, 21, 'U', null, null, false, "ajudag", null, null, false, false, null, null, null, false, null));
edits.add(new LEntry("para_codigomodelo", 19, 15, 21, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));
edits.add(new LEntry("para_descrmodelo", 20, 15, 37, ' ', null, null, false, null, null, null, true, false, null, null, null, false, null));

// cria buttons
buttons = new ArrayList<LWidgetButton>();
buttons.add(new LWidgetButton("bt13", null, "F13", 18, 40));

// cria listas
listas = new ArrayList<LList>();
// lista tabOpc - formato de tabela
List<LEntry> editsTabopc = new ArrayList<LEntry>();
String[] cabTabopc = { 
"Cdigo", "Descrio"};
editsTabopc.add(new LEntry("code", 9, 1, 6, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
editsTabopc.add(new LEntry("description", 9, 8, 52, ' ', null, null, false, null, null, null, false, false, null, null, null, false, null));
listas.add(new LList("tabOpc", 8, 1, 7, 60, cabTabopc, editsTabopc.toArray(new LEntry[editsTabopc.size()]), null, true));

// cria a aba
aba = new LAba("null");
aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
aba.setLabels(labels.toArray(new LLabel[labels.size()]));
aba.setEntries(edits.toArray(new LEntry[edits.size()]));
aba.setLists(listas.toArray(new LList[listas.size()]));
aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
abas.add(aba);

return new LForm(abas);
}
}
