package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmPedc0600jdd {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();

    // cria edits
    edits = new ArrayList<LEntry>();

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();
    // lista Table1 - formato de tabela
    List<LEntry> editsTable1 = new ArrayList<LEntry>();
    String[] cabTable1 = {
      "Produto", "Qtde. Anterior", "Qtde. Atualizada", "Status", "Ação", "Código"
    };
    editsTable1.add(
        new LEntry(
            "produto", 1, 1, 13, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTable1.add(
        new LEntry(
            "quantidadeanterior",
            1,
            14,
            11,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "quantidadenova",
            1,
            25,
            12,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    editsTable1.add(
        new LEntry(
            "status", 1, 37, 14, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTable1.add(
        new LEntry(
            "acao", 1, 51, 16, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    editsTable1.add(
        new LEntry(
            "codigo", 1, 67, 16, ' ', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    listas.add(
        new LList(
            "Table1",
            3,
            2,
            10,
            82,
            cabTable1,
            editsTable1.toArray(new LEntry[editsTable1.size()]),
            null,
            true));

    // cria a aba
    aba = new LAba("");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
