package br.com.linx.sisdia.forms;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import br.com.linx.sisdia.componentes.*;

public class FrmServMail {

  public LForm open() throws IOException {

    List<LAba> abas = new ArrayList<LAba>();
    List<LGroup> grupos;
    List<LEntry> edits;
    List<LLabel> labels;
    List<LList> listas;
    List<LWidgetButton> buttons;
    LAba aba;

    // cria grupos
    grupos = new ArrayList<LGroup>();

    // cria labels
    labels = new ArrayList<LLabel>();
    labels.add(new LLabel(null, 2, 0, "Filial", "White", null));
    labels.add(new LLabel(null, 2, 20, ": ", "White", null));
    labels.add(new LLabel(null, 3, 0, "Servidor", "White", null));
    labels.add(new LLabel(null, 3, 20, ": ", "White", null));
    labels.add(new LLabel(null, 4, 0, "Porta", "White", null));
    labels.add(new LLabel(null, 4, 19, " : ", "White", null));
    labels.add(new LLabel(null, 5, 0, "Tls", "White", null));
    labels.add(new LLabel(null, 5, 19, " : ", "White", null));
    labels.add(new LLabel(null, 6, 0, "Ssl", "White", null));
    labels.add(new LLabel(null, 6, 19, " : ", "White", null));
    labels.add(new LLabel(null, 7, 0, "Usuario", "White", null));
    labels.add(new LLabel(null, 7, 19, " : ", "White", null));
    labels.add(new LLabel(null, 8, 0, "Senha", "White", null));
    labels.add(new LLabel(null, 8, 19, " : ", "White", null));
    labels.add(new LLabel(null, 9, 0, "Confirmar Senha", "White", null));
    labels.add(new LLabel(null, 9, 19, " : ", "White", null));

    // cria edits
    edits = new ArrayList<LEntry>();
    edits.add(
        new LEntry(
            "filial", 2, 23, 3, ' ', null, null, false, null, null, null, true, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "nomempresa",
            2,
            29,
            44,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            true,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "servidor",
            3,
            23,
            50,
            ' ',
            null,
            null,
            false,
            null,
            null,
            null,
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "porta", 4, 23, 5, ' ', "####&", null, false, null, null, "0", false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "tls",
            5,
            23,
            4,
            'U',
            null,
            "Confere segurança para a comunicação na Internet - Sim ou  Não",
            false,
            null,
            "S:N",
            "N",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "ssl",
            6,
            23,
            4,
            'U',
            null,
            "Confere segurança para a comunicação na Internet - Sim ou  Não",
            false,
            null,
            "S:N",
            "N",
            false,
            false,
            null,
            null,
            null,
            false,
            null));
    edits.add(
        new LEntry(
            "usuario", 7, 23, 50, ' ', null, null, false, null, null, null, false, false, null,
            null, null, false, null));
    edits.add(
        new LEntry(
            "senha1", 8, 23, 50, 'P', null, null, false, null, null, null, false, false, null, null,
            null, false, null));
    edits.add(
        new LEntry(
            "senha2", 9, 23, 50, 'P', null, null, false, null, null, null, false, false, null, null,
            null, false, null));

    // cria buttons
    buttons = new ArrayList<LWidgetButton>();

    // cria listas
    listas = new ArrayList<LList>();

    // cria a aba
    aba = new LAba("null");
    aba.setGroups(grupos.toArray(new LGroup[grupos.size()]));
    aba.setLabels(labels.toArray(new LLabel[labels.size()]));
    aba.setEntries(edits.toArray(new LEntry[edits.size()]));
    aba.setLists(listas.toArray(new LList[listas.size()]));
    aba.setButtons(buttons.toArray(new LWidgetButton[buttons.size()]));
    abas.add(aba);

    return new LForm(abas);
  }
}
