package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabBgsaldos {
@Coluna(nome="bgsaldos.id_saldos", tipo="int")
private int idSaldos;
private boolean idSaldosNull;
@Coluna(nome="bgsaldos.id_despes", tipo="int")
private int idDespes;
private boolean idDespesNull;
@Coluna(nome="bgsaldos.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="bgsaldos.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="bgsaldos.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="bgsaldos.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="bgsaldos.saldooriginal", tipo="double")
private double saldooriginal;
private boolean saldooriginalNull;
@Coluna(nome="bgsaldos.saldorealocpos", tipo="double")
private double saldorealocpos;
private boolean saldorealocposNull;
@Coluna(nome="bgsaldos.saldorealocneg", tipo="double")
private double saldorealocneg;
private boolean saldorealocnegNull;
@Coluna(nome="bgsaldos.saldoempenho", tipo="double")
private double saldoempenho;
private boolean saldoempenhoNull;
@Coluna(nome="bgsaldos.saldorealizado", tipo="double")
private double saldorealizado;
private boolean saldorealizadoNull;

public TabBgsaldos() {
initialize();
}

public void initialize() {
setIdSaldos(null);
setIdDespes(null);
setIdDeptos(null);
setAnomes(null);
setCgccpf(null);
setTppessoa(null);
setSaldooriginal(null);
setSaldorealocpos(null);
setSaldorealocneg(null);
setSaldoempenho(null);
setSaldorealizado(null);
}

public TabBgsaldos(int idSaldos, int idDespes, int idDeptos, FglDateTimeYM anomes, long cgccpf, int tppessoa, double saldooriginal, double saldorealocpos, double saldorealocneg, double saldoempenho, double saldorealizado) {
this.idSaldos = idSaldos;
this.idDespes = idDespes;
this.idDeptos = idDeptos;
this.anomes = anomes;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.saldooriginal = saldooriginal;
this.saldorealocpos = saldorealocpos;
this.saldorealocneg = saldorealocneg;
this.saldoempenho = saldoempenho;
this.saldorealizado = saldorealizado;
}

public int getIdSaldos() {
return idSaldos;
}

public boolean isIdSaldosNull() {
return idSaldosNull;
}

public void setIdSaldos(Integer idSaldos) {
if (idSaldos == null) {
idSaldosNull = true;
this.idSaldos = 0;
} else { 
idSaldosNull = false;
this.idSaldos = idSaldos;
}
}

public int getIdDespes() {
return idDespes;
}

public boolean isIdDespesNull() {
return idDespesNull;
}

public void setIdDespes(Integer idDespes) {
if (idDespes == null) {
idDespesNull = true;
this.idDespes = 0;
} else { 
idDespesNull = false;
this.idDespes = idDespes;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getSaldooriginal() {
return saldooriginal;
}

public boolean isSaldooriginalNull() {
return saldooriginalNull;
}

public void setSaldooriginal(int saldooriginal) {
setSaldooriginal(new Double(saldooriginal));
}

public void setSaldooriginal(long saldooriginal) {
setSaldooriginal(new Double(saldooriginal));
}

public void setSaldooriginal(Double saldooriginal) {
if (saldooriginal == null) {
saldooriginalNull = true;
this.saldooriginal = 0.;
} else { 
saldooriginalNull = false;
this.saldooriginal = FglDouble.round(saldooriginal, 2);
}
}

public double getSaldorealocpos() {
return saldorealocpos;
}

public boolean isSaldorealocposNull() {
return saldorealocposNull;
}

public void setSaldorealocpos(int saldorealocpos) {
setSaldorealocpos(new Double(saldorealocpos));
}

public void setSaldorealocpos(long saldorealocpos) {
setSaldorealocpos(new Double(saldorealocpos));
}

public void setSaldorealocpos(Double saldorealocpos) {
if (saldorealocpos == null) {
saldorealocposNull = true;
this.saldorealocpos = 0.;
} else { 
saldorealocposNull = false;
this.saldorealocpos = FglDouble.round(saldorealocpos, 2);
}
}

public double getSaldorealocneg() {
return saldorealocneg;
}

public boolean isSaldorealocnegNull() {
return saldorealocnegNull;
}

public void setSaldorealocneg(int saldorealocneg) {
setSaldorealocneg(new Double(saldorealocneg));
}

public void setSaldorealocneg(long saldorealocneg) {
setSaldorealocneg(new Double(saldorealocneg));
}

public void setSaldorealocneg(Double saldorealocneg) {
if (saldorealocneg == null) {
saldorealocnegNull = true;
this.saldorealocneg = 0.;
} else { 
saldorealocnegNull = false;
this.saldorealocneg = FglDouble.round(saldorealocneg, 2);
}
}

public double getSaldoempenho() {
return saldoempenho;
}

public boolean isSaldoempenhoNull() {
return saldoempenhoNull;
}

public void setSaldoempenho(int saldoempenho) {
setSaldoempenho(new Double(saldoempenho));
}

public void setSaldoempenho(long saldoempenho) {
setSaldoempenho(new Double(saldoempenho));
}

public void setSaldoempenho(Double saldoempenho) {
if (saldoempenho == null) {
saldoempenhoNull = true;
this.saldoempenho = 0.;
} else { 
saldoempenhoNull = false;
this.saldoempenho = FglDouble.round(saldoempenho, 2);
}
}

public double getSaldorealizado() {
return saldorealizado;
}

public boolean isSaldorealizadoNull() {
return saldorealizadoNull;
}

public void setSaldorealizado(int saldorealizado) {
setSaldorealizado(new Double(saldorealizado));
}

public void setSaldorealizado(long saldorealizado) {
setSaldorealizado(new Double(saldorealizado));
}

public void setSaldorealizado(Double saldorealizado) {
if (saldorealizado == null) {
saldorealizadoNull = true;
this.saldorealizado = 0.;
} else { 
saldorealizadoNull = false;
this.saldorealizado = FglDouble.round(saldorealizado, 2);
}
}

}

