package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabBmwServicoSplit {
@Coluna(nome="bmw_servico_split.order_number", tipo="int")
private int orderNumber;
private boolean orderNumberNull;
@Coluna(nome="bmw_servico_split.job_identifier", tipo="int")
private int jobIdentifier;
private boolean jobIdentifierNull;
@Coluna(nome="bmw_servico_split.flat_rate_number", tipo="String")
private String flatRateNumber;
@Coluna(nome="bmw_servico_split.cost_unit", tipo="String")
private String costUnit;
@Coluna(nome="bmw_servico_split.percentage", tipo="double")
private double percentage;
private boolean percentageNull;
@Coluna(nome="bmw_servico_split.customer_number", tipo="double")
private double customerNumber;
private boolean customerNumberNull;

public TabBmwServicoSplit() {
initialize();
}

public void initialize() {
setOrderNumber(null);
setJobIdentifier(null);
setFlatRateNumber(null);
setCostUnit(null);
setPercentage(null);
setCustomerNumber(null);
}

public TabBmwServicoSplit(int orderNumber, int jobIdentifier, String flatRateNumber, String costUnit, double percentage, double customerNumber) {
this.orderNumber = orderNumber;
this.jobIdentifier = jobIdentifier;
this.flatRateNumber = flatRateNumber;
this.costUnit = costUnit;
this.percentage = percentage;
this.customerNumber = customerNumber;
}

public int getOrderNumber() {
return orderNumber;
}

public boolean isOrderNumberNull() {
return orderNumberNull;
}

public void setOrderNumber(Integer orderNumber) {
if (orderNumber == null) {
orderNumberNull = true;
this.orderNumber = 0;
} else { 
orderNumberNull = false;
this.orderNumber = orderNumber;
}
}

public int getJobIdentifier() {
return jobIdentifier;
}

public boolean isJobIdentifierNull() {
return jobIdentifierNull;
}

public void setJobIdentifier(Integer jobIdentifier) {
if (jobIdentifier == null) {
jobIdentifierNull = true;
this.jobIdentifier = 0;
} else { 
jobIdentifierNull = false;
this.jobIdentifier = jobIdentifier;
}
}

public String getFlatRateNumber() {
return flatRateNumber;
}

public void setFlatRateNumber(String flatRateNumber) {
this.flatRateNumber = flatRateNumber;
}

public String getCostUnit() {
return costUnit;
}

public void setCostUnit(String costUnit) {
this.costUnit = costUnit;
}

public double getPercentage() {
return percentage;
}

public boolean isPercentageNull() {
return percentageNull;
}

public void setPercentage(int percentage) {
setPercentage(new Double(percentage));
}

public void setPercentage(long percentage) {
setPercentage(new Double(percentage));
}

public void setPercentage(Double percentage) {
if (percentage == null) {
percentageNull = true;
this.percentage = 0.;
} else { 
percentageNull = false;
this.percentage = percentage;
}
}

public double getCustomerNumber() {
return customerNumber;
}

public boolean isCustomerNumberNull() {
return customerNumberNull;
}

public void setCustomerNumber(int customerNumber) {
setCustomerNumber(new Double(customerNumber));
}

public void setCustomerNumber(long customerNumber) {
setCustomerNumber(new Double(customerNumber));
}

public void setCustomerNumber(Double customerNumber) {
if (customerNumber == null) {
customerNumberNull = true;
this.customerNumber = 0.;
} else { 
customerNumberNull = false;
this.customerNumber = customerNumber;
}
}

}

