package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabBmwSolicitacao {
@Coluna(nome="bmw_solicitacao.order_number", tipo="int")
private int orderNumber;
private boolean orderNumberNull;
@Coluna(nome="bmw_solicitacao.job_identifier", tipo="int")
private int jobIdentifier;
private boolean jobIdentifierNull;
@Coluna(nome="bmw_solicitacao.description", tipo="String")
private String description;
@Coluna(nome="bmw_solicitacao.repeated_repair", tipo="String")
private String repeatedRepair;

public TabBmwSolicitacao() {
initialize();
}

public void initialize() {
setOrderNumber(null);
setJobIdentifier(null);
setDescription(null);
setRepeatedRepair(null);
}

public TabBmwSolicitacao(int orderNumber, int jobIdentifier, String description, String repeatedRepair) {
this.orderNumber = orderNumber;
this.jobIdentifier = jobIdentifier;
this.description = description;
this.repeatedRepair = repeatedRepair;
}

public int getOrderNumber() {
return orderNumber;
}

public boolean isOrderNumberNull() {
return orderNumberNull;
}

public void setOrderNumber(Integer orderNumber) {
if (orderNumber == null) {
orderNumberNull = true;
this.orderNumber = 0;
} else { 
orderNumberNull = false;
this.orderNumber = orderNumber;
}
}

public int getJobIdentifier() {
return jobIdentifier;
}

public boolean isJobIdentifierNull() {
return jobIdentifierNull;
}

public void setJobIdentifier(Integer jobIdentifier) {
if (jobIdentifier == null) {
jobIdentifierNull = true;
this.jobIdentifier = 0;
} else { 
jobIdentifierNull = false;
this.jobIdentifier = jobIdentifier;
}
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

public String getRepeatedRepair() {
return repeatedRepair;
}

public void setRepeatedRepair(String repeatedRepair) {
this.repeatedRepair = repeatedRepair;
}

}

