package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabBncomuni {
@Coluna(nome="bncomuni.chassis", tipo="String")
private String chassis;
@Coluna(nome="bncomuni.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="bncomuni.locvlrbon", tipo="double")
private double locvlrbon;
private boolean locvlrbonNull;
@Coluna(nome="bncomuni.locvlrirrf", tipo="double")
private double locvlrirrf;
private boolean locvlrirrfNull;
@Coluna(nome="bncomuni.locdtreceb", tipo="FglDate")
private FglDate locdtreceb;
@Coluna(nome="bncomuni.venvlrbon", tipo="double")
private double venvlrbon;
private boolean venvlrbonNull;
@Coluna(nome="bncomuni.venvlrirrf", tipo="double")
private double venvlrirrf;
private boolean venvlrirrfNull;
@Coluna(nome="bncomuni.vendtreceb", tipo="FglDate")
private FglDate vendtreceb;
@Coluna(nome="bncomuni.comvlrcom", tipo="double")
private double comvlrcom;
private boolean comvlrcomNull;
@Coluna(nome="bncomuni.comvlrirrf", tipo="double")
private double comvlrirrf;
private boolean comvlrirrfNull;
@Coluna(nome="bncomuni.comdtreceb", tipo="FglDate")
private FglDate comdtreceb;
@Coluna(nome="bncomuni.atavlrreceb", tipo="double")
private double atavlrreceb;
private boolean atavlrrecebNull;
@Coluna(nome="bncomuni.atadtreceb", tipo="FglDate")
private FglDate atadtreceb;
@Coluna(nome="bncomuni.varvlrreceb", tipo="double")
private double varvlrreceb;
private boolean varvlrrecebNull;
@Coluna(nome="bncomuni.vardtvarejo", tipo="FglDate")
private FglDate vardtvarejo;
@Coluna(nome="bncomuni.vardtreceb", tipo="FglDate")
private FglDate vardtreceb;
@Coluna(nome="bncomuni.stavlrreceb", tipo="double")
private double stavlrreceb;
private boolean stavlrrecebNull;
@Coluna(nome="bncomuni.stadtreceb", tipo="FglDate")
private FglDate stadtreceb;
@Coluna(nome="bncomuni.espvlrreceb", tipo="double")
private double espvlrreceb;
private boolean espvlrrecebNull;
@Coluna(nome="bncomuni.espdtreceb", tipo="FglDate")
private FglDate espdtreceb;

public TabBncomuni() {
initialize();
}

public void initialize() {
setChassis(null);
setIdNfcapa(null);
setLocvlrbon(null);
setLocvlrirrf(null);
setLocdtreceb(null);
setVenvlrbon(null);
setVenvlrirrf(null);
setVendtreceb(null);
setComvlrcom(null);
setComvlrirrf(null);
setComdtreceb(null);
setAtavlrreceb(null);
setAtadtreceb(null);
setVarvlrreceb(null);
setVardtvarejo(null);
setVardtreceb(null);
setStavlrreceb(null);
setStadtreceb(null);
setEspvlrreceb(null);
setEspdtreceb(null);
}

public TabBncomuni(String chassis, int idNfcapa, double locvlrbon, double locvlrirrf, FglDate locdtreceb, double venvlrbon, double venvlrirrf, FglDate vendtreceb, double comvlrcom, double comvlrirrf, FglDate comdtreceb, double atavlrreceb, FglDate atadtreceb, double varvlrreceb, FglDate vardtvarejo, FglDate vardtreceb, double stavlrreceb, FglDate stadtreceb, double espvlrreceb, FglDate espdtreceb) {
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.locvlrbon = locvlrbon;
this.locvlrirrf = locvlrirrf;
this.locdtreceb = locdtreceb;
this.venvlrbon = venvlrbon;
this.venvlrirrf = venvlrirrf;
this.vendtreceb = vendtreceb;
this.comvlrcom = comvlrcom;
this.comvlrirrf = comvlrirrf;
this.comdtreceb = comdtreceb;
this.atavlrreceb = atavlrreceb;
this.atadtreceb = atadtreceb;
this.varvlrreceb = varvlrreceb;
this.vardtvarejo = vardtvarejo;
this.vardtreceb = vardtreceb;
this.stavlrreceb = stavlrreceb;
this.stadtreceb = stadtreceb;
this.espvlrreceb = espvlrreceb;
this.espdtreceb = espdtreceb;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public double getLocvlrbon() {
return locvlrbon;
}

public boolean isLocvlrbonNull() {
return locvlrbonNull;
}

public void setLocvlrbon(int locvlrbon) {
setLocvlrbon(new Double(locvlrbon));
}

public void setLocvlrbon(long locvlrbon) {
setLocvlrbon(new Double(locvlrbon));
}

public void setLocvlrbon(Double locvlrbon) {
if (locvlrbon == null) {
locvlrbonNull = true;
this.locvlrbon = 0.;
} else { 
locvlrbonNull = false;
this.locvlrbon = FglDouble.round(locvlrbon, 2);
}
}

public double getLocvlrirrf() {
return locvlrirrf;
}

public boolean isLocvlrirrfNull() {
return locvlrirrfNull;
}

public void setLocvlrirrf(int locvlrirrf) {
setLocvlrirrf(new Double(locvlrirrf));
}

public void setLocvlrirrf(long locvlrirrf) {
setLocvlrirrf(new Double(locvlrirrf));
}

public void setLocvlrirrf(Double locvlrirrf) {
if (locvlrirrf == null) {
locvlrirrfNull = true;
this.locvlrirrf = 0.;
} else { 
locvlrirrfNull = false;
this.locvlrirrf = FglDouble.round(locvlrirrf, 2);
}
}

public FglDate getLocdtreceb() {
return locdtreceb;
}

public void setLocdtreceb(FglDate locdtreceb) {
this.locdtreceb = locdtreceb;
}

public double getVenvlrbon() {
return venvlrbon;
}

public boolean isVenvlrbonNull() {
return venvlrbonNull;
}

public void setVenvlrbon(int venvlrbon) {
setVenvlrbon(new Double(venvlrbon));
}

public void setVenvlrbon(long venvlrbon) {
setVenvlrbon(new Double(venvlrbon));
}

public void setVenvlrbon(Double venvlrbon) {
if (venvlrbon == null) {
venvlrbonNull = true;
this.venvlrbon = 0.;
} else { 
venvlrbonNull = false;
this.venvlrbon = FglDouble.round(venvlrbon, 2);
}
}

public double getVenvlrirrf() {
return venvlrirrf;
}

public boolean isVenvlrirrfNull() {
return venvlrirrfNull;
}

public void setVenvlrirrf(int venvlrirrf) {
setVenvlrirrf(new Double(venvlrirrf));
}

public void setVenvlrirrf(long venvlrirrf) {
setVenvlrirrf(new Double(venvlrirrf));
}

public void setVenvlrirrf(Double venvlrirrf) {
if (venvlrirrf == null) {
venvlrirrfNull = true;
this.venvlrirrf = 0.;
} else { 
venvlrirrfNull = false;
this.venvlrirrf = FglDouble.round(venvlrirrf, 2);
}
}

public FglDate getVendtreceb() {
return vendtreceb;
}

public void setVendtreceb(FglDate vendtreceb) {
this.vendtreceb = vendtreceb;
}

public double getComvlrcom() {
return comvlrcom;
}

public boolean isComvlrcomNull() {
return comvlrcomNull;
}

public void setComvlrcom(int comvlrcom) {
setComvlrcom(new Double(comvlrcom));
}

public void setComvlrcom(long comvlrcom) {
setComvlrcom(new Double(comvlrcom));
}

public void setComvlrcom(Double comvlrcom) {
if (comvlrcom == null) {
comvlrcomNull = true;
this.comvlrcom = 0.;
} else { 
comvlrcomNull = false;
this.comvlrcom = FglDouble.round(comvlrcom, 2);
}
}

public double getComvlrirrf() {
return comvlrirrf;
}

public boolean isComvlrirrfNull() {
return comvlrirrfNull;
}

public void setComvlrirrf(int comvlrirrf) {
setComvlrirrf(new Double(comvlrirrf));
}

public void setComvlrirrf(long comvlrirrf) {
setComvlrirrf(new Double(comvlrirrf));
}

public void setComvlrirrf(Double comvlrirrf) {
if (comvlrirrf == null) {
comvlrirrfNull = true;
this.comvlrirrf = 0.;
} else { 
comvlrirrfNull = false;
this.comvlrirrf = FglDouble.round(comvlrirrf, 2);
}
}

public FglDate getComdtreceb() {
return comdtreceb;
}

public void setComdtreceb(FglDate comdtreceb) {
this.comdtreceb = comdtreceb;
}

public double getAtavlrreceb() {
return atavlrreceb;
}

public boolean isAtavlrrecebNull() {
return atavlrrecebNull;
}

public void setAtavlrreceb(int atavlrreceb) {
setAtavlrreceb(new Double(atavlrreceb));
}

public void setAtavlrreceb(long atavlrreceb) {
setAtavlrreceb(new Double(atavlrreceb));
}

public void setAtavlrreceb(Double atavlrreceb) {
if (atavlrreceb == null) {
atavlrrecebNull = true;
this.atavlrreceb = 0.;
} else { 
atavlrrecebNull = false;
this.atavlrreceb = FglDouble.round(atavlrreceb, 2);
}
}

public FglDate getAtadtreceb() {
return atadtreceb;
}

public void setAtadtreceb(FglDate atadtreceb) {
this.atadtreceb = atadtreceb;
}

public double getVarvlrreceb() {
return varvlrreceb;
}

public boolean isVarvlrrecebNull() {
return varvlrrecebNull;
}

public void setVarvlrreceb(int varvlrreceb) {
setVarvlrreceb(new Double(varvlrreceb));
}

public void setVarvlrreceb(long varvlrreceb) {
setVarvlrreceb(new Double(varvlrreceb));
}

public void setVarvlrreceb(Double varvlrreceb) {
if (varvlrreceb == null) {
varvlrrecebNull = true;
this.varvlrreceb = 0.;
} else { 
varvlrrecebNull = false;
this.varvlrreceb = FglDouble.round(varvlrreceb, 2);
}
}

public FglDate getVardtvarejo() {
return vardtvarejo;
}

public void setVardtvarejo(FglDate vardtvarejo) {
this.vardtvarejo = vardtvarejo;
}

public FglDate getVardtreceb() {
return vardtreceb;
}

public void setVardtreceb(FglDate vardtreceb) {
this.vardtreceb = vardtreceb;
}

public double getStavlrreceb() {
return stavlrreceb;
}

public boolean isStavlrrecebNull() {
return stavlrrecebNull;
}

public void setStavlrreceb(int stavlrreceb) {
setStavlrreceb(new Double(stavlrreceb));
}

public void setStavlrreceb(long stavlrreceb) {
setStavlrreceb(new Double(stavlrreceb));
}

public void setStavlrreceb(Double stavlrreceb) {
if (stavlrreceb == null) {
stavlrrecebNull = true;
this.stavlrreceb = 0.;
} else { 
stavlrrecebNull = false;
this.stavlrreceb = FglDouble.round(stavlrreceb, 2);
}
}

public FglDate getStadtreceb() {
return stadtreceb;
}

public void setStadtreceb(FglDate stadtreceb) {
this.stadtreceb = stadtreceb;
}

public double getEspvlrreceb() {
return espvlrreceb;
}

public boolean isEspvlrrecebNull() {
return espvlrrecebNull;
}

public void setEspvlrreceb(int espvlrreceb) {
setEspvlrreceb(new Double(espvlrreceb));
}

public void setEspvlrreceb(long espvlrreceb) {
setEspvlrreceb(new Double(espvlrreceb));
}

public void setEspvlrreceb(Double espvlrreceb) {
if (espvlrreceb == null) {
espvlrrecebNull = true;
this.espvlrreceb = 0.;
} else { 
espvlrrecebNull = false;
this.espvlrreceb = FglDouble.round(espvlrreceb, 2);
}
}

public FglDate getEspdtreceb() {
return espdtreceb;
}

public void setEspdtreceb(FglDate espdtreceb) {
this.espdtreceb = espdtreceb;
}

}

