package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCapadopv {
@Coluna(nome="capadopv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="capadopv.rendamensal", tipo="double")
private double rendamensal;
private boolean rendamensalNull;
@Coluna(nome="capadopv.dtnascimcli", tipo="FglDate")
private FglDate dtnascimcli;
@Coluna(nome="capadopv.codpagtoav", tipo="String")
private String codpagtoav;
@Coluna(nome="capadopv.codagenteav", tipo="String")
private String codagenteav;
@Coluna(nome="capadopv.codpagtofin", tipo="String")
private String codpagtofin;
@Coluna(nome="capadopv.codagentefin", tipo="String")
private String codagentefin;
@Coluna(nome="capadopv.codplanofin", tipo="int")
private int codplanofin;
private boolean codplanofinNull;
@Coluna(nome="capadopv.codpagtolea", tipo="String")
private String codpagtolea;
@Coluna(nome="capadopv.codagentelea", tipo="String")
private String codagentelea;
@Coluna(nome="capadopv.codplanolea", tipo="int")
private int codplanolea;
private boolean codplanoleaNull;
@Coluna(nome="capadopv.codpagtocon", tipo="String")
private String codpagtocon;
@Coluna(nome="capadopv.codagentecon", tipo="String")
private String codagentecon;
@Coluna(nome="capadopv.codplanocon", tipo="int")
private int codplanocon;
private boolean codplanoconNull;
@Coluna(nome="capadopv.origem", tipo="String")
private String origem;
@Coluna(nome="capadopv.finalidade", tipo="String")
private String finalidade;

public TabCapadopv() {
initialize();
}

public void initialize() {
setFilial(null);
setRendamensal(null);
setDtnascimcli(null);
setCodpagtoav(null);
setCodagenteav(null);
setCodpagtofin(null);
setCodagentefin(null);
setCodplanofin(null);
setCodpagtolea(null);
setCodagentelea(null);
setCodplanolea(null);
setCodpagtocon(null);
setCodagentecon(null);
setCodplanocon(null);
setOrigem(null);
setFinalidade(null);
}

public TabCapadopv(int filial, double rendamensal, FglDate dtnascimcli, String codpagtoav, String codagenteav, String codpagtofin, String codagentefin, int codplanofin, String codpagtolea, String codagentelea, int codplanolea, String codpagtocon, String codagentecon, int codplanocon, String origem, String finalidade) {
this.filial = filial;
this.rendamensal = rendamensal;
this.dtnascimcli = dtnascimcli;
this.codpagtoav = codpagtoav;
this.codagenteav = codagenteav;
this.codpagtofin = codpagtofin;
this.codagentefin = codagentefin;
this.codplanofin = codplanofin;
this.codpagtolea = codpagtolea;
this.codagentelea = codagentelea;
this.codplanolea = codplanolea;
this.codpagtocon = codpagtocon;
this.codagentecon = codagentecon;
this.codplanocon = codplanocon;
this.origem = origem;
this.finalidade = finalidade;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getRendamensal() {
return rendamensal;
}

public boolean isRendamensalNull() {
return rendamensalNull;
}

public void setRendamensal(int rendamensal) {
setRendamensal(new Double(rendamensal));
}

public void setRendamensal(long rendamensal) {
setRendamensal(new Double(rendamensal));
}

public void setRendamensal(Double rendamensal) {
if (rendamensal == null) {
rendamensalNull = true;
this.rendamensal = 0.;
} else { 
rendamensalNull = false;
this.rendamensal = FglDouble.round(rendamensal, 2);
}
}

public FglDate getDtnascimcli() {
return dtnascimcli;
}

public void setDtnascimcli(FglDate dtnascimcli) {
this.dtnascimcli = dtnascimcli;
}

public String getCodpagtoav() {
return codpagtoav;
}

public void setCodpagtoav(String codpagtoav) {
this.codpagtoav = codpagtoav;
}

public String getCodagenteav() {
return codagenteav;
}

public void setCodagenteav(String codagenteav) {
this.codagenteav = codagenteav;
}

public String getCodpagtofin() {
return codpagtofin;
}

public void setCodpagtofin(String codpagtofin) {
this.codpagtofin = codpagtofin;
}

public String getCodagentefin() {
return codagentefin;
}

public void setCodagentefin(String codagentefin) {
this.codagentefin = codagentefin;
}

public int getCodplanofin() {
return codplanofin;
}

public boolean isCodplanofinNull() {
return codplanofinNull;
}

public void setCodplanofin(Integer codplanofin) {
if (codplanofin == null) {
codplanofinNull = true;
this.codplanofin = 0;
} else { 
codplanofinNull = false;
this.codplanofin = codplanofin;
}
}

public String getCodpagtolea() {
return codpagtolea;
}

public void setCodpagtolea(String codpagtolea) {
this.codpagtolea = codpagtolea;
}

public String getCodagentelea() {
return codagentelea;
}

public void setCodagentelea(String codagentelea) {
this.codagentelea = codagentelea;
}

public int getCodplanolea() {
return codplanolea;
}

public boolean isCodplanoleaNull() {
return codplanoleaNull;
}

public void setCodplanolea(Integer codplanolea) {
if (codplanolea == null) {
codplanoleaNull = true;
this.codplanolea = 0;
} else { 
codplanoleaNull = false;
this.codplanolea = codplanolea;
}
}

public String getCodpagtocon() {
return codpagtocon;
}

public void setCodpagtocon(String codpagtocon) {
this.codpagtocon = codpagtocon;
}

public String getCodagentecon() {
return codagentecon;
}

public void setCodagentecon(String codagentecon) {
this.codagentecon = codagentecon;
}

public int getCodplanocon() {
return codplanocon;
}

public boolean isCodplanoconNull() {
return codplanoconNull;
}

public void setCodplanocon(Integer codplanocon) {
if (codplanocon == null) {
codplanoconNull = true;
this.codplanocon = 0;
} else { 
codplanoconNull = false;
this.codplanocon = codplanocon;
}
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getFinalidade() {
return finalidade;
}

public void setFinalidade(String finalidade) {
this.finalidade = finalidade;
}

}

