package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCaparint {
@Coluna(nome="caparint.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="caparint.cod_integracao", tipo="String")
private String codIntegracao;
@Coluna(nome="caparint.empresa_integracao", tipo="String")
private String empresaIntegracao;
@Coluna(nome="caparint.filial_integracao", tipo="String")
private String filialIntegracao;
@Coluna(nome="caparint.dtini_integracao", tipo="FglDate")
private FglDate dtiniIntegracao;
@Coluna(nome="caparint.online", tipo="String")
private String online;
@Coluna(nome="caparint.infoadicional1", tipo="String")
private String infoadicional1;
@Coluna(nome="caparint.infoadicional2", tipo="String")
private String infoadicional2;
@Coluna(nome="caparint.pmlink_shipmethod", tipo="String")
private String pmlinkShipmethod;
@Coluna(nome="caparint.pmlink_destinationsuffix", tipo="String")
private String pmlinkDestinationsuffix;
@Coluna(nome="caparint.matriz_integracao", tipo="int")
private int matrizIntegracao;
private boolean matrizIntegracaoNull;

public TabCaparint() {
initialize();
}

public void initialize() {
setFilial(null);
setCodIntegracao(null);
setEmpresaIntegracao(null);
setFilialIntegracao(null);
setDtiniIntegracao(null);
setOnline(null);
setInfoadicional1(null);
setInfoadicional2(null);
setPmlinkShipmethod(null);
setPmlinkDestinationsuffix(null);
setMatrizIntegracao(null);
}

public TabCaparint(int filial, String codIntegracao, String empresaIntegracao, String filialIntegracao, FglDate dtiniIntegracao, String online, String infoadicional1, String infoadicional2, String pmlinkShipmethod, String pmlinkDestinationsuffix, int matrizIntegracao) {
this.filial = filial;
this.codIntegracao = codIntegracao;
this.empresaIntegracao = empresaIntegracao;
this.filialIntegracao = filialIntegracao;
this.dtiniIntegracao = dtiniIntegracao;
this.online = online;
this.infoadicional1 = infoadicional1;
this.infoadicional2 = infoadicional2;
this.pmlinkShipmethod = pmlinkShipmethod;
this.pmlinkDestinationsuffix = pmlinkDestinationsuffix;
this.matrizIntegracao = matrizIntegracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getCodIntegracao() {
return codIntegracao;
}

public void setCodIntegracao(String codIntegracao) {
this.codIntegracao = codIntegracao;
}

public String getEmpresaIntegracao() {
return empresaIntegracao;
}

public void setEmpresaIntegracao(String empresaIntegracao) {
this.empresaIntegracao = empresaIntegracao;
}

public String getFilialIntegracao() {
return filialIntegracao;
}

public void setFilialIntegracao(String filialIntegracao) {
this.filialIntegracao = filialIntegracao;
}

public FglDate getDtiniIntegracao() {
return dtiniIntegracao;
}

public void setDtiniIntegracao(FglDate dtiniIntegracao) {
this.dtiniIntegracao = dtiniIntegracao;
}

public String getOnline() {
return online;
}

public void setOnline(String online) {
this.online = online;
}

public String getInfoadicional1() {
return infoadicional1;
}

public void setInfoadicional1(String infoadicional1) {
this.infoadicional1 = infoadicional1;
}

public String getInfoadicional2() {
return infoadicional2;
}

public void setInfoadicional2(String infoadicional2) {
this.infoadicional2 = infoadicional2;
}

public String getPmlinkShipmethod() {
return pmlinkShipmethod;
}

public void setPmlinkShipmethod(String pmlinkShipmethod) {
this.pmlinkShipmethod = pmlinkShipmethod;
}

public String getPmlinkDestinationsuffix() {
return pmlinkDestinationsuffix;
}

public void setPmlinkDestinationsuffix(String pmlinkDestinationsuffix) {
this.pmlinkDestinationsuffix = pmlinkDestinationsuffix;
}

public int getMatrizIntegracao() {
return matrizIntegracao;
}

public boolean isMatrizIntegracaoNull() {
return matrizIntegracaoNull;
}

public void setMatrizIntegracao(Integer matrizIntegracao) {
if (matrizIntegracao == null) {
matrizIntegracaoNull = true;
this.matrizIntegracao = 0;
} else { 
matrizIntegracaoNull = false;
this.matrizIntegracao = matrizIntegracao;
}
}

}

