package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCaproces {
@Coluna(nome="caproces.produto", tipo="int")
private int produto;
private boolean produtoNull;
@Coluna(nome="caproces.diasemana", tipo="int")
private int diasemana;
private boolean diasemanaNull;
@Coluna(nome="caproces.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="caproces.processo", tipo="String")
private String processo;
@Coluna(nome="caproces.dt_ultexecucao", tipo="FglDateTimeYS")
private FglDateTimeYS dtUltexecucao;

public TabCaproces() {
initialize();
}

public void initialize() {
setProduto(null);
setDiasemana(null);
setHora(null);
setProcesso(null);
setDtUltexecucao(null);
}

public TabCaproces(int produto, int diasemana, FglDateTimeHMin hora, String processo, FglDateTimeYS dtUltexecucao) {
this.produto = produto;
this.diasemana = diasemana;
this.hora = hora;
this.processo = processo;
this.dtUltexecucao = dtUltexecucao;
}

public int getProduto() {
return produto;
}

public boolean isProdutoNull() {
return produtoNull;
}

public void setProduto(Integer produto) {
if (produto == null) {
produtoNull = true;
this.produto = 0;
} else { 
produtoNull = false;
this.produto = produto;
}
}

public int getDiasemana() {
return diasemana;
}

public boolean isDiasemanaNull() {
return diasemanaNull;
}

public void setDiasemana(Integer diasemana) {
if (diasemana == null) {
diasemanaNull = true;
this.diasemana = 0;
} else { 
diasemanaNull = false;
this.diasemana = diasemana;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

public FglDateTimeYS getDtUltexecucao() {
return dtUltexecucao;
}

public void setDtUltexecucao(FglDateTimeYS dtUltexecucao) {
this.dtUltexecucao = dtUltexecucao;
}

}

