package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCaservm {
@Coluna(nome="caservm.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="caservm.servidor", tipo="String")
private String servidor;
@Coluna(nome="caservm.porta", tipo="int")
private int porta;
private boolean portaNull;
@Coluna(nome="caservm.ssl", tipo="String")
private String ssl;
@Coluna(nome="caservm.tls", tipo="String")
private String tls;
@Coluna(nome="caservm.usuario", tipo="String")
private String usuario;
@Coluna(nome="caservm.senha", tipo="String")
private String senha;

public TabCaservm() {
initialize();
}

public void initialize() {
setFilial(null);
setServidor(null);
setPorta(null);
setSsl(null);
setTls(null);
setUsuario(null);
setSenha(null);
}

public TabCaservm(int filial, String servidor, int porta, String ssl, String tls, String usuario, String senha) {
this.filial = filial;
this.servidor = servidor;
this.porta = porta;
this.ssl = ssl;
this.tls = tls;
this.usuario = usuario;
this.senha = senha;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getServidor() {
return servidor;
}

public void setServidor(String servidor) {
this.servidor = servidor;
}

public int getPorta() {
return porta;
}

public boolean isPortaNull() {
return portaNull;
}

public void setPorta(Integer porta) {
if (porta == null) {
portaNull = true;
this.porta = 0;
} else { 
portaNull = false;
this.porta = porta;
}
}

public String getSsl() {
return ssl;
}

public void setSsl(String ssl) {
this.ssl = ssl;
}

public String getTls() {
return tls;
}

public void setTls(String tls) {
this.tls = tls;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

}

