package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCaversao {
@Coluna(nome="caversao.versao", tipo="String")
private String versao;
@Coluna(nome="caversao.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="caversao.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="caversao.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="caversao.instancia", tipo="String")
private String instancia;

public TabCaversao() {
initialize();
}

public void initialize() {
setVersao(null);
setSequencia(null);
setDtocorrencia(null);
setMensagem(null);
setInstancia(null);
}

public TabCaversao(String versao, int sequencia, FglDateTimeYS dtocorrencia, String mensagem, String instancia) {
this.versao = versao;
this.sequencia = sequencia;
this.dtocorrencia = dtocorrencia;
this.mensagem = mensagem;
this.instancia = instancia;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public String getInstancia() {
return instancia;
}

public void setInstancia(String instancia) {
this.instancia = instancia;
}

}

