package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCbcliesp {
@Coluna(nome="cbcliesp.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cbcliesp.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cbcliesp.medida", tipo="String")
private String medida;
@Coluna(nome="cbcliesp.desenho", tipo="String")
private String desenho;
@Coluna(nome="cbcliesp.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cbcliesp.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cbcliesp.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cbcliesp.valorrecapa", tipo="double")
private double valorrecapa;
private boolean valorrecapaNull;
@Coluna(nome="cbcliesp.valorrestau", tipo="double")
private double valorrestau;
private boolean valorrestauNull;
@Coluna(nome="cbcliesp.custorestau", tipo="double")
private double custorestau;
private boolean custorestauNull;
@Coluna(nome="cbcliesp.valorconser", tipo="double")
private double valorconser;
private boolean valorconserNull;
@Coluna(nome="cbcliesp.custoconser", tipo="double")
private double custoconser;
private boolean custoconserNull;
@Coluna(nome="cbcliesp.comissao", tipo="double")
private double comissao;
private boolean comissaoNull;

public TabCbcliesp() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setMedida(null);
setDesenho(null);
setCondpgto(null);
setDtinicio(null);
setDtfim(null);
setValorrecapa(null);
setValorrestau(null);
setCustorestau(null);
setValorconser(null);
setCustoconser(null);
setComissao(null);
}

public TabCbcliesp(long cgccpf, int tppessoa, String medida, String desenho, int condpgto, FglDate dtinicio, FglDate dtfim, double valorrecapa, double valorrestau, double custorestau, double valorconser, double custoconser, double comissao) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.medida = medida;
this.desenho = desenho;
this.condpgto = condpgto;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.valorrecapa = valorrecapa;
this.valorrestau = valorrestau;
this.custorestau = custorestau;
this.valorconser = valorconser;
this.custoconser = custoconser;
this.comissao = comissao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getMedida() {
return medida;
}

public void setMedida(String medida) {
this.medida = medida;
}

public String getDesenho() {
return desenho;
}

public void setDesenho(String desenho) {
this.desenho = desenho;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getValorrecapa() {
return valorrecapa;
}

public boolean isValorrecapaNull() {
return valorrecapaNull;
}

public void setValorrecapa(int valorrecapa) {
setValorrecapa(new Double(valorrecapa));
}

public void setValorrecapa(long valorrecapa) {
setValorrecapa(new Double(valorrecapa));
}

public void setValorrecapa(Double valorrecapa) {
if (valorrecapa == null) {
valorrecapaNull = true;
this.valorrecapa = 0.;
} else { 
valorrecapaNull = false;
this.valorrecapa = FglDouble.round(valorrecapa, 2);
}
}

public double getValorrestau() {
return valorrestau;
}

public boolean isValorrestauNull() {
return valorrestauNull;
}

public void setValorrestau(int valorrestau) {
setValorrestau(new Double(valorrestau));
}

public void setValorrestau(long valorrestau) {
setValorrestau(new Double(valorrestau));
}

public void setValorrestau(Double valorrestau) {
if (valorrestau == null) {
valorrestauNull = true;
this.valorrestau = 0.;
} else { 
valorrestauNull = false;
this.valorrestau = FglDouble.round(valorrestau, 2);
}
}

public double getCustorestau() {
return custorestau;
}

public boolean isCustorestauNull() {
return custorestauNull;
}

public void setCustorestau(int custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(long custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(Double custorestau) {
if (custorestau == null) {
custorestauNull = true;
this.custorestau = 0.;
} else { 
custorestauNull = false;
this.custorestau = FglDouble.round(custorestau, 2);
}
}

public double getValorconser() {
return valorconser;
}

public boolean isValorconserNull() {
return valorconserNull;
}

public void setValorconser(int valorconser) {
setValorconser(new Double(valorconser));
}

public void setValorconser(long valorconser) {
setValorconser(new Double(valorconser));
}

public void setValorconser(Double valorconser) {
if (valorconser == null) {
valorconserNull = true;
this.valorconser = 0.;
} else { 
valorconserNull = false;
this.valorconser = FglDouble.round(valorconser, 2);
}
}

public double getCustoconser() {
return custoconser;
}

public boolean isCustoconserNull() {
return custoconserNull;
}

public void setCustoconser(int custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(long custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(Double custoconser) {
if (custoconser == null) {
custoconserNull = true;
this.custoconser = 0.;
} else { 
custoconserNull = false;
this.custoconser = FglDouble.round(custoconser, 2);
}
}

public double getComissao() {
return comissao;
}

public boolean isComissaoNull() {
return comissaoNull;
}

public void setComissao(int comissao) {
setComissao(new Double(comissao));
}

public void setComissao(long comissao) {
setComissao(new Double(comissao));
}

public void setComissao(Double comissao) {
if (comissao == null) {
comissaoNull = true;
this.comissao = 0.;
} else { 
comissaoNull = false;
this.comissao = FglDouble.round(comissao, 2);
}
}

}

