package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCbprecos {
@Coluna(nome="cbprecos.medida", tipo="String")
private String medida;
@Coluna(nome="cbprecos.desenho", tipo="String")
private String desenho;
@Coluna(nome="cbprecos.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="cbprecos.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cbprecos.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cbprecos.precorecapa", tipo="double")
private double precorecapa;
private boolean precorecapaNull;
@Coluna(nome="cbprecos.precorestau", tipo="double")
private double precorestau;
private boolean precorestauNull;
@Coluna(nome="cbprecos.custorestau", tipo="double")
private double custorestau;
private boolean custorestauNull;
@Coluna(nome="cbprecos.precoconser", tipo="double")
private double precoconser;
private boolean precoconserNull;
@Coluna(nome="cbprecos.custoconser", tipo="double")
private double custoconser;
private boolean custoconserNull;
@Coluna(nome="cbprecos.tabela", tipo="int")
private int tabela;
private boolean tabelaNull;

public TabCbprecos() {
initialize();
}

public void initialize() {
setMedida(null);
setDesenho(null);
setCondpgto(null);
setDtinicio(null);
setDtfim(null);
setPrecorecapa(null);
setPrecorestau(null);
setCustorestau(null);
setPrecoconser(null);
setCustoconser(null);
setTabela(null);
}

public TabCbprecos(String medida, String desenho, int condpgto, FglDate dtinicio, FglDate dtfim, double precorecapa, double precorestau, double custorestau, double precoconser, double custoconser, int tabela) {
this.medida = medida;
this.desenho = desenho;
this.condpgto = condpgto;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.precorecapa = precorecapa;
this.precorestau = precorestau;
this.custorestau = custorestau;
this.precoconser = precoconser;
this.custoconser = custoconser;
this.tabela = tabela;
}

public String getMedida() {
return medida;
}

public void setMedida(String medida) {
this.medida = medida;
}

public String getDesenho() {
return desenho;
}

public void setDesenho(String desenho) {
this.desenho = desenho;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPrecorecapa() {
return precorecapa;
}

public boolean isPrecorecapaNull() {
return precorecapaNull;
}

public void setPrecorecapa(int precorecapa) {
setPrecorecapa(new Double(precorecapa));
}

public void setPrecorecapa(long precorecapa) {
setPrecorecapa(new Double(precorecapa));
}

public void setPrecorecapa(Double precorecapa) {
if (precorecapa == null) {
precorecapaNull = true;
this.precorecapa = 0.;
} else { 
precorecapaNull = false;
this.precorecapa = FglDouble.round(precorecapa, 2);
}
}

public double getPrecorestau() {
return precorestau;
}

public boolean isPrecorestauNull() {
return precorestauNull;
}

public void setPrecorestau(int precorestau) {
setPrecorestau(new Double(precorestau));
}

public void setPrecorestau(long precorestau) {
setPrecorestau(new Double(precorestau));
}

public void setPrecorestau(Double precorestau) {
if (precorestau == null) {
precorestauNull = true;
this.precorestau = 0.;
} else { 
precorestauNull = false;
this.precorestau = FglDouble.round(precorestau, 2);
}
}

public double getCustorestau() {
return custorestau;
}

public boolean isCustorestauNull() {
return custorestauNull;
}

public void setCustorestau(int custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(long custorestau) {
setCustorestau(new Double(custorestau));
}

public void setCustorestau(Double custorestau) {
if (custorestau == null) {
custorestauNull = true;
this.custorestau = 0.;
} else { 
custorestauNull = false;
this.custorestau = FglDouble.round(custorestau, 2);
}
}

public double getPrecoconser() {
return precoconser;
}

public boolean isPrecoconserNull() {
return precoconserNull;
}

public void setPrecoconser(int precoconser) {
setPrecoconser(new Double(precoconser));
}

public void setPrecoconser(long precoconser) {
setPrecoconser(new Double(precoconser));
}

public void setPrecoconser(Double precoconser) {
if (precoconser == null) {
precoconserNull = true;
this.precoconser = 0.;
} else { 
precoconserNull = false;
this.precoconser = FglDouble.round(precoconser, 2);
}
}

public double getCustoconser() {
return custoconser;
}

public boolean isCustoconserNull() {
return custoconserNull;
}

public void setCustoconser(int custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(long custoconser) {
setCustoconser(new Double(custoconser));
}

public void setCustoconser(Double custoconser) {
if (custoconser == null) {
custoconserNull = true;
this.custoconser = 0.;
} else { 
custoconserNull = false;
this.custoconser = FglDouble.round(custoconser, 2);
}
}

public int getTabela() {
return tabela;
}

public boolean isTabelaNull() {
return tabelaNull;
}

public void setTabela(Integer tabela) {
if (tabela == null) {
tabelaNull = true;
this.tabela = 0;
} else { 
tabelaNull = false;
this.tabela = tabela;
}
}

}

