package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCbtamanp {
@Coluna(nome="cbtamanp.medida", tipo="String")
private String medida;
@Coluna(nome="cbtamanp.desenho", tipo="String")
private String desenho;
@Coluna(nome="cbtamanp.modelo", tipo="String")
private String modelo;
@Coluna(nome="cbtamanp.unidade", tipo="String")
private String unidade;
@Coluna(nome="cbtamanp.raioras", tipo="double")
private double raioras;
private boolean raiorasNull;
@Coluna(nome="cbtamanp.largura", tipo="double")
private double largura;
private boolean larguraNull;
@Coluna(nome="cbtamanp.comprim", tipo="double")
private double comprim;
private boolean comprimNull;

public TabCbtamanp() {
initialize();
}

public void initialize() {
setMedida(null);
setDesenho(null);
setModelo(null);
setUnidade(null);
setRaioras(null);
setLargura(null);
setComprim(null);
}

public TabCbtamanp(String medida, String desenho, String modelo, String unidade, double raioras, double largura, double comprim) {
this.medida = medida;
this.desenho = desenho;
this.modelo = modelo;
this.unidade = unidade;
this.raioras = raioras;
this.largura = largura;
this.comprim = comprim;
}

public String getMedida() {
return medida;
}

public void setMedida(String medida) {
this.medida = medida;
}

public String getDesenho() {
return desenho;
}

public void setDesenho(String desenho) {
this.desenho = desenho;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getRaioras() {
return raioras;
}

public boolean isRaiorasNull() {
return raiorasNull;
}

public void setRaioras(int raioras) {
setRaioras(new Double(raioras));
}

public void setRaioras(long raioras) {
setRaioras(new Double(raioras));
}

public void setRaioras(Double raioras) {
if (raioras == null) {
raiorasNull = true;
this.raioras = 0.;
} else { 
raiorasNull = false;
this.raioras = FglDouble.round(raioras, 2);
}
}

public double getLargura() {
return largura;
}

public boolean isLarguraNull() {
return larguraNull;
}

public void setLargura(int largura) {
setLargura(new Double(largura));
}

public void setLargura(long largura) {
setLargura(new Double(largura));
}

public void setLargura(Double largura) {
if (largura == null) {
larguraNull = true;
this.largura = 0.;
} else { 
larguraNull = false;
this.largura = FglDouble.round(largura, 2);
}
}

public double getComprim() {
return comprim;
}

public boolean isComprimNull() {
return comprimNull;
}

public void setComprim(int comprim) {
setComprim(new Double(comprim));
}

public void setComprim(long comprim) {
setComprim(new Double(comprim));
}

public void setComprim(Double comprim) {
if (comprim == null) {
comprimNull = true;
this.comprim = 0.;
} else { 
comprimNull = false;
this.comprim = FglDouble.round(comprim, 2);
}
}

}

