package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCcpcssol {
@Coluna(nome="ccpcssol.id_pcssol", tipo="int")
private int idPcssol;
private boolean idPcssolNull;
@Coluna(nome="ccpcssol.produto", tipo="String")
private String produto;
@Coluna(nome="ccpcssol.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="ccpcssol.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="ccpcssol.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="ccpcssol.id_agentesol", tipo="int")
private int idAgentesol;
private boolean idAgentesolNull;
@Coluna(nome="ccpcssol.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="ccpcssol.dtsolicit", tipo="FglDate")
private FglDate dtsolicit;
@Coluna(nome="ccpcssol.hrsolicit", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrsolicit;
@Coluna(nome="ccpcssol.id_pdcomp", tipo="int")
private int idPdcomp;
private boolean idPdcompNull;
@Coluna(nome="ccpcssol.cancelada", tipo="String")
private String cancelada;
@Coluna(nome="ccpcssol.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="ccpcssol.dtcancel", tipo="FglDateTimeYS")
private FglDateTimeYS dtcancel;
@Coluna(nome="ccpcssol.descrmotivo", tipo="String")
private String descrmotivo;

public TabCcpcssol() {
initialize();
}

public void initialize() {
setIdPcssol(null);
setProduto(null);
setIdOscapa(null);
setNroitem(null);
setIdOrccap(null);
setIdAgentesol(null);
setQuantidade(null);
setDtsolicit(null);
setHrsolicit(null);
setIdPdcomp(null);
setCancelada(null);
setIdAgente(null);
setDtcancel(null);
setDescrmotivo(null);
}

public TabCcpcssol(int idPcssol, String produto, int idOscapa, int nroitem, int idOrccap, int idAgentesol, double quantidade, FglDate dtsolicit, FglDateTimeHMin hrsolicit, int idPdcomp, String cancelada, int idAgente, FglDateTimeYS dtcancel, String descrmotivo) {
this.idPcssol = idPcssol;
this.produto = produto;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idOrccap = idOrccap;
this.idAgentesol = idAgentesol;
this.quantidade = quantidade;
this.dtsolicit = dtsolicit;
this.hrsolicit = hrsolicit;
this.idPdcomp = idPdcomp;
this.cancelada = cancelada;
this.idAgente = idAgente;
this.dtcancel = dtcancel;
this.descrmotivo = descrmotivo;
}

public int getIdPcssol() {
return idPcssol;
}

public boolean isIdPcssolNull() {
return idPcssolNull;
}

public void setIdPcssol(Integer idPcssol) {
if (idPcssol == null) {
idPcssolNull = true;
this.idPcssol = 0;
} else { 
idPcssolNull = false;
this.idPcssol = idPcssol;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdAgentesol() {
return idAgentesol;
}

public boolean isIdAgentesolNull() {
return idAgentesolNull;
}

public void setIdAgentesol(Integer idAgentesol) {
if (idAgentesol == null) {
idAgentesolNull = true;
this.idAgentesol = 0;
} else { 
idAgentesolNull = false;
this.idAgentesol = idAgentesol;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public FglDate getDtsolicit() {
return dtsolicit;
}

public void setDtsolicit(FglDate dtsolicit) {
this.dtsolicit = dtsolicit;
}

public FglDateTimeHMin getHrsolicit() {
return hrsolicit;
}

public void setHrsolicit(FglDateTimeHMin hrsolicit) {
this.hrsolicit = hrsolicit;
}

public int getIdPdcomp() {
return idPdcomp;
}

public boolean isIdPdcompNull() {
return idPdcompNull;
}

public void setIdPdcomp(Integer idPdcomp) {
if (idPdcomp == null) {
idPdcompNull = true;
this.idPdcomp = 0;
} else { 
idPdcompNull = false;
this.idPdcomp = idPdcomp;
}
}

public String getCancelada() {
return cancelada;
}

public void setCancelada(String cancelada) {
this.cancelada = cancelada;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYS getDtcancel() {
return dtcancel;
}

public void setDtcancel(FglDateTimeYS dtcancel) {
this.dtcancel = dtcancel;
}

public String getDescrmotivo() {
return descrmotivo;
}

public void setDescrmotivo(String descrmotivo) {
this.descrmotivo = descrmotivo;
}

}

