package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCcpdcomd {
@Coluna(nome="ccpdcomd.id_pdcomd", tipo="int")
private int idPdcomd;
private boolean idPdcomdNull;
@Coluna(nome="ccpdcomd.id_pdcomp", tipo="int")
private int idPdcomp;
private boolean idPdcompNull;
@Coluna(nome="ccpdcomd.produto", tipo="String")
private String produto;
@Coluna(nome="ccpdcomd.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="ccpdcomd.qtdepedida", tipo="double")
private double qtdepedida;
private boolean qtdepedidaNull;
@Coluna(nome="ccpdcomd.unidade", tipo="String")
private String unidade;
@Coluna(nome="ccpdcomd.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="ccpdcomd.percdesconto", tipo="double")
private double percdesconto;
private boolean percdescontoNull;
@Coluna(nome="ccpdcomd.marca", tipo="String")
private String marca;
@Coluna(nome="ccpdcomd.dtbo", tipo="FglDate")
private FglDate dtbo;
@Coluna(nome="ccpdcomd.qtdebo", tipo="double")
private double qtdebo;
private boolean qtdeboNull;
@Coluna(nome="ccpdcomd.dtpreventr", tipo="FglDate")
private FglDate dtpreventr;

public TabCcpdcomd() {
initialize();
}

public void initialize() {
setIdPdcomd(null);
setIdPdcomp(null);
setProduto(null);
setDtprevista(null);
setQtdepedida(null);
setUnidade(null);
setUnitario(null);
setPercdesconto(null);
setMarca(null);
setDtbo(null);
setQtdebo(null);
setDtpreventr(null);
}

public TabCcpdcomd(int idPdcomd, int idPdcomp, String produto, FglDate dtprevista, double qtdepedida, String unidade, double unitario, double percdesconto, String marca, FglDate dtbo, double qtdebo, FglDate dtpreventr) {
this.idPdcomd = idPdcomd;
this.idPdcomp = idPdcomp;
this.produto = produto;
this.dtprevista = dtprevista;
this.qtdepedida = qtdepedida;
this.unidade = unidade;
this.unitario = unitario;
this.percdesconto = percdesconto;
this.marca = marca;
this.dtbo = dtbo;
this.qtdebo = qtdebo;
this.dtpreventr = dtpreventr;
}

public int getIdPdcomd() {
return idPdcomd;
}

public boolean isIdPdcomdNull() {
return idPdcomdNull;
}

public void setIdPdcomd(Integer idPdcomd) {
if (idPdcomd == null) {
idPdcomdNull = true;
this.idPdcomd = 0;
} else { 
idPdcomdNull = false;
this.idPdcomd = idPdcomd;
}
}

public int getIdPdcomp() {
return idPdcomp;
}

public boolean isIdPdcompNull() {
return idPdcompNull;
}

public void setIdPdcomp(Integer idPdcomp) {
if (idPdcomp == null) {
idPdcompNull = true;
this.idPdcomp = 0;
} else { 
idPdcompNull = false;
this.idPdcomp = idPdcomp;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public double getQtdepedida() {
return qtdepedida;
}

public boolean isQtdepedidaNull() {
return qtdepedidaNull;
}

public void setQtdepedida(int qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(long qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(Double qtdepedida) {
if (qtdepedida == null) {
qtdepedidaNull = true;
this.qtdepedida = 0.;
} else { 
qtdepedidaNull = false;
this.qtdepedida = FglDouble.round(qtdepedida, 2);
}
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getPercdesconto() {
return percdesconto;
}

public boolean isPercdescontoNull() {
return percdescontoNull;
}

public void setPercdesconto(int percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(long percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(Double percdesconto) {
if (percdesconto == null) {
percdescontoNull = true;
this.percdesconto = 0.;
} else { 
percdescontoNull = false;
this.percdesconto = FglDouble.round(percdesconto, 2);
}
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public FglDate getDtbo() {
return dtbo;
}

public void setDtbo(FglDate dtbo) {
this.dtbo = dtbo;
}

public double getQtdebo() {
return qtdebo;
}

public boolean isQtdeboNull() {
return qtdeboNull;
}

public void setQtdebo(int qtdebo) {
setQtdebo(new Double(qtdebo));
}

public void setQtdebo(long qtdebo) {
setQtdebo(new Double(qtdebo));
}

public void setQtdebo(Double qtdebo) {
if (qtdebo == null) {
qtdeboNull = true;
this.qtdebo = 0.;
} else { 
qtdeboNull = false;
this.qtdebo = FglDouble.round(qtdebo, 2);
}
}

public FglDate getDtpreventr() {
return dtpreventr;
}

public void setDtpreventr(FglDate dtpreventr) {
this.dtpreventr = dtpreventr;
}

}

