package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCentroLucro {
@Coluna(nome="centro_lucro.clucro", tipo="String")
private String clucro;
@Coluna(nome="centro_lucro.descricao", tipo="String")
private String descricao;
@Coluna(nome="centro_lucro.data_inicial", tipo="FglDate")
private FglDate dataInicial;
@Coluna(nome="centro_lucro.data_final", tipo="FglDate")
private FglDate dataFinal;
@Coluna(nome="centro_lucro.bloqueio", tipo="String")
private String bloqueio;

public TabCentroLucro() {
initialize();
}

public void initialize() {
setClucro(null);
setDescricao(null);
setDataInicial(null);
setDataFinal(null);
setBloqueio(null);
}

public TabCentroLucro(String clucro, String descricao, FglDate dataInicial, FglDate dataFinal, String bloqueio) {
this.clucro = clucro;
this.descricao = descricao;
this.dataInicial = dataInicial;
this.dataFinal = dataFinal;
this.bloqueio = bloqueio;
}

public String getClucro() {
return clucro;
}

public void setClucro(String clucro) {
this.clucro = clucro;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDataInicial() {
return dataInicial;
}

public void setDataInicial(FglDate dataInicial) {
this.dataInicial = dataInicial;
}

public FglDate getDataFinal() {
return dataFinal;
}

public void setDataFinal(FglDate dataFinal) {
this.dataFinal = dataFinal;
}

public String getBloqueio() {
return bloqueio;
}

public void setBloqueio(String bloqueio) {
this.bloqueio = bloqueio;
}

}

