package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCepTit {
@Coluna(nome="cep_tit.chave_tipo", tipo="int")
private int chaveTipo;
private boolean chaveTipoNull;
@Coluna(nome="cep_tit.log_tipo", tipo="int")
private int logTipo;
private boolean logTipoNull;
@Coluna(nome="cep_tit.nome_tipo", tipo="String")
private String nomeTipo;
@Coluna(nome="cep_tit.abrev_tipo", tipo="String")
private String abrevTipo;

public TabCepTit() {
initialize();
}

public void initialize() {
setChaveTipo(null);
setLogTipo(null);
setNomeTipo(null);
setAbrevTipo(null);
}

public TabCepTit(int chaveTipo, int logTipo, String nomeTipo, String abrevTipo) {
this.chaveTipo = chaveTipo;
this.logTipo = logTipo;
this.nomeTipo = nomeTipo;
this.abrevTipo = abrevTipo;
}

public int getChaveTipo() {
return chaveTipo;
}

public boolean isChaveTipoNull() {
return chaveTipoNull;
}

public void setChaveTipo(Integer chaveTipo) {
if (chaveTipo == null) {
chaveTipoNull = true;
this.chaveTipo = 0;
} else { 
chaveTipoNull = false;
this.chaveTipo = chaveTipo;
}
}

public int getLogTipo() {
return logTipo;
}

public boolean isLogTipoNull() {
return logTipoNull;
}

public void setLogTipo(Integer logTipo) {
if (logTipo == null) {
logTipoNull = true;
this.logTipo = 0;
} else { 
logTipoNull = false;
this.logTipo = logTipo;
}
}

public String getNomeTipo() {
return nomeTipo;
}

public void setNomeTipo(String nomeTipo) {
this.nomeTipo = nomeTipo;
}

public String getAbrevTipo() {
return abrevTipo;
}

public void setAbrevTipo(String abrevTipo) {
this.abrevTipo = abrevTipo;
}

}

