package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCepUf {
@Coluna(nome="cep_uf.uf_uf", tipo="String")
private String ufUf;
@Coluna(nome="cep_uf.descr_uf", tipo="String")
private String descrUf;
@Coluna(nome="cep_uf.nro_uf", tipo="int")
private int nroUf;
private boolean nroUfNull;
@Coluna(nome="cep_uf.ini_f1_uf", tipo="int")
private int iniF1Uf;
private boolean iniF1UfNull;
@Coluna(nome="cep_uf.fim_f1_uf", tipo="int")
private int fimF1Uf;
private boolean fimF1UfNull;
@Coluna(nome="cep_uf.ini_f2_uf", tipo="int")
private int iniF2Uf;
private boolean iniF2UfNull;
@Coluna(nome="cep_uf.fim_f2_uf", tipo="int")
private int fimF2Uf;
private boolean fimF2UfNull;

public TabCepUf() {
initialize();
}

public void initialize() {
setUfUf(null);
setDescrUf(null);
setNroUf(null);
setIniF1Uf(null);
setFimF1Uf(null);
setIniF2Uf(null);
setFimF2Uf(null);
}

public TabCepUf(String ufUf, String descrUf, int nroUf, int iniF1Uf, int fimF1Uf, int iniF2Uf, int fimF2Uf) {
this.ufUf = ufUf;
this.descrUf = descrUf;
this.nroUf = nroUf;
this.iniF1Uf = iniF1Uf;
this.fimF1Uf = fimF1Uf;
this.iniF2Uf = iniF2Uf;
this.fimF2Uf = fimF2Uf;
}

public String getUfUf() {
return ufUf;
}

public void setUfUf(String ufUf) {
this.ufUf = ufUf;
}

public String getDescrUf() {
return descrUf;
}

public void setDescrUf(String descrUf) {
this.descrUf = descrUf;
}

public int getNroUf() {
return nroUf;
}

public boolean isNroUfNull() {
return nroUfNull;
}

public void setNroUf(Integer nroUf) {
if (nroUf == null) {
nroUfNull = true;
this.nroUf = 0;
} else { 
nroUfNull = false;
this.nroUf = nroUf;
}
}

public int getIniF1Uf() {
return iniF1Uf;
}

public boolean isIniF1UfNull() {
return iniF1UfNull;
}

public void setIniF1Uf(Integer iniF1Uf) {
if (iniF1Uf == null) {
iniF1UfNull = true;
this.iniF1Uf = 0;
} else { 
iniF1UfNull = false;
this.iniF1Uf = iniF1Uf;
}
}

public int getFimF1Uf() {
return fimF1Uf;
}

public boolean isFimF1UfNull() {
return fimF1UfNull;
}

public void setFimF1Uf(Integer fimF1Uf) {
if (fimF1Uf == null) {
fimF1UfNull = true;
this.fimF1Uf = 0;
} else { 
fimF1UfNull = false;
this.fimF1Uf = fimF1Uf;
}
}

public int getIniF2Uf() {
return iniF2Uf;
}

public boolean isIniF2UfNull() {
return iniF2UfNull;
}

public void setIniF2Uf(Integer iniF2Uf) {
if (iniF2Uf == null) {
iniF2UfNull = true;
this.iniF2Uf = 0;
} else { 
iniF2UfNull = false;
this.iniF2Uf = iniF2Uf;
}
}

public int getFimF2Uf() {
return fimF2Uf;
}

public boolean isFimF2UfNull() {
return fimF2UfNull;
}

public void setFimF2Uf(Integer fimF2Uf) {
if (fimF2Uf == null) {
fimF2UfNull = true;
this.fimF2Uf = 0;
} else { 
fimF2UfNull = false;
this.fimF2Uf = fimF2Uf;
}
}

}

