package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCfpardav {
@Coluna(nome="cfpardav.uf", tipo="String")
private String uf;
@Coluna(nome="cfpardav.impressoradav", tipo="String")
private String impressoradav;
@Coluna(nome="cfpardav.registra_dav", tipo="String")
private String registraDav;
@Coluna(nome="cfpardav.registra_prevenda", tipo="String")
private String registraPrevenda;
@Coluna(nome="cfpardav.imprime_minaslegal", tipo="String")
private String imprimeMinaslegal;
@Coluna(nome="cfpardav.imprime_cupommania", tipo="String")
private String imprimeCupommania;
@Coluna(nome="cfpardav.considerar_cro", tipo="String")
private String considerarCro;
@Coluna(nome="cfpardav.versao_paf", tipo="String")
private String versaoPaf;
@Coluna(nome="cfpardav.data_public_do", tipo="FglDate")
private FglDate dataPublicDo;
@Coluna(nome="cfpardav.nro_credenciamento_paf", tipo="String")
private String nroCredenciamentoPaf;

public TabCfpardav() {
initialize();
}

public void initialize() {
setUf(null);
setImpressoradav(null);
setRegistraDav(null);
setRegistraPrevenda(null);
setImprimeMinaslegal(null);
setImprimeCupommania(null);
setConsiderarCro(null);
setVersaoPaf(null);
setDataPublicDo(null);
setNroCredenciamentoPaf(null);
}

public TabCfpardav(String uf, String impressoradav, String registraDav, String registraPrevenda, String imprimeMinaslegal, String imprimeCupommania, String considerarCro, String versaoPaf, FglDate dataPublicDo, String nroCredenciamentoPaf) {
this.uf = uf;
this.impressoradav = impressoradav;
this.registraDav = registraDav;
this.registraPrevenda = registraPrevenda;
this.imprimeMinaslegal = imprimeMinaslegal;
this.imprimeCupommania = imprimeCupommania;
this.considerarCro = considerarCro;
this.versaoPaf = versaoPaf;
this.dataPublicDo = dataPublicDo;
this.nroCredenciamentoPaf = nroCredenciamentoPaf;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public String getImpressoradav() {
return impressoradav;
}

public void setImpressoradav(String impressoradav) {
this.impressoradav = impressoradav;
}

public String getRegistraDav() {
return registraDav;
}

public void setRegistraDav(String registraDav) {
this.registraDav = registraDav;
}

public String getRegistraPrevenda() {
return registraPrevenda;
}

public void setRegistraPrevenda(String registraPrevenda) {
this.registraPrevenda = registraPrevenda;
}

public String getImprimeMinaslegal() {
return imprimeMinaslegal;
}

public void setImprimeMinaslegal(String imprimeMinaslegal) {
this.imprimeMinaslegal = imprimeMinaslegal;
}

public String getImprimeCupommania() {
return imprimeCupommania;
}

public void setImprimeCupommania(String imprimeCupommania) {
this.imprimeCupommania = imprimeCupommania;
}

public String getConsiderarCro() {
return considerarCro;
}

public void setConsiderarCro(String considerarCro) {
this.considerarCro = considerarCro;
}

public String getVersaoPaf() {
return versaoPaf;
}

public void setVersaoPaf(String versaoPaf) {
this.versaoPaf = versaoPaf;
}

public FglDate getDataPublicDo() {
return dataPublicDo;
}

public void setDataPublicDo(FglDate dataPublicDo) {
this.dataPublicDo = dataPublicDo;
}

public String getNroCredenciamentoPaf() {
return nroCredenciamentoPaf;
}

public void setNroCredenciamentoPaf(String nroCredenciamentoPaf) {
this.nroCredenciamentoPaf = nroCredenciamentoPaf;
}

}

