package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCftropgt {
@Coluna(nome="cftropgt.id_dav", tipo="int")
private int idDav;
private boolean idDavNull;
@Coluna(nome="cftropgt.nropgt", tipo="int")
private int nropgt;
private boolean nropgtNull;
@Coluna(nome="cftropgt.valor_troco", tipo="double")
private double valorTroco;
private boolean valorTrocoNull;
@Coluna(nome="cftropgt.titulo", tipo="String")
private String titulo;
@Coluna(nome="cftropgt.assinatura", tipo="String")
private String assinatura;

public TabCftropgt() {
initialize();
}

public void initialize() {
setIdDav(null);
setNropgt(null);
setValorTroco(null);
setTitulo(null);
setAssinatura(null);
}

public TabCftropgt(int idDav, int nropgt, double valorTroco, String titulo, String assinatura) {
this.idDav = idDav;
this.nropgt = nropgt;
this.valorTroco = valorTroco;
this.titulo = titulo;
this.assinatura = assinatura;
}

public int getIdDav() {
return idDav;
}

public boolean isIdDavNull() {
return idDavNull;
}

public void setIdDav(Integer idDav) {
if (idDav == null) {
idDavNull = true;
this.idDav = 0;
} else { 
idDavNull = false;
this.idDav = idDav;
}
}

public int getNropgt() {
return nropgt;
}

public boolean isNropgtNull() {
return nropgtNull;
}

public void setNropgt(Integer nropgt) {
if (nropgt == null) {
nropgtNull = true;
this.nropgt = 0;
} else { 
nropgtNull = false;
this.nropgt = nropgt;
}
}

public double getValorTroco() {
return valorTroco;
}

public boolean isValorTrocoNull() {
return valorTrocoNull;
}

public void setValorTroco(int valorTroco) {
setValorTroco(new Double(valorTroco));
}

public void setValorTroco(long valorTroco) {
setValorTroco(new Double(valorTroco));
}

public void setValorTroco(Double valorTroco) {
if (valorTroco == null) {
valorTrocoNull = true;
this.valorTroco = 0.;
} else { 
valorTrocoNull = false;
this.valorTroco = FglDouble.round(valorTroco, 2);
}
}

public String getTitulo() {
return titulo;
}

public void setTitulo(String titulo) {
this.titulo = titulo;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

