package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCfvndite {
@Coluna(nome="cfvndite.id_vndavu", tipo="int")
private int idVndavu;
private boolean idVndavuNull;
@Coluna(nome="cfvndite.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cfvndite.produto", tipo="String")
private String produto;
@Coluna(nome="cfvndite.codservico", tipo="String")
private String codservico;
@Coluna(nome="cfvndite.descrprodserv", tipo="String")
private String descrprodserv;
@Coluna(nome="cfvndite.unidade", tipo="String")
private String unidade;
@Coluna(nome="cfvndite.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cfvndite.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="cfvndite.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="cfvndite.acrescimo", tipo="double")
private double acrescimo;
private boolean acrescimoNull;
@Coluna(nome="cfvndite.statusitem", tipo="String")
private String statusitem;
@Coluna(nome="cfvndite.registradonoecf", tipo="String")
private String registradonoecf;
@Coluna(nome="cfvndite.assinatura", tipo="String")
private String assinatura;

public TabCfvndite() {
initialize();
}

public void initialize() {
setIdVndavu(null);
setNrolinha(null);
setProduto(null);
setCodservico(null);
setDescrprodserv(null);
setUnidade(null);
setQuantidade(null);
setUnitario(null);
setDesconto(null);
setAcrescimo(null);
setStatusitem(null);
setRegistradonoecf(null);
setAssinatura(null);
}

public TabCfvndite(int idVndavu, int nrolinha, String produto, String codservico, String descrprodserv, String unidade, double quantidade, double unitario, double desconto, double acrescimo, String statusitem, String registradonoecf, String assinatura) {
this.idVndavu = idVndavu;
this.nrolinha = nrolinha;
this.produto = produto;
this.codservico = codservico;
this.descrprodserv = descrprodserv;
this.unidade = unidade;
this.quantidade = quantidade;
this.unitario = unitario;
this.desconto = desconto;
this.acrescimo = acrescimo;
this.statusitem = statusitem;
this.registradonoecf = registradonoecf;
this.assinatura = assinatura;
}

public int getIdVndavu() {
return idVndavu;
}

public boolean isIdVndavuNull() {
return idVndavuNull;
}

public void setIdVndavu(Integer idVndavu) {
if (idVndavu == null) {
idVndavuNull = true;
this.idVndavu = 0;
} else { 
idVndavuNull = false;
this.idVndavu = idVndavu;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public String getDescrprodserv() {
return descrprodserv;
}

public void setDescrprodserv(String descrprodserv) {
this.descrprodserv = descrprodserv;
}

public String getUnidade() {
return unidade;
}

public void setUnidade(String unidade) {
this.unidade = unidade;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getAcrescimo() {
return acrescimo;
}

public boolean isAcrescimoNull() {
return acrescimoNull;
}

public void setAcrescimo(int acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(long acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(Double acrescimo) {
if (acrescimo == null) {
acrescimoNull = true;
this.acrescimo = 0.;
} else { 
acrescimoNull = false;
this.acrescimo = FglDouble.round(acrescimo, 2);
}
}

public String getStatusitem() {
return statusitem;
}

public void setStatusitem(String statusitem) {
this.statusitem = statusitem;
}

public String getRegistradonoecf() {
return registradonoecf;
}

public void setRegistradonoecf(String registradonoecf) {
this.registradonoecf = registradonoecf;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

}

