package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCgdispfl {
@Coluna(nome="cgdispfl.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgdispfl.datapos", tipo="FglDate")
private FglDate datapos;
@Coluna(nome="cgdispfl.sigladisp", tipo="String")
private String sigladisp;
@Coluna(nome="cgdispfl.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cgdispfl.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="cgdispfl.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;

public TabCgdispfl() {
initialize();
}

public void initialize() {
setFilial(null);
setDatapos(null);
setSigladisp(null);
setValor(null);
setDtdigitacao(null);
setIdAgente(null);
}

public TabCgdispfl(int filial, FglDate datapos, String sigladisp, double valor, FglDateTimeYS dtdigitacao, int idAgente) {
this.filial = filial;
this.datapos = datapos;
this.sigladisp = sigladisp;
this.valor = valor;
this.dtdigitacao = dtdigitacao;
this.idAgente = idAgente;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatapos() {
return datapos;
}

public void setDatapos(FglDate datapos) {
this.datapos = datapos;
}

public String getSigladisp() {
return sigladisp;
}

public void setSigladisp(String sigladisp) {
this.sigladisp = sigladisp;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

}

