package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCgresven {
@Coluna(nome="cgresven.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cgresven.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cgresven.dataven", tipo="FglDate")
private FglDate dataven;
@Coluna(nome="cgresven.vdapecas", tipo="double")
private double vdapecas;
private boolean vdapecasNull;
@Coluna(nome="cgresven.vdamobra", tipo="double")
private double vdamobra;
private boolean vdamobraNull;
@Coluna(nome="cgresven.vdaveic", tipo="double")
private double vdaveic;
private boolean vdaveicNull;
@Coluna(nome="cgresven.cuspecas", tipo="double")
private double cuspecas;
private boolean cuspecasNull;
@Coluna(nome="cgresven.cusmobra", tipo="double")
private double cusmobra;
private boolean cusmobraNull;
@Coluna(nome="cgresven.cusveic", tipo="double")
private double cusveic;
private boolean cusveicNull;
@Coluna(nome="cgresven.prazo", tipo="double")
private double prazo;
private boolean prazoNull;

public TabCgresven() {
initialize();
}

public void initialize() {
setFilial(null);
setIdDeptos(null);
setDataven(null);
setVdapecas(null);
setVdamobra(null);
setVdaveic(null);
setCuspecas(null);
setCusmobra(null);
setCusveic(null);
setPrazo(null);
}

public TabCgresven(int filial, int idDeptos, FglDate dataven, double vdapecas, double vdamobra, double vdaveic, double cuspecas, double cusmobra, double cusveic, double prazo) {
this.filial = filial;
this.idDeptos = idDeptos;
this.dataven = dataven;
this.vdapecas = vdapecas;
this.vdamobra = vdamobra;
this.vdaveic = vdaveic;
this.cuspecas = cuspecas;
this.cusmobra = cusmobra;
this.cusveic = cusveic;
this.prazo = prazo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public FglDate getDataven() {
return dataven;
}

public void setDataven(FglDate dataven) {
this.dataven = dataven;
}

public double getVdapecas() {
return vdapecas;
}

public boolean isVdapecasNull() {
return vdapecasNull;
}

public void setVdapecas(int vdapecas) {
setVdapecas(new Double(vdapecas));
}

public void setVdapecas(long vdapecas) {
setVdapecas(new Double(vdapecas));
}

public void setVdapecas(Double vdapecas) {
if (vdapecas == null) {
vdapecasNull = true;
this.vdapecas = 0.;
} else { 
vdapecasNull = false;
this.vdapecas = FglDouble.round(vdapecas, 2);
}
}

public double getVdamobra() {
return vdamobra;
}

public boolean isVdamobraNull() {
return vdamobraNull;
}

public void setVdamobra(int vdamobra) {
setVdamobra(new Double(vdamobra));
}

public void setVdamobra(long vdamobra) {
setVdamobra(new Double(vdamobra));
}

public void setVdamobra(Double vdamobra) {
if (vdamobra == null) {
vdamobraNull = true;
this.vdamobra = 0.;
} else { 
vdamobraNull = false;
this.vdamobra = FglDouble.round(vdamobra, 2);
}
}

public double getVdaveic() {
return vdaveic;
}

public boolean isVdaveicNull() {
return vdaveicNull;
}

public void setVdaveic(int vdaveic) {
setVdaveic(new Double(vdaveic));
}

public void setVdaveic(long vdaveic) {
setVdaveic(new Double(vdaveic));
}

public void setVdaveic(Double vdaveic) {
if (vdaveic == null) {
vdaveicNull = true;
this.vdaveic = 0.;
} else { 
vdaveicNull = false;
this.vdaveic = FglDouble.round(vdaveic, 2);
}
}

public double getCuspecas() {
return cuspecas;
}

public boolean isCuspecasNull() {
return cuspecasNull;
}

public void setCuspecas(int cuspecas) {
setCuspecas(new Double(cuspecas));
}

public void setCuspecas(long cuspecas) {
setCuspecas(new Double(cuspecas));
}

public void setCuspecas(Double cuspecas) {
if (cuspecas == null) {
cuspecasNull = true;
this.cuspecas = 0.;
} else { 
cuspecasNull = false;
this.cuspecas = FglDouble.round(cuspecas, 2);
}
}

public double getCusmobra() {
return cusmobra;
}

public boolean isCusmobraNull() {
return cusmobraNull;
}

public void setCusmobra(int cusmobra) {
setCusmobra(new Double(cusmobra));
}

public void setCusmobra(long cusmobra) {
setCusmobra(new Double(cusmobra));
}

public void setCusmobra(Double cusmobra) {
if (cusmobra == null) {
cusmobraNull = true;
this.cusmobra = 0.;
} else { 
cusmobraNull = false;
this.cusmobra = FglDouble.round(cusmobra, 2);
}
}

public double getCusveic() {
return cusveic;
}

public boolean isCusveicNull() {
return cusveicNull;
}

public void setCusveic(int cusveic) {
setCusveic(new Double(cusveic));
}

public void setCusveic(long cusveic) {
setCusveic(new Double(cusveic));
}

public void setCusveic(Double cusveic) {
if (cusveic == null) {
cusveicNull = true;
this.cusveic = 0.;
} else { 
cusveicNull = false;
this.cusveic = FglDouble.round(cusveic, 2);
}
}

public double getPrazo() {
return prazo;
}

public boolean isPrazoNull() {
return prazoNull;
}

public void setPrazo(int prazo) {
setPrazo(new Double(prazo));
}

public void setPrazo(long prazo) {
setPrazo(new Double(prazo));
}

public void setPrazo(Double prazo) {
if (prazo == null) {
prazoNull = true;
this.prazo = 0.;
} else { 
prazoNull = false;
this.prazo = FglDouble.round(prazo, 2);
}
}

}

