package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCgsemana {
@Coluna(nome="cgsemana.anomes", tipo="String")
private String anomes;
@Coluna(nome="cgsemana.semana", tipo="int")
private int semana;
private boolean semanaNull;
@Coluna(nome="cgsemana.dataini", tipo="FglDate")
private FglDate dataini;
@Coluna(nome="cgsemana.datafin", tipo="FglDate")
private FglDate datafin;

public TabCgsemana() {
initialize();
}

public void initialize() {
setAnomes(null);
setSemana(null);
setDataini(null);
setDatafin(null);
}

public TabCgsemana(String anomes, int semana, FglDate dataini, FglDate datafin) {
this.anomes = anomes;
this.semana = semana;
this.dataini = dataini;
this.datafin = datafin;
}

public String getAnomes() {
return anomes;
}

public void setAnomes(String anomes) {
this.anomes = anomes;
}

public int getSemana() {
return semana;
}

public boolean isSemanaNull() {
return semanaNull;
}

public void setSemana(Integer semana) {
if (semana == null) {
semanaNull = true;
this.semana = 0;
} else { 
semanaNull = false;
this.semana = semana;
}
}

public FglDate getDataini() {
return dataini;
}

public void setDataini(FglDate dataini) {
this.dataini = dataini;
}

public FglDate getDatafin() {
return datafin;
}

public void setDatafin(FglDate datafin) {
this.datafin = datafin;
}

}

