package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabChatesta {
@Coluna(nome="chatesta.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chatesta.dtatestado", tipo="FglDate")
private FglDate dtatestado;
@Coluna(nome="chatesta.codcnes", tipo="int")
private int codcnes;
private boolean codcnesNull;
@Coluna(nome="chatesta.dtatendimento", tipo="FglDate")
private FglDate dtatendimento;
@Coluna(nome="chatesta.hratendimento", tipo="FglDateTimeHMin")
private FglDateTimeHMin hratendimento;
@Coluna(nome="chatesta.indinternacao", tipo="String")
private String indinternacao;
@Coluna(nome="chatesta.durtratamento", tipo="int")
private int durtratamento;
private boolean durtratamentoNull;
@Coluna(nome="chatesta.indafastamento", tipo="String")
private String indafastamento;
@Coluna(nome="chatesta.qtddiasafastamento", tipo="int")
private int qtddiasafastamento;
private boolean qtddiasafastamentoNull;
@Coluna(nome="chatesta.desclesao", tipo="String")
private String desclesao;
@Coluna(nome="chatesta.diagprovavel", tipo="String")
private String diagprovavel;
@Coluna(nome="chatesta.codcid", tipo="String")
private String codcid;
@Coluna(nome="chatesta.obsatestado", tipo="String")
private String obsatestado;
@Coluna(nome="chatesta.cgccpfmed", tipo="long")
private long cgccpfmed;
private boolean cgccpfmedNull;
@Coluna(nome="chatesta.tppessoamed", tipo="int")
private int tppessoamed;
private boolean tppessoamedNull;

public TabChatesta() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtatestado(null);
setCodcnes(null);
setDtatendimento(null);
setHratendimento(null);
setIndinternacao(null);
setDurtratamento(null);
setIndafastamento(null);
setQtddiasafastamento(null);
setDesclesao(null);
setDiagprovavel(null);
setCodcid(null);
setObsatestado(null);
setCgccpfmed(null);
setTppessoamed(null);
}

public TabChatesta(int idContrat, FglDate dtatestado, int codcnes, FglDate dtatendimento, FglDateTimeHMin hratendimento, String indinternacao, int durtratamento, String indafastamento, int qtddiasafastamento, String desclesao, String diagprovavel, String codcid, String obsatestado, long cgccpfmed, int tppessoamed) {
this.idContrat = idContrat;
this.dtatestado = dtatestado;
this.codcnes = codcnes;
this.dtatendimento = dtatendimento;
this.hratendimento = hratendimento;
this.indinternacao = indinternacao;
this.durtratamento = durtratamento;
this.indafastamento = indafastamento;
this.qtddiasafastamento = qtddiasafastamento;
this.desclesao = desclesao;
this.diagprovavel = diagprovavel;
this.codcid = codcid;
this.obsatestado = obsatestado;
this.cgccpfmed = cgccpfmed;
this.tppessoamed = tppessoamed;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtatestado() {
return dtatestado;
}

public void setDtatestado(FglDate dtatestado) {
this.dtatestado = dtatestado;
}

public int getCodcnes() {
return codcnes;
}

public boolean isCodcnesNull() {
return codcnesNull;
}

public void setCodcnes(Integer codcnes) {
if (codcnes == null) {
codcnesNull = true;
this.codcnes = 0;
} else { 
codcnesNull = false;
this.codcnes = codcnes;
}
}

public FglDate getDtatendimento() {
return dtatendimento;
}

public void setDtatendimento(FglDate dtatendimento) {
this.dtatendimento = dtatendimento;
}

public FglDateTimeHMin getHratendimento() {
return hratendimento;
}

public void setHratendimento(FglDateTimeHMin hratendimento) {
this.hratendimento = hratendimento;
}

public String getIndinternacao() {
return indinternacao;
}

public void setIndinternacao(String indinternacao) {
this.indinternacao = indinternacao;
}

public int getDurtratamento() {
return durtratamento;
}

public boolean isDurtratamentoNull() {
return durtratamentoNull;
}

public void setDurtratamento(Integer durtratamento) {
if (durtratamento == null) {
durtratamentoNull = true;
this.durtratamento = 0;
} else { 
durtratamentoNull = false;
this.durtratamento = durtratamento;
}
}

public String getIndafastamento() {
return indafastamento;
}

public void setIndafastamento(String indafastamento) {
this.indafastamento = indafastamento;
}

public int getQtddiasafastamento() {
return qtddiasafastamento;
}

public boolean isQtddiasafastamentoNull() {
return qtddiasafastamentoNull;
}

public void setQtddiasafastamento(Integer qtddiasafastamento) {
if (qtddiasafastamento == null) {
qtddiasafastamentoNull = true;
this.qtddiasafastamento = 0;
} else { 
qtddiasafastamentoNull = false;
this.qtddiasafastamento = qtddiasafastamento;
}
}

public String getDesclesao() {
return desclesao;
}

public void setDesclesao(String desclesao) {
this.desclesao = desclesao;
}

public String getDiagprovavel() {
return diagprovavel;
}

public void setDiagprovavel(String diagprovavel) {
this.diagprovavel = diagprovavel;
}

public String getCodcid() {
return codcid;
}

public void setCodcid(String codcid) {
this.codcid = codcid;
}

public String getObsatestado() {
return obsatestado;
}

public void setObsatestado(String obsatestado) {
this.obsatestado = obsatestado;
}

public long getCgccpfmed() {
return cgccpfmed;
}

public boolean isCgccpfmedNull() {
return cgccpfmedNull;
}

public void setCgccpfmed(int cgccpfmed) {
setCgccpfmed(new Long(cgccpfmed));
}

public void setCgccpfmed(Long cgccpfmed) {
if (cgccpfmed == null) {
cgccpfmedNull = true;
this.cgccpfmed = 0l;
} else { 
cgccpfmedNull = false;
this.cgccpfmed = cgccpfmed;
}
}

public int getTppessoamed() {
return tppessoamed;
}

public boolean isTppessoamedNull() {
return tppessoamedNull;
}

public void setTppessoamed(Integer tppessoamed) {
if (tppessoamed == null) {
tppessoamedNull = true;
this.tppessoamed = 0;
} else { 
tppessoamedNull = false;
this.tppessoamed = tppessoamed;
}
}

}

