package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChcojdex {
@Coluna(nome="chcojdex.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="chcojdex.cargo", tipo="int")
private int cargo;
private boolean cargoNull;
@Coluna(nome="chcojdex.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="chcojdex.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chcojdex.sequencial", tipo="int")
private int sequencial;
private boolean sequencialNull;
@Coluna(nome="chcojdex.valorextra", tipo="double")
private double valorextra;
private boolean valorextraNull;
@Coluna(nome="chcojdex.motivo", tipo="String")
private String motivo;
@Coluna(nome="chcojdex.dataregistro", tipo="FglDate")
private FglDate dataregistro;
@Coluna(nome="chcojdex.loginregistro", tipo="String")
private String loginregistro;
@Coluna(nome="chcojdex.evento", tipo="int")
private int evento;
private boolean eventoNull;

public TabChcojdex() {
initialize();
}

public void initialize() {
setIdDeptos(null);
setCargo(null);
setIdAgente(null);
setAnomes(null);
setSequencial(null);
setValorextra(null);
setMotivo(null);
setDataregistro(null);
setLoginregistro(null);
setEvento(null);
}

public TabChcojdex(int idDeptos, int cargo, int idAgente, FglDateTimeYM anomes, int sequencial, double valorextra, String motivo, FglDate dataregistro, String loginregistro, int evento) {
this.idDeptos = idDeptos;
this.cargo = cargo;
this.idAgente = idAgente;
this.anomes = anomes;
this.sequencial = sequencial;
this.valorextra = valorextra;
this.motivo = motivo;
this.dataregistro = dataregistro;
this.loginregistro = loginregistro;
this.evento = evento;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public int getCargo() {
return cargo;
}

public boolean isCargoNull() {
return cargoNull;
}

public void setCargo(Integer cargo) {
if (cargo == null) {
cargoNull = true;
this.cargo = 0;
} else { 
cargoNull = false;
this.cargo = cargo;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getSequencial() {
return sequencial;
}

public boolean isSequencialNull() {
return sequencialNull;
}

public void setSequencial(Integer sequencial) {
if (sequencial == null) {
sequencialNull = true;
this.sequencial = 0;
} else { 
sequencialNull = false;
this.sequencial = sequencial;
}
}

public double getValorextra() {
return valorextra;
}

public boolean isValorextraNull() {
return valorextraNull;
}

public void setValorextra(int valorextra) {
setValorextra(new Double(valorextra));
}

public void setValorextra(long valorextra) {
setValorextra(new Double(valorextra));
}

public void setValorextra(Double valorextra) {
if (valorextra == null) {
valorextraNull = true;
this.valorextra = 0.;
} else { 
valorextraNull = false;
this.valorextra = FglDouble.round(valorextra, 2);
}
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public FglDate getDataregistro() {
return dataregistro;
}

public void setDataregistro(FglDate dataregistro) {
this.dataregistro = dataregistro;
}

public String getLoginregistro() {
return loginregistro;
}

public void setLoginregistro(String loginregistro) {
this.loginregistro = loginregistro;
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

}

