package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChcojdfz {
@Coluna(nome="chcojdfz.id_cojdto", tipo="int")
private int idCojdto;
private boolean idCojdtoNull;
@Coluna(nome="chcojdfz.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="chcojdfz.valorpatinf", tipo="double")
private double valorpatinf;
private boolean valorpatinfNull;
@Coluna(nome="chcojdfz.valorpatsup", tipo="double")
private double valorpatsup;
private boolean valorpatsupNull;
@Coluna(nome="chcojdfz.aliqfaixa", tipo="double")
private double aliqfaixa;
private boolean aliqfaixaNull;

public TabChcojdfz() {
initialize();
}

public void initialize() {
setIdCojdto(null);
setNrolinha(null);
setValorpatinf(null);
setValorpatsup(null);
setAliqfaixa(null);
}

public TabChcojdfz(int idCojdto, int nrolinha, double valorpatinf, double valorpatsup, double aliqfaixa) {
this.idCojdto = idCojdto;
this.nrolinha = nrolinha;
this.valorpatinf = valorpatinf;
this.valorpatsup = valorpatsup;
this.aliqfaixa = aliqfaixa;
}

public int getIdCojdto() {
return idCojdto;
}

public boolean isIdCojdtoNull() {
return idCojdtoNull;
}

public void setIdCojdto(Integer idCojdto) {
if (idCojdto == null) {
idCojdtoNull = true;
this.idCojdto = 0;
} else { 
idCojdtoNull = false;
this.idCojdto = idCojdto;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getValorpatinf() {
return valorpatinf;
}

public boolean isValorpatinfNull() {
return valorpatinfNull;
}

public void setValorpatinf(int valorpatinf) {
setValorpatinf(new Double(valorpatinf));
}

public void setValorpatinf(long valorpatinf) {
setValorpatinf(new Double(valorpatinf));
}

public void setValorpatinf(Double valorpatinf) {
if (valorpatinf == null) {
valorpatinfNull = true;
this.valorpatinf = 0.;
} else { 
valorpatinfNull = false;
this.valorpatinf = FglDouble.round(valorpatinf, 2);
}
}

public double getValorpatsup() {
return valorpatsup;
}

public boolean isValorpatsupNull() {
return valorpatsupNull;
}

public void setValorpatsup(int valorpatsup) {
setValorpatsup(new Double(valorpatsup));
}

public void setValorpatsup(long valorpatsup) {
setValorpatsup(new Double(valorpatsup));
}

public void setValorpatsup(Double valorpatsup) {
if (valorpatsup == null) {
valorpatsupNull = true;
this.valorpatsup = 0.;
} else { 
valorpatsupNull = false;
this.valorpatsup = FglDouble.round(valorpatsup, 2);
}
}

public double getAliqfaixa() {
return aliqfaixa;
}

public boolean isAliqfaixaNull() {
return aliqfaixaNull;
}

public void setAliqfaixa(int aliqfaixa) {
setAliqfaixa(new Double(aliqfaixa));
}

public void setAliqfaixa(long aliqfaixa) {
setAliqfaixa(new Double(aliqfaixa));
}

public void setAliqfaixa(Double aliqfaixa) {
if (aliqfaixa == null) {
aliqfaixaNull = true;
this.aliqfaixa = 0.;
} else { 
aliqfaixaNull = false;
this.aliqfaixa = FglDouble.round(aliqfaixa, 2);
}
}

}

