package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChcomage {
@Coluna(nome="chcomage.id_comage", tipo="int")
private int idComage;
private boolean idComageNull;
@Coluna(nome="chcomage.id_calcom", tipo="int")
private int idCalcom;
private boolean idCalcomNull;
@Coluna(nome="chcomage.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="chcomage.vlrfaturamento", tipo="double")
private double vlrfaturamento;
private boolean vlrfaturamentoNull;
@Coluna(nome="chcomage.basecalculo", tipo="double")
private double basecalculo;
private boolean basecalculoNull;
@Coluna(nome="chcomage.vrtotcomis", tipo="double")
private double vrtotcomis;
private boolean vrtotcomisNull;
@Coluna(nome="chcomage.vrmincomis", tipo="double")
private double vrmincomis;
private boolean vrmincomisNull;
@Coluna(nome="chcomage.vlrpagamento", tipo="double")
private double vlrpagamento;
private boolean vlrpagamentoNull;

public TabChcomage() {
initialize();
}

public void initialize() {
setIdComage(null);
setIdCalcom(null);
setIdAgente(null);
setVlrfaturamento(null);
setBasecalculo(null);
setVrtotcomis(null);
setVrmincomis(null);
setVlrpagamento(null);
}

public TabChcomage(int idComage, int idCalcom, int idAgente, double vlrfaturamento, double basecalculo, double vrtotcomis, double vrmincomis, double vlrpagamento) {
this.idComage = idComage;
this.idCalcom = idCalcom;
this.idAgente = idAgente;
this.vlrfaturamento = vlrfaturamento;
this.basecalculo = basecalculo;
this.vrtotcomis = vrtotcomis;
this.vrmincomis = vrmincomis;
this.vlrpagamento = vlrpagamento;
}

public int getIdComage() {
return idComage;
}

public boolean isIdComageNull() {
return idComageNull;
}

public void setIdComage(Integer idComage) {
if (idComage == null) {
idComageNull = true;
this.idComage = 0;
} else { 
idComageNull = false;
this.idComage = idComage;
}
}

public int getIdCalcom() {
return idCalcom;
}

public boolean isIdCalcomNull() {
return idCalcomNull;
}

public void setIdCalcom(Integer idCalcom) {
if (idCalcom == null) {
idCalcomNull = true;
this.idCalcom = 0;
} else { 
idCalcomNull = false;
this.idCalcom = idCalcom;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public double getVlrfaturamento() {
return vlrfaturamento;
}

public boolean isVlrfaturamentoNull() {
return vlrfaturamentoNull;
}

public void setVlrfaturamento(int vlrfaturamento) {
setVlrfaturamento(new Double(vlrfaturamento));
}

public void setVlrfaturamento(long vlrfaturamento) {
setVlrfaturamento(new Double(vlrfaturamento));
}

public void setVlrfaturamento(Double vlrfaturamento) {
if (vlrfaturamento == null) {
vlrfaturamentoNull = true;
this.vlrfaturamento = 0.;
} else { 
vlrfaturamentoNull = false;
this.vlrfaturamento = FglDouble.round(vlrfaturamento, 2);
}
}

public double getBasecalculo() {
return basecalculo;
}

public boolean isBasecalculoNull() {
return basecalculoNull;
}

public void setBasecalculo(int basecalculo) {
setBasecalculo(new Double(basecalculo));
}

public void setBasecalculo(long basecalculo) {
setBasecalculo(new Double(basecalculo));
}

public void setBasecalculo(Double basecalculo) {
if (basecalculo == null) {
basecalculoNull = true;
this.basecalculo = 0.;
} else { 
basecalculoNull = false;
this.basecalculo = FglDouble.round(basecalculo, 2);
}
}

public double getVrtotcomis() {
return vrtotcomis;
}

public boolean isVrtotcomisNull() {
return vrtotcomisNull;
}

public void setVrtotcomis(int vrtotcomis) {
setVrtotcomis(new Double(vrtotcomis));
}

public void setVrtotcomis(long vrtotcomis) {
setVrtotcomis(new Double(vrtotcomis));
}

public void setVrtotcomis(Double vrtotcomis) {
if (vrtotcomis == null) {
vrtotcomisNull = true;
this.vrtotcomis = 0.;
} else { 
vrtotcomisNull = false;
this.vrtotcomis = FglDouble.round(vrtotcomis, 2);
}
}

public double getVrmincomis() {
return vrmincomis;
}

public boolean isVrmincomisNull() {
return vrmincomisNull;
}

public void setVrmincomis(int vrmincomis) {
setVrmincomis(new Double(vrmincomis));
}

public void setVrmincomis(long vrmincomis) {
setVrmincomis(new Double(vrmincomis));
}

public void setVrmincomis(Double vrmincomis) {
if (vrmincomis == null) {
vrmincomisNull = true;
this.vrmincomis = 0.;
} else { 
vrmincomisNull = false;
this.vrmincomis = FglDouble.round(vrmincomis, 2);
}
}

public double getVlrpagamento() {
return vlrpagamento;
}

public boolean isVlrpagamentoNull() {
return vlrpagamentoNull;
}

public void setVlrpagamento(int vlrpagamento) {
setVlrpagamento(new Double(vlrpagamento));
}

public void setVlrpagamento(long vlrpagamento) {
setVlrpagamento(new Double(vlrpagamento));
}

public void setVlrpagamento(Double vlrpagamento) {
if (vlrpagamento == null) {
vlrpagamentoNull = true;
this.vlrpagamento = 0.;
} else { 
vlrpagamentoNull = false;
this.vlrpagamento = FglDouble.round(vlrpagamento, 2);
}
}

}

