package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabChcomint {
@Coluna(nome="chcomint.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="chcomint.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chcomint.progger", tipo="String")
private String progger;
@Coluna(nome="chcomint.dtintegra", tipo="FglDateTimeYM")
private FglDateTimeYM dtintegra;
@Coluna(nome="chcomint.login", tipo="String")
private String login;

public TabChcomint() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setProgger(null);
setDtintegra(null);
setLogin(null);
}

public TabChcomint(int filial, FglDateTimeYM anomes, String progger, FglDateTimeYM dtintegra, String login) {
this.filial = filial;
this.anomes = anomes;
this.progger = progger;
this.dtintegra = dtintegra;
this.login = login;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getProgger() {
return progger;
}

public void setProgger(String progger) {
this.progger = progger;
}

public FglDateTimeYM getDtintegra() {
return dtintegra;
}

public void setDtintegra(FglDateTimeYM dtintegra) {
this.dtintegra = dtintegra;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

}

