package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChconemp {
@Coluna(nome="chconemp.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chconemp.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chconemp.vlralimentacao", tipo="double")
private double vlralimentacao;
private boolean vlralimentacaoNull;
@Coluna(nome="chconemp.vlrassistmedica", tipo="double")
private double vlrassistmedica;
private boolean vlrassistmedicaNull;
@Coluna(nome="chconemp.vlrvaletranspor", tipo="double")
private double vlrvaletranspor;
private boolean vlrvaletransporNull;
@Coluna(nome="chconemp.vlrfgts", tipo="double")
private double vlrfgts;
private boolean vlrfgtsNull;
@Coluna(nome="chconemp.vlrinss", tipo="double")
private double vlrinss;
private boolean vlrinssNull;

public TabChconemp() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAnomes(null);
setVlralimentacao(null);
setVlrassistmedica(null);
setVlrvaletranspor(null);
setVlrfgts(null);
setVlrinss(null);
}

public TabChconemp(int empresa, FglDateTimeYM anomes, double vlralimentacao, double vlrassistmedica, double vlrvaletranspor, double vlrfgts, double vlrinss) {
this.empresa = empresa;
this.anomes = anomes;
this.vlralimentacao = vlralimentacao;
this.vlrassistmedica = vlrassistmedica;
this.vlrvaletranspor = vlrvaletranspor;
this.vlrfgts = vlrfgts;
this.vlrinss = vlrinss;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getVlralimentacao() {
return vlralimentacao;
}

public boolean isVlralimentacaoNull() {
return vlralimentacaoNull;
}

public void setVlralimentacao(int vlralimentacao) {
setVlralimentacao(new Double(vlralimentacao));
}

public void setVlralimentacao(long vlralimentacao) {
setVlralimentacao(new Double(vlralimentacao));
}

public void setVlralimentacao(Double vlralimentacao) {
if (vlralimentacao == null) {
vlralimentacaoNull = true;
this.vlralimentacao = 0.;
} else { 
vlralimentacaoNull = false;
this.vlralimentacao = FglDouble.round(vlralimentacao, 2);
}
}

public double getVlrassistmedica() {
return vlrassistmedica;
}

public boolean isVlrassistmedicaNull() {
return vlrassistmedicaNull;
}

public void setVlrassistmedica(int vlrassistmedica) {
setVlrassistmedica(new Double(vlrassistmedica));
}

public void setVlrassistmedica(long vlrassistmedica) {
setVlrassistmedica(new Double(vlrassistmedica));
}

public void setVlrassistmedica(Double vlrassistmedica) {
if (vlrassistmedica == null) {
vlrassistmedicaNull = true;
this.vlrassistmedica = 0.;
} else { 
vlrassistmedicaNull = false;
this.vlrassistmedica = FglDouble.round(vlrassistmedica, 2);
}
}

public double getVlrvaletranspor() {
return vlrvaletranspor;
}

public boolean isVlrvaletransporNull() {
return vlrvaletransporNull;
}

public void setVlrvaletranspor(int vlrvaletranspor) {
setVlrvaletranspor(new Double(vlrvaletranspor));
}

public void setVlrvaletranspor(long vlrvaletranspor) {
setVlrvaletranspor(new Double(vlrvaletranspor));
}

public void setVlrvaletranspor(Double vlrvaletranspor) {
if (vlrvaletranspor == null) {
vlrvaletransporNull = true;
this.vlrvaletranspor = 0.;
} else { 
vlrvaletransporNull = false;
this.vlrvaletranspor = FglDouble.round(vlrvaletranspor, 2);
}
}

public double getVlrfgts() {
return vlrfgts;
}

public boolean isVlrfgtsNull() {
return vlrfgtsNull;
}

public void setVlrfgts(int vlrfgts) {
setVlrfgts(new Double(vlrfgts));
}

public void setVlrfgts(long vlrfgts) {
setVlrfgts(new Double(vlrfgts));
}

public void setVlrfgts(Double vlrfgts) {
if (vlrfgts == null) {
vlrfgtsNull = true;
this.vlrfgts = 0.;
} else { 
vlrfgtsNull = false;
this.vlrfgts = FglDouble.round(vlrfgts, 2);
}
}

public double getVlrinss() {
return vlrinss;
}

public boolean isVlrinssNull() {
return vlrinssNull;
}

public void setVlrinss(int vlrinss) {
setVlrinss(new Double(vlrinss));
}

public void setVlrinss(long vlrinss) {
setVlrinss(new Double(vlrinss));
}

public void setVlrinss(Double vlrinss) {
if (vlrinss == null) {
vlrinssNull = true;
this.vlrinss = 0.;
} else { 
vlrinssNull = false;
this.vlrinss = FglDouble.round(vlrinss, 2);
}
}

}

