package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChdigfer {
@Coluna(nome="chdigfer.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chdigfer.dtiniaqui", tipo="FglDate")
private FglDate dtiniaqui;
@Coluna(nome="chdigfer.provadifer", tipo="double")
private double provadifer;
private boolean provadiferNull;
@Coluna(nome="chdigfer.dtinigozo", tipo="FglDate")
private FglDate dtinigozo;
@Coluna(nome="chdigfer.dtfimgozo", tipo="FglDate")
private FglDate dtfimgozo;
@Coluna(nome="chdigfer.diasgozo", tipo="double")
private double diasgozo;
private boolean diasgozoNull;
@Coluna(nome="chdigfer.diasabono", tipo="int")
private int diasabono;
private boolean diasabonoNull;
@Coluna(nome="chdigfer.edobrada", tipo="String")
private String edobrada;

public TabChdigfer() {
initialize();
}

public void initialize() {
setIdContrat(null);
setDtiniaqui(null);
setProvadifer(null);
setDtinigozo(null);
setDtfimgozo(null);
setDiasgozo(null);
setDiasabono(null);
setEdobrada(null);
}

public TabChdigfer(int idContrat, FglDate dtiniaqui, double provadifer, FglDate dtinigozo, FglDate dtfimgozo, double diasgozo, int diasabono, String edobrada) {
this.idContrat = idContrat;
this.dtiniaqui = dtiniaqui;
this.provadifer = provadifer;
this.dtinigozo = dtinigozo;
this.dtfimgozo = dtfimgozo;
this.diasgozo = diasgozo;
this.diasabono = diasabono;
this.edobrada = edobrada;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtiniaqui() {
return dtiniaqui;
}

public void setDtiniaqui(FglDate dtiniaqui) {
this.dtiniaqui = dtiniaqui;
}

public double getProvadifer() {
return provadifer;
}

public boolean isProvadiferNull() {
return provadiferNull;
}

public void setProvadifer(int provadifer) {
setProvadifer(new Double(provadifer));
}

public void setProvadifer(long provadifer) {
setProvadifer(new Double(provadifer));
}

public void setProvadifer(Double provadifer) {
if (provadifer == null) {
provadiferNull = true;
this.provadifer = 0.;
} else { 
provadiferNull = false;
this.provadifer = FglDouble.round(provadifer, 2);
}
}

public FglDate getDtinigozo() {
return dtinigozo;
}

public void setDtinigozo(FglDate dtinigozo) {
this.dtinigozo = dtinigozo;
}

public FglDate getDtfimgozo() {
return dtfimgozo;
}

public void setDtfimgozo(FglDate dtfimgozo) {
this.dtfimgozo = dtfimgozo;
}

public double getDiasgozo() {
return diasgozo;
}

public boolean isDiasgozoNull() {
return diasgozoNull;
}

public void setDiasgozo(int diasgozo) {
setDiasgozo(new Double(diasgozo));
}

public void setDiasgozo(long diasgozo) {
setDiasgozo(new Double(diasgozo));
}

public void setDiasgozo(Double diasgozo) {
if (diasgozo == null) {
diasgozoNull = true;
this.diasgozo = 0.;
} else { 
diasgozoNull = false;
this.diasgozo = FglDouble.round(diasgozo, 1);
}
}

public int getDiasabono() {
return diasabono;
}

public boolean isDiasabonoNull() {
return diasabonoNull;
}

public void setDiasabono(Integer diasabono) {
if (diasabono == null) {
diasabonoNull = true;
this.diasabono = 0;
} else { 
diasabonoNull = false;
this.diasabono = diasabono;
}
}

public String getEdobrada() {
return edobrada;
}

public void setEdobrada(String edobrada) {
this.edobrada = edobrada;
}

}

