package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChdigrc {
@Coluna(nome="chdigrc.id_digrc", tipo="int")
private int idDigrc;
private boolean idDigrcNull;
@Coluna(nome="chdigrc.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chdigrc.dtpagto", tipo="FglDate")
private FglDate dtpagto;
@Coluna(nome="chdigrc.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chdigrc.salarbase", tipo="double")
private double salarbase;
private boolean salarbaseNull;
@Coluna(nome="chdigrc.resp", tipo="String")
private String resp;
@Coluna(nome="chdigrc.venciment", tipo="double")
private double venciment;
private boolean vencimentNull;
@Coluna(nome="chdigrc.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="chdigrc.liquido", tipo="double")
private double liquido;
private boolean liquidoNull;
@Coluna(nome="chdigrc.bsfgts", tipo="double")
private double bsfgts;
private boolean bsfgtsNull;
@Coluna(nome="chdigrc.valorfgts", tipo="double")
private double valorfgts;
private boolean valorfgtsNull;
@Coluna(nome="chdigrc.deposfgts", tipo="String")
private String deposfgts;
@Coluna(nome="chdigrc.multafgts", tipo="String")
private String multafgts;
@Coluna(nome="chdigrc.multainss", tipo="String")
private String multainss;
@Coluna(nome="chdigrc.bsinsssal", tipo="double")
private double bsinsssal;
private boolean bsinsssalNull;
@Coluna(nome="chdigrc.exinsssal", tipo="double")
private double exinsssal;
private boolean exinsssalNull;
@Coluna(nome="chdigrc.vlinsssal", tipo="double")
private double vlinsssal;
private boolean vlinsssalNull;
@Coluna(nome="chdigrc.fxinsssal", tipo="int")
private int fxinsssal;
private boolean fxinsssalNull;
@Coluna(nome="chdigrc.depirsal", tipo="double")
private double depirsal;
private boolean depirsalNull;
@Coluna(nome="chdigrc.pensaosal", tipo="double")
private double pensaosal;
private boolean pensaosalNull;
@Coluna(nome="chdigrc.bsirrfsal", tipo="double")
private double bsirrfsal;
private boolean bsirrfsalNull;
@Coluna(nome="chdigrc.bsinssfer", tipo="double")
private double bsinssfer;
private boolean bsinssferNull;
@Coluna(nome="chdigrc.exinssfer", tipo="double")
private double exinssfer;
private boolean exinssferNull;
@Coluna(nome="chdigrc.vlinssfer", tipo="double")
private double vlinssfer;
private boolean vlinssferNull;
@Coluna(nome="chdigrc.fxinssfer", tipo="int")
private int fxinssfer;
private boolean fxinssferNull;
@Coluna(nome="chdigrc.depirfer", tipo="double")
private double depirfer;
private boolean depirferNull;
@Coluna(nome="chdigrc.pensaofer", tipo="double")
private double pensaofer;
private boolean pensaoferNull;
@Coluna(nome="chdigrc.bsirrffer", tipo="double")
private double bsirrffer;
private boolean bsirrfferNull;
@Coluna(nome="chdigrc.bsinss13s", tipo="double")
private double bsinss13s;
private boolean bsinss13sNull;
@Coluna(nome="chdigrc.exinss13s", tipo="double")
private double exinss13s;
private boolean exinss13sNull;
@Coluna(nome="chdigrc.vlinss13s", tipo="double")
private double vlinss13s;
private boolean vlinss13sNull;
@Coluna(nome="chdigrc.fxinss13s", tipo="int")
private int fxinss13s;
private boolean fxinss13sNull;
@Coluna(nome="chdigrc.depir13s", tipo="double")
private double depir13s;
private boolean depir13sNull;
@Coluna(nome="chdigrc.pensao13s", tipo="double")
private double pensao13s;
private boolean pensao13sNull;
@Coluna(nome="chdigrc.bsirrf13s", tipo="double")
private double bsirrf13s;
private boolean bsirrf13sNull;
@Coluna(nome="chdigrc.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabChdigrc() {
initialize();
}

public void initialize() {
setIdDigrc(null);
setIdContrat(null);
setDtpagto(null);
setAnomes(null);
setSalarbase(null);
setResp(null);
setVenciment(null);
setDesconto(null);
setLiquido(null);
setBsfgts(null);
setValorfgts(null);
setDeposfgts(null);
setMultafgts(null);
setMultainss(null);
setBsinsssal(null);
setExinsssal(null);
setVlinsssal(null);
setFxinsssal(null);
setDepirsal(null);
setPensaosal(null);
setBsirrfsal(null);
setBsinssfer(null);
setExinssfer(null);
setVlinssfer(null);
setFxinssfer(null);
setDepirfer(null);
setPensaofer(null);
setBsirrffer(null);
setBsinss13s(null);
setExinss13s(null);
setVlinss13s(null);
setFxinss13s(null);
setDepir13s(null);
setPensao13s(null);
setBsirrf13s(null);
setIdLancto(null);
}

public TabChdigrc(int idDigrc, int idContrat, FglDate dtpagto, FglDateTimeYM anomes, double salarbase, String resp, double venciment, double desconto, double liquido, double bsfgts, double valorfgts, String deposfgts, String multafgts, String multainss, double bsinsssal, double exinsssal, double vlinsssal, int fxinsssal, double depirsal, double pensaosal, double bsirrfsal, double bsinssfer, double exinssfer, double vlinssfer, int fxinssfer, double depirfer, double pensaofer, double bsirrffer, double bsinss13s, double exinss13s, double vlinss13s, int fxinss13s, double depir13s, double pensao13s, double bsirrf13s, int idLancto) {
this.idDigrc = idDigrc;
this.idContrat = idContrat;
this.dtpagto = dtpagto;
this.anomes = anomes;
this.salarbase = salarbase;
this.resp = resp;
this.venciment = venciment;
this.desconto = desconto;
this.liquido = liquido;
this.bsfgts = bsfgts;
this.valorfgts = valorfgts;
this.deposfgts = deposfgts;
this.multafgts = multafgts;
this.multainss = multainss;
this.bsinsssal = bsinsssal;
this.exinsssal = exinsssal;
this.vlinsssal = vlinsssal;
this.fxinsssal = fxinsssal;
this.depirsal = depirsal;
this.pensaosal = pensaosal;
this.bsirrfsal = bsirrfsal;
this.bsinssfer = bsinssfer;
this.exinssfer = exinssfer;
this.vlinssfer = vlinssfer;
this.fxinssfer = fxinssfer;
this.depirfer = depirfer;
this.pensaofer = pensaofer;
this.bsirrffer = bsirrffer;
this.bsinss13s = bsinss13s;
this.exinss13s = exinss13s;
this.vlinss13s = vlinss13s;
this.fxinss13s = fxinss13s;
this.depir13s = depir13s;
this.pensao13s = pensao13s;
this.bsirrf13s = bsirrf13s;
this.idLancto = idLancto;
}

public int getIdDigrc() {
return idDigrc;
}

public boolean isIdDigrcNull() {
return idDigrcNull;
}

public void setIdDigrc(Integer idDigrc) {
if (idDigrc == null) {
idDigrcNull = true;
this.idDigrc = 0;
} else { 
idDigrcNull = false;
this.idDigrc = idDigrc;
}
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtpagto() {
return dtpagto;
}

public void setDtpagto(FglDate dtpagto) {
this.dtpagto = dtpagto;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getSalarbase() {
return salarbase;
}

public boolean isSalarbaseNull() {
return salarbaseNull;
}

public void setSalarbase(int salarbase) {
setSalarbase(new Double(salarbase));
}

public void setSalarbase(long salarbase) {
setSalarbase(new Double(salarbase));
}

public void setSalarbase(Double salarbase) {
if (salarbase == null) {
salarbaseNull = true;
this.salarbase = 0.;
} else { 
salarbaseNull = false;
this.salarbase = FglDouble.round(salarbase, 2);
}
}

public String getResp() {
return resp;
}

public void setResp(String resp) {
this.resp = resp;
}

public double getVenciment() {
return venciment;
}

public boolean isVencimentNull() {
return vencimentNull;
}

public void setVenciment(int venciment) {
setVenciment(new Double(venciment));
}

public void setVenciment(long venciment) {
setVenciment(new Double(venciment));
}

public void setVenciment(Double venciment) {
if (venciment == null) {
vencimentNull = true;
this.venciment = 0.;
} else { 
vencimentNull = false;
this.venciment = FglDouble.round(venciment, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getLiquido() {
return liquido;
}

public boolean isLiquidoNull() {
return liquidoNull;
}

public void setLiquido(int liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(long liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(Double liquido) {
if (liquido == null) {
liquidoNull = true;
this.liquido = 0.;
} else { 
liquidoNull = false;
this.liquido = FglDouble.round(liquido, 2);
}
}

public double getBsfgts() {
return bsfgts;
}

public boolean isBsfgtsNull() {
return bsfgtsNull;
}

public void setBsfgts(int bsfgts) {
setBsfgts(new Double(bsfgts));
}

public void setBsfgts(long bsfgts) {
setBsfgts(new Double(bsfgts));
}

public void setBsfgts(Double bsfgts) {
if (bsfgts == null) {
bsfgtsNull = true;
this.bsfgts = 0.;
} else { 
bsfgtsNull = false;
this.bsfgts = FglDouble.round(bsfgts, 2);
}
}

public double getValorfgts() {
return valorfgts;
}

public boolean isValorfgtsNull() {
return valorfgtsNull;
}

public void setValorfgts(int valorfgts) {
setValorfgts(new Double(valorfgts));
}

public void setValorfgts(long valorfgts) {
setValorfgts(new Double(valorfgts));
}

public void setValorfgts(Double valorfgts) {
if (valorfgts == null) {
valorfgtsNull = true;
this.valorfgts = 0.;
} else { 
valorfgtsNull = false;
this.valorfgts = FglDouble.round(valorfgts, 2);
}
}

public String getDeposfgts() {
return deposfgts;
}

public void setDeposfgts(String deposfgts) {
this.deposfgts = deposfgts;
}

public String getMultafgts() {
return multafgts;
}

public void setMultafgts(String multafgts) {
this.multafgts = multafgts;
}

public String getMultainss() {
return multainss;
}

public void setMultainss(String multainss) {
this.multainss = multainss;
}

public double getBsinsssal() {
return bsinsssal;
}

public boolean isBsinsssalNull() {
return bsinsssalNull;
}

public void setBsinsssal(int bsinsssal) {
setBsinsssal(new Double(bsinsssal));
}

public void setBsinsssal(long bsinsssal) {
setBsinsssal(new Double(bsinsssal));
}

public void setBsinsssal(Double bsinsssal) {
if (bsinsssal == null) {
bsinsssalNull = true;
this.bsinsssal = 0.;
} else { 
bsinsssalNull = false;
this.bsinsssal = FglDouble.round(bsinsssal, 2);
}
}

public double getExinsssal() {
return exinsssal;
}

public boolean isExinsssalNull() {
return exinsssalNull;
}

public void setExinsssal(int exinsssal) {
setExinsssal(new Double(exinsssal));
}

public void setExinsssal(long exinsssal) {
setExinsssal(new Double(exinsssal));
}

public void setExinsssal(Double exinsssal) {
if (exinsssal == null) {
exinsssalNull = true;
this.exinsssal = 0.;
} else { 
exinsssalNull = false;
this.exinsssal = FglDouble.round(exinsssal, 2);
}
}

public double getVlinsssal() {
return vlinsssal;
}

public boolean isVlinsssalNull() {
return vlinsssalNull;
}

public void setVlinsssal(int vlinsssal) {
setVlinsssal(new Double(vlinsssal));
}

public void setVlinsssal(long vlinsssal) {
setVlinsssal(new Double(vlinsssal));
}

public void setVlinsssal(Double vlinsssal) {
if (vlinsssal == null) {
vlinsssalNull = true;
this.vlinsssal = 0.;
} else { 
vlinsssalNull = false;
this.vlinsssal = FglDouble.round(vlinsssal, 2);
}
}

public int getFxinsssal() {
return fxinsssal;
}

public boolean isFxinsssalNull() {
return fxinsssalNull;
}

public void setFxinsssal(Integer fxinsssal) {
if (fxinsssal == null) {
fxinsssalNull = true;
this.fxinsssal = 0;
} else { 
fxinsssalNull = false;
this.fxinsssal = fxinsssal;
}
}

public double getDepirsal() {
return depirsal;
}

public boolean isDepirsalNull() {
return depirsalNull;
}

public void setDepirsal(int depirsal) {
setDepirsal(new Double(depirsal));
}

public void setDepirsal(long depirsal) {
setDepirsal(new Double(depirsal));
}

public void setDepirsal(Double depirsal) {
if (depirsal == null) {
depirsalNull = true;
this.depirsal = 0.;
} else { 
depirsalNull = false;
this.depirsal = FglDouble.round(depirsal, 2);
}
}

public double getPensaosal() {
return pensaosal;
}

public boolean isPensaosalNull() {
return pensaosalNull;
}

public void setPensaosal(int pensaosal) {
setPensaosal(new Double(pensaosal));
}

public void setPensaosal(long pensaosal) {
setPensaosal(new Double(pensaosal));
}

public void setPensaosal(Double pensaosal) {
if (pensaosal == null) {
pensaosalNull = true;
this.pensaosal = 0.;
} else { 
pensaosalNull = false;
this.pensaosal = FglDouble.round(pensaosal, 2);
}
}

public double getBsirrfsal() {
return bsirrfsal;
}

public boolean isBsirrfsalNull() {
return bsirrfsalNull;
}

public void setBsirrfsal(int bsirrfsal) {
setBsirrfsal(new Double(bsirrfsal));
}

public void setBsirrfsal(long bsirrfsal) {
setBsirrfsal(new Double(bsirrfsal));
}

public void setBsirrfsal(Double bsirrfsal) {
if (bsirrfsal == null) {
bsirrfsalNull = true;
this.bsirrfsal = 0.;
} else { 
bsirrfsalNull = false;
this.bsirrfsal = FglDouble.round(bsirrfsal, 2);
}
}

public double getBsinssfer() {
return bsinssfer;
}

public boolean isBsinssferNull() {
return bsinssferNull;
}

public void setBsinssfer(int bsinssfer) {
setBsinssfer(new Double(bsinssfer));
}

public void setBsinssfer(long bsinssfer) {
setBsinssfer(new Double(bsinssfer));
}

public void setBsinssfer(Double bsinssfer) {
if (bsinssfer == null) {
bsinssferNull = true;
this.bsinssfer = 0.;
} else { 
bsinssferNull = false;
this.bsinssfer = FglDouble.round(bsinssfer, 2);
}
}

public double getExinssfer() {
return exinssfer;
}

public boolean isExinssferNull() {
return exinssferNull;
}

public void setExinssfer(int exinssfer) {
setExinssfer(new Double(exinssfer));
}

public void setExinssfer(long exinssfer) {
setExinssfer(new Double(exinssfer));
}

public void setExinssfer(Double exinssfer) {
if (exinssfer == null) {
exinssferNull = true;
this.exinssfer = 0.;
} else { 
exinssferNull = false;
this.exinssfer = FglDouble.round(exinssfer, 2);
}
}

public double getVlinssfer() {
return vlinssfer;
}

public boolean isVlinssferNull() {
return vlinssferNull;
}

public void setVlinssfer(int vlinssfer) {
setVlinssfer(new Double(vlinssfer));
}

public void setVlinssfer(long vlinssfer) {
setVlinssfer(new Double(vlinssfer));
}

public void setVlinssfer(Double vlinssfer) {
if (vlinssfer == null) {
vlinssferNull = true;
this.vlinssfer = 0.;
} else { 
vlinssferNull = false;
this.vlinssfer = FglDouble.round(vlinssfer, 2);
}
}

public int getFxinssfer() {
return fxinssfer;
}

public boolean isFxinssferNull() {
return fxinssferNull;
}

public void setFxinssfer(Integer fxinssfer) {
if (fxinssfer == null) {
fxinssferNull = true;
this.fxinssfer = 0;
} else { 
fxinssferNull = false;
this.fxinssfer = fxinssfer;
}
}

public double getDepirfer() {
return depirfer;
}

public boolean isDepirferNull() {
return depirferNull;
}

public void setDepirfer(int depirfer) {
setDepirfer(new Double(depirfer));
}

public void setDepirfer(long depirfer) {
setDepirfer(new Double(depirfer));
}

public void setDepirfer(Double depirfer) {
if (depirfer == null) {
depirferNull = true;
this.depirfer = 0.;
} else { 
depirferNull = false;
this.depirfer = FglDouble.round(depirfer, 2);
}
}

public double getPensaofer() {
return pensaofer;
}

public boolean isPensaoferNull() {
return pensaoferNull;
}

public void setPensaofer(int pensaofer) {
setPensaofer(new Double(pensaofer));
}

public void setPensaofer(long pensaofer) {
setPensaofer(new Double(pensaofer));
}

public void setPensaofer(Double pensaofer) {
if (pensaofer == null) {
pensaoferNull = true;
this.pensaofer = 0.;
} else { 
pensaoferNull = false;
this.pensaofer = FglDouble.round(pensaofer, 2);
}
}

public double getBsirrffer() {
return bsirrffer;
}

public boolean isBsirrfferNull() {
return bsirrfferNull;
}

public void setBsirrffer(int bsirrffer) {
setBsirrffer(new Double(bsirrffer));
}

public void setBsirrffer(long bsirrffer) {
setBsirrffer(new Double(bsirrffer));
}

public void setBsirrffer(Double bsirrffer) {
if (bsirrffer == null) {
bsirrfferNull = true;
this.bsirrffer = 0.;
} else { 
bsirrfferNull = false;
this.bsirrffer = FglDouble.round(bsirrffer, 2);
}
}

public double getBsinss13s() {
return bsinss13s;
}

public boolean isBsinss13sNull() {
return bsinss13sNull;
}

public void setBsinss13s(int bsinss13s) {
setBsinss13s(new Double(bsinss13s));
}

public void setBsinss13s(long bsinss13s) {
setBsinss13s(new Double(bsinss13s));
}

public void setBsinss13s(Double bsinss13s) {
if (bsinss13s == null) {
bsinss13sNull = true;
this.bsinss13s = 0.;
} else { 
bsinss13sNull = false;
this.bsinss13s = FglDouble.round(bsinss13s, 2);
}
}

public double getExinss13s() {
return exinss13s;
}

public boolean isExinss13sNull() {
return exinss13sNull;
}

public void setExinss13s(int exinss13s) {
setExinss13s(new Double(exinss13s));
}

public void setExinss13s(long exinss13s) {
setExinss13s(new Double(exinss13s));
}

public void setExinss13s(Double exinss13s) {
if (exinss13s == null) {
exinss13sNull = true;
this.exinss13s = 0.;
} else { 
exinss13sNull = false;
this.exinss13s = FglDouble.round(exinss13s, 2);
}
}

public double getVlinss13s() {
return vlinss13s;
}

public boolean isVlinss13sNull() {
return vlinss13sNull;
}

public void setVlinss13s(int vlinss13s) {
setVlinss13s(new Double(vlinss13s));
}

public void setVlinss13s(long vlinss13s) {
setVlinss13s(new Double(vlinss13s));
}

public void setVlinss13s(Double vlinss13s) {
if (vlinss13s == null) {
vlinss13sNull = true;
this.vlinss13s = 0.;
} else { 
vlinss13sNull = false;
this.vlinss13s = FglDouble.round(vlinss13s, 2);
}
}

public int getFxinss13s() {
return fxinss13s;
}

public boolean isFxinss13sNull() {
return fxinss13sNull;
}

public void setFxinss13s(Integer fxinss13s) {
if (fxinss13s == null) {
fxinss13sNull = true;
this.fxinss13s = 0;
} else { 
fxinss13sNull = false;
this.fxinss13s = fxinss13s;
}
}

public double getDepir13s() {
return depir13s;
}

public boolean isDepir13sNull() {
return depir13sNull;
}

public void setDepir13s(int depir13s) {
setDepir13s(new Double(depir13s));
}

public void setDepir13s(long depir13s) {
setDepir13s(new Double(depir13s));
}

public void setDepir13s(Double depir13s) {
if (depir13s == null) {
depir13sNull = true;
this.depir13s = 0.;
} else { 
depir13sNull = false;
this.depir13s = FglDouble.round(depir13s, 2);
}
}

public double getPensao13s() {
return pensao13s;
}

public boolean isPensao13sNull() {
return pensao13sNull;
}

public void setPensao13s(int pensao13s) {
setPensao13s(new Double(pensao13s));
}

public void setPensao13s(long pensao13s) {
setPensao13s(new Double(pensao13s));
}

public void setPensao13s(Double pensao13s) {
if (pensao13s == null) {
pensao13sNull = true;
this.pensao13s = 0.;
} else { 
pensao13sNull = false;
this.pensao13s = FglDouble.round(pensao13s, 2);
}
}

public double getBsirrf13s() {
return bsirrf13s;
}

public boolean isBsirrf13sNull() {
return bsirrf13sNull;
}

public void setBsirrf13s(int bsirrf13s) {
setBsirrf13s(new Double(bsirrf13s));
}

public void setBsirrf13s(long bsirrf13s) {
setBsirrf13s(new Double(bsirrf13s));
}

public void setBsirrf13s(Double bsirrf13s) {
if (bsirrf13s == null) {
bsirrf13sNull = true;
this.bsirrf13s = 0.;
} else { 
bsirrf13sNull = false;
this.bsirrf13s = FglDouble.round(bsirrf13s, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

