package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChdirf {
@Coluna(nome="chdirf.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chdirf.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chdirf.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chdirf.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chdirf.controle", tipo="int")
private int controle;
private boolean controleNull;
@Coluna(nome="chdirf.base", tipo="double")
private double base;
private boolean baseNull;
@Coluna(nome="chdirf.baseisen", tipo="double")
private double baseisen;
private boolean baseisenNull;
@Coluna(nome="chdirf.irrf", tipo="double")
private double irrf;
private boolean irrfNull;
@Coluna(nome="chdirf.inssreal", tipo="double")
private double inssreal;
private boolean inssrealNull;
@Coluna(nome="chdirf.inssdedu", tipo="double")
private double inssdedu;
private boolean inssdeduNull;
@Coluna(nome="chdirf.prevpriv", tipo="double")
private double prevpriv;
private boolean prevprivNull;
@Coluna(nome="chdirf.pensao", tipo="double")
private double pensao;
private boolean pensaoNull;
@Coluna(nome="chdirf.qtdepe", tipo="int")
private int qtdepe;
private boolean qtdepeNull;
@Coluna(nome="chdirf.depend", tipo="double")
private double depend;
private boolean dependNull;
@Coluna(nome="chdirf.avisopr", tipo="double")
private double avisopr;
private boolean avisoprNull;
@Coluna(nome="chdirf.salfam", tipo="double")
private double salfam;
private boolean salfamNull;
@Coluna(nome="chdirf.abonopec", tipo="double")
private double abonopec;
private boolean abonopecNull;
@Coluna(nome="chdirf.fgtsmult", tipo="double")
private double fgtsmult;
private boolean fgtsmultNull;
@Coluna(nome="chdirf.lei6708", tipo="double")
private double lei6708;
private boolean lei6708Null;
@Coluna(nome="chdirf.base13", tipo="double")
private double base13;
private boolean base13Null;
@Coluna(nome="chdirf.irrf13", tipo="double")
private double irrf13;
private boolean irrf13Null;
@Coluna(nome="chdirf.inss13", tipo="double")
private double inss13;
private boolean inss13Null;
@Coluna(nome="chdirf.pensao13", tipo="double")
private double pensao13;
private boolean pensao13Null;
@Coluna(nome="chdirf.qtdepe13", tipo="int")
private int qtdepe13;
private boolean qtdepe13Null;
@Coluna(nome="chdirf.depend13", tipo="double")
private double depend13;
private boolean depend13Null;

public TabChdirf() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAnomes(null);
setTppessoa(null);
setCgccpf(null);
setControle(null);
setBase(null);
setBaseisen(null);
setIrrf(null);
setInssreal(null);
setInssdedu(null);
setPrevpriv(null);
setPensao(null);
setQtdepe(null);
setDepend(null);
setAvisopr(null);
setSalfam(null);
setAbonopec(null);
setFgtsmult(null);
setLei6708(null);
setBase13(null);
setIrrf13(null);
setInss13(null);
setPensao13(null);
setQtdepe13(null);
setDepend13(null);
}

public TabChdirf(int empresa, FglDateTimeYM anomes, int tppessoa, long cgccpf, int controle, double base, double baseisen, double irrf, double inssreal, double inssdedu, double prevpriv, double pensao, int qtdepe, double depend, double avisopr, double salfam, double abonopec, double fgtsmult, double lei6708, double base13, double irrf13, double inss13, double pensao13, int qtdepe13, double depend13) {
this.empresa = empresa;
this.anomes = anomes;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.controle = controle;
this.base = base;
this.baseisen = baseisen;
this.irrf = irrf;
this.inssreal = inssreal;
this.inssdedu = inssdedu;
this.prevpriv = prevpriv;
this.pensao = pensao;
this.qtdepe = qtdepe;
this.depend = depend;
this.avisopr = avisopr;
this.salfam = salfam;
this.abonopec = abonopec;
this.fgtsmult = fgtsmult;
this.lei6708 = lei6708;
this.base13 = base13;
this.irrf13 = irrf13;
this.inss13 = inss13;
this.pensao13 = pensao13;
this.qtdepe13 = qtdepe13;
this.depend13 = depend13;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getControle() {
return controle;
}

public boolean isControleNull() {
return controleNull;
}

public void setControle(Integer controle) {
if (controle == null) {
controleNull = true;
this.controle = 0;
} else { 
controleNull = false;
this.controle = controle;
}
}

public double getBase() {
return base;
}

public boolean isBaseNull() {
return baseNull;
}

public void setBase(int base) {
setBase(new Double(base));
}

public void setBase(long base) {
setBase(new Double(base));
}

public void setBase(Double base) {
if (base == null) {
baseNull = true;
this.base = 0.;
} else { 
baseNull = false;
this.base = FglDouble.round(base, 2);
}
}

public double getBaseisen() {
return baseisen;
}

public boolean isBaseisenNull() {
return baseisenNull;
}

public void setBaseisen(int baseisen) {
setBaseisen(new Double(baseisen));
}

public void setBaseisen(long baseisen) {
setBaseisen(new Double(baseisen));
}

public void setBaseisen(Double baseisen) {
if (baseisen == null) {
baseisenNull = true;
this.baseisen = 0.;
} else { 
baseisenNull = false;
this.baseisen = FglDouble.round(baseisen, 2);
}
}

public double getIrrf() {
return irrf;
}

public boolean isIrrfNull() {
return irrfNull;
}

public void setIrrf(int irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(long irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(Double irrf) {
if (irrf == null) {
irrfNull = true;
this.irrf = 0.;
} else { 
irrfNull = false;
this.irrf = FglDouble.round(irrf, 2);
}
}

public double getInssreal() {
return inssreal;
}

public boolean isInssrealNull() {
return inssrealNull;
}

public void setInssreal(int inssreal) {
setInssreal(new Double(inssreal));
}

public void setInssreal(long inssreal) {
setInssreal(new Double(inssreal));
}

public void setInssreal(Double inssreal) {
if (inssreal == null) {
inssrealNull = true;
this.inssreal = 0.;
} else { 
inssrealNull = false;
this.inssreal = FglDouble.round(inssreal, 2);
}
}

public double getInssdedu() {
return inssdedu;
}

public boolean isInssdeduNull() {
return inssdeduNull;
}

public void setInssdedu(int inssdedu) {
setInssdedu(new Double(inssdedu));
}

public void setInssdedu(long inssdedu) {
setInssdedu(new Double(inssdedu));
}

public void setInssdedu(Double inssdedu) {
if (inssdedu == null) {
inssdeduNull = true;
this.inssdedu = 0.;
} else { 
inssdeduNull = false;
this.inssdedu = FglDouble.round(inssdedu, 2);
}
}

public double getPrevpriv() {
return prevpriv;
}

public boolean isPrevprivNull() {
return prevprivNull;
}

public void setPrevpriv(int prevpriv) {
setPrevpriv(new Double(prevpriv));
}

public void setPrevpriv(long prevpriv) {
setPrevpriv(new Double(prevpriv));
}

public void setPrevpriv(Double prevpriv) {
if (prevpriv == null) {
prevprivNull = true;
this.prevpriv = 0.;
} else { 
prevprivNull = false;
this.prevpriv = FglDouble.round(prevpriv, 2);
}
}

public double getPensao() {
return pensao;
}

public boolean isPensaoNull() {
return pensaoNull;
}

public void setPensao(int pensao) {
setPensao(new Double(pensao));
}

public void setPensao(long pensao) {
setPensao(new Double(pensao));
}

public void setPensao(Double pensao) {
if (pensao == null) {
pensaoNull = true;
this.pensao = 0.;
} else { 
pensaoNull = false;
this.pensao = FglDouble.round(pensao, 2);
}
}

public int getQtdepe() {
return qtdepe;
}

public boolean isQtdepeNull() {
return qtdepeNull;
}

public void setQtdepe(Integer qtdepe) {
if (qtdepe == null) {
qtdepeNull = true;
this.qtdepe = 0;
} else { 
qtdepeNull = false;
this.qtdepe = qtdepe;
}
}

public double getDepend() {
return depend;
}

public boolean isDependNull() {
return dependNull;
}

public void setDepend(int depend) {
setDepend(new Double(depend));
}

public void setDepend(long depend) {
setDepend(new Double(depend));
}

public void setDepend(Double depend) {
if (depend == null) {
dependNull = true;
this.depend = 0.;
} else { 
dependNull = false;
this.depend = FglDouble.round(depend, 2);
}
}

public double getAvisopr() {
return avisopr;
}

public boolean isAvisoprNull() {
return avisoprNull;
}

public void setAvisopr(int avisopr) {
setAvisopr(new Double(avisopr));
}

public void setAvisopr(long avisopr) {
setAvisopr(new Double(avisopr));
}

public void setAvisopr(Double avisopr) {
if (avisopr == null) {
avisoprNull = true;
this.avisopr = 0.;
} else { 
avisoprNull = false;
this.avisopr = FglDouble.round(avisopr, 2);
}
}

public double getSalfam() {
return salfam;
}

public boolean isSalfamNull() {
return salfamNull;
}

public void setSalfam(int salfam) {
setSalfam(new Double(salfam));
}

public void setSalfam(long salfam) {
setSalfam(new Double(salfam));
}

public void setSalfam(Double salfam) {
if (salfam == null) {
salfamNull = true;
this.salfam = 0.;
} else { 
salfamNull = false;
this.salfam = FglDouble.round(salfam, 2);
}
}

public double getAbonopec() {
return abonopec;
}

public boolean isAbonopecNull() {
return abonopecNull;
}

public void setAbonopec(int abonopec) {
setAbonopec(new Double(abonopec));
}

public void setAbonopec(long abonopec) {
setAbonopec(new Double(abonopec));
}

public void setAbonopec(Double abonopec) {
if (abonopec == null) {
abonopecNull = true;
this.abonopec = 0.;
} else { 
abonopecNull = false;
this.abonopec = FglDouble.round(abonopec, 2);
}
}

public double getFgtsmult() {
return fgtsmult;
}

public boolean isFgtsmultNull() {
return fgtsmultNull;
}

public void setFgtsmult(int fgtsmult) {
setFgtsmult(new Double(fgtsmult));
}

public void setFgtsmult(long fgtsmult) {
setFgtsmult(new Double(fgtsmult));
}

public void setFgtsmult(Double fgtsmult) {
if (fgtsmult == null) {
fgtsmultNull = true;
this.fgtsmult = 0.;
} else { 
fgtsmultNull = false;
this.fgtsmult = FglDouble.round(fgtsmult, 2);
}
}

public double getLei6708() {
return lei6708;
}

public boolean isLei6708Null() {
return lei6708Null;
}

public void setLei6708(int lei6708) {
setLei6708(new Double(lei6708));
}

public void setLei6708(long lei6708) {
setLei6708(new Double(lei6708));
}

public void setLei6708(Double lei6708) {
if (lei6708 == null) {
lei6708Null = true;
this.lei6708 = 0.;
} else { 
lei6708Null = false;
this.lei6708 = FglDouble.round(lei6708, 2);
}
}

public double getBase13() {
return base13;
}

public boolean isBase13Null() {
return base13Null;
}

public void setBase13(int base13) {
setBase13(new Double(base13));
}

public void setBase13(long base13) {
setBase13(new Double(base13));
}

public void setBase13(Double base13) {
if (base13 == null) {
base13Null = true;
this.base13 = 0.;
} else { 
base13Null = false;
this.base13 = FglDouble.round(base13, 2);
}
}

public double getIrrf13() {
return irrf13;
}

public boolean isIrrf13Null() {
return irrf13Null;
}

public void setIrrf13(int irrf13) {
setIrrf13(new Double(irrf13));
}

public void setIrrf13(long irrf13) {
setIrrf13(new Double(irrf13));
}

public void setIrrf13(Double irrf13) {
if (irrf13 == null) {
irrf13Null = true;
this.irrf13 = 0.;
} else { 
irrf13Null = false;
this.irrf13 = FglDouble.round(irrf13, 2);
}
}

public double getInss13() {
return inss13;
}

public boolean isInss13Null() {
return inss13Null;
}

public void setInss13(int inss13) {
setInss13(new Double(inss13));
}

public void setInss13(long inss13) {
setInss13(new Double(inss13));
}

public void setInss13(Double inss13) {
if (inss13 == null) {
inss13Null = true;
this.inss13 = 0.;
} else { 
inss13Null = false;
this.inss13 = FglDouble.round(inss13, 2);
}
}

public double getPensao13() {
return pensao13;
}

public boolean isPensao13Null() {
return pensao13Null;
}

public void setPensao13(int pensao13) {
setPensao13(new Double(pensao13));
}

public void setPensao13(long pensao13) {
setPensao13(new Double(pensao13));
}

public void setPensao13(Double pensao13) {
if (pensao13 == null) {
pensao13Null = true;
this.pensao13 = 0.;
} else { 
pensao13Null = false;
this.pensao13 = FglDouble.round(pensao13, 2);
}
}

public int getQtdepe13() {
return qtdepe13;
}

public boolean isQtdepe13Null() {
return qtdepe13Null;
}

public void setQtdepe13(Integer qtdepe13) {
if (qtdepe13 == null) {
qtdepe13Null = true;
this.qtdepe13 = 0;
} else { 
qtdepe13Null = false;
this.qtdepe13 = qtdepe13;
}
}

public double getDepend13() {
return depend13;
}

public boolean isDepend13Null() {
return depend13Null;
}

public void setDepend13(int depend13) {
setDepend13(new Double(depend13));
}

public void setDepend13(long depend13) {
setDepend13(new Double(depend13));
}

public void setDepend13(Double depend13) {
if (depend13 == null) {
depend13Null = true;
this.depend13 = 0.;
} else { 
depend13Null = false;
this.depend13 = FglDouble.round(depend13, 2);
}
}

}

