package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChempcom {
@Coluna(nome="chempcom.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chempcom.tppessoacont", tipo="int")
private int tppessoacont;
private boolean tppessoacontNull;
@Coluna(nome="chempcom.utilizaesocial", tipo="String")
private String utilizaesocial;
@Coluna(nome="chempcom.cgccpfcont", tipo="long")
private long cgccpfcont;
private boolean cgccpfcontNull;
@Coluna(nome="chempcom.tppessoaresp", tipo="int")
private int tppessoaresp;
private boolean tppessoarespNull;
@Coluna(nome="chempcom.cgccpfresp", tipo="long")
private long cgccpfresp;
private boolean cgccpfrespNull;
@Coluna(nome="chempcom.siglamin", tipo="String")
private String siglamin;
@Coluna(nome="chempcom.nrcertificado", tipo="String")
private String nrcertificado;
@Coluna(nome="chempcom.dtemissaocertificado", tipo="FglDate")
private FglDate dtemissaocertificado;
@Coluna(nome="chempcom.dtvenctocertificado", tipo="FglDate")
private FglDate dtvenctocertificado;
@Coluna(nome="chempcom.nrprotrenovacao", tipo="String")
private String nrprotrenovacao;
@Coluna(nome="chempcom.dtprotrenovacao", tipo="FglDate")
private FglDate dtprotrenovacao;
@Coluna(nome="chempcom.dtdou", tipo="FglDate")
private FglDate dtdou;
@Coluna(nome="chempcom.pagdou", tipo="int")
private int pagdou;
private boolean pagdouNull;
@Coluna(nome="chempcom.indapuraliqfap", tipo="int")
private int indapuraliqfap;
private boolean indapuraliqfapNull;
@Coluna(nome="chempcom.id_processorat", tipo="int")
private int idProcessorat;
private boolean idProcessoratNull;
@Coluna(nome="chempcom.id_processofap", tipo="int")
private int idProcessofap;
private boolean idProcessofapNull;
@Coluna(nome="chempcom.indsimples", tipo="int")
private int indsimples;
private boolean indsimplesNull;
@Coluna(nome="chempcom.indsubstpatr", tipo="int")
private int indsubstpatr;
private boolean indsubstpatrNull;
@Coluna(nome="chempcom.percredcontrib", tipo="double")
private double percredcontrib;
private boolean percredcontribNull;
@Coluna(nome="chempcom.fatormes", tipo="double")
private double fatormes;
private boolean fatormesNull;
@Coluna(nome="chempcom.fator13", tipo="double")
private double fator13;
private boolean fator13Null;
@Coluna(nome="chempcom.tpcontribsind", tipo="int")
private int tpcontribsind;
private boolean tpcontribsindNull;
@Coluna(nome="chempcom.dtrecolhcs", tipo="FglDate")
private FglDate dtrecolhcs;
@Coluna(nome="chempcom.vlrcontribsind", tipo="double")
private double vlrcontribsind;
private boolean vlrcontribsindNull;
@Coluna(nome="chempcom.vlrenccontrsinc", tipo="double")
private double vlrenccontrsinc;
private boolean vlrenccontrsincNull;

public TabChempcom() {
initialize();
}

public void initialize() {
setEmpresa(null);
setTppessoacont(null);
setUtilizaesocial(null);
setCgccpfcont(null);
setTppessoaresp(null);
setCgccpfresp(null);
setSiglamin(null);
setNrcertificado(null);
setDtemissaocertificado(null);
setDtvenctocertificado(null);
setNrprotrenovacao(null);
setDtprotrenovacao(null);
setDtdou(null);
setPagdou(null);
setIndapuraliqfap(null);
setIdProcessorat(null);
setIdProcessofap(null);
setIndsimples(null);
setIndsubstpatr(null);
setPercredcontrib(null);
setFatormes(null);
setFator13(null);
setTpcontribsind(null);
setDtrecolhcs(null);
setVlrcontribsind(null);
setVlrenccontrsinc(null);
}

public TabChempcom(int empresa, int tppessoacont, String utilizaesocial, long cgccpfcont, int tppessoaresp, long cgccpfresp, String siglamin, String nrcertificado, FglDate dtemissaocertificado, FglDate dtvenctocertificado, String nrprotrenovacao, FglDate dtprotrenovacao, FglDate dtdou, int pagdou, int indapuraliqfap, int idProcessorat, int idProcessofap, int indsimples, int indsubstpatr, double percredcontrib, double fatormes, double fator13, int tpcontribsind, FglDate dtrecolhcs, double vlrcontribsind, double vlrenccontrsinc) {
this.empresa = empresa;
this.tppessoacont = tppessoacont;
this.utilizaesocial = utilizaesocial;
this.cgccpfcont = cgccpfcont;
this.tppessoaresp = tppessoaresp;
this.cgccpfresp = cgccpfresp;
this.siglamin = siglamin;
this.nrcertificado = nrcertificado;
this.dtemissaocertificado = dtemissaocertificado;
this.dtvenctocertificado = dtvenctocertificado;
this.nrprotrenovacao = nrprotrenovacao;
this.dtprotrenovacao = dtprotrenovacao;
this.dtdou = dtdou;
this.pagdou = pagdou;
this.indapuraliqfap = indapuraliqfap;
this.idProcessorat = idProcessorat;
this.idProcessofap = idProcessofap;
this.indsimples = indsimples;
this.indsubstpatr = indsubstpatr;
this.percredcontrib = percredcontrib;
this.fatormes = fatormes;
this.fator13 = fator13;
this.tpcontribsind = tpcontribsind;
this.dtrecolhcs = dtrecolhcs;
this.vlrcontribsind = vlrcontribsind;
this.vlrenccontrsinc = vlrenccontrsinc;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getTppessoacont() {
return tppessoacont;
}

public boolean isTppessoacontNull() {
return tppessoacontNull;
}

public void setTppessoacont(Integer tppessoacont) {
if (tppessoacont == null) {
tppessoacontNull = true;
this.tppessoacont = 0;
} else { 
tppessoacontNull = false;
this.tppessoacont = tppessoacont;
}
}

public String getUtilizaesocial() {
return utilizaesocial;
}

public void setUtilizaesocial(String utilizaesocial) {
this.utilizaesocial = utilizaesocial;
}

public long getCgccpfcont() {
return cgccpfcont;
}

public boolean isCgccpfcontNull() {
return cgccpfcontNull;
}

public void setCgccpfcont(int cgccpfcont) {
setCgccpfcont(new Long(cgccpfcont));
}

public void setCgccpfcont(Long cgccpfcont) {
if (cgccpfcont == null) {
cgccpfcontNull = true;
this.cgccpfcont = 0l;
} else { 
cgccpfcontNull = false;
this.cgccpfcont = cgccpfcont;
}
}

public int getTppessoaresp() {
return tppessoaresp;
}

public boolean isTppessoarespNull() {
return tppessoarespNull;
}

public void setTppessoaresp(Integer tppessoaresp) {
if (tppessoaresp == null) {
tppessoarespNull = true;
this.tppessoaresp = 0;
} else { 
tppessoarespNull = false;
this.tppessoaresp = tppessoaresp;
}
}

public long getCgccpfresp() {
return cgccpfresp;
}

public boolean isCgccpfrespNull() {
return cgccpfrespNull;
}

public void setCgccpfresp(int cgccpfresp) {
setCgccpfresp(new Long(cgccpfresp));
}

public void setCgccpfresp(Long cgccpfresp) {
if (cgccpfresp == null) {
cgccpfrespNull = true;
this.cgccpfresp = 0l;
} else { 
cgccpfrespNull = false;
this.cgccpfresp = cgccpfresp;
}
}

public String getSiglamin() {
return siglamin;
}

public void setSiglamin(String siglamin) {
this.siglamin = siglamin;
}

public String getNrcertificado() {
return nrcertificado;
}

public void setNrcertificado(String nrcertificado) {
this.nrcertificado = nrcertificado;
}

public FglDate getDtemissaocertificado() {
return dtemissaocertificado;
}

public void setDtemissaocertificado(FglDate dtemissaocertificado) {
this.dtemissaocertificado = dtemissaocertificado;
}

public FglDate getDtvenctocertificado() {
return dtvenctocertificado;
}

public void setDtvenctocertificado(FglDate dtvenctocertificado) {
this.dtvenctocertificado = dtvenctocertificado;
}

public String getNrprotrenovacao() {
return nrprotrenovacao;
}

public void setNrprotrenovacao(String nrprotrenovacao) {
this.nrprotrenovacao = nrprotrenovacao;
}

public FglDate getDtprotrenovacao() {
return dtprotrenovacao;
}

public void setDtprotrenovacao(FglDate dtprotrenovacao) {
this.dtprotrenovacao = dtprotrenovacao;
}

public FglDate getDtdou() {
return dtdou;
}

public void setDtdou(FglDate dtdou) {
this.dtdou = dtdou;
}

public int getPagdou() {
return pagdou;
}

public boolean isPagdouNull() {
return pagdouNull;
}

public void setPagdou(Integer pagdou) {
if (pagdou == null) {
pagdouNull = true;
this.pagdou = 0;
} else { 
pagdouNull = false;
this.pagdou = pagdou;
}
}

public int getIndapuraliqfap() {
return indapuraliqfap;
}

public boolean isIndapuraliqfapNull() {
return indapuraliqfapNull;
}

public void setIndapuraliqfap(Integer indapuraliqfap) {
if (indapuraliqfap == null) {
indapuraliqfapNull = true;
this.indapuraliqfap = 0;
} else { 
indapuraliqfapNull = false;
this.indapuraliqfap = indapuraliqfap;
}
}

public int getIdProcessorat() {
return idProcessorat;
}

public boolean isIdProcessoratNull() {
return idProcessoratNull;
}

public void setIdProcessorat(Integer idProcessorat) {
if (idProcessorat == null) {
idProcessoratNull = true;
this.idProcessorat = 0;
} else { 
idProcessoratNull = false;
this.idProcessorat = idProcessorat;
}
}

public int getIdProcessofap() {
return idProcessofap;
}

public boolean isIdProcessofapNull() {
return idProcessofapNull;
}

public void setIdProcessofap(Integer idProcessofap) {
if (idProcessofap == null) {
idProcessofapNull = true;
this.idProcessofap = 0;
} else { 
idProcessofapNull = false;
this.idProcessofap = idProcessofap;
}
}

public int getIndsimples() {
return indsimples;
}

public boolean isIndsimplesNull() {
return indsimplesNull;
}

public void setIndsimples(Integer indsimples) {
if (indsimples == null) {
indsimplesNull = true;
this.indsimples = 0;
} else { 
indsimplesNull = false;
this.indsimples = indsimples;
}
}

public int getIndsubstpatr() {
return indsubstpatr;
}

public boolean isIndsubstpatrNull() {
return indsubstpatrNull;
}

public void setIndsubstpatr(Integer indsubstpatr) {
if (indsubstpatr == null) {
indsubstpatrNull = true;
this.indsubstpatr = 0;
} else { 
indsubstpatrNull = false;
this.indsubstpatr = indsubstpatr;
}
}

public double getPercredcontrib() {
return percredcontrib;
}

public boolean isPercredcontribNull() {
return percredcontribNull;
}

public void setPercredcontrib(int percredcontrib) {
setPercredcontrib(new Double(percredcontrib));
}

public void setPercredcontrib(long percredcontrib) {
setPercredcontrib(new Double(percredcontrib));
}

public void setPercredcontrib(Double percredcontrib) {
if (percredcontrib == null) {
percredcontribNull = true;
this.percredcontrib = 0.;
} else { 
percredcontribNull = false;
this.percredcontrib = FglDouble.round(percredcontrib, 2);
}
}

public double getFatormes() {
return fatormes;
}

public boolean isFatormesNull() {
return fatormesNull;
}

public void setFatormes(int fatormes) {
setFatormes(new Double(fatormes));
}

public void setFatormes(long fatormes) {
setFatormes(new Double(fatormes));
}

public void setFatormes(Double fatormes) {
if (fatormes == null) {
fatormesNull = true;
this.fatormes = 0.;
} else { 
fatormesNull = false;
this.fatormes = FglDouble.round(fatormes, 2);
}
}

public double getFator13() {
return fator13;
}

public boolean isFator13Null() {
return fator13Null;
}

public void setFator13(int fator13) {
setFator13(new Double(fator13));
}

public void setFator13(long fator13) {
setFator13(new Double(fator13));
}

public void setFator13(Double fator13) {
if (fator13 == null) {
fator13Null = true;
this.fator13 = 0.;
} else { 
fator13Null = false;
this.fator13 = FglDouble.round(fator13, 2);
}
}

public int getTpcontribsind() {
return tpcontribsind;
}

public boolean isTpcontribsindNull() {
return tpcontribsindNull;
}

public void setTpcontribsind(Integer tpcontribsind) {
if (tpcontribsind == null) {
tpcontribsindNull = true;
this.tpcontribsind = 0;
} else { 
tpcontribsindNull = false;
this.tpcontribsind = tpcontribsind;
}
}

public FglDate getDtrecolhcs() {
return dtrecolhcs;
}

public void setDtrecolhcs(FglDate dtrecolhcs) {
this.dtrecolhcs = dtrecolhcs;
}

public double getVlrcontribsind() {
return vlrcontribsind;
}

public boolean isVlrcontribsindNull() {
return vlrcontribsindNull;
}

public void setVlrcontribsind(int vlrcontribsind) {
setVlrcontribsind(new Double(vlrcontribsind));
}

public void setVlrcontribsind(long vlrcontribsind) {
setVlrcontribsind(new Double(vlrcontribsind));
}

public void setVlrcontribsind(Double vlrcontribsind) {
if (vlrcontribsind == null) {
vlrcontribsindNull = true;
this.vlrcontribsind = 0.;
} else { 
vlrcontribsindNull = false;
this.vlrcontribsind = FglDouble.round(vlrcontribsind, 2);
}
}

public double getVlrenccontrsinc() {
return vlrenccontrsinc;
}

public boolean isVlrenccontrsincNull() {
return vlrenccontrsincNull;
}

public void setVlrenccontrsinc(int vlrenccontrsinc) {
setVlrenccontrsinc(new Double(vlrenccontrsinc));
}

public void setVlrenccontrsinc(long vlrenccontrsinc) {
setVlrenccontrsinc(new Double(vlrenccontrsinc));
}

public void setVlrenccontrsinc(Double vlrenccontrsinc) {
if (vlrenccontrsinc == null) {
vlrenccontrsincNull = true;
this.vlrenccontrsinc = 0.;
} else { 
vlrenccontrsincNull = false;
this.vlrenccontrsinc = FglDouble.round(vlrenccontrsinc, 2);
}
}

}

