package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChemprvt {
@Coluna(nome="chemprvt.emprvaletr", tipo="int")
private int emprvaletr;
private boolean emprvaletrNull;
@Coluna(nome="chemprvt.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chemprvt.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chemprvt.apelido", tipo="String")
private String apelido;
@Coluna(nome="chemprvt.qtdeminima", tipo="int")
private int qtdeminima;
private boolean qtdeminimaNull;
@Coluna(nome="chemprvt.vlrunitario", tipo="double")
private double vlrunitario;
private boolean vlrunitarioNull;
@Coluna(nome="chemprvt.magnetico", tipo="String")
private String magnetico;

public TabChemprvt() {
initialize();
}

public void initialize() {
setEmprvaletr(null);
setTppessoa(null);
setCgccpf(null);
setApelido(null);
setQtdeminima(null);
setVlrunitario(null);
setMagnetico(null);
}

public TabChemprvt(int emprvaletr, int tppessoa, long cgccpf, String apelido, int qtdeminima, double vlrunitario, String magnetico) {
this.emprvaletr = emprvaletr;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.apelido = apelido;
this.qtdeminima = qtdeminima;
this.vlrunitario = vlrunitario;
this.magnetico = magnetico;
}

public int getEmprvaletr() {
return emprvaletr;
}

public boolean isEmprvaletrNull() {
return emprvaletrNull;
}

public void setEmprvaletr(Integer emprvaletr) {
if (emprvaletr == null) {
emprvaletrNull = true;
this.emprvaletr = 0;
} else { 
emprvaletrNull = false;
this.emprvaletr = emprvaletr;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getApelido() {
return apelido;
}

public void setApelido(String apelido) {
this.apelido = apelido;
}

public int getQtdeminima() {
return qtdeminima;
}

public boolean isQtdeminimaNull() {
return qtdeminimaNull;
}

public void setQtdeminima(Integer qtdeminima) {
if (qtdeminima == null) {
qtdeminimaNull = true;
this.qtdeminima = 0;
} else { 
qtdeminimaNull = false;
this.qtdeminima = qtdeminima;
}
}

public double getVlrunitario() {
return vlrunitario;
}

public boolean isVlrunitarioNull() {
return vlrunitarioNull;
}

public void setVlrunitario(int vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(long vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(Double vlrunitario) {
if (vlrunitario == null) {
vlrunitarioNull = true;
this.vlrunitario = 0.;
} else { 
vlrunitarioNull = false;
this.vlrunitario = FglDouble.round(vlrunitario, 2);
}
}

public String getMagnetico() {
return magnetico;
}

public void setMagnetico(String magnetico) {
this.magnetico = magnetico;
}

}

