package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChempval {
@Coluna(nome="chempval.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chempval.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chempval.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chempval.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChempval() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdContrat(null);
setEvento(null);
setValor(null);
}

public TabChempval(FglDateTimeYM anomes, int idContrat, int evento, double valor) {
this.anomes = anomes;
this.idContrat = idContrat;
this.evento = evento;
this.valor = valor;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

