package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChespess {
@Coluna(nome="chespess.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chespess.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chespess.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chespess.qtdedepen", tipo="int")
private int qtdedepen;
private boolean qtdedepenNull;
@Coluna(nome="chespess.dtadmis", tipo="FglDate")
private FglDate dtadmis;
@Coluna(nome="chespess.dtprevtermino", tipo="FglDate")
private FglDate dtprevtermino;
@Coluna(nome="chespess.darf", tipo="int")
private int darf;
private boolean darfNull;
@Coluna(nome="chespess.horassem", tipo="int")
private int horassem;
private boolean horassemNull;
@Coluna(nome="chespess.salcont", tipo="int")
private int salcont;
private boolean salcontNull;
@Coluna(nome="chespess.salario", tipo="double")
private double salario;
private boolean salarioNull;
@Coluna(nome="chespess.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="chespess.conta", tipo="long")
private long conta;
private boolean contaNull;
@Coluna(nome="chespess.digito", tipo="String")
private String digito;
@Coluna(nome="chespess.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="chespess.funcao", tipo="int")
private int funcao;
private boolean funcaoNull;
@Coluna(nome="chespess.usavaletr", tipo="String")
private String usavaletr;
@Coluna(nome="chespess.sindicato", tipo="int")
private int sindicato;
private boolean sindicatoNull;
@Coluna(nome="chespess.natestagio", tipo="String")
private String natestagio;
@Coluna(nome="chespess.nivestagio", tipo="int")
private int nivestagio;
private boolean nivestagioNull;
@Coluna(nome="chespess.areaatuacao", tipo="String")
private String areaatuacao;
@Coluna(nome="chespess.nrapolice", tipo="String")
private String nrapolice;
@Coluna(nome="chespess.cgccpinst", tipo="long")
private long cgccpinst;
private boolean cgccpinstNull;
@Coluna(nome="chespess.tppessoainst", tipo="int")
private int tppessoainst;
private boolean tppessoainstNull;
@Coluna(nome="chespess.cgccpageint", tipo="long")
private long cgccpageint;
private boolean cgccpageintNull;
@Coluna(nome="chespess.tppessoaageint", tipo="int")
private int tppessoaageint;
private boolean tppessoaageintNull;
@Coluna(nome="chespess.cgccpsup", tipo="long")
private long cgccpsup;
private boolean cgccpsupNull;
@Coluna(nome="chespess.tppessoasup", tipo="int")
private int tppessoasup;
private boolean tppessoasupNull;

public TabChespess() {
initialize();
}

public void initialize() {
setEmpresa(null);
setCgccpf(null);
setTppessoa(null);
setQtdedepen(null);
setDtadmis(null);
setDtprevtermino(null);
setDarf(null);
setHorassem(null);
setSalcont(null);
setSalario(null);
setIdBancos(null);
setConta(null);
setDigito(null);
setIdSetor(null);
setFuncao(null);
setUsavaletr(null);
setSindicato(null);
setNatestagio(null);
setNivestagio(null);
setAreaatuacao(null);
setNrapolice(null);
setCgccpinst(null);
setTppessoainst(null);
setCgccpageint(null);
setTppessoaageint(null);
setCgccpsup(null);
setTppessoasup(null);
}

public TabChespess(int empresa, long cgccpf, int tppessoa, int qtdedepen, FglDate dtadmis, FglDate dtprevtermino, int darf, int horassem, int salcont, double salario, int idBancos, long conta, String digito, int idSetor, int funcao, String usavaletr, int sindicato, String natestagio, int nivestagio, String areaatuacao, String nrapolice, long cgccpinst, int tppessoainst, long cgccpageint, int tppessoaageint, long cgccpsup, int tppessoasup) {
this.empresa = empresa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtdedepen = qtdedepen;
this.dtadmis = dtadmis;
this.dtprevtermino = dtprevtermino;
this.darf = darf;
this.horassem = horassem;
this.salcont = salcont;
this.salario = salario;
this.idBancos = idBancos;
this.conta = conta;
this.digito = digito;
this.idSetor = idSetor;
this.funcao = funcao;
this.usavaletr = usavaletr;
this.sindicato = sindicato;
this.natestagio = natestagio;
this.nivestagio = nivestagio;
this.areaatuacao = areaatuacao;
this.nrapolice = nrapolice;
this.cgccpinst = cgccpinst;
this.tppessoainst = tppessoainst;
this.cgccpageint = cgccpageint;
this.tppessoaageint = tppessoaageint;
this.cgccpsup = cgccpsup;
this.tppessoasup = tppessoasup;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getQtdedepen() {
return qtdedepen;
}

public boolean isQtdedepenNull() {
return qtdedepenNull;
}

public void setQtdedepen(Integer qtdedepen) {
if (qtdedepen == null) {
qtdedepenNull = true;
this.qtdedepen = 0;
} else { 
qtdedepenNull = false;
this.qtdedepen = qtdedepen;
}
}

public FglDate getDtadmis() {
return dtadmis;
}

public void setDtadmis(FglDate dtadmis) {
this.dtadmis = dtadmis;
}

public FglDate getDtprevtermino() {
return dtprevtermino;
}

public void setDtprevtermino(FglDate dtprevtermino) {
this.dtprevtermino = dtprevtermino;
}

public int getDarf() {
return darf;
}

public boolean isDarfNull() {
return darfNull;
}

public void setDarf(Integer darf) {
if (darf == null) {
darfNull = true;
this.darf = 0;
} else { 
darfNull = false;
this.darf = darf;
}
}

public int getHorassem() {
return horassem;
}

public boolean isHorassemNull() {
return horassemNull;
}

public void setHorassem(Integer horassem) {
if (horassem == null) {
horassemNull = true;
this.horassem = 0;
} else { 
horassemNull = false;
this.horassem = horassem;
}
}

public int getSalcont() {
return salcont;
}

public boolean isSalcontNull() {
return salcontNull;
}

public void setSalcont(Integer salcont) {
if (salcont == null) {
salcontNull = true;
this.salcont = 0;
} else { 
salcontNull = false;
this.salcont = salcont;
}
}

public double getSalario() {
return salario;
}

public boolean isSalarioNull() {
return salarioNull;
}

public void setSalario(int salario) {
setSalario(new Double(salario));
}

public void setSalario(long salario) {
setSalario(new Double(salario));
}

public void setSalario(Double salario) {
if (salario == null) {
salarioNull = true;
this.salario = 0.;
} else { 
salarioNull = false;
this.salario = FglDouble.round(salario, 2);
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(int conta) {
setConta(new Long(conta));
}

public void setConta(Long conta) {
if (conta == null) {
contaNull = true;
this.conta = 0l;
} else { 
contaNull = false;
this.conta = conta;
}
}

public String getDigito() {
return digito;
}

public void setDigito(String digito) {
this.digito = digito;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getFuncao() {
return funcao;
}

public boolean isFuncaoNull() {
return funcaoNull;
}

public void setFuncao(Integer funcao) {
if (funcao == null) {
funcaoNull = true;
this.funcao = 0;
} else { 
funcaoNull = false;
this.funcao = funcao;
}
}

public String getUsavaletr() {
return usavaletr;
}

public void setUsavaletr(String usavaletr) {
this.usavaletr = usavaletr;
}

public int getSindicato() {
return sindicato;
}

public boolean isSindicatoNull() {
return sindicatoNull;
}

public void setSindicato(Integer sindicato) {
if (sindicato == null) {
sindicatoNull = true;
this.sindicato = 0;
} else { 
sindicatoNull = false;
this.sindicato = sindicato;
}
}

public String getNatestagio() {
return natestagio;
}

public void setNatestagio(String natestagio) {
this.natestagio = natestagio;
}

public int getNivestagio() {
return nivestagio;
}

public boolean isNivestagioNull() {
return nivestagioNull;
}

public void setNivestagio(Integer nivestagio) {
if (nivestagio == null) {
nivestagioNull = true;
this.nivestagio = 0;
} else { 
nivestagioNull = false;
this.nivestagio = nivestagio;
}
}

public String getAreaatuacao() {
return areaatuacao;
}

public void setAreaatuacao(String areaatuacao) {
this.areaatuacao = areaatuacao;
}

public String getNrapolice() {
return nrapolice;
}

public void setNrapolice(String nrapolice) {
this.nrapolice = nrapolice;
}

public long getCgccpinst() {
return cgccpinst;
}

public boolean isCgccpinstNull() {
return cgccpinstNull;
}

public void setCgccpinst(int cgccpinst) {
setCgccpinst(new Long(cgccpinst));
}

public void setCgccpinst(Long cgccpinst) {
if (cgccpinst == null) {
cgccpinstNull = true;
this.cgccpinst = 0l;
} else { 
cgccpinstNull = false;
this.cgccpinst = cgccpinst;
}
}

public int getTppessoainst() {
return tppessoainst;
}

public boolean isTppessoainstNull() {
return tppessoainstNull;
}

public void setTppessoainst(Integer tppessoainst) {
if (tppessoainst == null) {
tppessoainstNull = true;
this.tppessoainst = 0;
} else { 
tppessoainstNull = false;
this.tppessoainst = tppessoainst;
}
}

public long getCgccpageint() {
return cgccpageint;
}

public boolean isCgccpageintNull() {
return cgccpageintNull;
}

public void setCgccpageint(int cgccpageint) {
setCgccpageint(new Long(cgccpageint));
}

public void setCgccpageint(Long cgccpageint) {
if (cgccpageint == null) {
cgccpageintNull = true;
this.cgccpageint = 0l;
} else { 
cgccpageintNull = false;
this.cgccpageint = cgccpageint;
}
}

public int getTppessoaageint() {
return tppessoaageint;
}

public boolean isTppessoaageintNull() {
return tppessoaageintNull;
}

public void setTppessoaageint(Integer tppessoaageint) {
if (tppessoaageint == null) {
tppessoaageintNull = true;
this.tppessoaageint = 0;
} else { 
tppessoaageintNull = false;
this.tppessoaageint = tppessoaageint;
}
}

public long getCgccpsup() {
return cgccpsup;
}

public boolean isCgccpsupNull() {
return cgccpsupNull;
}

public void setCgccpsup(int cgccpsup) {
setCgccpsup(new Long(cgccpsup));
}

public void setCgccpsup(Long cgccpsup) {
if (cgccpsup == null) {
cgccpsupNull = true;
this.cgccpsup = 0l;
} else { 
cgccpsupNull = false;
this.cgccpsup = cgccpsup;
}
}

public int getTppessoasup() {
return tppessoasup;
}

public boolean isTppessoasupNull() {
return tppessoasupNull;
}

public void setTppessoasup(Integer tppessoasup) {
if (tppessoasup == null) {
tppessoasupNull = true;
this.tppessoasup = 0;
} else { 
tppessoasupNull = false;
this.tppessoasup = tppessoasup;
}
}

}

