package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChficha {
@Coluna(nome="chficha.id_ficha", tipo="int")
private int idFicha;
private boolean idFichaNull;
@Coluna(nome="chficha.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chficha.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chficha.dtpgto", tipo="FglDate")
private FglDate dtpgto;
@Coluna(nome="chficha.diempreit", tipo="double")
private double diempreit;
private boolean diempreitNull;
@Coluna(nome="chficha.didiarias", tipo="double")
private double didiarias;
private boolean didiariasNull;
@Coluna(nome="chficha.diferias", tipo="double")
private double diferias;
private boolean diferiasNull;
@Coluna(nome="chficha.diatestad", tipo="double")
private double diatestad;
private boolean diatestadNull;
@Coluna(nome="chficha.diafastad", tipo="double")
private double diafastad;
private boolean diafastadNull;
@Coluna(nome="chficha.dijustifi", tipo="double")
private double dijustifi;
private boolean dijustifiNull;
@Coluna(nome="chficha.dichuva", tipo="double")
private double dichuva;
private boolean dichuvaNull;
@Coluna(nome="chficha.dimedia", tipo="double")
private double dimedia;
private boolean dimediaNull;
@Coluna(nome="chficha.diaviso", tipo="double")
private double diaviso;
private boolean diavisoNull;
@Coluna(nome="chficha.faltasper", tipo="double")
private double faltasper;
private boolean faltasperNull;
@Coluna(nome="chficha.faltasant", tipo="double")
private double faltasant;
private boolean faltasantNull;
@Coluna(nome="chficha.venciment", tipo="double")
private double venciment;
private boolean vencimentNull;
@Coluna(nome="chficha.descontos", tipo="double")
private double descontos;
private boolean descontosNull;
@Coluna(nome="chficha.liquido", tipo="double")
private double liquido;
private boolean liquidoNull;
@Coluna(nome="chficha.valorfgts", tipo="double")
private double valorfgts;
private boolean valorfgtsNull;
@Coluna(nome="chficha.deposfgts", tipo="String")
private String deposfgts;
@Coluna(nome="chficha.exinsssal", tipo="double")
private double exinsssal;
private boolean exinsssalNull;
@Coluna(nome="chficha.vlinsssal", tipo="double")
private double vlinsssal;
private boolean vlinsssalNull;
@Coluna(nome="chficha.exinss13s", tipo="double")
private double exinss13s;
private boolean exinss13sNull;
@Coluna(nome="chficha.vlinss13s", tipo="double")
private double vlinss13s;
private boolean vlinss13sNull;
@Coluna(nome="chficha.depensfam", tipo="int")
private int depensfam;
private boolean depensfamNull;
@Coluna(nome="chficha.salarbase", tipo="double")
private double salarbase;
private boolean salarbaseNull;
@Coluna(nome="chficha.faixainss", tipo="int")
private int faixainss;
private boolean faixainssNull;
@Coluna(nome="chficha.qtdehextr", tipo="double")
private double qtdehextr;
private boolean qtdehextrNull;
@Coluna(nome="chficha.qthe_sacr", tipo="double")
private double qtheSacr;
private boolean qtheSacrNull;
@Coluna(nome="chficha.comis_dsr", tipo="double")
private double comisDsr;
private boolean comisDsrNull;

public TabChficha() {
initialize();
}

public void initialize() {
setIdFicha(null);
setAnomes(null);
setIdContrat(null);
setDtpgto(null);
setDiempreit(null);
setDidiarias(null);
setDiferias(null);
setDiatestad(null);
setDiafastad(null);
setDijustifi(null);
setDichuva(null);
setDimedia(null);
setDiaviso(null);
setFaltasper(null);
setFaltasant(null);
setVenciment(null);
setDescontos(null);
setLiquido(null);
setValorfgts(null);
setDeposfgts(null);
setExinsssal(null);
setVlinsssal(null);
setExinss13s(null);
setVlinss13s(null);
setDepensfam(null);
setSalarbase(null);
setFaixainss(null);
setQtdehextr(null);
setQtheSacr(null);
setComisDsr(null);
}

public TabChficha(int idFicha, FglDateTimeYM anomes, int idContrat, FglDate dtpgto, double diempreit, double didiarias, double diferias, double diatestad, double diafastad, double dijustifi, double dichuva, double dimedia, double diaviso, double faltasper, double faltasant, double venciment, double descontos, double liquido, double valorfgts, String deposfgts, double exinsssal, double vlinsssal, double exinss13s, double vlinss13s, int depensfam, double salarbase, int faixainss, double qtdehextr, double qtheSacr, double comisDsr) {
this.idFicha = idFicha;
this.anomes = anomes;
this.idContrat = idContrat;
this.dtpgto = dtpgto;
this.diempreit = diempreit;
this.didiarias = didiarias;
this.diferias = diferias;
this.diatestad = diatestad;
this.diafastad = diafastad;
this.dijustifi = dijustifi;
this.dichuva = dichuva;
this.dimedia = dimedia;
this.diaviso = diaviso;
this.faltasper = faltasper;
this.faltasant = faltasant;
this.venciment = venciment;
this.descontos = descontos;
this.liquido = liquido;
this.valorfgts = valorfgts;
this.deposfgts = deposfgts;
this.exinsssal = exinsssal;
this.vlinsssal = vlinsssal;
this.exinss13s = exinss13s;
this.vlinss13s = vlinss13s;
this.depensfam = depensfam;
this.salarbase = salarbase;
this.faixainss = faixainss;
this.qtdehextr = qtdehextr;
this.qtheSacr = qtheSacr;
this.comisDsr = comisDsr;
}

public int getIdFicha() {
return idFicha;
}

public boolean isIdFichaNull() {
return idFichaNull;
}

public void setIdFicha(Integer idFicha) {
if (idFicha == null) {
idFichaNull = true;
this.idFicha = 0;
} else { 
idFichaNull = false;
this.idFicha = idFicha;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

public double getDiempreit() {
return diempreit;
}

public boolean isDiempreitNull() {
return diempreitNull;
}

public void setDiempreit(int diempreit) {
setDiempreit(new Double(diempreit));
}

public void setDiempreit(long diempreit) {
setDiempreit(new Double(diempreit));
}

public void setDiempreit(Double diempreit) {
if (diempreit == null) {
diempreitNull = true;
this.diempreit = 0.;
} else { 
diempreitNull = false;
this.diempreit = FglDouble.round(diempreit, 1);
}
}

public double getDidiarias() {
return didiarias;
}

public boolean isDidiariasNull() {
return didiariasNull;
}

public void setDidiarias(int didiarias) {
setDidiarias(new Double(didiarias));
}

public void setDidiarias(long didiarias) {
setDidiarias(new Double(didiarias));
}

public void setDidiarias(Double didiarias) {
if (didiarias == null) {
didiariasNull = true;
this.didiarias = 0.;
} else { 
didiariasNull = false;
this.didiarias = FglDouble.round(didiarias, 1);
}
}

public double getDiferias() {
return diferias;
}

public boolean isDiferiasNull() {
return diferiasNull;
}

public void setDiferias(int diferias) {
setDiferias(new Double(diferias));
}

public void setDiferias(long diferias) {
setDiferias(new Double(diferias));
}

public void setDiferias(Double diferias) {
if (diferias == null) {
diferiasNull = true;
this.diferias = 0.;
} else { 
diferiasNull = false;
this.diferias = FglDouble.round(diferias, 1);
}
}

public double getDiatestad() {
return diatestad;
}

public boolean isDiatestadNull() {
return diatestadNull;
}

public void setDiatestad(int diatestad) {
setDiatestad(new Double(diatestad));
}

public void setDiatestad(long diatestad) {
setDiatestad(new Double(diatestad));
}

public void setDiatestad(Double diatestad) {
if (diatestad == null) {
diatestadNull = true;
this.diatestad = 0.;
} else { 
diatestadNull = false;
this.diatestad = FglDouble.round(diatestad, 1);
}
}

public double getDiafastad() {
return diafastad;
}

public boolean isDiafastadNull() {
return diafastadNull;
}

public void setDiafastad(int diafastad) {
setDiafastad(new Double(diafastad));
}

public void setDiafastad(long diafastad) {
setDiafastad(new Double(diafastad));
}

public void setDiafastad(Double diafastad) {
if (diafastad == null) {
diafastadNull = true;
this.diafastad = 0.;
} else { 
diafastadNull = false;
this.diafastad = FglDouble.round(diafastad, 1);
}
}

public double getDijustifi() {
return dijustifi;
}

public boolean isDijustifiNull() {
return dijustifiNull;
}

public void setDijustifi(int dijustifi) {
setDijustifi(new Double(dijustifi));
}

public void setDijustifi(long dijustifi) {
setDijustifi(new Double(dijustifi));
}

public void setDijustifi(Double dijustifi) {
if (dijustifi == null) {
dijustifiNull = true;
this.dijustifi = 0.;
} else { 
dijustifiNull = false;
this.dijustifi = FglDouble.round(dijustifi, 1);
}
}

public double getDichuva() {
return dichuva;
}

public boolean isDichuvaNull() {
return dichuvaNull;
}

public void setDichuva(int dichuva) {
setDichuva(new Double(dichuva));
}

public void setDichuva(long dichuva) {
setDichuva(new Double(dichuva));
}

public void setDichuva(Double dichuva) {
if (dichuva == null) {
dichuvaNull = true;
this.dichuva = 0.;
} else { 
dichuvaNull = false;
this.dichuva = FglDouble.round(dichuva, 1);
}
}

public double getDimedia() {
return dimedia;
}

public boolean isDimediaNull() {
return dimediaNull;
}

public void setDimedia(int dimedia) {
setDimedia(new Double(dimedia));
}

public void setDimedia(long dimedia) {
setDimedia(new Double(dimedia));
}

public void setDimedia(Double dimedia) {
if (dimedia == null) {
dimediaNull = true;
this.dimedia = 0.;
} else { 
dimediaNull = false;
this.dimedia = FglDouble.round(dimedia, 1);
}
}

public double getDiaviso() {
return diaviso;
}

public boolean isDiavisoNull() {
return diavisoNull;
}

public void setDiaviso(int diaviso) {
setDiaviso(new Double(diaviso));
}

public void setDiaviso(long diaviso) {
setDiaviso(new Double(diaviso));
}

public void setDiaviso(Double diaviso) {
if (diaviso == null) {
diavisoNull = true;
this.diaviso = 0.;
} else { 
diavisoNull = false;
this.diaviso = FglDouble.round(diaviso, 1);
}
}

public double getFaltasper() {
return faltasper;
}

public boolean isFaltasperNull() {
return faltasperNull;
}

public void setFaltasper(int faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(long faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(Double faltasper) {
if (faltasper == null) {
faltasperNull = true;
this.faltasper = 0.;
} else { 
faltasperNull = false;
this.faltasper = FglDouble.round(faltasper, 1);
}
}

public double getFaltasant() {
return faltasant;
}

public boolean isFaltasantNull() {
return faltasantNull;
}

public void setFaltasant(int faltasant) {
setFaltasant(new Double(faltasant));
}

public void setFaltasant(long faltasant) {
setFaltasant(new Double(faltasant));
}

public void setFaltasant(Double faltasant) {
if (faltasant == null) {
faltasantNull = true;
this.faltasant = 0.;
} else { 
faltasantNull = false;
this.faltasant = FglDouble.round(faltasant, 1);
}
}

public double getVenciment() {
return venciment;
}

public boolean isVencimentNull() {
return vencimentNull;
}

public void setVenciment(int venciment) {
setVenciment(new Double(venciment));
}

public void setVenciment(long venciment) {
setVenciment(new Double(venciment));
}

public void setVenciment(Double venciment) {
if (venciment == null) {
vencimentNull = true;
this.venciment = 0.;
} else { 
vencimentNull = false;
this.venciment = FglDouble.round(venciment, 2);
}
}

public double getDescontos() {
return descontos;
}

public boolean isDescontosNull() {
return descontosNull;
}

public void setDescontos(int descontos) {
setDescontos(new Double(descontos));
}

public void setDescontos(long descontos) {
setDescontos(new Double(descontos));
}

public void setDescontos(Double descontos) {
if (descontos == null) {
descontosNull = true;
this.descontos = 0.;
} else { 
descontosNull = false;
this.descontos = FglDouble.round(descontos, 2);
}
}

public double getLiquido() {
return liquido;
}

public boolean isLiquidoNull() {
return liquidoNull;
}

public void setLiquido(int liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(long liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(Double liquido) {
if (liquido == null) {
liquidoNull = true;
this.liquido = 0.;
} else { 
liquidoNull = false;
this.liquido = FglDouble.round(liquido, 2);
}
}

public double getValorfgts() {
return valorfgts;
}

public boolean isValorfgtsNull() {
return valorfgtsNull;
}

public void setValorfgts(int valorfgts) {
setValorfgts(new Double(valorfgts));
}

public void setValorfgts(long valorfgts) {
setValorfgts(new Double(valorfgts));
}

public void setValorfgts(Double valorfgts) {
if (valorfgts == null) {
valorfgtsNull = true;
this.valorfgts = 0.;
} else { 
valorfgtsNull = false;
this.valorfgts = FglDouble.round(valorfgts, 2);
}
}

public String getDeposfgts() {
return deposfgts;
}

public void setDeposfgts(String deposfgts) {
this.deposfgts = deposfgts;
}

public double getExinsssal() {
return exinsssal;
}

public boolean isExinsssalNull() {
return exinsssalNull;
}

public void setExinsssal(int exinsssal) {
setExinsssal(new Double(exinsssal));
}

public void setExinsssal(long exinsssal) {
setExinsssal(new Double(exinsssal));
}

public void setExinsssal(Double exinsssal) {
if (exinsssal == null) {
exinsssalNull = true;
this.exinsssal = 0.;
} else { 
exinsssalNull = false;
this.exinsssal = FglDouble.round(exinsssal, 2);
}
}

public double getVlinsssal() {
return vlinsssal;
}

public boolean isVlinsssalNull() {
return vlinsssalNull;
}

public void setVlinsssal(int vlinsssal) {
setVlinsssal(new Double(vlinsssal));
}

public void setVlinsssal(long vlinsssal) {
setVlinsssal(new Double(vlinsssal));
}

public void setVlinsssal(Double vlinsssal) {
if (vlinsssal == null) {
vlinsssalNull = true;
this.vlinsssal = 0.;
} else { 
vlinsssalNull = false;
this.vlinsssal = FglDouble.round(vlinsssal, 2);
}
}

public double getExinss13s() {
return exinss13s;
}

public boolean isExinss13sNull() {
return exinss13sNull;
}

public void setExinss13s(int exinss13s) {
setExinss13s(new Double(exinss13s));
}

public void setExinss13s(long exinss13s) {
setExinss13s(new Double(exinss13s));
}

public void setExinss13s(Double exinss13s) {
if (exinss13s == null) {
exinss13sNull = true;
this.exinss13s = 0.;
} else { 
exinss13sNull = false;
this.exinss13s = FglDouble.round(exinss13s, 2);
}
}

public double getVlinss13s() {
return vlinss13s;
}

public boolean isVlinss13sNull() {
return vlinss13sNull;
}

public void setVlinss13s(int vlinss13s) {
setVlinss13s(new Double(vlinss13s));
}

public void setVlinss13s(long vlinss13s) {
setVlinss13s(new Double(vlinss13s));
}

public void setVlinss13s(Double vlinss13s) {
if (vlinss13s == null) {
vlinss13sNull = true;
this.vlinss13s = 0.;
} else { 
vlinss13sNull = false;
this.vlinss13s = FglDouble.round(vlinss13s, 2);
}
}

public int getDepensfam() {
return depensfam;
}

public boolean isDepensfamNull() {
return depensfamNull;
}

public void setDepensfam(Integer depensfam) {
if (depensfam == null) {
depensfamNull = true;
this.depensfam = 0;
} else { 
depensfamNull = false;
this.depensfam = depensfam;
}
}

public double getSalarbase() {
return salarbase;
}

public boolean isSalarbaseNull() {
return salarbaseNull;
}

public void setSalarbase(int salarbase) {
setSalarbase(new Double(salarbase));
}

public void setSalarbase(long salarbase) {
setSalarbase(new Double(salarbase));
}

public void setSalarbase(Double salarbase) {
if (salarbase == null) {
salarbaseNull = true;
this.salarbase = 0.;
} else { 
salarbaseNull = false;
this.salarbase = FglDouble.round(salarbase, 2);
}
}

public int getFaixainss() {
return faixainss;
}

public boolean isFaixainssNull() {
return faixainssNull;
}

public void setFaixainss(Integer faixainss) {
if (faixainss == null) {
faixainssNull = true;
this.faixainss = 0;
} else { 
faixainssNull = false;
this.faixainss = faixainss;
}
}

public double getQtdehextr() {
return qtdehextr;
}

public boolean isQtdehextrNull() {
return qtdehextrNull;
}

public void setQtdehextr(int qtdehextr) {
setQtdehextr(new Double(qtdehextr));
}

public void setQtdehextr(long qtdehextr) {
setQtdehextr(new Double(qtdehextr));
}

public void setQtdehextr(Double qtdehextr) {
if (qtdehextr == null) {
qtdehextrNull = true;
this.qtdehextr = 0.;
} else { 
qtdehextrNull = false;
this.qtdehextr = FglDouble.round(qtdehextr, 2);
}
}

public double getQtheSacr() {
return qtheSacr;
}

public boolean isQtheSacrNull() {
return qtheSacrNull;
}

public void setQtheSacr(int qtheSacr) {
setQtheSacr(new Double(qtheSacr));
}

public void setQtheSacr(long qtheSacr) {
setQtheSacr(new Double(qtheSacr));
}

public void setQtheSacr(Double qtheSacr) {
if (qtheSacr == null) {
qtheSacrNull = true;
this.qtheSacr = 0.;
} else { 
qtheSacrNull = false;
this.qtheSacr = FglDouble.round(qtheSacr, 2);
}
}

public double getComisDsr() {
return comisDsr;
}

public boolean isComisDsrNull() {
return comisDsrNull;
}

public void setComisDsr(int comisDsr) {
setComisDsr(new Double(comisDsr));
}

public void setComisDsr(long comisDsr) {
setComisDsr(new Double(comisDsr));
}

public void setComisDsr(Double comisDsr) {
if (comisDsr == null) {
comisDsrNull = true;
this.comisDsr = 0.;
} else { 
comisDsrNull = false;
this.comisDsr = FglDouble.round(comisDsr, 2);
}
}

}

