package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChfichit {
@Coluna(nome="chfichit.id_ficha", tipo="int")
private int idFicha;
private boolean idFichaNull;
@Coluna(nome="chfichit.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chfichit.qtdedia", tipo="double")
private double qtdedia;
private boolean qtdediaNull;
@Coluna(nome="chfichit.qtdeeve", tipo="double")
private double qtdeeve;
private boolean qtdeeveNull;
@Coluna(nome="chfichit.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="chfichit.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabChfichit() {
initialize();
}

public void initialize() {
setIdFicha(null);
setEvento(null);
setQtdedia(null);
setQtdeeve(null);
setUnitario(null);
setValor(null);
}

public TabChfichit(int idFicha, int evento, double qtdedia, double qtdeeve, double unitario, double valor) {
this.idFicha = idFicha;
this.evento = evento;
this.qtdedia = qtdedia;
this.qtdeeve = qtdeeve;
this.unitario = unitario;
this.valor = valor;
}

public int getIdFicha() {
return idFicha;
}

public boolean isIdFichaNull() {
return idFichaNull;
}

public void setIdFicha(Integer idFicha) {
if (idFicha == null) {
idFichaNull = true;
this.idFicha = 0;
} else { 
idFichaNull = false;
this.idFicha = idFicha;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getQtdedia() {
return qtdedia;
}

public boolean isQtdediaNull() {
return qtdediaNull;
}

public void setQtdedia(int qtdedia) {
setQtdedia(new Double(qtdedia));
}

public void setQtdedia(long qtdedia) {
setQtdedia(new Double(qtdedia));
}

public void setQtdedia(Double qtdedia) {
if (qtdedia == null) {
qtdediaNull = true;
this.qtdedia = 0.;
} else { 
qtdediaNull = false;
this.qtdedia = FglDouble.round(qtdedia, 1);
}
}

public double getQtdeeve() {
return qtdeeve;
}

public boolean isQtdeeveNull() {
return qtdeeveNull;
}

public void setQtdeeve(int qtdeeve) {
setQtdeeve(new Double(qtdeeve));
}

public void setQtdeeve(long qtdeeve) {
setQtdeeve(new Double(qtdeeve));
}

public void setQtdeeve(Double qtdeeve) {
if (qtdeeve == null) {
qtdeeveNull = true;
this.qtdeeve = 0.;
} else { 
qtdeeveNull = false;
this.qtdeeve = FglDouble.round(qtdeeve, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

