package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChfunser {
@Coluna(nome="chfunser.id_dadser", tipo="int")
private int idDadser;
private boolean idDadserNull;
@Coluna(nome="chfunser.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chfunser.horastrab", tipo="double")
private double horastrab;
private boolean horastrabNull;

public TabChfunser() {
initialize();
}

public void initialize() {
setIdDadser(null);
setIdContrat(null);
setHorastrab(null);
}

public TabChfunser(int idDadser, int idContrat, double horastrab) {
this.idDadser = idDadser;
this.idContrat = idContrat;
this.horastrab = horastrab;
}

public int getIdDadser() {
return idDadser;
}

public boolean isIdDadserNull() {
return idDadserNull;
}

public void setIdDadser(Integer idDadser) {
if (idDadser == null) {
idDadserNull = true;
this.idDadser = 0;
} else { 
idDadserNull = false;
this.idDadser = idDadser;
}
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public double getHorastrab() {
return horastrab;
}

public boolean isHorastrabNull() {
return horastrabNull;
}

public void setHorastrab(int horastrab) {
setHorastrab(new Double(horastrab));
}

public void setHorastrab(long horastrab) {
setHorastrab(new Double(horastrab));
}

public void setHorastrab(Double horastrab) {
if (horastrab == null) {
horastrabNull = true;
this.horastrab = 0.;
} else { 
horastrabNull = false;
this.horastrab = FglDouble.round(horastrab, 2);
}
}

}

