package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChgozfer {
@Coluna(nome="chgozfer.id_ferias", tipo="int")
private int idFerias;
private boolean idFeriasNull;
@Coluna(nome="chgozfer.dtpgto", tipo="FglDate")
private FglDate dtpgto;
@Coluna(nome="chgozfer.dtinigozo", tipo="FglDate")
private FglDate dtinigozo;
@Coluna(nome="chgozfer.dtfimgozo", tipo="FglDate")
private FglDate dtfimgozo;
@Coluna(nome="chgozfer.diasgozado", tipo="double")
private double diasgozado;
private boolean diasgozadoNull;
@Coluna(nome="chgozfer.diassaldo", tipo="double")
private double diassaldo;
private boolean diassaldoNull;

public TabChgozfer() {
initialize();
}

public void initialize() {
setIdFerias(null);
setDtpgto(null);
setDtinigozo(null);
setDtfimgozo(null);
setDiasgozado(null);
setDiassaldo(null);
}

public TabChgozfer(int idFerias, FglDate dtpgto, FglDate dtinigozo, FglDate dtfimgozo, double diasgozado, double diassaldo) {
this.idFerias = idFerias;
this.dtpgto = dtpgto;
this.dtinigozo = dtinigozo;
this.dtfimgozo = dtfimgozo;
this.diasgozado = diasgozado;
this.diassaldo = diassaldo;
}

public int getIdFerias() {
return idFerias;
}

public boolean isIdFeriasNull() {
return idFeriasNull;
}

public void setIdFerias(Integer idFerias) {
if (idFerias == null) {
idFeriasNull = true;
this.idFerias = 0;
} else { 
idFeriasNull = false;
this.idFerias = idFerias;
}
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

public FglDate getDtinigozo() {
return dtinigozo;
}

public void setDtinigozo(FglDate dtinigozo) {
this.dtinigozo = dtinigozo;
}

public FglDate getDtfimgozo() {
return dtfimgozo;
}

public void setDtfimgozo(FglDate dtfimgozo) {
this.dtfimgozo = dtfimgozo;
}

public double getDiasgozado() {
return diasgozado;
}

public boolean isDiasgozadoNull() {
return diasgozadoNull;
}

public void setDiasgozado(int diasgozado) {
setDiasgozado(new Double(diasgozado));
}

public void setDiasgozado(long diasgozado) {
setDiasgozado(new Double(diasgozado));
}

public void setDiasgozado(Double diasgozado) {
if (diasgozado == null) {
diasgozadoNull = true;
this.diasgozado = 0.;
} else { 
diasgozadoNull = false;
this.diasgozado = FglDouble.round(diasgozado, 1);
}
}

public double getDiassaldo() {
return diassaldo;
}

public boolean isDiassaldoNull() {
return diassaldoNull;
}

public void setDiassaldo(int diassaldo) {
setDiassaldo(new Double(diassaldo));
}

public void setDiassaldo(long diassaldo) {
setDiassaldo(new Double(diassaldo));
}

public void setDiassaldo(Double diassaldo) {
if (diassaldo == null) {
diassaldoNull = true;
this.diassaldo = 0.;
} else { 
diassaldoNull = false;
this.diassaldo = FglDouble.round(diassaldo, 1);
}
}

}

