package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChmemirr {
@Coluna(nome="chmemirr.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chmemirr.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chmemirr.tipopgto", tipo="String")
private String tipopgto;
@Coluna(nome="chmemirr.dtpgto", tipo="FglDate")
private FglDate dtpgto;
@Coluna(nome="chmemirr.qtddepen", tipo="int")
private int qtddepen;
private boolean qtddepenNull;
@Coluna(nome="chmemirr.base", tipo="double")
private double base;
private boolean baseNull;
@Coluna(nome="chmemirr.pensao", tipo="double")
private double pensao;
private boolean pensaoNull;
@Coluna(nome="chmemirr.inss", tipo="double")
private double inss;
private boolean inssNull;
@Coluna(nome="chmemirr.irrf", tipo="double")
private double irrf;
private boolean irrfNull;
@Coluna(nome="chmemirr.dependent", tipo="double")
private double dependent;
private boolean dependentNull;

public TabChmemirr() {
initialize();
}

public void initialize() {
setAnomes(null);
setIdContrat(null);
setTipopgto(null);
setDtpgto(null);
setQtddepen(null);
setBase(null);
setPensao(null);
setInss(null);
setIrrf(null);
setDependent(null);
}

public TabChmemirr(FglDateTimeYM anomes, int idContrat, String tipopgto, FglDate dtpgto, int qtddepen, double base, double pensao, double inss, double irrf, double dependent) {
this.anomes = anomes;
this.idContrat = idContrat;
this.tipopgto = tipopgto;
this.dtpgto = dtpgto;
this.qtddepen = qtddepen;
this.base = base;
this.pensao = pensao;
this.inss = inss;
this.irrf = irrf;
this.dependent = dependent;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public String getTipopgto() {
return tipopgto;
}

public void setTipopgto(String tipopgto) {
this.tipopgto = tipopgto;
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

public int getQtddepen() {
return qtddepen;
}

public boolean isQtddepenNull() {
return qtddepenNull;
}

public void setQtddepen(Integer qtddepen) {
if (qtddepen == null) {
qtddepenNull = true;
this.qtddepen = 0;
} else { 
qtddepenNull = false;
this.qtddepen = qtddepen;
}
}

public double getBase() {
return base;
}

public boolean isBaseNull() {
return baseNull;
}

public void setBase(int base) {
setBase(new Double(base));
}

public void setBase(long base) {
setBase(new Double(base));
}

public void setBase(Double base) {
if (base == null) {
baseNull = true;
this.base = 0.;
} else { 
baseNull = false;
this.base = FglDouble.round(base, 2);
}
}

public double getPensao() {
return pensao;
}

public boolean isPensaoNull() {
return pensaoNull;
}

public void setPensao(int pensao) {
setPensao(new Double(pensao));
}

public void setPensao(long pensao) {
setPensao(new Double(pensao));
}

public void setPensao(Double pensao) {
if (pensao == null) {
pensaoNull = true;
this.pensao = 0.;
} else { 
pensaoNull = false;
this.pensao = FglDouble.round(pensao, 2);
}
}

public double getInss() {
return inss;
}

public boolean isInssNull() {
return inssNull;
}

public void setInss(int inss) {
setInss(new Double(inss));
}

public void setInss(long inss) {
setInss(new Double(inss));
}

public void setInss(Double inss) {
if (inss == null) {
inssNull = true;
this.inss = 0.;
} else { 
inssNull = false;
this.inss = FglDouble.round(inss, 2);
}
}

public double getIrrf() {
return irrf;
}

public boolean isIrrfNull() {
return irrfNull;
}

public void setIrrf(int irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(long irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(Double irrf) {
if (irrf == null) {
irrfNull = true;
this.irrf = 0.;
} else { 
irrfNull = false;
this.irrf = FglDouble.round(irrf, 2);
}
}

public double getDependent() {
return dependent;
}

public boolean isDependentNull() {
return dependentNull;
}

public void setDependent(int dependent) {
setDependent(new Double(dependent));
}

public void setDependent(long dependent) {
setDependent(new Double(dependent));
}

public void setDependent(Double dependent) {
if (dependent == null) {
dependentNull = true;
this.dependent = 0.;
} else { 
dependentNull = false;
this.dependent = FglDouble.round(dependent, 2);
}
}

}

