package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChpamovi {
@Coluna(nome="chpamovi.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chpamovi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chpamovi.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chpamovi.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chpamovi.dtpagto", tipo="FglDate")
private FglDate dtpagto;
@Coluna(nome="chpamovi.codsefip", tipo="int")
private int codsefip;
private boolean codsefipNull;
@Coluna(nome="chpamovi.vlrservico", tipo="double")
private double vlrservico;
private boolean vlrservicoNull;
@Coluna(nome="chpamovi.vlrinssjre", tipo="double")
private double vlrinssjre;
private boolean vlrinssjreNull;
@Coluna(nome="chpamovi.vlrinssare", tipo="double")
private double vlrinssare;
private boolean vlrinssareNull;
@Coluna(nome="chpamovi.vlrirrf", tipo="double")
private double vlrirrf;
private boolean vlrirrfNull;
@Coluna(nome="chpamovi.vlriss", tipo="double")
private double vlriss;
private boolean vlrissNull;
@Coluna(nome="chpamovi.vlroutros", tipo="double")
private double vlroutros;
private boolean vlroutrosNull;
@Coluna(nome="chpamovi.vlrinssem", tipo="double")
private double vlrinssem;
private boolean vlrinssemNull;
@Coluna(nome="chpamovi.descrser", tipo="String")
private String descrser;
@Coluna(nome="chpamovi.vlbaseinss", tipo="double")
private double vlbaseinss;
private boolean vlbaseinssNull;
@Coluna(nome="chpamovi.vlbaseirrf", tipo="double")
private double vlbaseirrf;
private boolean vlbaseirrfNull;
@Coluna(nome="chpamovi.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;

public TabChpamovi() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAnomes(null);
setCgccpf(null);
setTppessoa(null);
setDtpagto(null);
setCodsefip(null);
setVlrservico(null);
setVlrinssjre(null);
setVlrinssare(null);
setVlrirrf(null);
setVlriss(null);
setVlroutros(null);
setVlrinssem(null);
setDescrser(null);
setVlbaseinss(null);
setVlbaseirrf(null);
setIdSetor(null);
}

public TabChpamovi(int empresa, FglDateTimeYM anomes, long cgccpf, int tppessoa, FglDate dtpagto, int codsefip, double vlrservico, double vlrinssjre, double vlrinssare, double vlrirrf, double vlriss, double vlroutros, double vlrinssem, String descrser, double vlbaseinss, double vlbaseirrf, int idSetor) {
this.empresa = empresa;
this.anomes = anomes;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtpagto = dtpagto;
this.codsefip = codsefip;
this.vlrservico = vlrservico;
this.vlrinssjre = vlrinssjre;
this.vlrinssare = vlrinssare;
this.vlrirrf = vlrirrf;
this.vlriss = vlriss;
this.vlroutros = vlroutros;
this.vlrinssem = vlrinssem;
this.descrser = descrser;
this.vlbaseinss = vlbaseinss;
this.vlbaseirrf = vlbaseirrf;
this.idSetor = idSetor;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtpagto() {
return dtpagto;
}

public void setDtpagto(FglDate dtpagto) {
this.dtpagto = dtpagto;
}

public int getCodsefip() {
return codsefip;
}

public boolean isCodsefipNull() {
return codsefipNull;
}

public void setCodsefip(Integer codsefip) {
if (codsefip == null) {
codsefipNull = true;
this.codsefip = 0;
} else { 
codsefipNull = false;
this.codsefip = codsefip;
}
}

public double getVlrservico() {
return vlrservico;
}

public boolean isVlrservicoNull() {
return vlrservicoNull;
}

public void setVlrservico(int vlrservico) {
setVlrservico(new Double(vlrservico));
}

public void setVlrservico(long vlrservico) {
setVlrservico(new Double(vlrservico));
}

public void setVlrservico(Double vlrservico) {
if (vlrservico == null) {
vlrservicoNull = true;
this.vlrservico = 0.;
} else { 
vlrservicoNull = false;
this.vlrservico = FglDouble.round(vlrservico, 2);
}
}

public double getVlrinssjre() {
return vlrinssjre;
}

public boolean isVlrinssjreNull() {
return vlrinssjreNull;
}

public void setVlrinssjre(int vlrinssjre) {
setVlrinssjre(new Double(vlrinssjre));
}

public void setVlrinssjre(long vlrinssjre) {
setVlrinssjre(new Double(vlrinssjre));
}

public void setVlrinssjre(Double vlrinssjre) {
if (vlrinssjre == null) {
vlrinssjreNull = true;
this.vlrinssjre = 0.;
} else { 
vlrinssjreNull = false;
this.vlrinssjre = FglDouble.round(vlrinssjre, 2);
}
}

public double getVlrinssare() {
return vlrinssare;
}

public boolean isVlrinssareNull() {
return vlrinssareNull;
}

public void setVlrinssare(int vlrinssare) {
setVlrinssare(new Double(vlrinssare));
}

public void setVlrinssare(long vlrinssare) {
setVlrinssare(new Double(vlrinssare));
}

public void setVlrinssare(Double vlrinssare) {
if (vlrinssare == null) {
vlrinssareNull = true;
this.vlrinssare = 0.;
} else { 
vlrinssareNull = false;
this.vlrinssare = FglDouble.round(vlrinssare, 2);
}
}

public double getVlrirrf() {
return vlrirrf;
}

public boolean isVlrirrfNull() {
return vlrirrfNull;
}

public void setVlrirrf(int vlrirrf) {
setVlrirrf(new Double(vlrirrf));
}

public void setVlrirrf(long vlrirrf) {
setVlrirrf(new Double(vlrirrf));
}

public void setVlrirrf(Double vlrirrf) {
if (vlrirrf == null) {
vlrirrfNull = true;
this.vlrirrf = 0.;
} else { 
vlrirrfNull = false;
this.vlrirrf = FglDouble.round(vlrirrf, 2);
}
}

public double getVlriss() {
return vlriss;
}

public boolean isVlrissNull() {
return vlrissNull;
}

public void setVlriss(int vlriss) {
setVlriss(new Double(vlriss));
}

public void setVlriss(long vlriss) {
setVlriss(new Double(vlriss));
}

public void setVlriss(Double vlriss) {
if (vlriss == null) {
vlrissNull = true;
this.vlriss = 0.;
} else { 
vlrissNull = false;
this.vlriss = FglDouble.round(vlriss, 2);
}
}

public double getVlroutros() {
return vlroutros;
}

public boolean isVlroutrosNull() {
return vlroutrosNull;
}

public void setVlroutros(int vlroutros) {
setVlroutros(new Double(vlroutros));
}

public void setVlroutros(long vlroutros) {
setVlroutros(new Double(vlroutros));
}

public void setVlroutros(Double vlroutros) {
if (vlroutros == null) {
vlroutrosNull = true;
this.vlroutros = 0.;
} else { 
vlroutrosNull = false;
this.vlroutros = FglDouble.round(vlroutros, 2);
}
}

public double getVlrinssem() {
return vlrinssem;
}

public boolean isVlrinssemNull() {
return vlrinssemNull;
}

public void setVlrinssem(int vlrinssem) {
setVlrinssem(new Double(vlrinssem));
}

public void setVlrinssem(long vlrinssem) {
setVlrinssem(new Double(vlrinssem));
}

public void setVlrinssem(Double vlrinssem) {
if (vlrinssem == null) {
vlrinssemNull = true;
this.vlrinssem = 0.;
} else { 
vlrinssemNull = false;
this.vlrinssem = FglDouble.round(vlrinssem, 2);
}
}

public String getDescrser() {
return descrser;
}

public void setDescrser(String descrser) {
this.descrser = descrser;
}

public double getVlbaseinss() {
return vlbaseinss;
}

public boolean isVlbaseinssNull() {
return vlbaseinssNull;
}

public void setVlbaseinss(int vlbaseinss) {
setVlbaseinss(new Double(vlbaseinss));
}

public void setVlbaseinss(long vlbaseinss) {
setVlbaseinss(new Double(vlbaseinss));
}

public void setVlbaseinss(Double vlbaseinss) {
if (vlbaseinss == null) {
vlbaseinssNull = true;
this.vlbaseinss = 0.;
} else { 
vlbaseinssNull = false;
this.vlbaseinss = FglDouble.round(vlbaseinss, 2);
}
}

public double getVlbaseirrf() {
return vlbaseirrf;
}

public boolean isVlbaseirrfNull() {
return vlbaseirrfNull;
}

public void setVlbaseirrf(int vlbaseirrf) {
setVlbaseirrf(new Double(vlbaseirrf));
}

public void setVlbaseirrf(long vlbaseirrf) {
setVlbaseirrf(new Double(vlbaseirrf));
}

public void setVlbaseirrf(Double vlbaseirrf) {
if (vlbaseirrf == null) {
vlbaseirrfNull = true;
this.vlbaseirrf = 0.;
} else { 
vlbaseirrfNull = false;
this.vlbaseirrf = FglDouble.round(vlbaseirrf, 2);
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

}

