package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabChpgtfer {
@Coluna(nome="chpgtfer.id_ferias", tipo="int")
private int idFerias;
private boolean idFeriasNull;
@Coluna(nome="chpgtfer.dtpgto", tipo="FglDate")
private FglDate dtpgto;
@Coluna(nome="chpgtfer.tipopgto", tipo="String")
private String tipopgto;
@Coluna(nome="chpgtfer.vlrbasefix", tipo="double")
private double vlrbasefix;
private boolean vlrbasefixNull;
@Coluna(nome="chpgtfer.vlrbasevar", tipo="double")
private double vlrbasevar;
private boolean vlrbasevarNull;
@Coluna(nome="chpgtfer.diasgozado", tipo="double")
private double diasgozado;
private boolean diasgozadoNull;
@Coluna(nome="chpgtfer.diasabono", tipo="double")
private double diasabono;
private boolean diasabonoNull;
@Coluna(nome="chpgtfer.vlrgozado", tipo="double")
private double vlrgozado;
private boolean vlrgozadoNull;
@Coluna(nome="chpgtfer.vlrabono", tipo="double")
private double vlrabono;
private boolean vlrabonoNull;
@Coluna(nome="chpgtfer.vlrtercofer", tipo="double")
private double vlrtercofer;
private boolean vlrtercoferNull;
@Coluna(nome="chpgtfer.vlrtercoabo", tipo="double")
private double vlrtercoabo;
private boolean vlrtercoaboNull;
@Coluna(nome="chpgtfer.inss", tipo="double")
private double inss;
private boolean inssNull;
@Coluna(nome="chpgtfer.inssp", tipo="double")
private double inssp;
private boolean insspNull;
@Coluna(nome="chpgtfer.irrf", tipo="double")
private double irrf;
private boolean irrfNull;
@Coluna(nome="chpgtfer.pensao", tipo="double")
private double pensao;
private boolean pensaoNull;
@Coluna(nome="chpgtfer.provisoes", tipo="double")
private double provisoes;
private boolean provisoesNull;
@Coluna(nome="chpgtfer.liquido", tipo="double")
private double liquido;
private boolean liquidoNull;
@Coluna(nome="chpgtfer.dtinigozo", tipo="FglDate")
private FglDate dtinigozo;
@Coluna(nome="chpgtfer.dtfimgozo", tipo="FglDate")
private FglDate dtfimgozo;
@Coluna(nome="chpgtfer.faltasper", tipo="double")
private double faltasper;
private boolean faltasperNull;
@Coluna(nome="chpgtfer.diasperda", tipo="double")
private double diasperda;
private boolean diasperdaNull;
@Coluna(nome="chpgtfer.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;

public TabChpgtfer() {
initialize();
}

public void initialize() {
setIdFerias(null);
setDtpgto(null);
setTipopgto(null);
setVlrbasefix(null);
setVlrbasevar(null);
setDiasgozado(null);
setDiasabono(null);
setVlrgozado(null);
setVlrabono(null);
setVlrtercofer(null);
setVlrtercoabo(null);
setInss(null);
setInssp(null);
setIrrf(null);
setPensao(null);
setProvisoes(null);
setLiquido(null);
setDtinigozo(null);
setDtfimgozo(null);
setFaltasper(null);
setDiasperda(null);
setAnomes(null);
}

public TabChpgtfer(int idFerias, FglDate dtpgto, String tipopgto, double vlrbasefix, double vlrbasevar, double diasgozado, double diasabono, double vlrgozado, double vlrabono, double vlrtercofer, double vlrtercoabo, double inss, double inssp, double irrf, double pensao, double provisoes, double liquido, FglDate dtinigozo, FglDate dtfimgozo, double faltasper, double diasperda, FglDateTimeYM anomes) {
this.idFerias = idFerias;
this.dtpgto = dtpgto;
this.tipopgto = tipopgto;
this.vlrbasefix = vlrbasefix;
this.vlrbasevar = vlrbasevar;
this.diasgozado = diasgozado;
this.diasabono = diasabono;
this.vlrgozado = vlrgozado;
this.vlrabono = vlrabono;
this.vlrtercofer = vlrtercofer;
this.vlrtercoabo = vlrtercoabo;
this.inss = inss;
this.inssp = inssp;
this.irrf = irrf;
this.pensao = pensao;
this.provisoes = provisoes;
this.liquido = liquido;
this.dtinigozo = dtinigozo;
this.dtfimgozo = dtfimgozo;
this.faltasper = faltasper;
this.diasperda = diasperda;
this.anomes = anomes;
}

public int getIdFerias() {
return idFerias;
}

public boolean isIdFeriasNull() {
return idFeriasNull;
}

public void setIdFerias(Integer idFerias) {
if (idFerias == null) {
idFeriasNull = true;
this.idFerias = 0;
} else { 
idFeriasNull = false;
this.idFerias = idFerias;
}
}

public FglDate getDtpgto() {
return dtpgto;
}

public void setDtpgto(FglDate dtpgto) {
this.dtpgto = dtpgto;
}

public String getTipopgto() {
return tipopgto;
}

public void setTipopgto(String tipopgto) {
this.tipopgto = tipopgto;
}

public double getVlrbasefix() {
return vlrbasefix;
}

public boolean isVlrbasefixNull() {
return vlrbasefixNull;
}

public void setVlrbasefix(int vlrbasefix) {
setVlrbasefix(new Double(vlrbasefix));
}

public void setVlrbasefix(long vlrbasefix) {
setVlrbasefix(new Double(vlrbasefix));
}

public void setVlrbasefix(Double vlrbasefix) {
if (vlrbasefix == null) {
vlrbasefixNull = true;
this.vlrbasefix = 0.;
} else { 
vlrbasefixNull = false;
this.vlrbasefix = FglDouble.round(vlrbasefix, 2);
}
}

public double getVlrbasevar() {
return vlrbasevar;
}

public boolean isVlrbasevarNull() {
return vlrbasevarNull;
}

public void setVlrbasevar(int vlrbasevar) {
setVlrbasevar(new Double(vlrbasevar));
}

public void setVlrbasevar(long vlrbasevar) {
setVlrbasevar(new Double(vlrbasevar));
}

public void setVlrbasevar(Double vlrbasevar) {
if (vlrbasevar == null) {
vlrbasevarNull = true;
this.vlrbasevar = 0.;
} else { 
vlrbasevarNull = false;
this.vlrbasevar = FglDouble.round(vlrbasevar, 2);
}
}

public double getDiasgozado() {
return diasgozado;
}

public boolean isDiasgozadoNull() {
return diasgozadoNull;
}

public void setDiasgozado(int diasgozado) {
setDiasgozado(new Double(diasgozado));
}

public void setDiasgozado(long diasgozado) {
setDiasgozado(new Double(diasgozado));
}

public void setDiasgozado(Double diasgozado) {
if (diasgozado == null) {
diasgozadoNull = true;
this.diasgozado = 0.;
} else { 
diasgozadoNull = false;
this.diasgozado = FglDouble.round(diasgozado, 1);
}
}

public double getDiasabono() {
return diasabono;
}

public boolean isDiasabonoNull() {
return diasabonoNull;
}

public void setDiasabono(int diasabono) {
setDiasabono(new Double(diasabono));
}

public void setDiasabono(long diasabono) {
setDiasabono(new Double(diasabono));
}

public void setDiasabono(Double diasabono) {
if (diasabono == null) {
diasabonoNull = true;
this.diasabono = 0.;
} else { 
diasabonoNull = false;
this.diasabono = FglDouble.round(diasabono, 1);
}
}

public double getVlrgozado() {
return vlrgozado;
}

public boolean isVlrgozadoNull() {
return vlrgozadoNull;
}

public void setVlrgozado(int vlrgozado) {
setVlrgozado(new Double(vlrgozado));
}

public void setVlrgozado(long vlrgozado) {
setVlrgozado(new Double(vlrgozado));
}

public void setVlrgozado(Double vlrgozado) {
if (vlrgozado == null) {
vlrgozadoNull = true;
this.vlrgozado = 0.;
} else { 
vlrgozadoNull = false;
this.vlrgozado = FglDouble.round(vlrgozado, 2);
}
}

public double getVlrabono() {
return vlrabono;
}

public boolean isVlrabonoNull() {
return vlrabonoNull;
}

public void setVlrabono(int vlrabono) {
setVlrabono(new Double(vlrabono));
}

public void setVlrabono(long vlrabono) {
setVlrabono(new Double(vlrabono));
}

public void setVlrabono(Double vlrabono) {
if (vlrabono == null) {
vlrabonoNull = true;
this.vlrabono = 0.;
} else { 
vlrabonoNull = false;
this.vlrabono = FglDouble.round(vlrabono, 2);
}
}

public double getVlrtercofer() {
return vlrtercofer;
}

public boolean isVlrtercoferNull() {
return vlrtercoferNull;
}

public void setVlrtercofer(int vlrtercofer) {
setVlrtercofer(new Double(vlrtercofer));
}

public void setVlrtercofer(long vlrtercofer) {
setVlrtercofer(new Double(vlrtercofer));
}

public void setVlrtercofer(Double vlrtercofer) {
if (vlrtercofer == null) {
vlrtercoferNull = true;
this.vlrtercofer = 0.;
} else { 
vlrtercoferNull = false;
this.vlrtercofer = FglDouble.round(vlrtercofer, 2);
}
}

public double getVlrtercoabo() {
return vlrtercoabo;
}

public boolean isVlrtercoaboNull() {
return vlrtercoaboNull;
}

public void setVlrtercoabo(int vlrtercoabo) {
setVlrtercoabo(new Double(vlrtercoabo));
}

public void setVlrtercoabo(long vlrtercoabo) {
setVlrtercoabo(new Double(vlrtercoabo));
}

public void setVlrtercoabo(Double vlrtercoabo) {
if (vlrtercoabo == null) {
vlrtercoaboNull = true;
this.vlrtercoabo = 0.;
} else { 
vlrtercoaboNull = false;
this.vlrtercoabo = FglDouble.round(vlrtercoabo, 2);
}
}

public double getInss() {
return inss;
}

public boolean isInssNull() {
return inssNull;
}

public void setInss(int inss) {
setInss(new Double(inss));
}

public void setInss(long inss) {
setInss(new Double(inss));
}

public void setInss(Double inss) {
if (inss == null) {
inssNull = true;
this.inss = 0.;
} else { 
inssNull = false;
this.inss = FglDouble.round(inss, 2);
}
}

public double getInssp() {
return inssp;
}

public boolean isInsspNull() {
return insspNull;
}

public void setInssp(int inssp) {
setInssp(new Double(inssp));
}

public void setInssp(long inssp) {
setInssp(new Double(inssp));
}

public void setInssp(Double inssp) {
if (inssp == null) {
insspNull = true;
this.inssp = 0.;
} else { 
insspNull = false;
this.inssp = FglDouble.round(inssp, 2);
}
}

public double getIrrf() {
return irrf;
}

public boolean isIrrfNull() {
return irrfNull;
}

public void setIrrf(int irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(long irrf) {
setIrrf(new Double(irrf));
}

public void setIrrf(Double irrf) {
if (irrf == null) {
irrfNull = true;
this.irrf = 0.;
} else { 
irrfNull = false;
this.irrf = FglDouble.round(irrf, 2);
}
}

public double getPensao() {
return pensao;
}

public boolean isPensaoNull() {
return pensaoNull;
}

public void setPensao(int pensao) {
setPensao(new Double(pensao));
}

public void setPensao(long pensao) {
setPensao(new Double(pensao));
}

public void setPensao(Double pensao) {
if (pensao == null) {
pensaoNull = true;
this.pensao = 0.;
} else { 
pensaoNull = false;
this.pensao = FglDouble.round(pensao, 2);
}
}

public double getProvisoes() {
return provisoes;
}

public boolean isProvisoesNull() {
return provisoesNull;
}

public void setProvisoes(int provisoes) {
setProvisoes(new Double(provisoes));
}

public void setProvisoes(long provisoes) {
setProvisoes(new Double(provisoes));
}

public void setProvisoes(Double provisoes) {
if (provisoes == null) {
provisoesNull = true;
this.provisoes = 0.;
} else { 
provisoesNull = false;
this.provisoes = FglDouble.round(provisoes, 2);
}
}

public double getLiquido() {
return liquido;
}

public boolean isLiquidoNull() {
return liquidoNull;
}

public void setLiquido(int liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(long liquido) {
setLiquido(new Double(liquido));
}

public void setLiquido(Double liquido) {
if (liquido == null) {
liquidoNull = true;
this.liquido = 0.;
} else { 
liquidoNull = false;
this.liquido = FglDouble.round(liquido, 2);
}
}

public FglDate getDtinigozo() {
return dtinigozo;
}

public void setDtinigozo(FglDate dtinigozo) {
this.dtinigozo = dtinigozo;
}

public FglDate getDtfimgozo() {
return dtfimgozo;
}

public void setDtfimgozo(FglDate dtfimgozo) {
this.dtfimgozo = dtfimgozo;
}

public double getFaltasper() {
return faltasper;
}

public boolean isFaltasperNull() {
return faltasperNull;
}

public void setFaltasper(int faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(long faltasper) {
setFaltasper(new Double(faltasper));
}

public void setFaltasper(Double faltasper) {
if (faltasper == null) {
faltasperNull = true;
this.faltasper = 0.;
} else { 
faltasperNull = false;
this.faltasper = FglDouble.round(faltasper, 1);
}
}

public double getDiasperda() {
return diasperda;
}

public boolean isDiasperdaNull() {
return diasperdaNull;
}

public void setDiasperda(int diasperda) {
setDiasperda(new Double(diasperda));
}

public void setDiasperda(long diasperda) {
setDiasperda(new Double(diasperda));
}

public void setDiasperda(Double diasperda) {
if (diasperda == null) {
diasperdaNull = true;
this.diasperda = 0.;
} else { 
diasperdaNull = false;
this.diasperda = FglDouble.round(diasperda, 1);
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

}

