package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChpontit {
@Coluna(nome="chpontit.id_ponto", tipo="int")
private int idPonto;
private boolean idPontoNull;
@Coluna(nome="chpontit.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chpontit.qtdedia", tipo="double")
private double qtdedia;
private boolean qtdediaNull;
@Coluna(nome="chpontit.qtdeeve", tipo="double")
private double qtdeeve;
private boolean qtdeeveNull;
@Coluna(nome="chpontit.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="chpontit.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="chpontit.proggerou", tipo="String")
private String proggerou;
@Coluna(nome="chpontit.datagerou", tipo="FglDate")
private FglDate datagerou;

public TabChpontit() {
initialize();
}

public void initialize() {
setIdPonto(null);
setEvento(null);
setQtdedia(null);
setQtdeeve(null);
setUnitario(null);
setValor(null);
setProggerou(null);
setDatagerou(null);
}

public TabChpontit(int idPonto, int evento, double qtdedia, double qtdeeve, double unitario, double valor, String proggerou, FglDate datagerou) {
this.idPonto = idPonto;
this.evento = evento;
this.qtdedia = qtdedia;
this.qtdeeve = qtdeeve;
this.unitario = unitario;
this.valor = valor;
this.proggerou = proggerou;
this.datagerou = datagerou;
}

public int getIdPonto() {
return idPonto;
}

public boolean isIdPontoNull() {
return idPontoNull;
}

public void setIdPonto(Integer idPonto) {
if (idPonto == null) {
idPontoNull = true;
this.idPonto = 0;
} else { 
idPontoNull = false;
this.idPonto = idPonto;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public double getQtdedia() {
return qtdedia;
}

public boolean isQtdediaNull() {
return qtdediaNull;
}

public void setQtdedia(int qtdedia) {
setQtdedia(new Double(qtdedia));
}

public void setQtdedia(long qtdedia) {
setQtdedia(new Double(qtdedia));
}

public void setQtdedia(Double qtdedia) {
if (qtdedia == null) {
qtdediaNull = true;
this.qtdedia = 0.;
} else { 
qtdediaNull = false;
this.qtdedia = FglDouble.round(qtdedia, 1);
}
}

public double getQtdeeve() {
return qtdeeve;
}

public boolean isQtdeeveNull() {
return qtdeeveNull;
}

public void setQtdeeve(int qtdeeve) {
setQtdeeve(new Double(qtdeeve));
}

public void setQtdeeve(long qtdeeve) {
setQtdeeve(new Double(qtdeeve));
}

public void setQtdeeve(Double qtdeeve) {
if (qtdeeve == null) {
qtdeeveNull = true;
this.qtdeeve = 0.;
} else { 
qtdeeveNull = false;
this.qtdeeve = FglDouble.round(qtdeeve, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getProggerou() {
return proggerou;
}

public void setProggerou(String proggerou) {
this.proggerou = proggerou;
}

public FglDate getDatagerou() {
return datagerou;
}

public void setDatagerou(FglDate datagerou) {
this.datagerou = datagerou;
}

}

