package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChproces {
@Coluna(nome="chproces.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="chproces.id_processo", tipo="int")
private int idProcesso;
private boolean idProcessoNull;
@Coluna(nome="chproces.tpprocesso", tipo="String")
private String tpprocesso;
@Coluna(nome="chproces.nrprocesso", tipo="String")
private String nrprocesso;
@Coluna(nome="chproces.inddecisao", tipo="int")
private int inddecisao;
private boolean inddecisaoNull;
@Coluna(nome="chproces.dtdecisao", tipo="FglDate")
private FglDate dtdecisao;
@Coluna(nome="chproces.inddeposito", tipo="String")
private String inddeposito;
@Coluna(nome="chproces.ufvara", tipo="String")
private String ufvara;
@Coluna(nome="chproces.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="chproces.idvara", tipo="String")
private String idvara;
@Coluna(nome="chproces.indautoria", tipo="int")
private int indautoria;
private boolean indautoriaNull;

public TabChproces() {
initialize();
}

public void initialize() {
setFilial(null);
setIdProcesso(null);
setTpprocesso(null);
setNrprocesso(null);
setInddecisao(null);
setDtdecisao(null);
setInddeposito(null);
setUfvara(null);
setCidade(null);
setIdvara(null);
setIndautoria(null);
}

public TabChproces(int filial, int idProcesso, String tpprocesso, String nrprocesso, int inddecisao, FglDate dtdecisao, String inddeposito, String ufvara, int cidade, String idvara, int indautoria) {
this.filial = filial;
this.idProcesso = idProcesso;
this.tpprocesso = tpprocesso;
this.nrprocesso = nrprocesso;
this.inddecisao = inddecisao;
this.dtdecisao = dtdecisao;
this.inddeposito = inddeposito;
this.ufvara = ufvara;
this.cidade = cidade;
this.idvara = idvara;
this.indautoria = indautoria;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdProcesso() {
return idProcesso;
}

public boolean isIdProcessoNull() {
return idProcessoNull;
}

public void setIdProcesso(Integer idProcesso) {
if (idProcesso == null) {
idProcessoNull = true;
this.idProcesso = 0;
} else { 
idProcessoNull = false;
this.idProcesso = idProcesso;
}
}

public String getTpprocesso() {
return tpprocesso;
}

public void setTpprocesso(String tpprocesso) {
this.tpprocesso = tpprocesso;
}

public String getNrprocesso() {
return nrprocesso;
}

public void setNrprocesso(String nrprocesso) {
this.nrprocesso = nrprocesso;
}

public int getInddecisao() {
return inddecisao;
}

public boolean isInddecisaoNull() {
return inddecisaoNull;
}

public void setInddecisao(Integer inddecisao) {
if (inddecisao == null) {
inddecisaoNull = true;
this.inddecisao = 0;
} else { 
inddecisaoNull = false;
this.inddecisao = inddecisao;
}
}

public FglDate getDtdecisao() {
return dtdecisao;
}

public void setDtdecisao(FglDate dtdecisao) {
this.dtdecisao = dtdecisao;
}

public String getInddeposito() {
return inddeposito;
}

public void setInddeposito(String inddeposito) {
this.inddeposito = inddeposito;
}

public String getUfvara() {
return ufvara;
}

public void setUfvara(String ufvara) {
this.ufvara = ufvara;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getIdvara() {
return idvara;
}

public void setIdvara(String idvara) {
this.idvara = idvara;
}

public int getIndautoria() {
return indautoria;
}

public boolean isIndautoriaNull() {
return indautoriaNull;
}

public void setIndautoria(Integer indautoria) {
if (indautoria == null) {
indautoriaNull = true;
this.indautoria = 0;
} else { 
indautoriaNull = false;
this.indautoria = indautoria;
}
}

}

