package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChrais {
@Coluna(nome="chrais.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chrais.ano", tipo="int")
private int ano;
private boolean anoNull;
@Coluna(nome="chrais.id_contrat", tipo="long")
private long idContrat;
private boolean idContratNull;
@Coluna(nome="chrais.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="chrais.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="chrais.remjan", tipo="double")
private double remjan;
private boolean remjanNull;
@Coluna(nome="chrais.hrsjan", tipo="int")
private int hrsjan;
private boolean hrsjanNull;
@Coluna(nome="chrais.remfev", tipo="double")
private double remfev;
private boolean remfevNull;
@Coluna(nome="chrais.hrsfev", tipo="int")
private int hrsfev;
private boolean hrsfevNull;
@Coluna(nome="chrais.remmar", tipo="double")
private double remmar;
private boolean remmarNull;
@Coluna(nome="chrais.hrsmar", tipo="int")
private int hrsmar;
private boolean hrsmarNull;
@Coluna(nome="chrais.remabr", tipo="double")
private double remabr;
private boolean remabrNull;
@Coluna(nome="chrais.hrsabr", tipo="int")
private int hrsabr;
private boolean hrsabrNull;
@Coluna(nome="chrais.remmai", tipo="double")
private double remmai;
private boolean remmaiNull;
@Coluna(nome="chrais.hrsmai", tipo="int")
private int hrsmai;
private boolean hrsmaiNull;
@Coluna(nome="chrais.remjun", tipo="double")
private double remjun;
private boolean remjunNull;
@Coluna(nome="chrais.hrsjun", tipo="int")
private int hrsjun;
private boolean hrsjunNull;
@Coluna(nome="chrais.remjul", tipo="double")
private double remjul;
private boolean remjulNull;
@Coluna(nome="chrais.hrsjul", tipo="int")
private int hrsjul;
private boolean hrsjulNull;
@Coluna(nome="chrais.remago", tipo="double")
private double remago;
private boolean remagoNull;
@Coluna(nome="chrais.hrsago", tipo="int")
private int hrsago;
private boolean hrsagoNull;
@Coluna(nome="chrais.remset", tipo="double")
private double remset;
private boolean remsetNull;
@Coluna(nome="chrais.hrsset", tipo="int")
private int hrsset;
private boolean hrssetNull;
@Coluna(nome="chrais.remout", tipo="double")
private double remout;
private boolean remoutNull;
@Coluna(nome="chrais.hrsout", tipo="int")
private int hrsout;
private boolean hrsoutNull;
@Coluna(nome="chrais.remnov", tipo="double")
private double remnov;
private boolean remnovNull;
@Coluna(nome="chrais.hrsnov", tipo="int")
private int hrsnov;
private boolean hrsnovNull;
@Coluna(nome="chrais.remdez", tipo="double")
private double remdez;
private boolean remdezNull;
@Coluna(nome="chrais.hrsdez", tipo="int")
private int hrsdez;
private boolean hrsdezNull;
@Coluna(nome="chrais.rem131", tipo="double")
private double rem131;
private boolean rem131Null;
@Coluna(nome="chrais.mes131", tipo="int")
private int mes131;
private boolean mes131Null;
@Coluna(nome="chrais.rem132", tipo="double")
private double rem132;
private boolean rem132Null;
@Coluna(nome="chrais.mes132", tipo="int")
private int mes132;
private boolean mes132Null;
@Coluna(nome="chrais.avprev", tipo="double")
private double avprev;
private boolean avprevNull;
@Coluna(nome="chrais.ferind", tipo="double")
private double ferind;
private boolean ferindNull;
@Coluna(nome="chrais.bcohrs", tipo="double")
private double bcohrs;
private boolean bcohrsNull;
@Coluna(nome="chrais.mbcohrs", tipo="int")
private int mbcohrs;
private boolean mbcohrsNull;
@Coluna(nome="chrais.discol", tipo="double")
private double discol;
private boolean discolNull;
@Coluna(nome="chrais.mdiscol", tipo="int")
private int mdiscol;
private boolean mdiscolNull;
@Coluna(nome="chrais.gratif", tipo="double")
private double gratif;
private boolean gratifNull;
@Coluna(nome="chrais.mgratif", tipo="int")
private int mgratif;
private boolean mgratifNull;
@Coluna(nome="chrais.mulres", tipo="double")
private double mulres;
private boolean mulresNull;

public TabChrais() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAno(null);
setIdContrat(null);
setCgccpf(null);
setTppessoa(null);
setRemjan(null);
setHrsjan(null);
setRemfev(null);
setHrsfev(null);
setRemmar(null);
setHrsmar(null);
setRemabr(null);
setHrsabr(null);
setRemmai(null);
setHrsmai(null);
setRemjun(null);
setHrsjun(null);
setRemjul(null);
setHrsjul(null);
setRemago(null);
setHrsago(null);
setRemset(null);
setHrsset(null);
setRemout(null);
setHrsout(null);
setRemnov(null);
setHrsnov(null);
setRemdez(null);
setHrsdez(null);
setRem131(null);
setMes131(null);
setRem132(null);
setMes132(null);
setAvprev(null);
setFerind(null);
setBcohrs(null);
setMbcohrs(null);
setDiscol(null);
setMdiscol(null);
setGratif(null);
setMgratif(null);
setMulres(null);
}

public TabChrais(int empresa, int ano, long idContrat, long cgccpf, int tppessoa, double remjan, int hrsjan, double remfev, int hrsfev, double remmar, int hrsmar, double remabr, int hrsabr, double remmai, int hrsmai, double remjun, int hrsjun, double remjul, int hrsjul, double remago, int hrsago, double remset, int hrsset, double remout, int hrsout, double remnov, int hrsnov, double remdez, int hrsdez, double rem131, int mes131, double rem132, int mes132, double avprev, double ferind, double bcohrs, int mbcohrs, double discol, int mdiscol, double gratif, int mgratif, double mulres) {
this.empresa = empresa;
this.ano = ano;
this.idContrat = idContrat;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.remjan = remjan;
this.hrsjan = hrsjan;
this.remfev = remfev;
this.hrsfev = hrsfev;
this.remmar = remmar;
this.hrsmar = hrsmar;
this.remabr = remabr;
this.hrsabr = hrsabr;
this.remmai = remmai;
this.hrsmai = hrsmai;
this.remjun = remjun;
this.hrsjun = hrsjun;
this.remjul = remjul;
this.hrsjul = hrsjul;
this.remago = remago;
this.hrsago = hrsago;
this.remset = remset;
this.hrsset = hrsset;
this.remout = remout;
this.hrsout = hrsout;
this.remnov = remnov;
this.hrsnov = hrsnov;
this.remdez = remdez;
this.hrsdez = hrsdez;
this.rem131 = rem131;
this.mes131 = mes131;
this.rem132 = rem132;
this.mes132 = mes132;
this.avprev = avprev;
this.ferind = ferind;
this.bcohrs = bcohrs;
this.mbcohrs = mbcohrs;
this.discol = discol;
this.mdiscol = mdiscol;
this.gratif = gratif;
this.mgratif = mgratif;
this.mulres = mulres;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getAno() {
return ano;
}

public boolean isAnoNull() {
return anoNull;
}

public void setAno(Integer ano) {
if (ano == null) {
anoNull = true;
this.ano = 0;
} else { 
anoNull = false;
this.ano = ano;
}
}

public long getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(int idContrat) {
setIdContrat(new Long(idContrat));
}

public void setIdContrat(Long idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0l;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getRemjan() {
return remjan;
}

public boolean isRemjanNull() {
return remjanNull;
}

public void setRemjan(int remjan) {
setRemjan(new Double(remjan));
}

public void setRemjan(long remjan) {
setRemjan(new Double(remjan));
}

public void setRemjan(Double remjan) {
if (remjan == null) {
remjanNull = true;
this.remjan = 0.;
} else { 
remjanNull = false;
this.remjan = FglDouble.round(remjan, 2);
}
}

public int getHrsjan() {
return hrsjan;
}

public boolean isHrsjanNull() {
return hrsjanNull;
}

public void setHrsjan(Integer hrsjan) {
if (hrsjan == null) {
hrsjanNull = true;
this.hrsjan = 0;
} else { 
hrsjanNull = false;
this.hrsjan = hrsjan;
}
}

public double getRemfev() {
return remfev;
}

public boolean isRemfevNull() {
return remfevNull;
}

public void setRemfev(int remfev) {
setRemfev(new Double(remfev));
}

public void setRemfev(long remfev) {
setRemfev(new Double(remfev));
}

public void setRemfev(Double remfev) {
if (remfev == null) {
remfevNull = true;
this.remfev = 0.;
} else { 
remfevNull = false;
this.remfev = FglDouble.round(remfev, 2);
}
}

public int getHrsfev() {
return hrsfev;
}

public boolean isHrsfevNull() {
return hrsfevNull;
}

public void setHrsfev(Integer hrsfev) {
if (hrsfev == null) {
hrsfevNull = true;
this.hrsfev = 0;
} else { 
hrsfevNull = false;
this.hrsfev = hrsfev;
}
}

public double getRemmar() {
return remmar;
}

public boolean isRemmarNull() {
return remmarNull;
}

public void setRemmar(int remmar) {
setRemmar(new Double(remmar));
}

public void setRemmar(long remmar) {
setRemmar(new Double(remmar));
}

public void setRemmar(Double remmar) {
if (remmar == null) {
remmarNull = true;
this.remmar = 0.;
} else { 
remmarNull = false;
this.remmar = FglDouble.round(remmar, 2);
}
}

public int getHrsmar() {
return hrsmar;
}

public boolean isHrsmarNull() {
return hrsmarNull;
}

public void setHrsmar(Integer hrsmar) {
if (hrsmar == null) {
hrsmarNull = true;
this.hrsmar = 0;
} else { 
hrsmarNull = false;
this.hrsmar = hrsmar;
}
}

public double getRemabr() {
return remabr;
}

public boolean isRemabrNull() {
return remabrNull;
}

public void setRemabr(int remabr) {
setRemabr(new Double(remabr));
}

public void setRemabr(long remabr) {
setRemabr(new Double(remabr));
}

public void setRemabr(Double remabr) {
if (remabr == null) {
remabrNull = true;
this.remabr = 0.;
} else { 
remabrNull = false;
this.remabr = FglDouble.round(remabr, 2);
}
}

public int getHrsabr() {
return hrsabr;
}

public boolean isHrsabrNull() {
return hrsabrNull;
}

public void setHrsabr(Integer hrsabr) {
if (hrsabr == null) {
hrsabrNull = true;
this.hrsabr = 0;
} else { 
hrsabrNull = false;
this.hrsabr = hrsabr;
}
}

public double getRemmai() {
return remmai;
}

public boolean isRemmaiNull() {
return remmaiNull;
}

public void setRemmai(int remmai) {
setRemmai(new Double(remmai));
}

public void setRemmai(long remmai) {
setRemmai(new Double(remmai));
}

public void setRemmai(Double remmai) {
if (remmai == null) {
remmaiNull = true;
this.remmai = 0.;
} else { 
remmaiNull = false;
this.remmai = FglDouble.round(remmai, 2);
}
}

public int getHrsmai() {
return hrsmai;
}

public boolean isHrsmaiNull() {
return hrsmaiNull;
}

public void setHrsmai(Integer hrsmai) {
if (hrsmai == null) {
hrsmaiNull = true;
this.hrsmai = 0;
} else { 
hrsmaiNull = false;
this.hrsmai = hrsmai;
}
}

public double getRemjun() {
return remjun;
}

public boolean isRemjunNull() {
return remjunNull;
}

public void setRemjun(int remjun) {
setRemjun(new Double(remjun));
}

public void setRemjun(long remjun) {
setRemjun(new Double(remjun));
}

public void setRemjun(Double remjun) {
if (remjun == null) {
remjunNull = true;
this.remjun = 0.;
} else { 
remjunNull = false;
this.remjun = FglDouble.round(remjun, 2);
}
}

public int getHrsjun() {
return hrsjun;
}

public boolean isHrsjunNull() {
return hrsjunNull;
}

public void setHrsjun(Integer hrsjun) {
if (hrsjun == null) {
hrsjunNull = true;
this.hrsjun = 0;
} else { 
hrsjunNull = false;
this.hrsjun = hrsjun;
}
}

public double getRemjul() {
return remjul;
}

public boolean isRemjulNull() {
return remjulNull;
}

public void setRemjul(int remjul) {
setRemjul(new Double(remjul));
}

public void setRemjul(long remjul) {
setRemjul(new Double(remjul));
}

public void setRemjul(Double remjul) {
if (remjul == null) {
remjulNull = true;
this.remjul = 0.;
} else { 
remjulNull = false;
this.remjul = FglDouble.round(remjul, 2);
}
}

public int getHrsjul() {
return hrsjul;
}

public boolean isHrsjulNull() {
return hrsjulNull;
}

public void setHrsjul(Integer hrsjul) {
if (hrsjul == null) {
hrsjulNull = true;
this.hrsjul = 0;
} else { 
hrsjulNull = false;
this.hrsjul = hrsjul;
}
}

public double getRemago() {
return remago;
}

public boolean isRemagoNull() {
return remagoNull;
}

public void setRemago(int remago) {
setRemago(new Double(remago));
}

public void setRemago(long remago) {
setRemago(new Double(remago));
}

public void setRemago(Double remago) {
if (remago == null) {
remagoNull = true;
this.remago = 0.;
} else { 
remagoNull = false;
this.remago = FglDouble.round(remago, 2);
}
}

public int getHrsago() {
return hrsago;
}

public boolean isHrsagoNull() {
return hrsagoNull;
}

public void setHrsago(Integer hrsago) {
if (hrsago == null) {
hrsagoNull = true;
this.hrsago = 0;
} else { 
hrsagoNull = false;
this.hrsago = hrsago;
}
}

public double getRemset() {
return remset;
}

public boolean isRemsetNull() {
return remsetNull;
}

public void setRemset(int remset) {
setRemset(new Double(remset));
}

public void setRemset(long remset) {
setRemset(new Double(remset));
}

public void setRemset(Double remset) {
if (remset == null) {
remsetNull = true;
this.remset = 0.;
} else { 
remsetNull = false;
this.remset = FglDouble.round(remset, 2);
}
}

public int getHrsset() {
return hrsset;
}

public boolean isHrssetNull() {
return hrssetNull;
}

public void setHrsset(Integer hrsset) {
if (hrsset == null) {
hrssetNull = true;
this.hrsset = 0;
} else { 
hrssetNull = false;
this.hrsset = hrsset;
}
}

public double getRemout() {
return remout;
}

public boolean isRemoutNull() {
return remoutNull;
}

public void setRemout(int remout) {
setRemout(new Double(remout));
}

public void setRemout(long remout) {
setRemout(new Double(remout));
}

public void setRemout(Double remout) {
if (remout == null) {
remoutNull = true;
this.remout = 0.;
} else { 
remoutNull = false;
this.remout = FglDouble.round(remout, 2);
}
}

public int getHrsout() {
return hrsout;
}

public boolean isHrsoutNull() {
return hrsoutNull;
}

public void setHrsout(Integer hrsout) {
if (hrsout == null) {
hrsoutNull = true;
this.hrsout = 0;
} else { 
hrsoutNull = false;
this.hrsout = hrsout;
}
}

public double getRemnov() {
return remnov;
}

public boolean isRemnovNull() {
return remnovNull;
}

public void setRemnov(int remnov) {
setRemnov(new Double(remnov));
}

public void setRemnov(long remnov) {
setRemnov(new Double(remnov));
}

public void setRemnov(Double remnov) {
if (remnov == null) {
remnovNull = true;
this.remnov = 0.;
} else { 
remnovNull = false;
this.remnov = FglDouble.round(remnov, 2);
}
}

public int getHrsnov() {
return hrsnov;
}

public boolean isHrsnovNull() {
return hrsnovNull;
}

public void setHrsnov(Integer hrsnov) {
if (hrsnov == null) {
hrsnovNull = true;
this.hrsnov = 0;
} else { 
hrsnovNull = false;
this.hrsnov = hrsnov;
}
}

public double getRemdez() {
return remdez;
}

public boolean isRemdezNull() {
return remdezNull;
}

public void setRemdez(int remdez) {
setRemdez(new Double(remdez));
}

public void setRemdez(long remdez) {
setRemdez(new Double(remdez));
}

public void setRemdez(Double remdez) {
if (remdez == null) {
remdezNull = true;
this.remdez = 0.;
} else { 
remdezNull = false;
this.remdez = FglDouble.round(remdez, 2);
}
}

public int getHrsdez() {
return hrsdez;
}

public boolean isHrsdezNull() {
return hrsdezNull;
}

public void setHrsdez(Integer hrsdez) {
if (hrsdez == null) {
hrsdezNull = true;
this.hrsdez = 0;
} else { 
hrsdezNull = false;
this.hrsdez = hrsdez;
}
}

public double getRem131() {
return rem131;
}

public boolean isRem131Null() {
return rem131Null;
}

public void setRem131(int rem131) {
setRem131(new Double(rem131));
}

public void setRem131(long rem131) {
setRem131(new Double(rem131));
}

public void setRem131(Double rem131) {
if (rem131 == null) {
rem131Null = true;
this.rem131 = 0.;
} else { 
rem131Null = false;
this.rem131 = FglDouble.round(rem131, 2);
}
}

public int getMes131() {
return mes131;
}

public boolean isMes131Null() {
return mes131Null;
}

public void setMes131(Integer mes131) {
if (mes131 == null) {
mes131Null = true;
this.mes131 = 0;
} else { 
mes131Null = false;
this.mes131 = mes131;
}
}

public double getRem132() {
return rem132;
}

public boolean isRem132Null() {
return rem132Null;
}

public void setRem132(int rem132) {
setRem132(new Double(rem132));
}

public void setRem132(long rem132) {
setRem132(new Double(rem132));
}

public void setRem132(Double rem132) {
if (rem132 == null) {
rem132Null = true;
this.rem132 = 0.;
} else { 
rem132Null = false;
this.rem132 = FglDouble.round(rem132, 2);
}
}

public int getMes132() {
return mes132;
}

public boolean isMes132Null() {
return mes132Null;
}

public void setMes132(Integer mes132) {
if (mes132 == null) {
mes132Null = true;
this.mes132 = 0;
} else { 
mes132Null = false;
this.mes132 = mes132;
}
}

public double getAvprev() {
return avprev;
}

public boolean isAvprevNull() {
return avprevNull;
}

public void setAvprev(int avprev) {
setAvprev(new Double(avprev));
}

public void setAvprev(long avprev) {
setAvprev(new Double(avprev));
}

public void setAvprev(Double avprev) {
if (avprev == null) {
avprevNull = true;
this.avprev = 0.;
} else { 
avprevNull = false;
this.avprev = FglDouble.round(avprev, 2);
}
}

public double getFerind() {
return ferind;
}

public boolean isFerindNull() {
return ferindNull;
}

public void setFerind(int ferind) {
setFerind(new Double(ferind));
}

public void setFerind(long ferind) {
setFerind(new Double(ferind));
}

public void setFerind(Double ferind) {
if (ferind == null) {
ferindNull = true;
this.ferind = 0.;
} else { 
ferindNull = false;
this.ferind = FglDouble.round(ferind, 2);
}
}

public double getBcohrs() {
return bcohrs;
}

public boolean isBcohrsNull() {
return bcohrsNull;
}

public void setBcohrs(int bcohrs) {
setBcohrs(new Double(bcohrs));
}

public void setBcohrs(long bcohrs) {
setBcohrs(new Double(bcohrs));
}

public void setBcohrs(Double bcohrs) {
if (bcohrs == null) {
bcohrsNull = true;
this.bcohrs = 0.;
} else { 
bcohrsNull = false;
this.bcohrs = FglDouble.round(bcohrs, 2);
}
}

public int getMbcohrs() {
return mbcohrs;
}

public boolean isMbcohrsNull() {
return mbcohrsNull;
}

public void setMbcohrs(Integer mbcohrs) {
if (mbcohrs == null) {
mbcohrsNull = true;
this.mbcohrs = 0;
} else { 
mbcohrsNull = false;
this.mbcohrs = mbcohrs;
}
}

public double getDiscol() {
return discol;
}

public boolean isDiscolNull() {
return discolNull;
}

public void setDiscol(int discol) {
setDiscol(new Double(discol));
}

public void setDiscol(long discol) {
setDiscol(new Double(discol));
}

public void setDiscol(Double discol) {
if (discol == null) {
discolNull = true;
this.discol = 0.;
} else { 
discolNull = false;
this.discol = FglDouble.round(discol, 2);
}
}

public int getMdiscol() {
return mdiscol;
}

public boolean isMdiscolNull() {
return mdiscolNull;
}

public void setMdiscol(Integer mdiscol) {
if (mdiscol == null) {
mdiscolNull = true;
this.mdiscol = 0;
} else { 
mdiscolNull = false;
this.mdiscol = mdiscol;
}
}

public double getGratif() {
return gratif;
}

public boolean isGratifNull() {
return gratifNull;
}

public void setGratif(int gratif) {
setGratif(new Double(gratif));
}

public void setGratif(long gratif) {
setGratif(new Double(gratif));
}

public void setGratif(Double gratif) {
if (gratif == null) {
gratifNull = true;
this.gratif = 0.;
} else { 
gratifNull = false;
this.gratif = FglDouble.round(gratif, 2);
}
}

public int getMgratif() {
return mgratif;
}

public boolean isMgratifNull() {
return mgratifNull;
}

public void setMgratif(Integer mgratif) {
if (mgratif == null) {
mgratifNull = true;
this.mgratif = 0;
} else { 
mgratifNull = false;
this.mgratif = mgratif;
}
}

public double getMulres() {
return mulres;
}

public boolean isMulresNull() {
return mulresNull;
}

public void setMulres(int mulres) {
setMulres(new Double(mulres));
}

public void setMulres(long mulres) {
setMulres(new Double(mulres));
}

public void setMulres(Double mulres) {
if (mulres == null) {
mulresNull = true;
this.mulres = 0.;
} else { 
mulresNull = false;
this.mulres = FglDouble.round(mulres, 2);
}
}

}

