package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabChremag {
@Coluna(nome="chremag.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="chremag.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="chremag.id_contrat", tipo="int")
private int idContrat;
private boolean idContratNull;
@Coluna(nome="chremag.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="chremag.dados", tipo="String")
private String dados;

public TabChremag() {
initialize();
}

public void initialize() {
setEmpresa(null);
setAnomes(null);
setIdContrat(null);
setTipo(null);
setDados(null);
}

public TabChremag(int empresa, FglDateTimeYM anomes, int idContrat, int tipo, String dados) {
this.empresa = empresa;
this.anomes = anomes;
this.idContrat = idContrat;
this.tipo = tipo;
this.dados = dados;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdContrat() {
return idContrat;
}

public boolean isIdContratNull() {
return idContratNull;
}

public void setIdContrat(Integer idContrat) {
if (idContrat == null) {
idContratNull = true;
this.idContrat = 0;
} else { 
idContratNull = false;
this.idContrat = idContrat;
}
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public String getDados() {
return dados;
}

public void setDados(String dados) {
this.dados = dados;
}

}

