package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabChrescal {
@Coluna(nome="chrescal.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="chrescal.evento", tipo="int")
private int evento;
private boolean eventoNull;
@Coluna(nome="chrescal.menosano", tipo="String")
private String menosano;

public TabChrescal() {
initialize();
}

public void initialize() {
setMotivo(null);
setEvento(null);
setMenosano(null);
}

public TabChrescal(int motivo, int evento, String menosano) {
this.motivo = motivo;
this.evento = evento;
this.menosano = menosano;
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public int getEvento() {
return evento;
}

public boolean isEventoNull() {
return eventoNull;
}

public void setEvento(Integer evento) {
if (evento == null) {
eventoNull = true;
this.evento = 0;
} else { 
eventoNull = false;
this.evento = evento;
}
}

public String getMenosano() {
return menosano;
}

public void setMenosano(String menosano) {
this.menosano = menosano;
}

}

