package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabChsemana {
@Coluna(nome="chsemana.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="chsemana.semana", tipo="int")
private int semana;
private boolean semanaNull;

public TabChsemana() {
initialize();
}

public void initialize() {
setData(null);
setSemana(null);
}

public TabChsemana(FglDate data, int semana) {
this.data = data;
this.semana = semana;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getSemana() {
return semana;
}

public boolean isSemanaNull() {
return semanaNull;
}

public void setSemana(Integer semana) {
if (semana == null) {
semanaNull = true;
this.semana = 0;
} else { 
semanaNull = false;
this.semana = semana;
}
}

}

