package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChtbinsa {
@Coluna(nome="chtbinsa.insalubri", tipo="int")
private int insalubri;
private boolean insalubriNull;
@Coluna(nome="chtbinsa.taxa", tipo="double")
private double taxa;
private boolean taxaNull;
@Coluna(nome="chtbinsa.tabocorr", tipo="int")
private int tabocorr;
private boolean tabocorrNull;

public TabChtbinsa() {
initialize();
}

public void initialize() {
setInsalubri(null);
setTaxa(null);
setTabocorr(null);
}

public TabChtbinsa(int insalubri, double taxa, int tabocorr) {
this.insalubri = insalubri;
this.taxa = taxa;
this.tabocorr = tabocorr;
}

public int getInsalubri() {
return insalubri;
}

public boolean isInsalubriNull() {
return insalubriNull;
}

public void setInsalubri(Integer insalubri) {
if (insalubri == null) {
insalubriNull = true;
this.insalubri = 0;
} else { 
insalubriNull = false;
this.insalubri = insalubri;
}
}

public double getTaxa() {
return taxa;
}

public boolean isTaxaNull() {
return taxaNull;
}

public void setTaxa(int taxa) {
setTaxa(new Double(taxa));
}

public void setTaxa(long taxa) {
setTaxa(new Double(taxa));
}

public void setTaxa(Double taxa) {
if (taxa == null) {
taxaNull = true;
this.taxa = 0.;
} else { 
taxaNull = false;
this.taxa = FglDouble.round(taxa, 2);
}
}

public int getTabocorr() {
return tabocorr;
}

public boolean isTabocorrNull() {
return tabocorrNull;
}

public void setTabocorr(Integer tabocorr) {
if (tabocorr == null) {
tabocorrNull = true;
this.tabocorr = 0;
} else { 
tabocorrNull = false;
this.tabocorr = tabocorr;
}
}

}

