package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabChtbperi {
@Coluna(nome="chtbperi.periculos", tipo="int")
private int periculos;
private boolean periculosNull;
@Coluna(nome="chtbperi.taxa", tipo="double")
private double taxa;
private boolean taxaNull;

public TabChtbperi() {
initialize();
}

public void initialize() {
setPericulos(null);
setTaxa(null);
}

public TabChtbperi(int periculos, double taxa) {
this.periculos = periculos;
this.taxa = taxa;
}

public int getPericulos() {
return periculos;
}

public boolean isPericulosNull() {
return periculosNull;
}

public void setPericulos(Integer periculos) {
if (periculos == null) {
periculosNull = true;
this.periculos = 0;
} else { 
periculosNull = false;
this.periculos = periculos;
}
}

public double getTaxa() {
return taxa;
}

public boolean isTaxaNull() {
return taxaNull;
}

public void setTaxa(int taxa) {
setTaxa(new Double(taxa));
}

public void setTaxa(long taxa) {
setTaxa(new Double(taxa));
}

public void setTaxa(Double taxa) {
if (taxa == null) {
taxaNull = true;
this.taxa = 0.;
} else { 
taxaNull = false;
this.taxa = FglDouble.round(taxa, 2);
}
}

}

