package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiatucli {
@Coluna(nome="ciatucli.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciatucli.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciatucli.dtalteracao", tipo="FglDate")
private FglDate dtalteracao;
@Coluna(nome="ciatucli.idtenvio", tipo="String")
private String idtenvio;

public TabCiatucli() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setDtalteracao(null);
setIdtenvio(null);
}

public TabCiatucli(long cgccpf, int tppessoa, FglDate dtalteracao, String idtenvio) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtalteracao = dtalteracao;
this.idtenvio = idtenvio;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtalteracao() {
return dtalteracao;
}

public void setDtalteracao(FglDate dtalteracao) {
this.dtalteracao = dtalteracao;
}

public String getIdtenvio() {
return idtenvio;
}

public void setIdtenvio(String idtenvio) {
this.idtenvio = idtenvio;
}

}

