package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCibairro {
@Coluna(nome="cibairro.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cibairro.bairro", tipo="String")
private String bairro;
@Coluna(nome="cibairro.zona", tipo="String")
private String zona;

public TabCibairro() {
initialize();
}

public void initialize() {
setCidade(null);
setBairro(null);
setZona(null);
}

public TabCibairro(int cidade, String bairro, String zona) {
this.cidade = cidade;
this.bairro = bairro;
this.zona = zona;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getZona() {
return zona;
}

public void setZona(String zona) {
this.zona = zona;
}

}

