package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCibancof {
@Coluna(nome="cibancof.id_bancof", tipo="int")
private int idBancof;
private boolean idBancofNull;
@Coluna(nome="cibancof.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cibancof.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cibancof.ctacorrente", tipo="long")
private long ctacorrente;
private boolean ctacorrenteNull;
@Coluna(nome="cibancof.digctacorr", tipo="String")
private String digctacorr;
@Coluna(nome="cibancof.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="cibancof.vlrtarifa", tipo="double")
private double vlrtarifa;
private boolean vlrtarifaNull;
@Coluna(nome="cibancof.tpcobran", tipo="String")
private String tpcobran;
@Coluna(nome="cibancof.razaocta", tipo="int")
private int razaocta;
private boolean razaoctaNull;
@Coluna(nome="cibancof.codbanco", tipo="int")
private int codbanco;
private boolean codbancoNull;
@Coluna(nome="cibancof.nroremessa", tipo="int")
private int nroremessa;
private boolean nroremessaNull;
@Coluna(nome="cibancof.nroconvenio", tipo="String")
private String nroconvenio;
@Coluna(nome="cibancof.conreduz", tipo="String")
private String conreduz;
@Coluna(nome="cibancof.nroinstrucao1", tipo="int")
private int nroinstrucao1;
private boolean nroinstrucao1Null;
@Coluna(nome="cibancof.nroinstrucao2", tipo="int")
private int nroinstrucao2;
private boolean nroinstrucao2Null;
@Coluna(nome="cibancof.carteira", tipo="int")
private int carteira;
private boolean carteiraNull;
@Coluna(nome="cibancof.seqnossonum", tipo="double")
private double seqnossonum;
private boolean seqnossonumNull;
@Coluna(nome="cibancof.nroremessaf", tipo="int")
private int nroremessaf;
private boolean nroremessafNull;
@Coluna(nome="cibancof.nroconveniof", tipo="String")
private String nroconveniof;
@Coluna(nome="cibancof.nroremessap", tipo="int")
private int nroremessap;
private boolean nroremessapNull;
@Coluna(nome="cibancof.nroconveniop", tipo="String")
private String nroconveniop;
@Coluna(nome="cibancof.sercheque", tipo="String")
private String sercheque;
@Coluna(nome="cibancof.nroremessac", tipo="int")
private int nroremessac;
private boolean nroremessacNull;
@Coluna(nome="cibancof.nroconvenioc", tipo="String")
private String nroconvenioc;
@Coluna(nome="cibancof.imptarifbol", tipo="String")
private String imptarifbol;
@Coluna(nome="cibancof.pgtoliberado", tipo="String")
private String pgtoliberado;
@Coluna(nome="cibancof.prefixo", tipo="String")
private String prefixo;
@Coluna(nome="cibancof.tipocobr", tipo="String")
private String tipocobr;
@Coluna(nome="cibancof.tpoperacao", tipo="int")
private int tpoperacao;
private boolean tpoperacaoNull;
@Coluna(nome="cibancof.percmulta", tipo="double")
private double percmulta;
private boolean percmultaNull;
@Coluna(nome="cibancof.filial_cobranca", tipo="int")
private int filialCobranca;
private boolean filialCobrancaNull;
@Coluna(nome="cibancof.usahub", tipo="String")
private String usahub;
@Coluna(nome="cibancof.client_id", tipo="String")
private String clientId;
@Coluna(nome="cibancof.client_secret", tipo="String")
private String clientSecret;
@Coluna(nome="cibancof.client_scope", tipo="String")
private String clientScope;
@Coluna(nome="cibancof.chave", tipo="String")
private String chave;

public TabCibancof() {
initialize();
}

public void initialize() {
setIdBancof(null);
setFilial(null);
setIdBancos(null);
setCtacorrente(null);
setDigctacorr(null);
setNrocheque(null);
setVlrtarifa(null);
setTpcobran(null);
setRazaocta(null);
setCodbanco(null);
setNroremessa(null);
setNroconvenio(null);
setConreduz(null);
setNroinstrucao1(null);
setNroinstrucao2(null);
setCarteira(null);
setSeqnossonum(null);
setNroremessaf(null);
setNroconveniof(null);
setNroremessap(null);
setNroconveniop(null);
setSercheque(null);
setNroremessac(null);
setNroconvenioc(null);
setImptarifbol(null);
setPgtoliberado(null);
setPrefixo(null);
setTipocobr(null);
setTpoperacao(null);
setPercmulta(null);
setFilialCobranca(null);
setUsahub(null);
setClientId(null);
setClientSecret(null);
setClientScope(null);
setChave(null);
}

public TabCibancof(int idBancof, int filial, int idBancos, long ctacorrente, String digctacorr, int nrocheque, double vlrtarifa, String tpcobran, int razaocta, int codbanco, int nroremessa, String nroconvenio, String conreduz, int nroinstrucao1, int nroinstrucao2, int carteira, double seqnossonum, int nroremessaf, String nroconveniof, int nroremessap, String nroconveniop, String sercheque, int nroremessac, String nroconvenioc, String imptarifbol, String pgtoliberado, String prefixo, String tipocobr, int tpoperacao, double percmulta, int filialCobranca, String usahub, String clientId, String clientSecret, String clientScope, String chave) {
this.idBancof = idBancof;
this.filial = filial;
this.idBancos = idBancos;
this.ctacorrente = ctacorrente;
this.digctacorr = digctacorr;
this.nrocheque = nrocheque;
this.vlrtarifa = vlrtarifa;
this.tpcobran = tpcobran;
this.razaocta = razaocta;
this.codbanco = codbanco;
this.nroremessa = nroremessa;
this.nroconvenio = nroconvenio;
this.conreduz = conreduz;
this.nroinstrucao1 = nroinstrucao1;
this.nroinstrucao2 = nroinstrucao2;
this.carteira = carteira;
this.seqnossonum = seqnossonum;
this.nroremessaf = nroremessaf;
this.nroconveniof = nroconveniof;
this.nroremessap = nroremessap;
this.nroconveniop = nroconveniop;
this.sercheque = sercheque;
this.nroremessac = nroremessac;
this.nroconvenioc = nroconvenioc;
this.imptarifbol = imptarifbol;
this.pgtoliberado = pgtoliberado;
this.prefixo = prefixo;
this.tipocobr = tipocobr;
this.tpoperacao = tpoperacao;
this.percmulta = percmulta;
this.filialCobranca = filialCobranca;
this.usahub = usahub;
this.clientId = clientId;
this.clientSecret = clientSecret;
this.clientScope = clientScope;
this.chave = chave;
}

public int getIdBancof() {
return idBancof;
}

public boolean isIdBancofNull() {
return idBancofNull;
}

public void setIdBancof(Integer idBancof) {
if (idBancof == null) {
idBancofNull = true;
this.idBancof = 0;
} else { 
idBancofNull = false;
this.idBancof = idBancof;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getCtacorrente() {
return ctacorrente;
}

public boolean isCtacorrenteNull() {
return ctacorrenteNull;
}

public void setCtacorrente(int ctacorrente) {
setCtacorrente(new Long(ctacorrente));
}

public void setCtacorrente(Long ctacorrente) {
if (ctacorrente == null) {
ctacorrenteNull = true;
this.ctacorrente = 0l;
} else { 
ctacorrenteNull = false;
this.ctacorrente = ctacorrente;
}
}

public String getDigctacorr() {
return digctacorr;
}

public void setDigctacorr(String digctacorr) {
this.digctacorr = digctacorr;
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public double getVlrtarifa() {
return vlrtarifa;
}

public boolean isVlrtarifaNull() {
return vlrtarifaNull;
}

public void setVlrtarifa(int vlrtarifa) {
setVlrtarifa(new Double(vlrtarifa));
}

public void setVlrtarifa(long vlrtarifa) {
setVlrtarifa(new Double(vlrtarifa));
}

public void setVlrtarifa(Double vlrtarifa) {
if (vlrtarifa == null) {
vlrtarifaNull = true;
this.vlrtarifa = 0.;
} else { 
vlrtarifaNull = false;
this.vlrtarifa = FglDouble.round(vlrtarifa, 2);
}
}

public String getTpcobran() {
return tpcobran;
}

public void setTpcobran(String tpcobran) {
this.tpcobran = tpcobran;
}

public int getRazaocta() {
return razaocta;
}

public boolean isRazaoctaNull() {
return razaoctaNull;
}

public void setRazaocta(Integer razaocta) {
if (razaocta == null) {
razaoctaNull = true;
this.razaocta = 0;
} else { 
razaoctaNull = false;
this.razaocta = razaocta;
}
}

public int getCodbanco() {
return codbanco;
}

public boolean isCodbancoNull() {
return codbancoNull;
}

public void setCodbanco(Integer codbanco) {
if (codbanco == null) {
codbancoNull = true;
this.codbanco = 0;
} else { 
codbancoNull = false;
this.codbanco = codbanco;
}
}

public int getNroremessa() {
return nroremessa;
}

public boolean isNroremessaNull() {
return nroremessaNull;
}

public void setNroremessa(Integer nroremessa) {
if (nroremessa == null) {
nroremessaNull = true;
this.nroremessa = 0;
} else { 
nroremessaNull = false;
this.nroremessa = nroremessa;
}
}

public String getNroconvenio() {
return nroconvenio;
}

public void setNroconvenio(String nroconvenio) {
this.nroconvenio = nroconvenio;
}

public String getConreduz() {
return conreduz;
}

public void setConreduz(String conreduz) {
this.conreduz = conreduz;
}

public int getNroinstrucao1() {
return nroinstrucao1;
}

public boolean isNroinstrucao1Null() {
return nroinstrucao1Null;
}

public void setNroinstrucao1(Integer nroinstrucao1) {
if (nroinstrucao1 == null) {
nroinstrucao1Null = true;
this.nroinstrucao1 = 0;
} else { 
nroinstrucao1Null = false;
this.nroinstrucao1 = nroinstrucao1;
}
}

public int getNroinstrucao2() {
return nroinstrucao2;
}

public boolean isNroinstrucao2Null() {
return nroinstrucao2Null;
}

public void setNroinstrucao2(Integer nroinstrucao2) {
if (nroinstrucao2 == null) {
nroinstrucao2Null = true;
this.nroinstrucao2 = 0;
} else { 
nroinstrucao2Null = false;
this.nroinstrucao2 = nroinstrucao2;
}
}

public int getCarteira() {
return carteira;
}

public boolean isCarteiraNull() {
return carteiraNull;
}

public void setCarteira(Integer carteira) {
if (carteira == null) {
carteiraNull = true;
this.carteira = 0;
} else { 
carteiraNull = false;
this.carteira = carteira;
}
}

public double getSeqnossonum() {
return seqnossonum;
}

public boolean isSeqnossonumNull() {
return seqnossonumNull;
}

public void setSeqnossonum(int seqnossonum) {
setSeqnossonum(new Double(seqnossonum));
}

public void setSeqnossonum(long seqnossonum) {
setSeqnossonum(new Double(seqnossonum));
}

public void setSeqnossonum(Double seqnossonum) {
if (seqnossonum == null) {
seqnossonumNull = true;
this.seqnossonum = 0.;
} else { 
seqnossonumNull = false;
this.seqnossonum = seqnossonum;
}
}

public int getNroremessaf() {
return nroremessaf;
}

public boolean isNroremessafNull() {
return nroremessafNull;
}

public void setNroremessaf(Integer nroremessaf) {
if (nroremessaf == null) {
nroremessafNull = true;
this.nroremessaf = 0;
} else { 
nroremessafNull = false;
this.nroremessaf = nroremessaf;
}
}

public String getNroconveniof() {
return nroconveniof;
}

public void setNroconveniof(String nroconveniof) {
this.nroconveniof = nroconveniof;
}

public int getNroremessap() {
return nroremessap;
}

public boolean isNroremessapNull() {
return nroremessapNull;
}

public void setNroremessap(Integer nroremessap) {
if (nroremessap == null) {
nroremessapNull = true;
this.nroremessap = 0;
} else { 
nroremessapNull = false;
this.nroremessap = nroremessap;
}
}

public String getNroconveniop() {
return nroconveniop;
}

public void setNroconveniop(String nroconveniop) {
this.nroconveniop = nroconveniop;
}

public String getSercheque() {
return sercheque;
}

public void setSercheque(String sercheque) {
this.sercheque = sercheque;
}

public int getNroremessac() {
return nroremessac;
}

public boolean isNroremessacNull() {
return nroremessacNull;
}

public void setNroremessac(Integer nroremessac) {
if (nroremessac == null) {
nroremessacNull = true;
this.nroremessac = 0;
} else { 
nroremessacNull = false;
this.nroremessac = nroremessac;
}
}

public String getNroconvenioc() {
return nroconvenioc;
}

public void setNroconvenioc(String nroconvenioc) {
this.nroconvenioc = nroconvenioc;
}

public String getImptarifbol() {
return imptarifbol;
}

public void setImptarifbol(String imptarifbol) {
this.imptarifbol = imptarifbol;
}

public String getPgtoliberado() {
return pgtoliberado;
}

public void setPgtoliberado(String pgtoliberado) {
this.pgtoliberado = pgtoliberado;
}

public String getPrefixo() {
return prefixo;
}

public void setPrefixo(String prefixo) {
this.prefixo = prefixo;
}

public String getTipocobr() {
return tipocobr;
}

public void setTipocobr(String tipocobr) {
this.tipocobr = tipocobr;
}

public int getTpoperacao() {
return tpoperacao;
}

public boolean isTpoperacaoNull() {
return tpoperacaoNull;
}

public void setTpoperacao(Integer tpoperacao) {
if (tpoperacao == null) {
tpoperacaoNull = true;
this.tpoperacao = 0;
} else { 
tpoperacaoNull = false;
this.tpoperacao = tpoperacao;
}
}

public double getPercmulta() {
return percmulta;
}

public boolean isPercmultaNull() {
return percmultaNull;
}

public void setPercmulta(int percmulta) {
setPercmulta(new Double(percmulta));
}

public void setPercmulta(long percmulta) {
setPercmulta(new Double(percmulta));
}

public void setPercmulta(Double percmulta) {
if (percmulta == null) {
percmultaNull = true;
this.percmulta = 0.;
} else { 
percmultaNull = false;
this.percmulta = FglDouble.round(percmulta, 2);
}
}

public int getFilialCobranca() {
return filialCobranca;
}

public boolean isFilialCobrancaNull() {
return filialCobrancaNull;
}

public void setFilialCobranca(Integer filialCobranca) {
if (filialCobranca == null) {
filialCobrancaNull = true;
this.filialCobranca = 0;
} else { 
filialCobrancaNull = false;
this.filialCobranca = filialCobranca;
}
}

public String getUsahub() {
return usahub;
}

public void setUsahub(String usahub) {
this.usahub = usahub;
}

public String getClientId() {
return clientId;
}

public void setClientId(String clientId) {
this.clientId = clientId;
}

public String getClientSecret() {
return clientSecret;
}

public void setClientSecret(String clientSecret) {
this.clientSecret = clientSecret;
}

public String getClientScope() {
return clientScope;
}

public void setClientScope(String clientScope) {
this.clientScope = clientScope;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

}

