package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCibancor {
@Coluna(nome="cibancor.id_bancof", tipo="int")
private int idBancof;
private boolean idBancofNull;
@Coluna(nome="cibancor.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cibancor.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cibancor.dtfim", tipo="FglDate")
private FglDate dtfim;

public TabCibancor() {
initialize();
}

public void initialize() {
setIdBancof(null);
setIdBancos(null);
setDtinicio(null);
setDtfim(null);
}

public TabCibancor(int idBancof, int idBancos, FglDate dtinicio, FglDate dtfim) {
this.idBancof = idBancof;
this.idBancos = idBancos;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
}

public int getIdBancof() {
return idBancof;
}

public boolean isIdBancofNull() {
return idBancofNull;
}

public void setIdBancof(Integer idBancof) {
if (idBancof == null) {
idBancofNull = true;
this.idBancof = 0;
} else { 
idBancofNull = false;
this.idBancof = idBancof;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

}

