package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCibancos {
@Coluna(nome="cibancos.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cibancos.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="cibancos.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="cibancos.digagencia", tipo="int")
private int digagencia;
private boolean digagenciaNull;
@Coluna(nome="cibancos.digageenv", tipo="String")
private String digageenv;
@Coluna(nome="cibancos.nomebco", tipo="String")
private String nomebco;
@Coluna(nome="cibancos.nomeage", tipo="String")
private String nomeage;
@Coluna(nome="cibancos.praca", tipo="int")
private int praca;
private boolean pracaNull;
@Coluna(nome="cibancos.percjrsatr", tipo="double")
private double percjrsatr;
private boolean percjrsatrNull;
@Coluna(nome="cibancos.percmulatr", tipo="double")
private double percmulatr;
private boolean percmulatrNull;
@Coluna(nome="cibancos.diascarteira", tipo="int")
private int diascarteira;
private boolean diascarteiraNull;
@Coluna(nome="cibancos.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cibancos.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cibancos.orgaoregulacred", tipo="String")
private String orgaoregulacred;

public TabCibancos() {
initialize();
}

public void initialize() {
setIdBancos(null);
setNrobanco(null);
setNroagencia(null);
setDigagencia(null);
setDigageenv(null);
setNomebco(null);
setNomeage(null);
setPraca(null);
setPercjrsatr(null);
setPercmulatr(null);
setDiascarteira(null);
setTppessoa(null);
setCgccpf(null);
setOrgaoregulacred(null);
}

public TabCibancos(int idBancos, int nrobanco, int nroagencia, int digagencia, String digageenv, String nomebco, String nomeage, int praca, double percjrsatr, double percmulatr, int diascarteira, int tppessoa, long cgccpf, String orgaoregulacred) {
this.idBancos = idBancos;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.digagencia = digagencia;
this.digageenv = digageenv;
this.nomebco = nomebco;
this.nomeage = nomeage;
this.praca = praca;
this.percjrsatr = percjrsatr;
this.percmulatr = percmulatr;
this.diascarteira = diascarteira;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.orgaoregulacred = orgaoregulacred;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public int getDigagencia() {
return digagencia;
}

public boolean isDigagenciaNull() {
return digagenciaNull;
}

public void setDigagencia(Integer digagencia) {
if (digagencia == null) {
digagenciaNull = true;
this.digagencia = 0;
} else { 
digagenciaNull = false;
this.digagencia = digagencia;
}
}

public String getDigageenv() {
return digageenv;
}

public void setDigageenv(String digageenv) {
this.digageenv = digageenv;
}

public String getNomebco() {
return nomebco;
}

public void setNomebco(String nomebco) {
this.nomebco = nomebco;
}

public String getNomeage() {
return nomeage;
}

public void setNomeage(String nomeage) {
this.nomeage = nomeage;
}

public int getPraca() {
return praca;
}

public boolean isPracaNull() {
return pracaNull;
}

public void setPraca(Integer praca) {
if (praca == null) {
pracaNull = true;
this.praca = 0;
} else { 
pracaNull = false;
this.praca = praca;
}
}

public double getPercjrsatr() {
return percjrsatr;
}

public boolean isPercjrsatrNull() {
return percjrsatrNull;
}

public void setPercjrsatr(int percjrsatr) {
setPercjrsatr(new Double(percjrsatr));
}

public void setPercjrsatr(long percjrsatr) {
setPercjrsatr(new Double(percjrsatr));
}

public void setPercjrsatr(Double percjrsatr) {
if (percjrsatr == null) {
percjrsatrNull = true;
this.percjrsatr = 0.;
} else { 
percjrsatrNull = false;
this.percjrsatr = FglDouble.round(percjrsatr, 2);
}
}

public double getPercmulatr() {
return percmulatr;
}

public boolean isPercmulatrNull() {
return percmulatrNull;
}

public void setPercmulatr(int percmulatr) {
setPercmulatr(new Double(percmulatr));
}

public void setPercmulatr(long percmulatr) {
setPercmulatr(new Double(percmulatr));
}

public void setPercmulatr(Double percmulatr) {
if (percmulatr == null) {
percmulatrNull = true;
this.percmulatr = 0.;
} else { 
percmulatrNull = false;
this.percmulatr = FglDouble.round(percmulatr, 2);
}
}

public int getDiascarteira() {
return diascarteira;
}

public boolean isDiascarteiraNull() {
return diascarteiraNull;
}

public void setDiascarteira(Integer diascarteira) {
if (diascarteira == null) {
diascarteiraNull = true;
this.diascarteira = 0;
} else { 
diascarteiraNull = false;
this.diascarteira = diascarteira;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getOrgaoregulacred() {
return orgaoregulacred;
}

public void setOrgaoregulacred(String orgaoregulacred) {
this.orgaoregulacred = orgaoregulacred;
}

}

