package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCicepesp {
@Coluna(nome="cicepesp.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cicepesp.cep", tipo="String")
private String cep;
@Coluna(nome="cicepesp.endereco", tipo="String")
private String endereco;
@Coluna(nome="cicepesp.bairro", tipo="String")
private String bairro;
@Coluna(nome="cicepesp.nomecidade", tipo="String")
private String nomecidade;
@Coluna(nome="cicepesp.tplograd", tipo="String")
private String tplograd;
@Coluna(nome="cicepesp.lograd", tipo="String")
private String lograd;
@Coluna(nome="cicepesp.numero", tipo="String")
private String numero;

public TabCicepesp() {
initialize();
}

public void initialize() {
setNroEndere(null);
setCep(null);
setEndereco(null);
setBairro(null);
setNomecidade(null);
setTplograd(null);
setLograd(null);
setNumero(null);
}

public TabCicepesp(long nroEndere, String cep, String endereco, String bairro, String nomecidade, String tplograd, String lograd, String numero) {
this.nroEndere = nroEndere;
this.cep = cep;
this.endereco = endereco;
this.bairro = bairro;
this.nomecidade = nomecidade;
this.tplograd = tplograd;
this.lograd = lograd;
this.numero = numero;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getNomecidade() {
return nomecidade;
}

public void setNomecidade(String nomecidade) {
this.nomecidade = nomecidade;
}

public String getTplograd() {
return tplograd;
}

public void setTplograd(String tplograd) {
this.tplograd = tplograd;
}

public String getLograd() {
return lograd;
}

public void setLograd(String lograd) {
this.lograd = lograd;
}

public String getNumero() {
return numero;
}

public void setNumero(String numero) {
this.numero = numero;
}

}

