package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiendcli {
@Coluna(nome="ciendcli.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ciendcli.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciendcli.seqendiv", tipo="int")
private int seqendiv;
private boolean seqendivNull;
@Coluna(nome="ciendcli.nomcredor", tipo="String")
private String nomcredor;
@Coluna(nome="ciendcli.seqtipocom", tipo="int")
private int seqtipocom;
private boolean seqtipocomNull;
@Coluna(nome="ciendcli.saldodevedor", tipo="double")
private double saldodevedor;
private boolean saldodevedorNull;
@Coluna(nome="ciendcli.nroparcrest", tipo="int")
private int nroparcrest;
private boolean nroparcrestNull;
@Coluna(nome="ciendcli.vlrparcela", tipo="double")
private double vlrparcela;
private boolean vlrparcelaNull;
@Coluna(nome="ciendcli.datvencto", tipo="FglDate")
private FglDate datvencto;
@Coluna(nome="ciendcli.descrgarantia", tipo="String")
private String descrgarantia;

public TabCiendcli() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqendiv(null);
setNomcredor(null);
setSeqtipocom(null);
setSaldodevedor(null);
setNroparcrest(null);
setVlrparcela(null);
setDatvencto(null);
setDescrgarantia(null);
}

public TabCiendcli(long cgccpf, int tppessoa, int seqendiv, String nomcredor, int seqtipocom, double saldodevedor, int nroparcrest, double vlrparcela, FglDate datvencto, String descrgarantia) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqendiv = seqendiv;
this.nomcredor = nomcredor;
this.seqtipocom = seqtipocom;
this.saldodevedor = saldodevedor;
this.nroparcrest = nroparcrest;
this.vlrparcela = vlrparcela;
this.datvencto = datvencto;
this.descrgarantia = descrgarantia;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqendiv() {
return seqendiv;
}

public boolean isSeqendivNull() {
return seqendivNull;
}

public void setSeqendiv(Integer seqendiv) {
if (seqendiv == null) {
seqendivNull = true;
this.seqendiv = 0;
} else { 
seqendivNull = false;
this.seqendiv = seqendiv;
}
}

public String getNomcredor() {
return nomcredor;
}

public void setNomcredor(String nomcredor) {
this.nomcredor = nomcredor;
}

public int getSeqtipocom() {
return seqtipocom;
}

public boolean isSeqtipocomNull() {
return seqtipocomNull;
}

public void setSeqtipocom(Integer seqtipocom) {
if (seqtipocom == null) {
seqtipocomNull = true;
this.seqtipocom = 0;
} else { 
seqtipocomNull = false;
this.seqtipocom = seqtipocom;
}
}

public double getSaldodevedor() {
return saldodevedor;
}

public boolean isSaldodevedorNull() {
return saldodevedorNull;
}

public void setSaldodevedor(int saldodevedor) {
setSaldodevedor(new Double(saldodevedor));
}

public void setSaldodevedor(long saldodevedor) {
setSaldodevedor(new Double(saldodevedor));
}

public void setSaldodevedor(Double saldodevedor) {
if (saldodevedor == null) {
saldodevedorNull = true;
this.saldodevedor = 0.;
} else { 
saldodevedorNull = false;
this.saldodevedor = FglDouble.round(saldodevedor, 2);
}
}

public int getNroparcrest() {
return nroparcrest;
}

public boolean isNroparcrestNull() {
return nroparcrestNull;
}

public void setNroparcrest(Integer nroparcrest) {
if (nroparcrest == null) {
nroparcrestNull = true;
this.nroparcrest = 0;
} else { 
nroparcrestNull = false;
this.nroparcrest = nroparcrest;
}
}

public double getVlrparcela() {
return vlrparcela;
}

public boolean isVlrparcelaNull() {
return vlrparcelaNull;
}

public void setVlrparcela(int vlrparcela) {
setVlrparcela(new Double(vlrparcela));
}

public void setVlrparcela(long vlrparcela) {
setVlrparcela(new Double(vlrparcela));
}

public void setVlrparcela(Double vlrparcela) {
if (vlrparcela == null) {
vlrparcelaNull = true;
this.vlrparcela = 0.;
} else { 
vlrparcelaNull = false;
this.vlrparcela = FglDouble.round(vlrparcela, 2);
}
}

public FglDate getDatvencto() {
return datvencto;
}

public void setDatvencto(FglDate datvencto) {
this.datvencto = datvencto;
}

public String getDescrgarantia() {
return descrgarantia;
}

public void setDescrgarantia(String descrgarantia) {
this.descrgarantia = descrgarantia;
}

}

