package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCiestado {
@Coluna(nome="ciestado.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ciestado.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="ciestado.nomeestado", tipo="String")
private String nomeestado;
@Coluna(nome="ciestado.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="ciestado.percredbase", tipo="double")
private double percredbase;
private boolean percredbaseNull;
@Coluna(nome="ciestado.aliqfcep", tipo="double")
private double aliqfcep;
private boolean aliqfcepNull;
@Coluna(nome="ciestado.convicms", tipo="int")
private int convicms;
private boolean convicmsNull;
@Coluna(nome="ciestado.partilhaforauf", tipo="String")
private String partilhaforauf;
@Coluna(nome="ciestado.aliqicmsrevenda", tipo="double")
private double aliqicmsrevenda;
private boolean aliqicmsrevendaNull;

public TabCiestado() {
initialize();
}

public void initialize() {
setFilial(null);
setUfederacao(null);
setNomeestado(null);
setAliqicms(null);
setPercredbase(null);
setAliqfcep(null);
setConvicms(null);
setPartilhaforauf(null);
setAliqicmsrevenda(null);
}

public TabCiestado(int filial, String ufederacao, String nomeestado, double aliqicms, double percredbase, double aliqfcep, int convicms, String partilhaforauf, double aliqicmsrevenda) {
this.filial = filial;
this.ufederacao = ufederacao;
this.nomeestado = nomeestado;
this.aliqicms = aliqicms;
this.percredbase = percredbase;
this.aliqfcep = aliqfcep;
this.convicms = convicms;
this.partilhaforauf = partilhaforauf;
this.aliqicmsrevenda = aliqicmsrevenda;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public String getNomeestado() {
return nomeestado;
}

public void setNomeestado(String nomeestado) {
this.nomeestado = nomeestado;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getPercredbase() {
return percredbase;
}

public boolean isPercredbaseNull() {
return percredbaseNull;
}

public void setPercredbase(int percredbase) {
setPercredbase(new Double(percredbase));
}

public void setPercredbase(long percredbase) {
setPercredbase(new Double(percredbase));
}

public void setPercredbase(Double percredbase) {
if (percredbase == null) {
percredbaseNull = true;
this.percredbase = 0.;
} else { 
percredbaseNull = false;
this.percredbase = FglDouble.round(percredbase, 6);
}
}

public double getAliqfcep() {
return aliqfcep;
}

public boolean isAliqfcepNull() {
return aliqfcepNull;
}

public void setAliqfcep(int aliqfcep) {
setAliqfcep(new Double(aliqfcep));
}

public void setAliqfcep(long aliqfcep) {
setAliqfcep(new Double(aliqfcep));
}

public void setAliqfcep(Double aliqfcep) {
if (aliqfcep == null) {
aliqfcepNull = true;
this.aliqfcep = 0.;
} else { 
aliqfcepNull = false;
this.aliqfcep = FglDouble.round(aliqfcep, 2);
}
}

public int getConvicms() {
return convicms;
}

public boolean isConvicmsNull() {
return convicmsNull;
}

public void setConvicms(Integer convicms) {
if (convicms == null) {
convicmsNull = true;
this.convicms = 0;
} else { 
convicmsNull = false;
this.convicms = convicms;
}
}

public String getPartilhaforauf() {
return partilhaforauf;
}

public void setPartilhaforauf(String partilhaforauf) {
this.partilhaforauf = partilhaforauf;
}

public double getAliqicmsrevenda() {
return aliqicmsrevenda;
}

public boolean isAliqicmsrevendaNull() {
return aliqicmsrevendaNull;
}

public void setAliqicmsrevenda(int aliqicmsrevenda) {
setAliqicmsrevenda(new Double(aliqicmsrevenda));
}

public void setAliqicmsrevenda(long aliqicmsrevenda) {
setAliqicmsrevenda(new Double(aliqicmsrevenda));
}

public void setAliqicmsrevenda(Double aliqicmsrevenda) {
if (aliqicmsrevenda == null) {
aliqicmsrevendaNull = true;
this.aliqicmsrevenda = 0.;
} else { 
aliqicmsrevendaNull = false;
this.aliqicmsrevenda = FglDouble.round(aliqicmsrevenda, 2);
}
}

}

