package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCiintpes {
@Coluna(nome="ciintpes.id_intpes", tipo="int")
private int idIntpes;
private boolean idIntpesNull;
@Coluna(nome="ciintpes.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="ciintpes.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ciintpes.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="ciintpes.dtefetivacao", tipo="FglDate")
private FglDate dtefetivacao;
@Coluna(nome="ciintpes.codalteracao", tipo="String")
private String codalteracao;
@Coluna(nome="ciintpes.login", tipo="String")
private String login;

public TabCiintpes() {
initialize();
}

public void initialize() {
setIdIntpes(null);
setNroEndere(null);
setTppessoa(null);
setDtocorrencia(null);
setDtefetivacao(null);
setCodalteracao(null);
setLogin(null);
}

public TabCiintpes(int idIntpes, long nroEndere, int tppessoa, FglDateTimeYS dtocorrencia, FglDate dtefetivacao, String codalteracao, String login) {
this.idIntpes = idIntpes;
this.nroEndere = nroEndere;
this.tppessoa = tppessoa;
this.dtocorrencia = dtocorrencia;
this.dtefetivacao = dtefetivacao;
this.codalteracao = codalteracao;
this.login = login;
}

public int getIdIntpes() {
return idIntpes;
}

public boolean isIdIntpesNull() {
return idIntpesNull;
}

public void setIdIntpes(Integer idIntpes) {
if (idIntpes == null) {
idIntpesNull = true;
this.idIntpes = 0;
} else { 
idIntpesNull = false;
this.idIntpes = idIntpes;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public FglDate getDtefetivacao() {
return dtefetivacao;
}

public void setDtefetivacao(FglDate dtefetivacao) {
this.dtefetivacao = dtefetivacao;
}

public String getCodalteracao() {
return codalteracao;
}

public void setCodalteracao(String codalteracao) {
this.codalteracao = codalteracao;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

}

