package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCipstsrv {
@Coluna(nome="cipstsrv.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cipstsrv.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cipstsrv.codprodutoservico", tipo="int")
private int codprodutoservico;
private boolean codprodutoservicoNull;
@Coluna(nome="cipstsrv.seqservico", tipo="int")
private int seqservico;
private boolean seqservicoNull;
@Coluna(nome="cipstsrv.nmcontratante", tipo="String")
private String nmcontratante;
@Coluna(nome="cipstsrv.valorarea", tipo="double")
private double valorarea;
private boolean valorareaNull;
@Coluna(nome="cipstsrv.qtdhorastrab", tipo="double")
private double qtdhorastrab;
private boolean qtdhorastrabNull;
@Coluna(nome="cipstsrv.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cipstsrv.receitatanual", tipo="double")
private double receitatanual;
private boolean receitatanualNull;
@Coluna(nome="cipstsrv.custoanual", tipo="double")
private double custoanual;
private boolean custoanualNull;

public TabCipstsrv() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setCodprodutoservico(null);
setSeqservico(null);
setNmcontratante(null);
setValorarea(null);
setQtdhorastrab(null);
setCidade(null);
setReceitatanual(null);
setCustoanual(null);
}

public TabCipstsrv(long cgccpf, int tppessoa, int codprodutoservico, int seqservico, String nmcontratante, double valorarea, double qtdhorastrab, int cidade, double receitatanual, double custoanual) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.codprodutoservico = codprodutoservico;
this.seqservico = seqservico;
this.nmcontratante = nmcontratante;
this.valorarea = valorarea;
this.qtdhorastrab = qtdhorastrab;
this.cidade = cidade;
this.receitatanual = receitatanual;
this.custoanual = custoanual;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getCodprodutoservico() {
return codprodutoservico;
}

public boolean isCodprodutoservicoNull() {
return codprodutoservicoNull;
}

public void setCodprodutoservico(Integer codprodutoservico) {
if (codprodutoservico == null) {
codprodutoservicoNull = true;
this.codprodutoservico = 0;
} else { 
codprodutoservicoNull = false;
this.codprodutoservico = codprodutoservico;
}
}

public int getSeqservico() {
return seqservico;
}

public boolean isSeqservicoNull() {
return seqservicoNull;
}

public void setSeqservico(Integer seqservico) {
if (seqservico == null) {
seqservicoNull = true;
this.seqservico = 0;
} else { 
seqservicoNull = false;
this.seqservico = seqservico;
}
}

public String getNmcontratante() {
return nmcontratante;
}

public void setNmcontratante(String nmcontratante) {
this.nmcontratante = nmcontratante;
}

public double getValorarea() {
return valorarea;
}

public boolean isValorareaNull() {
return valorareaNull;
}

public void setValorarea(int valorarea) {
setValorarea(new Double(valorarea));
}

public void setValorarea(long valorarea) {
setValorarea(new Double(valorarea));
}

public void setValorarea(Double valorarea) {
if (valorarea == null) {
valorareaNull = true;
this.valorarea = 0.;
} else { 
valorareaNull = false;
this.valorarea = FglDouble.round(valorarea, 2);
}
}

public double getQtdhorastrab() {
return qtdhorastrab;
}

public boolean isQtdhorastrabNull() {
return qtdhorastrabNull;
}

public void setQtdhorastrab(int qtdhorastrab) {
setQtdhorastrab(new Double(qtdhorastrab));
}

public void setQtdhorastrab(long qtdhorastrab) {
setQtdhorastrab(new Double(qtdhorastrab));
}

public void setQtdhorastrab(Double qtdhorastrab) {
if (qtdhorastrab == null) {
qtdhorastrabNull = true;
this.qtdhorastrab = 0.;
} else { 
qtdhorastrabNull = false;
this.qtdhorastrab = FglDouble.round(qtdhorastrab, 2);
}
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public double getReceitatanual() {
return receitatanual;
}

public boolean isReceitatanualNull() {
return receitatanualNull;
}

public void setReceitatanual(int receitatanual) {
setReceitatanual(new Double(receitatanual));
}

public void setReceitatanual(long receitatanual) {
setReceitatanual(new Double(receitatanual));
}

public void setReceitatanual(Double receitatanual) {
if (receitatanual == null) {
receitatanualNull = true;
this.receitatanual = 0.;
} else { 
receitatanualNull = false;
this.receitatanual = FglDouble.round(receitatanual, 2);
}
}

public double getCustoanual() {
return custoanual;
}

public boolean isCustoanualNull() {
return custoanualNull;
}

public void setCustoanual(int custoanual) {
setCustoanual(new Double(custoanual));
}

public void setCustoanual(long custoanual) {
setCustoanual(new Double(custoanual));
}

public void setCustoanual(Double custoanual) {
if (custoanual == null) {
custoanualNull = true;
this.custoanual = 0.;
} else { 
custoanualNull = false;
this.custoanual = FglDouble.round(custoanual, 2);
}
}

}

