package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCirefcom {
@Coluna(nome="cirefcom.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cirefcom.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cirefcom.seqrefcom", tipo="int")
private int seqrefcom;
private boolean seqrefcomNull;
@Coluna(nome="cirefcom.nmestabelecimento", tipo="String")
private String nmestabelecimento;
@Coluna(nome="cirefcom.tipo", tipo="String")
private String tipo;
@Coluna(nome="cirefcom.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cirefcom.contato", tipo="String")
private String contato;
@Coluna(nome="cirefcom.nrofone", tipo="String")
private String nrofone;
@Coluna(nome="cirefcom.dataabertcad", tipo="FglDate")
private FglDate dataabertcad;
@Coluna(nome="cirefcom.vlrmaiorcred", tipo="double")
private double vlrmaiorcred;
private boolean vlrmaiorcredNull;
@Coluna(nome="cirefcom.vlrsaldodev", tipo="double")
private double vlrsaldodev;
private boolean vlrsaldodevNull;
@Coluna(nome="cirefcom.nroparcelas", tipo="int")
private int nroparcelas;
private boolean nroparcelasNull;
@Coluna(nome="cirefcom.dtavencto", tipo="FglDate")
private FglDate dtavencto;
@Coluna(nome="cirefcom.observacacao", tipo="String")
private String observacacao;
@Coluna(nome="cirefcom.princprod", tipo="String")
private String princprod;
@Coluna(nome="cirefcom.estadocod", tipo="String")
private String estadocod;
@Coluna(nome="cirefcom.perreceita", tipo="double")
private double perreceita;
private boolean perreceitaNull;

public TabCirefcom() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSeqrefcom(null);
setNmestabelecimento(null);
setTipo(null);
setCidade(null);
setContato(null);
setNrofone(null);
setDataabertcad(null);
setVlrmaiorcred(null);
setVlrsaldodev(null);
setNroparcelas(null);
setDtavencto(null);
setObservacacao(null);
setPrincprod(null);
setEstadocod(null);
setPerreceita(null);
}

public TabCirefcom(long cgccpf, int tppessoa, int seqrefcom, String nmestabelecimento, String tipo, int cidade, String contato, String nrofone, FglDate dataabertcad, double vlrmaiorcred, double vlrsaldodev, int nroparcelas, FglDate dtavencto, String observacacao, String princprod, String estadocod, double perreceita) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.seqrefcom = seqrefcom;
this.nmestabelecimento = nmestabelecimento;
this.tipo = tipo;
this.cidade = cidade;
this.contato = contato;
this.nrofone = nrofone;
this.dataabertcad = dataabertcad;
this.vlrmaiorcred = vlrmaiorcred;
this.vlrsaldodev = vlrsaldodev;
this.nroparcelas = nroparcelas;
this.dtavencto = dtavencto;
this.observacacao = observacacao;
this.princprod = princprod;
this.estadocod = estadocod;
this.perreceita = perreceita;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSeqrefcom() {
return seqrefcom;
}

public boolean isSeqrefcomNull() {
return seqrefcomNull;
}

public void setSeqrefcom(Integer seqrefcom) {
if (seqrefcom == null) {
seqrefcomNull = true;
this.seqrefcom = 0;
} else { 
seqrefcomNull = false;
this.seqrefcom = seqrefcom;
}
}

public String getNmestabelecimento() {
return nmestabelecimento;
}

public void setNmestabelecimento(String nmestabelecimento) {
this.nmestabelecimento = nmestabelecimento;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getContato() {
return contato;
}

public void setContato(String contato) {
this.contato = contato;
}

public String getNrofone() {
return nrofone;
}

public void setNrofone(String nrofone) {
this.nrofone = nrofone;
}

public FglDate getDataabertcad() {
return dataabertcad;
}

public void setDataabertcad(FglDate dataabertcad) {
this.dataabertcad = dataabertcad;
}

public double getVlrmaiorcred() {
return vlrmaiorcred;
}

public boolean isVlrmaiorcredNull() {
return vlrmaiorcredNull;
}

public void setVlrmaiorcred(int vlrmaiorcred) {
setVlrmaiorcred(new Double(vlrmaiorcred));
}

public void setVlrmaiorcred(long vlrmaiorcred) {
setVlrmaiorcred(new Double(vlrmaiorcred));
}

public void setVlrmaiorcred(Double vlrmaiorcred) {
if (vlrmaiorcred == null) {
vlrmaiorcredNull = true;
this.vlrmaiorcred = 0.;
} else { 
vlrmaiorcredNull = false;
this.vlrmaiorcred = FglDouble.round(vlrmaiorcred, 2);
}
}

public double getVlrsaldodev() {
return vlrsaldodev;
}

public boolean isVlrsaldodevNull() {
return vlrsaldodevNull;
}

public void setVlrsaldodev(int vlrsaldodev) {
setVlrsaldodev(new Double(vlrsaldodev));
}

public void setVlrsaldodev(long vlrsaldodev) {
setVlrsaldodev(new Double(vlrsaldodev));
}

public void setVlrsaldodev(Double vlrsaldodev) {
if (vlrsaldodev == null) {
vlrsaldodevNull = true;
this.vlrsaldodev = 0.;
} else { 
vlrsaldodevNull = false;
this.vlrsaldodev = FglDouble.round(vlrsaldodev, 2);
}
}

public int getNroparcelas() {
return nroparcelas;
}

public boolean isNroparcelasNull() {
return nroparcelasNull;
}

public void setNroparcelas(Integer nroparcelas) {
if (nroparcelas == null) {
nroparcelasNull = true;
this.nroparcelas = 0;
} else { 
nroparcelasNull = false;
this.nroparcelas = nroparcelas;
}
}

public FglDate getDtavencto() {
return dtavencto;
}

public void setDtavencto(FglDate dtavencto) {
this.dtavencto = dtavencto;
}

public String getObservacacao() {
return observacacao;
}

public void setObservacacao(String observacacao) {
this.observacacao = observacacao;
}

public String getPrincprod() {
return princprod;
}

public void setPrincprod(String princprod) {
this.princprod = princprod;
}

public String getEstadocod() {
return estadocod;
}

public void setEstadocod(String estadocod) {
this.estadocod = estadocod;
}

public double getPerreceita() {
return perreceita;
}

public boolean isPerreceitaNull() {
return perreceitaNull;
}

public void setPerreceita(int perreceita) {
setPerreceita(new Double(perreceita));
}

public void setPerreceita(long perreceita) {
setPerreceita(new Double(perreceita));
}

public void setPerreceita(Double perreceita) {
if (perreceita == null) {
perreceitaNull = true;
this.perreceita = 0.;
} else { 
perreceitaNull = false;
this.perreceita = FglDouble.round(perreceita, 2);
}
}

}

