package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCisapend {
@Coluna(nome="cisapend.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cisapend.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cisapend.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cisapend.nro_enderesap", tipo="String")
private String nroEnderesap;
@Coluna(nome="cisapend.dtretint", tipo="FglDate")
private FglDate dtretint;

public TabCisapend() {
initialize();
}

public void initialize() {
setNroEndere(null);
setCgccpf(null);
setTppessoa(null);
setNroEnderesap(null);
setDtretint(null);
}

public TabCisapend(long nroEndere, long cgccpf, int tppessoa, String nroEnderesap, FglDate dtretint) {
this.nroEndere = nroEndere;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nroEnderesap = nroEnderesap;
this.dtretint = dtretint;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getNroEnderesap() {
return nroEnderesap;
}

public void setNroEnderesap(String nroEnderesap) {
this.nroEnderesap = nroEnderesap;
}

public FglDate getDtretint() {
return dtretint;
}

public void setDtretint(FglDate dtretint) {
this.dtretint = dtretint;
}

}

