package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabCitrcnpj {
@Coluna(nome="citrcnpj.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="citrcnpj.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="citrcnpj.cgccpf_atual", tipo="long")
private long cgccpfAtual;
private boolean cgccpfAtualNull;
@Coluna(nome="citrcnpj.tppessoa_atual", tipo="int")
private int tppessoaAtual;
private boolean tppessoaAtualNull;
@Coluna(nome="citrcnpj.dat_atualia", tipo="FglDateTimeYMin")
private FglDateTimeYMin datAtualia;

public TabCitrcnpj() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setCgccpfAtual(null);
setTppessoaAtual(null);
setDatAtualia(null);
}

public TabCitrcnpj(long cgccpf, int tppessoa, long cgccpfAtual, int tppessoaAtual, FglDateTimeYMin datAtualia) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.cgccpfAtual = cgccpfAtual;
this.tppessoaAtual = tppessoaAtual;
this.datAtualia = datAtualia;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpfAtual() {
return cgccpfAtual;
}

public boolean isCgccpfAtualNull() {
return cgccpfAtualNull;
}

public void setCgccpfAtual(int cgccpfAtual) {
setCgccpfAtual(new Long(cgccpfAtual));
}

public void setCgccpfAtual(Long cgccpfAtual) {
if (cgccpfAtual == null) {
cgccpfAtualNull = true;
this.cgccpfAtual = 0l;
} else { 
cgccpfAtualNull = false;
this.cgccpfAtual = cgccpfAtual;
}
}

public int getTppessoaAtual() {
return tppessoaAtual;
}

public boolean isTppessoaAtualNull() {
return tppessoaAtualNull;
}

public void setTppessoaAtual(Integer tppessoaAtual) {
if (tppessoaAtual == null) {
tppessoaAtualNull = true;
this.tppessoaAtual = 0;
} else { 
tppessoaAtualNull = false;
this.tppessoaAtual = tppessoaAtual;
}
}

public FglDateTimeYMin getDatAtualia() {
return datAtualia;
}

public void setDatAtualia(FglDateTimeYMin datAtualia) {
this.datAtualia = datAtualia;
}

}

