package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabClconman {
@Coluna(nome="clconman.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="clconman.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="clconman.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="clconman.descrcontrato", tipo="String")
private String descrcontrato;
@Coluna(nome="clconman.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;

public TabClconman() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setContrato(null);
setDescrcontrato(null);
setDtvalidade(null);
}

public TabClconman(int tppessoa, long cgccpf, int contrato, String descrcontrato, FglDate dtvalidade) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.contrato = contrato;
this.descrcontrato = descrcontrato;
this.dtvalidade = dtvalidade;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public String getDescrcontrato() {
return descrcontrato;
}

public void setDescrcontrato(String descrcontrato) {
this.descrcontrato = descrcontrato;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

}

