package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCldemand {
@Coluna(nome="cldemand.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cldemand.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cldemand.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cldemand.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cldemand.popularidade", tipo="int")
private int popularidade;
private boolean popularidadeNull;
@Coluna(nome="cldemand.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCldemand() {
initialize();
}

public void initialize() {
setTppessoa(null);
setCgccpf(null);
setAnomes(null);
setIdDeptos(null);
setPopularidade(null);
setValor(null);
}

public TabCldemand(int tppessoa, long cgccpf, FglDateTimeYM anomes, int idDeptos, int popularidade, double valor) {
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.anomes = anomes;
this.idDeptos = idDeptos;
this.popularidade = popularidade;
this.valor = valor;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public int getPopularidade() {
return popularidade;
}

public boolean isPopularidadeNull() {
return popularidadeNull;
}

public void setPopularidade(Integer popularidade) {
if (popularidade == null) {
popularidadeNull = true;
this.popularidade = 0;
} else { 
popularidadeNull = false;
this.popularidade = popularidade;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

