package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabClmaxcre {
@Coluna(nome="clmaxcre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="clmaxcre.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="clmaxcre.tipoalcada", tipo="int")
private int tipoalcada;
private boolean tipoalcadaNull;
@Coluna(nome="clmaxcre.limitecred", tipo="double")
private double limitecred;
private boolean limitecredNull;

public TabClmaxcre() {
initialize();
}

public void initialize() {
setFilial(null);
setIdAgente(null);
setTipoalcada(null);
setLimitecred(null);
}

public TabClmaxcre(int filial, int idAgente, int tipoalcada, double limitecred) {
this.filial = filial;
this.idAgente = idAgente;
this.tipoalcada = tipoalcada;
this.limitecred = limitecred;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getTipoalcada() {
return tipoalcada;
}

public boolean isTipoalcadaNull() {
return tipoalcadaNull;
}

public void setTipoalcada(Integer tipoalcada) {
if (tipoalcada == null) {
tipoalcadaNull = true;
this.tipoalcada = 0;
} else { 
tipoalcadaNull = false;
this.tipoalcada = tipoalcada;
}
}

public double getLimitecred() {
return limitecred;
}

public boolean isLimitecredNull() {
return limitecredNull;
}

public void setLimitecred(int limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(long limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(Double limitecred) {
if (limitecred == null) {
limitecredNull = true;
this.limitecred = 0.;
} else { 
limitecredNull = false;
this.limitecred = FglDouble.round(limitecred, 2);
}
}

}

