package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmcompec {
@Coluna(nome="cmcompec.id_parcmp", tipo="int")
private int idParcmp;
private boolean idParcmpNull;
@Coluna(nome="cmcompec.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cmcompec.id_compec", tipo="int")
private int idCompec;
private boolean idCompecNull;
@Coluna(nome="cmcompec.vrfaturamento", tipo="double")
private double vrfaturamento;
private boolean vrfaturamentoNull;
@Coluna(nome="cmcompec.percomisfat", tipo="double")
private double percomisfat;
private boolean percomisfatNull;

public TabCmcompec() {
initialize();
}

public void initialize() {
setIdParcmp(null);
setIdGrupos(null);
setIdCompec(null);
setVrfaturamento(null);
setPercomisfat(null);
}

public TabCmcompec(int idParcmp, int idGrupos, int idCompec, double vrfaturamento, double percomisfat) {
this.idParcmp = idParcmp;
this.idGrupos = idGrupos;
this.idCompec = idCompec;
this.vrfaturamento = vrfaturamento;
this.percomisfat = percomisfat;
}

public int getIdParcmp() {
return idParcmp;
}

public boolean isIdParcmpNull() {
return idParcmpNull;
}

public void setIdParcmp(Integer idParcmp) {
if (idParcmp == null) {
idParcmpNull = true;
this.idParcmp = 0;
} else { 
idParcmpNull = false;
this.idParcmp = idParcmp;
}
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public int getIdCompec() {
return idCompec;
}

public boolean isIdCompecNull() {
return idCompecNull;
}

public void setIdCompec(Integer idCompec) {
if (idCompec == null) {
idCompecNull = true;
this.idCompec = 0;
} else { 
idCompecNull = false;
this.idCompec = idCompec;
}
}

public double getVrfaturamento() {
return vrfaturamento;
}

public boolean isVrfaturamentoNull() {
return vrfaturamentoNull;
}

public void setVrfaturamento(int vrfaturamento) {
setVrfaturamento(new Double(vrfaturamento));
}

public void setVrfaturamento(long vrfaturamento) {
setVrfaturamento(new Double(vrfaturamento));
}

public void setVrfaturamento(Double vrfaturamento) {
if (vrfaturamento == null) {
vrfaturamentoNull = true;
this.vrfaturamento = 0.;
} else { 
vrfaturamentoNull = false;
this.vrfaturamento = FglDouble.round(vrfaturamento, 2);
}
}

public double getPercomisfat() {
return percomisfat;
}

public boolean isPercomisfatNull() {
return percomisfatNull;
}

public void setPercomisfat(int percomisfat) {
setPercomisfat(new Double(percomisfat));
}

public void setPercomisfat(long percomisfat) {
setPercomisfat(new Double(percomisfat));
}

public void setPercomisfat(Double percomisfat) {
if (percomisfat == null) {
percomisfatNull = true;
this.percomisfat = 0.;
} else { 
percomisfatNull = false;
this.percomisfat = FglDouble.round(percomisfat, 2);
}
}

}

