package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCmcontag {
@Coluna(nome="cmcontag.produto", tipo="String")
private String produto;
@Coluna(nome="cmcontag.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmcontag.saldocontabil", tipo="double")
private double saldocontabil;
private boolean saldocontabilNull;
@Coluna(nome="cmcontag.saldoalocado", tipo="double")
private double saldoalocado;
private boolean saldoalocadoNull;
@Coluna(nome="cmcontag.contagem1", tipo="double")
private double contagem1;
private boolean contagem1Null;
@Coluna(nome="cmcontag.contagem2", tipo="double")
private double contagem2;
private boolean contagem2Null;
@Coluna(nome="cmcontag.contagem3", tipo="double")
private double contagem3;
private boolean contagem3Null;
@Coluna(nome="cmcontag.classeabc", tipo="String")
private String classeabc;
@Coluna(nome="cmcontag.unitcontabil", tipo="double")
private double unitcontabil;
private boolean unitcontabilNull;
@Coluna(nome="cmcontag.unitreposicao", tipo="double")
private double unitreposicao;
private boolean unitreposicaoNull;
@Coluna(nome="cmcontag.folha", tipo="int")
private int folha;
private boolean folhaNull;
@Coluna(nome="cmcontag.folha_dif", tipo="int")
private int folhaDif;
private boolean folhaDifNull;
@Coluna(nome="cmcontag.data_mov", tipo="FglDateTimeYS")
private FglDateTimeYS dataMov;
@Coluna(nome="cmcontag.status_inv", tipo="String")
private String statusInv;
@Coluna(nome="cmcontag.data_geracao", tipo="FglDate")
private FglDate dataGeracao;

public TabCmcontag() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setSaldocontabil(null);
setSaldoalocado(null);
setContagem1(null);
setContagem2(null);
setContagem3(null);
setClasseabc(null);
setUnitcontabil(null);
setUnitreposicao(null);
setFolha(null);
setFolhaDif(null);
setDataMov(null);
setStatusInv(null);
setDataGeracao(null);
}

public TabCmcontag(String produto, int filial, double saldocontabil, double saldoalocado, double contagem1, double contagem2, double contagem3, String classeabc, double unitcontabil, double unitreposicao, int folha, int folhaDif, FglDateTimeYS dataMov, String statusInv, FglDate dataGeracao) {
this.produto = produto;
this.filial = filial;
this.saldocontabil = saldocontabil;
this.saldoalocado = saldoalocado;
this.contagem1 = contagem1;
this.contagem2 = contagem2;
this.contagem3 = contagem3;
this.classeabc = classeabc;
this.unitcontabil = unitcontabil;
this.unitreposicao = unitreposicao;
this.folha = folha;
this.folhaDif = folhaDif;
this.dataMov = dataMov;
this.statusInv = statusInv;
this.dataGeracao = dataGeracao;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getSaldocontabil() {
return saldocontabil;
}

public boolean isSaldocontabilNull() {
return saldocontabilNull;
}

public void setSaldocontabil(int saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(long saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(Double saldocontabil) {
if (saldocontabil == null) {
saldocontabilNull = true;
this.saldocontabil = 0.;
} else { 
saldocontabilNull = false;
this.saldocontabil = FglDouble.round(saldocontabil, 2);
}
}

public double getSaldoalocado() {
return saldoalocado;
}

public boolean isSaldoalocadoNull() {
return saldoalocadoNull;
}

public void setSaldoalocado(int saldoalocado) {
setSaldoalocado(new Double(saldoalocado));
}

public void setSaldoalocado(long saldoalocado) {
setSaldoalocado(new Double(saldoalocado));
}

public void setSaldoalocado(Double saldoalocado) {
if (saldoalocado == null) {
saldoalocadoNull = true;
this.saldoalocado = 0.;
} else { 
saldoalocadoNull = false;
this.saldoalocado = FglDouble.round(saldoalocado, 2);
}
}

public double getContagem1() {
return contagem1;
}

public boolean isContagem1Null() {
return contagem1Null;
}

public void setContagem1(int contagem1) {
setContagem1(new Double(contagem1));
}

public void setContagem1(long contagem1) {
setContagem1(new Double(contagem1));
}

public void setContagem1(Double contagem1) {
if (contagem1 == null) {
contagem1Null = true;
this.contagem1 = 0.;
} else { 
contagem1Null = false;
this.contagem1 = FglDouble.round(contagem1, 2);
}
}

public double getContagem2() {
return contagem2;
}

public boolean isContagem2Null() {
return contagem2Null;
}

public void setContagem2(int contagem2) {
setContagem2(new Double(contagem2));
}

public void setContagem2(long contagem2) {
setContagem2(new Double(contagem2));
}

public void setContagem2(Double contagem2) {
if (contagem2 == null) {
contagem2Null = true;
this.contagem2 = 0.;
} else { 
contagem2Null = false;
this.contagem2 = FglDouble.round(contagem2, 2);
}
}

public double getContagem3() {
return contagem3;
}

public boolean isContagem3Null() {
return contagem3Null;
}

public void setContagem3(int contagem3) {
setContagem3(new Double(contagem3));
}

public void setContagem3(long contagem3) {
setContagem3(new Double(contagem3));
}

public void setContagem3(Double contagem3) {
if (contagem3 == null) {
contagem3Null = true;
this.contagem3 = 0.;
} else { 
contagem3Null = false;
this.contagem3 = FglDouble.round(contagem3, 2);
}
}

public String getClasseabc() {
return classeabc;
}

public void setClasseabc(String classeabc) {
this.classeabc = classeabc;
}

public double getUnitcontabil() {
return unitcontabil;
}

public boolean isUnitcontabilNull() {
return unitcontabilNull;
}

public void setUnitcontabil(int unitcontabil) {
setUnitcontabil(new Double(unitcontabil));
}

public void setUnitcontabil(long unitcontabil) {
setUnitcontabil(new Double(unitcontabil));
}

public void setUnitcontabil(Double unitcontabil) {
if (unitcontabil == null) {
unitcontabilNull = true;
this.unitcontabil = 0.;
} else { 
unitcontabilNull = false;
this.unitcontabil = FglDouble.round(unitcontabil, 2);
}
}

public double getUnitreposicao() {
return unitreposicao;
}

public boolean isUnitreposicaoNull() {
return unitreposicaoNull;
}

public void setUnitreposicao(int unitreposicao) {
setUnitreposicao(new Double(unitreposicao));
}

public void setUnitreposicao(long unitreposicao) {
setUnitreposicao(new Double(unitreposicao));
}

public void setUnitreposicao(Double unitreposicao) {
if (unitreposicao == null) {
unitreposicaoNull = true;
this.unitreposicao = 0.;
} else { 
unitreposicaoNull = false;
this.unitreposicao = FglDouble.round(unitreposicao, 2);
}
}

public int getFolha() {
return folha;
}

public boolean isFolhaNull() {
return folhaNull;
}

public void setFolha(Integer folha) {
if (folha == null) {
folhaNull = true;
this.folha = 0;
} else { 
folhaNull = false;
this.folha = folha;
}
}

public int getFolhaDif() {
return folhaDif;
}

public boolean isFolhaDifNull() {
return folhaDifNull;
}

public void setFolhaDif(Integer folhaDif) {
if (folhaDif == null) {
folhaDifNull = true;
this.folhaDif = 0;
} else { 
folhaDifNull = false;
this.folhaDif = folhaDif;
}
}

public FglDateTimeYS getDataMov() {
return dataMov;
}

public void setDataMov(FglDateTimeYS dataMov) {
this.dataMov = dataMov;
}

public String getStatusInv() {
return statusInv;
}

public void setStatusInv(String statusInv) {
this.statusInv = statusInv;
}

public FglDate getDataGeracao() {
return dataGeracao;
}

public void setDataGeracao(FglDate dataGeracao) {
this.dataGeracao = dataGeracao;
}

}

