package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmdemsem {
@Coluna(nome="cmdemsem.produto", tipo="String")
private String produto;
@Coluna(nome="cmdemsem.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmdemsem.anosemana", tipo="int")
private int anosemana;
private boolean anosemanaNull;
@Coluna(nome="cmdemsem.qtdedemanda", tipo="double")
private double qtdedemanda;
private boolean qtdedemandaNull;
@Coluna(nome="cmdemsem.popularidade", tipo="int")
private int popularidade;
private boolean popularidadeNull;
@Coluna(nome="cmdemsem.popular_perd", tipo="int")
private int popularPerd;
private boolean popularPerdNull;
@Coluna(nome="cmdemsem.icc", tipo="String")
private String icc;
@Coluna(nome="cmdemsem.scc", tipo="String")
private String scc;
@Coluna(nome="cmdemsem.ssd", tipo="double")
private double ssd;
private boolean ssdNull;
@Coluna(nome="cmdemsem.medmensal", tipo="double")
private double medmensal;
private boolean medmensalNull;
@Coluna(nome="cmdemsem.estoqideal", tipo="double")
private double estoqideal;
private boolean estoqidealNull;
@Coluna(nome="cmdemsem.incorporado", tipo="String")
private String incorporado;

public TabCmdemsem() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setAnosemana(null);
setQtdedemanda(null);
setPopularidade(null);
setPopularPerd(null);
setIcc(null);
setScc(null);
setSsd(null);
setMedmensal(null);
setEstoqideal(null);
setIncorporado(null);
}

public TabCmdemsem(String produto, int filial, int anosemana, double qtdedemanda, int popularidade, int popularPerd, String icc, String scc, double ssd, double medmensal, double estoqideal, String incorporado) {
this.produto = produto;
this.filial = filial;
this.anosemana = anosemana;
this.qtdedemanda = qtdedemanda;
this.popularidade = popularidade;
this.popularPerd = popularPerd;
this.icc = icc;
this.scc = scc;
this.ssd = ssd;
this.medmensal = medmensal;
this.estoqideal = estoqideal;
this.incorporado = incorporado;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getAnosemana() {
return anosemana;
}

public boolean isAnosemanaNull() {
return anosemanaNull;
}

public void setAnosemana(Integer anosemana) {
if (anosemana == null) {
anosemanaNull = true;
this.anosemana = 0;
} else { 
anosemanaNull = false;
this.anosemana = anosemana;
}
}

public double getQtdedemanda() {
return qtdedemanda;
}

public boolean isQtdedemandaNull() {
return qtdedemandaNull;
}

public void setQtdedemanda(int qtdedemanda) {
setQtdedemanda(new Double(qtdedemanda));
}

public void setQtdedemanda(long qtdedemanda) {
setQtdedemanda(new Double(qtdedemanda));
}

public void setQtdedemanda(Double qtdedemanda) {
if (qtdedemanda == null) {
qtdedemandaNull = true;
this.qtdedemanda = 0.;
} else { 
qtdedemandaNull = false;
this.qtdedemanda = FglDouble.round(qtdedemanda, 2);
}
}

public int getPopularidade() {
return popularidade;
}

public boolean isPopularidadeNull() {
return popularidadeNull;
}

public void setPopularidade(Integer popularidade) {
if (popularidade == null) {
popularidadeNull = true;
this.popularidade = 0;
} else { 
popularidadeNull = false;
this.popularidade = popularidade;
}
}

public int getPopularPerd() {
return popularPerd;
}

public boolean isPopularPerdNull() {
return popularPerdNull;
}

public void setPopularPerd(Integer popularPerd) {
if (popularPerd == null) {
popularPerdNull = true;
this.popularPerd = 0;
} else { 
popularPerdNull = false;
this.popularPerd = popularPerd;
}
}

public String getIcc() {
return icc;
}

public void setIcc(String icc) {
this.icc = icc;
}

public String getScc() {
return scc;
}

public void setScc(String scc) {
this.scc = scc;
}

public double getSsd() {
return ssd;
}

public boolean isSsdNull() {
return ssdNull;
}

public void setSsd(int ssd) {
setSsd(new Double(ssd));
}

public void setSsd(long ssd) {
setSsd(new Double(ssd));
}

public void setSsd(Double ssd) {
if (ssd == null) {
ssdNull = true;
this.ssd = 0.;
} else { 
ssdNull = false;
this.ssd = FglDouble.round(ssd, 2);
}
}

public double getMedmensal() {
return medmensal;
}

public boolean isMedmensalNull() {
return medmensalNull;
}

public void setMedmensal(int medmensal) {
setMedmensal(new Double(medmensal));
}

public void setMedmensal(long medmensal) {
setMedmensal(new Double(medmensal));
}

public void setMedmensal(Double medmensal) {
if (medmensal == null) {
medmensalNull = true;
this.medmensal = 0.;
} else { 
medmensalNull = false;
this.medmensal = FglDouble.round(medmensal, 2);
}
}

public double getEstoqideal() {
return estoqideal;
}

public boolean isEstoqidealNull() {
return estoqidealNull;
}

public void setEstoqideal(int estoqideal) {
setEstoqideal(new Double(estoqideal));
}

public void setEstoqideal(long estoqideal) {
setEstoqideal(new Double(estoqideal));
}

public void setEstoqideal(Double estoqideal) {
if (estoqideal == null) {
estoqidealNull = true;
this.estoqideal = 0.;
} else { 
estoqidealNull = false;
this.estoqideal = FglDouble.round(estoqideal, 2);
}
}

public String getIncorporado() {
return incorporado;
}

public void setIncorporado(String incorporado) {
this.incorporado = incorporado;
}

}

