package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmdespse {
@Coluna(nome="cmdespse.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cmdespse.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cmdespse.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cmdespse.valordesp", tipo="double")
private double valordesp;
private boolean valordespNull;

public TabCmdespse() {
initialize();
}

public void initialize() {
setIdSetor(null);
setDtinicio(null);
setDtfim(null);
setValordesp(null);
}

public TabCmdespse(int idSetor, FglDate dtinicio, FglDate dtfim, double valordesp) {
this.idSetor = idSetor;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.valordesp = valordesp;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getValordesp() {
return valordesp;
}

public boolean isValordespNull() {
return valordespNull;
}

public void setValordesp(int valordesp) {
setValordesp(new Double(valordesp));
}

public void setValordesp(long valordesp) {
setValordesp(new Double(valordesp));
}

public void setValordesp(Double valordesp) {
if (valordesp == null) {
valordespNull = true;
this.valordesp = 0.;
} else { 
valordespNull = false;
this.valordesp = FglDouble.round(valordesp, 2);
}
}

}

