package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCmestpos {
@Coluna(nome="cmestpos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmestpos.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cmestpos.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="cmestpos.hrgeracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrgeracao;
@Coluna(nome="cmestpos.qtdereg", tipo="int")
private int qtdereg;
private boolean qtderegNull;
@Coluna(nome="cmestpos.dtcarga", tipo="FglDate")
private FglDate dtcarga;
@Coluna(nome="cmestpos.hrcarga", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrcarga;

public TabCmestpos() {
initialize();
}

public void initialize() {
setFilial(null);
setSequencia(null);
setDtgeracao(null);
setHrgeracao(null);
setQtdereg(null);
setDtcarga(null);
setHrcarga(null);
}

public TabCmestpos(int filial, int sequencia, FglDate dtgeracao, FglDateTimeHMin hrgeracao, int qtdereg, FglDate dtcarga, FglDateTimeHMin hrcarga) {
this.filial = filial;
this.sequencia = sequencia;
this.dtgeracao = dtgeracao;
this.hrgeracao = hrgeracao;
this.qtdereg = qtdereg;
this.dtcarga = dtcarga;
this.hrcarga = hrcarga;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDateTimeHMin getHrgeracao() {
return hrgeracao;
}

public void setHrgeracao(FglDateTimeHMin hrgeracao) {
this.hrgeracao = hrgeracao;
}

public int getQtdereg() {
return qtdereg;
}

public boolean isQtderegNull() {
return qtderegNull;
}

public void setQtdereg(Integer qtdereg) {
if (qtdereg == null) {
qtderegNull = true;
this.qtdereg = 0;
} else { 
qtderegNull = false;
this.qtdereg = qtdereg;
}
}

public FglDate getDtcarga() {
return dtcarga;
}

public void setDtcarga(FglDate dtcarga) {
this.dtcarga = dtcarga;
}

public FglDateTimeHMin getHrcarga() {
return hrcarga;
}

public void setHrcarga(FglDateTimeHMin hrcarga) {
this.hrcarga = hrcarga;
}

}

