package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCminvdic {
@Coluna(nome="cminvdic.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cminvdic.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="cminvdic.dtinicialmov", tipo="FglDate")
private FglDate dtinicialmov;
@Coluna(nome="cminvdic.dtfinalmov", tipo="FglDate")
private FglDate dtfinalmov;
@Coluna(nome="cminvdic.integrado", tipo="String")
private String integrado;

public TabCminvdic() {
initialize();
}

public void initialize() {
setFilial(null);
setDtgeracao(null);
setDtinicialmov(null);
setDtfinalmov(null);
setIntegrado(null);
}

public TabCminvdic(int filial, FglDate dtgeracao, FglDate dtinicialmov, FglDate dtfinalmov, String integrado) {
this.filial = filial;
this.dtgeracao = dtgeracao;
this.dtinicialmov = dtinicialmov;
this.dtfinalmov = dtfinalmov;
this.integrado = integrado;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDate getDtinicialmov() {
return dtinicialmov;
}

public void setDtinicialmov(FglDate dtinicialmov) {
this.dtinicialmov = dtinicialmov;
}

public FglDate getDtfinalmov() {
return dtfinalmov;
}

public void setDtfinalmov(FglDate dtfinalmov) {
this.dtfinalmov = dtfinalmov;
}

public String getIntegrado() {
return integrado;
}

public void setIntegrado(String integrado) {
this.integrado = integrado;
}

}

