package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCminvpar {
@Coluna(nome="cminvpar.produto", tipo="String")
private String produto;
@Coluna(nome="cminvpar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cminvpar.movcontag", tipo="int")
private int movcontag;
private boolean movcontagNull;
@Coluna(nome="cminvpar.saldocontabil", tipo="double")
private double saldocontabil;
private boolean saldocontabilNull;
@Coluna(nome="cminvpar.saldoalocado", tipo="double")
private double saldoalocado;
private boolean saldoalocadoNull;
@Coluna(nome="cminvpar.contagem1", tipo="double")
private double contagem1;
private boolean contagem1Null;
@Coluna(nome="cminvpar.contagem2", tipo="double")
private double contagem2;
private boolean contagem2Null;
@Coluna(nome="cminvpar.contagem3", tipo="double")
private double contagem3;
private boolean contagem3Null;

public TabCminvpar() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setMovcontag(null);
setSaldocontabil(null);
setSaldoalocado(null);
setContagem1(null);
setContagem2(null);
setContagem3(null);
}

public TabCminvpar(String produto, int filial, int movcontag, double saldocontabil, double saldoalocado, double contagem1, double contagem2, double contagem3) {
this.produto = produto;
this.filial = filial;
this.movcontag = movcontag;
this.saldocontabil = saldocontabil;
this.saldoalocado = saldoalocado;
this.contagem1 = contagem1;
this.contagem2 = contagem2;
this.contagem3 = contagem3;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getMovcontag() {
return movcontag;
}

public boolean isMovcontagNull() {
return movcontagNull;
}

public void setMovcontag(Integer movcontag) {
if (movcontag == null) {
movcontagNull = true;
this.movcontag = 0;
} else { 
movcontagNull = false;
this.movcontag = movcontag;
}
}

public double getSaldocontabil() {
return saldocontabil;
}

public boolean isSaldocontabilNull() {
return saldocontabilNull;
}

public void setSaldocontabil(int saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(long saldocontabil) {
setSaldocontabil(new Double(saldocontabil));
}

public void setSaldocontabil(Double saldocontabil) {
if (saldocontabil == null) {
saldocontabilNull = true;
this.saldocontabil = 0.;
} else { 
saldocontabilNull = false;
this.saldocontabil = FglDouble.round(saldocontabil, 2);
}
}

public double getSaldoalocado() {
return saldoalocado;
}

public boolean isSaldoalocadoNull() {
return saldoalocadoNull;
}

public void setSaldoalocado(int saldoalocado) {
setSaldoalocado(new Double(saldoalocado));
}

public void setSaldoalocado(long saldoalocado) {
setSaldoalocado(new Double(saldoalocado));
}

public void setSaldoalocado(Double saldoalocado) {
if (saldoalocado == null) {
saldoalocadoNull = true;
this.saldoalocado = 0.;
} else { 
saldoalocadoNull = false;
this.saldoalocado = FglDouble.round(saldoalocado, 2);
}
}

public double getContagem1() {
return contagem1;
}

public boolean isContagem1Null() {
return contagem1Null;
}

public void setContagem1(int contagem1) {
setContagem1(new Double(contagem1));
}

public void setContagem1(long contagem1) {
setContagem1(new Double(contagem1));
}

public void setContagem1(Double contagem1) {
if (contagem1 == null) {
contagem1Null = true;
this.contagem1 = 0.;
} else { 
contagem1Null = false;
this.contagem1 = FglDouble.round(contagem1, 2);
}
}

public double getContagem2() {
return contagem2;
}

public boolean isContagem2Null() {
return contagem2Null;
}

public void setContagem2(int contagem2) {
setContagem2(new Double(contagem2));
}

public void setContagem2(long contagem2) {
setContagem2(new Double(contagem2));
}

public void setContagem2(Double contagem2) {
if (contagem2 == null) {
contagem2Null = true;
this.contagem2 = 0.;
} else { 
contagem2Null = false;
this.contagem2 = FglDouble.round(contagem2, 2);
}
}

public double getContagem3() {
return contagem3;
}

public boolean isContagem3Null() {
return contagem3Null;
}

public void setContagem3(int contagem3) {
setContagem3(new Double(contagem3));
}

public void setContagem3(long contagem3) {
setContagem3(new Double(contagem3));
}

public void setContagem3(Double contagem3) {
if (contagem3 == null) {
contagem3Null = true;
this.contagem3 = 0.;
} else { 
contagem3Null = false;
this.contagem3 = FglDouble.round(contagem3, 2);
}
}

}

