package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCmitdims {
@Coluna(nome="cmitdims.tpregistro", tipo="int")
private int tpregistro;
private boolean tpregistroNull;
@Coluna(nome="cmitdims.cod_cliente", tipo="String")
private String codCliente;
@Coluna(nome="cmitdims.ped_ori_cliente", tipo="String")
private String pedOriCliente;
@Coluna(nome="cmitdims.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cmitdims.serienf", tipo="String")
private String serienf;
@Coluna(nome="cmitdims.nropositemnf", tipo="int")
private int nropositemnf;
private boolean nropositemnfNull;
@Coluna(nome="cmitdims.positemori", tipo="String")
private String positemori;
@Coluna(nome="cmitdims.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cmitdims.nrointerped", tipo="String")
private String nrointerped;
@Coluna(nome="cmitdims.nrovolume", tipo="String")
private String nrovolume;
@Coluna(nome="cmitdims.nroguia", tipo="String")
private String nroguia;
@Coluna(nome="cmitdims.ctrlposicao", tipo="String")
private String ctrlposicao;
@Coluna(nome="cmitdims.tppedido", tipo="String")
private String tppedido;
@Coluna(nome="cmitdims.nropedagru", tipo="String")
private String nropedagru;
@Coluna(nome="cmitdims.nroitemsolicitado", tipo="String")
private String nroitemsolicitado;
@Coluna(nome="cmitdims.quantsolicitada", tipo="double")
private double quantsolicitada;
private boolean quantsolicitadaNull;
@Coluna(nome="cmitdims.nroitematendido", tipo="String")
private String nroitematendido;
@Coluna(nome="cmitdims.qtdatendida", tipo="double")
private double qtdatendida;
private boolean qtdatendidaNull;
@Coluna(nome="cmitdims.codsubstituicao", tipo="String")
private String codsubstituicao;
@Coluna(nome="cmitdims.sendingsystem", tipo="String")
private String sendingsystem;
@Coluna(nome="cmitdims.qtdpendenteitem", tipo="double")
private double qtdpendenteitem;
private boolean qtdpendenteitemNull;
@Coluna(nome="cmitdims.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cmitdims.pesounitario", tipo="double")
private double pesounitario;
private boolean pesounitarioNull;
@Coluna(nome="cmitdims.compitem", tipo="double")
private double compitem;
private boolean compitemNull;
@Coluna(nome="cmitdims.largitem", tipo="double")
private double largitem;
private boolean largitemNull;
@Coluna(nome="cmitdims.altitem", tipo="double")
private double altitem;
private boolean altitemNull;
@Coluna(nome="cmitdims.coduniditem", tipo="String")
private String coduniditem;
@Coluna(nome="cmitdims.nrofzagregado", tipo="int")
private int nrofzagregado;
private boolean nrofzagregadoNull;
@Coluna(nome="cmitdims.indcancelitem", tipo="String")
private String indcancelitem;
@Coluna(nome="cmitdims.menserro", tipo="String")
private String menserro;
@Coluna(nome="cmitdims.codfornec", tipo="String")
private String codfornec;
@Coluna(nome="cmitdims.compembitem", tipo="double")
private double compembitem;
private boolean compembitemNull;
@Coluna(nome="cmitdims.largembitem", tipo="double")
private double largembitem;
private boolean largembitemNull;
@Coluna(nome="cmitdims.altembitem", tipo="double")
private double altembitem;
private boolean altembitemNull;
@Coluna(nome="cmitdims.cod_agruppedido", tipo="String")
private String codAgruppedido;
@Coluna(nome="cmitdims.origempedido", tipo="String")
private String origempedido;
@Coluna(nome="cmitdims.origemnatoper", tipo="String")
private String origemnatoper;
@Coluna(nome="cmitdims.vago", tipo="String")
private String vago;

public TabCmitdims() {
initialize();
}

public void initialize() {
setTpregistro(null);
setCodCliente(null);
setPedOriCliente(null);
setNronota(null);
setSerienf(null);
setNropositemnf(null);
setPositemori(null);
setSequencia(null);
setNrointerped(null);
setNrovolume(null);
setNroguia(null);
setCtrlposicao(null);
setTppedido(null);
setNropedagru(null);
setNroitemsolicitado(null);
setQuantsolicitada(null);
setNroitematendido(null);
setQtdatendida(null);
setCodsubstituicao(null);
setSendingsystem(null);
setQtdpendenteitem(null);
setDtprevista(null);
setPesounitario(null);
setCompitem(null);
setLargitem(null);
setAltitem(null);
setCoduniditem(null);
setNrofzagregado(null);
setIndcancelitem(null);
setMenserro(null);
setCodfornec(null);
setCompembitem(null);
setLargembitem(null);
setAltembitem(null);
setCodAgruppedido(null);
setOrigempedido(null);
setOrigemnatoper(null);
setVago(null);
}

public TabCmitdims(int tpregistro, String codCliente, String pedOriCliente, int nronota, String serienf, int nropositemnf, String positemori, int sequencia, String nrointerped, String nrovolume, String nroguia, String ctrlposicao, String tppedido, String nropedagru, String nroitemsolicitado, double quantsolicitada, String nroitematendido, double qtdatendida, String codsubstituicao, String sendingsystem, double qtdpendenteitem, FglDate dtprevista, double pesounitario, double compitem, double largitem, double altitem, String coduniditem, int nrofzagregado, String indcancelitem, String menserro, String codfornec, double compembitem, double largembitem, double altembitem, String codAgruppedido, String origempedido, String origemnatoper, String vago) {
this.tpregistro = tpregistro;
this.codCliente = codCliente;
this.pedOriCliente = pedOriCliente;
this.nronota = nronota;
this.serienf = serienf;
this.nropositemnf = nropositemnf;
this.positemori = positemori;
this.sequencia = sequencia;
this.nrointerped = nrointerped;
this.nrovolume = nrovolume;
this.nroguia = nroguia;
this.ctrlposicao = ctrlposicao;
this.tppedido = tppedido;
this.nropedagru = nropedagru;
this.nroitemsolicitado = nroitemsolicitado;
this.quantsolicitada = quantsolicitada;
this.nroitematendido = nroitematendido;
this.qtdatendida = qtdatendida;
this.codsubstituicao = codsubstituicao;
this.sendingsystem = sendingsystem;
this.qtdpendenteitem = qtdpendenteitem;
this.dtprevista = dtprevista;
this.pesounitario = pesounitario;
this.compitem = compitem;
this.largitem = largitem;
this.altitem = altitem;
this.coduniditem = coduniditem;
this.nrofzagregado = nrofzagregado;
this.indcancelitem = indcancelitem;
this.menserro = menserro;
this.codfornec = codfornec;
this.compembitem = compembitem;
this.largembitem = largembitem;
this.altembitem = altembitem;
this.codAgruppedido = codAgruppedido;
this.origempedido = origempedido;
this.origemnatoper = origemnatoper;
this.vago = vago;
}

public int getTpregistro() {
return tpregistro;
}

public boolean isTpregistroNull() {
return tpregistroNull;
}

public void setTpregistro(Integer tpregistro) {
if (tpregistro == null) {
tpregistroNull = true;
this.tpregistro = 0;
} else { 
tpregistroNull = false;
this.tpregistro = tpregistro;
}
}

public String getCodCliente() {
return codCliente;
}

public void setCodCliente(String codCliente) {
this.codCliente = codCliente;
}

public String getPedOriCliente() {
return pedOriCliente;
}

public void setPedOriCliente(String pedOriCliente) {
this.pedOriCliente = pedOriCliente;
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public int getNropositemnf() {
return nropositemnf;
}

public boolean isNropositemnfNull() {
return nropositemnfNull;
}

public void setNropositemnf(Integer nropositemnf) {
if (nropositemnf == null) {
nropositemnfNull = true;
this.nropositemnf = 0;
} else { 
nropositemnfNull = false;
this.nropositemnf = nropositemnf;
}
}

public String getPositemori() {
return positemori;
}

public void setPositemori(String positemori) {
this.positemori = positemori;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getNrointerped() {
return nrointerped;
}

public void setNrointerped(String nrointerped) {
this.nrointerped = nrointerped;
}

public String getNrovolume() {
return nrovolume;
}

public void setNrovolume(String nrovolume) {
this.nrovolume = nrovolume;
}

public String getNroguia() {
return nroguia;
}

public void setNroguia(String nroguia) {
this.nroguia = nroguia;
}

public String getCtrlposicao() {
return ctrlposicao;
}

public void setCtrlposicao(String ctrlposicao) {
this.ctrlposicao = ctrlposicao;
}

public String getTppedido() {
return tppedido;
}

public void setTppedido(String tppedido) {
this.tppedido = tppedido;
}

public String getNropedagru() {
return nropedagru;
}

public void setNropedagru(String nropedagru) {
this.nropedagru = nropedagru;
}

public String getNroitemsolicitado() {
return nroitemsolicitado;
}

public void setNroitemsolicitado(String nroitemsolicitado) {
this.nroitemsolicitado = nroitemsolicitado;
}

public double getQuantsolicitada() {
return quantsolicitada;
}

public boolean isQuantsolicitadaNull() {
return quantsolicitadaNull;
}

public void setQuantsolicitada(int quantsolicitada) {
setQuantsolicitada(new Double(quantsolicitada));
}

public void setQuantsolicitada(long quantsolicitada) {
setQuantsolicitada(new Double(quantsolicitada));
}

public void setQuantsolicitada(Double quantsolicitada) {
if (quantsolicitada == null) {
quantsolicitadaNull = true;
this.quantsolicitada = 0.;
} else { 
quantsolicitadaNull = false;
this.quantsolicitada = FglDouble.round(quantsolicitada, 3);
}
}

public String getNroitematendido() {
return nroitematendido;
}

public void setNroitematendido(String nroitematendido) {
this.nroitematendido = nroitematendido;
}

public double getQtdatendida() {
return qtdatendida;
}

public boolean isQtdatendidaNull() {
return qtdatendidaNull;
}

public void setQtdatendida(int qtdatendida) {
setQtdatendida(new Double(qtdatendida));
}

public void setQtdatendida(long qtdatendida) {
setQtdatendida(new Double(qtdatendida));
}

public void setQtdatendida(Double qtdatendida) {
if (qtdatendida == null) {
qtdatendidaNull = true;
this.qtdatendida = 0.;
} else { 
qtdatendidaNull = false;
this.qtdatendida = FglDouble.round(qtdatendida, 3);
}
}

public String getCodsubstituicao() {
return codsubstituicao;
}

public void setCodsubstituicao(String codsubstituicao) {
this.codsubstituicao = codsubstituicao;
}

public String getSendingsystem() {
return sendingsystem;
}

public void setSendingsystem(String sendingsystem) {
this.sendingsystem = sendingsystem;
}

public double getQtdpendenteitem() {
return qtdpendenteitem;
}

public boolean isQtdpendenteitemNull() {
return qtdpendenteitemNull;
}

public void setQtdpendenteitem(int qtdpendenteitem) {
setQtdpendenteitem(new Double(qtdpendenteitem));
}

public void setQtdpendenteitem(long qtdpendenteitem) {
setQtdpendenteitem(new Double(qtdpendenteitem));
}

public void setQtdpendenteitem(Double qtdpendenteitem) {
if (qtdpendenteitem == null) {
qtdpendenteitemNull = true;
this.qtdpendenteitem = 0.;
} else { 
qtdpendenteitemNull = false;
this.qtdpendenteitem = FglDouble.round(qtdpendenteitem, 3);
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public double getPesounitario() {
return pesounitario;
}

public boolean isPesounitarioNull() {
return pesounitarioNull;
}

public void setPesounitario(int pesounitario) {
setPesounitario(new Double(pesounitario));
}

public void setPesounitario(long pesounitario) {
setPesounitario(new Double(pesounitario));
}

public void setPesounitario(Double pesounitario) {
if (pesounitario == null) {
pesounitarioNull = true;
this.pesounitario = 0.;
} else { 
pesounitarioNull = false;
this.pesounitario = FglDouble.round(pesounitario, 3);
}
}

public double getCompitem() {
return compitem;
}

public boolean isCompitemNull() {
return compitemNull;
}

public void setCompitem(int compitem) {
setCompitem(new Double(compitem));
}

public void setCompitem(long compitem) {
setCompitem(new Double(compitem));
}

public void setCompitem(Double compitem) {
if (compitem == null) {
compitemNull = true;
this.compitem = 0.;
} else { 
compitemNull = false;
this.compitem = FglDouble.round(compitem, 3);
}
}

public double getLargitem() {
return largitem;
}

public boolean isLargitemNull() {
return largitemNull;
}

public void setLargitem(int largitem) {
setLargitem(new Double(largitem));
}

public void setLargitem(long largitem) {
setLargitem(new Double(largitem));
}

public void setLargitem(Double largitem) {
if (largitem == null) {
largitemNull = true;
this.largitem = 0.;
} else { 
largitemNull = false;
this.largitem = FglDouble.round(largitem, 3);
}
}

public double getAltitem() {
return altitem;
}

public boolean isAltitemNull() {
return altitemNull;
}

public void setAltitem(int altitem) {
setAltitem(new Double(altitem));
}

public void setAltitem(long altitem) {
setAltitem(new Double(altitem));
}

public void setAltitem(Double altitem) {
if (altitem == null) {
altitemNull = true;
this.altitem = 0.;
} else { 
altitemNull = false;
this.altitem = FglDouble.round(altitem, 3);
}
}

public String getCoduniditem() {
return coduniditem;
}

public void setCoduniditem(String coduniditem) {
this.coduniditem = coduniditem;
}

public int getNrofzagregado() {
return nrofzagregado;
}

public boolean isNrofzagregadoNull() {
return nrofzagregadoNull;
}

public void setNrofzagregado(Integer nrofzagregado) {
if (nrofzagregado == null) {
nrofzagregadoNull = true;
this.nrofzagregado = 0;
} else { 
nrofzagregadoNull = false;
this.nrofzagregado = nrofzagregado;
}
}

public String getIndcancelitem() {
return indcancelitem;
}

public void setIndcancelitem(String indcancelitem) {
this.indcancelitem = indcancelitem;
}

public String getMenserro() {
return menserro;
}

public void setMenserro(String menserro) {
this.menserro = menserro;
}

public String getCodfornec() {
return codfornec;
}

public void setCodfornec(String codfornec) {
this.codfornec = codfornec;
}

public double getCompembitem() {
return compembitem;
}

public boolean isCompembitemNull() {
return compembitemNull;
}

public void setCompembitem(int compembitem) {
setCompembitem(new Double(compembitem));
}

public void setCompembitem(long compembitem) {
setCompembitem(new Double(compembitem));
}

public void setCompembitem(Double compembitem) {
if (compembitem == null) {
compembitemNull = true;
this.compembitem = 0.;
} else { 
compembitemNull = false;
this.compembitem = FglDouble.round(compembitem, 3);
}
}

public double getLargembitem() {
return largembitem;
}

public boolean isLargembitemNull() {
return largembitemNull;
}

public void setLargembitem(int largembitem) {
setLargembitem(new Double(largembitem));
}

public void setLargembitem(long largembitem) {
setLargembitem(new Double(largembitem));
}

public void setLargembitem(Double largembitem) {
if (largembitem == null) {
largembitemNull = true;
this.largembitem = 0.;
} else { 
largembitemNull = false;
this.largembitem = FglDouble.round(largembitem, 3);
}
}

public double getAltembitem() {
return altembitem;
}

public boolean isAltembitemNull() {
return altembitemNull;
}

public void setAltembitem(int altembitem) {
setAltembitem(new Double(altembitem));
}

public void setAltembitem(long altembitem) {
setAltembitem(new Double(altembitem));
}

public void setAltembitem(Double altembitem) {
if (altembitem == null) {
altembitemNull = true;
this.altembitem = 0.;
} else { 
altembitemNull = false;
this.altembitem = FglDouble.round(altembitem, 3);
}
}

public String getCodAgruppedido() {
return codAgruppedido;
}

public void setCodAgruppedido(String codAgruppedido) {
this.codAgruppedido = codAgruppedido;
}

public String getOrigempedido() {
return origempedido;
}

public void setOrigempedido(String origempedido) {
this.origempedido = origempedido;
}

public String getOrigemnatoper() {
return origemnatoper;
}

public void setOrigemnatoper(String origemnatoper) {
this.origemnatoper = origemnatoper;
}

public String getVago() {
return vago;
}

public void setVago(String vago) {
this.vago = vago;
}

}

