package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmpreind {
@Coluna(nome="cmpreind.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmpreind.texto", tipo="String")
private String texto;
@Coluna(nome="cmpreind.indice", tipo="double")
private double indice;
private boolean indiceNull;
@Coluna(nome="cmpreind.aplicacao", tipo="String")
private String aplicacao;
@Coluna(nome="cmpreind.promocao", tipo="String")
private String promocao;

public TabCmpreind() {
initialize();
}

public void initialize() {
setFilial(null);
setTexto(null);
setIndice(null);
setAplicacao(null);
setPromocao(null);
}

public TabCmpreind(int filial, String texto, double indice, String aplicacao, String promocao) {
this.filial = filial;
this.texto = texto;
this.indice = indice;
this.aplicacao = aplicacao;
this.promocao = promocao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTexto() {
return texto;
}

public void setTexto(String texto) {
this.texto = texto;
}

public double getIndice() {
return indice;
}

public boolean isIndiceNull() {
return indiceNull;
}

public void setIndice(int indice) {
setIndice(new Double(indice));
}

public void setIndice(long indice) {
setIndice(new Double(indice));
}

public void setIndice(Double indice) {
if (indice == null) {
indiceNull = true;
this.indice = 0.;
} else { 
indiceNull = false;
this.indice = FglDouble.round(indice, 6);
}
}

public String getAplicacao() {
return aplicacao;
}

public void setAplicacao(String aplicacao) {
this.aplicacao = aplicacao;
}

public String getPromocao() {
return promocao;
}

public void setPromocao(String promocao) {
this.promocao = promocao;
}

}

