package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmpropgt {
@Coluna(nome="cmpropgt.produto", tipo="String")
private String produto;
@Coluna(nome="cmpropgt.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;

public TabCmpropgt() {
initialize();
}

public void initialize() {
setProduto(null);
setQuantidade(null);
}

public TabCmpropgt(String produto, double quantidade) {
this.produto = produto;
this.quantidade = quantidade;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

}

