package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCmprsubs {
@Coluna(nome="cmprsubs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmprsubs.substituido", tipo="String")
private String substituido;
@Coluna(nome="cmprsubs.substituto", tipo="String")
private String substituto;
@Coluna(nome="cmprsubs.dtsubstituicao", tipo="FglDate")
private FglDate dtsubstituicao;
@Coluna(nome="cmprsubs.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;

public TabCmprsubs() {
initialize();
}

public void initialize() {
setFilial(null);
setSubstituido(null);
setSubstituto(null);
setDtsubstituicao(null);
setIdAgente(null);
}

public TabCmprsubs(int filial, String substituido, String substituto, FglDate dtsubstituicao, int idAgente) {
this.filial = filial;
this.substituido = substituido;
this.substituto = substituto;
this.dtsubstituicao = dtsubstituicao;
this.idAgente = idAgente;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getSubstituido() {
return substituido;
}

public void setSubstituido(String substituido) {
this.substituido = substituido;
}

public String getSubstituto() {
return substituto;
}

public void setSubstituto(String substituto) {
this.substituto = substituto;
}

public FglDate getDtsubstituicao() {
return dtsubstituicao;
}

public void setDtsubstituicao(FglDate dtsubstituicao) {
this.dtsubstituicao = dtsubstituicao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

}

