package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCmrcnfit {
@Coluna(nome="cmrcnfit.id_rcnfcp", tipo="int")
private int idRcnfcp;
private boolean idRcnfcpNull;
@Coluna(nome="cmrcnfit.produto", tipo="String")
private String produto;
@Coluna(nome="cmrcnfit.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cmrcnfit.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cmrcnfit.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;

public TabCmrcnfit() {
initialize();
}

public void initialize() {
setIdRcnfcp(null);
setProduto(null);
setQuantidade(null);
setIdAgente(null);
setDtdigitacao(null);
}

public TabCmrcnfit(int idRcnfcp, String produto, double quantidade, int idAgente, FglDateTimeYS dtdigitacao) {
this.idRcnfcp = idRcnfcp;
this.produto = produto;
this.quantidade = quantidade;
this.idAgente = idAgente;
this.dtdigitacao = dtdigitacao;
}

public int getIdRcnfcp() {
return idRcnfcp;
}

public boolean isIdRcnfcpNull() {
return idRcnfcpNull;
}

public void setIdRcnfcp(Integer idRcnfcp) {
if (idRcnfcp == null) {
idRcnfcpNull = true;
this.idRcnfcp = 0;
} else { 
idRcnfcpNull = false;
this.idRcnfcp = idRcnfcp;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

}

