package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCmsugmar {
@Coluna(nome="cmsugmar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cmsugmar.sigla", tipo="String")
private String sigla;
@Coluna(nome="cmsugmar.margem", tipo="double")
private double margem;
private boolean margemNull;
@Coluna(nome="cmsugmar.mark_up", tipo="double")
private double markUp;
private boolean markUpNull;
@Coluna(nome="cmsugmar.mark_up_gar", tipo="double")
private double markUpGar;
private boolean markUpGarNull;
@Coluna(nome="cmsugmar.atualizagrupo", tipo="String")
private String atualizagrupo;

public TabCmsugmar() {
initialize();
}

public void initialize() {
setFilial(null);
setSigla(null);
setMargem(null);
setMarkUp(null);
setMarkUpGar(null);
setAtualizagrupo(null);
}

public TabCmsugmar(int filial, String sigla, double margem, double markUp, double markUpGar, String atualizagrupo) {
this.filial = filial;
this.sigla = sigla;
this.margem = margem;
this.markUp = markUp;
this.markUpGar = markUpGar;
this.atualizagrupo = atualizagrupo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

public double getMargem() {
return margem;
}

public boolean isMargemNull() {
return margemNull;
}

public void setMargem(int margem) {
setMargem(new Double(margem));
}

public void setMargem(long margem) {
setMargem(new Double(margem));
}

public void setMargem(Double margem) {
if (margem == null) {
margemNull = true;
this.margem = 0.;
} else { 
margemNull = false;
this.margem = FglDouble.round(margem, 2);
}
}

public double getMarkUp() {
return markUp;
}

public boolean isMarkUpNull() {
return markUpNull;
}

public void setMarkUp(int markUp) {
setMarkUp(new Double(markUp));
}

public void setMarkUp(long markUp) {
setMarkUp(new Double(markUp));
}

public void setMarkUp(Double markUp) {
if (markUp == null) {
markUpNull = true;
this.markUp = 0.;
} else { 
markUpNull = false;
this.markUp = FglDouble.round(markUp, 6);
}
}

public double getMarkUpGar() {
return markUpGar;
}

public boolean isMarkUpGarNull() {
return markUpGarNull;
}

public void setMarkUpGar(int markUpGar) {
setMarkUpGar(new Double(markUpGar));
}

public void setMarkUpGar(long markUpGar) {
setMarkUpGar(new Double(markUpGar));
}

public void setMarkUpGar(Double markUpGar) {
if (markUpGar == null) {
markUpGarNull = true;
this.markUpGar = 0.;
} else { 
markUpGarNull = false;
this.markUpGar = FglDouble.round(markUpGar, 6);
}
}

public String getAtualizagrupo() {
return atualizagrupo;
}

public void setAtualizagrupo(String atualizagrupo) {
this.atualizagrupo = atualizagrupo;
}

}

