package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnbasemi {
@Coluna(nome="cnbasemi.cgccpf_prestador", tipo="long")
private long cgccpfPrestador;
private boolean cgccpfPrestadorNull;
@Coluna(nome="cnbasemi.cgccpf_tomador", tipo="long")
private long cgccpfTomador;
private boolean cgccpfTomadorNull;
@Coluna(nome="cnbasemi.anomes_retencao", tipo="FglDateTimeYM")
private FglDateTimeYM anomesRetencao;
@Coluna(nome="cnbasemi.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnbasemi.base_retencao", tipo="double")
private double baseRetencao;
private boolean baseRetencaoNull;
@Coluna(nome="cnbasemi.valor_retencao", tipo="double")
private double valorRetencao;
private boolean valorRetencaoNull;

public TabCnbasemi() {
initialize();
}

public void initialize() {
setCgccpfPrestador(null);
setCgccpfTomador(null);
setAnomesRetencao(null);
setIdNfcapa(null);
setBaseRetencao(null);
setValorRetencao(null);
}

public TabCnbasemi(long cgccpfPrestador, long cgccpfTomador, FglDateTimeYM anomesRetencao, int idNfcapa, double baseRetencao, double valorRetencao) {
this.cgccpfPrestador = cgccpfPrestador;
this.cgccpfTomador = cgccpfTomador;
this.anomesRetencao = anomesRetencao;
this.idNfcapa = idNfcapa;
this.baseRetencao = baseRetencao;
this.valorRetencao = valorRetencao;
}

public long getCgccpfPrestador() {
return cgccpfPrestador;
}

public boolean isCgccpfPrestadorNull() {
return cgccpfPrestadorNull;
}

public void setCgccpfPrestador(int cgccpfPrestador) {
setCgccpfPrestador(new Long(cgccpfPrestador));
}

public void setCgccpfPrestador(Long cgccpfPrestador) {
if (cgccpfPrestador == null) {
cgccpfPrestadorNull = true;
this.cgccpfPrestador = 0l;
} else { 
cgccpfPrestadorNull = false;
this.cgccpfPrestador = cgccpfPrestador;
}
}

public long getCgccpfTomador() {
return cgccpfTomador;
}

public boolean isCgccpfTomadorNull() {
return cgccpfTomadorNull;
}

public void setCgccpfTomador(int cgccpfTomador) {
setCgccpfTomador(new Long(cgccpfTomador));
}

public void setCgccpfTomador(Long cgccpfTomador) {
if (cgccpfTomador == null) {
cgccpfTomadorNull = true;
this.cgccpfTomador = 0l;
} else { 
cgccpfTomadorNull = false;
this.cgccpfTomador = cgccpfTomador;
}
}

public FglDateTimeYM getAnomesRetencao() {
return anomesRetencao;
}

public void setAnomesRetencao(FglDateTimeYM anomesRetencao) {
this.anomesRetencao = anomesRetencao;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public double getBaseRetencao() {
return baseRetencao;
}

public boolean isBaseRetencaoNull() {
return baseRetencaoNull;
}

public void setBaseRetencao(int baseRetencao) {
setBaseRetencao(new Double(baseRetencao));
}

public void setBaseRetencao(long baseRetencao) {
setBaseRetencao(new Double(baseRetencao));
}

public void setBaseRetencao(Double baseRetencao) {
if (baseRetencao == null) {
baseRetencaoNull = true;
this.baseRetencao = 0.;
} else { 
baseRetencaoNull = false;
this.baseRetencao = FglDouble.round(baseRetencao, 2);
}
}

public double getValorRetencao() {
return valorRetencao;
}

public boolean isValorRetencaoNull() {
return valorRetencaoNull;
}

public void setValorRetencao(int valorRetencao) {
setValorRetencao(new Double(valorRetencao));
}

public void setValorRetencao(long valorRetencao) {
setValorRetencao(new Double(valorRetencao));
}

public void setValorRetencao(Double valorRetencao) {
if (valorRetencao == null) {
valorRetencaoNull = true;
this.valorRetencao = 0.;
} else { 
valorRetencaoNull = false;
this.valorRetencao = FglDouble.round(valorRetencao, 2);
}
}

}

