package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnclauta {
@Coluna(nome="cnclauta.natretencao", tipo="String")
private String natretencao;
@Coluna(nome="cnclauta.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnclauta.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnclauta.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cnclauta.percretir", tipo="double")
private double percretir;
private boolean percretirNull;
@Coluna(nome="cnclauta.vrminir", tipo="double")
private double vrminir;
private boolean vrminirNull;
@Coluna(nome="cnclauta.percretinss", tipo="double")
private double percretinss;
private boolean percretinssNull;
@Coluna(nome="cnclauta.percretcsl", tipo="double")
private double percretcsl;
private boolean percretcslNull;
@Coluna(nome="cnclauta.percretpis", tipo="double")
private double percretpis;
private boolean percretpisNull;
@Coluna(nome="cnclauta.percretcof", tipo="double")
private double percretcof;
private boolean percretcofNull;
@Coluna(nome="cnclauta.coddarf", tipo="int")
private int coddarf;
private boolean coddarfNull;
@Coluna(nome="cnclauta.deduzretnf", tipo="String")
private String deduzretnf;
@Coluna(nome="cnclauta.baseinss", tipo="double")
private double baseinss;
private boolean baseinssNull;
@Coluna(nome="cnclauta.basecsll", tipo="double")
private double basecsll;
private boolean basecsllNull;
@Coluna(nome="cnclauta.basepis", tipo="double")
private double basepis;
private boolean basepisNull;
@Coluna(nome="cnclauta.basecofins", tipo="double")
private double basecofins;
private boolean basecofinsNull;
@Coluna(nome="cnclauta.tiporet", tipo="String")
private String tiporet;

public TabCnclauta() {
initialize();
}

public void initialize() {
setNatretencao(null);
setClassefiscal(null);
setDtinicio(null);
setDtfim(null);
setPercretir(null);
setVrminir(null);
setPercretinss(null);
setPercretcsl(null);
setPercretpis(null);
setPercretcof(null);
setCoddarf(null);
setDeduzretnf(null);
setBaseinss(null);
setBasecsll(null);
setBasepis(null);
setBasecofins(null);
setTiporet(null);
}

public TabCnclauta(String natretencao, String classefiscal, FglDate dtinicio, FglDate dtfim, double percretir, double vrminir, double percretinss, double percretcsl, double percretpis, double percretcof, int coddarf, String deduzretnf, double baseinss, double basecsll, double basepis, double basecofins, String tiporet) {
this.natretencao = natretencao;
this.classefiscal = classefiscal;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.percretir = percretir;
this.vrminir = vrminir;
this.percretinss = percretinss;
this.percretcsl = percretcsl;
this.percretpis = percretpis;
this.percretcof = percretcof;
this.coddarf = coddarf;
this.deduzretnf = deduzretnf;
this.baseinss = baseinss;
this.basecsll = basecsll;
this.basepis = basepis;
this.basecofins = basecofins;
this.tiporet = tiporet;
}

public String getNatretencao() {
return natretencao;
}

public void setNatretencao(String natretencao) {
this.natretencao = natretencao;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPercretir() {
return percretir;
}

public boolean isPercretirNull() {
return percretirNull;
}

public void setPercretir(int percretir) {
setPercretir(new Double(percretir));
}

public void setPercretir(long percretir) {
setPercretir(new Double(percretir));
}

public void setPercretir(Double percretir) {
if (percretir == null) {
percretirNull = true;
this.percretir = 0.;
} else { 
percretirNull = false;
this.percretir = FglDouble.round(percretir, 2);
}
}

public double getVrminir() {
return vrminir;
}

public boolean isVrminirNull() {
return vrminirNull;
}

public void setVrminir(int vrminir) {
setVrminir(new Double(vrminir));
}

public void setVrminir(long vrminir) {
setVrminir(new Double(vrminir));
}

public void setVrminir(Double vrminir) {
if (vrminir == null) {
vrminirNull = true;
this.vrminir = 0.;
} else { 
vrminirNull = false;
this.vrminir = FglDouble.round(vrminir, 2);
}
}

public double getPercretinss() {
return percretinss;
}

public boolean isPercretinssNull() {
return percretinssNull;
}

public void setPercretinss(int percretinss) {
setPercretinss(new Double(percretinss));
}

public void setPercretinss(long percretinss) {
setPercretinss(new Double(percretinss));
}

public void setPercretinss(Double percretinss) {
if (percretinss == null) {
percretinssNull = true;
this.percretinss = 0.;
} else { 
percretinssNull = false;
this.percretinss = FglDouble.round(percretinss, 2);
}
}

public double getPercretcsl() {
return percretcsl;
}

public boolean isPercretcslNull() {
return percretcslNull;
}

public void setPercretcsl(int percretcsl) {
setPercretcsl(new Double(percretcsl));
}

public void setPercretcsl(long percretcsl) {
setPercretcsl(new Double(percretcsl));
}

public void setPercretcsl(Double percretcsl) {
if (percretcsl == null) {
percretcslNull = true;
this.percretcsl = 0.;
} else { 
percretcslNull = false;
this.percretcsl = FglDouble.round(percretcsl, 2);
}
}

public double getPercretpis() {
return percretpis;
}

public boolean isPercretpisNull() {
return percretpisNull;
}

public void setPercretpis(int percretpis) {
setPercretpis(new Double(percretpis));
}

public void setPercretpis(long percretpis) {
setPercretpis(new Double(percretpis));
}

public void setPercretpis(Double percretpis) {
if (percretpis == null) {
percretpisNull = true;
this.percretpis = 0.;
} else { 
percretpisNull = false;
this.percretpis = FglDouble.round(percretpis, 2);
}
}

public double getPercretcof() {
return percretcof;
}

public boolean isPercretcofNull() {
return percretcofNull;
}

public void setPercretcof(int percretcof) {
setPercretcof(new Double(percretcof));
}

public void setPercretcof(long percretcof) {
setPercretcof(new Double(percretcof));
}

public void setPercretcof(Double percretcof) {
if (percretcof == null) {
percretcofNull = true;
this.percretcof = 0.;
} else { 
percretcofNull = false;
this.percretcof = FglDouble.round(percretcof, 2);
}
}

public int getCoddarf() {
return coddarf;
}

public boolean isCoddarfNull() {
return coddarfNull;
}

public void setCoddarf(Integer coddarf) {
if (coddarf == null) {
coddarfNull = true;
this.coddarf = 0;
} else { 
coddarfNull = false;
this.coddarf = coddarf;
}
}

public String getDeduzretnf() {
return deduzretnf;
}

public void setDeduzretnf(String deduzretnf) {
this.deduzretnf = deduzretnf;
}

public double getBaseinss() {
return baseinss;
}

public boolean isBaseinssNull() {
return baseinssNull;
}

public void setBaseinss(int baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(long baseinss) {
setBaseinss(new Double(baseinss));
}

public void setBaseinss(Double baseinss) {
if (baseinss == null) {
baseinssNull = true;
this.baseinss = 0.;
} else { 
baseinssNull = false;
this.baseinss = FglDouble.round(baseinss, 2);
}
}

public double getBasecsll() {
return basecsll;
}

public boolean isBasecsllNull() {
return basecsllNull;
}

public void setBasecsll(int basecsll) {
setBasecsll(new Double(basecsll));
}

public void setBasecsll(long basecsll) {
setBasecsll(new Double(basecsll));
}

public void setBasecsll(Double basecsll) {
if (basecsll == null) {
basecsllNull = true;
this.basecsll = 0.;
} else { 
basecsllNull = false;
this.basecsll = FglDouble.round(basecsll, 2);
}
}

public double getBasepis() {
return basepis;
}

public boolean isBasepisNull() {
return basepisNull;
}

public void setBasepis(int basepis) {
setBasepis(new Double(basepis));
}

public void setBasepis(long basepis) {
setBasepis(new Double(basepis));
}

public void setBasepis(Double basepis) {
if (basepis == null) {
basepisNull = true;
this.basepis = 0.;
} else { 
basepisNull = false;
this.basepis = FglDouble.round(basepis, 2);
}
}

public double getBasecofins() {
return basecofins;
}

public boolean isBasecofinsNull() {
return basecofinsNull;
}

public void setBasecofins(int basecofins) {
setBasecofins(new Double(basecofins));
}

public void setBasecofins(long basecofins) {
setBasecofins(new Double(basecofins));
}

public void setBasecofins(Double basecofins) {
if (basecofins == null) {
basecofinsNull = true;
this.basecofins = 0.;
} else { 
basecofinsNull = false;
this.basecofins = FglDouble.round(basecofins, 2);
}
}

public String getTiporet() {
return tiporet;
}

public void setTiporet(String tiporet) {
this.tiporet = tiporet;
}

}

