package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnclcalc {
@Coluna(nome="cnclcalc.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnclcalc.tpbeneficio", tipo="int")
private int tpbeneficio;
private boolean tpbeneficioNull;
@Coluna(nome="cnclcalc.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnclcalc.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cnclcalc.formacalcpis", tipo="String")
private String formacalcpis;
@Coluna(nome="cnclcalc.formacalccofins", tipo="String")
private String formacalccofins;
@Coluna(nome="cnclcalc.percpis", tipo="double")
private double percpis;
private boolean percpisNull;
@Coluna(nome="cnclcalc.perccofins", tipo="double")
private double perccofins;
private boolean perccofinsNull;
@Coluna(nome="cnclcalc.cest", tipo="String")
private String cest;

public TabCnclcalc() {
initialize();
}

public void initialize() {
setClassefiscal(null);
setTpbeneficio(null);
setDtinicio(null);
setDtfim(null);
setFormacalcpis(null);
setFormacalccofins(null);
setPercpis(null);
setPerccofins(null);
setCest(null);
}

public TabCnclcalc(String classefiscal, int tpbeneficio, FglDate dtinicio, FglDate dtfim, String formacalcpis, String formacalccofins, double percpis, double perccofins, String cest) {
this.classefiscal = classefiscal;
this.tpbeneficio = tpbeneficio;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.formacalcpis = formacalcpis;
this.formacalccofins = formacalccofins;
this.percpis = percpis;
this.perccofins = perccofins;
this.cest = cest;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public int getTpbeneficio() {
return tpbeneficio;
}

public boolean isTpbeneficioNull() {
return tpbeneficioNull;
}

public void setTpbeneficio(Integer tpbeneficio) {
if (tpbeneficio == null) {
tpbeneficioNull = true;
this.tpbeneficio = 0;
} else { 
tpbeneficioNull = false;
this.tpbeneficio = tpbeneficio;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getFormacalcpis() {
return formacalcpis;
}

public void setFormacalcpis(String formacalcpis) {
this.formacalcpis = formacalcpis;
}

public String getFormacalccofins() {
return formacalccofins;
}

public void setFormacalccofins(String formacalccofins) {
this.formacalccofins = formacalccofins;
}

public double getPercpis() {
return percpis;
}

public boolean isPercpisNull() {
return percpisNull;
}

public void setPercpis(int percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(long percpis) {
setPercpis(new Double(percpis));
}

public void setPercpis(Double percpis) {
if (percpis == null) {
percpisNull = true;
this.percpis = 0.;
} else { 
percpisNull = false;
this.percpis = FglDouble.round(percpis, 2);
}
}

public double getPerccofins() {
return perccofins;
}

public boolean isPerccofinsNull() {
return perccofinsNull;
}

public void setPerccofins(int perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(long perccofins) {
setPerccofins(new Double(perccofins));
}

public void setPerccofins(Double perccofins) {
if (perccofins == null) {
perccofinsNull = true;
this.perccofins = 0.;
} else { 
perccofinsNull = false;
this.perccofins = FglDouble.round(perccofins, 2);
}
}

public String getCest() {
return cest;
}

public void setCest(String cest) {
this.cest = cest;
}

}

