package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnconfca {
@Coluna(nome="cnconfca.id_conhfca", tipo="int")
private int idConhfca;
private boolean idConhfcaNull;
@Coluna(nome="cnconfca.id_conhfrc", tipo="int")
private int idConhfrc;
private boolean idConhfrcNull;
@Coluna(nome="cnconfca.vlrpresumido", tipo="double")
private double vlrpresumido;
private boolean vlrpresumidoNull;
@Coluna(nome="cnconfca.vlricmsvenda", tipo="double")
private double vlricmsvenda;
private boolean vlricmsvendaNull;
@Coluna(nome="cnconfca.vlricmsrecol", tipo="double")
private double vlricmsrecol;
private boolean vlricmsrecolNull;
@Coluna(nome="cnconfca.vlrcustofret", tipo="double")
private double vlrcustofret;
private boolean vlrcustofretNull;

public TabCnconfca() {
initialize();
}

public void initialize() {
setIdConhfca(null);
setIdConhfrc(null);
setVlrpresumido(null);
setVlricmsvenda(null);
setVlricmsrecol(null);
setVlrcustofret(null);
}

public TabCnconfca(int idConhfca, int idConhfrc, double vlrpresumido, double vlricmsvenda, double vlricmsrecol, double vlrcustofret) {
this.idConhfca = idConhfca;
this.idConhfrc = idConhfrc;
this.vlrpresumido = vlrpresumido;
this.vlricmsvenda = vlricmsvenda;
this.vlricmsrecol = vlricmsrecol;
this.vlrcustofret = vlrcustofret;
}

public int getIdConhfca() {
return idConhfca;
}

public boolean isIdConhfcaNull() {
return idConhfcaNull;
}

public void setIdConhfca(Integer idConhfca) {
if (idConhfca == null) {
idConhfcaNull = true;
this.idConhfca = 0;
} else { 
idConhfcaNull = false;
this.idConhfca = idConhfca;
}
}

public int getIdConhfrc() {
return idConhfrc;
}

public boolean isIdConhfrcNull() {
return idConhfrcNull;
}

public void setIdConhfrc(Integer idConhfrc) {
if (idConhfrc == null) {
idConhfrcNull = true;
this.idConhfrc = 0;
} else { 
idConhfrcNull = false;
this.idConhfrc = idConhfrc;
}
}

public double getVlrpresumido() {
return vlrpresumido;
}

public boolean isVlrpresumidoNull() {
return vlrpresumidoNull;
}

public void setVlrpresumido(int vlrpresumido) {
setVlrpresumido(new Double(vlrpresumido));
}

public void setVlrpresumido(long vlrpresumido) {
setVlrpresumido(new Double(vlrpresumido));
}

public void setVlrpresumido(Double vlrpresumido) {
if (vlrpresumido == null) {
vlrpresumidoNull = true;
this.vlrpresumido = 0.;
} else { 
vlrpresumidoNull = false;
this.vlrpresumido = FglDouble.round(vlrpresumido, 2);
}
}

public double getVlricmsvenda() {
return vlricmsvenda;
}

public boolean isVlricmsvendaNull() {
return vlricmsvendaNull;
}

public void setVlricmsvenda(int vlricmsvenda) {
setVlricmsvenda(new Double(vlricmsvenda));
}

public void setVlricmsvenda(long vlricmsvenda) {
setVlricmsvenda(new Double(vlricmsvenda));
}

public void setVlricmsvenda(Double vlricmsvenda) {
if (vlricmsvenda == null) {
vlricmsvendaNull = true;
this.vlricmsvenda = 0.;
} else { 
vlricmsvendaNull = false;
this.vlricmsvenda = FglDouble.round(vlricmsvenda, 2);
}
}

public double getVlricmsrecol() {
return vlricmsrecol;
}

public boolean isVlricmsrecolNull() {
return vlricmsrecolNull;
}

public void setVlricmsrecol(int vlricmsrecol) {
setVlricmsrecol(new Double(vlricmsrecol));
}

public void setVlricmsrecol(long vlricmsrecol) {
setVlricmsrecol(new Double(vlricmsrecol));
}

public void setVlricmsrecol(Double vlricmsrecol) {
if (vlricmsrecol == null) {
vlricmsrecolNull = true;
this.vlricmsrecol = 0.;
} else { 
vlricmsrecolNull = false;
this.vlricmsrecol = FglDouble.round(vlricmsrecol, 2);
}
}

public double getVlrcustofret() {
return vlrcustofret;
}

public boolean isVlrcustofretNull() {
return vlrcustofretNull;
}

public void setVlrcustofret(int vlrcustofret) {
setVlrcustofret(new Double(vlrcustofret));
}

public void setVlrcustofret(long vlrcustofret) {
setVlrcustofret(new Double(vlrcustofret));
}

public void setVlrcustofret(Double vlrcustofret) {
if (vlrcustofret == null) {
vlrcustofretNull = true;
this.vlrcustofret = 0.;
} else { 
vlrcustofretNull = false;
this.vlrcustofret = FglDouble.round(vlrcustofret, 2);
}
}

}

