package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnconfda {
@Coluna(nome="cnconfda.id_conhfda", tipo="int")
private int idConhfda;
private boolean idConhfdaNull;
@Coluna(nome="cnconfda.id_conhfrd", tipo="int")
private int idConhfrd;
private boolean idConhfrdNull;
@Coluna(nome="cnconfda.freteporfora", tipo="double")
private double freteporfora;
private boolean freteporforaNull;
@Coluna(nome="cnconfda.icmsfretefora", tipo="double")
private double icmsfretefora;
private boolean icmsfreteforaNull;

public TabCnconfda() {
initialize();
}

public void initialize() {
setIdConhfda(null);
setIdConhfrd(null);
setFreteporfora(null);
setIcmsfretefora(null);
}

public TabCnconfda(int idConhfda, int idConhfrd, double freteporfora, double icmsfretefora) {
this.idConhfda = idConhfda;
this.idConhfrd = idConhfrd;
this.freteporfora = freteporfora;
this.icmsfretefora = icmsfretefora;
}

public int getIdConhfda() {
return idConhfda;
}

public boolean isIdConhfdaNull() {
return idConhfdaNull;
}

public void setIdConhfda(Integer idConhfda) {
if (idConhfda == null) {
idConhfdaNull = true;
this.idConhfda = 0;
} else { 
idConhfdaNull = false;
this.idConhfda = idConhfda;
}
}

public int getIdConhfrd() {
return idConhfrd;
}

public boolean isIdConhfrdNull() {
return idConhfrdNull;
}

public void setIdConhfrd(Integer idConhfrd) {
if (idConhfrd == null) {
idConhfrdNull = true;
this.idConhfrd = 0;
} else { 
idConhfrdNull = false;
this.idConhfrd = idConhfrd;
}
}

public double getFreteporfora() {
return freteporfora;
}

public boolean isFreteporforaNull() {
return freteporforaNull;
}

public void setFreteporfora(int freteporfora) {
setFreteporfora(new Double(freteporfora));
}

public void setFreteporfora(long freteporfora) {
setFreteporfora(new Double(freteporfora));
}

public void setFreteporfora(Double freteporfora) {
if (freteporfora == null) {
freteporforaNull = true;
this.freteporfora = 0.;
} else { 
freteporforaNull = false;
this.freteporfora = FglDouble.round(freteporfora, 2);
}
}

public double getIcmsfretefora() {
return icmsfretefora;
}

public boolean isIcmsfreteforaNull() {
return icmsfreteforaNull;
}

public void setIcmsfretefora(int icmsfretefora) {
setIcmsfretefora(new Double(icmsfretefora));
}

public void setIcmsfretefora(long icmsfretefora) {
setIcmsfretefora(new Double(icmsfretefora));
}

public void setIcmsfretefora(Double icmsfretefora) {
if (icmsfretefora == null) {
icmsfreteforaNull = true;
this.icmsfretefora = 0.;
} else { 
icmsfreteforaNull = false;
this.icmsfretefora = FglDouble.round(icmsfretefora, 2);
}
}

}

