package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndacodc {
@Coluna(nome="cndacodc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndacodc.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cndacodc.transfcredacum", tipo="double")
private double transfcredacum;
private boolean transfcredacumNull;
@Coluna(nome="cndacodc.outrashipotdeb", tipo="double")
private double outrashipotdeb;
private boolean outrashipotdebNull;
@Coluna(nome="cndacodc.histouthipdeb", tipo="String")
private String histouthipdeb;
@Coluna(nome="cndacodc.credpresumido", tipo="double")
private double credpresumido;
private boolean credpresumidoNull;
@Coluna(nome="cndacodc.credpresum21", tipo="double")
private double credpresum21;
private boolean credpresum21Null;
@Coluna(nome="cndacodc.credativimob", tipo="double")
private double credativimob;
private boolean credativimobNull;
@Coluna(nome="cndacodc.credtransf", tipo="double")
private double credtransf;
private boolean credtransfNull;
@Coluna(nome="cndacodc.icmsimport", tipo="double")
private double icmsimport;
private boolean icmsimportNull;
@Coluna(nome="cndacodc.icmsrestitui", tipo="double")
private double icmsrestitui;
private boolean icmsrestituiNull;
@Coluna(nome="cndacodc.outrashipotcre", tipo="double")
private double outrashipotcre;
private boolean outrashipotcreNull;
@Coluna(nome="cndacodc.histouthipcre", tipo="String")
private String histouthipcre;

public TabCndacodc() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setTransfcredacum(null);
setOutrashipotdeb(null);
setHistouthipdeb(null);
setCredpresumido(null);
setCredpresum21(null);
setCredativimob(null);
setCredtransf(null);
setIcmsimport(null);
setIcmsrestitui(null);
setOutrashipotcre(null);
setHistouthipcre(null);
}

public TabCndacodc(int filial, FglDateTimeYM anomes, double transfcredacum, double outrashipotdeb, String histouthipdeb, double credpresumido, double credpresum21, double credativimob, double credtransf, double icmsimport, double icmsrestitui, double outrashipotcre, String histouthipcre) {
this.filial = filial;
this.anomes = anomes;
this.transfcredacum = transfcredacum;
this.outrashipotdeb = outrashipotdeb;
this.histouthipdeb = histouthipdeb;
this.credpresumido = credpresumido;
this.credpresum21 = credpresum21;
this.credativimob = credativimob;
this.credtransf = credtransf;
this.icmsimport = icmsimport;
this.icmsrestitui = icmsrestitui;
this.outrashipotcre = outrashipotcre;
this.histouthipcre = histouthipcre;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getTransfcredacum() {
return transfcredacum;
}

public boolean isTransfcredacumNull() {
return transfcredacumNull;
}

public void setTransfcredacum(int transfcredacum) {
setTransfcredacum(new Double(transfcredacum));
}

public void setTransfcredacum(long transfcredacum) {
setTransfcredacum(new Double(transfcredacum));
}

public void setTransfcredacum(Double transfcredacum) {
if (transfcredacum == null) {
transfcredacumNull = true;
this.transfcredacum = 0.;
} else { 
transfcredacumNull = false;
this.transfcredacum = FglDouble.round(transfcredacum, 2);
}
}

public double getOutrashipotdeb() {
return outrashipotdeb;
}

public boolean isOutrashipotdebNull() {
return outrashipotdebNull;
}

public void setOutrashipotdeb(int outrashipotdeb) {
setOutrashipotdeb(new Double(outrashipotdeb));
}

public void setOutrashipotdeb(long outrashipotdeb) {
setOutrashipotdeb(new Double(outrashipotdeb));
}

public void setOutrashipotdeb(Double outrashipotdeb) {
if (outrashipotdeb == null) {
outrashipotdebNull = true;
this.outrashipotdeb = 0.;
} else { 
outrashipotdebNull = false;
this.outrashipotdeb = FglDouble.round(outrashipotdeb, 2);
}
}

public String getHistouthipdeb() {
return histouthipdeb;
}

public void setHistouthipdeb(String histouthipdeb) {
this.histouthipdeb = histouthipdeb;
}

public double getCredpresumido() {
return credpresumido;
}

public boolean isCredpresumidoNull() {
return credpresumidoNull;
}

public void setCredpresumido(int credpresumido) {
setCredpresumido(new Double(credpresumido));
}

public void setCredpresumido(long credpresumido) {
setCredpresumido(new Double(credpresumido));
}

public void setCredpresumido(Double credpresumido) {
if (credpresumido == null) {
credpresumidoNull = true;
this.credpresumido = 0.;
} else { 
credpresumidoNull = false;
this.credpresumido = FglDouble.round(credpresumido, 2);
}
}

public double getCredpresum21() {
return credpresum21;
}

public boolean isCredpresum21Null() {
return credpresum21Null;
}

public void setCredpresum21(int credpresum21) {
setCredpresum21(new Double(credpresum21));
}

public void setCredpresum21(long credpresum21) {
setCredpresum21(new Double(credpresum21));
}

public void setCredpresum21(Double credpresum21) {
if (credpresum21 == null) {
credpresum21Null = true;
this.credpresum21 = 0.;
} else { 
credpresum21Null = false;
this.credpresum21 = FglDouble.round(credpresum21, 2);
}
}

public double getCredativimob() {
return credativimob;
}

public boolean isCredativimobNull() {
return credativimobNull;
}

public void setCredativimob(int credativimob) {
setCredativimob(new Double(credativimob));
}

public void setCredativimob(long credativimob) {
setCredativimob(new Double(credativimob));
}

public void setCredativimob(Double credativimob) {
if (credativimob == null) {
credativimobNull = true;
this.credativimob = 0.;
} else { 
credativimobNull = false;
this.credativimob = FglDouble.round(credativimob, 2);
}
}

public double getCredtransf() {
return credtransf;
}

public boolean isCredtransfNull() {
return credtransfNull;
}

public void setCredtransf(int credtransf) {
setCredtransf(new Double(credtransf));
}

public void setCredtransf(long credtransf) {
setCredtransf(new Double(credtransf));
}

public void setCredtransf(Double credtransf) {
if (credtransf == null) {
credtransfNull = true;
this.credtransf = 0.;
} else { 
credtransfNull = false;
this.credtransf = FglDouble.round(credtransf, 2);
}
}

public double getIcmsimport() {
return icmsimport;
}

public boolean isIcmsimportNull() {
return icmsimportNull;
}

public void setIcmsimport(int icmsimport) {
setIcmsimport(new Double(icmsimport));
}

public void setIcmsimport(long icmsimport) {
setIcmsimport(new Double(icmsimport));
}

public void setIcmsimport(Double icmsimport) {
if (icmsimport == null) {
icmsimportNull = true;
this.icmsimport = 0.;
} else { 
icmsimportNull = false;
this.icmsimport = FglDouble.round(icmsimport, 2);
}
}

public double getIcmsrestitui() {
return icmsrestitui;
}

public boolean isIcmsrestituiNull() {
return icmsrestituiNull;
}

public void setIcmsrestitui(int icmsrestitui) {
setIcmsrestitui(new Double(icmsrestitui));
}

public void setIcmsrestitui(long icmsrestitui) {
setIcmsrestitui(new Double(icmsrestitui));
}

public void setIcmsrestitui(Double icmsrestitui) {
if (icmsrestitui == null) {
icmsrestituiNull = true;
this.icmsrestitui = 0.;
} else { 
icmsrestituiNull = false;
this.icmsrestitui = FglDouble.round(icmsrestitui, 2);
}
}

public double getOutrashipotcre() {
return outrashipotcre;
}

public boolean isOutrashipotcreNull() {
return outrashipotcreNull;
}

public void setOutrashipotcre(int outrashipotcre) {
setOutrashipotcre(new Double(outrashipotcre));
}

public void setOutrashipotcre(long outrashipotcre) {
setOutrashipotcre(new Double(outrashipotcre));
}

public void setOutrashipotcre(Double outrashipotcre) {
if (outrashipotcre == null) {
outrashipotcreNull = true;
this.outrashipotcre = 0.;
} else { 
outrashipotcreNull = false;
this.outrashipotcre = FglDouble.round(outrashipotcre, 2);
}
}

public String getHistouthipcre() {
return histouthipcre;
}

public void setHistouthipcre(String histouthipcre) {
this.histouthipcre = histouthipcre;
}

}

