package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndevrec {
@Coluna(nome="cndevrec.id_devoluc", tipo="int")
private int idDevoluc;
private boolean idDevolucNull;
@Coluna(nome="cndevrec.id_pagrec", tipo="int")
private int idPagrec;
private boolean idPagrecNull;
@Coluna(nome="cndevrec.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cndevrec.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cndevrec.id_lancto_cxb", tipo="int")
private int idLanctoCxb;
private boolean idLanctoCxbNull;

public TabCndevrec() {
initialize();
}

public void initialize() {
setIdDevoluc(null);
setIdPagrec(null);
setIdLancto(null);
setValor(null);
setIdLanctoCxb(null);
}

public TabCndevrec(int idDevoluc, int idPagrec, int idLancto, double valor, int idLanctoCxb) {
this.idDevoluc = idDevoluc;
this.idPagrec = idPagrec;
this.idLancto = idLancto;
this.valor = valor;
this.idLanctoCxb = idLanctoCxb;
}

public int getIdDevoluc() {
return idDevoluc;
}

public boolean isIdDevolucNull() {
return idDevolucNull;
}

public void setIdDevoluc(Integer idDevoluc) {
if (idDevoluc == null) {
idDevolucNull = true;
this.idDevoluc = 0;
} else { 
idDevolucNull = false;
this.idDevoluc = idDevoluc;
}
}

public int getIdPagrec() {
return idPagrec;
}

public boolean isIdPagrecNull() {
return idPagrecNull;
}

public void setIdPagrec(Integer idPagrec) {
if (idPagrec == null) {
idPagrecNull = true;
this.idPagrec = 0;
} else { 
idPagrecNull = false;
this.idPagrec = idPagrec;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLanctoCxb() {
return idLanctoCxb;
}

public boolean isIdLanctoCxbNull() {
return idLanctoCxbNull;
}

public void setIdLanctoCxb(Integer idLanctoCxb) {
if (idLanctoCxb == null) {
idLanctoCxbNull = true;
this.idLanctoCxb = 0;
} else { 
idLanctoCxbNull = false;
this.idLanctoCxb = idLanctoCxb;
}
}

}

