package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYY;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndiefes {
@Coluna(nome="cndiefes.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndiefes.ano", tipo="FglDateTimeYY")
private FglDateTimeYY ano;
@Coluna(nome="cndiefes.coduf", tipo="int")
private int coduf;
private boolean codufNull;
@Coluna(nome="cndiefes.vlrcontent", tipo="double")
private double vlrcontent;
private boolean vlrcontentNull;
@Coluna(nome="cndiefes.baseent", tipo="double")
private double baseent;
private boolean baseentNull;
@Coluna(nome="cndiefes.outrasent", tipo="double")
private double outrasent;
private boolean outrasentNull;
@Coluna(nome="cndiefes.svlricmsent", tipo="double")
private double svlricmsent;
private boolean svlricmsentNull;
@Coluna(nome="cndiefes.svlroutrosent", tipo="double")
private double svlroutrosent;
private boolean svlroutrosentNull;
@Coluna(nome="cndiefes.vlrcontncsai", tipo="double")
private double vlrcontncsai;
private boolean vlrcontncsaiNull;
@Coluna(nome="cndiefes.vlrcontcsai", tipo="double")
private double vlrcontcsai;
private boolean vlrcontcsaiNull;
@Coluna(nome="cndiefes.basencsai", tipo="double")
private double basencsai;
private boolean basencsaiNull;
@Coluna(nome="cndiefes.basecsai", tipo="double")
private double basecsai;
private boolean basecsaiNull;
@Coluna(nome="cndiefes.outrassai", tipo="double")
private double outrassai;
private boolean outrassaiNull;
@Coluna(nome="cndiefes.svlricmssai", tipo="double")
private double svlricmssai;
private boolean svlricmssaiNull;

public TabCndiefes() {
initialize();
}

public void initialize() {
setFilial(null);
setAno(null);
setCoduf(null);
setVlrcontent(null);
setBaseent(null);
setOutrasent(null);
setSvlricmsent(null);
setSvlroutrosent(null);
setVlrcontncsai(null);
setVlrcontcsai(null);
setBasencsai(null);
setBasecsai(null);
setOutrassai(null);
setSvlricmssai(null);
}

public TabCndiefes(int filial, FglDateTimeYY ano, int coduf, double vlrcontent, double baseent, double outrasent, double svlricmsent, double svlroutrosent, double vlrcontncsai, double vlrcontcsai, double basencsai, double basecsai, double outrassai, double svlricmssai) {
this.filial = filial;
this.ano = ano;
this.coduf = coduf;
this.vlrcontent = vlrcontent;
this.baseent = baseent;
this.outrasent = outrasent;
this.svlricmsent = svlricmsent;
this.svlroutrosent = svlroutrosent;
this.vlrcontncsai = vlrcontncsai;
this.vlrcontcsai = vlrcontcsai;
this.basencsai = basencsai;
this.basecsai = basecsai;
this.outrassai = outrassai;
this.svlricmssai = svlricmssai;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYY getAno() {
return ano;
}

public void setAno(FglDateTimeYY ano) {
this.ano = ano;
}

public int getCoduf() {
return coduf;
}

public boolean isCodufNull() {
return codufNull;
}

public void setCoduf(Integer coduf) {
if (coduf == null) {
codufNull = true;
this.coduf = 0;
} else { 
codufNull = false;
this.coduf = coduf;
}
}

public double getVlrcontent() {
return vlrcontent;
}

public boolean isVlrcontentNull() {
return vlrcontentNull;
}

public void setVlrcontent(int vlrcontent) {
setVlrcontent(new Double(vlrcontent));
}

public void setVlrcontent(long vlrcontent) {
setVlrcontent(new Double(vlrcontent));
}

public void setVlrcontent(Double vlrcontent) {
if (vlrcontent == null) {
vlrcontentNull = true;
this.vlrcontent = 0.;
} else { 
vlrcontentNull = false;
this.vlrcontent = FglDouble.round(vlrcontent, 2);
}
}

public double getBaseent() {
return baseent;
}

public boolean isBaseentNull() {
return baseentNull;
}

public void setBaseent(int baseent) {
setBaseent(new Double(baseent));
}

public void setBaseent(long baseent) {
setBaseent(new Double(baseent));
}

public void setBaseent(Double baseent) {
if (baseent == null) {
baseentNull = true;
this.baseent = 0.;
} else { 
baseentNull = false;
this.baseent = FglDouble.round(baseent, 2);
}
}

public double getOutrasent() {
return outrasent;
}

public boolean isOutrasentNull() {
return outrasentNull;
}

public void setOutrasent(int outrasent) {
setOutrasent(new Double(outrasent));
}

public void setOutrasent(long outrasent) {
setOutrasent(new Double(outrasent));
}

public void setOutrasent(Double outrasent) {
if (outrasent == null) {
outrasentNull = true;
this.outrasent = 0.;
} else { 
outrasentNull = false;
this.outrasent = FglDouble.round(outrasent, 2);
}
}

public double getSvlricmsent() {
return svlricmsent;
}

public boolean isSvlricmsentNull() {
return svlricmsentNull;
}

public void setSvlricmsent(int svlricmsent) {
setSvlricmsent(new Double(svlricmsent));
}

public void setSvlricmsent(long svlricmsent) {
setSvlricmsent(new Double(svlricmsent));
}

public void setSvlricmsent(Double svlricmsent) {
if (svlricmsent == null) {
svlricmsentNull = true;
this.svlricmsent = 0.;
} else { 
svlricmsentNull = false;
this.svlricmsent = FglDouble.round(svlricmsent, 2);
}
}

public double getSvlroutrosent() {
return svlroutrosent;
}

public boolean isSvlroutrosentNull() {
return svlroutrosentNull;
}

public void setSvlroutrosent(int svlroutrosent) {
setSvlroutrosent(new Double(svlroutrosent));
}

public void setSvlroutrosent(long svlroutrosent) {
setSvlroutrosent(new Double(svlroutrosent));
}

public void setSvlroutrosent(Double svlroutrosent) {
if (svlroutrosent == null) {
svlroutrosentNull = true;
this.svlroutrosent = 0.;
} else { 
svlroutrosentNull = false;
this.svlroutrosent = FglDouble.round(svlroutrosent, 2);
}
}

public double getVlrcontncsai() {
return vlrcontncsai;
}

public boolean isVlrcontncsaiNull() {
return vlrcontncsaiNull;
}

public void setVlrcontncsai(int vlrcontncsai) {
setVlrcontncsai(new Double(vlrcontncsai));
}

public void setVlrcontncsai(long vlrcontncsai) {
setVlrcontncsai(new Double(vlrcontncsai));
}

public void setVlrcontncsai(Double vlrcontncsai) {
if (vlrcontncsai == null) {
vlrcontncsaiNull = true;
this.vlrcontncsai = 0.;
} else { 
vlrcontncsaiNull = false;
this.vlrcontncsai = FglDouble.round(vlrcontncsai, 2);
}
}

public double getVlrcontcsai() {
return vlrcontcsai;
}

public boolean isVlrcontcsaiNull() {
return vlrcontcsaiNull;
}

public void setVlrcontcsai(int vlrcontcsai) {
setVlrcontcsai(new Double(vlrcontcsai));
}

public void setVlrcontcsai(long vlrcontcsai) {
setVlrcontcsai(new Double(vlrcontcsai));
}

public void setVlrcontcsai(Double vlrcontcsai) {
if (vlrcontcsai == null) {
vlrcontcsaiNull = true;
this.vlrcontcsai = 0.;
} else { 
vlrcontcsaiNull = false;
this.vlrcontcsai = FglDouble.round(vlrcontcsai, 2);
}
}

public double getBasencsai() {
return basencsai;
}

public boolean isBasencsaiNull() {
return basencsaiNull;
}

public void setBasencsai(int basencsai) {
setBasencsai(new Double(basencsai));
}

public void setBasencsai(long basencsai) {
setBasencsai(new Double(basencsai));
}

public void setBasencsai(Double basencsai) {
if (basencsai == null) {
basencsaiNull = true;
this.basencsai = 0.;
} else { 
basencsaiNull = false;
this.basencsai = FglDouble.round(basencsai, 2);
}
}

public double getBasecsai() {
return basecsai;
}

public boolean isBasecsaiNull() {
return basecsaiNull;
}

public void setBasecsai(int basecsai) {
setBasecsai(new Double(basecsai));
}

public void setBasecsai(long basecsai) {
setBasecsai(new Double(basecsai));
}

public void setBasecsai(Double basecsai) {
if (basecsai == null) {
basecsaiNull = true;
this.basecsai = 0.;
} else { 
basecsaiNull = false;
this.basecsai = FglDouble.round(basecsai, 2);
}
}

public double getOutrassai() {
return outrassai;
}

public boolean isOutrassaiNull() {
return outrassaiNull;
}

public void setOutrassai(int outrassai) {
setOutrassai(new Double(outrassai));
}

public void setOutrassai(long outrassai) {
setOutrassai(new Double(outrassai));
}

public void setOutrassai(Double outrassai) {
if (outrassai == null) {
outrassaiNull = true;
this.outrassai = 0.;
} else { 
outrassaiNull = false;
this.outrassai = FglDouble.round(outrassai, 2);
}
}

public double getSvlricmssai() {
return svlricmssai;
}

public boolean isSvlricmssaiNull() {
return svlricmssaiNull;
}

public void setSvlricmssai(int svlricmssai) {
setSvlricmssai(new Double(svlricmssai));
}

public void setSvlricmssai(long svlricmssai) {
setSvlricmssai(new Double(svlricmssai));
}

public void setSvlricmssai(Double svlricmssai) {
if (svlricmssai == null) {
svlricmssaiNull = true;
this.svlricmssai = 0.;
} else { 
svlricmssaiNull = false;
this.svlricmssai = FglDouble.round(svlricmssai, 2);
}
}

}

