package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYY;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndiefmv {
@Coluna(nome="cndiefmv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndiefmv.ano", tipo="FglDateTimeYY")
private FglDateTimeYY ano;
@Coluna(nome="cndiefmv.tabela", tipo="String")
private String tabela;
@Coluna(nome="cndiefmv.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="cndiefmv.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCndiefmv() {
initialize();
}

public void initialize() {
setFilial(null);
setAno(null);
setTabela(null);
setCodigo(null);
setValor(null);
}

public TabCndiefmv(int filial, FglDateTimeYY ano, String tabela, int codigo, double valor) {
this.filial = filial;
this.ano = ano;
this.tabela = tabela;
this.codigo = codigo;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYY getAno() {
return ano;
}

public void setAno(FglDateTimeYY ano) {
this.ano = ano;
}

public String getTabela() {
return tabela;
}

public void setTabela(String tabela) {
this.tabela = tabela;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

