package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCndiicms {
@Coluna(nome="cndiicms.id_raicms", tipo="int")
private int idRaicms;
private boolean idRaicmsNull;
@Coluna(nome="cndiicms.dtocorrenc", tipo="FglDate")
private FglDate dtocorrenc;
@Coluna(nome="cndiicms.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cndiicms.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cndiicms.periodo", tipo="int")
private int periodo;
private boolean periodoNull;
@Coluna(nome="cndiicms.vlrfaturam", tipo="double")
private double vlrfaturam;
private boolean vlrfaturamNull;
@Coluna(nome="cndiicms.vlricmsdeb", tipo="double")
private double vlricmsdeb;
private boolean vlricmsdebNull;
@Coluna(nome="cndiicms.vlricmscre", tipo="double")
private double vlricmscre;
private boolean vlricmscreNull;
@Coluna(nome="cndiicms.vlricmsapag", tipo="double")
private double vlricmsapag;
private boolean vlricmsapagNull;
@Coluna(nome="cndiicms.avaloricms", tipo="double")
private double avaloricms;
private boolean avaloricmsNull;
@Coluna(nome="cndiicms.avalordevo", tipo="double")
private double avalordevo;
private boolean avalordevoNull;
@Coluna(nome="cndiicms.avaloranul", tipo="double")
private double avaloranul;
private boolean avaloranulNull;
@Coluna(nome="cndiicms.avalordedu", tipo="double")
private double avalordedu;
private boolean avalordeduNull;
@Coluna(nome="cndiicms.qtdefuncprod", tipo="int")
private int qtdefuncprod;
private boolean qtdefuncprodNull;
@Coluna(nome="cndiicms.qtdefuncoutr", tipo="int")
private int qtdefuncoutr;
private boolean qtdefuncoutrNull;
@Coluna(nome="cndiicms.nroguia", tipo="int")
private int nroguia;
private boolean nroguiaNull;
@Coluna(nome="cndiicms.dtguia", tipo="FglDate")
private FglDate dtguia;
@Coluna(nome="cndiicms.vlrguia", tipo="double")
private double vlrguia;
private boolean vlrguiaNull;
@Coluna(nome="cndiicms.orgaoarrec", tipo="String")
private String orgaoarrec;
@Coluna(nome="cndiicms.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="cndiicms.localentr", tipo="String")
private String localentr;
@Coluna(nome="cndiicms.observacoes", tipo="String")
private String observacoes;

public TabCndiicms() {
initialize();
}

public void initialize() {
setIdRaicms(null);
setDtocorrenc(null);
setFilial(null);
setAnomes(null);
setPeriodo(null);
setVlrfaturam(null);
setVlricmsdeb(null);
setVlricmscre(null);
setVlricmsapag(null);
setAvaloricms(null);
setAvalordevo(null);
setAvaloranul(null);
setAvalordedu(null);
setQtdefuncprod(null);
setQtdefuncoutr(null);
setNroguia(null);
setDtguia(null);
setVlrguia(null);
setOrgaoarrec(null);
setDtentrega(null);
setLocalentr(null);
setObservacoes(null);
}

public TabCndiicms(int idRaicms, FglDate dtocorrenc, int filial, FglDateTimeYM anomes, int periodo, double vlrfaturam, double vlricmsdeb, double vlricmscre, double vlricmsapag, double avaloricms, double avalordevo, double avaloranul, double avalordedu, int qtdefuncprod, int qtdefuncoutr, int nroguia, FglDate dtguia, double vlrguia, String orgaoarrec, FglDate dtentrega, String localentr, String observacoes) {
this.idRaicms = idRaicms;
this.dtocorrenc = dtocorrenc;
this.filial = filial;
this.anomes = anomes;
this.periodo = periodo;
this.vlrfaturam = vlrfaturam;
this.vlricmsdeb = vlricmsdeb;
this.vlricmscre = vlricmscre;
this.vlricmsapag = vlricmsapag;
this.avaloricms = avaloricms;
this.avalordevo = avalordevo;
this.avaloranul = avaloranul;
this.avalordedu = avalordedu;
this.qtdefuncprod = qtdefuncprod;
this.qtdefuncoutr = qtdefuncoutr;
this.nroguia = nroguia;
this.dtguia = dtguia;
this.vlrguia = vlrguia;
this.orgaoarrec = orgaoarrec;
this.dtentrega = dtentrega;
this.localentr = localentr;
this.observacoes = observacoes;
}

public int getIdRaicms() {
return idRaicms;
}

public boolean isIdRaicmsNull() {
return idRaicmsNull;
}

public void setIdRaicms(Integer idRaicms) {
if (idRaicms == null) {
idRaicmsNull = true;
this.idRaicms = 0;
} else { 
idRaicmsNull = false;
this.idRaicms = idRaicms;
}
}

public FglDate getDtocorrenc() {
return dtocorrenc;
}

public void setDtocorrenc(FglDate dtocorrenc) {
this.dtocorrenc = dtocorrenc;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getPeriodo() {
return periodo;
}

public boolean isPeriodoNull() {
return periodoNull;
}

public void setPeriodo(Integer periodo) {
if (periodo == null) {
periodoNull = true;
this.periodo = 0;
} else { 
periodoNull = false;
this.periodo = periodo;
}
}

public double getVlrfaturam() {
return vlrfaturam;
}

public boolean isVlrfaturamNull() {
return vlrfaturamNull;
}

public void setVlrfaturam(int vlrfaturam) {
setVlrfaturam(new Double(vlrfaturam));
}

public void setVlrfaturam(long vlrfaturam) {
setVlrfaturam(new Double(vlrfaturam));
}

public void setVlrfaturam(Double vlrfaturam) {
if (vlrfaturam == null) {
vlrfaturamNull = true;
this.vlrfaturam = 0.;
} else { 
vlrfaturamNull = false;
this.vlrfaturam = FglDouble.round(vlrfaturam, 2);
}
}

public double getVlricmsdeb() {
return vlricmsdeb;
}

public boolean isVlricmsdebNull() {
return vlricmsdebNull;
}

public void setVlricmsdeb(int vlricmsdeb) {
setVlricmsdeb(new Double(vlricmsdeb));
}

public void setVlricmsdeb(long vlricmsdeb) {
setVlricmsdeb(new Double(vlricmsdeb));
}

public void setVlricmsdeb(Double vlricmsdeb) {
if (vlricmsdeb == null) {
vlricmsdebNull = true;
this.vlricmsdeb = 0.;
} else { 
vlricmsdebNull = false;
this.vlricmsdeb = FglDouble.round(vlricmsdeb, 2);
}
}

public double getVlricmscre() {
return vlricmscre;
}

public boolean isVlricmscreNull() {
return vlricmscreNull;
}

public void setVlricmscre(int vlricmscre) {
setVlricmscre(new Double(vlricmscre));
}

public void setVlricmscre(long vlricmscre) {
setVlricmscre(new Double(vlricmscre));
}

public void setVlricmscre(Double vlricmscre) {
if (vlricmscre == null) {
vlricmscreNull = true;
this.vlricmscre = 0.;
} else { 
vlricmscreNull = false;
this.vlricmscre = FglDouble.round(vlricmscre, 2);
}
}

public double getVlricmsapag() {
return vlricmsapag;
}

public boolean isVlricmsapagNull() {
return vlricmsapagNull;
}

public void setVlricmsapag(int vlricmsapag) {
setVlricmsapag(new Double(vlricmsapag));
}

public void setVlricmsapag(long vlricmsapag) {
setVlricmsapag(new Double(vlricmsapag));
}

public void setVlricmsapag(Double vlricmsapag) {
if (vlricmsapag == null) {
vlricmsapagNull = true;
this.vlricmsapag = 0.;
} else { 
vlricmsapagNull = false;
this.vlricmsapag = FglDouble.round(vlricmsapag, 2);
}
}

public double getAvaloricms() {
return avaloricms;
}

public boolean isAvaloricmsNull() {
return avaloricmsNull;
}

public void setAvaloricms(int avaloricms) {
setAvaloricms(new Double(avaloricms));
}

public void setAvaloricms(long avaloricms) {
setAvaloricms(new Double(avaloricms));
}

public void setAvaloricms(Double avaloricms) {
if (avaloricms == null) {
avaloricmsNull = true;
this.avaloricms = 0.;
} else { 
avaloricmsNull = false;
this.avaloricms = FglDouble.round(avaloricms, 2);
}
}

public double getAvalordevo() {
return avalordevo;
}

public boolean isAvalordevoNull() {
return avalordevoNull;
}

public void setAvalordevo(int avalordevo) {
setAvalordevo(new Double(avalordevo));
}

public void setAvalordevo(long avalordevo) {
setAvalordevo(new Double(avalordevo));
}

public void setAvalordevo(Double avalordevo) {
if (avalordevo == null) {
avalordevoNull = true;
this.avalordevo = 0.;
} else { 
avalordevoNull = false;
this.avalordevo = FglDouble.round(avalordevo, 2);
}
}

public double getAvaloranul() {
return avaloranul;
}

public boolean isAvaloranulNull() {
return avaloranulNull;
}

public void setAvaloranul(int avaloranul) {
setAvaloranul(new Double(avaloranul));
}

public void setAvaloranul(long avaloranul) {
setAvaloranul(new Double(avaloranul));
}

public void setAvaloranul(Double avaloranul) {
if (avaloranul == null) {
avaloranulNull = true;
this.avaloranul = 0.;
} else { 
avaloranulNull = false;
this.avaloranul = FglDouble.round(avaloranul, 2);
}
}

public double getAvalordedu() {
return avalordedu;
}

public boolean isAvalordeduNull() {
return avalordeduNull;
}

public void setAvalordedu(int avalordedu) {
setAvalordedu(new Double(avalordedu));
}

public void setAvalordedu(long avalordedu) {
setAvalordedu(new Double(avalordedu));
}

public void setAvalordedu(Double avalordedu) {
if (avalordedu == null) {
avalordeduNull = true;
this.avalordedu = 0.;
} else { 
avalordeduNull = false;
this.avalordedu = FglDouble.round(avalordedu, 2);
}
}

public int getQtdefuncprod() {
return qtdefuncprod;
}

public boolean isQtdefuncprodNull() {
return qtdefuncprodNull;
}

public void setQtdefuncprod(Integer qtdefuncprod) {
if (qtdefuncprod == null) {
qtdefuncprodNull = true;
this.qtdefuncprod = 0;
} else { 
qtdefuncprodNull = false;
this.qtdefuncprod = qtdefuncprod;
}
}

public int getQtdefuncoutr() {
return qtdefuncoutr;
}

public boolean isQtdefuncoutrNull() {
return qtdefuncoutrNull;
}

public void setQtdefuncoutr(Integer qtdefuncoutr) {
if (qtdefuncoutr == null) {
qtdefuncoutrNull = true;
this.qtdefuncoutr = 0;
} else { 
qtdefuncoutrNull = false;
this.qtdefuncoutr = qtdefuncoutr;
}
}

public int getNroguia() {
return nroguia;
}

public boolean isNroguiaNull() {
return nroguiaNull;
}

public void setNroguia(Integer nroguia) {
if (nroguia == null) {
nroguiaNull = true;
this.nroguia = 0;
} else { 
nroguiaNull = false;
this.nroguia = nroguia;
}
}

public FglDate getDtguia() {
return dtguia;
}

public void setDtguia(FglDate dtguia) {
this.dtguia = dtguia;
}

public double getVlrguia() {
return vlrguia;
}

public boolean isVlrguiaNull() {
return vlrguiaNull;
}

public void setVlrguia(int vlrguia) {
setVlrguia(new Double(vlrguia));
}

public void setVlrguia(long vlrguia) {
setVlrguia(new Double(vlrguia));
}

public void setVlrguia(Double vlrguia) {
if (vlrguia == null) {
vlrguiaNull = true;
this.vlrguia = 0.;
} else { 
vlrguiaNull = false;
this.vlrguia = FglDouble.round(vlrguia, 2);
}
}

public String getOrgaoarrec() {
return orgaoarrec;
}

public void setOrgaoarrec(String orgaoarrec) {
this.orgaoarrec = orgaoarrec;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public String getLocalentr() {
return localentr;
}

public void setLocalentr(String localentr) {
this.localentr = localentr;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

}

