package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnfcpsup {
@Coluna(nome="cnfcpsup.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnfcpsup.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="cnfcpsup.classefiscalini", tipo="String")
private String classefiscalini;
@Coluna(nome="cnfcpsup.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnfcpsup.classefiscalfin", tipo="String")
private String classefiscalfin;
@Coluna(nome="cnfcpsup.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cnfcpsup.pfcp", tipo="double")
private double pfcp;
private boolean pfcpNull;
@Coluna(nome="cnfcpsup.idtbasecalculo", tipo="String")
private String idtbasecalculo;
@Coluna(nome="cnfcpsup.infadicionais", tipo="String")
private String infadicionais;

public TabCnfcpsup() {
initialize();
}

public void initialize() {
setFilial(null);
setUfederacao(null);
setClassefiscalini(null);
setDtinicio(null);
setClassefiscalfin(null);
setDtfim(null);
setPfcp(null);
setIdtbasecalculo(null);
setInfadicionais(null);
}

public TabCnfcpsup(int filial, String ufederacao, String classefiscalini, FglDate dtinicio, String classefiscalfin, FglDate dtfim, double pfcp, String idtbasecalculo, String infadicionais) {
this.filial = filial;
this.ufederacao = ufederacao;
this.classefiscalini = classefiscalini;
this.dtinicio = dtinicio;
this.classefiscalfin = classefiscalfin;
this.dtfim = dtfim;
this.pfcp = pfcp;
this.idtbasecalculo = idtbasecalculo;
this.infadicionais = infadicionais;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public String getClassefiscalini() {
return classefiscalini;
}

public void setClassefiscalini(String classefiscalini) {
this.classefiscalini = classefiscalini;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public String getClassefiscalfin() {
return classefiscalfin;
}

public void setClassefiscalfin(String classefiscalfin) {
this.classefiscalfin = classefiscalfin;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPfcp() {
return pfcp;
}

public boolean isPfcpNull() {
return pfcpNull;
}

public void setPfcp(int pfcp) {
setPfcp(new Double(pfcp));
}

public void setPfcp(long pfcp) {
setPfcp(new Double(pfcp));
}

public void setPfcp(Double pfcp) {
if (pfcp == null) {
pfcpNull = true;
this.pfcp = 0.;
} else { 
pfcpNull = false;
this.pfcp = FglDouble.round(pfcp, 2);
}
}

public String getIdtbasecalculo() {
return idtbasecalculo;
}

public void setIdtbasecalculo(String idtbasecalculo) {
this.idtbasecalculo = idtbasecalculo;
}

public String getInfadicionais() {
return infadicionais;
}

public void setInfadicionais(String infadicionais) {
this.infadicionais = infadicionais;
}

}

