package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCngnrerc {
@Coluna(nome="cngnrerc.id_cngnrerc", tipo="int")
private int idCngnrerc;
private boolean idCngnrercNull;
@Coluna(nome="cngnrerc.ambiente", tipo="int")
private int ambiente;
private boolean ambienteNull;
@Coluna(nome="cngnrerc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cngnrerc.uf_favorecida", tipo="String")
private String ufFavorecida;
@Coluna(nome="cngnrerc.cnpjcpf_favorecido", tipo="long")
private long cnpjcpfFavorecido;
private boolean cnpjcpfFavorecidoNull;
@Coluna(nome="cngnrerc.dat_vencimento", tipo="FglDate")
private FglDate datVencimento;
@Coluna(nome="cngnrerc.vlr_total", tipo="double")
private double vlrTotal;
private boolean vlrTotalNull;
@Coluna(nome="cngnrerc.xml_dados_gnre", tipo="String")
private String xmlDadosGnre;
@Coluna(nome="cngnrerc.datahora_envio", tipo="FglDateTimeYS")
private FglDateTimeYS datahoraEnvio;
@Coluna(nome="cngnrerc.codigo_envio", tipo="int")
private int codigoEnvio;
private boolean codigoEnvioNull;
@Coluna(nome="cngnrerc.descricao_envio", tipo="String")
private String descricaoEnvio;
@Coluna(nome="cngnrerc.numero_recibo", tipo="int")
private int numeroRecibo;
private boolean numeroReciboNull;
@Coluna(nome="cngnrerc.datahora_recibo", tipo="FglDateTimeYS")
private FglDateTimeYS datahoraRecibo;
@Coluna(nome="cngnrerc.tempo_est_proc", tipo="int")
private int tempoEstProc;
private boolean tempoEstProcNull;
@Coluna(nome="cngnrerc.cod_processamento", tipo="int")
private int codProcessamento;
private boolean codProcessamentoNull;
@Coluna(nome="cngnrerc.des_processamento", tipo="String")
private String desProcessamento;
@Coluna(nome="cngnrerc.xml_recibo_gnre", tipo="String")
private String xmlReciboGnre;
@Coluna(nome="cngnrerc.processado", tipo="String")
private String processado;

public TabCngnrerc() {
initialize();
}

public void initialize() {
setIdCngnrerc(null);
setAmbiente(null);
setFilial(null);
setUfFavorecida(null);
setCnpjcpfFavorecido(null);
setDatVencimento(null);
setVlrTotal(null);
setXmlDadosGnre(null);
setDatahoraEnvio(null);
setCodigoEnvio(null);
setDescricaoEnvio(null);
setNumeroRecibo(null);
setDatahoraRecibo(null);
setTempoEstProc(null);
setCodProcessamento(null);
setDesProcessamento(null);
setXmlReciboGnre(null);
setProcessado(null);
}

public TabCngnrerc(int idCngnrerc, int ambiente, int filial, String ufFavorecida, long cnpjcpfFavorecido, FglDate datVencimento, double vlrTotal, String xmlDadosGnre, FglDateTimeYS datahoraEnvio, int codigoEnvio, String descricaoEnvio, int numeroRecibo, FglDateTimeYS datahoraRecibo, int tempoEstProc, int codProcessamento, String desProcessamento, String xmlReciboGnre, String processado) {
this.idCngnrerc = idCngnrerc;
this.ambiente = ambiente;
this.filial = filial;
this.ufFavorecida = ufFavorecida;
this.cnpjcpfFavorecido = cnpjcpfFavorecido;
this.datVencimento = datVencimento;
this.vlrTotal = vlrTotal;
this.xmlDadosGnre = xmlDadosGnre;
this.datahoraEnvio = datahoraEnvio;
this.codigoEnvio = codigoEnvio;
this.descricaoEnvio = descricaoEnvio;
this.numeroRecibo = numeroRecibo;
this.datahoraRecibo = datahoraRecibo;
this.tempoEstProc = tempoEstProc;
this.codProcessamento = codProcessamento;
this.desProcessamento = desProcessamento;
this.xmlReciboGnre = xmlReciboGnre;
this.processado = processado;
}

public int getIdCngnrerc() {
return idCngnrerc;
}

public boolean isIdCngnrercNull() {
return idCngnrercNull;
}

public void setIdCngnrerc(Integer idCngnrerc) {
if (idCngnrerc == null) {
idCngnrercNull = true;
this.idCngnrerc = 0;
} else { 
idCngnrercNull = false;
this.idCngnrerc = idCngnrerc;
}
}

public int getAmbiente() {
return ambiente;
}

public boolean isAmbienteNull() {
return ambienteNull;
}

public void setAmbiente(Integer ambiente) {
if (ambiente == null) {
ambienteNull = true;
this.ambiente = 0;
} else { 
ambienteNull = false;
this.ambiente = ambiente;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUfFavorecida() {
return ufFavorecida;
}

public void setUfFavorecida(String ufFavorecida) {
this.ufFavorecida = ufFavorecida;
}

public long getCnpjcpfFavorecido() {
return cnpjcpfFavorecido;
}

public boolean isCnpjcpfFavorecidoNull() {
return cnpjcpfFavorecidoNull;
}

public void setCnpjcpfFavorecido(int cnpjcpfFavorecido) {
setCnpjcpfFavorecido(new Long(cnpjcpfFavorecido));
}

public void setCnpjcpfFavorecido(Long cnpjcpfFavorecido) {
if (cnpjcpfFavorecido == null) {
cnpjcpfFavorecidoNull = true;
this.cnpjcpfFavorecido = 0l;
} else { 
cnpjcpfFavorecidoNull = false;
this.cnpjcpfFavorecido = cnpjcpfFavorecido;
}
}

public FglDate getDatVencimento() {
return datVencimento;
}

public void setDatVencimento(FglDate datVencimento) {
this.datVencimento = datVencimento;
}

public double getVlrTotal() {
return vlrTotal;
}

public boolean isVlrTotalNull() {
return vlrTotalNull;
}

public void setVlrTotal(int vlrTotal) {
setVlrTotal(new Double(vlrTotal));
}

public void setVlrTotal(long vlrTotal) {
setVlrTotal(new Double(vlrTotal));
}

public void setVlrTotal(Double vlrTotal) {
if (vlrTotal == null) {
vlrTotalNull = true;
this.vlrTotal = 0.;
} else { 
vlrTotalNull = false;
this.vlrTotal = FglDouble.round(vlrTotal, 2);
}
}

public String getXmlDadosGnre() {
return xmlDadosGnre;
}

public void setXmlDadosGnre(String xmlDadosGnre) {
this.xmlDadosGnre = xmlDadosGnre;
}

public FglDateTimeYS getDatahoraEnvio() {
return datahoraEnvio;
}

public void setDatahoraEnvio(FglDateTimeYS datahoraEnvio) {
this.datahoraEnvio = datahoraEnvio;
}

public int getCodigoEnvio() {
return codigoEnvio;
}

public boolean isCodigoEnvioNull() {
return codigoEnvioNull;
}

public void setCodigoEnvio(Integer codigoEnvio) {
if (codigoEnvio == null) {
codigoEnvioNull = true;
this.codigoEnvio = 0;
} else { 
codigoEnvioNull = false;
this.codigoEnvio = codigoEnvio;
}
}

public String getDescricaoEnvio() {
return descricaoEnvio;
}

public void setDescricaoEnvio(String descricaoEnvio) {
this.descricaoEnvio = descricaoEnvio;
}

public int getNumeroRecibo() {
return numeroRecibo;
}

public boolean isNumeroReciboNull() {
return numeroReciboNull;
}

public void setNumeroRecibo(Integer numeroRecibo) {
if (numeroRecibo == null) {
numeroReciboNull = true;
this.numeroRecibo = 0;
} else { 
numeroReciboNull = false;
this.numeroRecibo = numeroRecibo;
}
}

public FglDateTimeYS getDatahoraRecibo() {
return datahoraRecibo;
}

public void setDatahoraRecibo(FglDateTimeYS datahoraRecibo) {
this.datahoraRecibo = datahoraRecibo;
}

public int getTempoEstProc() {
return tempoEstProc;
}

public boolean isTempoEstProcNull() {
return tempoEstProcNull;
}

public void setTempoEstProc(Integer tempoEstProc) {
if (tempoEstProc == null) {
tempoEstProcNull = true;
this.tempoEstProc = 0;
} else { 
tempoEstProcNull = false;
this.tempoEstProc = tempoEstProc;
}
}

public int getCodProcessamento() {
return codProcessamento;
}

public boolean isCodProcessamentoNull() {
return codProcessamentoNull;
}

public void setCodProcessamento(Integer codProcessamento) {
if (codProcessamento == null) {
codProcessamentoNull = true;
this.codProcessamento = 0;
} else { 
codProcessamentoNull = false;
this.codProcessamento = codProcessamento;
}
}

public String getDesProcessamento() {
return desProcessamento;
}

public void setDesProcessamento(String desProcessamento) {
this.desProcessamento = desProcessamento;
}

public String getXmlReciboGnre() {
return xmlReciboGnre;
}

public void setXmlReciboGnre(String xmlReciboGnre) {
this.xmlReciboGnre = xmlReciboGnre;
}

public String getProcessado() {
return processado;
}

public void setProcessado(String processado) {
this.processado = processado;
}

}

