package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnintcap {
@Coluna(nome="cnintcap.id_intcap", tipo="int")
private int idIntcap;
private boolean idIntcapNull;
@Coluna(nome="cnintcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnintcap.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="cnintcap.transacao", tipo="String")
private String transacao;
@Coluna(nome="cnintcap.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="cnintcap.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cnintcap.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cnintcap.valoritem", tipo="double")
private double valoritem;
private boolean valoritemNull;
@Coluna(nome="cnintcap.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cnintcap.valoracresc", tipo="double")
private double valoracresc;
private boolean valoracrescNull;
@Coluna(nome="cnintcap.totnfiscal", tipo="double")
private double totnfiscal;
private boolean totnfiscalNull;
@Coluna(nome="cnintcap.baseicms", tipo="double")
private double baseicms;
private boolean baseicmsNull;
@Coluna(nome="cnintcap.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;
@Coluna(nome="cnintcap.maoobraint", tipo="double")
private double maoobraint;
private boolean maoobraintNull;
@Coluna(nome="cnintcap.maoobraext", tipo="double")
private double maoobraext;
private boolean maoobraextNull;
@Coluna(nome="cnintcap.descontomob", tipo="double")
private double descontomob;
private boolean descontomobNull;
@Coluna(nome="cnintcap.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="cnintcap.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cnintcap.dtefetivacao", tipo="FglDate")
private FglDate dtefetivacao;

public TabCnintcap() {
initialize();
}

public void initialize() {
setIdIntcap(null);
setFilial(null);
setOrdemserv(null);
setTransacao(null);
setDtnota(null);
setIdAgente(null);
setIdSetor(null);
setValoritem(null);
setValordesc(null);
setValoracresc(null);
setTotnfiscal(null);
setBaseicms(null);
setValoricms(null);
setMaoobraint(null);
setMaoobraext(null);
setDescontomob(null);
setTpordem(null);
setIdLancto(null);
setDtefetivacao(null);
}

public TabCnintcap(int idIntcap, int filial, int ordemserv, String transacao, FglDate dtnota, int idAgente, int idSetor, double valoritem, double valordesc, double valoracresc, double totnfiscal, double baseicms, double valoricms, double maoobraint, double maoobraext, double descontomob, String tpordem, int idLancto, FglDate dtefetivacao) {
this.idIntcap = idIntcap;
this.filial = filial;
this.ordemserv = ordemserv;
this.transacao = transacao;
this.dtnota = dtnota;
this.idAgente = idAgente;
this.idSetor = idSetor;
this.valoritem = valoritem;
this.valordesc = valordesc;
this.valoracresc = valoracresc;
this.totnfiscal = totnfiscal;
this.baseicms = baseicms;
this.valoricms = valoricms;
this.maoobraint = maoobraint;
this.maoobraext = maoobraext;
this.descontomob = descontomob;
this.tpordem = tpordem;
this.idLancto = idLancto;
this.dtefetivacao = dtefetivacao;
}

public int getIdIntcap() {
return idIntcap;
}

public boolean isIdIntcapNull() {
return idIntcapNull;
}

public void setIdIntcap(Integer idIntcap) {
if (idIntcap == null) {
idIntcapNull = true;
this.idIntcap = 0;
} else { 
idIntcapNull = false;
this.idIntcap = idIntcap;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public double getValoritem() {
return valoritem;
}

public boolean isValoritemNull() {
return valoritemNull;
}

public void setValoritem(int valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(long valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(Double valoritem) {
if (valoritem == null) {
valoritemNull = true;
this.valoritem = 0.;
} else { 
valoritemNull = false;
this.valoritem = FglDouble.round(valoritem, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValoracresc() {
return valoracresc;
}

public boolean isValoracrescNull() {
return valoracrescNull;
}

public void setValoracresc(int valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(long valoracresc) {
setValoracresc(new Double(valoracresc));
}

public void setValoracresc(Double valoracresc) {
if (valoracresc == null) {
valoracrescNull = true;
this.valoracresc = 0.;
} else { 
valoracrescNull = false;
this.valoracresc = FglDouble.round(valoracresc, 2);
}
}

public double getTotnfiscal() {
return totnfiscal;
}

public boolean isTotnfiscalNull() {
return totnfiscalNull;
}

public void setTotnfiscal(int totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(long totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(Double totnfiscal) {
if (totnfiscal == null) {
totnfiscalNull = true;
this.totnfiscal = 0.;
} else { 
totnfiscalNull = false;
this.totnfiscal = FglDouble.round(totnfiscal, 2);
}
}

public double getBaseicms() {
return baseicms;
}

public boolean isBaseicmsNull() {
return baseicmsNull;
}

public void setBaseicms(int baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(long baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(Double baseicms) {
if (baseicms == null) {
baseicmsNull = true;
this.baseicms = 0.;
} else { 
baseicmsNull = false;
this.baseicms = FglDouble.round(baseicms, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

public double getMaoobraint() {
return maoobraint;
}

public boolean isMaoobraintNull() {
return maoobraintNull;
}

public void setMaoobraint(int maoobraint) {
setMaoobraint(new Double(maoobraint));
}

public void setMaoobraint(long maoobraint) {
setMaoobraint(new Double(maoobraint));
}

public void setMaoobraint(Double maoobraint) {
if (maoobraint == null) {
maoobraintNull = true;
this.maoobraint = 0.;
} else { 
maoobraintNull = false;
this.maoobraint = FglDouble.round(maoobraint, 2);
}
}

public double getMaoobraext() {
return maoobraext;
}

public boolean isMaoobraextNull() {
return maoobraextNull;
}

public void setMaoobraext(int maoobraext) {
setMaoobraext(new Double(maoobraext));
}

public void setMaoobraext(long maoobraext) {
setMaoobraext(new Double(maoobraext));
}

public void setMaoobraext(Double maoobraext) {
if (maoobraext == null) {
maoobraextNull = true;
this.maoobraext = 0.;
} else { 
maoobraextNull = false;
this.maoobraext = FglDouble.round(maoobraext, 2);
}
}

public double getDescontomob() {
return descontomob;
}

public boolean isDescontomobNull() {
return descontomobNull;
}

public void setDescontomob(int descontomob) {
setDescontomob(new Double(descontomob));
}

public void setDescontomob(long descontomob) {
setDescontomob(new Double(descontomob));
}

public void setDescontomob(Double descontomob) {
if (descontomob == null) {
descontomobNull = true;
this.descontomob = 0.;
} else { 
descontomobNull = false;
this.descontomob = FglDouble.round(descontomob, 2);
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public FglDate getDtefetivacao() {
return dtefetivacao;
}

public void setDtefetivacao(FglDate dtefetivacao) {
this.dtefetivacao = dtefetivacao;
}

}

