package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCninteeq {
@Coluna(nome="cninteeq.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cninteeq.nroequip", tipo="int")
private int nroequip;
private boolean nroequipNull;
@Coluna(nome="cninteeq.sequencial", tipo="int")
private int sequencial;
private boolean sequencialNull;
@Coluna(nome="cninteeq.tipo_ecf", tipo="String")
private String tipoEcf;
@Coluna(nome="cninteeq.vlr_gt_final", tipo="double")
private double vlrGtFinal;
private boolean vlrGtFinalNull;
@Coluna(nome="cninteeq.num_cro", tipo="String")
private String numCro;
@Coluna(nome="cninteeq.data_interv", tipo="FglDate")
private FglDate dataInterv;
@Coluna(nome="cninteeq.ind_interv", tipo="String")
private String indInterv;
@Coluna(nome="cninteeq.ind_perda", tipo="String")
private String indPerda;
@Coluna(nome="cninteeq.ind_motivo", tipo="String")
private String indMotivo;
@Coluna(nome="cninteeq.memoria_ant", tipo="String")
private String memoriaAnt;
@Coluna(nome="cninteeq.memoria_nova", tipo="String")
private String memoriaNova;

public TabCninteeq() {
initialize();
}

public void initialize() {
setFilial(null);
setNroequip(null);
setSequencial(null);
setTipoEcf(null);
setVlrGtFinal(null);
setNumCro(null);
setDataInterv(null);
setIndInterv(null);
setIndPerda(null);
setIndMotivo(null);
setMemoriaAnt(null);
setMemoriaNova(null);
}

public TabCninteeq(int filial, int nroequip, int sequencial, String tipoEcf, double vlrGtFinal, String numCro, FglDate dataInterv, String indInterv, String indPerda, String indMotivo, String memoriaAnt, String memoriaNova) {
this.filial = filial;
this.nroequip = nroequip;
this.sequencial = sequencial;
this.tipoEcf = tipoEcf;
this.vlrGtFinal = vlrGtFinal;
this.numCro = numCro;
this.dataInterv = dataInterv;
this.indInterv = indInterv;
this.indPerda = indPerda;
this.indMotivo = indMotivo;
this.memoriaAnt = memoriaAnt;
this.memoriaNova = memoriaNova;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroequip() {
return nroequip;
}

public boolean isNroequipNull() {
return nroequipNull;
}

public void setNroequip(Integer nroequip) {
if (nroequip == null) {
nroequipNull = true;
this.nroequip = 0;
} else { 
nroequipNull = false;
this.nroequip = nroequip;
}
}

public int getSequencial() {
return sequencial;
}

public boolean isSequencialNull() {
return sequencialNull;
}

public void setSequencial(Integer sequencial) {
if (sequencial == null) {
sequencialNull = true;
this.sequencial = 0;
} else { 
sequencialNull = false;
this.sequencial = sequencial;
}
}

public String getTipoEcf() {
return tipoEcf;
}

public void setTipoEcf(String tipoEcf) {
this.tipoEcf = tipoEcf;
}

public double getVlrGtFinal() {
return vlrGtFinal;
}

public boolean isVlrGtFinalNull() {
return vlrGtFinalNull;
}

public void setVlrGtFinal(int vlrGtFinal) {
setVlrGtFinal(new Double(vlrGtFinal));
}

public void setVlrGtFinal(long vlrGtFinal) {
setVlrGtFinal(new Double(vlrGtFinal));
}

public void setVlrGtFinal(Double vlrGtFinal) {
if (vlrGtFinal == null) {
vlrGtFinalNull = true;
this.vlrGtFinal = 0.;
} else { 
vlrGtFinalNull = false;
this.vlrGtFinal = FglDouble.round(vlrGtFinal, 2);
}
}

public String getNumCro() {
return numCro;
}

public void setNumCro(String numCro) {
this.numCro = numCro;
}

public FglDate getDataInterv() {
return dataInterv;
}

public void setDataInterv(FglDate dataInterv) {
this.dataInterv = dataInterv;
}

public String getIndInterv() {
return indInterv;
}

public void setIndInterv(String indInterv) {
this.indInterv = indInterv;
}

public String getIndPerda() {
return indPerda;
}

public void setIndPerda(String indPerda) {
this.indPerda = indPerda;
}

public String getIndMotivo() {
return indMotivo;
}

public void setIndMotivo(String indMotivo) {
this.indMotivo = indMotivo;
}

public String getMemoriaAnt() {
return memoriaAnt;
}

public void setMemoriaAnt(String memoriaAnt) {
this.memoriaAnt = memoriaAnt;
}

public String getMemoriaNova() {
return memoriaNova;
}

public void setMemoriaNova(String memoriaNova) {
this.memoriaNova = memoriaNova;
}

}

