package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnintori {
@Coluna(nome="cnintori.nroendosso", tipo="int")
private int nroendosso;
private boolean nroendossoNull;
@Coluna(nome="cnintori.nroreviori", tipo="int")
private int nroreviori;
private boolean nrorevioriNull;
@Coluna(nome="cnintori.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnintori.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cnintori.tempo_mecanica", tipo="double")
private double tempoMecanica;
private boolean tempoMecanicaNull;
@Coluna(nome="cnintori.tempo_funilaria", tipo="double")
private double tempoFunilaria;
private boolean tempoFunilariaNull;
@Coluna(nome="cnintori.tempo_pintura", tipo="double")
private double tempoPintura;
private boolean tempoPinturaNull;
@Coluna(nome="cnintori.tempo_eletrica", tipo="double")
private double tempoEletrica;
private boolean tempoEletricaNull;
@Coluna(nome="cnintori.tempo_tapecaria", tipo="double")
private double tempoTapecaria;
private boolean tempoTapecariaNull;
@Coluna(nome="cnintori.tempo_vidracaria", tipo="double")
private double tempoVidracaria;
private boolean tempoVidracariaNull;
@Coluna(nome="cnintori.tempo_reparacao", tipo="double")
private double tempoReparacao;
private boolean tempoReparacaoNull;

public TabCnintori() {
initialize();
}

public void initialize() {
setNroendosso(null);
setNroreviori(null);
setFilial(null);
setIdOrccap(null);
setTempoMecanica(null);
setTempoFunilaria(null);
setTempoPintura(null);
setTempoEletrica(null);
setTempoTapecaria(null);
setTempoVidracaria(null);
setTempoReparacao(null);
}

public TabCnintori(int nroendosso, int nroreviori, int filial, int idOrccap, double tempoMecanica, double tempoFunilaria, double tempoPintura, double tempoEletrica, double tempoTapecaria, double tempoVidracaria, double tempoReparacao) {
this.nroendosso = nroendosso;
this.nroreviori = nroreviori;
this.filial = filial;
this.idOrccap = idOrccap;
this.tempoMecanica = tempoMecanica;
this.tempoFunilaria = tempoFunilaria;
this.tempoPintura = tempoPintura;
this.tempoEletrica = tempoEletrica;
this.tempoTapecaria = tempoTapecaria;
this.tempoVidracaria = tempoVidracaria;
this.tempoReparacao = tempoReparacao;
}

public int getNroendosso() {
return nroendosso;
}

public boolean isNroendossoNull() {
return nroendossoNull;
}

public void setNroendosso(Integer nroendosso) {
if (nroendosso == null) {
nroendossoNull = true;
this.nroendosso = 0;
} else { 
nroendossoNull = false;
this.nroendosso = nroendosso;
}
}

public int getNroreviori() {
return nroreviori;
}

public boolean isNrorevioriNull() {
return nrorevioriNull;
}

public void setNroreviori(Integer nroreviori) {
if (nroreviori == null) {
nrorevioriNull = true;
this.nroreviori = 0;
} else { 
nrorevioriNull = false;
this.nroreviori = nroreviori;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public double getTempoMecanica() {
return tempoMecanica;
}

public boolean isTempoMecanicaNull() {
return tempoMecanicaNull;
}

public void setTempoMecanica(int tempoMecanica) {
setTempoMecanica(new Double(tempoMecanica));
}

public void setTempoMecanica(long tempoMecanica) {
setTempoMecanica(new Double(tempoMecanica));
}

public void setTempoMecanica(Double tempoMecanica) {
if (tempoMecanica == null) {
tempoMecanicaNull = true;
this.tempoMecanica = 0.;
} else { 
tempoMecanicaNull = false;
this.tempoMecanica = FglDouble.round(tempoMecanica, 2);
}
}

public double getTempoFunilaria() {
return tempoFunilaria;
}

public boolean isTempoFunilariaNull() {
return tempoFunilariaNull;
}

public void setTempoFunilaria(int tempoFunilaria) {
setTempoFunilaria(new Double(tempoFunilaria));
}

public void setTempoFunilaria(long tempoFunilaria) {
setTempoFunilaria(new Double(tempoFunilaria));
}

public void setTempoFunilaria(Double tempoFunilaria) {
if (tempoFunilaria == null) {
tempoFunilariaNull = true;
this.tempoFunilaria = 0.;
} else { 
tempoFunilariaNull = false;
this.tempoFunilaria = FglDouble.round(tempoFunilaria, 2);
}
}

public double getTempoPintura() {
return tempoPintura;
}

public boolean isTempoPinturaNull() {
return tempoPinturaNull;
}

public void setTempoPintura(int tempoPintura) {
setTempoPintura(new Double(tempoPintura));
}

public void setTempoPintura(long tempoPintura) {
setTempoPintura(new Double(tempoPintura));
}

public void setTempoPintura(Double tempoPintura) {
if (tempoPintura == null) {
tempoPinturaNull = true;
this.tempoPintura = 0.;
} else { 
tempoPinturaNull = false;
this.tempoPintura = FglDouble.round(tempoPintura, 2);
}
}

public double getTempoEletrica() {
return tempoEletrica;
}

public boolean isTempoEletricaNull() {
return tempoEletricaNull;
}

public void setTempoEletrica(int tempoEletrica) {
setTempoEletrica(new Double(tempoEletrica));
}

public void setTempoEletrica(long tempoEletrica) {
setTempoEletrica(new Double(tempoEletrica));
}

public void setTempoEletrica(Double tempoEletrica) {
if (tempoEletrica == null) {
tempoEletricaNull = true;
this.tempoEletrica = 0.;
} else { 
tempoEletricaNull = false;
this.tempoEletrica = FglDouble.round(tempoEletrica, 2);
}
}

public double getTempoTapecaria() {
return tempoTapecaria;
}

public boolean isTempoTapecariaNull() {
return tempoTapecariaNull;
}

public void setTempoTapecaria(int tempoTapecaria) {
setTempoTapecaria(new Double(tempoTapecaria));
}

public void setTempoTapecaria(long tempoTapecaria) {
setTempoTapecaria(new Double(tempoTapecaria));
}

public void setTempoTapecaria(Double tempoTapecaria) {
if (tempoTapecaria == null) {
tempoTapecariaNull = true;
this.tempoTapecaria = 0.;
} else { 
tempoTapecariaNull = false;
this.tempoTapecaria = FglDouble.round(tempoTapecaria, 2);
}
}

public double getTempoVidracaria() {
return tempoVidracaria;
}

public boolean isTempoVidracariaNull() {
return tempoVidracariaNull;
}

public void setTempoVidracaria(int tempoVidracaria) {
setTempoVidracaria(new Double(tempoVidracaria));
}

public void setTempoVidracaria(long tempoVidracaria) {
setTempoVidracaria(new Double(tempoVidracaria));
}

public void setTempoVidracaria(Double tempoVidracaria) {
if (tempoVidracaria == null) {
tempoVidracariaNull = true;
this.tempoVidracaria = 0.;
} else { 
tempoVidracariaNull = false;
this.tempoVidracaria = FglDouble.round(tempoVidracaria, 2);
}
}

public double getTempoReparacao() {
return tempoReparacao;
}

public boolean isTempoReparacaoNull() {
return tempoReparacaoNull;
}

public void setTempoReparacao(int tempoReparacao) {
setTempoReparacao(new Double(tempoReparacao));
}

public void setTempoReparacao(long tempoReparacao) {
setTempoReparacao(new Double(tempoReparacao));
}

public void setTempoReparacao(Double tempoReparacao) {
if (tempoReparacao == null) {
tempoReparacaoNull = true;
this.tempoReparacao = 0.;
} else { 
tempoReparacaoNull = false;
this.tempoReparacao = FglDouble.round(tempoReparacao, 2);
}
}

}

