package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnissret {
@Coluna(nome="cnissret.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cnissret.usogenerico", tipo="String")
private String usogenerico;
@Coluna(nome="cnissret.tiporesp", tipo="String")
private String tiporesp;
@Coluna(nome="cnissret.vlrminimo", tipo="double")
private double vlrminimo;
private boolean vlrminimoNull;
@Coluna(nome="cnissret.observacao", tipo="String")
private String observacao;
@Coluna(nome="cnissret.verpessoa", tipo="String")
private String verpessoa;
@Coluna(nome="cnissret.deduzisstnf", tipo="String")
private String deduzisstnf;

public TabCnissret() {
initialize();
}

public void initialize() {
setCidade(null);
setUsogenerico(null);
setTiporesp(null);
setVlrminimo(null);
setObservacao(null);
setVerpessoa(null);
setDeduzisstnf(null);
}

public TabCnissret(int cidade, String usogenerico, String tiporesp, double vlrminimo, String observacao, String verpessoa, String deduzisstnf) {
this.cidade = cidade;
this.usogenerico = usogenerico;
this.tiporesp = tiporesp;
this.vlrminimo = vlrminimo;
this.observacao = observacao;
this.verpessoa = verpessoa;
this.deduzisstnf = deduzisstnf;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getUsogenerico() {
return usogenerico;
}

public void setUsogenerico(String usogenerico) {
this.usogenerico = usogenerico;
}

public String getTiporesp() {
return tiporesp;
}

public void setTiporesp(String tiporesp) {
this.tiporesp = tiporesp;
}

public double getVlrminimo() {
return vlrminimo;
}

public boolean isVlrminimoNull() {
return vlrminimoNull;
}

public void setVlrminimo(int vlrminimo) {
setVlrminimo(new Double(vlrminimo));
}

public void setVlrminimo(long vlrminimo) {
setVlrminimo(new Double(vlrminimo));
}

public void setVlrminimo(Double vlrminimo) {
if (vlrminimo == null) {
vlrminimoNull = true;
this.vlrminimo = 0.;
} else { 
vlrminimoNull = false;
this.vlrminimo = FglDouble.round(vlrminimo, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getVerpessoa() {
return verpessoa;
}

public void setVerpessoa(String verpessoa) {
this.verpessoa = verpessoa;
}

public String getDeduzisstnf() {
return deduzisstnf;
}

public void setDeduzisstnf(String deduzisstnf) {
this.deduzisstnf = deduzisstnf;
}

}

