package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCnmandes {
@Coluna(nome="cnmandes.id_cnmandes", tipo="int")
private int idCnmandes;
private boolean idCnmandesNull;
@Coluna(nome="cnmandes.chave_nfe", tipo="String")
private String chaveNfe;
@Coluna(nome="cnmandes.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cnmandes.status_evento", tipo="int")
private int statusEvento;
private boolean statusEventoNull;
@Coluna(nome="cnmandes.descr_status", tipo="String")
private String descrStatus;
@Coluna(nome="cnmandes.data_evento", tipo="FglDateTimeYS")
private FglDateTimeYS dataEvento;
@Coluna(nome="cnmandes.codigo_evento", tipo="String")
private String codigoEvento;
@Coluna(nome="cnmandes.observacao", tipo="String")
private String observacao;
@Coluna(nome="cnmandes.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;

public TabCnmandes() {
initialize();
}

public void initialize() {
setIdCnmandes(null);
setChaveNfe(null);
setIdAgente(null);
setStatusEvento(null);
setDescrStatus(null);
setDataEvento(null);
setCodigoEvento(null);
setObservacao(null);
setCgccpf(null);
}

public TabCnmandes(int idCnmandes, String chaveNfe, int idAgente, int statusEvento, String descrStatus, FglDateTimeYS dataEvento, String codigoEvento, String observacao, long cgccpf) {
this.idCnmandes = idCnmandes;
this.chaveNfe = chaveNfe;
this.idAgente = idAgente;
this.statusEvento = statusEvento;
this.descrStatus = descrStatus;
this.dataEvento = dataEvento;
this.codigoEvento = codigoEvento;
this.observacao = observacao;
this.cgccpf = cgccpf;
}

public int getIdCnmandes() {
return idCnmandes;
}

public boolean isIdCnmandesNull() {
return idCnmandesNull;
}

public void setIdCnmandes(Integer idCnmandes) {
if (idCnmandes == null) {
idCnmandesNull = true;
this.idCnmandes = 0;
} else { 
idCnmandesNull = false;
this.idCnmandes = idCnmandes;
}
}

public String getChaveNfe() {
return chaveNfe;
}

public void setChaveNfe(String chaveNfe) {
this.chaveNfe = chaveNfe;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getStatusEvento() {
return statusEvento;
}

public boolean isStatusEventoNull() {
return statusEventoNull;
}

public void setStatusEvento(Integer statusEvento) {
if (statusEvento == null) {
statusEventoNull = true;
this.statusEvento = 0;
} else { 
statusEventoNull = false;
this.statusEvento = statusEvento;
}
}

public String getDescrStatus() {
return descrStatus;
}

public void setDescrStatus(String descrStatus) {
this.descrStatus = descrStatus;
}

public FglDateTimeYS getDataEvento() {
return dataEvento;
}

public void setDataEvento(FglDateTimeYS dataEvento) {
this.dataEvento = dataEvento;
}

public String getCodigoEvento() {
return codigoEvento;
}

public void setCodigoEvento(String codigoEvento) {
this.codigoEvento = codigoEvento;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

}

