package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnmodfis {
@Coluna(nome="cnmodfis.doctofiscal", tipo="String")
private String doctofiscal;
@Coluna(nome="cnmodfis.descricao", tipo="String")
private String descricao;
@Coluna(nome="cnmodfis.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;
@Coluna(nome="cnmodfis.cst_pis", tipo="int")
private int cstPis;
private boolean cstPisNull;
@Coluna(nome="cnmodfis.cst_cofins", tipo="int")
private int cstCofins;
private boolean cstCofinsNull;
@Coluna(nome="cnmodfis.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="cnmodfis.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;

public TabCnmodfis() {
initialize();
}

public void initialize() {
setDoctofiscal(null);
setDescricao(null);
setCodCalculo(null);
setCstPis(null);
setCstCofins(null);
setAliqpis(null);
setAliqcofins(null);
}

public TabCnmodfis(String doctofiscal, String descricao, int codCalculo, int cstPis, int cstCofins, double aliqpis, double aliqcofins) {
this.doctofiscal = doctofiscal;
this.descricao = descricao;
this.codCalculo = codCalculo;
this.cstPis = cstPis;
this.cstCofins = cstCofins;
this.aliqpis = aliqpis;
this.aliqcofins = aliqcofins;
}

public String getDoctofiscal() {
return doctofiscal;
}

public void setDoctofiscal(String doctofiscal) {
this.doctofiscal = doctofiscal;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

public int getCstPis() {
return cstPis;
}

public boolean isCstPisNull() {
return cstPisNull;
}

public void setCstPis(Integer cstPis) {
if (cstPis == null) {
cstPisNull = true;
this.cstPis = 0;
} else { 
cstPisNull = false;
this.cstPis = cstPis;
}
}

public int getCstCofins() {
return cstCofins;
}

public boolean isCstCofinsNull() {
return cstCofinsNull;
}

public void setCstCofins(Integer cstCofins) {
if (cstCofins == null) {
cstCofinsNull = true;
this.cstCofins = 0;
} else { 
cstCofinsNull = false;
this.cstCofins = cstCofins;
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

}

