package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCnnfadec {
@Coluna(nome="cnnfadec.chavenfe", tipo="String")
private String chavenfe;
@Coluna(nome="cnnfadec.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="cnnfadec.anomesapres", tipo="FglDateTimeYM")
private FglDateTimeYM anomesapres;
@Coluna(nome="cnnfadec.reconhecenfe", tipo="String")
private String reconhecenfe;

public TabCnnfadec() {
initialize();
}

public void initialize() {
setChavenfe(null);
setDtgeracao(null);
setAnomesapres(null);
setReconhecenfe(null);
}

public TabCnnfadec(String chavenfe, FglDate dtgeracao, FglDateTimeYM anomesapres, String reconhecenfe) {
this.chavenfe = chavenfe;
this.dtgeracao = dtgeracao;
this.anomesapres = anomesapres;
this.reconhecenfe = reconhecenfe;
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDateTimeYM getAnomesapres() {
return anomesapres;
}

public void setAnomesapres(FglDateTimeYM anomesapres) {
this.anomesapres = anomesapres;
}

public String getReconhecenfe() {
return reconhecenfe;
}

public void setReconhecenfe(String reconhecenfe) {
this.reconhecenfe = reconhecenfe;
}

}

