package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfadit {
@Coluna(nome="cnnfadit.chavenfe", tipo="String")
private String chavenfe;
@Coluna(nome="cnnfadit.numitem", tipo="int")
private int numitem;
private boolean numitemNull;
@Coluna(nome="cnnfadit.codprod", tipo="String")
private String codprod;
@Coluna(nome="cnnfadit.descproduto", tipo="String")
private String descproduto;
@Coluna(nome="cnnfadit.indice", tipo="String")
private String indice;
@Coluna(nome="cnnfadit.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnnfadit.codean", tipo="String")
private String codean;
@Coluna(nome="cnnfadit.codncm", tipo="String")
private String codncm;
@Coluna(nome="cnnfadit.valoritenfe", tipo="double")
private double valoritenfe;
private boolean valoritenfeNull;

public TabCnnfadit() {
initialize();
}

public void initialize() {
setChavenfe(null);
setNumitem(null);
setCodprod(null);
setDescproduto(null);
setIndice(null);
setClassefiscal(null);
setCodean(null);
setCodncm(null);
setValoritenfe(null);
}

public TabCnnfadit(String chavenfe, int numitem, String codprod, String descproduto, String indice, String classefiscal, String codean, String codncm, double valoritenfe) {
this.chavenfe = chavenfe;
this.numitem = numitem;
this.codprod = codprod;
this.descproduto = descproduto;
this.indice = indice;
this.classefiscal = classefiscal;
this.codean = codean;
this.codncm = codncm;
this.valoritenfe = valoritenfe;
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

public int getNumitem() {
return numitem;
}

public boolean isNumitemNull() {
return numitemNull;
}

public void setNumitem(Integer numitem) {
if (numitem == null) {
numitemNull = true;
this.numitem = 0;
} else { 
numitemNull = false;
this.numitem = numitem;
}
}

public String getCodprod() {
return codprod;
}

public void setCodprod(String codprod) {
this.codprod = codprod;
}

public String getDescproduto() {
return descproduto;
}

public void setDescproduto(String descproduto) {
this.descproduto = descproduto;
}

public String getIndice() {
return indice;
}

public void setIndice(String indice) {
this.indice = indice;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getCodean() {
return codean;
}

public void setCodean(String codean) {
this.codean = codean;
}

public String getCodncm() {
return codncm;
}

public void setCodncm(String codncm) {
this.codncm = codncm;
}

public double getValoritenfe() {
return valoritenfe;
}

public boolean isValoritenfeNull() {
return valoritenfeNull;
}

public void setValoritenfe(int valoritenfe) {
setValoritenfe(new Double(valoritenfe));
}

public void setValoritenfe(long valoritenfe) {
setValoritenfe(new Double(valoritenfe));
}

public void setValoritenfe(Double valoritenfe) {
if (valoritenfe == null) {
valoritenfeNull = true;
this.valoritenfe = 0.;
} else { 
valoritenfeNull = false;
this.valoritenfe = FglDouble.round(valoritenfe, 2);
}
}

}

