package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCnnfator {
@Coluna(nome="cnnfator.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfator.nseqevento", tipo="int")
private int nseqevento;
private boolean nseqeventoNull;
@Coluna(nome="cnnfator.corgaoautor", tipo="int")
private int corgaoautor;
private boolean corgaoautorNull;
@Coluna(nome="cnnfator.tpautor", tipo="String")
private String tpautor;
@Coluna(nome="cnnfator.cgccpfautor", tipo="long")
private long cgccpfautor;
private boolean cgccpfautorNull;
@Coluna(nome="cnnfator.tppessoaautor", tipo="int")
private int tppessoaautor;
private boolean tppessoaautorNull;
@Coluna(nome="cnnfator.tpautorizacao", tipo="String")
private String tpautorizacao;
@Coluna(nome="cnnfator.datageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datageracao;
@Coluna(nome="cnnfator.status", tipo="String")
private String status;
@Coluna(nome="cnnfator.protocolo", tipo="String")
private String protocolo;
@Coluna(nome="cnnfator.descricao", tipo="String")
private String descricao;

public TabCnnfator() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNseqevento(null);
setCorgaoautor(null);
setTpautor(null);
setCgccpfautor(null);
setTppessoaautor(null);
setTpautorizacao(null);
setDatageracao(null);
setStatus(null);
setProtocolo(null);
setDescricao(null);
}

public TabCnnfator(int idNfcapa, int nseqevento, int corgaoautor, String tpautor, long cgccpfautor, int tppessoaautor, String tpautorizacao, FglDateTimeYS datageracao, String status, String protocolo, String descricao) {
this.idNfcapa = idNfcapa;
this.nseqevento = nseqevento;
this.corgaoautor = corgaoautor;
this.tpautor = tpautor;
this.cgccpfautor = cgccpfautor;
this.tppessoaautor = tppessoaautor;
this.tpautorizacao = tpautorizacao;
this.datageracao = datageracao;
this.status = status;
this.protocolo = protocolo;
this.descricao = descricao;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNseqevento() {
return nseqevento;
}

public boolean isNseqeventoNull() {
return nseqeventoNull;
}

public void setNseqevento(Integer nseqevento) {
if (nseqevento == null) {
nseqeventoNull = true;
this.nseqevento = 0;
} else { 
nseqeventoNull = false;
this.nseqevento = nseqevento;
}
}

public int getCorgaoautor() {
return corgaoautor;
}

public boolean isCorgaoautorNull() {
return corgaoautorNull;
}

public void setCorgaoautor(Integer corgaoautor) {
if (corgaoautor == null) {
corgaoautorNull = true;
this.corgaoautor = 0;
} else { 
corgaoautorNull = false;
this.corgaoautor = corgaoautor;
}
}

public String getTpautor() {
return tpautor;
}

public void setTpautor(String tpautor) {
this.tpautor = tpautor;
}

public long getCgccpfautor() {
return cgccpfautor;
}

public boolean isCgccpfautorNull() {
return cgccpfautorNull;
}

public void setCgccpfautor(int cgccpfautor) {
setCgccpfautor(new Long(cgccpfautor));
}

public void setCgccpfautor(Long cgccpfautor) {
if (cgccpfautor == null) {
cgccpfautorNull = true;
this.cgccpfautor = 0l;
} else { 
cgccpfautorNull = false;
this.cgccpfautor = cgccpfautor;
}
}

public int getTppessoaautor() {
return tppessoaautor;
}

public boolean isTppessoaautorNull() {
return tppessoaautorNull;
}

public void setTppessoaautor(Integer tppessoaautor) {
if (tppessoaautor == null) {
tppessoaautorNull = true;
this.tppessoaautor = 0;
} else { 
tppessoaautorNull = false;
this.tppessoaautor = tppessoaautor;
}
}

public String getTpautorizacao() {
return tpautorizacao;
}

public void setTpautorizacao(String tpautorizacao) {
this.tpautorizacao = tpautorizacao;
}

public FglDateTimeYS getDatageracao() {
return datageracao;
}

public void setDatageracao(FglDateTimeYS datageracao) {
this.datageracao = datageracao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getProtocolo() {
return protocolo;
}

public void setProtocolo(String protocolo) {
this.protocolo = protocolo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

