package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfe311 {
@Coluna(nome="cnnfe311.id_e311", tipo="int")
private int idE311;
private boolean idE311Null;
@Coluna(nome="cnnfe311.id_e310", tipo="int")
private int idE310;
private boolean idE310Null;
@Coluna(nome="cnnfe311.cod_aj_apur", tipo="String")
private String codAjApur;
@Coluna(nome="cnnfe311.descr_compl_aj", tipo="String")
private String descrComplAj;
@Coluna(nome="cnnfe311.vl_aj_apur", tipo="double")
private double vlAjApur;
private boolean vlAjApurNull;

public TabCnnfe311() {
initialize();
}

public void initialize() {
setIdE311(null);
setIdE310(null);
setCodAjApur(null);
setDescrComplAj(null);
setVlAjApur(null);
}

public TabCnnfe311(int idE311, int idE310, String codAjApur, String descrComplAj, double vlAjApur) {
this.idE311 = idE311;
this.idE310 = idE310;
this.codAjApur = codAjApur;
this.descrComplAj = descrComplAj;
this.vlAjApur = vlAjApur;
}

public int getIdE311() {
return idE311;
}

public boolean isIdE311Null() {
return idE311Null;
}

public void setIdE311(Integer idE311) {
if (idE311 == null) {
idE311Null = true;
this.idE311 = 0;
} else { 
idE311Null = false;
this.idE311 = idE311;
}
}

public int getIdE310() {
return idE310;
}

public boolean isIdE310Null() {
return idE310Null;
}

public void setIdE310(Integer idE310) {
if (idE310 == null) {
idE310Null = true;
this.idE310 = 0;
} else { 
idE310Null = false;
this.idE310 = idE310;
}
}

public String getCodAjApur() {
return codAjApur;
}

public void setCodAjApur(String codAjApur) {
this.codAjApur = codAjApur;
}

public String getDescrComplAj() {
return descrComplAj;
}

public void setDescrComplAj(String descrComplAj) {
this.descrComplAj = descrComplAj;
}

public double getVlAjApur() {
return vlAjApur;
}

public boolean isVlAjApurNull() {
return vlAjApurNull;
}

public void setVlAjApur(int vlAjApur) {
setVlAjApur(new Double(vlAjApur));
}

public void setVlAjApur(long vlAjApur) {
setVlAjApur(new Double(vlAjApur));
}

public void setVlAjApur(Double vlAjApur) {
if (vlAjApur == null) {
vlAjApurNull = true;
this.vlAjApur = 0.;
} else { 
vlAjApurNull = false;
this.vlAjApur = FglDouble.round(vlAjApur, 2);
}
}

}

