package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfidif {
@Coluna(nome="cnnfidif.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnnfidif.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cnnfidif.vbc", tipo="double")
private double vbc;
private boolean vbcNull;
@Coluna(nome="cnnfidif.picms", tipo="double")
private double picms;
private boolean picmsNull;
@Coluna(nome="cnnfidif.vicmsop", tipo="double")
private double vicmsop;
private boolean vicmsopNull;
@Coluna(nome="cnnfidif.pdif", tipo="double")
private double pdif;
private boolean pdifNull;
@Coluna(nome="cnnfidif.vicmsdif", tipo="double")
private double vicmsdif;
private boolean vicmsdifNull;
@Coluna(nome="cnnfidif.vicms", tipo="double")
private double vicms;
private boolean vicmsNull;

public TabCnnfidif() {
initialize();
}

public void initialize() {
setIdNfitem(null);
setNrolinha(null);
setVbc(null);
setPicms(null);
setVicmsop(null);
setPdif(null);
setVicmsdif(null);
setVicms(null);
}

public TabCnnfidif(int idNfitem, int nrolinha, double vbc, double picms, double vicmsop, double pdif, double vicmsdif, double vicms) {
this.idNfitem = idNfitem;
this.nrolinha = nrolinha;
this.vbc = vbc;
this.picms = picms;
this.vicmsop = vicmsop;
this.pdif = pdif;
this.vicmsdif = vicmsdif;
this.vicms = vicms;
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getVbc() {
return vbc;
}

public boolean isVbcNull() {
return vbcNull;
}

public void setVbc(int vbc) {
setVbc(new Double(vbc));
}

public void setVbc(long vbc) {
setVbc(new Double(vbc));
}

public void setVbc(Double vbc) {
if (vbc == null) {
vbcNull = true;
this.vbc = 0.;
} else { 
vbcNull = false;
this.vbc = FglDouble.round(vbc, 2);
}
}

public double getPicms() {
return picms;
}

public boolean isPicmsNull() {
return picmsNull;
}

public void setPicms(int picms) {
setPicms(new Double(picms));
}

public void setPicms(long picms) {
setPicms(new Double(picms));
}

public void setPicms(Double picms) {
if (picms == null) {
picmsNull = true;
this.picms = 0.;
} else { 
picmsNull = false;
this.picms = FglDouble.round(picms, 2);
}
}

public double getVicmsop() {
return vicmsop;
}

public boolean isVicmsopNull() {
return vicmsopNull;
}

public void setVicmsop(int vicmsop) {
setVicmsop(new Double(vicmsop));
}

public void setVicmsop(long vicmsop) {
setVicmsop(new Double(vicmsop));
}

public void setVicmsop(Double vicmsop) {
if (vicmsop == null) {
vicmsopNull = true;
this.vicmsop = 0.;
} else { 
vicmsopNull = false;
this.vicmsop = FglDouble.round(vicmsop, 2);
}
}

public double getPdif() {
return pdif;
}

public boolean isPdifNull() {
return pdifNull;
}

public void setPdif(int pdif) {
setPdif(new Double(pdif));
}

public void setPdif(long pdif) {
setPdif(new Double(pdif));
}

public void setPdif(Double pdif) {
if (pdif == null) {
pdifNull = true;
this.pdif = 0.;
} else { 
pdifNull = false;
this.pdif = FglDouble.round(pdif, 6);
}
}

public double getVicmsdif() {
return vicmsdif;
}

public boolean isVicmsdifNull() {
return vicmsdifNull;
}

public void setVicmsdif(int vicmsdif) {
setVicmsdif(new Double(vicmsdif));
}

public void setVicmsdif(long vicmsdif) {
setVicmsdif(new Double(vicmsdif));
}

public void setVicmsdif(Double vicmsdif) {
if (vicmsdif == null) {
vicmsdifNull = true;
this.vicmsdif = 0.;
} else { 
vicmsdifNull = false;
this.vicmsdif = FglDouble.round(vicmsdif, 2);
}
}

public double getVicms() {
return vicms;
}

public boolean isVicmsNull() {
return vicmsNull;
}

public void setVicms(int vicms) {
setVicms(new Double(vicms));
}

public void setVicms(long vicms) {
setVicms(new Double(vicms));
}

public void setVicms(Double vicms) {
if (vicms == null) {
vicmsNull = true;
this.vicms = 0.;
} else { 
vicmsNull = false;
this.vicms = FglDouble.round(vicms, 2);
}
}

}

