package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfpeps {
@Coluna(nome="cnnfpeps.id_nfcapa_ent", tipo="int")
private int idNfcapaEnt;
private boolean idNfcapaEntNull;
@Coluna(nome="cnnfpeps.produto", tipo="String")
private String produto;
@Coluna(nome="cnnfpeps.id_nfcapa_sai", tipo="int")
private int idNfcapaSai;
private boolean idNfcapaSaiNull;
@Coluna(nome="cnnfpeps.quantidade_sai", tipo="double")
private double quantidadeSai;
private boolean quantidadeSaiNull;

public TabCnnfpeps() {
initialize();
}

public void initialize() {
setIdNfcapaEnt(null);
setProduto(null);
setIdNfcapaSai(null);
setQuantidadeSai(null);
}

public TabCnnfpeps(int idNfcapaEnt, String produto, int idNfcapaSai, double quantidadeSai) {
this.idNfcapaEnt = idNfcapaEnt;
this.produto = produto;
this.idNfcapaSai = idNfcapaSai;
this.quantidadeSai = quantidadeSai;
}

public int getIdNfcapaEnt() {
return idNfcapaEnt;
}

public boolean isIdNfcapaEntNull() {
return idNfcapaEntNull;
}

public void setIdNfcapaEnt(Integer idNfcapaEnt) {
if (idNfcapaEnt == null) {
idNfcapaEntNull = true;
this.idNfcapaEnt = 0;
} else { 
idNfcapaEntNull = false;
this.idNfcapaEnt = idNfcapaEnt;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdNfcapaSai() {
return idNfcapaSai;
}

public boolean isIdNfcapaSaiNull() {
return idNfcapaSaiNull;
}

public void setIdNfcapaSai(Integer idNfcapaSai) {
if (idNfcapaSai == null) {
idNfcapaSaiNull = true;
this.idNfcapaSai = 0;
} else { 
idNfcapaSaiNull = false;
this.idNfcapaSai = idNfcapaSai;
}
}

public double getQuantidadeSai() {
return quantidadeSai;
}

public boolean isQuantidadeSaiNull() {
return quantidadeSaiNull;
}

public void setQuantidadeSai(int quantidadeSai) {
setQuantidadeSai(new Double(quantidadeSai));
}

public void setQuantidadeSai(long quantidadeSai) {
setQuantidadeSai(new Double(quantidadeSai));
}

public void setQuantidadeSai(Double quantidadeSai) {
if (quantidadeSai == null) {
quantidadeSaiNull = true;
this.quantidadeSai = 0.;
} else { 
quantidadeSaiNull = false;
this.quantidadeSai = FglDouble.round(quantidadeSai, 2);
}
}

}

