package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfprca {
@Coluna(nome="cnnfprca.id_nfprca", tipo="int")
private int idNfprca;
private boolean idNfprcaNull;
@Coluna(nome="cnnfprca.id_nfitem_ent", tipo="int")
private int idNfitemEnt;
private boolean idNfitemEntNull;
@Coluna(nome="cnnfprca.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cnnfprca.chavenfe", tipo="String")
private String chavenfe;
@Coluna(nome="cnnfprca.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cnnfprca.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnnfprca.sbaseicms", tipo="double")
private double sbaseicms;
private boolean sbaseicmsNull;
@Coluna(nome="cnnfprca.saliqicms", tipo="double")
private double saliqicms;
private boolean saliqicmsNull;
@Coluna(nome="cnnfprca.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cnnfprca.baseicms", tipo="double")
private double baseicms;
private boolean baseicmsNull;
@Coluna(nome="cnnfprca.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cnnfprca.valoricms", tipo="double")
private double valoricms;
private boolean valoricmsNull;

public TabCnnfprca() {
initialize();
}

public void initialize() {
setIdNfprca(null);
setIdNfitemEnt(null);
setSequencia(null);
setChavenfe(null);
setNroitem(null);
setQuantidade(null);
setSbaseicms(null);
setSaliqicms(null);
setSvaloricms(null);
setBaseicms(null);
setAliqicms(null);
setValoricms(null);
}

public TabCnnfprca(int idNfprca, int idNfitemEnt, int sequencia, String chavenfe, int nroitem, double quantidade, double sbaseicms, double saliqicms, double svaloricms, double baseicms, double aliqicms, double valoricms) {
this.idNfprca = idNfprca;
this.idNfitemEnt = idNfitemEnt;
this.sequencia = sequencia;
this.chavenfe = chavenfe;
this.nroitem = nroitem;
this.quantidade = quantidade;
this.sbaseicms = sbaseicms;
this.saliqicms = saliqicms;
this.svaloricms = svaloricms;
this.baseicms = baseicms;
this.aliqicms = aliqicms;
this.valoricms = valoricms;
}

public int getIdNfprca() {
return idNfprca;
}

public boolean isIdNfprcaNull() {
return idNfprcaNull;
}

public void setIdNfprca(Integer idNfprca) {
if (idNfprca == null) {
idNfprcaNull = true;
this.idNfprca = 0;
} else { 
idNfprcaNull = false;
this.idNfprca = idNfprca;
}
}

public int getIdNfitemEnt() {
return idNfitemEnt;
}

public boolean isIdNfitemEntNull() {
return idNfitemEntNull;
}

public void setIdNfitemEnt(Integer idNfitemEnt) {
if (idNfitemEnt == null) {
idNfitemEntNull = true;
this.idNfitemEnt = 0;
} else { 
idNfitemEntNull = false;
this.idNfitemEnt = idNfitemEnt;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getSbaseicms() {
return sbaseicms;
}

public boolean isSbaseicmsNull() {
return sbaseicmsNull;
}

public void setSbaseicms(int sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(long sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(Double sbaseicms) {
if (sbaseicms == null) {
sbaseicmsNull = true;
this.sbaseicms = 0.;
} else { 
sbaseicmsNull = false;
this.sbaseicms = FglDouble.round(sbaseicms, 2);
}
}

public double getSaliqicms() {
return saliqicms;
}

public boolean isSaliqicmsNull() {
return saliqicmsNull;
}

public void setSaliqicms(int saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(long saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(Double saliqicms) {
if (saliqicms == null) {
saliqicmsNull = true;
this.saliqicms = 0.;
} else { 
saliqicmsNull = false;
this.saliqicms = FglDouble.round(saliqicms, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getBaseicms() {
return baseicms;
}

public boolean isBaseicmsNull() {
return baseicmsNull;
}

public void setBaseicms(int baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(long baseicms) {
setBaseicms(new Double(baseicms));
}

public void setBaseicms(Double baseicms) {
if (baseicms == null) {
baseicmsNull = true;
this.baseicms = 0.;
} else { 
baseicmsNull = false;
this.baseicms = FglDouble.round(baseicms, 2);
}
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getValoricms() {
return valoricms;
}

public boolean isValoricmsNull() {
return valoricmsNull;
}

public void setValoricms(int valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(long valoricms) {
setValoricms(new Double(valoricms));
}

public void setValoricms(Double valoricms) {
if (valoricms == null) {
valoricmsNull = true;
this.valoricms = 0.;
} else { 
valoricmsNull = false;
this.valoricms = FglDouble.round(valoricms, 2);
}
}

}

