package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfrets {
@Coluna(nome="cnnfrets.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cnnfrets.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cnnfrets.baseir", tipo="double")
private double baseir;
private boolean baseirNull;
@Coluna(nome="cnnfrets.valorir", tipo="double")
private double valorir;
private boolean valorirNull;

public TabCnnfrets() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNrolinha(null);
setBaseir(null);
setValorir(null);
}

public TabCnnfrets(int idNfcapa, int nrolinha, double baseir, double valorir) {
this.idNfcapa = idNfcapa;
this.nrolinha = nrolinha;
this.baseir = baseir;
this.valorir = valorir;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public double getBaseir() {
return baseir;
}

public boolean isBaseirNull() {
return baseirNull;
}

public void setBaseir(int baseir) {
setBaseir(new Double(baseir));
}

public void setBaseir(long baseir) {
setBaseir(new Double(baseir));
}

public void setBaseir(Double baseir) {
if (baseir == null) {
baseirNull = true;
this.baseir = 0.;
} else { 
baseirNull = false;
this.baseir = FglDouble.round(baseir, 2);
}
}

public double getValorir() {
return valorir;
}

public boolean isValorirNull() {
return valorirNull;
}

public void setValorir(int valorir) {
setValorir(new Double(valorir));
}

public void setValorir(long valorir) {
setValorir(new Double(valorir));
}

public void setValorir(Double valorir) {
if (valorir == null) {
valorirNull = true;
this.valorir = 0.;
} else { 
valorirNull = false;
this.valorir = FglDouble.round(valorir, 2);
}
}

}

