package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCnnfstar {
@Coluna(nome="cnnfstar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnnfstar.diasemana", tipo="int")
private int diasemana;
private boolean diasemanaNull;
@Coluna(nome="cnnfstar.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="cnnfstar.processo", tipo="String")
private String processo;

public TabCnnfstar() {
initialize();
}

public void initialize() {
setFilial(null);
setDiasemana(null);
setHora(null);
setProcesso(null);
}

public TabCnnfstar(int filial, int diasemana, FglDateTimeHMin hora, String processo) {
this.filial = filial;
this.diasemana = diasemana;
this.hora = hora;
this.processo = processo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDiasemana() {
return diasemana;
}

public boolean isDiasemanaNull() {
return diasemanaNull;
}

public void setDiasemana(Integer diasemana) {
if (diasemana == null) {
diasemanaNull = true;
this.diasemana = 0;
} else { 
diasemanaNull = false;
this.diasemana = diasemana;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

}

