package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnnfsupe {
@Coluna(nome="cnnfsupe.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="cnnfsupe.vbcfcp", tipo="double")
private double vbcfcp;
private boolean vbcfcpNull;
@Coluna(nome="cnnfsupe.pfcp", tipo="double")
private double pfcp;
private boolean pfcpNull;
@Coluna(nome="cnnfsupe.vfcp", tipo="double")
private double vfcp;
private boolean vfcpNull;
@Coluna(nome="cnnfsupe.vbcstfcp", tipo="double")
private double vbcstfcp;
private boolean vbcstfcpNull;
@Coluna(nome="cnnfsupe.pstfcp", tipo="double")
private double pstfcp;
private boolean pstfcpNull;
@Coluna(nome="cnnfsupe.vstfcp", tipo="double")
private double vstfcp;
private boolean vstfcpNull;

public TabCnnfsupe() {
initialize();
}

public void initialize() {
setIdNfitem(null);
setVbcfcp(null);
setPfcp(null);
setVfcp(null);
setVbcstfcp(null);
setPstfcp(null);
setVstfcp(null);
}

public TabCnnfsupe(int idNfitem, double vbcfcp, double pfcp, double vfcp, double vbcstfcp, double pstfcp, double vstfcp) {
this.idNfitem = idNfitem;
this.vbcfcp = vbcfcp;
this.pfcp = pfcp;
this.vfcp = vfcp;
this.vbcstfcp = vbcstfcp;
this.pstfcp = pstfcp;
this.vstfcp = vstfcp;
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public double getVbcfcp() {
return vbcfcp;
}

public boolean isVbcfcpNull() {
return vbcfcpNull;
}

public void setVbcfcp(int vbcfcp) {
setVbcfcp(new Double(vbcfcp));
}

public void setVbcfcp(long vbcfcp) {
setVbcfcp(new Double(vbcfcp));
}

public void setVbcfcp(Double vbcfcp) {
if (vbcfcp == null) {
vbcfcpNull = true;
this.vbcfcp = 0.;
} else { 
vbcfcpNull = false;
this.vbcfcp = FglDouble.round(vbcfcp, 2);
}
}

public double getPfcp() {
return pfcp;
}

public boolean isPfcpNull() {
return pfcpNull;
}

public void setPfcp(int pfcp) {
setPfcp(new Double(pfcp));
}

public void setPfcp(long pfcp) {
setPfcp(new Double(pfcp));
}

public void setPfcp(Double pfcp) {
if (pfcp == null) {
pfcpNull = true;
this.pfcp = 0.;
} else { 
pfcpNull = false;
this.pfcp = FglDouble.round(pfcp, 2);
}
}

public double getVfcp() {
return vfcp;
}

public boolean isVfcpNull() {
return vfcpNull;
}

public void setVfcp(int vfcp) {
setVfcp(new Double(vfcp));
}

public void setVfcp(long vfcp) {
setVfcp(new Double(vfcp));
}

public void setVfcp(Double vfcp) {
if (vfcp == null) {
vfcpNull = true;
this.vfcp = 0.;
} else { 
vfcpNull = false;
this.vfcp = FglDouble.round(vfcp, 2);
}
}

public double getVbcstfcp() {
return vbcstfcp;
}

public boolean isVbcstfcpNull() {
return vbcstfcpNull;
}

public void setVbcstfcp(int vbcstfcp) {
setVbcstfcp(new Double(vbcstfcp));
}

public void setVbcstfcp(long vbcstfcp) {
setVbcstfcp(new Double(vbcstfcp));
}

public void setVbcstfcp(Double vbcstfcp) {
if (vbcstfcp == null) {
vbcstfcpNull = true;
this.vbcstfcp = 0.;
} else { 
vbcstfcpNull = false;
this.vbcstfcp = FglDouble.round(vbcstfcp, 2);
}
}

public double getPstfcp() {
return pstfcp;
}

public boolean isPstfcpNull() {
return pstfcpNull;
}

public void setPstfcp(int pstfcp) {
setPstfcp(new Double(pstfcp));
}

public void setPstfcp(long pstfcp) {
setPstfcp(new Double(pstfcp));
}

public void setPstfcp(Double pstfcp) {
if (pstfcp == null) {
pstfcpNull = true;
this.pstfcp = 0.;
} else { 
pstfcpNull = false;
this.pstfcp = FglDouble.round(pstfcp, 2);
}
}

public double getVstfcp() {
return vstfcp;
}

public boolean isVstfcpNull() {
return vstfcpNull;
}

public void setVstfcp(int vstfcp) {
setVstfcp(new Double(vstfcp));
}

public void setVstfcp(long vstfcp) {
setVstfcp(new Double(vstfcp));
}

public void setVstfcp(Double vstfcp) {
if (vstfcp == null) {
vstfcpNull = true;
this.vstfcp = 0.;
} else { 
vstfcpNull = false;
this.vstfcp = FglDouble.round(vstfcp, 2);
}
}

}

