package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnorcvei {
@Coluna(nome="cnorcvei.id_orcvei", tipo="int")
private int idOrcvei;
private boolean idOrcveiNull;
@Coluna(nome="cnorcvei.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnorcvei.nroorcament", tipo="int")
private int nroorcament;
private boolean nroorcamentNull;
@Coluna(nome="cnorcvei.dtorcament", tipo="FglDate")
private FglDate dtorcament;
@Coluna(nome="cnorcvei.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cnorcvei.nro_endfabrica", tipo="long")
private long nroEndfabrica;
private boolean nroEndfabricaNull;
@Coluna(nome="cnorcvei.tipoorcamento", tipo="int")
private int tipoorcamento;
private boolean tipoorcamentoNull;
@Coluna(nome="cnorcvei.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cnorcvei.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="cnorcvei.modelo", tipo="String")
private String modelo;
@Coluna(nome="cnorcvei.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cnorcvei.aliqipi", tipo="double")
private double aliqipi;
private boolean aliqipiNull;
@Coluna(nome="cnorcvei.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cnorcvei.prazoentr", tipo="String")
private String prazoentr;
@Coluna(nome="cnorcvei.localentr", tipo="String")
private String localentr;
@Coluna(nome="cnorcvei.validade", tipo="String")
private String validade;
@Coluna(nome="cnorcvei.tipopagto", tipo="String")
private String tipopagto;

public TabCnorcvei() {
initialize();
}

public void initialize() {
setIdOrcvei(null);
setFilial(null);
setNroorcament(null);
setDtorcament(null);
setNroEndere(null);
setNroEndfabrica(null);
setTipoorcamento(null);
setQuantidade(null);
setPrecopublico(null);
setModelo(null);
setAliqicms(null);
setAliqipi(null);
setIdAgente(null);
setPrazoentr(null);
setLocalentr(null);
setValidade(null);
setTipopagto(null);
}

public TabCnorcvei(int idOrcvei, int filial, int nroorcament, FglDate dtorcament, long nroEndere, long nroEndfabrica, int tipoorcamento, double quantidade, double precopublico, String modelo, double aliqicms, double aliqipi, int idAgente, String prazoentr, String localentr, String validade, String tipopagto) {
this.idOrcvei = idOrcvei;
this.filial = filial;
this.nroorcament = nroorcament;
this.dtorcament = dtorcament;
this.nroEndere = nroEndere;
this.nroEndfabrica = nroEndfabrica;
this.tipoorcamento = tipoorcamento;
this.quantidade = quantidade;
this.precopublico = precopublico;
this.modelo = modelo;
this.aliqicms = aliqicms;
this.aliqipi = aliqipi;
this.idAgente = idAgente;
this.prazoentr = prazoentr;
this.localentr = localentr;
this.validade = validade;
this.tipopagto = tipopagto;
}

public int getIdOrcvei() {
return idOrcvei;
}

public boolean isIdOrcveiNull() {
return idOrcveiNull;
}

public void setIdOrcvei(Integer idOrcvei) {
if (idOrcvei == null) {
idOrcveiNull = true;
this.idOrcvei = 0;
} else { 
idOrcveiNull = false;
this.idOrcvei = idOrcvei;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroorcament() {
return nroorcament;
}

public boolean isNroorcamentNull() {
return nroorcamentNull;
}

public void setNroorcament(Integer nroorcament) {
if (nroorcament == null) {
nroorcamentNull = true;
this.nroorcament = 0;
} else { 
nroorcamentNull = false;
this.nroorcament = nroorcament;
}
}

public FglDate getDtorcament() {
return dtorcament;
}

public void setDtorcament(FglDate dtorcament) {
this.dtorcament = dtorcament;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public long getNroEndfabrica() {
return nroEndfabrica;
}

public boolean isNroEndfabricaNull() {
return nroEndfabricaNull;
}

public void setNroEndfabrica(int nroEndfabrica) {
setNroEndfabrica(new Long(nroEndfabrica));
}

public void setNroEndfabrica(Long nroEndfabrica) {
if (nroEndfabrica == null) {
nroEndfabricaNull = true;
this.nroEndfabrica = 0l;
} else { 
nroEndfabricaNull = false;
this.nroEndfabrica = nroEndfabrica;
}
}

public int getTipoorcamento() {
return tipoorcamento;
}

public boolean isTipoorcamentoNull() {
return tipoorcamentoNull;
}

public void setTipoorcamento(Integer tipoorcamento) {
if (tipoorcamento == null) {
tipoorcamentoNull = true;
this.tipoorcamento = 0;
} else { 
tipoorcamentoNull = false;
this.tipoorcamento = tipoorcamento;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getAliqipi() {
return aliqipi;
}

public boolean isAliqipiNull() {
return aliqipiNull;
}

public void setAliqipi(int aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(long aliqipi) {
setAliqipi(new Double(aliqipi));
}

public void setAliqipi(Double aliqipi) {
if (aliqipi == null) {
aliqipiNull = true;
this.aliqipi = 0.;
} else { 
aliqipiNull = false;
this.aliqipi = FglDouble.round(aliqipi, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getPrazoentr() {
return prazoentr;
}

public void setPrazoentr(String prazoentr) {
this.prazoentr = prazoentr;
}

public String getLocalentr() {
return localentr;
}

public void setLocalentr(String localentr) {
this.localentr = localentr;
}

public String getValidade() {
return validade;
}

public void setValidade(String validade) {
this.validade = validade;
}

public String getTipopagto() {
return tipopagto;
}

public void setTipopagto(String tipopagto) {
this.tipopagto = tipopagto;
}

}

