package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnorcvii {
@Coluna(nome="cnorcvii.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cnorcvii.vlrpis", tipo="double")
private double vlrpis;
private boolean vlrpisNull;
@Coluna(nome="cnorcvii.vlrcofins", tipo="double")
private double vlrcofins;
private boolean vlrcofinsNull;
@Coluna(nome="cnorcvii.vlrdespadu", tipo="double")
private double vlrdespadu;
private boolean vlrdespaduNull;
@Coluna(nome="cnorcvii.vlrii", tipo="double")
private double vlrii;
private boolean vlriiNull;
@Coluna(nome="cnorcvii.vlriof", tipo="double")
private double vlriof;
private boolean vlriofNull;

public TabCnorcvii() {
initialize();
}

public void initialize() {
setIdOrccap(null);
setVlrpis(null);
setVlrcofins(null);
setVlrdespadu(null);
setVlrii(null);
setVlriof(null);
}

public TabCnorcvii(int idOrccap, double vlrpis, double vlrcofins, double vlrdespadu, double vlrii, double vlriof) {
this.idOrccap = idOrccap;
this.vlrpis = vlrpis;
this.vlrcofins = vlrcofins;
this.vlrdespadu = vlrdespadu;
this.vlrii = vlrii;
this.vlriof = vlriof;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public double getVlrpis() {
return vlrpis;
}

public boolean isVlrpisNull() {
return vlrpisNull;
}

public void setVlrpis(int vlrpis) {
setVlrpis(new Double(vlrpis));
}

public void setVlrpis(long vlrpis) {
setVlrpis(new Double(vlrpis));
}

public void setVlrpis(Double vlrpis) {
if (vlrpis == null) {
vlrpisNull = true;
this.vlrpis = 0.;
} else { 
vlrpisNull = false;
this.vlrpis = FglDouble.round(vlrpis, 2);
}
}

public double getVlrcofins() {
return vlrcofins;
}

public boolean isVlrcofinsNull() {
return vlrcofinsNull;
}

public void setVlrcofins(int vlrcofins) {
setVlrcofins(new Double(vlrcofins));
}

public void setVlrcofins(long vlrcofins) {
setVlrcofins(new Double(vlrcofins));
}

public void setVlrcofins(Double vlrcofins) {
if (vlrcofins == null) {
vlrcofinsNull = true;
this.vlrcofins = 0.;
} else { 
vlrcofinsNull = false;
this.vlrcofins = FglDouble.round(vlrcofins, 2);
}
}

public double getVlrdespadu() {
return vlrdespadu;
}

public boolean isVlrdespaduNull() {
return vlrdespaduNull;
}

public void setVlrdespadu(int vlrdespadu) {
setVlrdespadu(new Double(vlrdespadu));
}

public void setVlrdespadu(long vlrdespadu) {
setVlrdespadu(new Double(vlrdespadu));
}

public void setVlrdespadu(Double vlrdespadu) {
if (vlrdespadu == null) {
vlrdespaduNull = true;
this.vlrdespadu = 0.;
} else { 
vlrdespaduNull = false;
this.vlrdespadu = FglDouble.round(vlrdespadu, 2);
}
}

public double getVlrii() {
return vlrii;
}

public boolean isVlriiNull() {
return vlriiNull;
}

public void setVlrii(int vlrii) {
setVlrii(new Double(vlrii));
}

public void setVlrii(long vlrii) {
setVlrii(new Double(vlrii));
}

public void setVlrii(Double vlrii) {
if (vlrii == null) {
vlriiNull = true;
this.vlrii = 0.;
} else { 
vlriiNull = false;
this.vlrii = FglDouble.round(vlrii, 2);
}
}

public double getVlriof() {
return vlriof;
}

public boolean isVlriofNull() {
return vlriofNull;
}

public void setVlriof(int vlriof) {
setVlriof(new Double(vlriof));
}

public void setVlriof(long vlriof) {
setVlriof(new Double(vlriof));
}

public void setVlriof(Double vlriof) {
if (vlriof == null) {
vlriofNull = true;
this.vlriof = 0.;
} else { 
vlriofNull = false;
this.vlriof = FglDouble.round(vlriof, 2);
}
}

}

