package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnparfis {
@Coluna(nome="cnparfis.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnparfis.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnparfis.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cnparfis.colmobrae", tipo="String")
private String colmobrae;
@Coluna(nome="cnparfis.colsubste", tipo="String")
private String colsubste;
@Coluna(nome="cnparfis.colipie", tipo="String")
private String colipie;
@Coluna(nome="cnparfis.colmobras", tipo="String")
private String colmobras;
@Coluna(nome="cnparfis.colsubsts", tipo="String")
private String colsubsts;
@Coluna(nome="cnparfis.colipis", tipo="String")
private String colipis;
@Coluna(nome="cnparfis.colsubsapur", tipo="String")
private String colsubsapur;
@Coluna(nome="cnparfis.colipiapur", tipo="String")
private String colipiapur;
@Coluna(nome="cnparfis.escrcupom", tipo="String")
private String escrcupom;
@Coluna(nome="cnparfis.sonoestado", tipo="String")
private String sonoestado;
@Coluna(nome="cnparfis.tipopessoa", tipo="String")
private String tipopessoa;
@Coluna(nome="cnparfis.textoantec", tipo="String")
private String textoantec;
@Coluna(nome="cnparfis.devolveserv", tipo="String")
private String devolveserv;
@Coluna(nome="cnparfis.calcbaseiss", tipo="String")
private String calcbaseiss;
@Coluna(nome="cnparfis.dtarquivo", tipo="FglDate")
private FglDate dtarquivo;
@Coluna(nome="cnparfis.basenrocup", tipo="String")
private String basenrocup;
@Coluna(nome="cnparfis.emitecf", tipo="String")
private String emitecf;
@Coluna(nome="cnparfis.deduzicmsst", tipo="String")
private String deduzicmsst;
@Coluna(nome="cnparfis.calcicmsst", tipo="String")
private String calcicmsst;
@Coluna(nome="cnparfis.freteconta_pec", tipo="String")
private String fretecontaPec;
@Coluna(nome="cnparfis.freteconta_ofi", tipo="String")
private String fretecontaOfi;
@Coluna(nome="cnparfis.freteconta_vei", tipo="String")
private String fretecontaVei;
@Coluna(nome="cnparfis.vendaintcontr", tipo="String")
private String vendaintcontr;
@Coluna(nome="cnparfis.icmssttrib60", tipo="String")
private String icmssttrib60;

public TabCnparfis() {
initialize();
}

public void initialize() {
setFilial(null);
setDtinicio(null);
setDtfim(null);
setColmobrae(null);
setColsubste(null);
setColipie(null);
setColmobras(null);
setColsubsts(null);
setColipis(null);
setColsubsapur(null);
setColipiapur(null);
setEscrcupom(null);
setSonoestado(null);
setTipopessoa(null);
setTextoantec(null);
setDevolveserv(null);
setCalcbaseiss(null);
setDtarquivo(null);
setBasenrocup(null);
setEmitecf(null);
setDeduzicmsst(null);
setCalcicmsst(null);
setFretecontaPec(null);
setFretecontaOfi(null);
setFretecontaVei(null);
setVendaintcontr(null);
setIcmssttrib60(null);
}

public TabCnparfis(int filial, FglDate dtinicio, FglDate dtfim, String colmobrae, String colsubste, String colipie, String colmobras, String colsubsts, String colipis, String colsubsapur, String colipiapur, String escrcupom, String sonoestado, String tipopessoa, String textoantec, String devolveserv, String calcbaseiss, FglDate dtarquivo, String basenrocup, String emitecf, String deduzicmsst, String calcicmsst, String fretecontaPec, String fretecontaOfi, String fretecontaVei, String vendaintcontr, String icmssttrib60) {
this.filial = filial;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.colmobrae = colmobrae;
this.colsubste = colsubste;
this.colipie = colipie;
this.colmobras = colmobras;
this.colsubsts = colsubsts;
this.colipis = colipis;
this.colsubsapur = colsubsapur;
this.colipiapur = colipiapur;
this.escrcupom = escrcupom;
this.sonoestado = sonoestado;
this.tipopessoa = tipopessoa;
this.textoantec = textoantec;
this.devolveserv = devolveserv;
this.calcbaseiss = calcbaseiss;
this.dtarquivo = dtarquivo;
this.basenrocup = basenrocup;
this.emitecf = emitecf;
this.deduzicmsst = deduzicmsst;
this.calcicmsst = calcicmsst;
this.fretecontaPec = fretecontaPec;
this.fretecontaOfi = fretecontaOfi;
this.fretecontaVei = fretecontaVei;
this.vendaintcontr = vendaintcontr;
this.icmssttrib60 = icmssttrib60;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getColmobrae() {
return colmobrae;
}

public void setColmobrae(String colmobrae) {
this.colmobrae = colmobrae;
}

public String getColsubste() {
return colsubste;
}

public void setColsubste(String colsubste) {
this.colsubste = colsubste;
}

public String getColipie() {
return colipie;
}

public void setColipie(String colipie) {
this.colipie = colipie;
}

public String getColmobras() {
return colmobras;
}

public void setColmobras(String colmobras) {
this.colmobras = colmobras;
}

public String getColsubsts() {
return colsubsts;
}

public void setColsubsts(String colsubsts) {
this.colsubsts = colsubsts;
}

public String getColipis() {
return colipis;
}

public void setColipis(String colipis) {
this.colipis = colipis;
}

public String getColsubsapur() {
return colsubsapur;
}

public void setColsubsapur(String colsubsapur) {
this.colsubsapur = colsubsapur;
}

public String getColipiapur() {
return colipiapur;
}

public void setColipiapur(String colipiapur) {
this.colipiapur = colipiapur;
}

public String getEscrcupom() {
return escrcupom;
}

public void setEscrcupom(String escrcupom) {
this.escrcupom = escrcupom;
}

public String getSonoestado() {
return sonoestado;
}

public void setSonoestado(String sonoestado) {
this.sonoestado = sonoestado;
}

public String getTipopessoa() {
return tipopessoa;
}

public void setTipopessoa(String tipopessoa) {
this.tipopessoa = tipopessoa;
}

public String getTextoantec() {
return textoantec;
}

public void setTextoantec(String textoantec) {
this.textoantec = textoantec;
}

public String getDevolveserv() {
return devolveserv;
}

public void setDevolveserv(String devolveserv) {
this.devolveserv = devolveserv;
}

public String getCalcbaseiss() {
return calcbaseiss;
}

public void setCalcbaseiss(String calcbaseiss) {
this.calcbaseiss = calcbaseiss;
}

public FglDate getDtarquivo() {
return dtarquivo;
}

public void setDtarquivo(FglDate dtarquivo) {
this.dtarquivo = dtarquivo;
}

public String getBasenrocup() {
return basenrocup;
}

public void setBasenrocup(String basenrocup) {
this.basenrocup = basenrocup;
}

public String getEmitecf() {
return emitecf;
}

public void setEmitecf(String emitecf) {
this.emitecf = emitecf;
}

public String getDeduzicmsst() {
return deduzicmsst;
}

public void setDeduzicmsst(String deduzicmsst) {
this.deduzicmsst = deduzicmsst;
}

public String getCalcicmsst() {
return calcicmsst;
}

public void setCalcicmsst(String calcicmsst) {
this.calcicmsst = calcicmsst;
}

public String getFretecontaPec() {
return fretecontaPec;
}

public void setFretecontaPec(String fretecontaPec) {
this.fretecontaPec = fretecontaPec;
}

public String getFretecontaOfi() {
return fretecontaOfi;
}

public void setFretecontaOfi(String fretecontaOfi) {
this.fretecontaOfi = fretecontaOfi;
}

public String getFretecontaVei() {
return fretecontaVei;
}

public void setFretecontaVei(String fretecontaVei) {
this.fretecontaVei = fretecontaVei;
}

public String getVendaintcontr() {
return vendaintcontr;
}

public void setVendaintcontr(String vendaintcontr) {
this.vendaintcontr = vendaintcontr;
}

public String getIcmssttrib60() {
return icmssttrib60;
}

public void setIcmssttrib60(String icmssttrib60) {
this.icmssttrib60 = icmssttrib60;
}

}

