package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpedite {
@Coluna(nome="cnpedite.pedidoid", tipo="int")
private int pedidoid;
private boolean pedidoidNull;
@Coluna(nome="cnpedite.itemnumero", tipo="int")
private int itemnumero;
private boolean itemnumeroNull;
@Coluna(nome="cnpedite.produto", tipo="String")
private String produto;
@Coluna(nome="cnpedite.itemunidade", tipo="String")
private String itemunidade;
@Coluna(nome="cnpedite.itemcodigomaterial", tipo="String")
private String itemcodigomaterial;
@Coluna(nome="cnpedite.itemrequisicao", tipo="String")
private String itemrequisicao;
@Coluna(nome="cnpedite.itemdescricao", tipo="String")
private String itemdescricao;
@Coluna(nome="cnpedite.itemprazoentrega", tipo="String")
private String itemprazoentrega;
@Coluna(nome="cnpedite.itemquantidade", tipo="double")
private double itemquantidade;
private boolean itemquantidadeNull;
@Coluna(nome="cnpedite.itemvalorunitario", tipo="double")
private double itemvalorunitario;
private boolean itemvalorunitarioNull;
@Coluna(nome="cnpedite.itempercentualicms", tipo="double")
private double itempercentualicms;
private boolean itempercentualicmsNull;
@Coluna(nome="cnpedite.itempercentualipi", tipo="double")
private double itempercentualipi;
private boolean itempercentualipiNull;
@Coluna(nome="cnpedite.quantatendida", tipo="double")
private double quantatendida;
private boolean quantatendidaNull;
@Coluna(nome="cnpedite.codcontrolecliente", tipo="String")
private String codcontrolecliente;
@Coluna(nome="cnpedite.itemmarcareferencia", tipo="String")
private String itemmarcareferencia;
@Coluna(nome="cnpedite.oritemreferencia", tipo="String")
private String oritemreferencia;

public TabCnpedite() {
initialize();
}

public void initialize() {
setPedidoid(null);
setItemnumero(null);
setProduto(null);
setItemunidade(null);
setItemcodigomaterial(null);
setItemrequisicao(null);
setItemdescricao(null);
setItemprazoentrega(null);
setItemquantidade(null);
setItemvalorunitario(null);
setItempercentualicms(null);
setItempercentualipi(null);
setQuantatendida(null);
setCodcontrolecliente(null);
setItemmarcareferencia(null);
setOritemreferencia(null);
}

public TabCnpedite(int pedidoid, int itemnumero, String produto, String itemunidade, String itemcodigomaterial, String itemrequisicao, String itemdescricao, String itemprazoentrega, double itemquantidade, double itemvalorunitario, double itempercentualicms, double itempercentualipi, double quantatendida, String codcontrolecliente, String itemmarcareferencia, String oritemreferencia) {
this.pedidoid = pedidoid;
this.itemnumero = itemnumero;
this.produto = produto;
this.itemunidade = itemunidade;
this.itemcodigomaterial = itemcodigomaterial;
this.itemrequisicao = itemrequisicao;
this.itemdescricao = itemdescricao;
this.itemprazoentrega = itemprazoentrega;
this.itemquantidade = itemquantidade;
this.itemvalorunitario = itemvalorunitario;
this.itempercentualicms = itempercentualicms;
this.itempercentualipi = itempercentualipi;
this.quantatendida = quantatendida;
this.codcontrolecliente = codcontrolecliente;
this.itemmarcareferencia = itemmarcareferencia;
this.oritemreferencia = oritemreferencia;
}

public int getPedidoid() {
return pedidoid;
}

public boolean isPedidoidNull() {
return pedidoidNull;
}

public void setPedidoid(Integer pedidoid) {
if (pedidoid == null) {
pedidoidNull = true;
this.pedidoid = 0;
} else { 
pedidoidNull = false;
this.pedidoid = pedidoid;
}
}

public int getItemnumero() {
return itemnumero;
}

public boolean isItemnumeroNull() {
return itemnumeroNull;
}

public void setItemnumero(Integer itemnumero) {
if (itemnumero == null) {
itemnumeroNull = true;
this.itemnumero = 0;
} else { 
itemnumeroNull = false;
this.itemnumero = itemnumero;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getItemunidade() {
return itemunidade;
}

public void setItemunidade(String itemunidade) {
this.itemunidade = itemunidade;
}

public String getItemcodigomaterial() {
return itemcodigomaterial;
}

public void setItemcodigomaterial(String itemcodigomaterial) {
this.itemcodigomaterial = itemcodigomaterial;
}

public String getItemrequisicao() {
return itemrequisicao;
}

public void setItemrequisicao(String itemrequisicao) {
this.itemrequisicao = itemrequisicao;
}

public String getItemdescricao() {
return itemdescricao;
}

public void setItemdescricao(String itemdescricao) {
this.itemdescricao = itemdescricao;
}

public String getItemprazoentrega() {
return itemprazoentrega;
}

public void setItemprazoentrega(String itemprazoentrega) {
this.itemprazoentrega = itemprazoentrega;
}

public double getItemquantidade() {
return itemquantidade;
}

public boolean isItemquantidadeNull() {
return itemquantidadeNull;
}

public void setItemquantidade(int itemquantidade) {
setItemquantidade(new Double(itemquantidade));
}

public void setItemquantidade(long itemquantidade) {
setItemquantidade(new Double(itemquantidade));
}

public void setItemquantidade(Double itemquantidade) {
if (itemquantidade == null) {
itemquantidadeNull = true;
this.itemquantidade = 0.;
} else { 
itemquantidadeNull = false;
this.itemquantidade = FglDouble.round(itemquantidade, 4);
}
}

public double getItemvalorunitario() {
return itemvalorunitario;
}

public boolean isItemvalorunitarioNull() {
return itemvalorunitarioNull;
}

public void setItemvalorunitario(int itemvalorunitario) {
setItemvalorunitario(new Double(itemvalorunitario));
}

public void setItemvalorunitario(long itemvalorunitario) {
setItemvalorunitario(new Double(itemvalorunitario));
}

public void setItemvalorunitario(Double itemvalorunitario) {
if (itemvalorunitario == null) {
itemvalorunitarioNull = true;
this.itemvalorunitario = 0.;
} else { 
itemvalorunitarioNull = false;
this.itemvalorunitario = FglDouble.round(itemvalorunitario, 4);
}
}

public double getItempercentualicms() {
return itempercentualicms;
}

public boolean isItempercentualicmsNull() {
return itempercentualicmsNull;
}

public void setItempercentualicms(int itempercentualicms) {
setItempercentualicms(new Double(itempercentualicms));
}

public void setItempercentualicms(long itempercentualicms) {
setItempercentualicms(new Double(itempercentualicms));
}

public void setItempercentualicms(Double itempercentualicms) {
if (itempercentualicms == null) {
itempercentualicmsNull = true;
this.itempercentualicms = 0.;
} else { 
itempercentualicmsNull = false;
this.itempercentualicms = FglDouble.round(itempercentualicms, 2);
}
}

public double getItempercentualipi() {
return itempercentualipi;
}

public boolean isItempercentualipiNull() {
return itempercentualipiNull;
}

public void setItempercentualipi(int itempercentualipi) {
setItempercentualipi(new Double(itempercentualipi));
}

public void setItempercentualipi(long itempercentualipi) {
setItempercentualipi(new Double(itempercentualipi));
}

public void setItempercentualipi(Double itempercentualipi) {
if (itempercentualipi == null) {
itempercentualipiNull = true;
this.itempercentualipi = 0.;
} else { 
itempercentualipiNull = false;
this.itempercentualipi = FglDouble.round(itempercentualipi, 2);
}
}

public double getQuantatendida() {
return quantatendida;
}

public boolean isQuantatendidaNull() {
return quantatendidaNull;
}

public void setQuantatendida(int quantatendida) {
setQuantatendida(new Double(quantatendida));
}

public void setQuantatendida(long quantatendida) {
setQuantatendida(new Double(quantatendida));
}

public void setQuantatendida(Double quantatendida) {
if (quantatendida == null) {
quantatendidaNull = true;
this.quantatendida = 0.;
} else { 
quantatendidaNull = false;
this.quantatendida = FglDouble.round(quantatendida, 4);
}
}

public String getCodcontrolecliente() {
return codcontrolecliente;
}

public void setCodcontrolecliente(String codcontrolecliente) {
this.codcontrolecliente = codcontrolecliente;
}

public String getItemmarcareferencia() {
return itemmarcareferencia;
}

public void setItemmarcareferencia(String itemmarcareferencia) {
this.itemmarcareferencia = itemmarcareferencia;
}

public String getOritemreferencia() {
return oritemreferencia;
}

public void setOritemreferencia(String oritemreferencia) {
this.oritemreferencia = oritemreferencia;
}

}

