package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpralic {
@Coluna(nome="cnpralic.uforigem", tipo="String")
private String uforigem;
@Coluna(nome="cnpralic.ufdestino", tipo="String")
private String ufdestino;
@Coluna(nome="cnpralic.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnpralic.aliqicmsclass", tipo="double")
private double aliqicmsclass;
private boolean aliqicmsclassNull;
@Coluna(nome="cnpralic.tributado", tipo="double")
private double tributado;
private boolean tributadoNull;

public TabCnpralic() {
initialize();
}

public void initialize() {
setUforigem(null);
setUfdestino(null);
setClassefiscal(null);
setAliqicmsclass(null);
setTributado(null);
}

public TabCnpralic(String uforigem, String ufdestino, String classefiscal, double aliqicmsclass, double tributado) {
this.uforigem = uforigem;
this.ufdestino = ufdestino;
this.classefiscal = classefiscal;
this.aliqicmsclass = aliqicmsclass;
this.tributado = tributado;
}

public String getUforigem() {
return uforigem;
}

public void setUforigem(String uforigem) {
this.uforigem = uforigem;
}

public String getUfdestino() {
return ufdestino;
}

public void setUfdestino(String ufdestino) {
this.ufdestino = ufdestino;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public double getAliqicmsclass() {
return aliqicmsclass;
}

public boolean isAliqicmsclassNull() {
return aliqicmsclassNull;
}

public void setAliqicmsclass(int aliqicmsclass) {
setAliqicmsclass(new Double(aliqicmsclass));
}

public void setAliqicmsclass(long aliqicmsclass) {
setAliqicmsclass(new Double(aliqicmsclass));
}

public void setAliqicmsclass(Double aliqicmsclass) {
if (aliqicmsclass == null) {
aliqicmsclassNull = true;
this.aliqicmsclass = 0.;
} else { 
aliqicmsclassNull = false;
this.aliqicmsclass = FglDouble.round(aliqicmsclass, 2);
}
}

public double getTributado() {
return tributado;
}

public boolean isTributadoNull() {
return tributadoNull;
}

public void setTributado(int tributado) {
setTributado(new Double(tributado));
}

public void setTributado(long tributado) {
setTributado(new Double(tributado));
}

public void setTributado(Double tributado) {
if (tributado == null) {
tributadoNull = true;
this.tributado = 0.;
} else { 
tributadoNull = false;
this.tributado = FglDouble.round(tributado, 2);
}
}

}

