package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnpravem {
@Coluna(nome="cnpravem.id_noavem", tipo="int")
private int idNoavem;
private boolean idNoavemNull;
@Coluna(nome="cnpravem.seqpravem", tipo="int")
private int seqpravem;
private boolean seqpravemNull;
@Coluna(nome="cnpravem.codproduto", tipo="String")
private String codproduto;
@Coluna(nome="cnpravem.produto", tipo="String")
private String produto;
@Coluna(nome="cnpravem.nropedido", tipo="String")
private String nropedido;
@Coluna(nome="cnpravem.pesoliquido", tipo="double")
private double pesoliquido;
private boolean pesoliquidoNull;
@Coluna(nome="cnpravem.pesobruto", tipo="double")
private double pesobruto;
private boolean pesobrutoNull;
@Coluna(nome="cnpravem.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;
@Coluna(nome="cnpravem.unimedida", tipo="String")
private String unimedida;

public TabCnpravem() {
initialize();
}

public void initialize() {
setIdNoavem(null);
setSeqpravem(null);
setCodproduto(null);
setProduto(null);
setNropedido(null);
setPesoliquido(null);
setPesobruto(null);
setDtvalidade(null);
setUnimedida(null);
}

public TabCnpravem(int idNoavem, int seqpravem, String codproduto, String produto, String nropedido, double pesoliquido, double pesobruto, FglDate dtvalidade, String unimedida) {
this.idNoavem = idNoavem;
this.seqpravem = seqpravem;
this.codproduto = codproduto;
this.produto = produto;
this.nropedido = nropedido;
this.pesoliquido = pesoliquido;
this.pesobruto = pesobruto;
this.dtvalidade = dtvalidade;
this.unimedida = unimedida;
}

public int getIdNoavem() {
return idNoavem;
}

public boolean isIdNoavemNull() {
return idNoavemNull;
}

public void setIdNoavem(Integer idNoavem) {
if (idNoavem == null) {
idNoavemNull = true;
this.idNoavem = 0;
} else { 
idNoavemNull = false;
this.idNoavem = idNoavem;
}
}

public int getSeqpravem() {
return seqpravem;
}

public boolean isSeqpravemNull() {
return seqpravemNull;
}

public void setSeqpravem(Integer seqpravem) {
if (seqpravem == null) {
seqpravemNull = true;
this.seqpravem = 0;
} else { 
seqpravemNull = false;
this.seqpravem = seqpravem;
}
}

public String getCodproduto() {
return codproduto;
}

public void setCodproduto(String codproduto) {
this.codproduto = codproduto;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getNropedido() {
return nropedido;
}

public void setNropedido(String nropedido) {
this.nropedido = nropedido;
}

public double getPesoliquido() {
return pesoliquido;
}

public boolean isPesoliquidoNull() {
return pesoliquidoNull;
}

public void setPesoliquido(int pesoliquido) {
setPesoliquido(new Double(pesoliquido));
}

public void setPesoliquido(long pesoliquido) {
setPesoliquido(new Double(pesoliquido));
}

public void setPesoliquido(Double pesoliquido) {
if (pesoliquido == null) {
pesoliquidoNull = true;
this.pesoliquido = 0.;
} else { 
pesoliquidoNull = false;
this.pesoliquido = FglDouble.round(pesoliquido, 2);
}
}

public double getPesobruto() {
return pesobruto;
}

public boolean isPesobrutoNull() {
return pesobrutoNull;
}

public void setPesobruto(int pesobruto) {
setPesobruto(new Double(pesobruto));
}

public void setPesobruto(long pesobruto) {
setPesobruto(new Double(pesobruto));
}

public void setPesobruto(Double pesobruto) {
if (pesobruto == null) {
pesobrutoNull = true;
this.pesobruto = 0.;
} else { 
pesobrutoNull = false;
this.pesobruto = FglDouble.round(pesobruto, 2);
}
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

public String getUnimedida() {
return unimedida;
}

public void setUnimedida(String unimedida) {
this.unimedida = unimedida;
}

}

