package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnprcisp {
@Coluna(nome="cnprcisp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnprcisp.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnprcisp.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cnprcisp.versao", tipo="String")
private String versao;
@Coluna(nome="cnprcisp.finalidade", tipo="String")
private String finalidade;

public TabCnprcisp() {
initialize();
}

public void initialize() {
setFilial(null);
setDtinicio(null);
setDtfim(null);
setVersao(null);
setFinalidade(null);
}

public TabCnprcisp(int filial, FglDate dtinicio, FglDate dtfim, String versao, String finalidade) {
this.filial = filial;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.versao = versao;
this.finalidade = finalidade;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getFinalidade() {
return finalidade;
}

public void setFinalidade(String finalidade) {
this.finalidade = finalidade;
}

}

