package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpricna {
@Coluna(nome="cnpricna.id_pricst", tipo="int")
private int idPricst;
private boolean idPricstNull;
@Coluna(nome="cnpricna.cnae", tipo="int")
private int cnae;
private boolean cnaeNull;
@Coluna(nome="cnpricna.percsubstrib", tipo="double")
private double percsubstrib;
private boolean percsubstribNull;
@Coluna(nome="cnpricna.percicmst", tipo="double")
private double percicmst;
private boolean percicmstNull;
@Coluna(nome="cnpricna.percicmstnac", tipo="double")
private double percicmstnac;
private boolean percicmstnacNull;
@Coluna(nome="cnpricna.perccargamed", tipo="double")
private double perccargamed;
private boolean perccargamedNull;

public TabCnpricna() {
initialize();
}

public void initialize() {
setIdPricst(null);
setCnae(null);
setPercsubstrib(null);
setPercicmst(null);
setPercicmstnac(null);
setPerccargamed(null);
}

public TabCnpricna(int idPricst, int cnae, double percsubstrib, double percicmst, double percicmstnac, double perccargamed) {
this.idPricst = idPricst;
this.cnae = cnae;
this.percsubstrib = percsubstrib;
this.percicmst = percicmst;
this.percicmstnac = percicmstnac;
this.perccargamed = perccargamed;
}

public int getIdPricst() {
return idPricst;
}

public boolean isIdPricstNull() {
return idPricstNull;
}

public void setIdPricst(Integer idPricst) {
if (idPricst == null) {
idPricstNull = true;
this.idPricst = 0;
} else { 
idPricstNull = false;
this.idPricst = idPricst;
}
}

public int getCnae() {
return cnae;
}

public boolean isCnaeNull() {
return cnaeNull;
}

public void setCnae(Integer cnae) {
if (cnae == null) {
cnaeNull = true;
this.cnae = 0;
} else { 
cnaeNull = false;
this.cnae = cnae;
}
}

public double getPercsubstrib() {
return percsubstrib;
}

public boolean isPercsubstribNull() {
return percsubstribNull;
}

public void setPercsubstrib(int percsubstrib) {
setPercsubstrib(new Double(percsubstrib));
}

public void setPercsubstrib(long percsubstrib) {
setPercsubstrib(new Double(percsubstrib));
}

public void setPercsubstrib(Double percsubstrib) {
if (percsubstrib == null) {
percsubstribNull = true;
this.percsubstrib = 0.;
} else { 
percsubstribNull = false;
this.percsubstrib = FglDouble.round(percsubstrib, 4);
}
}

public double getPercicmst() {
return percicmst;
}

public boolean isPercicmstNull() {
return percicmstNull;
}

public void setPercicmst(int percicmst) {
setPercicmst(new Double(percicmst));
}

public void setPercicmst(long percicmst) {
setPercicmst(new Double(percicmst));
}

public void setPercicmst(Double percicmst) {
if (percicmst == null) {
percicmstNull = true;
this.percicmst = 0.;
} else { 
percicmstNull = false;
this.percicmst = FglDouble.round(percicmst, 4);
}
}

public double getPercicmstnac() {
return percicmstnac;
}

public boolean isPercicmstnacNull() {
return percicmstnacNull;
}

public void setPercicmstnac(int percicmstnac) {
setPercicmstnac(new Double(percicmstnac));
}

public void setPercicmstnac(long percicmstnac) {
setPercicmstnac(new Double(percicmstnac));
}

public void setPercicmstnac(Double percicmstnac) {
if (percicmstnac == null) {
percicmstnacNull = true;
this.percicmstnac = 0.;
} else { 
percicmstnacNull = false;
this.percicmstnac = FglDouble.round(percicmstnac, 4);
}
}

public double getPerccargamed() {
return perccargamed;
}

public boolean isPerccargamedNull() {
return perccargamedNull;
}

public void setPerccargamed(int perccargamed) {
setPerccargamed(new Double(perccargamed));
}

public void setPerccargamed(long perccargamed) {
setPerccargamed(new Double(perccargamed));
}

public void setPerccargamed(Double perccargamed) {
if (perccargamed == null) {
perccargamedNull = true;
this.perccargamed = 0.;
} else { 
perccargamedNull = false;
this.perccargamed = FglDouble.round(perccargamed, 4);
}
}

}

