package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpricpe {
@Coluna(nome="cnpricpe.id_pricst", tipo="int")
private int idPricst;
private boolean idPricstNull;
@Coluna(nome="cnpricpe.aliqdifnac", tipo="double")
private double aliqdifnac;
private boolean aliqdifnacNull;
@Coluna(nome="cnpricpe.aliqdifimp", tipo="double")
private double aliqdifimp;
private boolean aliqdifimpNull;

public TabCnpricpe() {
initialize();
}

public void initialize() {
setIdPricst(null);
setAliqdifnac(null);
setAliqdifimp(null);
}

public TabCnpricpe(int idPricst, double aliqdifnac, double aliqdifimp) {
this.idPricst = idPricst;
this.aliqdifnac = aliqdifnac;
this.aliqdifimp = aliqdifimp;
}

public int getIdPricst() {
return idPricst;
}

public boolean isIdPricstNull() {
return idPricstNull;
}

public void setIdPricst(Integer idPricst) {
if (idPricst == null) {
idPricstNull = true;
this.idPricst = 0;
} else { 
idPricstNull = false;
this.idPricst = idPricst;
}
}

public double getAliqdifnac() {
return aliqdifnac;
}

public boolean isAliqdifnacNull() {
return aliqdifnacNull;
}

public void setAliqdifnac(int aliqdifnac) {
setAliqdifnac(new Double(aliqdifnac));
}

public void setAliqdifnac(long aliqdifnac) {
setAliqdifnac(new Double(aliqdifnac));
}

public void setAliqdifnac(Double aliqdifnac) {
if (aliqdifnac == null) {
aliqdifnacNull = true;
this.aliqdifnac = 0.;
} else { 
aliqdifnacNull = false;
this.aliqdifnac = FglDouble.round(aliqdifnac, 2);
}
}

public double getAliqdifimp() {
return aliqdifimp;
}

public boolean isAliqdifimpNull() {
return aliqdifimpNull;
}

public void setAliqdifimp(int aliqdifimp) {
setAliqdifimp(new Double(aliqdifimp));
}

public void setAliqdifimp(long aliqdifimp) {
setAliqdifimp(new Double(aliqdifimp));
}

public void setAliqdifimp(Double aliqdifimp) {
if (aliqdifimp == null) {
aliqdifimpNull = true;
this.aliqdifimp = 0.;
} else { 
aliqdifimpNull = false;
this.aliqdifimp = FglDouble.round(aliqdifimp, 2);
}
}

}

