package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnpriexc {
@Coluna(nome="cnpriexc.id_priexc", tipo="int")
private int idPriexc;
private boolean idPriexcNull;
@Coluna(nome="cnpriexc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnpriexc.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnpriexc.contribuinte", tipo="String")
private String contribuinte;
@Coluna(nome="cnpriexc.localvenda", tipo="String")
private String localvenda;
@Coluna(nome="cnpriexc.tpproduto", tipo="String")
private String tpproduto;
@Coluna(nome="cnpriexc.percsubstrib", tipo="double")
private double percsubstrib;
private boolean percsubstribNull;
@Coluna(nome="cnpriexc.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cnpriexc.perctribicms", tipo="double")
private double perctribicms;
private boolean perctribicmsNull;
@Coluna(nome="cnpriexc.desticmsop", tipo="String")
private String desticmsop;
@Coluna(nome="cnpriexc.saliqicms", tipo="double")
private double saliqicms;
private boolean saliqicmsNull;
@Coluna(nome="cnpriexc.saliqicmssn", tipo="double")
private double saliqicmssn;
private boolean saliqicmssnNull;
@Coluna(nome="cnpriexc.perctribst", tipo="double")
private double perctribst;
private boolean perctribstNull;
@Coluna(nome="cnpriexc.historico", tipo="String")
private String historico;
@Coluna(nome="cnpriexc.aliq_mva", tipo="double")
private double aliqMva;
private boolean aliqMvaNull;

public TabCnpriexc() {
initialize();
}

public void initialize() {
setIdPriexc(null);
setFilial(null);
setClassefiscal(null);
setContribuinte(null);
setLocalvenda(null);
setTpproduto(null);
setPercsubstrib(null);
setAliqicms(null);
setPerctribicms(null);
setDesticmsop(null);
setSaliqicms(null);
setSaliqicmssn(null);
setPerctribst(null);
setHistorico(null);
setAliqMva(null);
}

public TabCnpriexc(int idPriexc, int filial, String classefiscal, String contribuinte, String localvenda, String tpproduto, double percsubstrib, double aliqicms, double perctribicms, String desticmsop, double saliqicms, double saliqicmssn, double perctribst, String historico, double aliqMva) {
this.idPriexc = idPriexc;
this.filial = filial;
this.classefiscal = classefiscal;
this.contribuinte = contribuinte;
this.localvenda = localvenda;
this.tpproduto = tpproduto;
this.percsubstrib = percsubstrib;
this.aliqicms = aliqicms;
this.perctribicms = perctribicms;
this.desticmsop = desticmsop;
this.saliqicms = saliqicms;
this.saliqicmssn = saliqicmssn;
this.perctribst = perctribst;
this.historico = historico;
this.aliqMva = aliqMva;
}

public int getIdPriexc() {
return idPriexc;
}

public boolean isIdPriexcNull() {
return idPriexcNull;
}

public void setIdPriexc(Integer idPriexc) {
if (idPriexc == null) {
idPriexcNull = true;
this.idPriexc = 0;
} else { 
idPriexcNull = false;
this.idPriexc = idPriexc;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getContribuinte() {
return contribuinte;
}

public void setContribuinte(String contribuinte) {
this.contribuinte = contribuinte;
}

public String getLocalvenda() {
return localvenda;
}

public void setLocalvenda(String localvenda) {
this.localvenda = localvenda;
}

public String getTpproduto() {
return tpproduto;
}

public void setTpproduto(String tpproduto) {
this.tpproduto = tpproduto;
}

public double getPercsubstrib() {
return percsubstrib;
}

public boolean isPercsubstribNull() {
return percsubstribNull;
}

public void setPercsubstrib(int percsubstrib) {
setPercsubstrib(new Double(percsubstrib));
}

public void setPercsubstrib(long percsubstrib) {
setPercsubstrib(new Double(percsubstrib));
}

public void setPercsubstrib(Double percsubstrib) {
if (percsubstrib == null) {
percsubstribNull = true;
this.percsubstrib = 0.;
} else { 
percsubstribNull = false;
this.percsubstrib = FglDouble.round(percsubstrib, 4);
}
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getPerctribicms() {
return perctribicms;
}

public boolean isPerctribicmsNull() {
return perctribicmsNull;
}

public void setPerctribicms(int perctribicms) {
setPerctribicms(new Double(perctribicms));
}

public void setPerctribicms(long perctribicms) {
setPerctribicms(new Double(perctribicms));
}

public void setPerctribicms(Double perctribicms) {
if (perctribicms == null) {
perctribicmsNull = true;
this.perctribicms = 0.;
} else { 
perctribicmsNull = false;
this.perctribicms = FglDouble.round(perctribicms, 2);
}
}

public String getDesticmsop() {
return desticmsop;
}

public void setDesticmsop(String desticmsop) {
this.desticmsop = desticmsop;
}

public double getSaliqicms() {
return saliqicms;
}

public boolean isSaliqicmsNull() {
return saliqicmsNull;
}

public void setSaliqicms(int saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(long saliqicms) {
setSaliqicms(new Double(saliqicms));
}

public void setSaliqicms(Double saliqicms) {
if (saliqicms == null) {
saliqicmsNull = true;
this.saliqicms = 0.;
} else { 
saliqicmsNull = false;
this.saliqicms = FglDouble.round(saliqicms, 2);
}
}

public double getSaliqicmssn() {
return saliqicmssn;
}

public boolean isSaliqicmssnNull() {
return saliqicmssnNull;
}

public void setSaliqicmssn(int saliqicmssn) {
setSaliqicmssn(new Double(saliqicmssn));
}

public void setSaliqicmssn(long saliqicmssn) {
setSaliqicmssn(new Double(saliqicmssn));
}

public void setSaliqicmssn(Double saliqicmssn) {
if (saliqicmssn == null) {
saliqicmssnNull = true;
this.saliqicmssn = 0.;
} else { 
saliqicmssnNull = false;
this.saliqicmssn = FglDouble.round(saliqicmssn, 2);
}
}

public double getPerctribst() {
return perctribst;
}

public boolean isPerctribstNull() {
return perctribstNull;
}

public void setPerctribst(int perctribst) {
setPerctribst(new Double(perctribst));
}

public void setPerctribst(long perctribst) {
setPerctribst(new Double(perctribst));
}

public void setPerctribst(Double perctribst) {
if (perctribst == null) {
perctribstNull = true;
this.perctribst = 0.;
} else { 
perctribstNull = false;
this.perctribst = FglDouble.round(perctribst, 2);
}
}

public String getHistorico() {
return historico;
}

public void setHistorico(String historico) {
this.historico = historico;
}

public double getAliqMva() {
return aliqMva;
}

public boolean isAliqMvaNull() {
return aliqMvaNull;
}

public void setAliqMva(int aliqMva) {
setAliqMva(new Double(aliqMva));
}

public void setAliqMva(long aliqMva) {
setAliqMva(new Double(aliqMva));
}

public void setAliqMva(Double aliqMva) {
if (aliqMva == null) {
aliqMvaNull = true;
this.aliqMva = 0.;
} else { 
aliqMvaNull = false;
this.aliqMva = FglDouble.round(aliqMva, 4);
}
}

}

