package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnraajus {
@Coluna(nome="cnraajus.id_spedicon", tipo="int")
private int idSpedicon;
private boolean idSpediconNull;
@Coluna(nome="cnraajus.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnraajus.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cnraajus.basecalcpis", tipo="double")
private double basecalcpis;
private boolean basecalcpisNull;
@Coluna(nome="cnraajus.basecalccofins", tipo="double")
private double basecalccofins;
private boolean basecalccofinsNull;
@Coluna(nome="cnraajus.valorpis", tipo="double")
private double valorpis;
private boolean valorpisNull;
@Coluna(nome="cnraajus.valorcofins", tipo="double")
private double valorcofins;
private boolean valorcofinsNull;
@Coluna(nome="cnraajus.basecalcpisajus", tipo="double")
private double basecalcpisajus;
private boolean basecalcpisajusNull;
@Coluna(nome="cnraajus.basecalccofinsajus", tipo="double")
private double basecalccofinsajus;
private boolean basecalccofinsajusNull;
@Coluna(nome="cnraajus.valorpisajus", tipo="double")
private double valorpisajus;
private boolean valorpisajusNull;
@Coluna(nome="cnraajus.valorcofinsajus", tipo="double")
private double valorcofinsajus;
private boolean valorcofinsajusNull;

public TabCnraajus() {
initialize();
}

public void initialize() {
setIdSpedicon(null);
setFilial(null);
setAnomes(null);
setBasecalcpis(null);
setBasecalccofins(null);
setValorpis(null);
setValorcofins(null);
setBasecalcpisajus(null);
setBasecalccofinsajus(null);
setValorpisajus(null);
setValorcofinsajus(null);
}

public TabCnraajus(int idSpedicon, int filial, FglDateTimeYM anomes, double basecalcpis, double basecalccofins, double valorpis, double valorcofins, double basecalcpisajus, double basecalccofinsajus, double valorpisajus, double valorcofinsajus) {
this.idSpedicon = idSpedicon;
this.filial = filial;
this.anomes = anomes;
this.basecalcpis = basecalcpis;
this.basecalccofins = basecalccofins;
this.valorpis = valorpis;
this.valorcofins = valorcofins;
this.basecalcpisajus = basecalcpisajus;
this.basecalccofinsajus = basecalccofinsajus;
this.valorpisajus = valorpisajus;
this.valorcofinsajus = valorcofinsajus;
}

public int getIdSpedicon() {
return idSpedicon;
}

public boolean isIdSpediconNull() {
return idSpediconNull;
}

public void setIdSpedicon(Integer idSpedicon) {
if (idSpedicon == null) {
idSpediconNull = true;
this.idSpedicon = 0;
} else { 
idSpediconNull = false;
this.idSpedicon = idSpedicon;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getBasecalcpis() {
return basecalcpis;
}

public boolean isBasecalcpisNull() {
return basecalcpisNull;
}

public void setBasecalcpis(int basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(long basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(Double basecalcpis) {
if (basecalcpis == null) {
basecalcpisNull = true;
this.basecalcpis = 0.;
} else { 
basecalcpisNull = false;
this.basecalcpis = FglDouble.round(basecalcpis, 2);
}
}

public double getBasecalccofins() {
return basecalccofins;
}

public boolean isBasecalccofinsNull() {
return basecalccofinsNull;
}

public void setBasecalccofins(int basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(long basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(Double basecalccofins) {
if (basecalccofins == null) {
basecalccofinsNull = true;
this.basecalccofins = 0.;
} else { 
basecalccofinsNull = false;
this.basecalccofins = FglDouble.round(basecalccofins, 2);
}
}

public double getValorpis() {
return valorpis;
}

public boolean isValorpisNull() {
return valorpisNull;
}

public void setValorpis(int valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(long valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(Double valorpis) {
if (valorpis == null) {
valorpisNull = true;
this.valorpis = 0.;
} else { 
valorpisNull = false;
this.valorpis = FglDouble.round(valorpis, 2);
}
}

public double getValorcofins() {
return valorcofins;
}

public boolean isValorcofinsNull() {
return valorcofinsNull;
}

public void setValorcofins(int valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(long valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(Double valorcofins) {
if (valorcofins == null) {
valorcofinsNull = true;
this.valorcofins = 0.;
} else { 
valorcofinsNull = false;
this.valorcofins = FglDouble.round(valorcofins, 2);
}
}

public double getBasecalcpisajus() {
return basecalcpisajus;
}

public boolean isBasecalcpisajusNull() {
return basecalcpisajusNull;
}

public void setBasecalcpisajus(int basecalcpisajus) {
setBasecalcpisajus(new Double(basecalcpisajus));
}

public void setBasecalcpisajus(long basecalcpisajus) {
setBasecalcpisajus(new Double(basecalcpisajus));
}

public void setBasecalcpisajus(Double basecalcpisajus) {
if (basecalcpisajus == null) {
basecalcpisajusNull = true;
this.basecalcpisajus = 0.;
} else { 
basecalcpisajusNull = false;
this.basecalcpisajus = FglDouble.round(basecalcpisajus, 2);
}
}

public double getBasecalccofinsajus() {
return basecalccofinsajus;
}

public boolean isBasecalccofinsajusNull() {
return basecalccofinsajusNull;
}

public void setBasecalccofinsajus(int basecalccofinsajus) {
setBasecalccofinsajus(new Double(basecalccofinsajus));
}

public void setBasecalccofinsajus(long basecalccofinsajus) {
setBasecalccofinsajus(new Double(basecalccofinsajus));
}

public void setBasecalccofinsajus(Double basecalccofinsajus) {
if (basecalccofinsajus == null) {
basecalccofinsajusNull = true;
this.basecalccofinsajus = 0.;
} else { 
basecalccofinsajusNull = false;
this.basecalccofinsajus = FglDouble.round(basecalccofinsajus, 2);
}
}

public double getValorpisajus() {
return valorpisajus;
}

public boolean isValorpisajusNull() {
return valorpisajusNull;
}

public void setValorpisajus(int valorpisajus) {
setValorpisajus(new Double(valorpisajus));
}

public void setValorpisajus(long valorpisajus) {
setValorpisajus(new Double(valorpisajus));
}

public void setValorpisajus(Double valorpisajus) {
if (valorpisajus == null) {
valorpisajusNull = true;
this.valorpisajus = 0.;
} else { 
valorpisajusNull = false;
this.valorpisajus = FglDouble.round(valorpisajus, 2);
}
}

public double getValorcofinsajus() {
return valorcofinsajus;
}

public boolean isValorcofinsajusNull() {
return valorcofinsajusNull;
}

public void setValorcofinsajus(int valorcofinsajus) {
setValorcofinsajus(new Double(valorcofinsajus));
}

public void setValorcofinsajus(long valorcofinsajus) {
setValorcofinsajus(new Double(valorcofinsajus));
}

public void setValorcofinsajus(Double valorcofinsajus) {
if (valorcofinsajus == null) {
valorcofinsajusNull = true;
this.valorcofinsajus = 0.;
} else { 
valorcofinsajusNull = false;
this.valorcofinsajus = FglDouble.round(valorcofinsajus, 2);
}
}

}

