package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnraccst {
@Coluna(nome="cnraccst.id_rapcof", tipo="int")
private int idRapcof;
private boolean idRapcofNull;
@Coluna(nome="cnraccst.tipo", tipo="String")
private String tipo;
@Coluna(nome="cnraccst.cod_cst", tipo="int")
private int codCst;
private boolean codCstNull;
@Coluna(nome="cnraccst.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;
@Coluna(nome="cnraccst.tipo_credito", tipo="int")
private int tipoCredito;
private boolean tipoCreditoNull;
@Coluna(nome="cnraccst.tipo_contrib", tipo="int")
private int tipoContrib;
private boolean tipoContribNull;
@Coluna(nome="cnraccst.aliquota", tipo="double")
private double aliquota;
private boolean aliquotaNull;
@Coluna(nome="cnraccst.b_cred_naocumul", tipo="double")
private double bCredNaocumul;
private boolean bCredNaocumulNull;
@Coluna(nome="cnraccst.cred_naocumul", tipo="double")
private double credNaocumul;
private boolean credNaocumulNull;
@Coluna(nome="cnraccst.b_cred_cumul", tipo="double")
private double bCredCumul;
private boolean bCredCumulNull;
@Coluna(nome="cnraccst.cred_cumul", tipo="double")
private double credCumul;
private boolean credCumulNull;
@Coluna(nome="cnraccst.b_cred_ativofixo", tipo="double")
private double bCredAtivofixo;
private boolean bCredAtivofixoNull;
@Coluna(nome="cnraccst.cred_ativofixo", tipo="double")
private double credAtivofixo;
private boolean credAtivofixoNull;
@Coluna(nome="cnraccst.b_cred_contransp", tipo="double")
private double bCredContransp;
private boolean bCredContranspNull;
@Coluna(nome="cnraccst.cred_contransp", tipo="double")
private double credContransp;
private boolean credContranspNull;
@Coluna(nome="cnraccst.b_cred_codfixo", tipo="double")
private double bCredCodfixo;
private boolean bCredCodfixoNull;
@Coluna(nome="cnraccst.cred_codfixo", tipo="double")
private double credCodfixo;
private boolean credCodfixoNull;
@Coluna(nome="cnraccst.b_cred_outrcred", tipo="double")
private double bCredOutrcred;
private boolean bCredOutrcredNull;
@Coluna(nome="cnraccst.cred_outrcred", tipo="double")
private double credOutrcred;
private boolean credOutrcredNull;
@Coluna(nome="cnraccst.cred_ajcreditos_a", tipo="double")
private double credAjcreditosA;
private boolean credAjcreditosANull;
@Coluna(nome="cnraccst.cred_ajcreditos_r", tipo="double")
private double credAjcreditosR;
private boolean credAjcreditosRNull;
@Coluna(nome="cnraccst.b_cred_cumu_m105", tipo="double")
private double bCredCumuM105;
private boolean bCredCumuM105Null;
@Coluna(nome="cnraccst.cred_cumu_m105", tipo="double")
private double credCumuM105;
private boolean credCumuM105Null;
@Coluna(nome="cnraccst.b_deb_naocumul", tipo="double")
private double bDebNaocumul;
private boolean bDebNaocumulNull;
@Coluna(nome="cnraccst.deb_naocumul", tipo="double")
private double debNaocumul;
private boolean debNaocumulNull;
@Coluna(nome="cnraccst.b_deb_cumulativo", tipo="double")
private double bDebCumulativo;
private boolean bDebCumulativoNull;
@Coluna(nome="cnraccst.deb_cumulativo", tipo="double")
private double debCumulativo;
private boolean debCumulativoNull;
@Coluna(nome="cnraccst.b_deb_outrasrec", tipo="double")
private double bDebOutrasrec;
private boolean bDebOutrasrecNull;
@Coluna(nome="cnraccst.deb_outrasrec", tipo="double")
private double debOutrasrec;
private boolean debOutrasrecNull;
@Coluna(nome="cnraccst.deb_ajcontrib_a", tipo="double")
private double debAjcontribA;
private boolean debAjcontribANull;
@Coluna(nome="cnraccst.deb_ajcontrib_r", tipo="double")
private double debAjcontribR;
private boolean debAjcontribRNull;
@Coluna(nome="cnraccst.isent_monofasico", tipo="double")
private double isentMonofasico;
private boolean isentMonofasicoNull;
@Coluna(nome="cnraccst.isento_st", tipo="double")
private double isentoSt;
private boolean isentoStNull;
@Coluna(nome="cnraccst.isento_outrec", tipo="double")
private double isentoOutrec;
private boolean isentoOutrecNull;
@Coluna(nome="cnraccst.vlrapag", tipo="double")
private double vlrapag;
private boolean vlrapagNull;

public TabCnraccst() {
initialize();
}

public void initialize() {
setIdRapcof(null);
setTipo(null);
setCodCst(null);
setCodCalculo(null);
setTipoCredito(null);
setTipoContrib(null);
setAliquota(null);
setBCredNaocumul(null);
setCredNaocumul(null);
setBCredCumul(null);
setCredCumul(null);
setBCredAtivofixo(null);
setCredAtivofixo(null);
setBCredContransp(null);
setCredContransp(null);
setBCredCodfixo(null);
setCredCodfixo(null);
setBCredOutrcred(null);
setCredOutrcred(null);
setCredAjcreditosA(null);
setCredAjcreditosR(null);
setBCredCumuM105(null);
setCredCumuM105(null);
setBDebNaocumul(null);
setDebNaocumul(null);
setBDebCumulativo(null);
setDebCumulativo(null);
setBDebOutrasrec(null);
setDebOutrasrec(null);
setDebAjcontribA(null);
setDebAjcontribR(null);
setIsentMonofasico(null);
setIsentoSt(null);
setIsentoOutrec(null);
setVlrapag(null);
}

public TabCnraccst(int idRapcof, String tipo, int codCst, int codCalculo, int tipoCredito, int tipoContrib, double aliquota, double bCredNaocumul, double credNaocumul, double bCredCumul, double credCumul, double bCredAtivofixo, double credAtivofixo, double bCredContransp, double credContransp, double bCredCodfixo, double credCodfixo, double bCredOutrcred, double credOutrcred, double credAjcreditosA, double credAjcreditosR, double bCredCumuM105, double credCumuM105, double bDebNaocumul, double debNaocumul, double bDebCumulativo, double debCumulativo, double bDebOutrasrec, double debOutrasrec, double debAjcontribA, double debAjcontribR, double isentMonofasico, double isentoSt, double isentoOutrec, double vlrapag) {
this.idRapcof = idRapcof;
this.tipo = tipo;
this.codCst = codCst;
this.codCalculo = codCalculo;
this.tipoCredito = tipoCredito;
this.tipoContrib = tipoContrib;
this.aliquota = aliquota;
this.bCredNaocumul = bCredNaocumul;
this.credNaocumul = credNaocumul;
this.bCredCumul = bCredCumul;
this.credCumul = credCumul;
this.bCredAtivofixo = bCredAtivofixo;
this.credAtivofixo = credAtivofixo;
this.bCredContransp = bCredContransp;
this.credContransp = credContransp;
this.bCredCodfixo = bCredCodfixo;
this.credCodfixo = credCodfixo;
this.bCredOutrcred = bCredOutrcred;
this.credOutrcred = credOutrcred;
this.credAjcreditosA = credAjcreditosA;
this.credAjcreditosR = credAjcreditosR;
this.bCredCumuM105 = bCredCumuM105;
this.credCumuM105 = credCumuM105;
this.bDebNaocumul = bDebNaocumul;
this.debNaocumul = debNaocumul;
this.bDebCumulativo = bDebCumulativo;
this.debCumulativo = debCumulativo;
this.bDebOutrasrec = bDebOutrasrec;
this.debOutrasrec = debOutrasrec;
this.debAjcontribA = debAjcontribA;
this.debAjcontribR = debAjcontribR;
this.isentMonofasico = isentMonofasico;
this.isentoSt = isentoSt;
this.isentoOutrec = isentoOutrec;
this.vlrapag = vlrapag;
}

public int getIdRapcof() {
return idRapcof;
}

public boolean isIdRapcofNull() {
return idRapcofNull;
}

public void setIdRapcof(Integer idRapcof) {
if (idRapcof == null) {
idRapcofNull = true;
this.idRapcof = 0;
} else { 
idRapcofNull = false;
this.idRapcof = idRapcof;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getCodCst() {
return codCst;
}

public boolean isCodCstNull() {
return codCstNull;
}

public void setCodCst(Integer codCst) {
if (codCst == null) {
codCstNull = true;
this.codCst = 0;
} else { 
codCstNull = false;
this.codCst = codCst;
}
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

public int getTipoCredito() {
return tipoCredito;
}

public boolean isTipoCreditoNull() {
return tipoCreditoNull;
}

public void setTipoCredito(Integer tipoCredito) {
if (tipoCredito == null) {
tipoCreditoNull = true;
this.tipoCredito = 0;
} else { 
tipoCreditoNull = false;
this.tipoCredito = tipoCredito;
}
}

public int getTipoContrib() {
return tipoContrib;
}

public boolean isTipoContribNull() {
return tipoContribNull;
}

public void setTipoContrib(Integer tipoContrib) {
if (tipoContrib == null) {
tipoContribNull = true;
this.tipoContrib = 0;
} else { 
tipoContribNull = false;
this.tipoContrib = tipoContrib;
}
}

public double getAliquota() {
return aliquota;
}

public boolean isAliquotaNull() {
return aliquotaNull;
}

public void setAliquota(int aliquota) {
setAliquota(new Double(aliquota));
}

public void setAliquota(long aliquota) {
setAliquota(new Double(aliquota));
}

public void setAliquota(Double aliquota) {
if (aliquota == null) {
aliquotaNull = true;
this.aliquota = 0.;
} else { 
aliquotaNull = false;
this.aliquota = FglDouble.round(aliquota, 2);
}
}

public double getBCredNaocumul() {
return bCredNaocumul;
}

public boolean isBCredNaocumulNull() {
return bCredNaocumulNull;
}

public void setBCredNaocumul(int bCredNaocumul) {
setBCredNaocumul(new Double(bCredNaocumul));
}

public void setBCredNaocumul(long bCredNaocumul) {
setBCredNaocumul(new Double(bCredNaocumul));
}

public void setBCredNaocumul(Double bCredNaocumul) {
if (bCredNaocumul == null) {
bCredNaocumulNull = true;
this.bCredNaocumul = 0.;
} else { 
bCredNaocumulNull = false;
this.bCredNaocumul = FglDouble.round(bCredNaocumul, 2);
}
}

public double getCredNaocumul() {
return credNaocumul;
}

public boolean isCredNaocumulNull() {
return credNaocumulNull;
}

public void setCredNaocumul(int credNaocumul) {
setCredNaocumul(new Double(credNaocumul));
}

public void setCredNaocumul(long credNaocumul) {
setCredNaocumul(new Double(credNaocumul));
}

public void setCredNaocumul(Double credNaocumul) {
if (credNaocumul == null) {
credNaocumulNull = true;
this.credNaocumul = 0.;
} else { 
credNaocumulNull = false;
this.credNaocumul = FglDouble.round(credNaocumul, 2);
}
}

public double getBCredCumul() {
return bCredCumul;
}

public boolean isBCredCumulNull() {
return bCredCumulNull;
}

public void setBCredCumul(int bCredCumul) {
setBCredCumul(new Double(bCredCumul));
}

public void setBCredCumul(long bCredCumul) {
setBCredCumul(new Double(bCredCumul));
}

public void setBCredCumul(Double bCredCumul) {
if (bCredCumul == null) {
bCredCumulNull = true;
this.bCredCumul = 0.;
} else { 
bCredCumulNull = false;
this.bCredCumul = FglDouble.round(bCredCumul, 2);
}
}

public double getCredCumul() {
return credCumul;
}

public boolean isCredCumulNull() {
return credCumulNull;
}

public void setCredCumul(int credCumul) {
setCredCumul(new Double(credCumul));
}

public void setCredCumul(long credCumul) {
setCredCumul(new Double(credCumul));
}

public void setCredCumul(Double credCumul) {
if (credCumul == null) {
credCumulNull = true;
this.credCumul = 0.;
} else { 
credCumulNull = false;
this.credCumul = FglDouble.round(credCumul, 2);
}
}

public double getBCredAtivofixo() {
return bCredAtivofixo;
}

public boolean isBCredAtivofixoNull() {
return bCredAtivofixoNull;
}

public void setBCredAtivofixo(int bCredAtivofixo) {
setBCredAtivofixo(new Double(bCredAtivofixo));
}

public void setBCredAtivofixo(long bCredAtivofixo) {
setBCredAtivofixo(new Double(bCredAtivofixo));
}

public void setBCredAtivofixo(Double bCredAtivofixo) {
if (bCredAtivofixo == null) {
bCredAtivofixoNull = true;
this.bCredAtivofixo = 0.;
} else { 
bCredAtivofixoNull = false;
this.bCredAtivofixo = FglDouble.round(bCredAtivofixo, 2);
}
}

public double getCredAtivofixo() {
return credAtivofixo;
}

public boolean isCredAtivofixoNull() {
return credAtivofixoNull;
}

public void setCredAtivofixo(int credAtivofixo) {
setCredAtivofixo(new Double(credAtivofixo));
}

public void setCredAtivofixo(long credAtivofixo) {
setCredAtivofixo(new Double(credAtivofixo));
}

public void setCredAtivofixo(Double credAtivofixo) {
if (credAtivofixo == null) {
credAtivofixoNull = true;
this.credAtivofixo = 0.;
} else { 
credAtivofixoNull = false;
this.credAtivofixo = FglDouble.round(credAtivofixo, 2);
}
}

public double getBCredContransp() {
return bCredContransp;
}

public boolean isBCredContranspNull() {
return bCredContranspNull;
}

public void setBCredContransp(int bCredContransp) {
setBCredContransp(new Double(bCredContransp));
}

public void setBCredContransp(long bCredContransp) {
setBCredContransp(new Double(bCredContransp));
}

public void setBCredContransp(Double bCredContransp) {
if (bCredContransp == null) {
bCredContranspNull = true;
this.bCredContransp = 0.;
} else { 
bCredContranspNull = false;
this.bCredContransp = FglDouble.round(bCredContransp, 2);
}
}

public double getCredContransp() {
return credContransp;
}

public boolean isCredContranspNull() {
return credContranspNull;
}

public void setCredContransp(int credContransp) {
setCredContransp(new Double(credContransp));
}

public void setCredContransp(long credContransp) {
setCredContransp(new Double(credContransp));
}

public void setCredContransp(Double credContransp) {
if (credContransp == null) {
credContranspNull = true;
this.credContransp = 0.;
} else { 
credContranspNull = false;
this.credContransp = FglDouble.round(credContransp, 2);
}
}

public double getBCredCodfixo() {
return bCredCodfixo;
}

public boolean isBCredCodfixoNull() {
return bCredCodfixoNull;
}

public void setBCredCodfixo(int bCredCodfixo) {
setBCredCodfixo(new Double(bCredCodfixo));
}

public void setBCredCodfixo(long bCredCodfixo) {
setBCredCodfixo(new Double(bCredCodfixo));
}

public void setBCredCodfixo(Double bCredCodfixo) {
if (bCredCodfixo == null) {
bCredCodfixoNull = true;
this.bCredCodfixo = 0.;
} else { 
bCredCodfixoNull = false;
this.bCredCodfixo = FglDouble.round(bCredCodfixo, 2);
}
}

public double getCredCodfixo() {
return credCodfixo;
}

public boolean isCredCodfixoNull() {
return credCodfixoNull;
}

public void setCredCodfixo(int credCodfixo) {
setCredCodfixo(new Double(credCodfixo));
}

public void setCredCodfixo(long credCodfixo) {
setCredCodfixo(new Double(credCodfixo));
}

public void setCredCodfixo(Double credCodfixo) {
if (credCodfixo == null) {
credCodfixoNull = true;
this.credCodfixo = 0.;
} else { 
credCodfixoNull = false;
this.credCodfixo = FglDouble.round(credCodfixo, 2);
}
}

public double getBCredOutrcred() {
return bCredOutrcred;
}

public boolean isBCredOutrcredNull() {
return bCredOutrcredNull;
}

public void setBCredOutrcred(int bCredOutrcred) {
setBCredOutrcred(new Double(bCredOutrcred));
}

public void setBCredOutrcred(long bCredOutrcred) {
setBCredOutrcred(new Double(bCredOutrcred));
}

public void setBCredOutrcred(Double bCredOutrcred) {
if (bCredOutrcred == null) {
bCredOutrcredNull = true;
this.bCredOutrcred = 0.;
} else { 
bCredOutrcredNull = false;
this.bCredOutrcred = FglDouble.round(bCredOutrcred, 2);
}
}

public double getCredOutrcred() {
return credOutrcred;
}

public boolean isCredOutrcredNull() {
return credOutrcredNull;
}

public void setCredOutrcred(int credOutrcred) {
setCredOutrcred(new Double(credOutrcred));
}

public void setCredOutrcred(long credOutrcred) {
setCredOutrcred(new Double(credOutrcred));
}

public void setCredOutrcred(Double credOutrcred) {
if (credOutrcred == null) {
credOutrcredNull = true;
this.credOutrcred = 0.;
} else { 
credOutrcredNull = false;
this.credOutrcred = FglDouble.round(credOutrcred, 2);
}
}

public double getCredAjcreditosA() {
return credAjcreditosA;
}

public boolean isCredAjcreditosANull() {
return credAjcreditosANull;
}

public void setCredAjcreditosA(int credAjcreditosA) {
setCredAjcreditosA(new Double(credAjcreditosA));
}

public void setCredAjcreditosA(long credAjcreditosA) {
setCredAjcreditosA(new Double(credAjcreditosA));
}

public void setCredAjcreditosA(Double credAjcreditosA) {
if (credAjcreditosA == null) {
credAjcreditosANull = true;
this.credAjcreditosA = 0.;
} else { 
credAjcreditosANull = false;
this.credAjcreditosA = FglDouble.round(credAjcreditosA, 2);
}
}

public double getCredAjcreditosR() {
return credAjcreditosR;
}

public boolean isCredAjcreditosRNull() {
return credAjcreditosRNull;
}

public void setCredAjcreditosR(int credAjcreditosR) {
setCredAjcreditosR(new Double(credAjcreditosR));
}

public void setCredAjcreditosR(long credAjcreditosR) {
setCredAjcreditosR(new Double(credAjcreditosR));
}

public void setCredAjcreditosR(Double credAjcreditosR) {
if (credAjcreditosR == null) {
credAjcreditosRNull = true;
this.credAjcreditosR = 0.;
} else { 
credAjcreditosRNull = false;
this.credAjcreditosR = FglDouble.round(credAjcreditosR, 2);
}
}

public double getBCredCumuM105() {
return bCredCumuM105;
}

public boolean isBCredCumuM105Null() {
return bCredCumuM105Null;
}

public void setBCredCumuM105(int bCredCumuM105) {
setBCredCumuM105(new Double(bCredCumuM105));
}

public void setBCredCumuM105(long bCredCumuM105) {
setBCredCumuM105(new Double(bCredCumuM105));
}

public void setBCredCumuM105(Double bCredCumuM105) {
if (bCredCumuM105 == null) {
bCredCumuM105Null = true;
this.bCredCumuM105 = 0.;
} else { 
bCredCumuM105Null = false;
this.bCredCumuM105 = FglDouble.round(bCredCumuM105, 2);
}
}

public double getCredCumuM105() {
return credCumuM105;
}

public boolean isCredCumuM105Null() {
return credCumuM105Null;
}

public void setCredCumuM105(int credCumuM105) {
setCredCumuM105(new Double(credCumuM105));
}

public void setCredCumuM105(long credCumuM105) {
setCredCumuM105(new Double(credCumuM105));
}

public void setCredCumuM105(Double credCumuM105) {
if (credCumuM105 == null) {
credCumuM105Null = true;
this.credCumuM105 = 0.;
} else { 
credCumuM105Null = false;
this.credCumuM105 = FglDouble.round(credCumuM105, 2);
}
}

public double getBDebNaocumul() {
return bDebNaocumul;
}

public boolean isBDebNaocumulNull() {
return bDebNaocumulNull;
}

public void setBDebNaocumul(int bDebNaocumul) {
setBDebNaocumul(new Double(bDebNaocumul));
}

public void setBDebNaocumul(long bDebNaocumul) {
setBDebNaocumul(new Double(bDebNaocumul));
}

public void setBDebNaocumul(Double bDebNaocumul) {
if (bDebNaocumul == null) {
bDebNaocumulNull = true;
this.bDebNaocumul = 0.;
} else { 
bDebNaocumulNull = false;
this.bDebNaocumul = FglDouble.round(bDebNaocumul, 2);
}
}

public double getDebNaocumul() {
return debNaocumul;
}

public boolean isDebNaocumulNull() {
return debNaocumulNull;
}

public void setDebNaocumul(int debNaocumul) {
setDebNaocumul(new Double(debNaocumul));
}

public void setDebNaocumul(long debNaocumul) {
setDebNaocumul(new Double(debNaocumul));
}

public void setDebNaocumul(Double debNaocumul) {
if (debNaocumul == null) {
debNaocumulNull = true;
this.debNaocumul = 0.;
} else { 
debNaocumulNull = false;
this.debNaocumul = FglDouble.round(debNaocumul, 2);
}
}

public double getBDebCumulativo() {
return bDebCumulativo;
}

public boolean isBDebCumulativoNull() {
return bDebCumulativoNull;
}

public void setBDebCumulativo(int bDebCumulativo) {
setBDebCumulativo(new Double(bDebCumulativo));
}

public void setBDebCumulativo(long bDebCumulativo) {
setBDebCumulativo(new Double(bDebCumulativo));
}

public void setBDebCumulativo(Double bDebCumulativo) {
if (bDebCumulativo == null) {
bDebCumulativoNull = true;
this.bDebCumulativo = 0.;
} else { 
bDebCumulativoNull = false;
this.bDebCumulativo = FglDouble.round(bDebCumulativo, 2);
}
}

public double getDebCumulativo() {
return debCumulativo;
}

public boolean isDebCumulativoNull() {
return debCumulativoNull;
}

public void setDebCumulativo(int debCumulativo) {
setDebCumulativo(new Double(debCumulativo));
}

public void setDebCumulativo(long debCumulativo) {
setDebCumulativo(new Double(debCumulativo));
}

public void setDebCumulativo(Double debCumulativo) {
if (debCumulativo == null) {
debCumulativoNull = true;
this.debCumulativo = 0.;
} else { 
debCumulativoNull = false;
this.debCumulativo = FglDouble.round(debCumulativo, 2);
}
}

public double getBDebOutrasrec() {
return bDebOutrasrec;
}

public boolean isBDebOutrasrecNull() {
return bDebOutrasrecNull;
}

public void setBDebOutrasrec(int bDebOutrasrec) {
setBDebOutrasrec(new Double(bDebOutrasrec));
}

public void setBDebOutrasrec(long bDebOutrasrec) {
setBDebOutrasrec(new Double(bDebOutrasrec));
}

public void setBDebOutrasrec(Double bDebOutrasrec) {
if (bDebOutrasrec == null) {
bDebOutrasrecNull = true;
this.bDebOutrasrec = 0.;
} else { 
bDebOutrasrecNull = false;
this.bDebOutrasrec = FglDouble.round(bDebOutrasrec, 2);
}
}

public double getDebOutrasrec() {
return debOutrasrec;
}

public boolean isDebOutrasrecNull() {
return debOutrasrecNull;
}

public void setDebOutrasrec(int debOutrasrec) {
setDebOutrasrec(new Double(debOutrasrec));
}

public void setDebOutrasrec(long debOutrasrec) {
setDebOutrasrec(new Double(debOutrasrec));
}

public void setDebOutrasrec(Double debOutrasrec) {
if (debOutrasrec == null) {
debOutrasrecNull = true;
this.debOutrasrec = 0.;
} else { 
debOutrasrecNull = false;
this.debOutrasrec = FglDouble.round(debOutrasrec, 2);
}
}

public double getDebAjcontribA() {
return debAjcontribA;
}

public boolean isDebAjcontribANull() {
return debAjcontribANull;
}

public void setDebAjcontribA(int debAjcontribA) {
setDebAjcontribA(new Double(debAjcontribA));
}

public void setDebAjcontribA(long debAjcontribA) {
setDebAjcontribA(new Double(debAjcontribA));
}

public void setDebAjcontribA(Double debAjcontribA) {
if (debAjcontribA == null) {
debAjcontribANull = true;
this.debAjcontribA = 0.;
} else { 
debAjcontribANull = false;
this.debAjcontribA = FglDouble.round(debAjcontribA, 2);
}
}

public double getDebAjcontribR() {
return debAjcontribR;
}

public boolean isDebAjcontribRNull() {
return debAjcontribRNull;
}

public void setDebAjcontribR(int debAjcontribR) {
setDebAjcontribR(new Double(debAjcontribR));
}

public void setDebAjcontribR(long debAjcontribR) {
setDebAjcontribR(new Double(debAjcontribR));
}

public void setDebAjcontribR(Double debAjcontribR) {
if (debAjcontribR == null) {
debAjcontribRNull = true;
this.debAjcontribR = 0.;
} else { 
debAjcontribRNull = false;
this.debAjcontribR = FglDouble.round(debAjcontribR, 2);
}
}

public double getIsentMonofasico() {
return isentMonofasico;
}

public boolean isIsentMonofasicoNull() {
return isentMonofasicoNull;
}

public void setIsentMonofasico(int isentMonofasico) {
setIsentMonofasico(new Double(isentMonofasico));
}

public void setIsentMonofasico(long isentMonofasico) {
setIsentMonofasico(new Double(isentMonofasico));
}

public void setIsentMonofasico(Double isentMonofasico) {
if (isentMonofasico == null) {
isentMonofasicoNull = true;
this.isentMonofasico = 0.;
} else { 
isentMonofasicoNull = false;
this.isentMonofasico = FglDouble.round(isentMonofasico, 2);
}
}

public double getIsentoSt() {
return isentoSt;
}

public boolean isIsentoStNull() {
return isentoStNull;
}

public void setIsentoSt(int isentoSt) {
setIsentoSt(new Double(isentoSt));
}

public void setIsentoSt(long isentoSt) {
setIsentoSt(new Double(isentoSt));
}

public void setIsentoSt(Double isentoSt) {
if (isentoSt == null) {
isentoStNull = true;
this.isentoSt = 0.;
} else { 
isentoStNull = false;
this.isentoSt = FglDouble.round(isentoSt, 2);
}
}

public double getIsentoOutrec() {
return isentoOutrec;
}

public boolean isIsentoOutrecNull() {
return isentoOutrecNull;
}

public void setIsentoOutrec(int isentoOutrec) {
setIsentoOutrec(new Double(isentoOutrec));
}

public void setIsentoOutrec(long isentoOutrec) {
setIsentoOutrec(new Double(isentoOutrec));
}

public void setIsentoOutrec(Double isentoOutrec) {
if (isentoOutrec == null) {
isentoOutrecNull = true;
this.isentoOutrec = 0.;
} else { 
isentoOutrecNull = false;
this.isentoOutrec = FglDouble.round(isentoOutrec, 2);
}
}

public double getVlrapag() {
return vlrapag;
}

public boolean isVlrapagNull() {
return vlrapagNull;
}

public void setVlrapag(int vlrapag) {
setVlrapag(new Double(vlrapag));
}

public void setVlrapag(long vlrapag) {
setVlrapag(new Double(vlrapag));
}

public void setVlrapag(Double vlrapag) {
if (vlrapag == null) {
vlrapagNull = true;
this.vlrapag = 0.;
} else { 
vlrapagNull = false;
this.vlrapag = FglDouble.round(vlrapag, 2);
}
}

}

