package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnrafeef {
@Coluna(nome="cnrafeef.id_raicms", tipo="int")
private int idRaicms;
private boolean idRaicmsNull;
@Coluna(nome="cnrafeef.id_feef", tipo="int")
private int idFeef;
private boolean idFeefNull;
@Coluna(nome="cnrafeef.vlicmspagar_s", tipo="double")
private double vlicmspagarS;
private boolean vlicmspagarSNull;
@Coluna(nome="cnrafeef.vlicmspagar_c", tipo="double")
private double vlicmspagarC;
private boolean vlicmspagarCNull;
@Coluna(nome="cnrafeef.percfeef", tipo="double")
private double percfeef;
private boolean percfeefNull;
@Coluna(nome="cnrafeef.valorfeef", tipo="double")
private double valorfeef;
private boolean valorfeefNull;
@Coluna(nome="cnrafeef.cod_aj_apur", tipo="String")
private String codAjApur;
@Coluna(nome="cnrafeef.descr_compl_aj", tipo="String")
private String descrComplAj;
@Coluna(nome="cnrafeef.vl_aj_apur", tipo="double")
private double vlAjApur;
private boolean vlAjApurNull;
@Coluna(nome="cnrafeef.cod_or", tipo="String")
private String codOr;
@Coluna(nome="cnrafeef.cod_rec", tipo="String")
private String codRec;

public TabCnrafeef() {
initialize();
}

public void initialize() {
setIdRaicms(null);
setIdFeef(null);
setVlicmspagarS(null);
setVlicmspagarC(null);
setPercfeef(null);
setValorfeef(null);
setCodAjApur(null);
setDescrComplAj(null);
setVlAjApur(null);
setCodOr(null);
setCodRec(null);
}

public TabCnrafeef(int idRaicms, int idFeef, double vlicmspagarS, double vlicmspagarC, double percfeef, double valorfeef, String codAjApur, String descrComplAj, double vlAjApur, String codOr, String codRec) {
this.idRaicms = idRaicms;
this.idFeef = idFeef;
this.vlicmspagarS = vlicmspagarS;
this.vlicmspagarC = vlicmspagarC;
this.percfeef = percfeef;
this.valorfeef = valorfeef;
this.codAjApur = codAjApur;
this.descrComplAj = descrComplAj;
this.vlAjApur = vlAjApur;
this.codOr = codOr;
this.codRec = codRec;
}

public int getIdRaicms() {
return idRaicms;
}

public boolean isIdRaicmsNull() {
return idRaicmsNull;
}

public void setIdRaicms(Integer idRaicms) {
if (idRaicms == null) {
idRaicmsNull = true;
this.idRaicms = 0;
} else { 
idRaicmsNull = false;
this.idRaicms = idRaicms;
}
}

public int getIdFeef() {
return idFeef;
}

public boolean isIdFeefNull() {
return idFeefNull;
}

public void setIdFeef(Integer idFeef) {
if (idFeef == null) {
idFeefNull = true;
this.idFeef = 0;
} else { 
idFeefNull = false;
this.idFeef = idFeef;
}
}

public double getVlicmspagarS() {
return vlicmspagarS;
}

public boolean isVlicmspagarSNull() {
return vlicmspagarSNull;
}

public void setVlicmspagarS(int vlicmspagarS) {
setVlicmspagarS(new Double(vlicmspagarS));
}

public void setVlicmspagarS(long vlicmspagarS) {
setVlicmspagarS(new Double(vlicmspagarS));
}

public void setVlicmspagarS(Double vlicmspagarS) {
if (vlicmspagarS == null) {
vlicmspagarSNull = true;
this.vlicmspagarS = 0.;
} else { 
vlicmspagarSNull = false;
this.vlicmspagarS = FglDouble.round(vlicmspagarS, 2);
}
}

public double getVlicmspagarC() {
return vlicmspagarC;
}

public boolean isVlicmspagarCNull() {
return vlicmspagarCNull;
}

public void setVlicmspagarC(int vlicmspagarC) {
setVlicmspagarC(new Double(vlicmspagarC));
}

public void setVlicmspagarC(long vlicmspagarC) {
setVlicmspagarC(new Double(vlicmspagarC));
}

public void setVlicmspagarC(Double vlicmspagarC) {
if (vlicmspagarC == null) {
vlicmspagarCNull = true;
this.vlicmspagarC = 0.;
} else { 
vlicmspagarCNull = false;
this.vlicmspagarC = FglDouble.round(vlicmspagarC, 2);
}
}

public double getPercfeef() {
return percfeef;
}

public boolean isPercfeefNull() {
return percfeefNull;
}

public void setPercfeef(int percfeef) {
setPercfeef(new Double(percfeef));
}

public void setPercfeef(long percfeef) {
setPercfeef(new Double(percfeef));
}

public void setPercfeef(Double percfeef) {
if (percfeef == null) {
percfeefNull = true;
this.percfeef = 0.;
} else { 
percfeefNull = false;
this.percfeef = FglDouble.round(percfeef, 2);
}
}

public double getValorfeef() {
return valorfeef;
}

public boolean isValorfeefNull() {
return valorfeefNull;
}

public void setValorfeef(int valorfeef) {
setValorfeef(new Double(valorfeef));
}

public void setValorfeef(long valorfeef) {
setValorfeef(new Double(valorfeef));
}

public void setValorfeef(Double valorfeef) {
if (valorfeef == null) {
valorfeefNull = true;
this.valorfeef = 0.;
} else { 
valorfeefNull = false;
this.valorfeef = FglDouble.round(valorfeef, 2);
}
}

public String getCodAjApur() {
return codAjApur;
}

public void setCodAjApur(String codAjApur) {
this.codAjApur = codAjApur;
}

public String getDescrComplAj() {
return descrComplAj;
}

public void setDescrComplAj(String descrComplAj) {
this.descrComplAj = descrComplAj;
}

public double getVlAjApur() {
return vlAjApur;
}

public boolean isVlAjApurNull() {
return vlAjApurNull;
}

public void setVlAjApur(int vlAjApur) {
setVlAjApur(new Double(vlAjApur));
}

public void setVlAjApur(long vlAjApur) {
setVlAjApur(new Double(vlAjApur));
}

public void setVlAjApur(Double vlAjApur) {
if (vlAjApur == null) {
vlAjApurNull = true;
this.vlAjApur = 0.;
} else { 
vlAjApurNull = false;
this.vlAjApur = FglDouble.round(vlAjApur, 2);
}
}

public String getCodOr() {
return codOr;
}

public void setCodOr(String codOr) {
this.codOr = codOr;
}

public String getCodRec() {
return codRec;
}

public void setCodRec(String codRec) {
this.codRec = codRec;
}

}

