package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnragust {
@Coluna(nome="cnragust.id_raicst", tipo="int")
private int idRaicst;
private boolean idRaicstNull;
@Coluna(nome="cnragust.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cnragust.nroguia", tipo="int")
private int nroguia;
private boolean nroguiaNull;
@Coluna(nome="cnragust.dtguia", tipo="FglDate")
private FglDate dtguia;
@Coluna(nome="cnragust.vlrguia", tipo="double")
private double vlrguia;
private boolean vlrguiaNull;
@Coluna(nome="cnragust.orgaoarrec", tipo="String")
private String orgaoarrec;
@Coluna(nome="cnragust.codreceita", tipo="String")
private String codreceita;
@Coluna(nome="cnragust.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="cnragust.localentr", tipo="String")
private String localentr;
@Coluna(nome="cnragust.observacoes", tipo="String")
private String observacoes;
@Coluna(nome="cnragust.cod_or", tipo="String")
private String codOr;

public TabCnragust() {
initialize();
}

public void initialize() {
setIdRaicst(null);
setSequencia(null);
setNroguia(null);
setDtguia(null);
setVlrguia(null);
setOrgaoarrec(null);
setCodreceita(null);
setDtentrega(null);
setLocalentr(null);
setObservacoes(null);
setCodOr(null);
}

public TabCnragust(int idRaicst, int sequencia, int nroguia, FglDate dtguia, double vlrguia, String orgaoarrec, String codreceita, FglDate dtentrega, String localentr, String observacoes, String codOr) {
this.idRaicst = idRaicst;
this.sequencia = sequencia;
this.nroguia = nroguia;
this.dtguia = dtguia;
this.vlrguia = vlrguia;
this.orgaoarrec = orgaoarrec;
this.codreceita = codreceita;
this.dtentrega = dtentrega;
this.localentr = localentr;
this.observacoes = observacoes;
this.codOr = codOr;
}

public int getIdRaicst() {
return idRaicst;
}

public boolean isIdRaicstNull() {
return idRaicstNull;
}

public void setIdRaicst(Integer idRaicst) {
if (idRaicst == null) {
idRaicstNull = true;
this.idRaicst = 0;
} else { 
idRaicstNull = false;
this.idRaicst = idRaicst;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getNroguia() {
return nroguia;
}

public boolean isNroguiaNull() {
return nroguiaNull;
}

public void setNroguia(Integer nroguia) {
if (nroguia == null) {
nroguiaNull = true;
this.nroguia = 0;
} else { 
nroguiaNull = false;
this.nroguia = nroguia;
}
}

public FglDate getDtguia() {
return dtguia;
}

public void setDtguia(FglDate dtguia) {
this.dtguia = dtguia;
}

public double getVlrguia() {
return vlrguia;
}

public boolean isVlrguiaNull() {
return vlrguiaNull;
}

public void setVlrguia(int vlrguia) {
setVlrguia(new Double(vlrguia));
}

public void setVlrguia(long vlrguia) {
setVlrguia(new Double(vlrguia));
}

public void setVlrguia(Double vlrguia) {
if (vlrguia == null) {
vlrguiaNull = true;
this.vlrguia = 0.;
} else { 
vlrguiaNull = false;
this.vlrguia = FglDouble.round(vlrguia, 2);
}
}

public String getOrgaoarrec() {
return orgaoarrec;
}

public void setOrgaoarrec(String orgaoarrec) {
this.orgaoarrec = orgaoarrec;
}

public String getCodreceita() {
return codreceita;
}

public void setCodreceita(String codreceita) {
this.codreceita = codreceita;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public String getLocalentr() {
return localentr;
}

public void setLocalentr(String localentr) {
this.localentr = localentr;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

public String getCodOr() {
return codOr;
}

public void setCodOr(String codOr) {
this.codOr = codOr;
}

}

