package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnraicmd {
@Coluna(nome="cnraicmd.id_raicms", tipo="int")
private int idRaicms;
private boolean idRaicmsNull;
@Coluna(nome="cnraicmd.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="cnraicmd.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cnraicmd.codsubitem", tipo="int")
private int codsubitem;
private boolean codsubitemNull;
@Coluna(nome="cnraicmd.operacao", tipo="int")
private int operacao;
private boolean operacaoNull;
@Coluna(nome="cnraicmd.inscestadual", tipo="String")
private String inscestadual;
@Coluna(nome="cnraicmd.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cnraicmd.texto", tipo="String")
private String texto;
@Coluna(nome="cnraicmd.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cnraicmd.complemento", tipo="String")
private String complemento;

public TabCnraicmd() {
initialize();
}

public void initialize() {
setIdRaicms(null);
setTipo(null);
setSequencia(null);
setCodsubitem(null);
setOperacao(null);
setInscestadual(null);
setNronota(null);
setTexto(null);
setValor(null);
setComplemento(null);
}

public TabCnraicmd(int idRaicms, int tipo, int sequencia, int codsubitem, int operacao, String inscestadual, int nronota, String texto, double valor, String complemento) {
this.idRaicms = idRaicms;
this.tipo = tipo;
this.sequencia = sequencia;
this.codsubitem = codsubitem;
this.operacao = operacao;
this.inscestadual = inscestadual;
this.nronota = nronota;
this.texto = texto;
this.valor = valor;
this.complemento = complemento;
}

public int getIdRaicms() {
return idRaicms;
}

public boolean isIdRaicmsNull() {
return idRaicmsNull;
}

public void setIdRaicms(Integer idRaicms) {
if (idRaicms == null) {
idRaicmsNull = true;
this.idRaicms = 0;
} else { 
idRaicmsNull = false;
this.idRaicms = idRaicms;
}
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getCodsubitem() {
return codsubitem;
}

public boolean isCodsubitemNull() {
return codsubitemNull;
}

public void setCodsubitem(Integer codsubitem) {
if (codsubitem == null) {
codsubitemNull = true;
this.codsubitem = 0;
} else { 
codsubitemNull = false;
this.codsubitem = codsubitem;
}
}

public int getOperacao() {
return operacao;
}

public boolean isOperacaoNull() {
return operacaoNull;
}

public void setOperacao(Integer operacao) {
if (operacao == null) {
operacaoNull = true;
this.operacao = 0;
} else { 
operacaoNull = false;
this.operacao = operacao;
}
}

public String getInscestadual() {
return inscestadual;
}

public void setInscestadual(String inscestadual) {
this.inscestadual = inscestadual;
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getTexto() {
return texto;
}

public void setTexto(String texto) {
this.texto = texto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

}

