package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnretinc {
@Coluna(nome="cnretinc.id_retinc", tipo="int")
private int idRetinc;
private boolean idRetincNull;
@Coluna(nome="cnretinc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cnretinc.dealer_account", tipo="int")
private int dealerAccount;
private boolean dealerAccountNull;
@Coluna(nome="cnretinc.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="cnretinc.commission_date", tipo="FglDate")
private FglDate commissionDate;
@Coluna(nome="cnretinc.vlr_bruto", tipo="double")
private double vlrBruto;
private boolean vlrBrutoNull;
@Coluna(nome="cnretinc.vlr_ret_ir", tipo="double")
private double vlrRetIr;
private boolean vlrRetIrNull;
@Coluna(nome="cnretinc.vlr_ret_piscofins", tipo="double")
private double vlrRetPiscofins;
private boolean vlrRetPiscofinsNull;
@Coluna(nome="cnretinc.vlr_liquido", tipo="double")
private double vlrLiquido;
private boolean vlrLiquidoNull;
@Coluna(nome="cnretinc.vlr_previsto", tipo="double")
private double vlrPrevisto;
private boolean vlrPrevistoNull;
@Coluna(nome="cnretinc.return_id", tipo="int")
private int returnId;
private boolean returnIdNull;
@Coluna(nome="cnretinc.id_nfcapa_comissao", tipo="int")
private int idNfcapaComissao;
private boolean idNfcapaComissaoNull;

public TabCnretinc() {
initialize();
}

public void initialize() {
setIdRetinc(null);
setFilial(null);
setDealerAccount(null);
setCnpj(null);
setCommissionDate(null);
setVlrBruto(null);
setVlrRetIr(null);
setVlrRetPiscofins(null);
setVlrLiquido(null);
setVlrPrevisto(null);
setReturnId(null);
setIdNfcapaComissao(null);
}

public TabCnretinc(int idRetinc, int filial, int dealerAccount, String cnpj, FglDate commissionDate, double vlrBruto, double vlrRetIr, double vlrRetPiscofins, double vlrLiquido, double vlrPrevisto, int returnId, int idNfcapaComissao) {
this.idRetinc = idRetinc;
this.filial = filial;
this.dealerAccount = dealerAccount;
this.cnpj = cnpj;
this.commissionDate = commissionDate;
this.vlrBruto = vlrBruto;
this.vlrRetIr = vlrRetIr;
this.vlrRetPiscofins = vlrRetPiscofins;
this.vlrLiquido = vlrLiquido;
this.vlrPrevisto = vlrPrevisto;
this.returnId = returnId;
this.idNfcapaComissao = idNfcapaComissao;
}

public int getIdRetinc() {
return idRetinc;
}

public boolean isIdRetincNull() {
return idRetincNull;
}

public void setIdRetinc(Integer idRetinc) {
if (idRetinc == null) {
idRetincNull = true;
this.idRetinc = 0;
} else { 
idRetincNull = false;
this.idRetinc = idRetinc;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDealerAccount() {
return dealerAccount;
}

public boolean isDealerAccountNull() {
return dealerAccountNull;
}

public void setDealerAccount(Integer dealerAccount) {
if (dealerAccount == null) {
dealerAccountNull = true;
this.dealerAccount = 0;
} else { 
dealerAccountNull = false;
this.dealerAccount = dealerAccount;
}
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public FglDate getCommissionDate() {
return commissionDate;
}

public void setCommissionDate(FglDate commissionDate) {
this.commissionDate = commissionDate;
}

public double getVlrBruto() {
return vlrBruto;
}

public boolean isVlrBrutoNull() {
return vlrBrutoNull;
}

public void setVlrBruto(int vlrBruto) {
setVlrBruto(new Double(vlrBruto));
}

public void setVlrBruto(long vlrBruto) {
setVlrBruto(new Double(vlrBruto));
}

public void setVlrBruto(Double vlrBruto) {
if (vlrBruto == null) {
vlrBrutoNull = true;
this.vlrBruto = 0.;
} else { 
vlrBrutoNull = false;
this.vlrBruto = FglDouble.round(vlrBruto, 2);
}
}

public double getVlrRetIr() {
return vlrRetIr;
}

public boolean isVlrRetIrNull() {
return vlrRetIrNull;
}

public void setVlrRetIr(int vlrRetIr) {
setVlrRetIr(new Double(vlrRetIr));
}

public void setVlrRetIr(long vlrRetIr) {
setVlrRetIr(new Double(vlrRetIr));
}

public void setVlrRetIr(Double vlrRetIr) {
if (vlrRetIr == null) {
vlrRetIrNull = true;
this.vlrRetIr = 0.;
} else { 
vlrRetIrNull = false;
this.vlrRetIr = FglDouble.round(vlrRetIr, 2);
}
}

public double getVlrRetPiscofins() {
return vlrRetPiscofins;
}

public boolean isVlrRetPiscofinsNull() {
return vlrRetPiscofinsNull;
}

public void setVlrRetPiscofins(int vlrRetPiscofins) {
setVlrRetPiscofins(new Double(vlrRetPiscofins));
}

public void setVlrRetPiscofins(long vlrRetPiscofins) {
setVlrRetPiscofins(new Double(vlrRetPiscofins));
}

public void setVlrRetPiscofins(Double vlrRetPiscofins) {
if (vlrRetPiscofins == null) {
vlrRetPiscofinsNull = true;
this.vlrRetPiscofins = 0.;
} else { 
vlrRetPiscofinsNull = false;
this.vlrRetPiscofins = FglDouble.round(vlrRetPiscofins, 2);
}
}

public double getVlrLiquido() {
return vlrLiquido;
}

public boolean isVlrLiquidoNull() {
return vlrLiquidoNull;
}

public void setVlrLiquido(int vlrLiquido) {
setVlrLiquido(new Double(vlrLiquido));
}

public void setVlrLiquido(long vlrLiquido) {
setVlrLiquido(new Double(vlrLiquido));
}

public void setVlrLiquido(Double vlrLiquido) {
if (vlrLiquido == null) {
vlrLiquidoNull = true;
this.vlrLiquido = 0.;
} else { 
vlrLiquidoNull = false;
this.vlrLiquido = FglDouble.round(vlrLiquido, 2);
}
}

public double getVlrPrevisto() {
return vlrPrevisto;
}

public boolean isVlrPrevistoNull() {
return vlrPrevistoNull;
}

public void setVlrPrevisto(int vlrPrevisto) {
setVlrPrevisto(new Double(vlrPrevisto));
}

public void setVlrPrevisto(long vlrPrevisto) {
setVlrPrevisto(new Double(vlrPrevisto));
}

public void setVlrPrevisto(Double vlrPrevisto) {
if (vlrPrevisto == null) {
vlrPrevistoNull = true;
this.vlrPrevisto = 0.;
} else { 
vlrPrevistoNull = false;
this.vlrPrevisto = FglDouble.round(vlrPrevisto, 2);
}
}

public int getReturnId() {
return returnId;
}

public boolean isReturnIdNull() {
return returnIdNull;
}

public void setReturnId(Integer returnId) {
if (returnId == null) {
returnIdNull = true;
this.returnId = 0;
} else { 
returnIdNull = false;
this.returnId = returnId;
}
}

public int getIdNfcapaComissao() {
return idNfcapaComissao;
}

public boolean isIdNfcapaComissaoNull() {
return idNfcapaComissaoNull;
}

public void setIdNfcapaComissao(Integer idNfcapaComissao) {
if (idNfcapaComissao == null) {
idNfcapaComissaoNull = true;
this.idNfcapaComissao = 0;
} else { 
idNfcapaComissaoNull = false;
this.idNfcapaComissao = idNfcapaComissao;
}
}

}

