package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYY;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCnstprot {
@Coluna(nome="cnstprot.id_protocolo", tipo="int")
private int idProtocolo;
private boolean idProtocoloNull;
@Coluna(nome="cnstprot.protocolo", tipo="int")
private int protocolo;
private boolean protocoloNull;
@Coluna(nome="cnstprot.anopublic", tipo="FglDateTimeYY")
private FglDateTimeYY anopublic;
@Coluna(nome="cnstprot.descricao", tipo="String")
private String descricao;
@Coluna(nome="cnstprot.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cnstprot.dtfim", tipo="FglDate")
private FglDate dtfim;

public TabCnstprot() {
initialize();
}

public void initialize() {
setIdProtocolo(null);
setProtocolo(null);
setAnopublic(null);
setDescricao(null);
setDtinicio(null);
setDtfim(null);
}

public TabCnstprot(int idProtocolo, int protocolo, FglDateTimeYY anopublic, String descricao, FglDate dtinicio, FglDate dtfim) {
this.idProtocolo = idProtocolo;
this.protocolo = protocolo;
this.anopublic = anopublic;
this.descricao = descricao;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
}

public int getIdProtocolo() {
return idProtocolo;
}

public boolean isIdProtocoloNull() {
return idProtocoloNull;
}

public void setIdProtocolo(Integer idProtocolo) {
if (idProtocolo == null) {
idProtocoloNull = true;
this.idProtocolo = 0;
} else { 
idProtocoloNull = false;
this.idProtocolo = idProtocolo;
}
}

public int getProtocolo() {
return protocolo;
}

public boolean isProtocoloNull() {
return protocoloNull;
}

public void setProtocolo(Integer protocolo) {
if (protocolo == null) {
protocoloNull = true;
this.protocolo = 0;
} else { 
protocoloNull = false;
this.protocolo = protocolo;
}
}

public FglDateTimeYY getAnopublic() {
return anopublic;
}

public void setAnopublic(FglDateTimeYY anopublic) {
this.anopublic = anopublic;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

}

