package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCntrafil {
@Coluna(nome="cntrafil.id_transfil", tipo="int")
private int idTransfil;
private boolean idTransfilNull;
@Coluna(nome="cntrafil.filial_ori", tipo="int")
private int filialOri;
private boolean filialOriNull;
@Coluna(nome="cntrafil.filial_des", tipo="int")
private int filialDes;
private boolean filialDesNull;
@Coluna(nome="cntrafil.produto", tipo="String")
private String produto;
@Coluna(nome="cntrafil.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cntrafil.dttransf", tipo="FglDateTimeYS")
private FglDateTimeYS dttransf;
@Coluna(nome="cntrafil.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cntrafil.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cntrafil.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;

public TabCntrafil() {
initialize();
}

public void initialize() {
setIdTransfil(null);
setFilialOri(null);
setFilialDes(null);
setProduto(null);
setQuantidade(null);
setDttransf(null);
setIdAgente(null);
setIdOrccap(null);
setIdNfcapa(null);
}

public TabCntrafil(int idTransfil, int filialOri, int filialDes, String produto, double quantidade, FglDateTimeYS dttransf, int idAgente, int idOrccap, int idNfcapa) {
this.idTransfil = idTransfil;
this.filialOri = filialOri;
this.filialDes = filialDes;
this.produto = produto;
this.quantidade = quantidade;
this.dttransf = dttransf;
this.idAgente = idAgente;
this.idOrccap = idOrccap;
this.idNfcapa = idNfcapa;
}

public int getIdTransfil() {
return idTransfil;
}

public boolean isIdTransfilNull() {
return idTransfilNull;
}

public void setIdTransfil(Integer idTransfil) {
if (idTransfil == null) {
idTransfilNull = true;
this.idTransfil = 0;
} else { 
idTransfilNull = false;
this.idTransfil = idTransfil;
}
}

public int getFilialOri() {
return filialOri;
}

public boolean isFilialOriNull() {
return filialOriNull;
}

public void setFilialOri(Integer filialOri) {
if (filialOri == null) {
filialOriNull = true;
this.filialOri = 0;
} else { 
filialOriNull = false;
this.filialOri = filialOri;
}
}

public int getFilialDes() {
return filialDes;
}

public boolean isFilialDesNull() {
return filialDesNull;
}

public void setFilialDes(Integer filialDes) {
if (filialDes == null) {
filialDesNull = true;
this.filialDes = 0;
} else { 
filialDesNull = false;
this.filialDes = filialDes;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public FglDateTimeYS getDttransf() {
return dttransf;
}

public void setDttransf(FglDateTimeYS dttransf) {
this.dttransf = dttransf;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

}

