package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCntribut {
@Coluna(nome="cntribut.tributacao", tipo="int")
private int tributacao;
private boolean tributacaoNull;
@Coluna(nome="cntribut.descrtrib", tipo="String")
private String descrtrib;
@Coluna(nome="cntribut.tptribut", tipo="String")
private String tptribut;
@Coluna(nome="cntribut.tptributipi", tipo="String")
private String tptributipi;
@Coluna(nome="cntribut.observacao", tipo="String")
private String observacao;
@Coluna(nome="cntribut.codigonacional", tipo="String")
private String codigonacional;
@Coluna(nome="cntribut.codigoimpdiret", tipo="String")
private String codigoimpdiret;
@Coluna(nome="cntribut.codigoimportad", tipo="String")
private String codigoimportad;
@Coluna(nome="cntribut.codigonacionalsup40", tipo="String")
private String codigonacionalsup40;
@Coluna(nome="cntribut.codigonacionalprod", tipo="String")
private String codigonacionalprod;
@Coluna(nome="cntribut.codigonacionalinf40", tipo="String")
private String codigonacionalinf40;
@Coluna(nome="cntribut.codigoimpdirsemnac", tipo="String")
private String codigoimpdirsemnac;
@Coluna(nome="cntribut.codigoimpadqinterno", tipo="String")
private String codigoimpadqinterno;
@Coluna(nome="cntribut.calcicms", tipo="String")
private String calcicms;
@Coluna(nome="cntribut.difereprodutor", tipo="String")
private String difereprodutor;
@Coluna(nome="cntribut.tpbasest", tipo="String")
private String tpbasest;
@Coluna(nome="cntribut.desticmsop", tipo="String")
private String desticmsop;
@Coluna(nome="cntribut.codigonacionalsup70", tipo="String")
private String codigonacionalsup70;

public TabCntribut() {
initialize();
}

public void initialize() {
setTributacao(null);
setDescrtrib(null);
setTptribut(null);
setTptributipi(null);
setObservacao(null);
setCodigonacional(null);
setCodigoimpdiret(null);
setCodigoimportad(null);
setCodigonacionalsup40(null);
setCodigonacionalprod(null);
setCodigonacionalinf40(null);
setCodigoimpdirsemnac(null);
setCodigoimpadqinterno(null);
setCalcicms(null);
setDifereprodutor(null);
setTpbasest(null);
setDesticmsop(null);
setCodigonacionalsup70(null);
}

public TabCntribut(int tributacao, String descrtrib, String tptribut, String tptributipi, String observacao, String codigonacional, String codigoimpdiret, String codigoimportad, String codigonacionalsup40, String codigonacionalprod, String codigonacionalinf40, String codigoimpdirsemnac, String codigoimpadqinterno, String calcicms, String difereprodutor, String tpbasest, String desticmsop, String codigonacionalsup70) {
this.tributacao = tributacao;
this.descrtrib = descrtrib;
this.tptribut = tptribut;
this.tptributipi = tptributipi;
this.observacao = observacao;
this.codigonacional = codigonacional;
this.codigoimpdiret = codigoimpdiret;
this.codigoimportad = codigoimportad;
this.codigonacionalsup40 = codigonacionalsup40;
this.codigonacionalprod = codigonacionalprod;
this.codigonacionalinf40 = codigonacionalinf40;
this.codigoimpdirsemnac = codigoimpdirsemnac;
this.codigoimpadqinterno = codigoimpadqinterno;
this.calcicms = calcicms;
this.difereprodutor = difereprodutor;
this.tpbasest = tpbasest;
this.desticmsop = desticmsop;
this.codigonacionalsup70 = codigonacionalsup70;
}

public int getTributacao() {
return tributacao;
}

public boolean isTributacaoNull() {
return tributacaoNull;
}

public void setTributacao(Integer tributacao) {
if (tributacao == null) {
tributacaoNull = true;
this.tributacao = 0;
} else { 
tributacaoNull = false;
this.tributacao = tributacao;
}
}

public String getDescrtrib() {
return descrtrib;
}

public void setDescrtrib(String descrtrib) {
this.descrtrib = descrtrib;
}

public String getTptribut() {
return tptribut;
}

public void setTptribut(String tptribut) {
this.tptribut = tptribut;
}

public String getTptributipi() {
return tptributipi;
}

public void setTptributipi(String tptributipi) {
this.tptributipi = tptributipi;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public String getCodigonacional() {
return codigonacional;
}

public void setCodigonacional(String codigonacional) {
this.codigonacional = codigonacional;
}

public String getCodigoimpdiret() {
return codigoimpdiret;
}

public void setCodigoimpdiret(String codigoimpdiret) {
this.codigoimpdiret = codigoimpdiret;
}

public String getCodigoimportad() {
return codigoimportad;
}

public void setCodigoimportad(String codigoimportad) {
this.codigoimportad = codigoimportad;
}

public String getCodigonacionalsup40() {
return codigonacionalsup40;
}

public void setCodigonacionalsup40(String codigonacionalsup40) {
this.codigonacionalsup40 = codigonacionalsup40;
}

public String getCodigonacionalprod() {
return codigonacionalprod;
}

public void setCodigonacionalprod(String codigonacionalprod) {
this.codigonacionalprod = codigonacionalprod;
}

public String getCodigonacionalinf40() {
return codigonacionalinf40;
}

public void setCodigonacionalinf40(String codigonacionalinf40) {
this.codigonacionalinf40 = codigonacionalinf40;
}

public String getCodigoimpdirsemnac() {
return codigoimpdirsemnac;
}

public void setCodigoimpdirsemnac(String codigoimpdirsemnac) {
this.codigoimpdirsemnac = codigoimpdirsemnac;
}

public String getCodigoimpadqinterno() {
return codigoimpadqinterno;
}

public void setCodigoimpadqinterno(String codigoimpadqinterno) {
this.codigoimpadqinterno = codigoimpadqinterno;
}

public String getCalcicms() {
return calcicms;
}

public void setCalcicms(String calcicms) {
this.calcicms = calcicms;
}

public String getDifereprodutor() {
return difereprodutor;
}

public void setDifereprodutor(String difereprodutor) {
this.difereprodutor = difereprodutor;
}

public String getTpbasest() {
return tpbasest;
}

public void setTpbasest(String tpbasest) {
this.tpbasest = tpbasest;
}

public String getDesticmsop() {
return desticmsop;
}

public void setDesticmsop(String desticmsop) {
this.desticmsop = desticmsop;
}

public String getCodigonacionalsup70() {
return codigonacionalsup70;
}

public void setCodigonacionalsup70(String codigonacionalsup70) {
this.codigonacionalsup70 = codigonacionalsup70;
}

}

