package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCnufibpt {
@Coluna(nome="cnufibpt.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="cnufibpt.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cnufibpt.ex", tipo="int")
private int ex;
private boolean exNull;
@Coluna(nome="cnufibpt.dtinivig", tipo="FglDate")
private FglDate dtinivig;
@Coluna(nome="cnufibpt.dtfimvig", tipo="FglDate")
private FglDate dtfimvig;
@Coluna(nome="cnufibpt.tabela", tipo="int")
private int tabela;
private boolean tabelaNull;
@Coluna(nome="cnufibpt.aliqnac", tipo="double")
private double aliqnac;
private boolean aliqnacNull;
@Coluna(nome="cnufibpt.aliqimp", tipo="double")
private double aliqimp;
private boolean aliqimpNull;
@Coluna(nome="cnufibpt.aliqest", tipo="double")
private double aliqest;
private boolean aliqestNull;
@Coluna(nome="cnufibpt.aliqmun", tipo="double")
private double aliqmun;
private boolean aliqmunNull;
@Coluna(nome="cnufibpt.chave", tipo="String")
private String chave;
@Coluna(nome="cnufibpt.versao", tipo="String")
private String versao;
@Coluna(nome="cnufibpt.fonte", tipo="String")
private String fonte;

public TabCnufibpt() {
initialize();
}

public void initialize() {
setUfederacao(null);
setClassefiscal(null);
setEx(null);
setDtinivig(null);
setDtfimvig(null);
setTabela(null);
setAliqnac(null);
setAliqimp(null);
setAliqest(null);
setAliqmun(null);
setChave(null);
setVersao(null);
setFonte(null);
}

public TabCnufibpt(String ufederacao, String classefiscal, int ex, FglDate dtinivig, FglDate dtfimvig, int tabela, double aliqnac, double aliqimp, double aliqest, double aliqmun, String chave, String versao, String fonte) {
this.ufederacao = ufederacao;
this.classefiscal = classefiscal;
this.ex = ex;
this.dtinivig = dtinivig;
this.dtfimvig = dtfimvig;
this.tabela = tabela;
this.aliqnac = aliqnac;
this.aliqimp = aliqimp;
this.aliqest = aliqest;
this.aliqmun = aliqmun;
this.chave = chave;
this.versao = versao;
this.fonte = fonte;
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public int getEx() {
return ex;
}

public boolean isExNull() {
return exNull;
}

public void setEx(Integer ex) {
if (ex == null) {
exNull = true;
this.ex = 0;
} else { 
exNull = false;
this.ex = ex;
}
}

public FglDate getDtinivig() {
return dtinivig;
}

public void setDtinivig(FglDate dtinivig) {
this.dtinivig = dtinivig;
}

public FglDate getDtfimvig() {
return dtfimvig;
}

public void setDtfimvig(FglDate dtfimvig) {
this.dtfimvig = dtfimvig;
}

public int getTabela() {
return tabela;
}

public boolean isTabelaNull() {
return tabelaNull;
}

public void setTabela(Integer tabela) {
if (tabela == null) {
tabelaNull = true;
this.tabela = 0;
} else { 
tabelaNull = false;
this.tabela = tabela;
}
}

public double getAliqnac() {
return aliqnac;
}

public boolean isAliqnacNull() {
return aliqnacNull;
}

public void setAliqnac(int aliqnac) {
setAliqnac(new Double(aliqnac));
}

public void setAliqnac(long aliqnac) {
setAliqnac(new Double(aliqnac));
}

public void setAliqnac(Double aliqnac) {
if (aliqnac == null) {
aliqnacNull = true;
this.aliqnac = 0.;
} else { 
aliqnacNull = false;
this.aliqnac = FglDouble.round(aliqnac, 2);
}
}

public double getAliqimp() {
return aliqimp;
}

public boolean isAliqimpNull() {
return aliqimpNull;
}

public void setAliqimp(int aliqimp) {
setAliqimp(new Double(aliqimp));
}

public void setAliqimp(long aliqimp) {
setAliqimp(new Double(aliqimp));
}

public void setAliqimp(Double aliqimp) {
if (aliqimp == null) {
aliqimpNull = true;
this.aliqimp = 0.;
} else { 
aliqimpNull = false;
this.aliqimp = FglDouble.round(aliqimp, 2);
}
}

public double getAliqest() {
return aliqest;
}

public boolean isAliqestNull() {
return aliqestNull;
}

public void setAliqest(int aliqest) {
setAliqest(new Double(aliqest));
}

public void setAliqest(long aliqest) {
setAliqest(new Double(aliqest));
}

public void setAliqest(Double aliqest) {
if (aliqest == null) {
aliqestNull = true;
this.aliqest = 0.;
} else { 
aliqestNull = false;
this.aliqest = FglDouble.round(aliqest, 2);
}
}

public double getAliqmun() {
return aliqmun;
}

public boolean isAliqmunNull() {
return aliqmunNull;
}

public void setAliqmun(int aliqmun) {
setAliqmun(new Double(aliqmun));
}

public void setAliqmun(long aliqmun) {
setAliqmun(new Double(aliqmun));
}

public void setAliqmun(Double aliqmun) {
if (aliqmun == null) {
aliqmunNull = true;
this.aliqmun = 0.;
} else { 
aliqmunNull = false;
this.aliqmun = FglDouble.round(aliqmun, 2);
}
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getFonte() {
return fonte;
}

public void setFonte(String fonte) {
this.fonte = fonte;
}

}

