package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCoagentestatus {
@Coluna(nome="coagentestatus.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="coagentestatus.status", tipo="String")
private String status;
@Coluna(nome="coagentestatus.ultimo_estimulo", tipo="FglDateTimeYS")
private FglDateTimeYS ultimoEstimulo;

public TabCoagentestatus() {
initialize();
}

public void initialize() {
setIdAgente(null);
setStatus(null);
setUltimoEstimulo(null);
}

public TabCoagentestatus(int idAgente, String status, FglDateTimeYS ultimoEstimulo) {
this.idAgente = idAgente;
this.status = status;
this.ultimoEstimulo = ultimoEstimulo;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getUltimoEstimulo() {
return ultimoEstimulo;
}

public void setUltimoEstimulo(FglDateTimeYS ultimoEstimulo) {
this.ultimoEstimulo = ultimoEstimulo;
}

}

