package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCoageset {
@Coluna(nome="coageset.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="coageset.tpsetor", tipo="String")
private String tpsetor;
@Coluna(nome="coageset.percomis", tipo="double")
private double percomis;
private boolean percomisNull;
@Coluna(nome="coageset.tipobase", tipo="String")
private String tipobase;

public TabCoageset() {
initialize();
}

public void initialize() {
setIdAgente(null);
setTpsetor(null);
setPercomis(null);
setTipobase(null);
}

public TabCoageset(int idAgente, String tpsetor, double percomis, String tipobase) {
this.idAgente = idAgente;
this.tpsetor = tpsetor;
this.percomis = percomis;
this.tipobase = tipobase;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getTpsetor() {
return tpsetor;
}

public void setTpsetor(String tpsetor) {
this.tpsetor = tpsetor;
}

public double getPercomis() {
return percomis;
}

public boolean isPercomisNull() {
return percomisNull;
}

public void setPercomis(int percomis) {
setPercomis(new Double(percomis));
}

public void setPercomis(long percomis) {
setPercomis(new Double(percomis));
}

public void setPercomis(Double percomis) {
if (percomis == null) {
percomisNull = true;
this.percomis = 0.;
} else { 
percomisNull = false;
this.percomis = FglDouble.round(percomis, 2);
}
}

public String getTipobase() {
return tipobase;
}

public void setTipobase(String tipobase) {
this.tipobase = tipobase;
}

}

