package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCoagetos {
@Coluna(nome="coagetos.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="coagetos.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="coagetos.perreduser", tipo="double")
private double perreduser;
private boolean perreduserNull;
@Coluna(nome="coagetos.perredupec", tipo="double")
private double perredupec;
private boolean perredupecNull;

public TabCoagetos() {
initialize();
}

public void initialize() {
setIdAgente(null);
setTpordem(null);
setPerreduser(null);
setPerredupec(null);
}

public TabCoagetos(int idAgente, String tpordem, double perreduser, double perredupec) {
this.idAgente = idAgente;
this.tpordem = tpordem;
this.perreduser = perreduser;
this.perredupec = perredupec;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public double getPerreduser() {
return perreduser;
}

public boolean isPerreduserNull() {
return perreduserNull;
}

public void setPerreduser(int perreduser) {
setPerreduser(new Double(perreduser));
}

public void setPerreduser(long perreduser) {
setPerreduser(new Double(perreduser));
}

public void setPerreduser(Double perreduser) {
if (perreduser == null) {
perreduserNull = true;
this.perreduser = 0.;
} else { 
perreduserNull = false;
this.perreduser = FglDouble.round(perreduser, 2);
}
}

public double getPerredupec() {
return perredupec;
}

public boolean isPerredupecNull() {
return perredupecNull;
}

public void setPerredupec(int perredupec) {
setPerredupec(new Double(perredupec));
}

public void setPerredupec(long perredupec) {
setPerredupec(new Double(perredupec));
}

public void setPerredupec(Double perredupec) {
if (perredupec == null) {
perredupecNull = true;
this.perredupec = 0.;
} else { 
perredupecNull = false;
this.perredupec = FglDouble.round(perredupec, 2);
}
}

}

