package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCoconinf {
@Coluna(nome="coconinf.usuario", tipo="String")
private String usuario;
@Coluna(nome="coconinf.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="coconinf.operacao", tipo="String")
private String operacao;
@Coluna(nome="coconinf.tabela", tipo="String")
private String tabela;
@Coluna(nome="coconinf.pktabela", tipo="String")
private String pktabela;
@Coluna(nome="coconinf.infantiga", tipo="String")
private String infantiga;
@Coluna(nome="coconinf.infnova", tipo="String")
private String infnova;

public TabCoconinf() {
initialize();
}

public void initialize() {
setUsuario(null);
setDtocorrencia(null);
setOperacao(null);
setTabela(null);
setPktabela(null);
setInfantiga(null);
setInfnova(null);
}

public TabCoconinf(String usuario, FglDateTimeYS dtocorrencia, String operacao, String tabela, String pktabela, String infantiga, String infnova) {
this.usuario = usuario;
this.dtocorrencia = dtocorrencia;
this.operacao = operacao;
this.tabela = tabela;
this.pktabela = pktabela;
this.infantiga = infantiga;
this.infnova = infnova;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public String getTabela() {
return tabela;
}

public void setTabela(String tabela) {
this.tabela = tabela;
}

public String getPktabela() {
return pktabela;
}

public void setPktabela(String pktabela) {
this.pktabela = pktabela;
}

public String getInfantiga() {
return infantiga;
}

public void setInfantiga(String infantiga) {
this.infantiga = infantiga;
}

public String getInfnova() {
return infnova;
}

public void setInfnova(String infnova) {
this.infnova = infnova;
}

}

