package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCodeptos {
@Coluna(nome="codeptos.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="codeptos.id_divisao", tipo="int")
private int idDivisao;
private boolean idDivisaoNull;
@Coluna(nome="codeptos.departamento", tipo="int")
private int departamento;
private boolean departamentoNull;
@Coluna(nome="codeptos.nomedepto", tipo="String")
private String nomedepto;
@Coluna(nome="codeptos.apelido", tipo="String")
private String apelido;
@Coluna(nome="codeptos.perccomisdepto", tipo="double")
private double perccomisdepto;
private boolean perccomisdeptoNull;
@Coluna(nome="codeptos.gerentedepto", tipo="int")
private int gerentedepto;
private boolean gerentedeptoNull;
@Coluna(nome="codeptos.agrupafatura", tipo="String")
private String agrupafatura;
@Coluna(nome="codeptos.impressora", tipo="int")
private int impressora;
private boolean impressoraNull;
@Coluna(nome="codeptos.impromaneio", tipo="int")
private int impromaneio;
private boolean impromaneioNull;
@Coluna(nome="codeptos.impvolante", tipo="int")
private int impvolante;
private boolean impvolanteNull;
@Coluna(nome="codeptos.imprequisicao", tipo="int")
private int imprequisicao;
private boolean imprequisicaoNull;
@Coluna(nome="codeptos.diasvista", tipo="int")
private int diasvista;
private boolean diasvistaNull;
@Coluna(nome="codeptos.diasapres", tipo="int")
private int diasapres;
private boolean diasapresNull;
@Coluna(nome="codeptos.catalogo", tipo="String")
private String catalogo;
@Coluna(nome="codeptos.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="codeptos.nro_endfabrica", tipo="long")
private long nroEndfabrica;
private boolean nroEndfabricaNull;
@Coluna(nome="codeptos.nro_endrevisao", tipo="long")
private long nroEndrevisao;
private boolean nroEndrevisaoNull;
@Coluna(nome="codeptos.finalizanf", tipo="String")
private String finalizanf;

public TabCodeptos() {
initialize();
}

public void initialize() {
setIdDeptos(null);
setIdDivisao(null);
setDepartamento(null);
setNomedepto(null);
setApelido(null);
setPerccomisdepto(null);
setGerentedepto(null);
setAgrupafatura(null);
setImpressora(null);
setImpromaneio(null);
setImpvolante(null);
setImprequisicao(null);
setDiasvista(null);
setDiasapres(null);
setCatalogo(null);
setBandeira(null);
setNroEndfabrica(null);
setNroEndrevisao(null);
setFinalizanf(null);
}

public TabCodeptos(int idDeptos, int idDivisao, int departamento, String nomedepto, String apelido, double perccomisdepto, int gerentedepto, String agrupafatura, int impressora, int impromaneio, int impvolante, int imprequisicao, int diasvista, int diasapres, String catalogo, String bandeira, long nroEndfabrica, long nroEndrevisao, String finalizanf) {
this.idDeptos = idDeptos;
this.idDivisao = idDivisao;
this.departamento = departamento;
this.nomedepto = nomedepto;
this.apelido = apelido;
this.perccomisdepto = perccomisdepto;
this.gerentedepto = gerentedepto;
this.agrupafatura = agrupafatura;
this.impressora = impressora;
this.impromaneio = impromaneio;
this.impvolante = impvolante;
this.imprequisicao = imprequisicao;
this.diasvista = diasvista;
this.diasapres = diasapres;
this.catalogo = catalogo;
this.bandeira = bandeira;
this.nroEndfabrica = nroEndfabrica;
this.nroEndrevisao = nroEndrevisao;
this.finalizanf = finalizanf;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public int getIdDivisao() {
return idDivisao;
}

public boolean isIdDivisaoNull() {
return idDivisaoNull;
}

public void setIdDivisao(Integer idDivisao) {
if (idDivisao == null) {
idDivisaoNull = true;
this.idDivisao = 0;
} else { 
idDivisaoNull = false;
this.idDivisao = idDivisao;
}
}

public int getDepartamento() {
return departamento;
}

public boolean isDepartamentoNull() {
return departamentoNull;
}

public void setDepartamento(Integer departamento) {
if (departamento == null) {
departamentoNull = true;
this.departamento = 0;
} else { 
departamentoNull = false;
this.departamento = departamento;
}
}

public String getNomedepto() {
return nomedepto;
}

public void setNomedepto(String nomedepto) {
this.nomedepto = nomedepto;
}

public String getApelido() {
return apelido;
}

public void setApelido(String apelido) {
this.apelido = apelido;
}

public double getPerccomisdepto() {
return perccomisdepto;
}

public boolean isPerccomisdeptoNull() {
return perccomisdeptoNull;
}

public void setPerccomisdepto(int perccomisdepto) {
setPerccomisdepto(new Double(perccomisdepto));
}

public void setPerccomisdepto(long perccomisdepto) {
setPerccomisdepto(new Double(perccomisdepto));
}

public void setPerccomisdepto(Double perccomisdepto) {
if (perccomisdepto == null) {
perccomisdeptoNull = true;
this.perccomisdepto = 0.;
} else { 
perccomisdeptoNull = false;
this.perccomisdepto = FglDouble.round(perccomisdepto, 2);
}
}

public int getGerentedepto() {
return gerentedepto;
}

public boolean isGerentedeptoNull() {
return gerentedeptoNull;
}

public void setGerentedepto(Integer gerentedepto) {
if (gerentedepto == null) {
gerentedeptoNull = true;
this.gerentedepto = 0;
} else { 
gerentedeptoNull = false;
this.gerentedepto = gerentedepto;
}
}

public String getAgrupafatura() {
return agrupafatura;
}

public void setAgrupafatura(String agrupafatura) {
this.agrupafatura = agrupafatura;
}

public int getImpressora() {
return impressora;
}

public boolean isImpressoraNull() {
return impressoraNull;
}

public void setImpressora(Integer impressora) {
if (impressora == null) {
impressoraNull = true;
this.impressora = 0;
} else { 
impressoraNull = false;
this.impressora = impressora;
}
}

public int getImpromaneio() {
return impromaneio;
}

public boolean isImpromaneioNull() {
return impromaneioNull;
}

public void setImpromaneio(Integer impromaneio) {
if (impromaneio == null) {
impromaneioNull = true;
this.impromaneio = 0;
} else { 
impromaneioNull = false;
this.impromaneio = impromaneio;
}
}

public int getImpvolante() {
return impvolante;
}

public boolean isImpvolanteNull() {
return impvolanteNull;
}

public void setImpvolante(Integer impvolante) {
if (impvolante == null) {
impvolanteNull = true;
this.impvolante = 0;
} else { 
impvolanteNull = false;
this.impvolante = impvolante;
}
}

public int getImprequisicao() {
return imprequisicao;
}

public boolean isImprequisicaoNull() {
return imprequisicaoNull;
}

public void setImprequisicao(Integer imprequisicao) {
if (imprequisicao == null) {
imprequisicaoNull = true;
this.imprequisicao = 0;
} else { 
imprequisicaoNull = false;
this.imprequisicao = imprequisicao;
}
}

public int getDiasvista() {
return diasvista;
}

public boolean isDiasvistaNull() {
return diasvistaNull;
}

public void setDiasvista(Integer diasvista) {
if (diasvista == null) {
diasvistaNull = true;
this.diasvista = 0;
} else { 
diasvistaNull = false;
this.diasvista = diasvista;
}
}

public int getDiasapres() {
return diasapres;
}

public boolean isDiasapresNull() {
return diasapresNull;
}

public void setDiasapres(Integer diasapres) {
if (diasapres == null) {
diasapresNull = true;
this.diasapres = 0;
} else { 
diasapresNull = false;
this.diasapres = diasapres;
}
}

public String getCatalogo() {
return catalogo;
}

public void setCatalogo(String catalogo) {
this.catalogo = catalogo;
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public long getNroEndfabrica() {
return nroEndfabrica;
}

public boolean isNroEndfabricaNull() {
return nroEndfabricaNull;
}

public void setNroEndfabrica(int nroEndfabrica) {
setNroEndfabrica(new Long(nroEndfabrica));
}

public void setNroEndfabrica(Long nroEndfabrica) {
if (nroEndfabrica == null) {
nroEndfabricaNull = true;
this.nroEndfabrica = 0l;
} else { 
nroEndfabricaNull = false;
this.nroEndfabrica = nroEndfabrica;
}
}

public long getNroEndrevisao() {
return nroEndrevisao;
}

public boolean isNroEndrevisaoNull() {
return nroEndrevisaoNull;
}

public void setNroEndrevisao(int nroEndrevisao) {
setNroEndrevisao(new Long(nroEndrevisao));
}

public void setNroEndrevisao(Long nroEndrevisao) {
if (nroEndrevisao == null) {
nroEndrevisaoNull = true;
this.nroEndrevisao = 0l;
} else { 
nroEndrevisaoNull = false;
this.nroEndrevisao = nroEndrevisao;
}
}

public String getFinalizanf() {
return finalizanf;
}

public void setFinalizanf(String finalizanf) {
this.finalizanf = finalizanf;
}

}

