package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCofilexp {
@Coluna(nome="cofilexp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cofilexp.ent_sai", tipo="String")
private String entSai;
@Coluna(nome="cofilexp.dtinivig", tipo="FglDateTimeYS")
private FglDateTimeYS dtinivig;
@Coluna(nome="cofilexp.dtfimvig", tipo="FglDateTimeYS")
private FglDateTimeYS dtfimvig;
@Coluna(nome="cofilexp.modograv", tipo="String")
private String modograv;

public TabCofilexp() {
initialize();
}

public void initialize() {
setFilial(null);
setEntSai(null);
setDtinivig(null);
setDtfimvig(null);
setModograv(null);
}

public TabCofilexp(int filial, String entSai, FglDateTimeYS dtinivig, FglDateTimeYS dtfimvig, String modograv) {
this.filial = filial;
this.entSai = entSai;
this.dtinivig = dtinivig;
this.dtfimvig = dtfimvig;
this.modograv = modograv;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getEntSai() {
return entSai;
}

public void setEntSai(String entSai) {
this.entSai = entSai;
}

public FglDateTimeYS getDtinivig() {
return dtinivig;
}

public void setDtinivig(FglDateTimeYS dtinivig) {
this.dtinivig = dtinivig;
}

public FglDateTimeYS getDtfimvig() {
return dtfimvig;
}

public void setDtfimvig(FglDateTimeYS dtfimvig) {
this.dtfimvig = dtfimvig;
}

public String getModograv() {
return modograv;
}

public void setModograv(String modograv) {
this.modograv = modograv;
}

}

