package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCofilnfe {
@Coluna(nome="cofilnfe.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cofilnfe.utilizanfe", tipo="String")
private String utilizanfe;
@Coluna(nome="cofilnfe.deduzretnfse", tipo="String")
private String deduzretnfse;
@Coluna(nome="cofilnfe.codintegracao", tipo="int")
private int codintegracao;
private boolean codintegracaoNull;
@Coluna(nome="cofilnfe.retcancel", tipo="String")
private String retcancel;
@Coluna(nome="cofilnfe.ambiente", tipo="int")
private int ambiente;
private boolean ambienteNull;
@Coluna(nome="cofilnfe.usanfs", tipo="int")
private int usanfs;
private boolean usanfsNull;
@Coluna(nome="cofilnfe.data_inicio_nfs", tipo="FglDate")
private FglDate dataInicioNfs;
@Coluna(nome="cofilnfe.enviadtsaida", tipo="String")
private String enviadtsaida;
@Coluna(nome="cofilnfe.qtdetentativa", tipo="int")
private int qtdetentativa;
private boolean qtdetentativaNull;
@Coluna(nome="cofilnfe.intervaloverifi", tipo="int")
private int intervaloverifi;
private boolean intervaloverifiNull;
@Coluna(nome="cofilnfe.quebraxml", tipo="String")
private String quebraxml;
@Coluna(nome="cofilnfe.nfsempresa", tipo="String")
private String nfsempresa;
@Coluna(nome="cofilnfe.enviasubstituta", tipo="String")
private String enviasubstituta;
@Coluna(nome="cofilnfe.usacce", tipo="String")
private String usacce;
@Coluna(nome="cofilnfe.obsnfbalcao", tipo="String")
private String obsnfbalcao;
@Coluna(nome="cofilnfe.codatividade", tipo="String")
private String codatividade;
@Coluna(nome="cofilnfe.versao", tipo="String")
private String versao;
@Coluna(nome="cofilnfe.hrscancelamento", tipo="double")
private double hrscancelamento;
private boolean hrscancelamentoNull;
@Coluna(nome="cofilnfe.qtdeviasdanfe", tipo="int")
private int qtdeviasdanfe;
private boolean qtdeviasdanfeNull;
@Coluna(nome="cofilnfe.qtdeviascont", tipo="int")
private int qtdeviascont;
private boolean qtdeviascontNull;
@Coluna(nome="cofilnfe.manifestacao", tipo="String")
private String manifestacao;
@Coluna(nome="cofilnfe.utilizanfce", tipo="String")
private String utilizanfce;
@Coluna(nome="cofilnfe.inicbloqcf", tipo="FglDate")
private FglDate inicbloqcf;
@Coluna(nome="cofilnfe.obrigdanfenfce", tipo="String")
private String obrigdanfenfce;
@Coluna(nome="cofilnfe.detvendadanfenfce", tipo="String")
private String detvendadanfenfce;
@Coluna(nome="cofilnfe.cancelanfseweb", tipo="String")
private String cancelanfseweb;
@Coluna(nome="cofilnfe.enviadetnfse", tipo="String")
private String enviadetnfse;
@Coluna(nome="cofilnfe.enviainsc", tipo="String")
private String enviainsc;
@Coluna(nome="cofilnfe.utilizasat", tipo="String")
private String utilizasat;
@Coluna(nome="cofilnfe.tagreducaoicms", tipo="String")
private String tagreducaoicms;
@Coluna(nome="cofilnfe.enviaboleto", tipo="String")
private String enviaboleto;
@Coluna(nome="cofilnfe.qtdetentbol", tipo="int")
private int qtdetentbol;
private boolean qtdetentbolNull;
@Coluna(nome="cofilnfe.interverifbol", tipo="int")
private int interverifbol;
private boolean interverifbolNull;

public TabCofilnfe() {
initialize();
}

public void initialize() {
setFilial(null);
setUtilizanfe(null);
setDeduzretnfse(null);
setCodintegracao(null);
setRetcancel(null);
setAmbiente(null);
setUsanfs(null);
setDataInicioNfs(null);
setEnviadtsaida(null);
setQtdetentativa(null);
setIntervaloverifi(null);
setQuebraxml(null);
setNfsempresa(null);
setEnviasubstituta(null);
setUsacce(null);
setObsnfbalcao(null);
setCodatividade(null);
setVersao(null);
setHrscancelamento(null);
setQtdeviasdanfe(null);
setQtdeviascont(null);
setManifestacao(null);
setUtilizanfce(null);
setInicbloqcf(null);
setObrigdanfenfce(null);
setDetvendadanfenfce(null);
setCancelanfseweb(null);
setEnviadetnfse(null);
setEnviainsc(null);
setUtilizasat(null);
setTagreducaoicms(null);
setEnviaboleto(null);
setQtdetentbol(null);
setInterverifbol(null);
}

public TabCofilnfe(int filial, String utilizanfe, String deduzretnfse, int codintegracao, String retcancel, int ambiente, int usanfs, FglDate dataInicioNfs, String enviadtsaida, int qtdetentativa, int intervaloverifi, String quebraxml, String nfsempresa, String enviasubstituta, String usacce, String obsnfbalcao, String codatividade, String versao, double hrscancelamento, int qtdeviasdanfe, int qtdeviascont, String manifestacao, String utilizanfce, FglDate inicbloqcf, String obrigdanfenfce, String detvendadanfenfce, String cancelanfseweb, String enviadetnfse, String enviainsc, String utilizasat, String tagreducaoicms, String enviaboleto, int qtdetentbol, int interverifbol) {
this.filial = filial;
this.utilizanfe = utilizanfe;
this.deduzretnfse = deduzretnfse;
this.codintegracao = codintegracao;
this.retcancel = retcancel;
this.ambiente = ambiente;
this.usanfs = usanfs;
this.dataInicioNfs = dataInicioNfs;
this.enviadtsaida = enviadtsaida;
this.qtdetentativa = qtdetentativa;
this.intervaloverifi = intervaloverifi;
this.quebraxml = quebraxml;
this.nfsempresa = nfsempresa;
this.enviasubstituta = enviasubstituta;
this.usacce = usacce;
this.obsnfbalcao = obsnfbalcao;
this.codatividade = codatividade;
this.versao = versao;
this.hrscancelamento = hrscancelamento;
this.qtdeviasdanfe = qtdeviasdanfe;
this.qtdeviascont = qtdeviascont;
this.manifestacao = manifestacao;
this.utilizanfce = utilizanfce;
this.inicbloqcf = inicbloqcf;
this.obrigdanfenfce = obrigdanfenfce;
this.detvendadanfenfce = detvendadanfenfce;
this.cancelanfseweb = cancelanfseweb;
this.enviadetnfse = enviadetnfse;
this.enviainsc = enviainsc;
this.utilizasat = utilizasat;
this.tagreducaoicms = tagreducaoicms;
this.enviaboleto = enviaboleto;
this.qtdetentbol = qtdetentbol;
this.interverifbol = interverifbol;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUtilizanfe() {
return utilizanfe;
}

public void setUtilizanfe(String utilizanfe) {
this.utilizanfe = utilizanfe;
}

public String getDeduzretnfse() {
return deduzretnfse;
}

public void setDeduzretnfse(String deduzretnfse) {
this.deduzretnfse = deduzretnfse;
}

public int getCodintegracao() {
return codintegracao;
}

public boolean isCodintegracaoNull() {
return codintegracaoNull;
}

public void setCodintegracao(Integer codintegracao) {
if (codintegracao == null) {
codintegracaoNull = true;
this.codintegracao = 0;
} else { 
codintegracaoNull = false;
this.codintegracao = codintegracao;
}
}

public String getRetcancel() {
return retcancel;
}

public void setRetcancel(String retcancel) {
this.retcancel = retcancel;
}

public int getAmbiente() {
return ambiente;
}

public boolean isAmbienteNull() {
return ambienteNull;
}

public void setAmbiente(Integer ambiente) {
if (ambiente == null) {
ambienteNull = true;
this.ambiente = 0;
} else { 
ambienteNull = false;
this.ambiente = ambiente;
}
}

public int getUsanfs() {
return usanfs;
}

public boolean isUsanfsNull() {
return usanfsNull;
}

public void setUsanfs(Integer usanfs) {
if (usanfs == null) {
usanfsNull = true;
this.usanfs = 0;
} else { 
usanfsNull = false;
this.usanfs = usanfs;
}
}

public FglDate getDataInicioNfs() {
return dataInicioNfs;
}

public void setDataInicioNfs(FglDate dataInicioNfs) {
this.dataInicioNfs = dataInicioNfs;
}

public String getEnviadtsaida() {
return enviadtsaida;
}

public void setEnviadtsaida(String enviadtsaida) {
this.enviadtsaida = enviadtsaida;
}

public int getQtdetentativa() {
return qtdetentativa;
}

public boolean isQtdetentativaNull() {
return qtdetentativaNull;
}

public void setQtdetentativa(Integer qtdetentativa) {
if (qtdetentativa == null) {
qtdetentativaNull = true;
this.qtdetentativa = 0;
} else { 
qtdetentativaNull = false;
this.qtdetentativa = qtdetentativa;
}
}

public int getIntervaloverifi() {
return intervaloverifi;
}

public boolean isIntervaloverifiNull() {
return intervaloverifiNull;
}

public void setIntervaloverifi(Integer intervaloverifi) {
if (intervaloverifi == null) {
intervaloverifiNull = true;
this.intervaloverifi = 0;
} else { 
intervaloverifiNull = false;
this.intervaloverifi = intervaloverifi;
}
}

public String getQuebraxml() {
return quebraxml;
}

public void setQuebraxml(String quebraxml) {
this.quebraxml = quebraxml;
}

public String getNfsempresa() {
return nfsempresa;
}

public void setNfsempresa(String nfsempresa) {
this.nfsempresa = nfsempresa;
}

public String getEnviasubstituta() {
return enviasubstituta;
}

public void setEnviasubstituta(String enviasubstituta) {
this.enviasubstituta = enviasubstituta;
}

public String getUsacce() {
return usacce;
}

public void setUsacce(String usacce) {
this.usacce = usacce;
}

public String getObsnfbalcao() {
return obsnfbalcao;
}

public void setObsnfbalcao(String obsnfbalcao) {
this.obsnfbalcao = obsnfbalcao;
}

public String getCodatividade() {
return codatividade;
}

public void setCodatividade(String codatividade) {
this.codatividade = codatividade;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public double getHrscancelamento() {
return hrscancelamento;
}

public boolean isHrscancelamentoNull() {
return hrscancelamentoNull;
}

public void setHrscancelamento(int hrscancelamento) {
setHrscancelamento(new Double(hrscancelamento));
}

public void setHrscancelamento(long hrscancelamento) {
setHrscancelamento(new Double(hrscancelamento));
}

public void setHrscancelamento(Double hrscancelamento) {
if (hrscancelamento == null) {
hrscancelamentoNull = true;
this.hrscancelamento = 0.;
} else { 
hrscancelamentoNull = false;
this.hrscancelamento = FglDouble.round(hrscancelamento, 2);
}
}

public int getQtdeviasdanfe() {
return qtdeviasdanfe;
}

public boolean isQtdeviasdanfeNull() {
return qtdeviasdanfeNull;
}

public void setQtdeviasdanfe(Integer qtdeviasdanfe) {
if (qtdeviasdanfe == null) {
qtdeviasdanfeNull = true;
this.qtdeviasdanfe = 0;
} else { 
qtdeviasdanfeNull = false;
this.qtdeviasdanfe = qtdeviasdanfe;
}
}

public int getQtdeviascont() {
return qtdeviascont;
}

public boolean isQtdeviascontNull() {
return qtdeviascontNull;
}

public void setQtdeviascont(Integer qtdeviascont) {
if (qtdeviascont == null) {
qtdeviascontNull = true;
this.qtdeviascont = 0;
} else { 
qtdeviascontNull = false;
this.qtdeviascont = qtdeviascont;
}
}

public String getManifestacao() {
return manifestacao;
}

public void setManifestacao(String manifestacao) {
this.manifestacao = manifestacao;
}

public String getUtilizanfce() {
return utilizanfce;
}

public void setUtilizanfce(String utilizanfce) {
this.utilizanfce = utilizanfce;
}

public FglDate getInicbloqcf() {
return inicbloqcf;
}

public void setInicbloqcf(FglDate inicbloqcf) {
this.inicbloqcf = inicbloqcf;
}

public String getObrigdanfenfce() {
return obrigdanfenfce;
}

public void setObrigdanfenfce(String obrigdanfenfce) {
this.obrigdanfenfce = obrigdanfenfce;
}

public String getDetvendadanfenfce() {
return detvendadanfenfce;
}

public void setDetvendadanfenfce(String detvendadanfenfce) {
this.detvendadanfenfce = detvendadanfenfce;
}

public String getCancelanfseweb() {
return cancelanfseweb;
}

public void setCancelanfseweb(String cancelanfseweb) {
this.cancelanfseweb = cancelanfseweb;
}

public String getEnviadetnfse() {
return enviadetnfse;
}

public void setEnviadetnfse(String enviadetnfse) {
this.enviadetnfse = enviadetnfse;
}

public String getEnviainsc() {
return enviainsc;
}

public void setEnviainsc(String enviainsc) {
this.enviainsc = enviainsc;
}

public String getUtilizasat() {
return utilizasat;
}

public void setUtilizasat(String utilizasat) {
this.utilizasat = utilizasat;
}

public String getTagreducaoicms() {
return tagreducaoicms;
}

public void setTagreducaoicms(String tagreducaoicms) {
this.tagreducaoicms = tagreducaoicms;
}

public String getEnviaboleto() {
return enviaboleto;
}

public void setEnviaboleto(String enviaboleto) {
this.enviaboleto = enviaboleto;
}

public int getQtdetentbol() {
return qtdetentbol;
}

public boolean isQtdetentbolNull() {
return qtdetentbolNull;
}

public void setQtdetentbol(Integer qtdetentbol) {
if (qtdetentbol == null) {
qtdetentbolNull = true;
this.qtdetentbol = 0;
} else { 
qtdetentbolNull = false;
this.qtdetentbol = qtdetentbol;
}
}

public int getInterverifbol() {
return interverifbol;
}

public boolean isInterverifbolNull() {
return interverifbolNull;
}

public void setInterverifbol(Integer interverifbol) {
if (interverifbol == null) {
interverifbolNull = true;
this.interverifbol = 0;
} else { 
interverifbolNull = false;
this.interverifbol = interverifbol;
}
}

}

