package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCohorave {
@Coluna(nome="cohorave.ano", tipo="int")
private int ano;
private boolean anoNull;
@Coluna(nome="cohorave.dataini", tipo="FglDate")
private FglDate dataini;
@Coluna(nome="cohorave.datafim", tipo="FglDate")
private FglDate datafim;

public TabCohorave() {
initialize();
}

public void initialize() {
setAno(null);
setDataini(null);
setDatafim(null);
}

public TabCohorave(int ano, FglDate dataini, FglDate datafim) {
this.ano = ano;
this.dataini = dataini;
this.datafim = datafim;
}

public int getAno() {
return ano;
}

public boolean isAnoNull() {
return anoNull;
}

public void setAno(Integer ano) {
if (ano == null) {
anoNull = true;
this.ano = 0;
} else { 
anoNull = false;
this.ano = ano;
}
}

public FglDate getDataini() {
return dataini;
}

public void setDataini(FglDate dataini) {
this.dataini = dataini;
}

public FglDate getDatafim() {
return datafim;
}

public void setDatafim(FglDate datafim) {
this.datafim = datafim;
}

}

