package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCoinfusu {
@Coluna(nome="coinfusu.id_grupo", tipo="double")
private double idGrupo;
private boolean idGrupoNull;
@Coluna(nome="coinfusu.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="coinfusu.nrousuariossisdia", tipo="int")
private int nrousuariossisdia;
private boolean nrousuariossisdiaNull;
@Coluna(nome="coinfusu.nrousuariosbd", tipo="int")
private int nrousuariosbd;
private boolean nrousuariosbdNull;
@Coluna(nome="coinfusu.picouserssisdia", tipo="int")
private int picouserssisdia;
private boolean picouserssisdiaNull;
@Coluna(nome="coinfusu.picousersbd", tipo="int")
private int picousersbd;
private boolean picousersbdNull;
@Coluna(nome="coinfusu.mediauserssisdia", tipo="int")
private int mediauserssisdia;
private boolean mediauserssisdiaNull;
@Coluna(nome="coinfusu.mediausersdb", tipo="int")
private int mediausersdb;
private boolean mediausersdbNull;

public TabCoinfusu() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setAnomes(null);
setNrousuariossisdia(null);
setNrousuariosbd(null);
setPicouserssisdia(null);
setPicousersbd(null);
setMediauserssisdia(null);
setMediausersdb(null);
}

public TabCoinfusu(double idGrupo, FglDateTimeYM anomes, int nrousuariossisdia, int nrousuariosbd, int picouserssisdia, int picousersbd, int mediauserssisdia, int mediausersdb) {
this.idGrupo = idGrupo;
this.anomes = anomes;
this.nrousuariossisdia = nrousuariossisdia;
this.nrousuariosbd = nrousuariosbd;
this.picouserssisdia = picouserssisdia;
this.picousersbd = picousersbd;
this.mediauserssisdia = mediauserssisdia;
this.mediausersdb = mediausersdb;
}

public double getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(int idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(long idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(Double idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0.;
} else { 
idGrupoNull = false;
this.idGrupo = FglDouble.round(idGrupo, 2);
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getNrousuariossisdia() {
return nrousuariossisdia;
}

public boolean isNrousuariossisdiaNull() {
return nrousuariossisdiaNull;
}

public void setNrousuariossisdia(Integer nrousuariossisdia) {
if (nrousuariossisdia == null) {
nrousuariossisdiaNull = true;
this.nrousuariossisdia = 0;
} else { 
nrousuariossisdiaNull = false;
this.nrousuariossisdia = nrousuariossisdia;
}
}

public int getNrousuariosbd() {
return nrousuariosbd;
}

public boolean isNrousuariosbdNull() {
return nrousuariosbdNull;
}

public void setNrousuariosbd(Integer nrousuariosbd) {
if (nrousuariosbd == null) {
nrousuariosbdNull = true;
this.nrousuariosbd = 0;
} else { 
nrousuariosbdNull = false;
this.nrousuariosbd = nrousuariosbd;
}
}

public int getPicouserssisdia() {
return picouserssisdia;
}

public boolean isPicouserssisdiaNull() {
return picouserssisdiaNull;
}

public void setPicouserssisdia(Integer picouserssisdia) {
if (picouserssisdia == null) {
picouserssisdiaNull = true;
this.picouserssisdia = 0;
} else { 
picouserssisdiaNull = false;
this.picouserssisdia = picouserssisdia;
}
}

public int getPicousersbd() {
return picousersbd;
}

public boolean isPicousersbdNull() {
return picousersbdNull;
}

public void setPicousersbd(Integer picousersbd) {
if (picousersbd == null) {
picousersbdNull = true;
this.picousersbd = 0;
} else { 
picousersbdNull = false;
this.picousersbd = picousersbd;
}
}

public int getMediauserssisdia() {
return mediauserssisdia;
}

public boolean isMediauserssisdiaNull() {
return mediauserssisdiaNull;
}

public void setMediauserssisdia(Integer mediauserssisdia) {
if (mediauserssisdia == null) {
mediauserssisdiaNull = true;
this.mediauserssisdia = 0;
} else { 
mediauserssisdiaNull = false;
this.mediauserssisdia = mediauserssisdia;
}
}

public int getMediausersdb() {
return mediausersdb;
}

public boolean isMediausersdbNull() {
return mediausersdbNull;
}

public void setMediausersdb(Integer mediausersdb) {
if (mediausersdb == null) {
mediausersdbNull = true;
this.mediausersdb = 0;
} else { 
mediausersdbNull = false;
this.mediausersdb = mediausersdb;
}
}

}

