package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCoingrse {
@Coluna(nome="coingrse.id_grupo", tipo="double")
private double idGrupo;
private boolean idGrupoNull;
@Coluna(nome="coingrse.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="coingrse.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;

public TabCoingrse() {
initialize();
}

public void initialize() {
setIdGrupo(null);
setCgccpf(null);
setTppessoa(null);
}

public TabCoingrse(double idGrupo, long cgccpf, int tppessoa) {
this.idGrupo = idGrupo;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
}

public double getIdGrupo() {
return idGrupo;
}

public boolean isIdGrupoNull() {
return idGrupoNull;
}

public void setIdGrupo(int idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(long idGrupo) {
setIdGrupo(new Double(idGrupo));
}

public void setIdGrupo(Double idGrupo) {
if (idGrupo == null) {
idGrupoNull = true;
this.idGrupo = 0.;
} else { 
idGrupoNull = false;
this.idGrupo = FglDouble.round(idGrupo, 2);
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

}

