package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCointdif {
@Coluna(nome="cointdif.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cointdif.dtocorrencia", tipo="FglDate")
private FglDate dtocorrencia;
@Coluna(nome="cointdif.hriniinter", tipo="FglDateTimeHMin")
private FglDateTimeHMin hriniinter;
@Coluna(nome="cointdif.hrfiminter", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfiminter;

public TabCointdif() {
initialize();
}

public void initialize() {
setIdAgente(null);
setDtocorrencia(null);
setHriniinter(null);
setHrfiminter(null);
}

public TabCointdif(int idAgente, FglDate dtocorrencia, FglDateTimeHMin hriniinter, FglDateTimeHMin hrfiminter) {
this.idAgente = idAgente;
this.dtocorrencia = dtocorrencia;
this.hriniinter = hriniinter;
this.hrfiminter = hrfiminter;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDate dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public FglDateTimeHMin getHriniinter() {
return hriniinter;
}

public void setHriniinter(FglDateTimeHMin hriniinter) {
this.hriniinter = hriniinter;
}

public FglDateTimeHMin getHrfiminter() {
return hrfiminter;
}

public void setHrfiminter(FglDateTimeHMin hrfiminter) {
this.hrfiminter = hrfiminter;
}

}

