package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabConstemp {
@Coluna(nome="constemp.dataconsulta", tipo="FglDateTimeYS")
private FglDateTimeYS dataconsulta;
@Coluna(nome="constemp.id_agente", tipo="long")
private long idAgente;
private boolean idAgenteNull;
@Coluna(nome="constemp.chassis", tipo="String")
private String chassis;
@Coluna(nome="constemp.filialcadast", tipo="int")
private int filialcadast;
private boolean filialcadastNull;
@Coluna(nome="constemp.placa", tipo="String")
private String placa;
@Coluna(nome="constemp.modelo", tipo="String")
private String modelo;
@Coluna(nome="constemp.descrmaqvei", tipo="String")
private String descrmaqvei;
@Coluna(nome="constemp.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="constemp.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="constemp.novousado", tipo="String")
private String novousado;
@Coluna(nome="constemp.origem", tipo="String")
private String origem;
@Coluna(nome="constemp.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="constemp.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="constemp.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="constemp.opcional1", tipo="String")
private String opcional1;
@Coluna(nome="constemp.opcional2", tipo="String")
private String opcional2;
@Coluna(nome="constemp.nroportas", tipo="int")
private int nroportas;
private boolean nroportasNull;
@Coluna(nome="constemp.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="constemp.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="constemp.condicao", tipo="String")
private String condicao;
@Coluna(nome="constemp.diasestoque", tipo="int")
private int diasestoque;
private boolean diasestoqueNull;

public TabConstemp() {
initialize();
}

public void initialize() {
setDataconsulta(null);
setIdAgente(null);
setChassis(null);
setFilialcadast(null);
setPlaca(null);
setModelo(null);
setDescrmaqvei(null);
setAnofabric(null);
setAnomodelo(null);
setNovousado(null);
setOrigem(null);
setCombustivel(null);
setCorexterna(null);
setCorinterna(null);
setOpcional1(null);
setOpcional2(null);
setNroportas(null);
setPedvenda(null);
setAvaliacao(null);
setCondicao(null);
setDiasestoque(null);
}

public TabConstemp(FglDateTimeYS dataconsulta, long idAgente, String chassis, int filialcadast, String placa, String modelo, String descrmaqvei, int anofabric, int anomodelo, String novousado, String origem, int combustivel, String corexterna, String corinterna, String opcional1, String opcional2, int nroportas, int pedvenda, int avaliacao, String condicao, int diasestoque) {
this.dataconsulta = dataconsulta;
this.idAgente = idAgente;
this.chassis = chassis;
this.filialcadast = filialcadast;
this.placa = placa;
this.modelo = modelo;
this.descrmaqvei = descrmaqvei;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.novousado = novousado;
this.origem = origem;
this.combustivel = combustivel;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.opcional1 = opcional1;
this.opcional2 = opcional2;
this.nroportas = nroportas;
this.pedvenda = pedvenda;
this.avaliacao = avaliacao;
this.condicao = condicao;
this.diasestoque = diasestoque;
}

public FglDateTimeYS getDataconsulta() {
return dataconsulta;
}

public void setDataconsulta(FglDateTimeYS dataconsulta) {
this.dataconsulta = dataconsulta;
}

public long getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(int idAgente) {
setIdAgente(new Long(idAgente));
}

public void setIdAgente(Long idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0l;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilialcadast() {
return filialcadast;
}

public boolean isFilialcadastNull() {
return filialcadastNull;
}

public void setFilialcadast(Integer filialcadast) {
if (filialcadast == null) {
filialcadastNull = true;
this.filialcadast = 0;
} else { 
filialcadastNull = false;
this.filialcadast = filialcadast;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getDescrmaqvei() {
return descrmaqvei;
}

public void setDescrmaqvei(String descrmaqvei) {
this.descrmaqvei = descrmaqvei;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getOpcional1() {
return opcional1;
}

public void setOpcional1(String opcional1) {
this.opcional1 = opcional1;
}

public String getOpcional2() {
return opcional2;
}

public void setOpcional2(String opcional2) {
this.opcional2 = opcional2;
}

public int getNroportas() {
return nroportas;
}

public boolean isNroportasNull() {
return nroportasNull;
}

public void setNroportas(Integer nroportas) {
if (nroportas == null) {
nroportasNull = true;
this.nroportas = 0;
} else { 
nroportasNull = false;
this.nroportas = nroportas;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public String getCondicao() {
return condicao;
}

public void setCondicao(String condicao) {
this.condicao = condicao;
}

public int getDiasestoque() {
return diasestoque;
}

public boolean isDiasestoqueNull() {
return diasestoqueNull;
}

public void setDiasestoque(Integer diasestoque) {
if (diasestoque == null) {
diasestoqueNull = true;
this.diasestoque = 0;
} else { 
diasestoqueNull = false;
this.diasestoque = diasestoque;
}
}

}

