package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCosetor {
@Coluna(nome="cosetor.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cosetor.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cosetor.setor", tipo="int")
private int setor;
private boolean setorNull;
@Coluna(nome="cosetor.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="cosetor.nomesetor", tipo="String")
private String nomesetor;
@Coluna(nome="cosetor.perccomissetor", tipo="double")
private double perccomissetor;
private boolean perccomissetorNull;
@Coluna(nome="cosetor.chefesetor", tipo="int")
private int chefesetor;
private boolean chefesetorNull;
@Coluna(nome="cosetor.podeos", tipo="String")
private String podeos;
@Coluna(nome="cosetor.nroinstrucao1", tipo="int")
private int nroinstrucao1;
private boolean nroinstrucao1Null;
@Coluna(nome="cosetor.nroinstrucao2", tipo="int")
private int nroinstrucao2;
private boolean nroinstrucao2Null;
@Coluna(nome="cosetor.diasprotesto", tipo="int")
private int diasprotesto;
private boolean diasprotestoNull;
@Coluna(nome="cosetor.exibetp", tipo="String")
private String exibetp;
@Coluna(nome="cosetor.id_setorccpc", tipo="int")
private int idSetorccpc;
private boolean idSetorccpcNull;
@Coluna(nome="cosetor.tpsetor", tipo="String")
private String tpsetor;
@Coluna(nome="cosetor.tpsetor_serv", tipo="String")
private String tpsetorServ;
@Coluna(nome="cosetor.produtivo", tipo="String")
private String produtivo;
@Coluna(nome="cosetor.ativo", tipo="String")
private String ativo;

public TabCosetor() {
initialize();
}

public void initialize() {
setIdSetor(null);
setIdDeptos(null);
setSetor(null);
setAbrevsetor(null);
setNomesetor(null);
setPerccomissetor(null);
setChefesetor(null);
setPodeos(null);
setNroinstrucao1(null);
setNroinstrucao2(null);
setDiasprotesto(null);
setExibetp(null);
setIdSetorccpc(null);
setTpsetor(null);
setTpsetorServ(null);
setProdutivo(null);
setAtivo(null);
}

public TabCosetor(int idSetor, int idDeptos, int setor, String abrevsetor, String nomesetor, double perccomissetor, int chefesetor, String podeos, int nroinstrucao1, int nroinstrucao2, int diasprotesto, String exibetp, int idSetorccpc, String tpsetor, String tpsetorServ, String produtivo, String ativo) {
this.idSetor = idSetor;
this.idDeptos = idDeptos;
this.setor = setor;
this.abrevsetor = abrevsetor;
this.nomesetor = nomesetor;
this.perccomissetor = perccomissetor;
this.chefesetor = chefesetor;
this.podeos = podeos;
this.nroinstrucao1 = nroinstrucao1;
this.nroinstrucao2 = nroinstrucao2;
this.diasprotesto = diasprotesto;
this.exibetp = exibetp;
this.idSetorccpc = idSetorccpc;
this.tpsetor = tpsetor;
this.tpsetorServ = tpsetorServ;
this.produtivo = produtivo;
this.ativo = ativo;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public int getSetor() {
return setor;
}

public boolean isSetorNull() {
return setorNull;
}

public void setSetor(Integer setor) {
if (setor == null) {
setorNull = true;
this.setor = 0;
} else { 
setorNull = false;
this.setor = setor;
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getNomesetor() {
return nomesetor;
}

public void setNomesetor(String nomesetor) {
this.nomesetor = nomesetor;
}

public double getPerccomissetor() {
return perccomissetor;
}

public boolean isPerccomissetorNull() {
return perccomissetorNull;
}

public void setPerccomissetor(int perccomissetor) {
setPerccomissetor(new Double(perccomissetor));
}

public void setPerccomissetor(long perccomissetor) {
setPerccomissetor(new Double(perccomissetor));
}

public void setPerccomissetor(Double perccomissetor) {
if (perccomissetor == null) {
perccomissetorNull = true;
this.perccomissetor = 0.;
} else { 
perccomissetorNull = false;
this.perccomissetor = FglDouble.round(perccomissetor, 2);
}
}

public int getChefesetor() {
return chefesetor;
}

public boolean isChefesetorNull() {
return chefesetorNull;
}

public void setChefesetor(Integer chefesetor) {
if (chefesetor == null) {
chefesetorNull = true;
this.chefesetor = 0;
} else { 
chefesetorNull = false;
this.chefesetor = chefesetor;
}
}

public String getPodeos() {
return podeos;
}

public void setPodeos(String podeos) {
this.podeos = podeos;
}

public int getNroinstrucao1() {
return nroinstrucao1;
}

public boolean isNroinstrucao1Null() {
return nroinstrucao1Null;
}

public void setNroinstrucao1(Integer nroinstrucao1) {
if (nroinstrucao1 == null) {
nroinstrucao1Null = true;
this.nroinstrucao1 = 0;
} else { 
nroinstrucao1Null = false;
this.nroinstrucao1 = nroinstrucao1;
}
}

public int getNroinstrucao2() {
return nroinstrucao2;
}

public boolean isNroinstrucao2Null() {
return nroinstrucao2Null;
}

public void setNroinstrucao2(Integer nroinstrucao2) {
if (nroinstrucao2 == null) {
nroinstrucao2Null = true;
this.nroinstrucao2 = 0;
} else { 
nroinstrucao2Null = false;
this.nroinstrucao2 = nroinstrucao2;
}
}

public int getDiasprotesto() {
return diasprotesto;
}

public boolean isDiasprotestoNull() {
return diasprotestoNull;
}

public void setDiasprotesto(Integer diasprotesto) {
if (diasprotesto == null) {
diasprotestoNull = true;
this.diasprotesto = 0;
} else { 
diasprotestoNull = false;
this.diasprotesto = diasprotesto;
}
}

public String getExibetp() {
return exibetp;
}

public void setExibetp(String exibetp) {
this.exibetp = exibetp;
}

public int getIdSetorccpc() {
return idSetorccpc;
}

public boolean isIdSetorccpcNull() {
return idSetorccpcNull;
}

public void setIdSetorccpc(Integer idSetorccpc) {
if (idSetorccpc == null) {
idSetorccpcNull = true;
this.idSetorccpc = 0;
} else { 
idSetorccpcNull = false;
this.idSetorccpc = idSetorccpc;
}
}

public String getTpsetor() {
return tpsetor;
}

public void setTpsetor(String tpsetor) {
this.tpsetor = tpsetor;
}

public String getTpsetorServ() {
return tpsetorServ;
}

public void setTpsetorServ(String tpsetorServ) {
this.tpsetorServ = tpsetorServ;
}

public String getProdutivo() {
return produtivo;
}

public void setProdutivo(String produtivo) {
this.produtivo = produtivo;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

