package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpadiant {
@Coluna(nome="cpadiant.id_adiant", tipo="int")
private int idAdiant;
private boolean idAdiantNull;
@Coluna(nome="cpadiant.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cpadiant.nrorecibo", tipo="int")
private int nrorecibo;
private boolean nroreciboNull;
@Coluna(nome="cpadiant.id_lanctocxb", tipo="int")
private int idLanctocxb;
private boolean idLanctocxbNull;
@Coluna(nome="cpadiant.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cpadiant.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cpadiant.dtadiant", tipo="FglDate")
private FglDate dtadiant;
@Coluna(nome="cpadiant.vlradiant", tipo="double")
private double vlradiant;
private boolean vlradiantNull;
@Coluna(nome="cpadiant.id_cheque", tipo="int")
private int idCheque;
private boolean idChequeNull;
@Coluna(nome="cpadiant.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;
@Coluna(nome="cpadiant.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cpadiant.id_agentedig", tipo="int")
private int idAgentedig;
private boolean idAgentedigNull;
@Coluna(nome="cpadiant.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cpadiant.tipoadiant", tipo="String")
private String tipoadiant;
@Coluna(nome="cpadiant.historico", tipo="String")
private String historico;
@Coluna(nome="cpadiant.id_lanctocxbadi", tipo="int")
private int idLanctocxbadi;
private boolean idLanctocxbadiNull;

public TabCpadiant() {
initialize();
}

public void initialize() {
setIdAdiant(null);
setFilial(null);
setNrorecibo(null);
setIdLanctocxb(null);
setTppessoa(null);
setCgccpf(null);
setDtadiant(null);
setVlradiant(null);
setIdCheque(null);
setIdDuplic(null);
setIdNfcapa(null);
setIdAgentedig(null);
setIdSetor(null);
setTipoadiant(null);
setHistorico(null);
setIdLanctocxbadi(null);
}

public TabCpadiant(int idAdiant, int filial, int nrorecibo, int idLanctocxb, int tppessoa, long cgccpf, FglDate dtadiant, double vlradiant, int idCheque, int idDuplic, int idNfcapa, int idAgentedig, int idSetor, String tipoadiant, String historico, int idLanctocxbadi) {
this.idAdiant = idAdiant;
this.filial = filial;
this.nrorecibo = nrorecibo;
this.idLanctocxb = idLanctocxb;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.dtadiant = dtadiant;
this.vlradiant = vlradiant;
this.idCheque = idCheque;
this.idDuplic = idDuplic;
this.idNfcapa = idNfcapa;
this.idAgentedig = idAgentedig;
this.idSetor = idSetor;
this.tipoadiant = tipoadiant;
this.historico = historico;
this.idLanctocxbadi = idLanctocxbadi;
}

public int getIdAdiant() {
return idAdiant;
}

public boolean isIdAdiantNull() {
return idAdiantNull;
}

public void setIdAdiant(Integer idAdiant) {
if (idAdiant == null) {
idAdiantNull = true;
this.idAdiant = 0;
} else { 
idAdiantNull = false;
this.idAdiant = idAdiant;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrorecibo() {
return nrorecibo;
}

public boolean isNroreciboNull() {
return nroreciboNull;
}

public void setNrorecibo(Integer nrorecibo) {
if (nrorecibo == null) {
nroreciboNull = true;
this.nrorecibo = 0;
} else { 
nroreciboNull = false;
this.nrorecibo = nrorecibo;
}
}

public int getIdLanctocxb() {
return idLanctocxb;
}

public boolean isIdLanctocxbNull() {
return idLanctocxbNull;
}

public void setIdLanctocxb(Integer idLanctocxb) {
if (idLanctocxb == null) {
idLanctocxbNull = true;
this.idLanctocxb = 0;
} else { 
idLanctocxbNull = false;
this.idLanctocxb = idLanctocxb;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDate getDtadiant() {
return dtadiant;
}

public void setDtadiant(FglDate dtadiant) {
this.dtadiant = dtadiant;
}

public double getVlradiant() {
return vlradiant;
}

public boolean isVlradiantNull() {
return vlradiantNull;
}

public void setVlradiant(int vlradiant) {
setVlradiant(new Double(vlradiant));
}

public void setVlradiant(long vlradiant) {
setVlradiant(new Double(vlradiant));
}

public void setVlradiant(Double vlradiant) {
if (vlradiant == null) {
vlradiantNull = true;
this.vlradiant = 0.;
} else { 
vlradiantNull = false;
this.vlradiant = FglDouble.round(vlradiant, 2);
}
}

public int getIdCheque() {
return idCheque;
}

public boolean isIdChequeNull() {
return idChequeNull;
}

public void setIdCheque(Integer idCheque) {
if (idCheque == null) {
idChequeNull = true;
this.idCheque = 0;
} else { 
idChequeNull = false;
this.idCheque = idCheque;
}
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdAgentedig() {
return idAgentedig;
}

public boolean isIdAgentedigNull() {
return idAgentedigNull;
}

public void setIdAgentedig(Integer idAgentedig) {
if (idAgentedig == null) {
idAgentedigNull = true;
this.idAgentedig = 0;
} else { 
idAgentedigNull = false;
this.idAgentedig = idAgentedig;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getTipoadiant() {
return tipoadiant;
}

public void setTipoadiant(String tipoadiant) {
this.tipoadiant = tipoadiant;
}

public String getHistorico() {
return historico;
}

public void setHistorico(String historico) {
this.historico = historico;
}

public int getIdLanctocxbadi() {
return idLanctocxbadi;
}

public boolean isIdLanctocxbadiNull() {
return idLanctocxbadiNull;
}

public void setIdLanctocxbadi(Integer idLanctocxbadi) {
if (idLanctocxbadi == null) {
idLanctocxbadiNull = true;
this.idLanctocxbadi = 0;
} else { 
idLanctocxbadiNull = false;
this.idLanctocxbadi = idLanctocxbadi;
}
}

}

