package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCpmemcap {
@Coluna(nome="cpmemcap.id_memorando", tipo="int")
private int idMemorando;
private boolean idMemorandoNull;
@Coluna(nome="cpmemcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cpmemcap.memorando", tipo="int")
private int memorando;
private boolean memorandoNull;
@Coluna(nome="cpmemcap.tppagtomem", tipo="String")
private String tppagtomem;
@Coluna(nome="cpmemcap.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpmemcap.id_bcoportador", tipo="int")
private int idBcoportador;
private boolean idBcoportadorNull;
@Coluna(nome="cpmemcap.id_bancocheq", tipo="int")
private int idBancocheq;
private boolean idBancocheqNull;
@Coluna(nome="cpmemcap.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="cpmemcap.dtpagto", tipo="FglDate")
private FglDate dtpagto;
@Coluna(nome="cpmemcap.status", tipo="String")
private String status;

public TabCpmemcap() {
initialize();
}

public void initialize() {
setIdMemorando(null);
setFilial(null);
setMemorando(null);
setTppagtomem(null);
setValor(null);
setIdBcoportador(null);
setIdBancocheq(null);
setNrocheque(null);
setDtpagto(null);
setStatus(null);
}

public TabCpmemcap(int idMemorando, int filial, int memorando, String tppagtomem, double valor, int idBcoportador, int idBancocheq, int nrocheque, FglDate dtpagto, String status) {
this.idMemorando = idMemorando;
this.filial = filial;
this.memorando = memorando;
this.tppagtomem = tppagtomem;
this.valor = valor;
this.idBcoportador = idBcoportador;
this.idBancocheq = idBancocheq;
this.nrocheque = nrocheque;
this.dtpagto = dtpagto;
this.status = status;
}

public int getIdMemorando() {
return idMemorando;
}

public boolean isIdMemorandoNull() {
return idMemorandoNull;
}

public void setIdMemorando(Integer idMemorando) {
if (idMemorando == null) {
idMemorandoNull = true;
this.idMemorando = 0;
} else { 
idMemorandoNull = false;
this.idMemorando = idMemorando;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getMemorando() {
return memorando;
}

public boolean isMemorandoNull() {
return memorandoNull;
}

public void setMemorando(Integer memorando) {
if (memorando == null) {
memorandoNull = true;
this.memorando = 0;
} else { 
memorandoNull = false;
this.memorando = memorando;
}
}

public String getTppagtomem() {
return tppagtomem;
}

public void setTppagtomem(String tppagtomem) {
this.tppagtomem = tppagtomem;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdBcoportador() {
return idBcoportador;
}

public boolean isIdBcoportadorNull() {
return idBcoportadorNull;
}

public void setIdBcoportador(Integer idBcoportador) {
if (idBcoportador == null) {
idBcoportadorNull = true;
this.idBcoportador = 0;
} else { 
idBcoportadorNull = false;
this.idBcoportador = idBcoportador;
}
}

public int getIdBancocheq() {
return idBancocheq;
}

public boolean isIdBancocheqNull() {
return idBancocheqNull;
}

public void setIdBancocheq(Integer idBancocheq) {
if (idBancocheq == null) {
idBancocheqNull = true;
this.idBancocheq = 0;
} else { 
idBancocheqNull = false;
this.idBancocheq = idBancocheq;
}
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public FglDate getDtpagto() {
return dtpagto;
}

public void setDtpagto(FglDate dtpagto) {
this.dtpagto = dtpagto;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

