package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCpordcon {
@Coluna(nome="cpordcon.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpordcon.tipoconta", tipo="String")
private String tipoconta;
@Coluna(nome="cpordcon.observacao", tipo="String")
private String observacao;
@Coluna(nome="cpordcon.bancofloor", tipo="int")
private int bancofloor;
private boolean bancofloorNull;
@Coluna(nome="cpordcon.contafloor", tipo="int")
private int contafloor;
private boolean contafloorNull;
@Coluna(nome="cpordcon.dtiniencargo", tipo="FglDate")
private FglDate dtiniencargo;
@Coluna(nome="cpordcon.indexador", tipo="String")
private String indexador;

public TabCpordcon() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setTipoconta(null);
setObservacao(null);
setBancofloor(null);
setContafloor(null);
setDtiniencargo(null);
setIndexador(null);
}

public TabCpordcon(int idOrdpag, String tipoconta, String observacao, int bancofloor, int contafloor, FglDate dtiniencargo, String indexador) {
this.idOrdpag = idOrdpag;
this.tipoconta = tipoconta;
this.observacao = observacao;
this.bancofloor = bancofloor;
this.contafloor = contafloor;
this.dtiniencargo = dtiniencargo;
this.indexador = indexador;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public String getTipoconta() {
return tipoconta;
}

public void setTipoconta(String tipoconta) {
this.tipoconta = tipoconta;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getBancofloor() {
return bancofloor;
}

public boolean isBancofloorNull() {
return bancofloorNull;
}

public void setBancofloor(Integer bancofloor) {
if (bancofloor == null) {
bancofloorNull = true;
this.bancofloor = 0;
} else { 
bancofloorNull = false;
this.bancofloor = bancofloor;
}
}

public int getContafloor() {
return contafloor;
}

public boolean isContafloorNull() {
return contafloorNull;
}

public void setContafloor(Integer contafloor) {
if (contafloor == null) {
contafloorNull = true;
this.contafloor = 0;
} else { 
contafloorNull = false;
this.contafloor = contafloor;
}
}

public FglDate getDtiniencargo() {
return dtiniencargo;
}

public void setDtiniencargo(FglDate dtiniencargo) {
this.dtiniencargo = dtiniencargo;
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

}

