package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCporddar {
@Coluna(nome="cporddar.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cporddar.periodapu", tipo="FglDate")
private FglDate periodapu;
@Coluna(nome="cporddar.codreceita", tipo="int")
private int codreceita;
private boolean codreceitaNull;
@Coluna(nome="cporddar.variacao", tipo="int")
private int variacao;
private boolean variacaoNull;
@Coluna(nome="cporddar.periodicidade", tipo="String")
private String periodicidade;
@Coluna(nome="cporddar.anoapur", tipo="int")
private int anoapur;
private boolean anoapurNull;
@Coluna(nome="cporddar.mesapur", tipo="int")
private int mesapur;
private boolean mesapurNull;
@Coluna(nome="cporddar.diaapur", tipo="int")
private int diaapur;
private boolean diaapurNull;
@Coluna(nome="cporddar.numrefere", tipo="long")
private long numrefere;
private boolean numrefereNull;
@Coluna(nome="cporddar.percarrec", tipo="double")
private double percarrec;
private boolean percarrecNull;
@Coluna(nome="cporddar.vlrmulta", tipo="double")
private double vlrmulta;
private boolean vlrmultaNull;
@Coluna(nome="cporddar.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="cporddar.vlratumonet", tipo="double")
private double vlratumonet;
private boolean vlratumonetNull;

public TabCporddar() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setPeriodapu(null);
setCodreceita(null);
setVariacao(null);
setPeriodicidade(null);
setAnoapur(null);
setMesapur(null);
setDiaapur(null);
setNumrefere(null);
setPercarrec(null);
setVlrmulta(null);
setVlrjuros(null);
setVlratumonet(null);
}

public TabCporddar(int idOrdpag, FglDate periodapu, int codreceita, int variacao, String periodicidade, int anoapur, int mesapur, int diaapur, long numrefere, double percarrec, double vlrmulta, double vlrjuros, double vlratumonet) {
this.idOrdpag = idOrdpag;
this.periodapu = periodapu;
this.codreceita = codreceita;
this.variacao = variacao;
this.periodicidade = periodicidade;
this.anoapur = anoapur;
this.mesapur = mesapur;
this.diaapur = diaapur;
this.numrefere = numrefere;
this.percarrec = percarrec;
this.vlrmulta = vlrmulta;
this.vlrjuros = vlrjuros;
this.vlratumonet = vlratumonet;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public FglDate getPeriodapu() {
return periodapu;
}

public void setPeriodapu(FglDate periodapu) {
this.periodapu = periodapu;
}

public int getCodreceita() {
return codreceita;
}

public boolean isCodreceitaNull() {
return codreceitaNull;
}

public void setCodreceita(Integer codreceita) {
if (codreceita == null) {
codreceitaNull = true;
this.codreceita = 0;
} else { 
codreceitaNull = false;
this.codreceita = codreceita;
}
}

public int getVariacao() {
return variacao;
}

public boolean isVariacaoNull() {
return variacaoNull;
}

public void setVariacao(Integer variacao) {
if (variacao == null) {
variacaoNull = true;
this.variacao = 0;
} else { 
variacaoNull = false;
this.variacao = variacao;
}
}

public String getPeriodicidade() {
return periodicidade;
}

public void setPeriodicidade(String periodicidade) {
this.periodicidade = periodicidade;
}

public int getAnoapur() {
return anoapur;
}

public boolean isAnoapurNull() {
return anoapurNull;
}

public void setAnoapur(Integer anoapur) {
if (anoapur == null) {
anoapurNull = true;
this.anoapur = 0;
} else { 
anoapurNull = false;
this.anoapur = anoapur;
}
}

public int getMesapur() {
return mesapur;
}

public boolean isMesapurNull() {
return mesapurNull;
}

public void setMesapur(Integer mesapur) {
if (mesapur == null) {
mesapurNull = true;
this.mesapur = 0;
} else { 
mesapurNull = false;
this.mesapur = mesapur;
}
}

public int getDiaapur() {
return diaapur;
}

public boolean isDiaapurNull() {
return diaapurNull;
}

public void setDiaapur(Integer diaapur) {
if (diaapur == null) {
diaapurNull = true;
this.diaapur = 0;
} else { 
diaapurNull = false;
this.diaapur = diaapur;
}
}

public long getNumrefere() {
return numrefere;
}

public boolean isNumrefereNull() {
return numrefereNull;
}

public void setNumrefere(int numrefere) {
setNumrefere(new Long(numrefere));
}

public void setNumrefere(Long numrefere) {
if (numrefere == null) {
numrefereNull = true;
this.numrefere = 0l;
} else { 
numrefereNull = false;
this.numrefere = numrefere;
}
}

public double getPercarrec() {
return percarrec;
}

public boolean isPercarrecNull() {
return percarrecNull;
}

public void setPercarrec(int percarrec) {
setPercarrec(new Double(percarrec));
}

public void setPercarrec(long percarrec) {
setPercarrec(new Double(percarrec));
}

public void setPercarrec(Double percarrec) {
if (percarrec == null) {
percarrecNull = true;
this.percarrec = 0.;
} else { 
percarrecNull = false;
this.percarrec = FglDouble.round(percarrec, 2);
}
}

public double getVlrmulta() {
return vlrmulta;
}

public boolean isVlrmultaNull() {
return vlrmultaNull;
}

public void setVlrmulta(int vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(long vlrmulta) {
setVlrmulta(new Double(vlrmulta));
}

public void setVlrmulta(Double vlrmulta) {
if (vlrmulta == null) {
vlrmultaNull = true;
this.vlrmulta = 0.;
} else { 
vlrmultaNull = false;
this.vlrmulta = FglDouble.round(vlrmulta, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public double getVlratumonet() {
return vlratumonet;
}

public boolean isVlratumonetNull() {
return vlratumonetNull;
}

public void setVlratumonet(int vlratumonet) {
setVlratumonet(new Double(vlratumonet));
}

public void setVlratumonet(long vlratumonet) {
setVlratumonet(new Double(vlratumonet));
}

public void setVlratumonet(Double vlratumonet) {
if (vlratumonet == null) {
vlratumonetNull = true;
this.vlratumonet = 0.;
} else { 
vlratumonetNull = false;
this.vlratumonet = FglDouble.round(vlratumonet, 2);
}
}

}

