package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCporddda {
@Coluna(nome="cporddda.id_orddda", tipo="int")
private int idOrddda;
private boolean idOrdddaNull;
@Coluna(nome="cporddda.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cporddda.dtgeracaoarq", tipo="FglDate")
private FglDate dtgeracaoarq;
@Coluna(nome="cporddda.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cporddda.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cporddda.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="cporddda.nrodocto", tipo="String")
private String nrodocto;
@Coluna(nome="cporddda.dtdocto", tipo="FglDate")
private FglDate dtdocto;
@Coluna(nome="cporddda.dtvencto", tipo="String")
private String dtvencto;
@Coluna(nome="cporddda.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cporddda.especie", tipo="int")
private int especie;
private boolean especieNull;
@Coluna(nome="cporddda.lindigit", tipo="String")
private String lindigit;
@Coluna(nome="cporddda.codbarras", tipo="String")
private String codbarras;
@Coluna(nome="cporddda.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cporddda.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;

public TabCporddda() {
initialize();
}

public void initialize() {
setIdOrddda(null);
setFilial(null);
setDtgeracaoarq(null);
setCgccpf(null);
setTppessoa(null);
setNrobanco(null);
setNrodocto(null);
setDtdocto(null);
setDtvencto(null);
setValor(null);
setEspecie(null);
setLindigit(null);
setCodbarras(null);
setIdOrdpag(null);
setIdBancos(null);
}

public TabCporddda(int idOrddda, int filial, FglDate dtgeracaoarq, long cgccpf, int tppessoa, int nrobanco, String nrodocto, FglDate dtdocto, String dtvencto, double valor, int especie, String lindigit, String codbarras, int idOrdpag, int idBancos) {
this.idOrddda = idOrddda;
this.filial = filial;
this.dtgeracaoarq = dtgeracaoarq;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nrobanco = nrobanco;
this.nrodocto = nrodocto;
this.dtdocto = dtdocto;
this.dtvencto = dtvencto;
this.valor = valor;
this.especie = especie;
this.lindigit = lindigit;
this.codbarras = codbarras;
this.idOrdpag = idOrdpag;
this.idBancos = idBancos;
}

public int getIdOrddda() {
return idOrddda;
}

public boolean isIdOrdddaNull() {
return idOrdddaNull;
}

public void setIdOrddda(Integer idOrddda) {
if (idOrddda == null) {
idOrdddaNull = true;
this.idOrddda = 0;
} else { 
idOrdddaNull = false;
this.idOrddda = idOrddda;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtgeracaoarq() {
return dtgeracaoarq;
}

public void setDtgeracaoarq(FglDate dtgeracaoarq) {
this.dtgeracaoarq = dtgeracaoarq;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public String getNrodocto() {
return nrodocto;
}

public void setNrodocto(String nrodocto) {
this.nrodocto = nrodocto;
}

public FglDate getDtdocto() {
return dtdocto;
}

public void setDtdocto(FglDate dtdocto) {
this.dtdocto = dtdocto;
}

public String getDtvencto() {
return dtvencto;
}

public void setDtvencto(String dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getEspecie() {
return especie;
}

public boolean isEspecieNull() {
return especieNull;
}

public void setEspecie(Integer especie) {
if (especie == null) {
especieNull = true;
this.especie = 0;
} else { 
especieNull = false;
this.especie = especie;
}
}

public String getLindigit() {
return lindigit;
}

public void setLindigit(String lindigit) {
this.lindigit = lindigit;
}

public String getCodbarras() {
return codbarras;
}

public void setCodbarras(String codbarras) {
this.codbarras = codbarras;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

}

