package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCpordras {
@Coluna(nome="cpordras.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cpordras.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpordras.seunumero", tipo="String")
private String seunumero;

public TabCpordras() {
initialize();
}

public void initialize() {
setIdOrdpag(null);
setValor(null);
setSeunumero(null);
}

public TabCpordras(int idOrdpag, double valor, String seunumero) {
this.idOrdpag = idOrdpag;
this.valor = valor;
this.seunumero = seunumero;
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getSeunumero() {
return seunumero;
}

public void setSeunumero(String seunumero) {
this.seunumero = seunumero;
}

}

