package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCpprevpg {
@Coluna(nome="cpprevpg.id_prevpg", tipo="int")
private int idPrevpg;
private boolean idPrevpgNull;
@Coluna(nome="cpprevpg.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cpprevpg.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cpprevpg.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="cpprevpg.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cpprevpg.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cpprevpg.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cpprevpg.beneficiario", tipo="String")
private String beneficiario;
@Coluna(nome="cpprevpg.descrtitulo", tipo="String")
private String descrtitulo;
@Coluna(nome="cpprevpg.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cpprevpg.competencia", tipo="FglDateTimeYM")
private FglDateTimeYM competencia;
@Coluna(nome="cpprevpg.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="cpprevpg.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cpprevpg.dtbaixa", tipo="FglDateTimeYS")
private FglDateTimeYS dtbaixa;

public TabCpprevpg() {
initialize();
}

public void initialize() {
setIdPrevpg(null);
setFilial(null);
setIdDeptos(null);
setTpdocto(null);
setDtvencto(null);
setTppessoa(null);
setCgccpf(null);
setBeneficiario(null);
setDescrtitulo(null);
setValor(null);
setCompetencia(null);
setDtdigitacao(null);
setIdAgente(null);
setDtbaixa(null);
}

public TabCpprevpg(int idPrevpg, int filial, int idDeptos, String tpdocto, FglDate dtvencto, int tppessoa, long cgccpf, String beneficiario, String descrtitulo, double valor, FglDateTimeYM competencia, FglDateTimeYS dtdigitacao, int idAgente, FglDateTimeYS dtbaixa) {
this.idPrevpg = idPrevpg;
this.filial = filial;
this.idDeptos = idDeptos;
this.tpdocto = tpdocto;
this.dtvencto = dtvencto;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.beneficiario = beneficiario;
this.descrtitulo = descrtitulo;
this.valor = valor;
this.competencia = competencia;
this.dtdigitacao = dtdigitacao;
this.idAgente = idAgente;
this.dtbaixa = dtbaixa;
}

public int getIdPrevpg() {
return idPrevpg;
}

public boolean isIdPrevpgNull() {
return idPrevpgNull;
}

public void setIdPrevpg(Integer idPrevpg) {
if (idPrevpg == null) {
idPrevpgNull = true;
this.idPrevpg = 0;
} else { 
idPrevpgNull = false;
this.idPrevpg = idPrevpg;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getBeneficiario() {
return beneficiario;
}

public void setBeneficiario(String beneficiario) {
this.beneficiario = beneficiario;
}

public String getDescrtitulo() {
return descrtitulo;
}

public void setDescrtitulo(String descrtitulo) {
this.descrtitulo = descrtitulo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public FglDateTimeYM getCompetencia() {
return competencia;
}

public void setCompetencia(FglDateTimeYM competencia) {
this.competencia = competencia;
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeYS getDtbaixa() {
return dtbaixa;
}

public void setDtbaixa(FglDateTimeYS dtbaixa) {
this.dtbaixa = dtbaixa;
}

}

