package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCradirec {
@Coluna(nome="cradirec.id_adiant", tipo="int")
private int idAdiant;
private boolean idAdiantNull;
@Coluna(nome="cradirec.id_recbto", tipo="int")
private int idRecbto;
private boolean idRecbtoNull;
@Coluna(nome="cradirec.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cradirec.id_lanctocxb", tipo="int")
private int idLanctocxb;
private boolean idLanctocxbNull;
@Coluna(nome="cradirec.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cradirec.id_lanctocxbtran", tipo="int")
private int idLanctocxbtran;
private boolean idLanctocxbtranNull;

public TabCradirec() {
initialize();
}

public void initialize() {
setIdAdiant(null);
setIdRecbto(null);
setIdLancto(null);
setIdLanctocxb(null);
setValor(null);
setIdLanctocxbtran(null);
}

public TabCradirec(int idAdiant, int idRecbto, int idLancto, int idLanctocxb, double valor, int idLanctocxbtran) {
this.idAdiant = idAdiant;
this.idRecbto = idRecbto;
this.idLancto = idLancto;
this.idLanctocxb = idLanctocxb;
this.valor = valor;
this.idLanctocxbtran = idLanctocxbtran;
}

public int getIdAdiant() {
return idAdiant;
}

public boolean isIdAdiantNull() {
return idAdiantNull;
}

public void setIdAdiant(Integer idAdiant) {
if (idAdiant == null) {
idAdiantNull = true;
this.idAdiant = 0;
} else { 
idAdiantNull = false;
this.idAdiant = idAdiant;
}
}

public int getIdRecbto() {
return idRecbto;
}

public boolean isIdRecbtoNull() {
return idRecbtoNull;
}

public void setIdRecbto(Integer idRecbto) {
if (idRecbto == null) {
idRecbtoNull = true;
this.idRecbto = 0;
} else { 
idRecbtoNull = false;
this.idRecbto = idRecbto;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdLanctocxb() {
return idLanctocxb;
}

public boolean isIdLanctocxbNull() {
return idLanctocxbNull;
}

public void setIdLanctocxb(Integer idLanctocxb) {
if (idLanctocxb == null) {
idLanctocxbNull = true;
this.idLanctocxb = 0;
} else { 
idLanctocxbNull = false;
this.idLanctocxb = idLanctocxb;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLanctocxbtran() {
return idLanctocxbtran;
}

public boolean isIdLanctocxbtranNull() {
return idLanctocxbtranNull;
}

public void setIdLanctocxbtran(Integer idLanctocxbtran) {
if (idLanctocxbtran == null) {
idLanctocxbtranNull = true;
this.idLanctocxbtran = 0;
} else { 
idLanctocxbtranNull = false;
this.idLanctocxbtran = idLanctocxbtran;
}
}

}

