package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrdchmem {
@Coluna(nome="crdchmem.id_memorando", tipo="int")
private int idMemorando;
private boolean idMemorandoNull;
@Coluna(nome="crdchmem.id_cheque", tipo="int")
private int idCheque;
private boolean idChequeNull;
@Coluna(nome="crdchmem.acrescimo", tipo="double")
private double acrescimo;
private boolean acrescimoNull;
@Coluna(nome="crdchmem.desconto", tipo="double")
private double desconto;
private boolean descontoNull;

public TabCrdchmem() {
initialize();
}

public void initialize() {
setIdMemorando(null);
setIdCheque(null);
setAcrescimo(null);
setDesconto(null);
}

public TabCrdchmem(int idMemorando, int idCheque, double acrescimo, double desconto) {
this.idMemorando = idMemorando;
this.idCheque = idCheque;
this.acrescimo = acrescimo;
this.desconto = desconto;
}

public int getIdMemorando() {
return idMemorando;
}

public boolean isIdMemorandoNull() {
return idMemorandoNull;
}

public void setIdMemorando(Integer idMemorando) {
if (idMemorando == null) {
idMemorandoNull = true;
this.idMemorando = 0;
} else { 
idMemorandoNull = false;
this.idMemorando = idMemorando;
}
}

public int getIdCheque() {
return idCheque;
}

public boolean isIdChequeNull() {
return idChequeNull;
}

public void setIdCheque(Integer idCheque) {
if (idCheque == null) {
idChequeNull = true;
this.idCheque = 0;
} else { 
idChequeNull = false;
this.idCheque = idCheque;
}
}

public double getAcrescimo() {
return acrescimo;
}

public boolean isAcrescimoNull() {
return acrescimoNull;
}

public void setAcrescimo(int acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(long acrescimo) {
setAcrescimo(new Double(acrescimo));
}

public void setAcrescimo(Double acrescimo) {
if (acrescimo == null) {
acrescimoNull = true;
this.acrescimo = 0.;
} else { 
acrescimoNull = false;
this.acrescimo = FglDouble.round(acrescimo, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

}

