package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrdupmul {
@Coluna(nome="crdupmul.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;
@Coluna(nome="crdupmul.dtliberacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtliberacao;
@Coluna(nome="crdupmul.loginliberacao", tipo="String")
private String loginliberacao;
@Coluna(nome="crdupmul.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;
@Coluna(nome="crdupmul.vlrmultaori", tipo="double")
private double vlrmultaori;
private boolean vlrmultaoriNull;
@Coluna(nome="crdupmul.vlrmultalib", tipo="double")
private double vlrmultalib;
private boolean vlrmultalibNull;

public TabCrdupmul() {
initialize();
}

public void initialize() {
setIdDuplic(null);
setDtliberacao(null);
setLoginliberacao(null);
setDtvalidade(null);
setVlrmultaori(null);
setVlrmultalib(null);
}

public TabCrdupmul(int idDuplic, FglDateTimeYS dtliberacao, String loginliberacao, FglDate dtvalidade, double vlrmultaori, double vlrmultalib) {
this.idDuplic = idDuplic;
this.dtliberacao = dtliberacao;
this.loginliberacao = loginliberacao;
this.dtvalidade = dtvalidade;
this.vlrmultaori = vlrmultaori;
this.vlrmultalib = vlrmultalib;
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

public FglDateTimeYS getDtliberacao() {
return dtliberacao;
}

public void setDtliberacao(FglDateTimeYS dtliberacao) {
this.dtliberacao = dtliberacao;
}

public String getLoginliberacao() {
return loginliberacao;
}

public void setLoginliberacao(String loginliberacao) {
this.loginliberacao = loginliberacao;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

public double getVlrmultaori() {
return vlrmultaori;
}

public boolean isVlrmultaoriNull() {
return vlrmultaoriNull;
}

public void setVlrmultaori(int vlrmultaori) {
setVlrmultaori(new Double(vlrmultaori));
}

public void setVlrmultaori(long vlrmultaori) {
setVlrmultaori(new Double(vlrmultaori));
}

public void setVlrmultaori(Double vlrmultaori) {
if (vlrmultaori == null) {
vlrmultaoriNull = true;
this.vlrmultaori = 0.;
} else { 
vlrmultaoriNull = false;
this.vlrmultaori = FglDouble.round(vlrmultaori, 2);
}
}

public double getVlrmultalib() {
return vlrmultalib;
}

public boolean isVlrmultalibNull() {
return vlrmultalibNull;
}

public void setVlrmultalib(int vlrmultalib) {
setVlrmultalib(new Double(vlrmultalib));
}

public void setVlrmultalib(long vlrmultalib) {
setVlrmultalib(new Double(vlrmultalib));
}

public void setVlrmultalib(Double vlrmultalib) {
if (vlrmultalib == null) {
vlrmultalibNull = true;
this.vlrmultalib = 0.;
} else { 
vlrmultalibNull = false;
this.vlrmultalib = FglDouble.round(vlrmultalib, 2);
}
}

}

