package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCrfatura {
@Coluna(nome="crfatura.id_fatura", tipo="int")
private int idFatura;
private boolean idFaturaNull;
@Coluna(nome="crfatura.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crfatura.fatura", tipo="int")
private int fatura;
private boolean faturaNull;
@Coluna(nome="crfatura.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="crfatura.serienf", tipo="String")
private String serienf;
@Coluna(nome="crfatura.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="crfatura.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="crfatura.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="crfatura.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="crfatura.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="crfatura.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabCrfatura() {
initialize();
}

public void initialize() {
setIdFatura(null);
setFilial(null);
setFatura(null);
setTpdocto(null);
setSerienf(null);
setDtemissao(null);
setNroEndere(null);
setCondpgto(null);
setIdSetor(null);
setIdAgente(null);
setIdLancto(null);
}

public TabCrfatura(int idFatura, int filial, int fatura, String tpdocto, String serienf, FglDate dtemissao, long nroEndere, int condpgto, int idSetor, int idAgente, int idLancto) {
this.idFatura = idFatura;
this.filial = filial;
this.fatura = fatura;
this.tpdocto = tpdocto;
this.serienf = serienf;
this.dtemissao = dtemissao;
this.nroEndere = nroEndere;
this.condpgto = condpgto;
this.idSetor = idSetor;
this.idAgente = idAgente;
this.idLancto = idLancto;
}

public int getIdFatura() {
return idFatura;
}

public boolean isIdFaturaNull() {
return idFaturaNull;
}

public void setIdFatura(Integer idFatura) {
if (idFatura == null) {
idFaturaNull = true;
this.idFatura = 0;
} else { 
idFaturaNull = false;
this.idFatura = idFatura;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getFatura() {
return fatura;
}

public boolean isFaturaNull() {
return faturaNull;
}

public void setFatura(Integer fatura) {
if (fatura == null) {
faturaNull = true;
this.fatura = 0;
} else { 
faturaNull = false;
this.fatura = fatura;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

