package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCroriche {
@Coluna(nome="croriche.id_cheque", tipo="int")
private int idCheque;
private boolean idChequeNull;
@Coluna(nome="croriche.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="croriche.id_recbto", tipo="int")
private int idRecbto;
private boolean idRecbtoNull;
@Coluna(nome="croriche.id_adiant", tipo="int")
private int idAdiant;
private boolean idAdiantNull;
@Coluna(nome="croriche.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="croriche.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="croriche.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCroriche() {
initialize();
}

public void initialize() {
setIdCheque(null);
setIdNfcapa(null);
setIdRecbto(null);
setIdAdiant(null);
setFilial(null);
setPedvenda(null);
setValor(null);
}

public TabCroriche(int idCheque, int idNfcapa, int idRecbto, int idAdiant, int filial, int pedvenda, double valor) {
this.idCheque = idCheque;
this.idNfcapa = idNfcapa;
this.idRecbto = idRecbto;
this.idAdiant = idAdiant;
this.filial = filial;
this.pedvenda = pedvenda;
this.valor = valor;
}

public int getIdCheque() {
return idCheque;
}

public boolean isIdChequeNull() {
return idChequeNull;
}

public void setIdCheque(Integer idCheque) {
if (idCheque == null) {
idChequeNull = true;
this.idCheque = 0;
} else { 
idChequeNull = false;
this.idCheque = idCheque;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdRecbto() {
return idRecbto;
}

public boolean isIdRecbtoNull() {
return idRecbtoNull;
}

public void setIdRecbto(Integer idRecbto) {
if (idRecbto == null) {
idRecbtoNull = true;
this.idRecbto = 0;
} else { 
idRecbtoNull = false;
this.idRecbto = idRecbto;
}
}

public int getIdAdiant() {
return idAdiant;
}

public boolean isIdAdiantNull() {
return idAdiantNull;
}

public void setIdAdiant(Integer idAdiant) {
if (idAdiant == null) {
idAdiantNull = true;
this.idAdiant = 0;
} else { 
idAdiantNull = false;
this.idAdiant = idAdiant;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

