package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCrpayhub {
@Coluna(nome="crpayhub.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="crpayhub.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="crpayhub.nro_doc", tipo="int")
private int nroDoc;
private boolean nroDocNull;
@Coluna(nome="crpayhub.email", tipo="String")
private String email;
@Coluna(nome="crpayhub.sms", tipo="String")
private String sms;
@Coluna(nome="crpayhub.wpp", tipo="String")
private String wpp;
@Coluna(nome="crpayhub.status", tipo="String")
private String status;
@Coluna(nome="crpayhub.msg_status", tipo="String")
private String msgStatus;
@Coluna(nome="crpayhub.dt_status", tipo="FglDate")
private FglDate dtStatus;
@Coluna(nome="crpayhub.hr_status", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrStatus;
@Coluna(nome="crpayhub.url_pgto", tipo="String")
private String urlPgto;
@Coluna(nome="crpayhub.nsu", tipo="String")
private String nsu;
@Coluna(nome="crpayhub.cod_autorizacao", tipo="String")
private String codAutorizacao;
@Coluna(nome="crpayhub.requestid", tipo="String")
private String requestid;
@Coluna(nome="crpayhub.dt_envio", tipo="FglDate")
private FglDate dtEnvio;
@Coluna(nome="crpayhub.hr_envio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrEnvio;
@Coluna(nome="crpayhub.mensagem", tipo="String")
private String mensagem;

public TabCrpayhub() {
initialize();
}

public void initialize() {
setFilial(null);
setTpvenda(null);
setNroDoc(null);
setEmail(null);
setSms(null);
setWpp(null);
setStatus(null);
setMsgStatus(null);
setDtStatus(null);
setHrStatus(null);
setUrlPgto(null);
setNsu(null);
setCodAutorizacao(null);
setRequestid(null);
setDtEnvio(null);
setHrEnvio(null);
setMensagem(null);
}

public TabCrpayhub(int filial, String tpvenda, int nroDoc, String email, String sms, String wpp, String status, String msgStatus, FglDate dtStatus, FglDateTimeHMin hrStatus, String urlPgto, String nsu, String codAutorizacao, String requestid, FglDate dtEnvio, FglDateTimeHMin hrEnvio, String mensagem) {
this.filial = filial;
this.tpvenda = tpvenda;
this.nroDoc = nroDoc;
this.email = email;
this.sms = sms;
this.wpp = wpp;
this.status = status;
this.msgStatus = msgStatus;
this.dtStatus = dtStatus;
this.hrStatus = hrStatus;
this.urlPgto = urlPgto;
this.nsu = nsu;
this.codAutorizacao = codAutorizacao;
this.requestid = requestid;
this.dtEnvio = dtEnvio;
this.hrEnvio = hrEnvio;
this.mensagem = mensagem;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public int getNroDoc() {
return nroDoc;
}

public boolean isNroDocNull() {
return nroDocNull;
}

public void setNroDoc(Integer nroDoc) {
if (nroDoc == null) {
nroDocNull = true;
this.nroDoc = 0;
} else { 
nroDocNull = false;
this.nroDoc = nroDoc;
}
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getSms() {
return sms;
}

public void setSms(String sms) {
this.sms = sms;
}

public String getWpp() {
return wpp;
}

public void setWpp(String wpp) {
this.wpp = wpp;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getMsgStatus() {
return msgStatus;
}

public void setMsgStatus(String msgStatus) {
this.msgStatus = msgStatus;
}

public FglDate getDtStatus() {
return dtStatus;
}

public void setDtStatus(FglDate dtStatus) {
this.dtStatus = dtStatus;
}

public FglDateTimeHMin getHrStatus() {
return hrStatus;
}

public void setHrStatus(FglDateTimeHMin hrStatus) {
this.hrStatus = hrStatus;
}

public String getUrlPgto() {
return urlPgto;
}

public void setUrlPgto(String urlPgto) {
this.urlPgto = urlPgto;
}

public String getNsu() {
return nsu;
}

public void setNsu(String nsu) {
this.nsu = nsu;
}

public String getCodAutorizacao() {
return codAutorizacao;
}

public void setCodAutorizacao(String codAutorizacao) {
this.codAutorizacao = codAutorizacao;
}

public String getRequestid() {
return requestid;
}

public void setRequestid(String requestid) {
this.requestid = requestid;
}

public FglDate getDtEnvio() {
return dtEnvio;
}

public void setDtEnvio(FglDate dtEnvio) {
this.dtEnvio = dtEnvio;
}

public FglDateTimeHMin getHrEnvio() {
return hrEnvio;
}

public void setHrEnvio(FglDateTimeHMin hrEnvio) {
this.hrEnvio = hrEnvio;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

