package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCrrenfof {
@Coluna(nome="crrenfof.filialrec", tipo="int")
private int filialrec;
private boolean filialrecNull;
@Coluna(nome="crrenfof.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="crrenfof.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="crrenfof.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="crrenfof.dtcontabil", tipo="FglDate")
private FglDate dtcontabil;
@Coluna(nome="crrenfof.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="crrenfof.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="crrenfof.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabCrrenfof() {
initialize();
}

public void initialize() {
setFilialrec(null);
setIdNfcapa(null);
setFormapgto(null);
setParcela(null);
setDtcontabil(null);
setDtvencto(null);
setValor(null);
setIdLancto(null);
}

public TabCrrenfof(int filialrec, int idNfcapa, String formapgto, int parcela, FglDate dtcontabil, FglDate dtvencto, double valor, int idLancto) {
this.filialrec = filialrec;
this.idNfcapa = idNfcapa;
this.formapgto = formapgto;
this.parcela = parcela;
this.dtcontabil = dtcontabil;
this.dtvencto = dtvencto;
this.valor = valor;
this.idLancto = idLancto;
}

public int getFilialrec() {
return filialrec;
}

public boolean isFilialrecNull() {
return filialrecNull;
}

public void setFilialrec(Integer filialrec) {
if (filialrec == null) {
filialrecNull = true;
this.filialrec = 0;
} else { 
filialrecNull = false;
this.filialrec = filialrec;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public FglDate getDtcontabil() {
return dtcontabil;
}

public void setDtcontabil(FglDate dtcontabil) {
this.dtcontabil = dtcontabil;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

