package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsageite {
@Coluna(nome="csageite.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="csageite.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csageite.km_revisao", tipo="int")
private int kmRevisao;
private boolean kmRevisaoNull;
@Coluna(nome="csageite.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csageite.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="csageite.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="csageite.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="csageite.sintoma", tipo="String")
private String sintoma;
@Coluna(nome="csageite.descrservico", tipo="String")
private String descrservico;
@Coluna(nome="csageite.temporeserv", tipo="double")
private double temporeserv;
private boolean temporeservNull;
@Coluna(nome="csageite.recall", tipo="String")
private String recall;
@Coluna(nome="csageite.chave_recall", tipo="String")
private String chaveRecall;
@Coluna(nome="csageite.id_oscapa_ori", tipo="int")
private int idOscapaOri;
private boolean idOscapaOriNull;
@Coluna(nome="csageite.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;

public TabCsageite() {
initialize();
}

public void initialize() {
setIdAgetoy(null);
setNroitem(null);
setKmRevisao(null);
setIdAgente(null);
setHrinicio(null);
setHrfim(null);
setTpordem(null);
setSintoma(null);
setDescrservico(null);
setTemporeserv(null);
setRecall(null);
setChaveRecall(null);
setIdOscapaOri(null);
setIdServico(null);
}

public TabCsageite(int idAgetoy, int nroitem, int kmRevisao, int idAgente, FglDateTimeHMin hrinicio, FglDateTimeHMin hrfim, String tpordem, String sintoma, String descrservico, double temporeserv, String recall, String chaveRecall, int idOscapaOri, int idServico) {
this.idAgetoy = idAgetoy;
this.nroitem = nroitem;
this.kmRevisao = kmRevisao;
this.idAgente = idAgente;
this.hrinicio = hrinicio;
this.hrfim = hrfim;
this.tpordem = tpordem;
this.sintoma = sintoma;
this.descrservico = descrservico;
this.temporeserv = temporeserv;
this.recall = recall;
this.chaveRecall = chaveRecall;
this.idOscapaOri = idOscapaOri;
this.idServico = idServico;
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getKmRevisao() {
return kmRevisao;
}

public boolean isKmRevisaoNull() {
return kmRevisaoNull;
}

public void setKmRevisao(Integer kmRevisao) {
if (kmRevisao == null) {
kmRevisaoNull = true;
this.kmRevisao = 0;
} else { 
kmRevisaoNull = false;
this.kmRevisao = kmRevisao;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public String getSintoma() {
return sintoma;
}

public void setSintoma(String sintoma) {
this.sintoma = sintoma;
}

public String getDescrservico() {
return descrservico;
}

public void setDescrservico(String descrservico) {
this.descrservico = descrservico;
}

public double getTemporeserv() {
return temporeserv;
}

public boolean isTemporeservNull() {
return temporeservNull;
}

public void setTemporeserv(int temporeserv) {
setTemporeserv(new Double(temporeserv));
}

public void setTemporeserv(long temporeserv) {
setTemporeserv(new Double(temporeserv));
}

public void setTemporeserv(Double temporeserv) {
if (temporeserv == null) {
temporeservNull = true;
this.temporeserv = 0.;
} else { 
temporeservNull = false;
this.temporeserv = FglDouble.round(temporeserv, 2);
}
}

public String getRecall() {
return recall;
}

public void setRecall(String recall) {
this.recall = recall;
}

public String getChaveRecall() {
return chaveRecall;
}

public void setChaveRecall(String chaveRecall) {
this.chaveRecall = chaveRecall;
}

public int getIdOscapaOri() {
return idOscapaOri;
}

public boolean isIdOscapaOriNull() {
return idOscapaOriNull;
}

public void setIdOscapaOri(Integer idOscapaOri) {
if (idOscapaOri == null) {
idOscapaOriNull = true;
this.idOscapaOri = 0;
} else { 
idOscapaOriNull = false;
this.idOscapaOri = idOscapaOri;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

}

