package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsascapa {
@Coluna(nome="csascapa.id_ascapa", tipo="int")
private int idAscapa;
private boolean idAscapaNull;
@Coluna(nome="csascapa.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csascapa.nroas", tipo="int")
private int nroas;
private boolean nroasNull;
@Coluna(nome="csascapa.id_despforn", tipo="int")
private int idDespforn;
private boolean idDespfornNull;
@Coluna(nome="csascapa.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="csascapa.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="csascapa.chassis", tipo="String")
private String chassis;
@Coluna(nome="csascapa.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="csascapa.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csascapa.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csascapa.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csascapa.oms", tipo="String")
private String oms;
@Coluna(nome="csascapa.dataas", tipo="FglDate")
private FglDate dataas;
@Coluna(nome="csascapa.gerautomat", tipo="String")
private String gerautomat;
@Coluna(nome="csascapa.cancelada", tipo="String")
private String cancelada;
@Coluna(nome="csascapa.descricao", tipo="String")
private String descricao;

public TabCsascapa() {
initialize();
}

public void initialize() {
setIdAscapa(null);
setFilial(null);
setNroas(null);
setIdDespforn(null);
setValor(null);
setAbrevsetor(null);
setChassis(null);
setIdNfcapa(null);
setIdOscapa(null);
setNroitem(null);
setIdServico(null);
setOms(null);
setDataas(null);
setGerautomat(null);
setCancelada(null);
setDescricao(null);
}

public TabCsascapa(int idAscapa, int filial, int nroas, int idDespforn, double valor, String abrevsetor, String chassis, int idNfcapa, int idOscapa, int nroitem, int idServico, String oms, FglDate dataas, String gerautomat, String cancelada, String descricao) {
this.idAscapa = idAscapa;
this.filial = filial;
this.nroas = nroas;
this.idDespforn = idDespforn;
this.valor = valor;
this.abrevsetor = abrevsetor;
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idServico = idServico;
this.oms = oms;
this.dataas = dataas;
this.gerautomat = gerautomat;
this.cancelada = cancelada;
this.descricao = descricao;
}

public int getIdAscapa() {
return idAscapa;
}

public boolean isIdAscapaNull() {
return idAscapaNull;
}

public void setIdAscapa(Integer idAscapa) {
if (idAscapa == null) {
idAscapaNull = true;
this.idAscapa = 0;
} else { 
idAscapaNull = false;
this.idAscapa = idAscapa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroas() {
return nroas;
}

public boolean isNroasNull() {
return nroasNull;
}

public void setNroas(Integer nroas) {
if (nroas == null) {
nroasNull = true;
this.nroas = 0;
} else { 
nroasNull = false;
this.nroas = nroas;
}
}

public int getIdDespforn() {
return idDespforn;
}

public boolean isIdDespfornNull() {
return idDespfornNull;
}

public void setIdDespforn(Integer idDespforn) {
if (idDespforn == null) {
idDespfornNull = true;
this.idDespforn = 0;
} else { 
idDespfornNull = false;
this.idDespforn = idDespforn;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getOms() {
return oms;
}

public void setOms(String oms) {
this.oms = oms;
}

public FglDate getDataas() {
return dataas;
}

public void setDataas(FglDate dataas) {
this.dataas = dataas;
}

public String getGerautomat() {
return gerautomat;
}

public void setGerautomat(String gerautomat) {
this.gerautomat = gerautomat;
}

public String getCancelada() {
return cancelada;
}

public void setCancelada(String cancelada) {
this.cancelada = cancelada;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

