package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsaslanc {
@Coluna(nome="csaslanc.id_aslanc", tipo="int")
private int idAslanc;
private boolean idAslancNull;
@Coluna(nome="csaslanc.id_ascapa", tipo="int")
private int idAscapa;
private boolean idAscapaNull;
@Coluna(nome="csaslanc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="csaslanc.dt_lancto", tipo="FglDate")
private FglDate dtLancto;
@Coluna(nome="csaslanc.cancelado", tipo="String")
private String cancelado;

public TabCsaslanc() {
initialize();
}

public void initialize() {
setIdAslanc(null);
setIdAscapa(null);
setIdNfcapa(null);
setDtLancto(null);
setCancelado(null);
}

public TabCsaslanc(int idAslanc, int idAscapa, int idNfcapa, FglDate dtLancto, String cancelado) {
this.idAslanc = idAslanc;
this.idAscapa = idAscapa;
this.idNfcapa = idNfcapa;
this.dtLancto = dtLancto;
this.cancelado = cancelado;
}

public int getIdAslanc() {
return idAslanc;
}

public boolean isIdAslancNull() {
return idAslancNull;
}

public void setIdAslanc(Integer idAslanc) {
if (idAslanc == null) {
idAslancNull = true;
this.idAslanc = 0;
} else { 
idAslancNull = false;
this.idAslanc = idAslanc;
}
}

public int getIdAscapa() {
return idAscapa;
}

public boolean isIdAscapaNull() {
return idAscapaNull;
}

public void setIdAscapa(Integer idAscapa) {
if (idAscapa == null) {
idAscapaNull = true;
this.idAscapa = 0;
} else { 
idAscapaNull = false;
this.idAscapa = idAscapa;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public FglDate getDtLancto() {
return dtLancto;
}

public void setDtLancto(FglDate dtLancto) {
this.dtLancto = dtLancto;
}

public String getCancelado() {
return cancelado;
}

public void setCancelado(String cancelado) {
this.cancelado = cancelado;
}

}

