package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsbxvola {
@Coluna(nome="csbxvola.id_agmecanico", tipo="int")
private int idAgmecanico;
private boolean idAgmecanicoNull;
@Coluna(nome="csbxvola.id_agrecebeu", tipo="int")
private int idAgrecebeu;
private boolean idAgrecebeuNull;
@Coluna(nome="csbxvola.dtrecebimento", tipo="FglDateTimeYS")
private FglDateTimeYS dtrecebimento;
@Coluna(nome="csbxvola.produto", tipo="String")
private String produto;
@Coluna(nome="csbxvola.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csbxvola.tipobaixa", tipo="String")
private String tipobaixa;
@Coluna(nome="csbxvola.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="csbxvola.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;

public TabCsbxvola() {
initialize();
}

public void initialize() {
setIdAgmecanico(null);
setIdAgrecebeu(null);
setDtrecebimento(null);
setProduto(null);
setQuantidade(null);
setTipobaixa(null);
setOrdemserv(null);
setRomaneio(null);
}

public TabCsbxvola(int idAgmecanico, int idAgrecebeu, FglDateTimeYS dtrecebimento, String produto, double quantidade, String tipobaixa, int ordemserv, int romaneio) {
this.idAgmecanico = idAgmecanico;
this.idAgrecebeu = idAgrecebeu;
this.dtrecebimento = dtrecebimento;
this.produto = produto;
this.quantidade = quantidade;
this.tipobaixa = tipobaixa;
this.ordemserv = ordemserv;
this.romaneio = romaneio;
}

public int getIdAgmecanico() {
return idAgmecanico;
}

public boolean isIdAgmecanicoNull() {
return idAgmecanicoNull;
}

public void setIdAgmecanico(Integer idAgmecanico) {
if (idAgmecanico == null) {
idAgmecanicoNull = true;
this.idAgmecanico = 0;
} else { 
idAgmecanicoNull = false;
this.idAgmecanico = idAgmecanico;
}
}

public int getIdAgrecebeu() {
return idAgrecebeu;
}

public boolean isIdAgrecebeuNull() {
return idAgrecebeuNull;
}

public void setIdAgrecebeu(Integer idAgrecebeu) {
if (idAgrecebeu == null) {
idAgrecebeuNull = true;
this.idAgrecebeu = 0;
} else { 
idAgrecebeuNull = false;
this.idAgrecebeu = idAgrecebeu;
}
}

public FglDateTimeYS getDtrecebimento() {
return dtrecebimento;
}

public void setDtrecebimento(FglDateTimeYS dtrecebimento) {
this.dtrecebimento = dtrecebimento;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public String getTipobaixa() {
return tipobaixa;
}

public void setTipobaixa(String tipobaixa) {
this.tipobaixa = tipobaixa;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

}

