package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsclicsi {
@Coluna(nome="csclicsi.id_clicsi", tipo="int")
private int idClicsi;
private boolean idClicsiNull;
@Coluna(nome="csclicsi.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="csclicsi.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="csclicsi.mesanocont", tipo="FglDateTimeYM")
private FglDateTimeYM mesanocont;
@Coluna(nome="csclicsi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csclicsi.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="csclicsi.dtligacao", tipo="FglDate")
private FglDate dtligacao;
@Coluna(nome="csclicsi.media", tipo="double")
private double media;
private boolean mediaNull;
@Coluna(nome="csclicsi.obsclicsi", tipo="String")
private String obsclicsi;
@Coluna(nome="csclicsi.id_osanter", tipo="int")
private int idOsanter;
private boolean idOsanterNull;

public TabCsclicsi() {
initialize();
}

public void initialize() {
setIdClicsi(null);
setCgccpf(null);
setTppessoa(null);
setMesanocont(null);
setFilial(null);
setOrdemserv(null);
setDtligacao(null);
setMedia(null);
setObsclicsi(null);
setIdOsanter(null);
}

public TabCsclicsi(int idClicsi, long cgccpf, int tppessoa, FglDateTimeYM mesanocont, int filial, int ordemserv, FglDate dtligacao, double media, String obsclicsi, int idOsanter) {
this.idClicsi = idClicsi;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.mesanocont = mesanocont;
this.filial = filial;
this.ordemserv = ordemserv;
this.dtligacao = dtligacao;
this.media = media;
this.obsclicsi = obsclicsi;
this.idOsanter = idOsanter;
}

public int getIdClicsi() {
return idClicsi;
}

public boolean isIdClicsiNull() {
return idClicsiNull;
}

public void setIdClicsi(Integer idClicsi) {
if (idClicsi == null) {
idClicsiNull = true;
this.idClicsi = 0;
} else { 
idClicsiNull = false;
this.idClicsi = idClicsi;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYM getMesanocont() {
return mesanocont;
}

public void setMesanocont(FglDateTimeYM mesanocont) {
this.mesanocont = mesanocont;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public FglDate getDtligacao() {
return dtligacao;
}

public void setDtligacao(FglDate dtligacao) {
this.dtligacao = dtligacao;
}

public double getMedia() {
return media;
}

public boolean isMediaNull() {
return mediaNull;
}

public void setMedia(int media) {
setMedia(new Double(media));
}

public void setMedia(long media) {
setMedia(new Double(media));
}

public void setMedia(Double media) {
if (media == null) {
mediaNull = true;
this.media = 0.;
} else { 
mediaNull = false;
this.media = FglDouble.round(media, 3);
}
}

public String getObsclicsi() {
return obsclicsi;
}

public void setObsclicsi(String obsclicsi) {
this.obsclicsi = obsclicsi;
}

public int getIdOsanter() {
return idOsanter;
}

public boolean isIdOsanterNull() {
return idOsanterNull;
}

public void setIdOsanter(Integer idOsanter) {
if (idOsanter == null) {
idOsanterNull = true;
this.idOsanter = 0;
} else { 
idOsanterNull = false;
this.idOsanter = idOsanter;
}
}

}

