package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsddpgtp {
@Coluna(nome="csddpgtp.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csddpgtp.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csddpgtp.produto", tipo="String")
private String produto;
@Coluna(nome="csddpgtp.nronotacre", tipo="String")
private String nronotacre;
@Coluna(nome="csddpgtp.nrodossier", tipo="String")
private String nrodossier;
@Coluna(nome="csddpgtp.nronotadeb", tipo="String")
private String nronotadeb;
@Coluna(nome="csddpgtp.dtnotadeb", tipo="FglDate")
private FglDate dtnotadeb;
@Coluna(nome="csddpgtp.qtde", tipo="int")
private int qtde;
private boolean qtdeNull;
@Coluna(nome="csddpgtp.codigomensagem", tipo="String")
private String codigomensagem;
@Coluna(nome="csddpgtp.vlrdebito", tipo="double")
private double vlrdebito;
private boolean vlrdebitoNull;
@Coluna(nome="csddpgtp.vlrfrais", tipo="double")
private double vlrfrais;
private boolean vlrfraisNull;
@Coluna(nome="csddpgtp.codtva", tipo="String")
private String codtva;

public TabCsddpgtp() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setNronotacre(null);
setNrodossier(null);
setNronotadeb(null);
setDtnotadeb(null);
setQtde(null);
setCodigomensagem(null);
setVlrdebito(null);
setVlrfrais(null);
setCodtva(null);
}

public TabCsddpgtp(int idOscapa, int nroitem, String produto, String nronotacre, String nrodossier, String nronotadeb, FglDate dtnotadeb, int qtde, String codigomensagem, double vlrdebito, double vlrfrais, String codtva) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.nronotacre = nronotacre;
this.nrodossier = nrodossier;
this.nronotadeb = nronotadeb;
this.dtnotadeb = dtnotadeb;
this.qtde = qtde;
this.codigomensagem = codigomensagem;
this.vlrdebito = vlrdebito;
this.vlrfrais = vlrfrais;
this.codtva = codtva;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getNronotacre() {
return nronotacre;
}

public void setNronotacre(String nronotacre) {
this.nronotacre = nronotacre;
}

public String getNrodossier() {
return nrodossier;
}

public void setNrodossier(String nrodossier) {
this.nrodossier = nrodossier;
}

public String getNronotadeb() {
return nronotadeb;
}

public void setNronotadeb(String nronotadeb) {
this.nronotadeb = nronotadeb;
}

public FglDate getDtnotadeb() {
return dtnotadeb;
}

public void setDtnotadeb(FglDate dtnotadeb) {
this.dtnotadeb = dtnotadeb;
}

public int getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(Integer qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0;
} else { 
qtdeNull = false;
this.qtde = qtde;
}
}

public String getCodigomensagem() {
return codigomensagem;
}

public void setCodigomensagem(String codigomensagem) {
this.codigomensagem = codigomensagem;
}

public double getVlrdebito() {
return vlrdebito;
}

public boolean isVlrdebitoNull() {
return vlrdebitoNull;
}

public void setVlrdebito(int vlrdebito) {
setVlrdebito(new Double(vlrdebito));
}

public void setVlrdebito(long vlrdebito) {
setVlrdebito(new Double(vlrdebito));
}

public void setVlrdebito(Double vlrdebito) {
if (vlrdebito == null) {
vlrdebitoNull = true;
this.vlrdebito = 0.;
} else { 
vlrdebitoNull = false;
this.vlrdebito = FglDouble.round(vlrdebito, 2);
}
}

public double getVlrfrais() {
return vlrfrais;
}

public boolean isVlrfraisNull() {
return vlrfraisNull;
}

public void setVlrfrais(int vlrfrais) {
setVlrfrais(new Double(vlrfrais));
}

public void setVlrfrais(long vlrfrais) {
setVlrfrais(new Double(vlrfrais));
}

public void setVlrfrais(Double vlrfrais) {
if (vlrfrais == null) {
vlrfraisNull = true;
this.vlrfrais = 0.;
} else { 
vlrfraisNull = false;
this.vlrfrais = FglDouble.round(vlrfrais, 2);
}
}

public String getCodtva() {
return codtva;
}

public void setCodtva(String codtva) {
this.codtva = codtva;
}

}

