package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsesthor {
@Coluna(nome="csesthor.celula", tipo="int")
private int celula;
private boolean celulaNull;
@Coluna(nome="csesthor.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="csesthor.horastotal", tipo="double")
private double horastotal;
private boolean horastotalNull;
@Coluna(nome="csesthor.horasagend", tipo="double")
private double horasagend;
private boolean horasagendNull;
@Coluna(nome="csesthor.compartilhada", tipo="String")
private String compartilhada;

public TabCsesthor() {
initialize();
}

public void initialize() {
setCelula(null);
setData(null);
setHorastotal(null);
setHorasagend(null);
setCompartilhada(null);
}

public TabCsesthor(int celula, FglDate data, double horastotal, double horasagend, String compartilhada) {
this.celula = celula;
this.data = data;
this.horastotal = horastotal;
this.horasagend = horasagend;
this.compartilhada = compartilhada;
}

public int getCelula() {
return celula;
}

public boolean isCelulaNull() {
return celulaNull;
}

public void setCelula(Integer celula) {
if (celula == null) {
celulaNull = true;
this.celula = 0;
} else { 
celulaNull = false;
this.celula = celula;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public double getHorastotal() {
return horastotal;
}

public boolean isHorastotalNull() {
return horastotalNull;
}

public void setHorastotal(int horastotal) {
setHorastotal(new Double(horastotal));
}

public void setHorastotal(long horastotal) {
setHorastotal(new Double(horastotal));
}

public void setHorastotal(Double horastotal) {
if (horastotal == null) {
horastotalNull = true;
this.horastotal = 0.;
} else { 
horastotalNull = false;
this.horastotal = FglDouble.round(horastotal, 2);
}
}

public double getHorasagend() {
return horasagend;
}

public boolean isHorasagendNull() {
return horasagendNull;
}

public void setHorasagend(int horasagend) {
setHorasagend(new Double(horasagend));
}

public void setHorasagend(long horasagend) {
setHorasagend(new Double(horasagend));
}

public void setHorasagend(Double horasagend) {
if (horasagend == null) {
horasagendNull = true;
this.horasagend = 0.;
} else { 
horasagendNull = false;
this.horasagend = FglDouble.round(horasagend, 2);
}
}

public String getCompartilhada() {
return compartilhada;
}

public void setCompartilhada(String compartilhada) {
this.compartilhada = compartilhada;
}

}

