package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsextras {
@Coluna(nome="csextras.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="csextras.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="csextras.qtdehoras", tipo="double")
private double qtdehoras;
private boolean qtdehorasNull;

public TabCsextras() {
initialize();
}

public void initialize() {
setIdAgente(null);
setData(null);
setQtdehoras(null);
}

public TabCsextras(int idAgente, FglDate data, double qtdehoras) {
this.idAgente = idAgente;
this.data = data;
this.qtdehoras = qtdehoras;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public double getQtdehoras() {
return qtdehoras;
}

public boolean isQtdehorasNull() {
return qtdehorasNull;
}

public void setQtdehoras(int qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(long qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(Double qtdehoras) {
if (qtdehoras == null) {
qtdehorasNull = true;
this.qtdehoras = 0.;
} else { 
qtdehorasNull = false;
this.qtdehoras = FglDouble.round(qtdehoras, 2);
}
}

}

