package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsfamoac {
@Coluna(nome="csfamoac.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="csfamoac.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="csfamoac.famomdo", tipo="String")
private String famomdo;
@Coluna(nome="csfamoac.tipo", tipo="String")
private String tipo;
@Coluna(nome="csfamoac.qtdehr", tipo="double")
private double qtdehr;
private boolean qtdehrNull;

public TabCsfamoac() {
initialize();
}

public void initialize() {
setIdDeptos(null);
setAnomes(null);
setFamomdo(null);
setTipo(null);
setQtdehr(null);
}

public TabCsfamoac(int idDeptos, FglDateTimeYM anomes, String famomdo, String tipo, double qtdehr) {
this.idDeptos = idDeptos;
this.anomes = anomes;
this.famomdo = famomdo;
this.tipo = tipo;
this.qtdehr = qtdehr;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getFamomdo() {
return famomdo;
}

public void setFamomdo(String famomdo) {
this.famomdo = famomdo;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public double getQtdehr() {
return qtdehr;
}

public boolean isQtdehrNull() {
return qtdehrNull;
}

public void setQtdehr(int qtdehr) {
setQtdehr(new Double(qtdehr));
}

public void setQtdehr(long qtdehr) {
setQtdehr(new Double(qtdehr));
}

public void setQtdehr(Double qtdehr) {
if (qtdehr == null) {
qtdehrNull = true;
this.qtdehr = 0.;
} else { 
qtdehrNull = false;
this.qtdehr = FglDouble.round(qtdehr, 2);
}
}

}

