package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdag {
@Coluna(nome="csgajdag.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdag.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdag.seq_agrup", tipo="int")
private int seqAgrup;
private boolean seqAgrupNull;
@Coluna(nome="csgajdag.cod_tipo_serv", tipo="String")
private String codTipoServ;
@Coluna(nome="csgajdag.cod_loc_real_serv", tipo="String")
private String codLocRealServ;
@Coluna(nome="csgajdag.cod_mecanico_jd", tipo="String")
private String codMecanicoJd;
@Coluna(nome="csgajdag.tempovendido_env", tipo="double")
private double tempovendidoEnv;
private boolean tempovendidoEnvNull;
@Coluna(nome="csgajdag.tempovendido_jd", tipo="double")
private double tempovendidoJd;
private boolean tempovendidoJdNull;
@Coluna(nome="csgajdag.vlr_pago_jd", tipo="double")
private double vlrPagoJd;
private boolean vlrPagoJdNull;
@Coluna(nome="csgajdag.vlr_hora_jdn", tipo="double")
private double vlrHoraJdn;
private boolean vlrHoraJdnNull;
@Coluna(nome="csgajdag.comentario", tipo="String")
private String comentario;
@Coluna(nome="csgajdag.cod_trabalho", tipo="String")
private String codTrabalho;

public TabCsgajdag() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setSeqAgrup(null);
setCodTipoServ(null);
setCodLocRealServ(null);
setCodMecanicoJd(null);
setTempovendidoEnv(null);
setTempovendidoJd(null);
setVlrPagoJd(null);
setVlrHoraJdn(null);
setComentario(null);
setCodTrabalho(null);
}

public TabCsgajdag(int filial, int nrosg, int seqAgrup, String codTipoServ, String codLocRealServ, String codMecanicoJd, double tempovendidoEnv, double tempovendidoJd, double vlrPagoJd, double vlrHoraJdn, String comentario, String codTrabalho) {
this.filial = filial;
this.nrosg = nrosg;
this.seqAgrup = seqAgrup;
this.codTipoServ = codTipoServ;
this.codLocRealServ = codLocRealServ;
this.codMecanicoJd = codMecanicoJd;
this.tempovendidoEnv = tempovendidoEnv;
this.tempovendidoJd = tempovendidoJd;
this.vlrPagoJd = vlrPagoJd;
this.vlrHoraJdn = vlrHoraJdn;
this.comentario = comentario;
this.codTrabalho = codTrabalho;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public int getSeqAgrup() {
return seqAgrup;
}

public boolean isSeqAgrupNull() {
return seqAgrupNull;
}

public void setSeqAgrup(Integer seqAgrup) {
if (seqAgrup == null) {
seqAgrupNull = true;
this.seqAgrup = 0;
} else { 
seqAgrupNull = false;
this.seqAgrup = seqAgrup;
}
}

public String getCodTipoServ() {
return codTipoServ;
}

public void setCodTipoServ(String codTipoServ) {
this.codTipoServ = codTipoServ;
}

public String getCodLocRealServ() {
return codLocRealServ;
}

public void setCodLocRealServ(String codLocRealServ) {
this.codLocRealServ = codLocRealServ;
}

public String getCodMecanicoJd() {
return codMecanicoJd;
}

public void setCodMecanicoJd(String codMecanicoJd) {
this.codMecanicoJd = codMecanicoJd;
}

public double getTempovendidoEnv() {
return tempovendidoEnv;
}

public boolean isTempovendidoEnvNull() {
return tempovendidoEnvNull;
}

public void setTempovendidoEnv(int tempovendidoEnv) {
setTempovendidoEnv(new Double(tempovendidoEnv));
}

public void setTempovendidoEnv(long tempovendidoEnv) {
setTempovendidoEnv(new Double(tempovendidoEnv));
}

public void setTempovendidoEnv(Double tempovendidoEnv) {
if (tempovendidoEnv == null) {
tempovendidoEnvNull = true;
this.tempovendidoEnv = 0.;
} else { 
tempovendidoEnvNull = false;
this.tempovendidoEnv = FglDouble.round(tempovendidoEnv, 2);
}
}

public double getTempovendidoJd() {
return tempovendidoJd;
}

public boolean isTempovendidoJdNull() {
return tempovendidoJdNull;
}

public void setTempovendidoJd(int tempovendidoJd) {
setTempovendidoJd(new Double(tempovendidoJd));
}

public void setTempovendidoJd(long tempovendidoJd) {
setTempovendidoJd(new Double(tempovendidoJd));
}

public void setTempovendidoJd(Double tempovendidoJd) {
if (tempovendidoJd == null) {
tempovendidoJdNull = true;
this.tempovendidoJd = 0.;
} else { 
tempovendidoJdNull = false;
this.tempovendidoJd = FglDouble.round(tempovendidoJd, 2);
}
}

public double getVlrPagoJd() {
return vlrPagoJd;
}

public boolean isVlrPagoJdNull() {
return vlrPagoJdNull;
}

public void setVlrPagoJd(int vlrPagoJd) {
setVlrPagoJd(new Double(vlrPagoJd));
}

public void setVlrPagoJd(long vlrPagoJd) {
setVlrPagoJd(new Double(vlrPagoJd));
}

public void setVlrPagoJd(Double vlrPagoJd) {
if (vlrPagoJd == null) {
vlrPagoJdNull = true;
this.vlrPagoJd = 0.;
} else { 
vlrPagoJdNull = false;
this.vlrPagoJd = FglDouble.round(vlrPagoJd, 2);
}
}

public double getVlrHoraJdn() {
return vlrHoraJdn;
}

public boolean isVlrHoraJdnNull() {
return vlrHoraJdnNull;
}

public void setVlrHoraJdn(int vlrHoraJdn) {
setVlrHoraJdn(new Double(vlrHoraJdn));
}

public void setVlrHoraJdn(long vlrHoraJdn) {
setVlrHoraJdn(new Double(vlrHoraJdn));
}

public void setVlrHoraJdn(Double vlrHoraJdn) {
if (vlrHoraJdn == null) {
vlrHoraJdnNull = true;
this.vlrHoraJdn = 0.;
} else { 
vlrHoraJdnNull = false;
this.vlrHoraJdn = FglDouble.round(vlrHoraJdn, 2);
}
}

public String getComentario() {
return comentario;
}

public void setComentario(String comentario) {
this.comentario = comentario;
}

public String getCodTrabalho() {
return codTrabalho;
}

public void setCodTrabalho(String codTrabalho) {
this.codTrabalho = codTrabalho;
}

}

