package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdcm {
@Coluna(nome="csgajdcm.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdcm.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdcm.creditmemo_nro", tipo="String")
private String creditmemoNro;
@Coluna(nome="csgajdcm.vlr_adicional_peca", tipo="double")
private double vlrAdicionalPeca;
private boolean vlrAdicionalPecaNull;
@Coluna(nome="csgajdcm.vlr_adicional_servico", tipo="double")
private double vlrAdicionalServico;
private boolean vlrAdicionalServicoNull;
@Coluna(nome="csgajdcm.vlr_deslocamento", tipo="double")
private double vlrDeslocamento;
private boolean vlrDeslocamentoNull;
@Coluna(nome="csgajdcm.vlr_outros_creditos", tipo="double")
private double vlrOutrosCreditos;
private boolean vlrOutrosCreditosNull;
@Coluna(nome="csgajdcm.vlr_pago_cliente", tipo="double")
private double vlrPagoCliente;
private boolean vlrPagoClienteNull;
@Coluna(nome="csgajdcm.vlr_pago_concessionaria", tipo="double")
private double vlrPagoConcessionaria;
private boolean vlrPagoConcessionariaNull;
@Coluna(nome="csgajdcm.vlr_pago_fabrica", tipo="double")
private double vlrPagoFabrica;
private boolean vlrPagoFabricaNull;
@Coluna(nome="csgajdcm.comentario_falha", tipo="String")
private String comentarioFalha;

public TabCsgajdcm() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setCreditmemoNro(null);
setVlrAdicionalPeca(null);
setVlrAdicionalServico(null);
setVlrDeslocamento(null);
setVlrOutrosCreditos(null);
setVlrPagoCliente(null);
setVlrPagoConcessionaria(null);
setVlrPagoFabrica(null);
setComentarioFalha(null);
}

public TabCsgajdcm(int filial, int nrosg, String creditmemoNro, double vlrAdicionalPeca, double vlrAdicionalServico, double vlrDeslocamento, double vlrOutrosCreditos, double vlrPagoCliente, double vlrPagoConcessionaria, double vlrPagoFabrica, String comentarioFalha) {
this.filial = filial;
this.nrosg = nrosg;
this.creditmemoNro = creditmemoNro;
this.vlrAdicionalPeca = vlrAdicionalPeca;
this.vlrAdicionalServico = vlrAdicionalServico;
this.vlrDeslocamento = vlrDeslocamento;
this.vlrOutrosCreditos = vlrOutrosCreditos;
this.vlrPagoCliente = vlrPagoCliente;
this.vlrPagoConcessionaria = vlrPagoConcessionaria;
this.vlrPagoFabrica = vlrPagoFabrica;
this.comentarioFalha = comentarioFalha;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public String getCreditmemoNro() {
return creditmemoNro;
}

public void setCreditmemoNro(String creditmemoNro) {
this.creditmemoNro = creditmemoNro;
}

public double getVlrAdicionalPeca() {
return vlrAdicionalPeca;
}

public boolean isVlrAdicionalPecaNull() {
return vlrAdicionalPecaNull;
}

public void setVlrAdicionalPeca(int vlrAdicionalPeca) {
setVlrAdicionalPeca(new Double(vlrAdicionalPeca));
}

public void setVlrAdicionalPeca(long vlrAdicionalPeca) {
setVlrAdicionalPeca(new Double(vlrAdicionalPeca));
}

public void setVlrAdicionalPeca(Double vlrAdicionalPeca) {
if (vlrAdicionalPeca == null) {
vlrAdicionalPecaNull = true;
this.vlrAdicionalPeca = 0.;
} else { 
vlrAdicionalPecaNull = false;
this.vlrAdicionalPeca = FglDouble.round(vlrAdicionalPeca, 2);
}
}

public double getVlrAdicionalServico() {
return vlrAdicionalServico;
}

public boolean isVlrAdicionalServicoNull() {
return vlrAdicionalServicoNull;
}

public void setVlrAdicionalServico(int vlrAdicionalServico) {
setVlrAdicionalServico(new Double(vlrAdicionalServico));
}

public void setVlrAdicionalServico(long vlrAdicionalServico) {
setVlrAdicionalServico(new Double(vlrAdicionalServico));
}

public void setVlrAdicionalServico(Double vlrAdicionalServico) {
if (vlrAdicionalServico == null) {
vlrAdicionalServicoNull = true;
this.vlrAdicionalServico = 0.;
} else { 
vlrAdicionalServicoNull = false;
this.vlrAdicionalServico = FglDouble.round(vlrAdicionalServico, 2);
}
}

public double getVlrDeslocamento() {
return vlrDeslocamento;
}

public boolean isVlrDeslocamentoNull() {
return vlrDeslocamentoNull;
}

public void setVlrDeslocamento(int vlrDeslocamento) {
setVlrDeslocamento(new Double(vlrDeslocamento));
}

public void setVlrDeslocamento(long vlrDeslocamento) {
setVlrDeslocamento(new Double(vlrDeslocamento));
}

public void setVlrDeslocamento(Double vlrDeslocamento) {
if (vlrDeslocamento == null) {
vlrDeslocamentoNull = true;
this.vlrDeslocamento = 0.;
} else { 
vlrDeslocamentoNull = false;
this.vlrDeslocamento = FglDouble.round(vlrDeslocamento, 2);
}
}

public double getVlrOutrosCreditos() {
return vlrOutrosCreditos;
}

public boolean isVlrOutrosCreditosNull() {
return vlrOutrosCreditosNull;
}

public void setVlrOutrosCreditos(int vlrOutrosCreditos) {
setVlrOutrosCreditos(new Double(vlrOutrosCreditos));
}

public void setVlrOutrosCreditos(long vlrOutrosCreditos) {
setVlrOutrosCreditos(new Double(vlrOutrosCreditos));
}

public void setVlrOutrosCreditos(Double vlrOutrosCreditos) {
if (vlrOutrosCreditos == null) {
vlrOutrosCreditosNull = true;
this.vlrOutrosCreditos = 0.;
} else { 
vlrOutrosCreditosNull = false;
this.vlrOutrosCreditos = FglDouble.round(vlrOutrosCreditos, 2);
}
}

public double getVlrPagoCliente() {
return vlrPagoCliente;
}

public boolean isVlrPagoClienteNull() {
return vlrPagoClienteNull;
}

public void setVlrPagoCliente(int vlrPagoCliente) {
setVlrPagoCliente(new Double(vlrPagoCliente));
}

public void setVlrPagoCliente(long vlrPagoCliente) {
setVlrPagoCliente(new Double(vlrPagoCliente));
}

public void setVlrPagoCliente(Double vlrPagoCliente) {
if (vlrPagoCliente == null) {
vlrPagoClienteNull = true;
this.vlrPagoCliente = 0.;
} else { 
vlrPagoClienteNull = false;
this.vlrPagoCliente = FglDouble.round(vlrPagoCliente, 2);
}
}

public double getVlrPagoConcessionaria() {
return vlrPagoConcessionaria;
}

public boolean isVlrPagoConcessionariaNull() {
return vlrPagoConcessionariaNull;
}

public void setVlrPagoConcessionaria(int vlrPagoConcessionaria) {
setVlrPagoConcessionaria(new Double(vlrPagoConcessionaria));
}

public void setVlrPagoConcessionaria(long vlrPagoConcessionaria) {
setVlrPagoConcessionaria(new Double(vlrPagoConcessionaria));
}

public void setVlrPagoConcessionaria(Double vlrPagoConcessionaria) {
if (vlrPagoConcessionaria == null) {
vlrPagoConcessionariaNull = true;
this.vlrPagoConcessionaria = 0.;
} else { 
vlrPagoConcessionariaNull = false;
this.vlrPagoConcessionaria = FglDouble.round(vlrPagoConcessionaria, 2);
}
}

public double getVlrPagoFabrica() {
return vlrPagoFabrica;
}

public boolean isVlrPagoFabricaNull() {
return vlrPagoFabricaNull;
}

public void setVlrPagoFabrica(int vlrPagoFabrica) {
setVlrPagoFabrica(new Double(vlrPagoFabrica));
}

public void setVlrPagoFabrica(long vlrPagoFabrica) {
setVlrPagoFabrica(new Double(vlrPagoFabrica));
}

public void setVlrPagoFabrica(Double vlrPagoFabrica) {
if (vlrPagoFabrica == null) {
vlrPagoFabricaNull = true;
this.vlrPagoFabrica = 0.;
} else { 
vlrPagoFabricaNull = false;
this.vlrPagoFabrica = FglDouble.round(vlrPagoFabrica, 2);
}
}

public String getComentarioFalha() {
return comentarioFalha;
}

public void setComentarioFalha(String comentarioFalha) {
this.comentarioFalha = comentarioFalha;
}

}

