package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgajdpc {
@Coluna(nome="csgajdpc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgajdpc.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgajdpc.produto", tipo="String")
private String produto;
@Coluna(nome="csgajdpc.qtde_enviada", tipo="double")
private double qtdeEnviada;
private boolean qtdeEnviadaNull;
@Coluna(nome="csgajdpc.qtde_paga", tipo="double")
private double qtdePaga;
private boolean qtdePagaNull;
@Coluna(nome="csgajdpc.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="csgajdpc.serie_produto", tipo="String")
private String serieProduto;
@Coluna(nome="csgajdpc.cod_tip_troca", tipo="int")
private int codTipTroca;
private boolean codTipTrocaNull;
@Coluna(nome="csgajdpc.tipo_peca", tipo="String")
private String tipoPeca;
@Coluna(nome="csgajdpc.vlr_total_pg_jd", tipo="double")
private double vlrTotalPgJd;
private boolean vlrTotalPgJdNull;
@Coluna(nome="csgajdpc.gera_nf_remessa", tipo="String")
private String geraNfRemessa;
@Coluna(nome="csgajdpc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="csgajdpc.comentario_peca", tipo="String")
private String comentarioPeca;
@Coluna(nome="csgajdpc.cod_outros_cred", tipo="String")
private String codOutrosCred;
@Coluna(nome="csgajdpc.vlr_outros_cred", tipo="double")
private double vlrOutrosCred;
private boolean vlrOutrosCredNull;
@Coluna(nome="csgajdpc.unidade_jd", tipo="String")
private String unidadeJd;
@Coluna(nome="csgajdpc.vlr_peca_gar", tipo="double")
private double vlrPecaGar;
private boolean vlrPecaGarNull;
@Coluna(nome="csgajdpc.vlr_peca_cli", tipo="double")
private double vlrPecaCli;
private boolean vlrPecaCliNull;
@Coluna(nome="csgajdpc.vlr_peca_con", tipo="double")
private double vlrPecaCon;
private boolean vlrPecaConNull;

public TabCsgajdpc() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setProduto(null);
setQtdeEnviada(null);
setQtdePaga(null);
setUnitario(null);
setSerieProduto(null);
setCodTipTroca(null);
setTipoPeca(null);
setVlrTotalPgJd(null);
setGeraNfRemessa(null);
setIdNfcapa(null);
setComentarioPeca(null);
setCodOutrosCred(null);
setVlrOutrosCred(null);
setUnidadeJd(null);
setVlrPecaGar(null);
setVlrPecaCli(null);
setVlrPecaCon(null);
}

public TabCsgajdpc(int filial, int nrosg, String produto, double qtdeEnviada, double qtdePaga, double unitario, String serieProduto, int codTipTroca, String tipoPeca, double vlrTotalPgJd, String geraNfRemessa, int idNfcapa, String comentarioPeca, String codOutrosCred, double vlrOutrosCred, String unidadeJd, double vlrPecaGar, double vlrPecaCli, double vlrPecaCon) {
this.filial = filial;
this.nrosg = nrosg;
this.produto = produto;
this.qtdeEnviada = qtdeEnviada;
this.qtdePaga = qtdePaga;
this.unitario = unitario;
this.serieProduto = serieProduto;
this.codTipTroca = codTipTroca;
this.tipoPeca = tipoPeca;
this.vlrTotalPgJd = vlrTotalPgJd;
this.geraNfRemessa = geraNfRemessa;
this.idNfcapa = idNfcapa;
this.comentarioPeca = comentarioPeca;
this.codOutrosCred = codOutrosCred;
this.vlrOutrosCred = vlrOutrosCred;
this.unidadeJd = unidadeJd;
this.vlrPecaGar = vlrPecaGar;
this.vlrPecaCli = vlrPecaCli;
this.vlrPecaCon = vlrPecaCon;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeEnviada() {
return qtdeEnviada;
}

public boolean isQtdeEnviadaNull() {
return qtdeEnviadaNull;
}

public void setQtdeEnviada(int qtdeEnviada) {
setQtdeEnviada(new Double(qtdeEnviada));
}

public void setQtdeEnviada(long qtdeEnviada) {
setQtdeEnviada(new Double(qtdeEnviada));
}

public void setQtdeEnviada(Double qtdeEnviada) {
if (qtdeEnviada == null) {
qtdeEnviadaNull = true;
this.qtdeEnviada = 0.;
} else { 
qtdeEnviadaNull = false;
this.qtdeEnviada = FglDouble.round(qtdeEnviada, 2);
}
}

public double getQtdePaga() {
return qtdePaga;
}

public boolean isQtdePagaNull() {
return qtdePagaNull;
}

public void setQtdePaga(int qtdePaga) {
setQtdePaga(new Double(qtdePaga));
}

public void setQtdePaga(long qtdePaga) {
setQtdePaga(new Double(qtdePaga));
}

public void setQtdePaga(Double qtdePaga) {
if (qtdePaga == null) {
qtdePagaNull = true;
this.qtdePaga = 0.;
} else { 
qtdePagaNull = false;
this.qtdePaga = FglDouble.round(qtdePaga, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public String getSerieProduto() {
return serieProduto;
}

public void setSerieProduto(String serieProduto) {
this.serieProduto = serieProduto;
}

public int getCodTipTroca() {
return codTipTroca;
}

public boolean isCodTipTrocaNull() {
return codTipTrocaNull;
}

public void setCodTipTroca(Integer codTipTroca) {
if (codTipTroca == null) {
codTipTrocaNull = true;
this.codTipTroca = 0;
} else { 
codTipTrocaNull = false;
this.codTipTroca = codTipTroca;
}
}

public String getTipoPeca() {
return tipoPeca;
}

public void setTipoPeca(String tipoPeca) {
this.tipoPeca = tipoPeca;
}

public double getVlrTotalPgJd() {
return vlrTotalPgJd;
}

public boolean isVlrTotalPgJdNull() {
return vlrTotalPgJdNull;
}

public void setVlrTotalPgJd(int vlrTotalPgJd) {
setVlrTotalPgJd(new Double(vlrTotalPgJd));
}

public void setVlrTotalPgJd(long vlrTotalPgJd) {
setVlrTotalPgJd(new Double(vlrTotalPgJd));
}

public void setVlrTotalPgJd(Double vlrTotalPgJd) {
if (vlrTotalPgJd == null) {
vlrTotalPgJdNull = true;
this.vlrTotalPgJd = 0.;
} else { 
vlrTotalPgJdNull = false;
this.vlrTotalPgJd = FglDouble.round(vlrTotalPgJd, 2);
}
}

public String getGeraNfRemessa() {
return geraNfRemessa;
}

public void setGeraNfRemessa(String geraNfRemessa) {
this.geraNfRemessa = geraNfRemessa;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getComentarioPeca() {
return comentarioPeca;
}

public void setComentarioPeca(String comentarioPeca) {
this.comentarioPeca = comentarioPeca;
}

public String getCodOutrosCred() {
return codOutrosCred;
}

public void setCodOutrosCred(String codOutrosCred) {
this.codOutrosCred = codOutrosCred;
}

public double getVlrOutrosCred() {
return vlrOutrosCred;
}

public boolean isVlrOutrosCredNull() {
return vlrOutrosCredNull;
}

public void setVlrOutrosCred(int vlrOutrosCred) {
setVlrOutrosCred(new Double(vlrOutrosCred));
}

public void setVlrOutrosCred(long vlrOutrosCred) {
setVlrOutrosCred(new Double(vlrOutrosCred));
}

public void setVlrOutrosCred(Double vlrOutrosCred) {
if (vlrOutrosCred == null) {
vlrOutrosCredNull = true;
this.vlrOutrosCred = 0.;
} else { 
vlrOutrosCredNull = false;
this.vlrOutrosCred = FglDouble.round(vlrOutrosCred, 2);
}
}

public String getUnidadeJd() {
return unidadeJd;
}

public void setUnidadeJd(String unidadeJd) {
this.unidadeJd = unidadeJd;
}

public double getVlrPecaGar() {
return vlrPecaGar;
}

public boolean isVlrPecaGarNull() {
return vlrPecaGarNull;
}

public void setVlrPecaGar(int vlrPecaGar) {
setVlrPecaGar(new Double(vlrPecaGar));
}

public void setVlrPecaGar(long vlrPecaGar) {
setVlrPecaGar(new Double(vlrPecaGar));
}

public void setVlrPecaGar(Double vlrPecaGar) {
if (vlrPecaGar == null) {
vlrPecaGarNull = true;
this.vlrPecaGar = 0.;
} else { 
vlrPecaGarNull = false;
this.vlrPecaGar = FglDouble.round(vlrPecaGar, 2);
}
}

public double getVlrPecaCli() {
return vlrPecaCli;
}

public boolean isVlrPecaCliNull() {
return vlrPecaCliNull;
}

public void setVlrPecaCli(int vlrPecaCli) {
setVlrPecaCli(new Double(vlrPecaCli));
}

public void setVlrPecaCli(long vlrPecaCli) {
setVlrPecaCli(new Double(vlrPecaCli));
}

public void setVlrPecaCli(Double vlrPecaCli) {
if (vlrPecaCli == null) {
vlrPecaCliNull = true;
this.vlrPecaCli = 0.;
} else { 
vlrPecaCliNull = false;
this.vlrPecaCli = FglDouble.round(vlrPecaCli, 2);
}
}

public double getVlrPecaCon() {
return vlrPecaCon;
}

public boolean isVlrPecaConNull() {
return vlrPecaConNull;
}

public void setVlrPecaCon(int vlrPecaCon) {
setVlrPecaCon(new Double(vlrPecaCon));
}

public void setVlrPecaCon(long vlrPecaCon) {
setVlrPecaCon(new Double(vlrPecaCon));
}

public void setVlrPecaCon(Double vlrPecaCon) {
if (vlrPecaCon == null) {
vlrPecaConNull = true;
this.vlrPecaCon = 0.;
} else { 
vlrPecaConNull = false;
this.vlrPecaCon = FglDouble.round(vlrPecaCon, 2);
}
}

}

