package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgarant {
@Coluna(nome="csgarant.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarant.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csgarant.produto", tipo="String")
private String produto;
@Coluna(nome="csgarant.coddefeito", tipo="int")
private int coddefeito;
private boolean coddefeitoNull;
@Coluna(nome="csgarant.vlrantecipa", tipo="double")
private double vlrantecipa;
private boolean vlrantecipaNull;
@Coluna(nome="csgarant.dtantecipa", tipo="FglDate")
private FglDate dtantecipa;
@Coluna(nome="csgarant.vlrestorno", tipo="double")
private double vlrestorno;
private boolean vlrestornoNull;
@Coluna(nome="csgarant.dtestorno", tipo="FglDate")
private FglDate dtestorno;

public TabCsgarant() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setIdServico(null);
setProduto(null);
setCoddefeito(null);
setVlrantecipa(null);
setDtantecipa(null);
setVlrestorno(null);
setDtestorno(null);
}

public TabCsgarant(int idOscapa, int idServico, String produto, int coddefeito, double vlrantecipa, FglDate dtantecipa, double vlrestorno, FglDate dtestorno) {
this.idOscapa = idOscapa;
this.idServico = idServico;
this.produto = produto;
this.coddefeito = coddefeito;
this.vlrantecipa = vlrantecipa;
this.dtantecipa = dtantecipa;
this.vlrestorno = vlrestorno;
this.dtestorno = dtestorno;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getCoddefeito() {
return coddefeito;
}

public boolean isCoddefeitoNull() {
return coddefeitoNull;
}

public void setCoddefeito(Integer coddefeito) {
if (coddefeito == null) {
coddefeitoNull = true;
this.coddefeito = 0;
} else { 
coddefeitoNull = false;
this.coddefeito = coddefeito;
}
}

public double getVlrantecipa() {
return vlrantecipa;
}

public boolean isVlrantecipaNull() {
return vlrantecipaNull;
}

public void setVlrantecipa(int vlrantecipa) {
setVlrantecipa(new Double(vlrantecipa));
}

public void setVlrantecipa(long vlrantecipa) {
setVlrantecipa(new Double(vlrantecipa));
}

public void setVlrantecipa(Double vlrantecipa) {
if (vlrantecipa == null) {
vlrantecipaNull = true;
this.vlrantecipa = 0.;
} else { 
vlrantecipaNull = false;
this.vlrantecipa = FglDouble.round(vlrantecipa, 2);
}
}

public FglDate getDtantecipa() {
return dtantecipa;
}

public void setDtantecipa(FglDate dtantecipa) {
this.dtantecipa = dtantecipa;
}

public double getVlrestorno() {
return vlrestorno;
}

public boolean isVlrestornoNull() {
return vlrestornoNull;
}

public void setVlrestorno(int vlrestorno) {
setVlrestorno(new Double(vlrestorno));
}

public void setVlrestorno(long vlrestorno) {
setVlrestorno(new Double(vlrestorno));
}

public void setVlrestorno(Double vlrestorno) {
if (vlrestorno == null) {
vlrestornoNull = true;
this.vlrestorno = 0.;
} else { 
vlrestornoNull = false;
this.vlrestorno = FglDouble.round(vlrestorno, 2);
}
}

public FglDate getDtestorno() {
return dtestorno;
}

public void setDtestorno(FglDate dtestorno) {
this.dtestorno = dtestorno;
}

}

