package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsgarite {
@Coluna(nome="csgarite.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarite.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csgarite.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="csgarite.codgrad", tipo="String")
private String codgrad;
@Coluna(nome="csgarite.codcomentario", tipo="String")
private String codcomentario;
@Coluna(nome="csgarite.codintervencao", tipo="String")
private String codintervencao;
@Coluna(nome="csgarite.itenimobiliza", tipo="String")
private String itenimobiliza;
@Coluna(nome="csgarite.produto", tipo="String")
private String produto;
@Coluna(nome="csgarite.codfornecedor", tipo="String")
private String codfornecedor;
@Coluna(nome="csgarite.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csgarite.nronotareparacao", tipo="int")
private int nronotareparacao;
private boolean nronotareparacaoNull;
@Coluna(nome="csgarite.dtnotareparacao", tipo="FglDate")
private FglDate dtnotareparacao;
@Coluna(nome="csgarite.kmreparacao", tipo="int")
private int kmreparacao;
private boolean kmreparacaoNull;
@Coluna(nome="csgarite.produto_naosubstituido", tipo="String")
private String produtoNaosubstituido;
@Coluna(nome="csgarite.id_servico_naofaturado", tipo="int")
private int idServicoNaofaturado;
private boolean idServicoNaofaturadoNull;
@Coluna(nome="csgarite.codfuncao", tipo="String")
private String codfuncao;
@Coluna(nome="csgarite.codreclamacao", tipo="String")
private String codreclamacao;
@Coluna(nome="csgarite.idt_solicitacao_cli", tipo="String")
private String idtSolicitacaoCli;
@Coluna(nome="csgarite.nro_acordo", tipo="String")
private String nroAcordo;
@Coluna(nome="csgarite.diagnostico", tipo="String")
private String diagnostico;
@Coluna(nome="csgarite.numeroots", tipo="String")
private String numeroots;
@Coluna(nome="csgarite.codsintoma", tipo="String")
private String codsintoma;
@Coluna(nome="csgarite.bin", tipo="String")
private String bin;

public TabCsgarite() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setIdOrccap(null);
setCodgrad(null);
setCodcomentario(null);
setCodintervencao(null);
setItenimobiliza(null);
setProduto(null);
setCodfornecedor(null);
setIdServico(null);
setNronotareparacao(null);
setDtnotareparacao(null);
setKmreparacao(null);
setProdutoNaosubstituido(null);
setIdServicoNaofaturado(null);
setCodfuncao(null);
setCodreclamacao(null);
setIdtSolicitacaoCli(null);
setNroAcordo(null);
setDiagnostico(null);
setNumeroots(null);
setCodsintoma(null);
setBin(null);
}

public TabCsgarite(int idOscapa, int nroitem, int idOrccap, String codgrad, String codcomentario, String codintervencao, String itenimobiliza, String produto, String codfornecedor, int idServico, int nronotareparacao, FglDate dtnotareparacao, int kmreparacao, String produtoNaosubstituido, int idServicoNaofaturado, String codfuncao, String codreclamacao, String idtSolicitacaoCli, String nroAcordo, String diagnostico, String numeroots, String codsintoma, String bin) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idOrccap = idOrccap;
this.codgrad = codgrad;
this.codcomentario = codcomentario;
this.codintervencao = codintervencao;
this.itenimobiliza = itenimobiliza;
this.produto = produto;
this.codfornecedor = codfornecedor;
this.idServico = idServico;
this.nronotareparacao = nronotareparacao;
this.dtnotareparacao = dtnotareparacao;
this.kmreparacao = kmreparacao;
this.produtoNaosubstituido = produtoNaosubstituido;
this.idServicoNaofaturado = idServicoNaofaturado;
this.codfuncao = codfuncao;
this.codreclamacao = codreclamacao;
this.idtSolicitacaoCli = idtSolicitacaoCli;
this.nroAcordo = nroAcordo;
this.diagnostico = diagnostico;
this.numeroots = numeroots;
this.codsintoma = codsintoma;
this.bin = bin;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public String getCodgrad() {
return codgrad;
}

public void setCodgrad(String codgrad) {
this.codgrad = codgrad;
}

public String getCodcomentario() {
return codcomentario;
}

public void setCodcomentario(String codcomentario) {
this.codcomentario = codcomentario;
}

public String getCodintervencao() {
return codintervencao;
}

public void setCodintervencao(String codintervencao) {
this.codintervencao = codintervencao;
}

public String getItenimobiliza() {
return itenimobiliza;
}

public void setItenimobiliza(String itenimobiliza) {
this.itenimobiliza = itenimobiliza;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getCodfornecedor() {
return codfornecedor;
}

public void setCodfornecedor(String codfornecedor) {
this.codfornecedor = codfornecedor;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getNronotareparacao() {
return nronotareparacao;
}

public boolean isNronotareparacaoNull() {
return nronotareparacaoNull;
}

public void setNronotareparacao(Integer nronotareparacao) {
if (nronotareparacao == null) {
nronotareparacaoNull = true;
this.nronotareparacao = 0;
} else { 
nronotareparacaoNull = false;
this.nronotareparacao = nronotareparacao;
}
}

public FglDate getDtnotareparacao() {
return dtnotareparacao;
}

public void setDtnotareparacao(FglDate dtnotareparacao) {
this.dtnotareparacao = dtnotareparacao;
}

public int getKmreparacao() {
return kmreparacao;
}

public boolean isKmreparacaoNull() {
return kmreparacaoNull;
}

public void setKmreparacao(Integer kmreparacao) {
if (kmreparacao == null) {
kmreparacaoNull = true;
this.kmreparacao = 0;
} else { 
kmreparacaoNull = false;
this.kmreparacao = kmreparacao;
}
}

public String getProdutoNaosubstituido() {
return produtoNaosubstituido;
}

public void setProdutoNaosubstituido(String produtoNaosubstituido) {
this.produtoNaosubstituido = produtoNaosubstituido;
}

public int getIdServicoNaofaturado() {
return idServicoNaofaturado;
}

public boolean isIdServicoNaofaturadoNull() {
return idServicoNaofaturadoNull;
}

public void setIdServicoNaofaturado(Integer idServicoNaofaturado) {
if (idServicoNaofaturado == null) {
idServicoNaofaturadoNull = true;
this.idServicoNaofaturado = 0;
} else { 
idServicoNaofaturadoNull = false;
this.idServicoNaofaturado = idServicoNaofaturado;
}
}

public String getCodfuncao() {
return codfuncao;
}

public void setCodfuncao(String codfuncao) {
this.codfuncao = codfuncao;
}

public String getCodreclamacao() {
return codreclamacao;
}

public void setCodreclamacao(String codreclamacao) {
this.codreclamacao = codreclamacao;
}

public String getIdtSolicitacaoCli() {
return idtSolicitacaoCli;
}

public void setIdtSolicitacaoCli(String idtSolicitacaoCli) {
this.idtSolicitacaoCli = idtSolicitacaoCli;
}

public String getNroAcordo() {
return nroAcordo;
}

public void setNroAcordo(String nroAcordo) {
this.nroAcordo = nroAcordo;
}

public String getDiagnostico() {
return diagnostico;
}

public void setDiagnostico(String diagnostico) {
this.diagnostico = diagnostico;
}

public String getNumeroots() {
return numeroots;
}

public void setNumeroots(String numeroots) {
this.numeroots = numeroots;
}

public String getCodsintoma() {
return codsintoma;
}

public void setCodsintoma(String codsintoma) {
this.codsintoma = codsintoma;
}

public String getBin() {
return bin;
}

public void setBin(String bin) {
this.bin = bin;
}

}

