package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarkid {
@Coluna(nome="csgarkid.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csgarkid.nrosg", tipo="int")
private int nrosg;
private boolean nrosgNull;
@Coluna(nome="csgarkid.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarkid.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="csgarkid.defeito", tipo="String")
private String defeito;
@Coluna(nome="csgarkid.fornlocal", tipo="String")
private String fornlocal;
@Coluna(nome="csgarkid.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csgarkid.produto", tipo="String")
private String produto;
@Coluna(nome="csgarkid.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csgarkid.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="csgarkid.codserv", tipo="String")
private String codserv;
@Coluna(nome="csgarkid.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="csgarkid.codservico", tipo="String")
private String codservico;
@Coluna(nome="csgarkid.retida", tipo="String")
private String retida;

public TabCsgarkid() {
initialize();
}

public void initialize() {
setFilial(null);
setNrosg(null);
setIdOscapa(null);
setNrolinha(null);
setDefeito(null);
setFornlocal(null);
setQuantidade(null);
setProduto(null);
setIdServico(null);
setValor(null);
setCodserv(null);
setNronota(null);
setCodservico(null);
setRetida(null);
}

public TabCsgarkid(int filial, int nrosg, int idOscapa, int nrolinha, String defeito, String fornlocal, double quantidade, String produto, int idServico, double valor, String codserv, int nronota, String codservico, String retida) {
this.filial = filial;
this.nrosg = nrosg;
this.idOscapa = idOscapa;
this.nrolinha = nrolinha;
this.defeito = defeito;
this.fornlocal = fornlocal;
this.quantidade = quantidade;
this.produto = produto;
this.idServico = idServico;
this.valor = valor;
this.codserv = codserv;
this.nronota = nronota;
this.codservico = codservico;
this.retida = retida;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrosg() {
return nrosg;
}

public boolean isNrosgNull() {
return nrosgNull;
}

public void setNrosg(Integer nrosg) {
if (nrosg == null) {
nrosgNull = true;
this.nrosg = 0;
} else { 
nrosgNull = false;
this.nrosg = nrosg;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public String getFornlocal() {
return fornlocal;
}

public void setFornlocal(String fornlocal) {
this.fornlocal = fornlocal;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 1);
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getCodserv() {
return codserv;
}

public void setCodserv(String codserv) {
this.codserv = codserv;
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public String getRetida() {
return retida;
}

public void setRetida(String retida) {
this.retida = retida;
}

}

