package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCsgarnad {
@Coluna(nome="csgarnad.tiporegistro", tipo="String")
private String tiporegistro;
@Coluna(nome="csgarnad.codigodesp", tipo="String")
private String codigodesp;
@Coluna(nome="csgarnad.idademin", tipo="int")
private int idademin;
private boolean idademinNull;
@Coluna(nome="csgarnad.idademax", tipo="int")
private int idademax;
private boolean idademaxNull;
@Coluna(nome="csgarnad.controleapv", tipo="int")
private int controleapv;
private boolean controleapvNull;
@Coluna(nome="csgarnad.veiculonovo", tipo="int")
private int veiculonovo;
private boolean veiculonovoNull;
@Coluna(nome="csgarnad.operacaocod", tipo="int")
private int operacaocod;
private boolean operacaocodNull;
@Coluna(nome="csgarnad.codificacaoec", tipo="int")
private int codificacaoec;
private boolean codificacaoecNull;
@Coluna(nome="csgarnad.informpeca", tipo="int")
private int informpeca;
private boolean informpecaNull;
@Coluna(nome="csgarnad.codificacaocf", tipo="int")
private int codificacaocf;
private boolean codificacaocfNull;
@Coluna(nome="csgarnad.codificacaomd", tipo="int")
private int codificacaomd;
private boolean codificacaomdNull;
@Coluna(nome="csgarnad.comentario1", tipo="int")
private int comentario1;
private boolean comentario1Null;
@Coluna(nome="csgarnad.comentario2", tipo="int")
private int comentario2;
private boolean comentario2Null;
@Coluna(nome="csgarnad.comentario3", tipo="int")
private int comentario3;
private boolean comentario3Null;
@Coluna(nome="csgarnad.indicadorpeca", tipo="int")
private int indicadorpeca;
private boolean indicadorpecaNull;
@Coluna(nome="csgarnad.diversaspecas", tipo="int")
private int diversaspecas;
private boolean diversaspecasNull;
@Coluna(nome="csgarnad.diversasoper", tipo="int")
private int diversasoper;
private boolean diversasoperNull;
@Coluna(nome="csgarnad.reclamacaoclie", tipo="int")
private int reclamacaoclie;
private boolean reclamacaoclieNull;
@Coluna(nome="csgarnad.etiquetacoddiv", tipo="String")
private String etiquetacoddiv;
@Coluna(nome="csgarnad.naturezacodser", tipo="String")
private String naturezacodser;
@Coluna(nome="csgarnad.codigoimposto", tipo="int")
private int codigoimposto;
private boolean codigoimpostoNull;

public TabCsgarnad() {
initialize();
}

public void initialize() {
setTiporegistro(null);
setCodigodesp(null);
setIdademin(null);
setIdademax(null);
setControleapv(null);
setVeiculonovo(null);
setOperacaocod(null);
setCodificacaoec(null);
setInformpeca(null);
setCodificacaocf(null);
setCodificacaomd(null);
setComentario1(null);
setComentario2(null);
setComentario3(null);
setIndicadorpeca(null);
setDiversaspecas(null);
setDiversasoper(null);
setReclamacaoclie(null);
setEtiquetacoddiv(null);
setNaturezacodser(null);
setCodigoimposto(null);
}

public TabCsgarnad(String tiporegistro, String codigodesp, int idademin, int idademax, int controleapv, int veiculonovo, int operacaocod, int codificacaoec, int informpeca, int codificacaocf, int codificacaomd, int comentario1, int comentario2, int comentario3, int indicadorpeca, int diversaspecas, int diversasoper, int reclamacaoclie, String etiquetacoddiv, String naturezacodser, int codigoimposto) {
this.tiporegistro = tiporegistro;
this.codigodesp = codigodesp;
this.idademin = idademin;
this.idademax = idademax;
this.controleapv = controleapv;
this.veiculonovo = veiculonovo;
this.operacaocod = operacaocod;
this.codificacaoec = codificacaoec;
this.informpeca = informpeca;
this.codificacaocf = codificacaocf;
this.codificacaomd = codificacaomd;
this.comentario1 = comentario1;
this.comentario2 = comentario2;
this.comentario3 = comentario3;
this.indicadorpeca = indicadorpeca;
this.diversaspecas = diversaspecas;
this.diversasoper = diversasoper;
this.reclamacaoclie = reclamacaoclie;
this.etiquetacoddiv = etiquetacoddiv;
this.naturezacodser = naturezacodser;
this.codigoimposto = codigoimposto;
}

public String getTiporegistro() {
return tiporegistro;
}

public void setTiporegistro(String tiporegistro) {
this.tiporegistro = tiporegistro;
}

public String getCodigodesp() {
return codigodesp;
}

public void setCodigodesp(String codigodesp) {
this.codigodesp = codigodesp;
}

public int getIdademin() {
return idademin;
}

public boolean isIdademinNull() {
return idademinNull;
}

public void setIdademin(Integer idademin) {
if (idademin == null) {
idademinNull = true;
this.idademin = 0;
} else { 
idademinNull = false;
this.idademin = idademin;
}
}

public int getIdademax() {
return idademax;
}

public boolean isIdademaxNull() {
return idademaxNull;
}

public void setIdademax(Integer idademax) {
if (idademax == null) {
idademaxNull = true;
this.idademax = 0;
} else { 
idademaxNull = false;
this.idademax = idademax;
}
}

public int getControleapv() {
return controleapv;
}

public boolean isControleapvNull() {
return controleapvNull;
}

public void setControleapv(Integer controleapv) {
if (controleapv == null) {
controleapvNull = true;
this.controleapv = 0;
} else { 
controleapvNull = false;
this.controleapv = controleapv;
}
}

public int getVeiculonovo() {
return veiculonovo;
}

public boolean isVeiculonovoNull() {
return veiculonovoNull;
}

public void setVeiculonovo(Integer veiculonovo) {
if (veiculonovo == null) {
veiculonovoNull = true;
this.veiculonovo = 0;
} else { 
veiculonovoNull = false;
this.veiculonovo = veiculonovo;
}
}

public int getOperacaocod() {
return operacaocod;
}

public boolean isOperacaocodNull() {
return operacaocodNull;
}

public void setOperacaocod(Integer operacaocod) {
if (operacaocod == null) {
operacaocodNull = true;
this.operacaocod = 0;
} else { 
operacaocodNull = false;
this.operacaocod = operacaocod;
}
}

public int getCodificacaoec() {
return codificacaoec;
}

public boolean isCodificacaoecNull() {
return codificacaoecNull;
}

public void setCodificacaoec(Integer codificacaoec) {
if (codificacaoec == null) {
codificacaoecNull = true;
this.codificacaoec = 0;
} else { 
codificacaoecNull = false;
this.codificacaoec = codificacaoec;
}
}

public int getInformpeca() {
return informpeca;
}

public boolean isInformpecaNull() {
return informpecaNull;
}

public void setInformpeca(Integer informpeca) {
if (informpeca == null) {
informpecaNull = true;
this.informpeca = 0;
} else { 
informpecaNull = false;
this.informpeca = informpeca;
}
}

public int getCodificacaocf() {
return codificacaocf;
}

public boolean isCodificacaocfNull() {
return codificacaocfNull;
}

public void setCodificacaocf(Integer codificacaocf) {
if (codificacaocf == null) {
codificacaocfNull = true;
this.codificacaocf = 0;
} else { 
codificacaocfNull = false;
this.codificacaocf = codificacaocf;
}
}

public int getCodificacaomd() {
return codificacaomd;
}

public boolean isCodificacaomdNull() {
return codificacaomdNull;
}

public void setCodificacaomd(Integer codificacaomd) {
if (codificacaomd == null) {
codificacaomdNull = true;
this.codificacaomd = 0;
} else { 
codificacaomdNull = false;
this.codificacaomd = codificacaomd;
}
}

public int getComentario1() {
return comentario1;
}

public boolean isComentario1Null() {
return comentario1Null;
}

public void setComentario1(Integer comentario1) {
if (comentario1 == null) {
comentario1Null = true;
this.comentario1 = 0;
} else { 
comentario1Null = false;
this.comentario1 = comentario1;
}
}

public int getComentario2() {
return comentario2;
}

public boolean isComentario2Null() {
return comentario2Null;
}

public void setComentario2(Integer comentario2) {
if (comentario2 == null) {
comentario2Null = true;
this.comentario2 = 0;
} else { 
comentario2Null = false;
this.comentario2 = comentario2;
}
}

public int getComentario3() {
return comentario3;
}

public boolean isComentario3Null() {
return comentario3Null;
}

public void setComentario3(Integer comentario3) {
if (comentario3 == null) {
comentario3Null = true;
this.comentario3 = 0;
} else { 
comentario3Null = false;
this.comentario3 = comentario3;
}
}

public int getIndicadorpeca() {
return indicadorpeca;
}

public boolean isIndicadorpecaNull() {
return indicadorpecaNull;
}

public void setIndicadorpeca(Integer indicadorpeca) {
if (indicadorpeca == null) {
indicadorpecaNull = true;
this.indicadorpeca = 0;
} else { 
indicadorpecaNull = false;
this.indicadorpeca = indicadorpeca;
}
}

public int getDiversaspecas() {
return diversaspecas;
}

public boolean isDiversaspecasNull() {
return diversaspecasNull;
}

public void setDiversaspecas(Integer diversaspecas) {
if (diversaspecas == null) {
diversaspecasNull = true;
this.diversaspecas = 0;
} else { 
diversaspecasNull = false;
this.diversaspecas = diversaspecas;
}
}

public int getDiversasoper() {
return diversasoper;
}

public boolean isDiversasoperNull() {
return diversasoperNull;
}

public void setDiversasoper(Integer diversasoper) {
if (diversasoper == null) {
diversasoperNull = true;
this.diversasoper = 0;
} else { 
diversasoperNull = false;
this.diversasoper = diversasoper;
}
}

public int getReclamacaoclie() {
return reclamacaoclie;
}

public boolean isReclamacaoclieNull() {
return reclamacaoclieNull;
}

public void setReclamacaoclie(Integer reclamacaoclie) {
if (reclamacaoclie == null) {
reclamacaoclieNull = true;
this.reclamacaoclie = 0;
} else { 
reclamacaoclieNull = false;
this.reclamacaoclie = reclamacaoclie;
}
}

public String getEtiquetacoddiv() {
return etiquetacoddiv;
}

public void setEtiquetacoddiv(String etiquetacoddiv) {
this.etiquetacoddiv = etiquetacoddiv;
}

public String getNaturezacodser() {
return naturezacodser;
}

public void setNaturezacodser(String naturezacodser) {
this.naturezacodser = naturezacodser;
}

public int getCodigoimposto() {
return codigoimposto;
}

public boolean isCodigoimpostoNull() {
return codigoimpostoNull;
}

public void setCodigoimposto(Integer codigoimposto) {
if (codigoimposto == null) {
codigoimpostoNull = true;
this.codigoimposto = 0;
} else { 
codigoimpostoNull = false;
this.codigoimposto = codigoimposto;
}
}

}

