package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarpag {
@Coluna(nome="csgarpag.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarpag.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csgarpag.categoria", tipo="String")
private String categoria;
@Coluna(nome="csgarpag.percentual", tipo="double")
private double percentual;
private boolean percentualNull;
@Coluna(nome="csgarpag.coddespesa", tipo="String")
private String coddespesa;
@Coluna(nome="csgarpag.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="csgarpag.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;

public TabCsgarpag() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setCategoria(null);
setPercentual(null);
setCoddespesa(null);
setCgccpf(null);
setTppessoa(null);
}

public TabCsgarpag(int idOscapa, int nroitem, String categoria, double percentual, String coddespesa, long cgccpf, int tppessoa) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.categoria = categoria;
this.percentual = percentual;
this.coddespesa = coddespesa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getCategoria() {
return categoria;
}

public void setCategoria(String categoria) {
this.categoria = categoria;
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

public String getCoddespesa() {
return coddespesa;
}

public void setCoddespesa(String coddespesa) {
this.coddespesa = coddespesa;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

}

