package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgarvwa {
@Coluna(nome="csgarvwa.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csgarvwa.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="csgarvwa.defeito", tipo="String")
private String defeito;
@Coluna(nome="csgarvwa.fornlocal", tipo="String")
private String fornlocal;
@Coluna(nome="csgarvwa.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="csgarvwa.qtdehoras", tipo="double")
private double qtdehoras;
private boolean qtdehorasNull;
@Coluna(nome="csgarvwa.descricao", tipo="String")
private String descricao;

public TabCsgarvwa() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNrolinha(null);
setDefeito(null);
setFornlocal(null);
setValor(null);
setQtdehoras(null);
setDescricao(null);
}

public TabCsgarvwa(int idOscapa, int nrolinha, String defeito, String fornlocal, double valor, double qtdehoras, String descricao) {
this.idOscapa = idOscapa;
this.nrolinha = nrolinha;
this.defeito = defeito;
this.fornlocal = fornlocal;
this.valor = valor;
this.qtdehoras = qtdehoras;
this.descricao = descricao;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public String getFornlocal() {
return fornlocal;
}

public void setFornlocal(String fornlocal) {
this.fornlocal = fornlocal;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getQtdehoras() {
return qtdehoras;
}

public boolean isQtdehorasNull() {
return qtdehorasNull;
}

public void setQtdehoras(int qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(long qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(Double qtdehoras) {
if (qtdehoras == null) {
qtdehorasNull = true;
this.qtdehoras = 0.;
} else { 
qtdehorasNull = false;
this.qtdehoras = FglDouble.round(qtdehoras, 2);
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

}

