package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsgcmfat {
@Coluna(nome="csgcmfat.id_gcmfat", tipo="int")
private int idGcmfat;
private boolean idGcmfatNull;
@Coluna(nome="csgcmfat.id_gcmper", tipo="int")
private int idGcmper;
private boolean idGcmperNull;
@Coluna(nome="csgcmfat.nro_drg", tipo="String")
private String nroDrg;
@Coluna(nome="csgcmfat.data_drg", tipo="FglDate")
private FglDate dataDrg;
@Coluna(nome="csgcmfat.nro_os", tipo="int")
private int nroOs;
private boolean nroOsNull;
@Coluna(nome="csgcmfat.vin", tipo="String")
private String vin;
@Coluna(nome="csgcmfat.total_maodeobra", tipo="double")
private double totalMaodeobra;
private boolean totalMaodeobraNull;
@Coluna(nome="csgcmfat.total_pecas", tipo="double")
private double totalPecas;
private boolean totalPecasNull;
@Coluna(nome="csgcmfat.plus_pecas", tipo="double")
private double plusPecas;
private boolean plusPecasNull;
@Coluna(nome="csgcmfat.total_lubrificantes", tipo="double")
private double totalLubrificantes;
private boolean totalLubrificantesNull;
@Coluna(nome="csgcmfat.plus_lubrificantes", tipo="double")
private double plusLubrificantes;
private boolean plusLubrificantesNull;
@Coluna(nome="csgcmfat.total_taxa_servicos", tipo="double")
private double totalTaxaServicos;
private boolean totalTaxaServicosNull;
@Coluna(nome="csgcmfat.plus_fo", tipo="double")
private double plusFo;
private boolean plusFoNull;
@Coluna(nome="csgcmfat.icms", tipo="double")
private double icms;
private boolean icmsNull;
@Coluna(nome="csgcmfat.total_validados", tipo="double")
private double totalValidados;
private boolean totalValidadosNull;

public TabCsgcmfat() {
initialize();
}

public void initialize() {
setIdGcmfat(null);
setIdGcmper(null);
setNroDrg(null);
setDataDrg(null);
setNroOs(null);
setVin(null);
setTotalMaodeobra(null);
setTotalPecas(null);
setPlusPecas(null);
setTotalLubrificantes(null);
setPlusLubrificantes(null);
setTotalTaxaServicos(null);
setPlusFo(null);
setIcms(null);
setTotalValidados(null);
}

public TabCsgcmfat(int idGcmfat, int idGcmper, String nroDrg, FglDate dataDrg, int nroOs, String vin, double totalMaodeobra, double totalPecas, double plusPecas, double totalLubrificantes, double plusLubrificantes, double totalTaxaServicos, double plusFo, double icms, double totalValidados) {
this.idGcmfat = idGcmfat;
this.idGcmper = idGcmper;
this.nroDrg = nroDrg;
this.dataDrg = dataDrg;
this.nroOs = nroOs;
this.vin = vin;
this.totalMaodeobra = totalMaodeobra;
this.totalPecas = totalPecas;
this.plusPecas = plusPecas;
this.totalLubrificantes = totalLubrificantes;
this.plusLubrificantes = plusLubrificantes;
this.totalTaxaServicos = totalTaxaServicos;
this.plusFo = plusFo;
this.icms = icms;
this.totalValidados = totalValidados;
}

public int getIdGcmfat() {
return idGcmfat;
}

public boolean isIdGcmfatNull() {
return idGcmfatNull;
}

public void setIdGcmfat(Integer idGcmfat) {
if (idGcmfat == null) {
idGcmfatNull = true;
this.idGcmfat = 0;
} else { 
idGcmfatNull = false;
this.idGcmfat = idGcmfat;
}
}

public int getIdGcmper() {
return idGcmper;
}

public boolean isIdGcmperNull() {
return idGcmperNull;
}

public void setIdGcmper(Integer idGcmper) {
if (idGcmper == null) {
idGcmperNull = true;
this.idGcmper = 0;
} else { 
idGcmperNull = false;
this.idGcmper = idGcmper;
}
}

public String getNroDrg() {
return nroDrg;
}

public void setNroDrg(String nroDrg) {
this.nroDrg = nroDrg;
}

public FglDate getDataDrg() {
return dataDrg;
}

public void setDataDrg(FglDate dataDrg) {
this.dataDrg = dataDrg;
}

public int getNroOs() {
return nroOs;
}

public boolean isNroOsNull() {
return nroOsNull;
}

public void setNroOs(Integer nroOs) {
if (nroOs == null) {
nroOsNull = true;
this.nroOs = 0;
} else { 
nroOsNull = false;
this.nroOs = nroOs;
}
}

public String getVin() {
return vin;
}

public void setVin(String vin) {
this.vin = vin;
}

public double getTotalMaodeobra() {
return totalMaodeobra;
}

public boolean isTotalMaodeobraNull() {
return totalMaodeobraNull;
}

public void setTotalMaodeobra(int totalMaodeobra) {
setTotalMaodeobra(new Double(totalMaodeobra));
}

public void setTotalMaodeobra(long totalMaodeobra) {
setTotalMaodeobra(new Double(totalMaodeobra));
}

public void setTotalMaodeobra(Double totalMaodeobra) {
if (totalMaodeobra == null) {
totalMaodeobraNull = true;
this.totalMaodeobra = 0.;
} else { 
totalMaodeobraNull = false;
this.totalMaodeobra = FglDouble.round(totalMaodeobra, 2);
}
}

public double getTotalPecas() {
return totalPecas;
}

public boolean isTotalPecasNull() {
return totalPecasNull;
}

public void setTotalPecas(int totalPecas) {
setTotalPecas(new Double(totalPecas));
}

public void setTotalPecas(long totalPecas) {
setTotalPecas(new Double(totalPecas));
}

public void setTotalPecas(Double totalPecas) {
if (totalPecas == null) {
totalPecasNull = true;
this.totalPecas = 0.;
} else { 
totalPecasNull = false;
this.totalPecas = FglDouble.round(totalPecas, 2);
}
}

public double getPlusPecas() {
return plusPecas;
}

public boolean isPlusPecasNull() {
return plusPecasNull;
}

public void setPlusPecas(int plusPecas) {
setPlusPecas(new Double(plusPecas));
}

public void setPlusPecas(long plusPecas) {
setPlusPecas(new Double(plusPecas));
}

public void setPlusPecas(Double plusPecas) {
if (plusPecas == null) {
plusPecasNull = true;
this.plusPecas = 0.;
} else { 
plusPecasNull = false;
this.plusPecas = FglDouble.round(plusPecas, 2);
}
}

public double getTotalLubrificantes() {
return totalLubrificantes;
}

public boolean isTotalLubrificantesNull() {
return totalLubrificantesNull;
}

public void setTotalLubrificantes(int totalLubrificantes) {
setTotalLubrificantes(new Double(totalLubrificantes));
}

public void setTotalLubrificantes(long totalLubrificantes) {
setTotalLubrificantes(new Double(totalLubrificantes));
}

public void setTotalLubrificantes(Double totalLubrificantes) {
if (totalLubrificantes == null) {
totalLubrificantesNull = true;
this.totalLubrificantes = 0.;
} else { 
totalLubrificantesNull = false;
this.totalLubrificantes = FglDouble.round(totalLubrificantes, 2);
}
}

public double getPlusLubrificantes() {
return plusLubrificantes;
}

public boolean isPlusLubrificantesNull() {
return plusLubrificantesNull;
}

public void setPlusLubrificantes(int plusLubrificantes) {
setPlusLubrificantes(new Double(plusLubrificantes));
}

public void setPlusLubrificantes(long plusLubrificantes) {
setPlusLubrificantes(new Double(plusLubrificantes));
}

public void setPlusLubrificantes(Double plusLubrificantes) {
if (plusLubrificantes == null) {
plusLubrificantesNull = true;
this.plusLubrificantes = 0.;
} else { 
plusLubrificantesNull = false;
this.plusLubrificantes = FglDouble.round(plusLubrificantes, 2);
}
}

public double getTotalTaxaServicos() {
return totalTaxaServicos;
}

public boolean isTotalTaxaServicosNull() {
return totalTaxaServicosNull;
}

public void setTotalTaxaServicos(int totalTaxaServicos) {
setTotalTaxaServicos(new Double(totalTaxaServicos));
}

public void setTotalTaxaServicos(long totalTaxaServicos) {
setTotalTaxaServicos(new Double(totalTaxaServicos));
}

public void setTotalTaxaServicos(Double totalTaxaServicos) {
if (totalTaxaServicos == null) {
totalTaxaServicosNull = true;
this.totalTaxaServicos = 0.;
} else { 
totalTaxaServicosNull = false;
this.totalTaxaServicos = FglDouble.round(totalTaxaServicos, 2);
}
}

public double getPlusFo() {
return plusFo;
}

public boolean isPlusFoNull() {
return plusFoNull;
}

public void setPlusFo(int plusFo) {
setPlusFo(new Double(plusFo));
}

public void setPlusFo(long plusFo) {
setPlusFo(new Double(plusFo));
}

public void setPlusFo(Double plusFo) {
if (plusFo == null) {
plusFoNull = true;
this.plusFo = 0.;
} else { 
plusFoNull = false;
this.plusFo = FglDouble.round(plusFo, 2);
}
}

public double getIcms() {
return icms;
}

public boolean isIcmsNull() {
return icmsNull;
}

public void setIcms(int icms) {
setIcms(new Double(icms));
}

public void setIcms(long icms) {
setIcms(new Double(icms));
}

public void setIcms(Double icms) {
if (icms == null) {
icmsNull = true;
this.icms = 0.;
} else { 
icmsNull = false;
this.icms = FglDouble.round(icms, 2);
}
}

public double getTotalValidados() {
return totalValidados;
}

public boolean isTotalValidadosNull() {
return totalValidadosNull;
}

public void setTotalValidados(int totalValidados) {
setTotalValidados(new Double(totalValidados));
}

public void setTotalValidados(long totalValidados) {
setTotalValidados(new Double(totalValidados));
}

public void setTotalValidados(Double totalValidados) {
if (totalValidados == null) {
totalValidadosNull = true;
this.totalValidados = 0.;
} else { 
totalValidadosNull = false;
this.totalValidados = FglDouble.round(totalValidados, 2);
}
}

}

