package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCshorage {
@Coluna(nome="cshorage.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cshorage.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cshorage.horastotal", tipo="double")
private double horastotal;
private boolean horastotalNull;
@Coluna(nome="cshorage.horasagend", tipo="double")
private double horasagend;
private boolean horasagendNull;

public TabCshorage() {
initialize();
}

public void initialize() {
setFilial(null);
setData(null);
setHorastotal(null);
setHorasagend(null);
}

public TabCshorage(int filial, FglDate data, double horastotal, double horasagend) {
this.filial = filial;
this.data = data;
this.horastotal = horastotal;
this.horasagend = horasagend;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public double getHorastotal() {
return horastotal;
}

public boolean isHorastotalNull() {
return horastotalNull;
}

public void setHorastotal(int horastotal) {
setHorastotal(new Double(horastotal));
}

public void setHorastotal(long horastotal) {
setHorastotal(new Double(horastotal));
}

public void setHorastotal(Double horastotal) {
if (horastotal == null) {
horastotalNull = true;
this.horastotal = 0.;
} else { 
horastotalNull = false;
this.horastotal = FglDouble.round(horastotal, 2);
}
}

public double getHorasagend() {
return horasagend;
}

public boolean isHorasagendNull() {
return horasagendNull;
}

public void setHorasagend(int horasagend) {
setHorasagend(new Double(horasagend));
}

public void setHorasagend(long horasagend) {
setHorasagend(new Double(horasagend));
}

public void setHorasagend(Double horasagend) {
if (horasagend == null) {
horasagendNull = true;
this.horasagend = 0.;
} else { 
horasagendNull = false;
this.horasagend = FglDouble.round(horasagend, 2);
}
}

}

