package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsindrec {
@Coluna(nome="csindrec.id_indisprec", tipo="int")
private int idIndisprec;
private boolean idIndisprecNull;
@Coluna(nome="csindrec.id_recurso", tipo="int")
private int idRecurso;
private boolean idRecursoNull;
@Coluna(nome="csindrec.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="csindrec.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="csindrec.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="csindrec.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="csindrec.tipoponto", tipo="String")
private String tipoponto;

public TabCsindrec() {
initialize();
}

public void initialize() {
setIdIndisprec(null);
setIdRecurso(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setTipoponto(null);
}

public TabCsindrec(int idIndisprec, int idRecurso, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, String tipoponto) {
this.idIndisprec = idIndisprec;
this.idRecurso = idRecurso;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.tipoponto = tipoponto;
}

public int getIdIndisprec() {
return idIndisprec;
}

public boolean isIdIndisprecNull() {
return idIndisprecNull;
}

public void setIdIndisprec(Integer idIndisprec) {
if (idIndisprec == null) {
idIndisprecNull = true;
this.idIndisprec = 0;
} else { 
idIndisprecNull = false;
this.idIndisprec = idIndisprec;
}
}

public int getIdRecurso() {
return idRecurso;
}

public boolean isIdRecursoNull() {
return idRecursoNull;
}

public void setIdRecurso(Integer idRecurso) {
if (idRecurso == null) {
idRecursoNull = true;
this.idRecurso = 0;
} else { 
idRecursoNull = false;
this.idRecurso = idRecurso;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public String getTipoponto() {
return tipoponto;
}

public void setTipoponto(String tipoponto) {
this.tipoponto = tipoponto;
}

}

