package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCsitens {
@Coluna(nome="csitens.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csitens.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csitens.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="csitens.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="csitens.prioritario", tipo="String")
private String prioritario;
@Coluna(nome="csitens.descritem", tipo="String")
private String descritem;
@Coluna(nome="csitens.revalorizar", tipo="String")
private String revalorizar;
@Coluna(nome="csitens.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="csitens.id_setorexecut", tipo="int")
private int idSetorexecut;
private boolean idSetorexecutNull;
@Coluna(nome="csitens.observacao", tipo="String")
private String observacao;

public TabCsitens() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setNroEndere(null);
setTpordem(null);
setPrioritario(null);
setDescritem(null);
setRevalorizar(null);
setDtdigitacao(null);
setIdSetorexecut(null);
setObservacao(null);
}

public TabCsitens(int idOscapa, int nroitem, long nroEndere, String tpordem, String prioritario, String descritem, String revalorizar, FglDateTimeYS dtdigitacao, int idSetorexecut, String observacao) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.nroEndere = nroEndere;
this.tpordem = tpordem;
this.prioritario = prioritario;
this.descritem = descritem;
this.revalorizar = revalorizar;
this.dtdigitacao = dtdigitacao;
this.idSetorexecut = idSetorexecut;
this.observacao = observacao;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public String getPrioritario() {
return prioritario;
}

public void setPrioritario(String prioritario) {
this.prioritario = prioritario;
}

public String getDescritem() {
return descritem;
}

public void setDescritem(String descritem) {
this.descritem = descritem;
}

public String getRevalorizar() {
return revalorizar;
}

public void setRevalorizar(String revalorizar) {
this.revalorizar = revalorizar;
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdSetorexecut() {
return idSetorexecut;
}

public boolean isIdSetorexecutNull() {
return idSetorexecutNull;
}

public void setIdSetorexecut(Integer idSetorexecut) {
if (idSetorexecut == null) {
idSetorexecutNull = true;
this.idSetorexecut = 0;
} else { 
idSetorexecutNull = false;
this.idSetorexecut = idSetorexecut;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

