package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCsmsiret {
@Coluna(nome="csmsiret.data", tipo="FglDateTimeYM")
private FglDateTimeYM data;
@Coluna(nome="csmsiret.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csmsiret.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="csmsiret.inspecoes", tipo="int")
private int inspecoes;
private boolean inspecoesNull;
@Coluna(nome="csmsiret.retrabalhos", tipo="int")
private int retrabalhos;
private boolean retrabalhosNull;

public TabCsmsiret() {
initialize();
}

public void initialize() {
setData(null);
setIdServico(null);
setMotivo(null);
setInspecoes(null);
setRetrabalhos(null);
}

public TabCsmsiret(FglDateTimeYM data, int idServico, int motivo, int inspecoes, int retrabalhos) {
this.data = data;
this.idServico = idServico;
this.motivo = motivo;
this.inspecoes = inspecoes;
this.retrabalhos = retrabalhos;
}

public FglDateTimeYM getData() {
return data;
}

public void setData(FglDateTimeYM data) {
this.data = data;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public int getInspecoes() {
return inspecoes;
}

public boolean isInspecoesNull() {
return inspecoesNull;
}

public void setInspecoes(Integer inspecoes) {
if (inspecoes == null) {
inspecoesNull = true;
this.inspecoes = 0;
} else { 
inspecoesNull = false;
this.inspecoes = inspecoes;
}
}

public int getRetrabalhos() {
return retrabalhos;
}

public boolean isRetrabalhosNull() {
return retrabalhosNull;
}

public void setRetrabalhos(Integer retrabalhos) {
if (retrabalhos == null) {
retrabalhosNull = true;
this.retrabalhos = 0;
} else { 
retrabalhosNull = false;
this.retrabalhos = retrabalhos;
}
}

}

