package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsoficus {
@Coluna(nome="csoficus.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="csoficus.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="csoficus.customod", tipo="double")
private double customod;
private boolean customodNull;
@Coluna(nome="csoficus.customoi", tipo="double")
private double customoi;
private boolean customoiNull;

public TabCsoficus() {
initialize();
}

public void initialize() {
setIdSetor(null);
setAnomes(null);
setCustomod(null);
setCustomoi(null);
}

public TabCsoficus(int idSetor, FglDateTimeYM anomes, double customod, double customoi) {
this.idSetor = idSetor;
this.anomes = anomes;
this.customod = customod;
this.customoi = customoi;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getCustomod() {
return customod;
}

public boolean isCustomodNull() {
return customodNull;
}

public void setCustomod(int customod) {
setCustomod(new Double(customod));
}

public void setCustomod(long customod) {
setCustomod(new Double(customod));
}

public void setCustomod(Double customod) {
if (customod == null) {
customodNull = true;
this.customod = 0.;
} else { 
customodNull = false;
this.customod = FglDouble.round(customod, 2);
}
}

public double getCustomoi() {
return customoi;
}

public boolean isCustomoiNull() {
return customoiNull;
}

public void setCustomoi(int customoi) {
setCustomoi(new Double(customoi));
}

public void setCustomoi(long customoi) {
setCustomoi(new Double(customoi));
}

public void setCustomoi(Double customoi) {
if (customoi == null) {
customoiNull = true;
this.customoi = 0.;
} else { 
customoiNull = false;
this.customoi = FglDouble.round(customoi, 2);
}
}

}

