package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspacote {
@Coluna(nome="cspacote.pacote", tipo="String")
private String pacote;
@Coluna(nome="cspacote.descrpacote", tipo="String")
private String descrpacote;
@Coluna(nome="cspacote.tppacote", tipo="String")
private String tppacote;
@Coluna(nome="cspacote.tempopadrao", tipo="double")
private double tempopadrao;
private boolean tempopadraoNull;
@Coluna(nome="cspacote.valorserv", tipo="double")
private double valorserv;
private boolean valorservNull;
@Coluna(nome="cspacote.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="cspacote.ativo", tipo="String")
private String ativo;

public TabCspacote() {
initialize();
}

public void initialize() {
setPacote(null);
setDescrpacote(null);
setTppacote(null);
setTempopadrao(null);
setValorserv(null);
setAbrevsetor(null);
setAtivo(null);
}

public TabCspacote(String pacote, String descrpacote, String tppacote, double tempopadrao, double valorserv, String abrevsetor, String ativo) {
this.pacote = pacote;
this.descrpacote = descrpacote;
this.tppacote = tppacote;
this.tempopadrao = tempopadrao;
this.valorserv = valorserv;
this.abrevsetor = abrevsetor;
this.ativo = ativo;
}

public String getPacote() {
return pacote;
}

public void setPacote(String pacote) {
this.pacote = pacote;
}

public String getDescrpacote() {
return descrpacote;
}

public void setDescrpacote(String descrpacote) {
this.descrpacote = descrpacote;
}

public String getTppacote() {
return tppacote;
}

public void setTppacote(String tppacote) {
this.tppacote = tppacote;
}

public double getTempopadrao() {
return tempopadrao;
}

public boolean isTempopadraoNull() {
return tempopadraoNull;
}

public void setTempopadrao(int tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(long tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(Double tempopadrao) {
if (tempopadrao == null) {
tempopadraoNull = true;
this.tempopadrao = 0.;
} else { 
tempopadraoNull = false;
this.tempopadrao = FglDouble.round(tempopadrao, 2);
}
}

public double getValorserv() {
return valorserv;
}

public boolean isValorservNull() {
return valorservNull;
}

public void setValorserv(int valorserv) {
setValorserv(new Double(valorserv));
}

public void setValorserv(long valorserv) {
setValorserv(new Double(valorserv));
}

public void setValorserv(Double valorserv) {
if (valorserv == null) {
valorservNull = true;
this.valorserv = 0.;
} else { 
valorservNull = false;
this.valorserv = FglDouble.round(valorserv, 2);
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

