package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsparapv {
@Coluna(nome="csparapv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csparapv.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="csparapv.qtdtrbcel", tipo="int")
private int qtdtrbcel;
private boolean qtdtrbcelNull;
@Coluna(nome="csparapv.qtdtrbsel", tipo="int")
private int qtdtrbsel;
private boolean qtdtrbselNull;
@Coluna(nome="csparapv.faixapreco", tipo="int")
private int faixapreco;
private boolean faixaprecoNull;
@Coluna(nome="csparapv.dtinicio", tipo="FglDate")
private FglDate dtinicio;

public TabCsparapv() {
initialize();
}

public void initialize() {
setFilial(null);
setTpordem(null);
setQtdtrbcel(null);
setQtdtrbsel(null);
setFaixapreco(null);
setDtinicio(null);
}

public TabCsparapv(int filial, String tpordem, int qtdtrbcel, int qtdtrbsel, int faixapreco, FglDate dtinicio) {
this.filial = filial;
this.tpordem = tpordem;
this.qtdtrbcel = qtdtrbcel;
this.qtdtrbsel = qtdtrbsel;
this.faixapreco = faixapreco;
this.dtinicio = dtinicio;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public int getQtdtrbcel() {
return qtdtrbcel;
}

public boolean isQtdtrbcelNull() {
return qtdtrbcelNull;
}

public void setQtdtrbcel(Integer qtdtrbcel) {
if (qtdtrbcel == null) {
qtdtrbcelNull = true;
this.qtdtrbcel = 0;
} else { 
qtdtrbcelNull = false;
this.qtdtrbcel = qtdtrbcel;
}
}

public int getQtdtrbsel() {
return qtdtrbsel;
}

public boolean isQtdtrbselNull() {
return qtdtrbselNull;
}

public void setQtdtrbsel(Integer qtdtrbsel) {
if (qtdtrbsel == null) {
qtdtrbselNull = true;
this.qtdtrbsel = 0;
} else { 
qtdtrbselNull = false;
this.qtdtrbsel = qtdtrbsel;
}
}

public int getFaixapreco() {
return faixapreco;
}

public boolean isFaixaprecoNull() {
return faixaprecoNull;
}

public void setFaixapreco(Integer faixapreco) {
if (faixapreco == null) {
faixaprecoNull = true;
this.faixapreco = 0;
} else { 
faixaprecoNull = false;
this.faixapreco = faixapreco;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

}

