package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCsparcms {
@Coluna(nome="csparcms.id_parcms", tipo="int")
private int idParcms;
private boolean idParcmsNull;
@Coluna(nome="csparcms.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csparcms.dtvigini", tipo="FglDateTimeYM")
private FglDateTimeYM dtvigini;
@Coluna(nome="csparcms.dtvigfim", tipo="FglDateTimeYM")
private FglDateTimeYM dtvigfim;
@Coluna(nome="csparcms.basecalc", tipo="String")
private String basecalc;
@Coluna(nome="csparcms.intfolpgt", tipo="String")
private String intfolpgt;
@Coluna(nome="csparcms.evefolpgt", tipo="int")
private int evefolpgt;
private boolean evefolpgtNull;

public TabCsparcms() {
initialize();
}

public void initialize() {
setIdParcms(null);
setFilial(null);
setDtvigini(null);
setDtvigfim(null);
setBasecalc(null);
setIntfolpgt(null);
setEvefolpgt(null);
}

public TabCsparcms(int idParcms, int filial, FglDateTimeYM dtvigini, FglDateTimeYM dtvigfim, String basecalc, String intfolpgt, int evefolpgt) {
this.idParcms = idParcms;
this.filial = filial;
this.dtvigini = dtvigini;
this.dtvigfim = dtvigfim;
this.basecalc = basecalc;
this.intfolpgt = intfolpgt;
this.evefolpgt = evefolpgt;
}

public int getIdParcms() {
return idParcms;
}

public boolean isIdParcmsNull() {
return idParcmsNull;
}

public void setIdParcms(Integer idParcms) {
if (idParcms == null) {
idParcmsNull = true;
this.idParcms = 0;
} else { 
idParcmsNull = false;
this.idParcms = idParcms;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getDtvigini() {
return dtvigini;
}

public void setDtvigini(FglDateTimeYM dtvigini) {
this.dtvigini = dtvigini;
}

public FglDateTimeYM getDtvigfim() {
return dtvigfim;
}

public void setDtvigfim(FglDateTimeYM dtvigfim) {
this.dtvigfim = dtvigfim;
}

public String getBasecalc() {
return basecalc;
}

public void setBasecalc(String basecalc) {
this.basecalc = basecalc;
}

public String getIntfolpgt() {
return intfolpgt;
}

public void setIntfolpgt(String intfolpgt) {
this.intfolpgt = intfolpgt;
}

public int getEvefolpgt() {
return evefolpgt;
}

public boolean isEvefolpgtNull() {
return evefolpgtNull;
}

public void setEvefolpgt(Integer evefolpgt) {
if (evefolpgt == null) {
evefolpgtNull = true;
this.evefolpgt = 0;
} else { 
evefolpgtNull = false;
this.evefolpgt = evefolpgt;
}
}

}

