package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCsparcsi {
@Coluna(nome="csparcsi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csparcsi.modalidade", tipo="String")
private String modalidade;
@Coluna(nome="csparcsi.ativo", tipo="String")
private String ativo;
@Coluna(nome="csparcsi.chave", tipo="String")
private String chave;
@Coluna(nome="csparcsi.url", tipo="String")
private String url;

public TabCsparcsi() {
initialize();
}

public void initialize() {
setFilial(null);
setModalidade(null);
setAtivo(null);
setChave(null);
setUrl(null);
}

public TabCsparcsi(int filial, String modalidade, String ativo, String chave, String url) {
this.filial = filial;
this.modalidade = modalidade;
this.ativo = ativo;
this.chave = chave;
this.url = url;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getModalidade() {
return modalidade;
}

public void setModalidade(String modalidade) {
this.modalidade = modalidade;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public String getUrl() {
return url;
}

public void setUrl(String url) {
this.url = url;
}

}

