package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspartfi {
@Coluna(nome="cspartfi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cspartfi.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cspartfi.tempolavagem", tipo="double")
private double tempolavagem;
private boolean tempolavagemNull;
@Coluna(nome="cspartfi.tempoali_bal", tipo="double")
private double tempoaliBal;
private boolean tempoaliBalNull;
@Coluna(nome="cspartfi.tempoqualidade", tipo="double")
private double tempoqualidade;
private boolean tempoqualidadeNull;
@Coluna(nome="cspartfi.tempopreentrega", tipo="double")
private double tempopreentrega;
private boolean tempopreentregaNull;

public TabCspartfi() {
initialize();
}

public void initialize() {
setFilial(null);
setFamilia(null);
setTempolavagem(null);
setTempoaliBal(null);
setTempoqualidade(null);
setTempopreentrega(null);
}

public TabCspartfi(int filial, int familia, double tempolavagem, double tempoaliBal, double tempoqualidade, double tempopreentrega) {
this.filial = filial;
this.familia = familia;
this.tempolavagem = tempolavagem;
this.tempoaliBal = tempoaliBal;
this.tempoqualidade = tempoqualidade;
this.tempopreentrega = tempopreentrega;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public double getTempolavagem() {
return tempolavagem;
}

public boolean isTempolavagemNull() {
return tempolavagemNull;
}

public void setTempolavagem(int tempolavagem) {
setTempolavagem(new Double(tempolavagem));
}

public void setTempolavagem(long tempolavagem) {
setTempolavagem(new Double(tempolavagem));
}

public void setTempolavagem(Double tempolavagem) {
if (tempolavagem == null) {
tempolavagemNull = true;
this.tempolavagem = 0.;
} else { 
tempolavagemNull = false;
this.tempolavagem = FglDouble.round(tempolavagem, 2);
}
}

public double getTempoaliBal() {
return tempoaliBal;
}

public boolean isTempoaliBalNull() {
return tempoaliBalNull;
}

public void setTempoaliBal(int tempoaliBal) {
setTempoaliBal(new Double(tempoaliBal));
}

public void setTempoaliBal(long tempoaliBal) {
setTempoaliBal(new Double(tempoaliBal));
}

public void setTempoaliBal(Double tempoaliBal) {
if (tempoaliBal == null) {
tempoaliBalNull = true;
this.tempoaliBal = 0.;
} else { 
tempoaliBalNull = false;
this.tempoaliBal = FglDouble.round(tempoaliBal, 2);
}
}

public double getTempoqualidade() {
return tempoqualidade;
}

public boolean isTempoqualidadeNull() {
return tempoqualidadeNull;
}

public void setTempoqualidade(int tempoqualidade) {
setTempoqualidade(new Double(tempoqualidade));
}

public void setTempoqualidade(long tempoqualidade) {
setTempoqualidade(new Double(tempoqualidade));
}

public void setTempoqualidade(Double tempoqualidade) {
if (tempoqualidade == null) {
tempoqualidadeNull = true;
this.tempoqualidade = 0.;
} else { 
tempoqualidadeNull = false;
this.tempoqualidade = FglDouble.round(tempoqualidade, 2);
}
}

public double getTempopreentrega() {
return tempopreentrega;
}

public boolean isTempopreentregaNull() {
return tempopreentregaNull;
}

public void setTempopreentrega(int tempopreentrega) {
setTempopreentrega(new Double(tempopreentrega));
}

public void setTempopreentrega(long tempopreentrega) {
setTempopreentrega(new Double(tempopreentrega));
}

public void setTempopreentrega(Double tempopreentrega) {
if (tempopreentrega == null) {
tempopreentregaNull = true;
this.tempopreentrega = 0.;
} else { 
tempopreentregaNull = false;
this.tempopreentrega = FglDouble.round(tempopreentrega, 2);
}
}

}

