package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspartsm {
@Coluna(nome="cspartsm.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cspartsm.consultores", tipo="int")
private int consultores;
private boolean consultoresNull;
@Coluna(nome="cspartsm.tempo_adicional", tipo="double")
private double tempoAdicional;
private boolean tempoAdicionalNull;
@Coluna(nome="cspartsm.formreqcomp", tipo="String")
private String formreqcomp;
@Coluna(nome="cspartsm.prazoagenda", tipo="int")
private int prazoagenda;
private boolean prazoagendaNull;
@Coluna(nome="cspartsm.nroformpreos", tipo="int")
private int nroformpreos;
private boolean nroformpreosNull;
@Coluna(nome="cspartsm.digacompserv", tipo="String")
private String digacompserv;
@Coluna(nome="cspartsm.tempabros", tipo="int")
private int tempabros;
private boolean tempabrosNull;
@Coluna(nome="cspartsm.usame", tipo="String")
private String usame;
@Coluna(nome="cspartsm.infcontatoretirada", tipo="String")
private String infcontatoretirada;
@Coluna(nome="cspartsm.imprimedav", tipo="String")
private String imprimedav;

public TabCspartsm() {
initialize();
}

public void initialize() {
setFilial(null);
setConsultores(null);
setTempoAdicional(null);
setFormreqcomp(null);
setPrazoagenda(null);
setNroformpreos(null);
setDigacompserv(null);
setTempabros(null);
setUsame(null);
setInfcontatoretirada(null);
setImprimedav(null);
}

public TabCspartsm(int filial, int consultores, double tempoAdicional, String formreqcomp, int prazoagenda, int nroformpreos, String digacompserv, int tempabros, String usame, String infcontatoretirada, String imprimedav) {
this.filial = filial;
this.consultores = consultores;
this.tempoAdicional = tempoAdicional;
this.formreqcomp = formreqcomp;
this.prazoagenda = prazoagenda;
this.nroformpreos = nroformpreos;
this.digacompserv = digacompserv;
this.tempabros = tempabros;
this.usame = usame;
this.infcontatoretirada = infcontatoretirada;
this.imprimedav = imprimedav;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getConsultores() {
return consultores;
}

public boolean isConsultoresNull() {
return consultoresNull;
}

public void setConsultores(Integer consultores) {
if (consultores == null) {
consultoresNull = true;
this.consultores = 0;
} else { 
consultoresNull = false;
this.consultores = consultores;
}
}

public double getTempoAdicional() {
return tempoAdicional;
}

public boolean isTempoAdicionalNull() {
return tempoAdicionalNull;
}

public void setTempoAdicional(int tempoAdicional) {
setTempoAdicional(new Double(tempoAdicional));
}

public void setTempoAdicional(long tempoAdicional) {
setTempoAdicional(new Double(tempoAdicional));
}

public void setTempoAdicional(Double tempoAdicional) {
if (tempoAdicional == null) {
tempoAdicionalNull = true;
this.tempoAdicional = 0.;
} else { 
tempoAdicionalNull = false;
this.tempoAdicional = FglDouble.round(tempoAdicional, 2);
}
}

public String getFormreqcomp() {
return formreqcomp;
}

public void setFormreqcomp(String formreqcomp) {
this.formreqcomp = formreqcomp;
}

public int getPrazoagenda() {
return prazoagenda;
}

public boolean isPrazoagendaNull() {
return prazoagendaNull;
}

public void setPrazoagenda(Integer prazoagenda) {
if (prazoagenda == null) {
prazoagendaNull = true;
this.prazoagenda = 0;
} else { 
prazoagendaNull = false;
this.prazoagenda = prazoagenda;
}
}

public int getNroformpreos() {
return nroformpreos;
}

public boolean isNroformpreosNull() {
return nroformpreosNull;
}

public void setNroformpreos(Integer nroformpreos) {
if (nroformpreos == null) {
nroformpreosNull = true;
this.nroformpreos = 0;
} else { 
nroformpreosNull = false;
this.nroformpreos = nroformpreos;
}
}

public String getDigacompserv() {
return digacompserv;
}

public void setDigacompserv(String digacompserv) {
this.digacompserv = digacompserv;
}

public int getTempabros() {
return tempabros;
}

public boolean isTempabrosNull() {
return tempabrosNull;
}

public void setTempabros(Integer tempabros) {
if (tempabros == null) {
tempabrosNull = true;
this.tempabros = 0;
} else { 
tempabrosNull = false;
this.tempabros = tempabros;
}
}

public String getUsame() {
return usame;
}

public void setUsame(String usame) {
this.usame = usame;
}

public String getInfcontatoretirada() {
return infcontatoretirada;
}

public void setInfcontatoretirada(String infcontatoretirada) {
this.infcontatoretirada = infcontatoretirada;
}

public String getImprimedav() {
return imprimedav;
}

public void setImprimedav(String imprimedav) {
this.imprimedav = imprimedav;
}

}

