package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCspecest {
@Coluna(nome="cspecest.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cspecest.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cspecest.nro_item", tipo="int")
private int nroItem;
private boolean nroItemNull;
@Coluna(nome="cspecest.produto", tipo="String")
private String produto;
@Coluna(nome="cspecest.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="cspecest.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;

public TabCspecest() {
initialize();
}

public void initialize() {
setFilial(null);
setIdOscapa(null);
setNroItem(null);
setProduto(null);
setRomaneio(null);
setQuantidade(null);
}

public TabCspecest(int filial, int idOscapa, int nroItem, String produto, int romaneio, double quantidade) {
this.filial = filial;
this.idOscapa = idOscapa;
this.nroItem = nroItem;
this.produto = produto;
this.romaneio = romaneio;
this.quantidade = quantidade;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroItem() {
return nroItem;
}

public boolean isNroItemNull() {
return nroItemNull;
}

public void setNroItem(Integer nroItem) {
if (nroItem == null) {
nroItemNull = true;
this.nroItem = 0;
} else { 
nroItemNull = false;
this.nroItem = nroItem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

}

