package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCsplaaux {
@Coluna(nome="csplaaux.modelo", tipo="String")
private String modelo;
@Coluna(nome="csplaaux.sintoma", tipo="String")
private String sintoma;
@Coluna(nome="csplaaux.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csplaaux.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="csplaaux.grupo", tipo="String")
private String grupo;
@Coluna(nome="csplaaux.ordem", tipo="String")
private String ordem;
@Coluna(nome="csplaaux.carro", tipo="String")
private String carro;
@Coluna(nome="csplaaux.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="csplaaux.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="csplaaux.mostratv", tipo="String")
private String mostratv;
@Coluna(nome="csplaaux.id_tipo_local", tipo="String")
private String idTipoLocal;
@Coluna(nome="csplaaux.cod_tipo_int_serv", tipo="String")
private String codTipoIntServ;

public TabCsplaaux() {
initialize();
}

public void initialize() {
setModelo(null);
setSintoma(null);
setIdServico(null);
setCombustivel(null);
setGrupo(null);
setOrdem(null);
setCarro(null);
setAnomodelo(null);
setQuilometr(null);
setMostratv(null);
setIdTipoLocal(null);
setCodTipoIntServ(null);
}

public TabCsplaaux(String modelo, String sintoma, int idServico, int combustivel, String grupo, String ordem, String carro, int anomodelo, int quilometr, String mostratv, String idTipoLocal, String codTipoIntServ) {
this.modelo = modelo;
this.sintoma = sintoma;
this.idServico = idServico;
this.combustivel = combustivel;
this.grupo = grupo;
this.ordem = ordem;
this.carro = carro;
this.anomodelo = anomodelo;
this.quilometr = quilometr;
this.mostratv = mostratv;
this.idTipoLocal = idTipoLocal;
this.codTipoIntServ = codTipoIntServ;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getSintoma() {
return sintoma;
}

public void setSintoma(String sintoma) {
this.sintoma = sintoma;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public String getGrupo() {
return grupo;
}

public void setGrupo(String grupo) {
this.grupo = grupo;
}

public String getOrdem() {
return ordem;
}

public void setOrdem(String ordem) {
this.ordem = ordem;
}

public String getCarro() {
return carro;
}

public void setCarro(String carro) {
this.carro = carro;
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getMostratv() {
return mostratv;
}

public void setMostratv(String mostratv) {
this.mostratv = mostratv;
}

public String getIdTipoLocal() {
return idTipoLocal;
}

public void setIdTipoLocal(String idTipoLocal) {
this.idTipoLocal = idTipoLocal;
}

public String getCodTipoIntServ() {
return codTipoIntServ;
}

public void setCodTipoIntServ(String codTipoIntServ) {
this.codTipoIntServ = codTipoIntServ;
}

}

