package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsprorem {
@Coluna(nome="csprorem.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csprorem.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csprorem.produto", tipo="String")
private String produto;
@Coluna(nome="csprorem.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="csprorem.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csprorem.qtdevol", tipo="double")
private double qtdevol;
private boolean qtdevolNull;
@Coluna(nome="csprorem.emitiunfrem", tipo="String")
private String emitiunfrem;
@Coluna(nome="csprorem.qtdenfrem", tipo="double")
private double qtdenfrem;
private boolean qtdenfremNull;
@Coluna(nome="csprorem.emitiunfret", tipo="String")
private String emitiunfret;
@Coluna(nome="csprorem.id_nfcapa_rem", tipo="int")
private int idNfcapaRem;
private boolean idNfcapaRemNull;
@Coluna(nome="csprorem.id_nfcapa_ret", tipo="int")
private int idNfcapaRet;
private boolean idNfcapaRetNull;
@Coluna(nome="csprorem.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;

public TabCsprorem() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setSequencia(null);
setQuantidade(null);
setQtdevol(null);
setEmitiunfrem(null);
setQtdenfrem(null);
setEmitiunfret(null);
setIdNfcapaRem(null);
setIdNfcapaRet(null);
setRomaneio(null);
}

public TabCsprorem(int idOscapa, int nroitem, String produto, int sequencia, double quantidade, double qtdevol, String emitiunfrem, double qtdenfrem, String emitiunfret, int idNfcapaRem, int idNfcapaRet, int romaneio) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.sequencia = sequencia;
this.quantidade = quantidade;
this.qtdevol = qtdevol;
this.emitiunfrem = emitiunfrem;
this.qtdenfrem = qtdenfrem;
this.emitiunfret = emitiunfret;
this.idNfcapaRem = idNfcapaRem;
this.idNfcapaRet = idNfcapaRet;
this.romaneio = romaneio;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getQtdevol() {
return qtdevol;
}

public boolean isQtdevolNull() {
return qtdevolNull;
}

public void setQtdevol(int qtdevol) {
setQtdevol(new Double(qtdevol));
}

public void setQtdevol(long qtdevol) {
setQtdevol(new Double(qtdevol));
}

public void setQtdevol(Double qtdevol) {
if (qtdevol == null) {
qtdevolNull = true;
this.qtdevol = 0.;
} else { 
qtdevolNull = false;
this.qtdevol = FglDouble.round(qtdevol, 2);
}
}

public String getEmitiunfrem() {
return emitiunfrem;
}

public void setEmitiunfrem(String emitiunfrem) {
this.emitiunfrem = emitiunfrem;
}

public double getQtdenfrem() {
return qtdenfrem;
}

public boolean isQtdenfremNull() {
return qtdenfremNull;
}

public void setQtdenfrem(int qtdenfrem) {
setQtdenfrem(new Double(qtdenfrem));
}

public void setQtdenfrem(long qtdenfrem) {
setQtdenfrem(new Double(qtdenfrem));
}

public void setQtdenfrem(Double qtdenfrem) {
if (qtdenfrem == null) {
qtdenfremNull = true;
this.qtdenfrem = 0.;
} else { 
qtdenfremNull = false;
this.qtdenfrem = FglDouble.round(qtdenfrem, 2);
}
}

public String getEmitiunfret() {
return emitiunfret;
}

public void setEmitiunfret(String emitiunfret) {
this.emitiunfret = emitiunfret;
}

public int getIdNfcapaRem() {
return idNfcapaRem;
}

public boolean isIdNfcapaRemNull() {
return idNfcapaRemNull;
}

public void setIdNfcapaRem(Integer idNfcapaRem) {
if (idNfcapaRem == null) {
idNfcapaRemNull = true;
this.idNfcapaRem = 0;
} else { 
idNfcapaRemNull = false;
this.idNfcapaRem = idNfcapaRem;
}
}

public int getIdNfcapaRet() {
return idNfcapaRet;
}

public boolean isIdNfcapaRetNull() {
return idNfcapaRetNull;
}

public void setIdNfcapaRet(Integer idNfcapaRet) {
if (idNfcapaRet == null) {
idNfcapaRetNull = true;
this.idNfcapaRet = 0;
} else { 
idNfcapaRetNull = false;
this.idNfcapaRet = idNfcapaRet;
}
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

}

