package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsrepgtm {
@Coluna(nome="csrepgtm.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csrepgtm.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csrepgtm.codservico", tipo="String")
private String codservico;
@Coluna(nome="csrepgtm.tempopadrao", tipo="double")
private double tempopadrao;
private boolean tempopadraoNull;
@Coluna(nome="csrepgtm.codigodecisao", tipo="String")
private String codigodecisao;
@Coluna(nome="csrepgtm.codigomensagem", tipo="String")
private String codigomensagem;

public TabCsrepgtm() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setCodservico(null);
setTempopadrao(null);
setCodigodecisao(null);
setCodigomensagem(null);
}

public TabCsrepgtm(int idOscapa, int nroitem, String codservico, double tempopadrao, String codigodecisao, String codigomensagem) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.codservico = codservico;
this.tempopadrao = tempopadrao;
this.codigodecisao = codigodecisao;
this.codigomensagem = codigomensagem;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public double getTempopadrao() {
return tempopadrao;
}

public boolean isTempopadraoNull() {
return tempopadraoNull;
}

public void setTempopadrao(int tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(long tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(Double tempopadrao) {
if (tempopadrao == null) {
tempopadraoNull = true;
this.tempopadrao = 0.;
} else { 
tempopadraoNull = false;
this.tempopadrao = FglDouble.round(tempopadrao, 2);
}
}

public String getCodigodecisao() {
return codigodecisao;
}

public void setCodigodecisao(String codigodecisao) {
this.codigodecisao = codigodecisao;
}

public String getCodigomensagem() {
return codigomensagem;
}

public void setCodigomensagem(String codigomensagem) {
this.codigomensagem = codigomensagem;
}

}

