package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsretren {
@Coluna(nome="csretren.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csretren.descricao", tipo="String")
private String descricao;
@Coluna(nome="csretren.motivo_nrpc", tipo="String")
private String motivoNrpc;
@Coluna(nome="csretren.motivo_trabalho", tipo="String")
private String motivoTrabalho;
@Coluna(nome="csretren.motivo_pecas", tipo="String")
private String motivoPecas;
@Coluna(nome="csretren.motivo_outros", tipo="String")
private String motivoOutros;
@Coluna(nome="csretren.solucao", tipo="String")
private String solucao;
@Coluna(nome="csretren.dt_prevista", tipo="FglDate")
private FglDate dtPrevista;
@Coluna(nome="csretren.dt_ligacao", tipo="FglDate")
private FglDate dtLigacao;
@Coluna(nome="csretren.id_responsavel", tipo="int")
private int idResponsavel;
private boolean idResponsavelNull;
@Coluna(nome="csretren.id_cotech", tipo="int")
private int idCotech;
private boolean idCotechNull;
@Coluna(nome="csretren.id_gerente", tipo="int")
private int idGerente;
private boolean idGerenteNull;

public TabCsretren() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDescricao(null);
setMotivoNrpc(null);
setMotivoTrabalho(null);
setMotivoPecas(null);
setMotivoOutros(null);
setSolucao(null);
setDtPrevista(null);
setDtLigacao(null);
setIdResponsavel(null);
setIdCotech(null);
setIdGerente(null);
}

public TabCsretren(int idOscapa, String descricao, String motivoNrpc, String motivoTrabalho, String motivoPecas, String motivoOutros, String solucao, FglDate dtPrevista, FglDate dtLigacao, int idResponsavel, int idCotech, int idGerente) {
this.idOscapa = idOscapa;
this.descricao = descricao;
this.motivoNrpc = motivoNrpc;
this.motivoTrabalho = motivoTrabalho;
this.motivoPecas = motivoPecas;
this.motivoOutros = motivoOutros;
this.solucao = solucao;
this.dtPrevista = dtPrevista;
this.dtLigacao = dtLigacao;
this.idResponsavel = idResponsavel;
this.idCotech = idCotech;
this.idGerente = idGerente;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getMotivoNrpc() {
return motivoNrpc;
}

public void setMotivoNrpc(String motivoNrpc) {
this.motivoNrpc = motivoNrpc;
}

public String getMotivoTrabalho() {
return motivoTrabalho;
}

public void setMotivoTrabalho(String motivoTrabalho) {
this.motivoTrabalho = motivoTrabalho;
}

public String getMotivoPecas() {
return motivoPecas;
}

public void setMotivoPecas(String motivoPecas) {
this.motivoPecas = motivoPecas;
}

public String getMotivoOutros() {
return motivoOutros;
}

public void setMotivoOutros(String motivoOutros) {
this.motivoOutros = motivoOutros;
}

public String getSolucao() {
return solucao;
}

public void setSolucao(String solucao) {
this.solucao = solucao;
}

public FglDate getDtPrevista() {
return dtPrevista;
}

public void setDtPrevista(FglDate dtPrevista) {
this.dtPrevista = dtPrevista;
}

public FglDate getDtLigacao() {
return dtLigacao;
}

public void setDtLigacao(FglDate dtLigacao) {
this.dtLigacao = dtLigacao;
}

public int getIdResponsavel() {
return idResponsavel;
}

public boolean isIdResponsavelNull() {
return idResponsavelNull;
}

public void setIdResponsavel(Integer idResponsavel) {
if (idResponsavel == null) {
idResponsavelNull = true;
this.idResponsavel = 0;
} else { 
idResponsavelNull = false;
this.idResponsavel = idResponsavel;
}
}

public int getIdCotech() {
return idCotech;
}

public boolean isIdCotechNull() {
return idCotechNull;
}

public void setIdCotech(Integer idCotech) {
if (idCotech == null) {
idCotechNull = true;
this.idCotech = 0;
} else { 
idCotechNull = false;
this.idCotech = idCotech;
}
}

public int getIdGerente() {
return idGerente;
}

public boolean isIdGerenteNull() {
return idGerenteNull;
}

public void setIdGerente(Integer idGerente) {
if (idGerente == null) {
idGerenteNull = true;
this.idGerente = 0;
} else { 
idGerenteNull = false;
this.idGerente = idGerente;
}
}

}

