package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsrevant {
@Coluna(nome="csrevant.id_revant", tipo="int")
private int idRevant;
private boolean idRevantNull;
@Coluna(nome="csrevant.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csrevant.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="csrevant.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="csrevant.chassis", tipo="String")
private String chassis;
@Coluna(nome="csrevant.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="csrevant.vlrtotal", tipo="double")
private double vlrtotal;
private boolean vlrtotalNull;

public TabCsrevant() {
initialize();
}

public void initialize() {
setIdRevant(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setChassis(null);
setDtvenda(null);
setVlrtotal(null);
}

public TabCsrevant(int idRevant, int filial, long cgccpf, int tppessoa, String chassis, FglDate dtvenda, double vlrtotal) {
this.idRevant = idRevant;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.chassis = chassis;
this.dtvenda = dtvenda;
this.vlrtotal = vlrtotal;
}

public int getIdRevant() {
return idRevant;
}

public boolean isIdRevantNull() {
return idRevantNull;
}

public void setIdRevant(Integer idRevant) {
if (idRevant == null) {
idRevantNull = true;
this.idRevant = 0;
} else { 
idRevantNull = false;
this.idRevant = idRevant;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public double getVlrtotal() {
return vlrtotal;
}

public boolean isVlrtotalNull() {
return vlrtotalNull;
}

public void setVlrtotal(int vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(long vlrtotal) {
setVlrtotal(new Double(vlrtotal));
}

public void setVlrtotal(Double vlrtotal) {
if (vlrtotal == null) {
vlrtotalNull = true;
this.vlrtotal = 0.;
} else { 
vlrtotalNull = false;
this.vlrtotal = FglDouble.round(vlrtotal, 2);
}
}

}

