package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsrqvola {
@Coluna(nome="csrqvola.id_agmecanico", tipo="int")
private int idAgmecanico;
private boolean idAgmecanicoNull;
@Coluna(nome="csrqvola.id_agentregou", tipo="int")
private int idAgentregou;
private boolean idAgentregouNull;
@Coluna(nome="csrqvola.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="csrqvola.produto", tipo="String")
private String produto;
@Coluna(nome="csrqvola.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csrqvola.quementrega", tipo="String")
private String quementrega;
@Coluna(nome="csrqvola.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;

public TabCsrqvola() {
initialize();
}

public void initialize() {
setIdAgmecanico(null);
setIdAgentregou(null);
setDtdigitacao(null);
setProduto(null);
setQuantidade(null);
setQuementrega(null);
setRomaneio(null);
}

public TabCsrqvola(int idAgmecanico, int idAgentregou, FglDateTimeYS dtdigitacao, String produto, double quantidade, String quementrega, int romaneio) {
this.idAgmecanico = idAgmecanico;
this.idAgentregou = idAgentregou;
this.dtdigitacao = dtdigitacao;
this.produto = produto;
this.quantidade = quantidade;
this.quementrega = quementrega;
this.romaneio = romaneio;
}

public int getIdAgmecanico() {
return idAgmecanico;
}

public boolean isIdAgmecanicoNull() {
return idAgmecanicoNull;
}

public void setIdAgmecanico(Integer idAgmecanico) {
if (idAgmecanico == null) {
idAgmecanicoNull = true;
this.idAgmecanico = 0;
} else { 
idAgmecanicoNull = false;
this.idAgmecanico = idAgmecanico;
}
}

public int getIdAgentregou() {
return idAgentregou;
}

public boolean isIdAgentregouNull() {
return idAgentregouNull;
}

public void setIdAgentregou(Integer idAgentregou) {
if (idAgentregou == null) {
idAgentregouNull = true;
this.idAgentregou = 0;
} else { 
idAgentregouNull = false;
this.idAgentregou = idAgentregou;
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public String getQuementrega() {
return quementrega;
}

public void setQuementrega(String quementrega) {
this.quementrega = quementrega;
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

}

