package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCsscpcre {
@Coluna(nome="csscpcre.id_scpcre", tipo="int")
private int idScpcre;
private boolean idScpcreNull;
@Coluna(nome="csscpcre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="csscpcre.codrevp", tipo="int")
private int codrevp;
private boolean codrevpNull;
@Coluna(nome="csscpcre.datgeracao", tipo="FglDateTimeYS")
private FglDateTimeYS datgeracao;
@Coluna(nome="csscpcre.idtstatus", tipo="String")
private String idtstatus;
@Coluna(nome="csscpcre.datrecebimento", tipo="FglDate")
private FglDate datrecebimento;
@Coluna(nome="csscpcre.datcancelamento", tipo="FglDateTimeYS")
private FglDateTimeYS datcancelamento;
@Coluna(nome="csscpcre.datestorno", tipo="FglDateTimeYS")
private FglDateTimeYS datestorno;

public TabCsscpcre() {
initialize();
}

public void initialize() {
setIdScpcre(null);
setFilial(null);
setCodrevp(null);
setDatgeracao(null);
setIdtstatus(null);
setDatrecebimento(null);
setDatcancelamento(null);
setDatestorno(null);
}

public TabCsscpcre(int idScpcre, int filial, int codrevp, FglDateTimeYS datgeracao, String idtstatus, FglDate datrecebimento, FglDateTimeYS datcancelamento, FglDateTimeYS datestorno) {
this.idScpcre = idScpcre;
this.filial = filial;
this.codrevp = codrevp;
this.datgeracao = datgeracao;
this.idtstatus = idtstatus;
this.datrecebimento = datrecebimento;
this.datcancelamento = datcancelamento;
this.datestorno = datestorno;
}

public int getIdScpcre() {
return idScpcre;
}

public boolean isIdScpcreNull() {
return idScpcreNull;
}

public void setIdScpcre(Integer idScpcre) {
if (idScpcre == null) {
idScpcreNull = true;
this.idScpcre = 0;
} else { 
idScpcreNull = false;
this.idScpcre = idScpcre;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getCodrevp() {
return codrevp;
}

public boolean isCodrevpNull() {
return codrevpNull;
}

public void setCodrevp(Integer codrevp) {
if (codrevp == null) {
codrevpNull = true;
this.codrevp = 0;
} else { 
codrevpNull = false;
this.codrevp = codrevp;
}
}

public FglDateTimeYS getDatgeracao() {
return datgeracao;
}

public void setDatgeracao(FglDateTimeYS datgeracao) {
this.datgeracao = datgeracao;
}

public String getIdtstatus() {
return idtstatus;
}

public void setIdtstatus(String idtstatus) {
this.idtstatus = idtstatus;
}

public FglDate getDatrecebimento() {
return datrecebimento;
}

public void setDatrecebimento(FglDate datrecebimento) {
this.datrecebimento = datrecebimento;
}

public FglDateTimeYS getDatcancelamento() {
return datcancelamento;
}

public void setDatcancelamento(FglDateTimeYS datcancelamento) {
this.datcancelamento = datcancelamento;
}

public FglDateTimeYS getDatestorno() {
return datestorno;
}

public void setDatestorno(FglDateTimeYS datestorno) {
this.datestorno = datestorno;
}

}

