package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCsserexe {
@Coluna(nome="csserexe.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csserexe.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="csserexe.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csserexe.tpitem", tipo="int")
private int tpitem;
private boolean tpitemNull;
@Coluna(nome="csserexe.descrservico", tipo="String")
private String descrservico;
@Coluna(nome="csserexe.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="csserexe.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="csserexe.descunit", tipo="double")
private double descunit;
private boolean descunitNull;
@Coluna(nome="csserexe.custoprevisto", tipo="double")
private double custoprevisto;
private boolean custoprevistoNull;
@Coluna(nome="csserexe.custo", tipo="double")
private double custo;
private boolean custoNull;
@Coluna(nome="csserexe.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="csserexe.id_agentedig", tipo="int")
private int idAgentedig;
private boolean idAgentedigNull;
@Coluna(nome="csserexe.tempopadrao", tipo="double")
private double tempopadrao;
private boolean tempopadraoNull;
@Coluna(nome="csserexe.temporeal", tipo="double")
private double temporeal;
private boolean temporealNull;
@Coluna(nome="csserexe.tempovendido", tipo="double")
private double tempovendido;
private boolean tempovendidoNull;
@Coluna(nome="csserexe.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="csserexe.revalorizar", tipo="String")
private String revalorizar;

public TabCsserexe() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setIdServico(null);
setTpitem(null);
setDescrservico(null);
setQuantidade(null);
setUnitario(null);
setDescunit(null);
setCustoprevisto(null);
setCusto(null);
setDtdigitacao(null);
setIdAgentedig(null);
setTempopadrao(null);
setTemporeal(null);
setTempovendido(null);
setAbrevsetor(null);
setRevalorizar(null);
}

public TabCsserexe(int idOscapa, int nroitem, int idServico, int tpitem, String descrservico, double quantidade, double unitario, double descunit, double custoprevisto, double custo, FglDateTimeYS dtdigitacao, int idAgentedig, double tempopadrao, double temporeal, double tempovendido, String abrevsetor, String revalorizar) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idServico = idServico;
this.tpitem = tpitem;
this.descrservico = descrservico;
this.quantidade = quantidade;
this.unitario = unitario;
this.descunit = descunit;
this.custoprevisto = custoprevisto;
this.custo = custo;
this.dtdigitacao = dtdigitacao;
this.idAgentedig = idAgentedig;
this.tempopadrao = tempopadrao;
this.temporeal = temporeal;
this.tempovendido = tempovendido;
this.abrevsetor = abrevsetor;
this.revalorizar = revalorizar;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getTpitem() {
return tpitem;
}

public boolean isTpitemNull() {
return tpitemNull;
}

public void setTpitem(Integer tpitem) {
if (tpitem == null) {
tpitemNull = true;
this.tpitem = 0;
} else { 
tpitemNull = false;
this.tpitem = tpitem;
}
}

public String getDescrservico() {
return descrservico;
}

public void setDescrservico(String descrservico) {
this.descrservico = descrservico;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getDescunit() {
return descunit;
}

public boolean isDescunitNull() {
return descunitNull;
}

public void setDescunit(int descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(long descunit) {
setDescunit(new Double(descunit));
}

public void setDescunit(Double descunit) {
if (descunit == null) {
descunitNull = true;
this.descunit = 0.;
} else { 
descunitNull = false;
this.descunit = FglDouble.round(descunit, 2);
}
}

public double getCustoprevisto() {
return custoprevisto;
}

public boolean isCustoprevistoNull() {
return custoprevistoNull;
}

public void setCustoprevisto(int custoprevisto) {
setCustoprevisto(new Double(custoprevisto));
}

public void setCustoprevisto(long custoprevisto) {
setCustoprevisto(new Double(custoprevisto));
}

public void setCustoprevisto(Double custoprevisto) {
if (custoprevisto == null) {
custoprevistoNull = true;
this.custoprevisto = 0.;
} else { 
custoprevistoNull = false;
this.custoprevisto = FglDouble.round(custoprevisto, 2);
}
}

public double getCusto() {
return custo;
}

public boolean isCustoNull() {
return custoNull;
}

public void setCusto(int custo) {
setCusto(new Double(custo));
}

public void setCusto(long custo) {
setCusto(new Double(custo));
}

public void setCusto(Double custo) {
if (custo == null) {
custoNull = true;
this.custo = 0.;
} else { 
custoNull = false;
this.custo = FglDouble.round(custo, 2);
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdAgentedig() {
return idAgentedig;
}

public boolean isIdAgentedigNull() {
return idAgentedigNull;
}

public void setIdAgentedig(Integer idAgentedig) {
if (idAgentedig == null) {
idAgentedigNull = true;
this.idAgentedig = 0;
} else { 
idAgentedigNull = false;
this.idAgentedig = idAgentedig;
}
}

public double getTempopadrao() {
return tempopadrao;
}

public boolean isTempopadraoNull() {
return tempopadraoNull;
}

public void setTempopadrao(int tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(long tempopadrao) {
setTempopadrao(new Double(tempopadrao));
}

public void setTempopadrao(Double tempopadrao) {
if (tempopadrao == null) {
tempopadraoNull = true;
this.tempopadrao = 0.;
} else { 
tempopadraoNull = false;
this.tempopadrao = FglDouble.round(tempopadrao, 2);
}
}

public double getTemporeal() {
return temporeal;
}

public boolean isTemporealNull() {
return temporealNull;
}

public void setTemporeal(int temporeal) {
setTemporeal(new Double(temporeal));
}

public void setTemporeal(long temporeal) {
setTemporeal(new Double(temporeal));
}

public void setTemporeal(Double temporeal) {
if (temporeal == null) {
temporealNull = true;
this.temporeal = 0.;
} else { 
temporealNull = false;
this.temporeal = FglDouble.round(temporeal, 2);
}
}

public double getTempovendido() {
return tempovendido;
}

public boolean isTempovendidoNull() {
return tempovendidoNull;
}

public void setTempovendido(int tempovendido) {
setTempovendido(new Double(tempovendido));
}

public void setTempovendido(long tempovendido) {
setTempovendido(new Double(tempovendido));
}

public void setTempovendido(Double tempovendido) {
if (tempovendido == null) {
tempovendidoNull = true;
this.tempovendido = 0.;
} else { 
tempovendidoNull = false;
this.tempovendido = FglDouble.round(tempovendido, 2);
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public String getRevalorizar() {
return revalorizar;
}

public void setRevalorizar(String revalorizar) {
this.revalorizar = revalorizar;
}

}

