package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCsserfup {
@Coluna(nome="csserfup.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csserfup.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="csserfup.abrevsetor", tipo="String")
private String abrevsetor;
@Coluna(nome="csserfup.tempo", tipo="double")
private double tempo;
private boolean tempoNull;
@Coluna(nome="csserfup.etapafp", tipo="String")
private String etapafp;

public TabCsserfup() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setIdServico(null);
setAbrevsetor(null);
setTempo(null);
setEtapafp(null);
}

public TabCsserfup(int idOscapa, int idServico, String abrevsetor, double tempo, String etapafp) {
this.idOscapa = idOscapa;
this.idServico = idServico;
this.abrevsetor = abrevsetor;
this.tempo = tempo;
this.etapafp = etapafp;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getAbrevsetor() {
return abrevsetor;
}

public void setAbrevsetor(String abrevsetor) {
this.abrevsetor = abrevsetor;
}

public double getTempo() {
return tempo;
}

public boolean isTempoNull() {
return tempoNull;
}

public void setTempo(int tempo) {
setTempo(new Double(tempo));
}

public void setTempo(long tempo) {
setTempo(new Double(tempo));
}

public void setTempo(Double tempo) {
if (tempo == null) {
tempoNull = true;
this.tempo = 0.;
} else { 
tempoNull = false;
this.tempo = FglDouble.round(tempo, 2);
}
}

public String getEtapafp() {
return etapafp;
}

public void setEtapafp(String etapafp) {
this.etapafp = etapafp;
}

}

