package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCssolcre {
@Coluna(nome="cssolcre.id_solcre", tipo="int")
private int idSolcre;
private boolean idSolcreNull;
@Coluna(nome="cssolcre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cssolcre.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cssolcre.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cssolcre.produto", tipo="String")
private String produto;
@Coluna(nome="cssolcre.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="cssolcre.defeito", tipo="String")
private String defeito;
@Coluna(nome="cssolcre.solcredito", tipo="int")
private int solcredito;
private boolean solcreditoNull;
@Coluna(nome="cssolcre.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="cssolcre.datasc", tipo="FglDate")
private FglDate datasc;

public TabCssolcre() {
initialize();
}

public void initialize() {
setIdSolcre(null);
setFilial(null);
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setQuantidade(null);
setDefeito(null);
setSolcredito(null);
setLinha(null);
setDatasc(null);
}

public TabCssolcre(int idSolcre, int filial, int idOscapa, int nroitem, String produto, double quantidade, String defeito, int solcredito, int linha, FglDate datasc) {
this.idSolcre = idSolcre;
this.filial = filial;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.quantidade = quantidade;
this.defeito = defeito;
this.solcredito = solcredito;
this.linha = linha;
this.datasc = datasc;
}

public int getIdSolcre() {
return idSolcre;
}

public boolean isIdSolcreNull() {
return idSolcreNull;
}

public void setIdSolcre(Integer idSolcre) {
if (idSolcre == null) {
idSolcreNull = true;
this.idSolcre = 0;
} else { 
idSolcreNull = false;
this.idSolcre = idSolcre;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public int getSolcredito() {
return solcredito;
}

public boolean isSolcreditoNull() {
return solcreditoNull;
}

public void setSolcredito(Integer solcredito) {
if (solcredito == null) {
solcreditoNull = true;
this.solcredito = 0;
} else { 
solcreditoNull = false;
this.solcredito = solcredito;
}
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public FglDate getDatasc() {
return datasc;
}

public void setDatasc(FglDate datasc) {
this.datasc = datasc;
}

}

