package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCstabrec {
@Coluna(nome="cstabrec.id_recurso", tipo="int")
private int idRecurso;
private boolean idRecursoNull;
@Coluna(nome="cstabrec.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cstabrec.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cstabrec.nomerecurso", tipo="String")
private String nomerecurso;
@Coluna(nome="cstabrec.tprecurso", tipo="int")
private int tprecurso;
private boolean tprecursoNull;
@Coluna(nome="cstabrec.niveltipo", tipo="String")
private String niveltipo;
@Coluna(nome="cstabrec.percagenda", tipo="double")
private double percagenda;
private boolean percagendaNull;
@Coluna(nome="cstabrec.eficiencia", tipo="double")
private double eficiencia;
private boolean eficienciaNull;
@Coluna(nome="cstabrec.tempofixo", tipo="double")
private double tempofixo;
private boolean tempofixoNull;
@Coluna(nome="cstabrec.mandatorio", tipo="String")
private String mandatorio;
@Coluna(nome="cstabrec.ativo", tipo="String")
private String ativo;
@Coluna(nome="cstabrec.tipobox", tipo="int")
private int tipobox;
private boolean tipoboxNull;
@Coluna(nome="cstabrec.id_reccons1", tipo="int")
private int idReccons1;
private boolean idReccons1Null;
@Coluna(nome="cstabrec.id_reccons2", tipo="int")
private int idReccons2;
private boolean idReccons2Null;
@Coluna(nome="cstabrec.tec_aprendiz", tipo="String")
private String tecAprendiz;

public TabCstabrec() {
initialize();
}

public void initialize() {
setIdRecurso(null);
setFilial(null);
setIdAgente(null);
setNomerecurso(null);
setTprecurso(null);
setNiveltipo(null);
setPercagenda(null);
setEficiencia(null);
setTempofixo(null);
setMandatorio(null);
setAtivo(null);
setTipobox(null);
setIdReccons1(null);
setIdReccons2(null);
setTecAprendiz(null);
}

public TabCstabrec(int idRecurso, int filial, int idAgente, String nomerecurso, int tprecurso, String niveltipo, double percagenda, double eficiencia, double tempofixo, String mandatorio, String ativo, int tipobox, int idReccons1, int idReccons2, String tecAprendiz) {
this.idRecurso = idRecurso;
this.filial = filial;
this.idAgente = idAgente;
this.nomerecurso = nomerecurso;
this.tprecurso = tprecurso;
this.niveltipo = niveltipo;
this.percagenda = percagenda;
this.eficiencia = eficiencia;
this.tempofixo = tempofixo;
this.mandatorio = mandatorio;
this.ativo = ativo;
this.tipobox = tipobox;
this.idReccons1 = idReccons1;
this.idReccons2 = idReccons2;
this.tecAprendiz = tecAprendiz;
}

public int getIdRecurso() {
return idRecurso;
}

public boolean isIdRecursoNull() {
return idRecursoNull;
}

public void setIdRecurso(Integer idRecurso) {
if (idRecurso == null) {
idRecursoNull = true;
this.idRecurso = 0;
} else { 
idRecursoNull = false;
this.idRecurso = idRecurso;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getNomerecurso() {
return nomerecurso;
}

public void setNomerecurso(String nomerecurso) {
this.nomerecurso = nomerecurso;
}

public int getTprecurso() {
return tprecurso;
}

public boolean isTprecursoNull() {
return tprecursoNull;
}

public void setTprecurso(Integer tprecurso) {
if (tprecurso == null) {
tprecursoNull = true;
this.tprecurso = 0;
} else { 
tprecursoNull = false;
this.tprecurso = tprecurso;
}
}

public String getNiveltipo() {
return niveltipo;
}

public void setNiveltipo(String niveltipo) {
this.niveltipo = niveltipo;
}

public double getPercagenda() {
return percagenda;
}

public boolean isPercagendaNull() {
return percagendaNull;
}

public void setPercagenda(int percagenda) {
setPercagenda(new Double(percagenda));
}

public void setPercagenda(long percagenda) {
setPercagenda(new Double(percagenda));
}

public void setPercagenda(Double percagenda) {
if (percagenda == null) {
percagendaNull = true;
this.percagenda = 0.;
} else { 
percagendaNull = false;
this.percagenda = FglDouble.round(percagenda, 2);
}
}

public double getEficiencia() {
return eficiencia;
}

public boolean isEficienciaNull() {
return eficienciaNull;
}

public void setEficiencia(int eficiencia) {
setEficiencia(new Double(eficiencia));
}

public void setEficiencia(long eficiencia) {
setEficiencia(new Double(eficiencia));
}

public void setEficiencia(Double eficiencia) {
if (eficiencia == null) {
eficienciaNull = true;
this.eficiencia = 0.;
} else { 
eficienciaNull = false;
this.eficiencia = FglDouble.round(eficiencia, 2);
}
}

public double getTempofixo() {
return tempofixo;
}

public boolean isTempofixoNull() {
return tempofixoNull;
}

public void setTempofixo(int tempofixo) {
setTempofixo(new Double(tempofixo));
}

public void setTempofixo(long tempofixo) {
setTempofixo(new Double(tempofixo));
}

public void setTempofixo(Double tempofixo) {
if (tempofixo == null) {
tempofixoNull = true;
this.tempofixo = 0.;
} else { 
tempofixoNull = false;
this.tempofixo = FglDouble.round(tempofixo, 2);
}
}

public String getMandatorio() {
return mandatorio;
}

public void setMandatorio(String mandatorio) {
this.mandatorio = mandatorio;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public int getTipobox() {
return tipobox;
}

public boolean isTipoboxNull() {
return tipoboxNull;
}

public void setTipobox(Integer tipobox) {
if (tipobox == null) {
tipoboxNull = true;
this.tipobox = 0;
} else { 
tipoboxNull = false;
this.tipobox = tipobox;
}
}

public int getIdReccons1() {
return idReccons1;
}

public boolean isIdReccons1Null() {
return idReccons1Null;
}

public void setIdReccons1(Integer idReccons1) {
if (idReccons1 == null) {
idReccons1Null = true;
this.idReccons1 = 0;
} else { 
idReccons1Null = false;
this.idReccons1 = idReccons1;
}
}

public int getIdReccons2() {
return idReccons2;
}

public boolean isIdReccons2Null() {
return idReccons2Null;
}

public void setIdReccons2(Integer idReccons2) {
if (idReccons2 == null) {
idReccons2Null = true;
this.idReccons2 = 0;
} else { 
idReccons2Null = false;
this.idReccons2 = idReccons2;
}
}

public String getTecAprendiz() {
return tecAprendiz;
}

public void setTecAprendiz(String tecAprendiz) {
this.tecAprendiz = tecAprendiz;
}

}

