package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCstempos {
@Coluna(nome="cstempos.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cstempos.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cstempos.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="cstempos.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cstempos.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cstempos.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="cstempos.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cstempos.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="cstempos.estadoserv", tipo="int")
private int estadoserv;
private boolean estadoservNull;
@Coluna(nome="cstempos.id_agenteaj", tipo="int")
private int idAgenteaj;
private boolean idAgenteajNull;

public TabCstempos() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setIdServico(null);
setIdAgente(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setEstadoserv(null);
setIdAgenteaj(null);
}

public TabCstempos(int idOscapa, int nroitem, int idServico, int idAgente, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, int estadoserv, int idAgenteaj) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idServico = idServico;
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.estadoserv = estadoserv;
this.idAgenteaj = idAgenteaj;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public int getEstadoserv() {
return estadoserv;
}

public boolean isEstadoservNull() {
return estadoservNull;
}

public void setEstadoserv(Integer estadoserv) {
if (estadoserv == null) {
estadoservNull = true;
this.estadoserv = 0;
} else { 
estadoservNull = false;
this.estadoserv = estadoserv;
}
}

public int getIdAgenteaj() {
return idAgenteaj;
}

public boolean isIdAgenteajNull() {
return idAgenteajNull;
}

public void setIdAgenteaj(Integer idAgenteaj) {
if (idAgenteaj == null) {
idAgenteajNull = true;
this.idAgenteaj = 0;
} else { 
idAgenteajNull = false;
this.idAgenteaj = idAgenteaj;
}
}

}

