package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCstemter {
@Coluna(nome="cstemter.id_temter", tipo="int")
private int idTemter;
private boolean idTemterNull;
@Coluna(nome="cstemter.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cstemter.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cstemter.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="cstemter.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cstemter.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cstemter.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cstemter.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="cstemter.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cstemter.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="cstemter.estadoserv", tipo="int")
private int estadoserv;
private boolean estadoservNull;
@Coluna(nome="cstemter.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;

public TabCstemter() {
initialize();
}

public void initialize() {
setIdTemter(null);
setIdOscapa(null);
setNroitem(null);
setIdServico(null);
setCgccpf(null);
setTppessoa(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
setEstadoserv(null);
setIdAgente(null);
}

public TabCstemter(int idTemter, int idOscapa, int nroitem, int idServico, long cgccpf, int tppessoa, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim, int estadoserv, int idAgente) {
this.idTemter = idTemter;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.idServico = idServico;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
this.estadoserv = estadoserv;
this.idAgente = idAgente;
}

public int getIdTemter() {
return idTemter;
}

public boolean isIdTemterNull() {
return idTemterNull;
}

public void setIdTemter(Integer idTemter) {
if (idTemter == null) {
idTemterNull = true;
this.idTemter = 0;
} else { 
idTemterNull = false;
this.idTemter = idTemter;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public int getEstadoserv() {
return estadoserv;
}

public boolean isEstadoservNull() {
return estadoservNull;
}

public void setEstadoserv(Integer estadoserv) {
if (estadoserv == null) {
estadoservNull = true;
this.estadoserv = 0;
} else { 
estadoservNull = false;
this.estadoserv = estadoserv;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

}

