package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCstipser {
@Coluna(nome="cstipser.tpservico", tipo="int")
private int tpservico;
private boolean tpservicoNull;
@Coluna(nome="cstipser.descricao", tipo="String")
private String descricao;
@Coluna(nome="cstipser.tipofabricante", tipo="String")
private String tipofabricante;
@Coluna(nome="cstipser.pacote", tipo="String")
private String pacote;
@Coluna(nome="cstipser.indicser", tipo="String")
private String indicser;
@Coluna(nome="cstipser.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="cstipser.percretir", tipo="double")
private double percretir;
private boolean percretirNull;
@Coluna(nome="cstipser.percretinss", tipo="double")
private double percretinss;
private boolean percretinssNull;
@Coluna(nome="cstipser.percretcsl", tipo="double")
private double percretcsl;
private boolean percretcslNull;
@Coluna(nome="cstipser.percretpis", tipo="double")
private double percretpis;
private boolean percretpisNull;
@Coluna(nome="cstipser.percretcof", tipo="double")
private double percretcof;
private boolean percretcofNull;
@Coluna(nome="cstipser.deduzretnf", tipo="String")
private String deduzretnf;
@Coluna(nome="cstipser.baseminret", tipo="double")
private double baseminret;
private boolean baseminretNull;
@Coluna(nome="cstipser.vrminir", tipo="double")
private double vrminir;
private boolean vrminirNull;
@Coluna(nome="cstipser.truncaiss", tipo="String")
private String truncaiss;
@Coluna(nome="cstipser.formacalciss", tipo="String")
private String formacalciss;
@Coluna(nome="cstipser.listaservico", tipo="int")
private int listaservico;
private boolean listaservicoNull;
@Coluna(nome="cstipser.tpsernissan", tipo="String")
private String tpsernissan;
@Coluna(nome="cstipser.tiporet", tipo="String")
private String tiporet;

public TabCstipser() {
initialize();
}

public void initialize() {
setTpservico(null);
setDescricao(null);
setTipofabricante(null);
setPacote(null);
setIndicser(null);
setClassefiscal(null);
setPercretir(null);
setPercretinss(null);
setPercretcsl(null);
setPercretpis(null);
setPercretcof(null);
setDeduzretnf(null);
setBaseminret(null);
setVrminir(null);
setTruncaiss(null);
setFormacalciss(null);
setListaservico(null);
setTpsernissan(null);
setTiporet(null);
}

public TabCstipser(int tpservico, String descricao, String tipofabricante, String pacote, String indicser, String classefiscal, double percretir, double percretinss, double percretcsl, double percretpis, double percretcof, String deduzretnf, double baseminret, double vrminir, String truncaiss, String formacalciss, int listaservico, String tpsernissan, String tiporet) {
this.tpservico = tpservico;
this.descricao = descricao;
this.tipofabricante = tipofabricante;
this.pacote = pacote;
this.indicser = indicser;
this.classefiscal = classefiscal;
this.percretir = percretir;
this.percretinss = percretinss;
this.percretcsl = percretcsl;
this.percretpis = percretpis;
this.percretcof = percretcof;
this.deduzretnf = deduzretnf;
this.baseminret = baseminret;
this.vrminir = vrminir;
this.truncaiss = truncaiss;
this.formacalciss = formacalciss;
this.listaservico = listaservico;
this.tpsernissan = tpsernissan;
this.tiporet = tiporet;
}

public int getTpservico() {
return tpservico;
}

public boolean isTpservicoNull() {
return tpservicoNull;
}

public void setTpservico(Integer tpservico) {
if (tpservico == null) {
tpservicoNull = true;
this.tpservico = 0;
} else { 
tpservicoNull = false;
this.tpservico = tpservico;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipofabricante() {
return tipofabricante;
}

public void setTipofabricante(String tipofabricante) {
this.tipofabricante = tipofabricante;
}

public String getPacote() {
return pacote;
}

public void setPacote(String pacote) {
this.pacote = pacote;
}

public String getIndicser() {
return indicser;
}

public void setIndicser(String indicser) {
this.indicser = indicser;
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public double getPercretir() {
return percretir;
}

public boolean isPercretirNull() {
return percretirNull;
}

public void setPercretir(int percretir) {
setPercretir(new Double(percretir));
}

public void setPercretir(long percretir) {
setPercretir(new Double(percretir));
}

public void setPercretir(Double percretir) {
if (percretir == null) {
percretirNull = true;
this.percretir = 0.;
} else { 
percretirNull = false;
this.percretir = FglDouble.round(percretir, 2);
}
}

public double getPercretinss() {
return percretinss;
}

public boolean isPercretinssNull() {
return percretinssNull;
}

public void setPercretinss(int percretinss) {
setPercretinss(new Double(percretinss));
}

public void setPercretinss(long percretinss) {
setPercretinss(new Double(percretinss));
}

public void setPercretinss(Double percretinss) {
if (percretinss == null) {
percretinssNull = true;
this.percretinss = 0.;
} else { 
percretinssNull = false;
this.percretinss = FglDouble.round(percretinss, 2);
}
}

public double getPercretcsl() {
return percretcsl;
}

public boolean isPercretcslNull() {
return percretcslNull;
}

public void setPercretcsl(int percretcsl) {
setPercretcsl(new Double(percretcsl));
}

public void setPercretcsl(long percretcsl) {
setPercretcsl(new Double(percretcsl));
}

public void setPercretcsl(Double percretcsl) {
if (percretcsl == null) {
percretcslNull = true;
this.percretcsl = 0.;
} else { 
percretcslNull = false;
this.percretcsl = FglDouble.round(percretcsl, 2);
}
}

public double getPercretpis() {
return percretpis;
}

public boolean isPercretpisNull() {
return percretpisNull;
}

public void setPercretpis(int percretpis) {
setPercretpis(new Double(percretpis));
}

public void setPercretpis(long percretpis) {
setPercretpis(new Double(percretpis));
}

public void setPercretpis(Double percretpis) {
if (percretpis == null) {
percretpisNull = true;
this.percretpis = 0.;
} else { 
percretpisNull = false;
this.percretpis = FglDouble.round(percretpis, 2);
}
}

public double getPercretcof() {
return percretcof;
}

public boolean isPercretcofNull() {
return percretcofNull;
}

public void setPercretcof(int percretcof) {
setPercretcof(new Double(percretcof));
}

public void setPercretcof(long percretcof) {
setPercretcof(new Double(percretcof));
}

public void setPercretcof(Double percretcof) {
if (percretcof == null) {
percretcofNull = true;
this.percretcof = 0.;
} else { 
percretcofNull = false;
this.percretcof = FglDouble.round(percretcof, 2);
}
}

public String getDeduzretnf() {
return deduzretnf;
}

public void setDeduzretnf(String deduzretnf) {
this.deduzretnf = deduzretnf;
}

public double getBaseminret() {
return baseminret;
}

public boolean isBaseminretNull() {
return baseminretNull;
}

public void setBaseminret(int baseminret) {
setBaseminret(new Double(baseminret));
}

public void setBaseminret(long baseminret) {
setBaseminret(new Double(baseminret));
}

public void setBaseminret(Double baseminret) {
if (baseminret == null) {
baseminretNull = true;
this.baseminret = 0.;
} else { 
baseminretNull = false;
this.baseminret = FglDouble.round(baseminret, 2);
}
}

public double getVrminir() {
return vrminir;
}

public boolean isVrminirNull() {
return vrminirNull;
}

public void setVrminir(int vrminir) {
setVrminir(new Double(vrminir));
}

public void setVrminir(long vrminir) {
setVrminir(new Double(vrminir));
}

public void setVrminir(Double vrminir) {
if (vrminir == null) {
vrminirNull = true;
this.vrminir = 0.;
} else { 
vrminirNull = false;
this.vrminir = FglDouble.round(vrminir, 2);
}
}

public String getTruncaiss() {
return truncaiss;
}

public void setTruncaiss(String truncaiss) {
this.truncaiss = truncaiss;
}

public String getFormacalciss() {
return formacalciss;
}

public void setFormacalciss(String formacalciss) {
this.formacalciss = formacalciss;
}

public int getListaservico() {
return listaservico;
}

public boolean isListaservicoNull() {
return listaservicoNull;
}

public void setListaservico(Integer listaservico) {
if (listaservico == null) {
listaservicoNull = true;
this.listaservico = 0;
} else { 
listaservicoNull = false;
this.listaservico = listaservico;
}
}

public String getTpsernissan() {
return tpsernissan;
}

public void setTpsernissan(String tpsernissan) {
this.tpsernissan = tpsernissan;
}

public String getTiporet() {
return tiporet;
}

public void setTiporet(String tiporet) {
this.tiporet = tiporet;
}

}

