package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCstotage {
@Coluna(nome="cstotage.id_totalizacao", tipo="int")
private int idTotalizacao;
private boolean idTotalizacaoNull;
@Coluna(nome="cstotage.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cstotage.semana", tipo="int")
private int semana;
private boolean semanaNull;
@Coluna(nome="cstotage.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cstotage.dtprocessamento", tipo="FglDateTimeYS")
private FglDateTimeYS dtprocessamento;
@Coluna(nome="cstotage.cliagendados", tipo="int")
private int cliagendados;
private boolean cliagendadosNull;
@Coluna(nome="cstotage.agendativos", tipo="int")
private int agendativos;
private boolean agendativosNull;
@Coluna(nome="cstotage.clipassantes", tipo="int")
private int clipassantes;
private boolean clipassantesNull;
@Coluna(nome="cstotage.agendentreg", tipo="int")
private int agendentreg;
private boolean agendentregNull;
@Coluna(nome="cstotage.agendservexpressativ", tipo="int")
private int agendservexpressativ;
private boolean agendservexpressativNull;
@Coluna(nome="cstotage.agendservexpressrec", tipo="int")
private int agendservexpressrec;
private boolean agendservexpressrecNull;
@Coluna(nome="cstotage.totpasscliexter", tipo="int")
private int totpasscliexter;
private boolean totpasscliexterNull;
@Coluna(nome="cstotage.chklstexec", tipo="int")
private int chklstexec;
private boolean chklstexecNull;
@Coluna(nome="cstotage.orcamentos", tipo="int")
private int orcamentos;
private boolean orcamentosNull;
@Coluna(nome="cstotage.entradaprazo", tipo="int")
private int entradaprazo;
private boolean entradaprazoNull;
@Coluna(nome="cstotage.entregaprazo", tipo="int")
private int entregaprazo;
private boolean entregaprazoNull;

public TabCstotage() {
initialize();
}

public void initialize() {
setIdTotalizacao(null);
setAnomes(null);
setSemana(null);
setFilial(null);
setDtprocessamento(null);
setCliagendados(null);
setAgendativos(null);
setClipassantes(null);
setAgendentreg(null);
setAgendservexpressativ(null);
setAgendservexpressrec(null);
setTotpasscliexter(null);
setChklstexec(null);
setOrcamentos(null);
setEntradaprazo(null);
setEntregaprazo(null);
}

public TabCstotage(int idTotalizacao, FglDateTimeYM anomes, int semana, int filial, FglDateTimeYS dtprocessamento, int cliagendados, int agendativos, int clipassantes, int agendentreg, int agendservexpressativ, int agendservexpressrec, int totpasscliexter, int chklstexec, int orcamentos, int entradaprazo, int entregaprazo) {
this.idTotalizacao = idTotalizacao;
this.anomes = anomes;
this.semana = semana;
this.filial = filial;
this.dtprocessamento = dtprocessamento;
this.cliagendados = cliagendados;
this.agendativos = agendativos;
this.clipassantes = clipassantes;
this.agendentreg = agendentreg;
this.agendservexpressativ = agendservexpressativ;
this.agendservexpressrec = agendservexpressrec;
this.totpasscliexter = totpasscliexter;
this.chklstexec = chklstexec;
this.orcamentos = orcamentos;
this.entradaprazo = entradaprazo;
this.entregaprazo = entregaprazo;
}

public int getIdTotalizacao() {
return idTotalizacao;
}

public boolean isIdTotalizacaoNull() {
return idTotalizacaoNull;
}

public void setIdTotalizacao(Integer idTotalizacao) {
if (idTotalizacao == null) {
idTotalizacaoNull = true;
this.idTotalizacao = 0;
} else { 
idTotalizacaoNull = false;
this.idTotalizacao = idTotalizacao;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getSemana() {
return semana;
}

public boolean isSemanaNull() {
return semanaNull;
}

public void setSemana(Integer semana) {
if (semana == null) {
semanaNull = true;
this.semana = 0;
} else { 
semanaNull = false;
this.semana = semana;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYS getDtprocessamento() {
return dtprocessamento;
}

public void setDtprocessamento(FglDateTimeYS dtprocessamento) {
this.dtprocessamento = dtprocessamento;
}

public int getCliagendados() {
return cliagendados;
}

public boolean isCliagendadosNull() {
return cliagendadosNull;
}

public void setCliagendados(Integer cliagendados) {
if (cliagendados == null) {
cliagendadosNull = true;
this.cliagendados = 0;
} else { 
cliagendadosNull = false;
this.cliagendados = cliagendados;
}
}

public int getAgendativos() {
return agendativos;
}

public boolean isAgendativosNull() {
return agendativosNull;
}

public void setAgendativos(Integer agendativos) {
if (agendativos == null) {
agendativosNull = true;
this.agendativos = 0;
} else { 
agendativosNull = false;
this.agendativos = agendativos;
}
}

public int getClipassantes() {
return clipassantes;
}

public boolean isClipassantesNull() {
return clipassantesNull;
}

public void setClipassantes(Integer clipassantes) {
if (clipassantes == null) {
clipassantesNull = true;
this.clipassantes = 0;
} else { 
clipassantesNull = false;
this.clipassantes = clipassantes;
}
}

public int getAgendentreg() {
return agendentreg;
}

public boolean isAgendentregNull() {
return agendentregNull;
}

public void setAgendentreg(Integer agendentreg) {
if (agendentreg == null) {
agendentregNull = true;
this.agendentreg = 0;
} else { 
agendentregNull = false;
this.agendentreg = agendentreg;
}
}

public int getAgendservexpressativ() {
return agendservexpressativ;
}

public boolean isAgendservexpressativNull() {
return agendservexpressativNull;
}

public void setAgendservexpressativ(Integer agendservexpressativ) {
if (agendservexpressativ == null) {
agendservexpressativNull = true;
this.agendservexpressativ = 0;
} else { 
agendservexpressativNull = false;
this.agendservexpressativ = agendservexpressativ;
}
}

public int getAgendservexpressrec() {
return agendservexpressrec;
}

public boolean isAgendservexpressrecNull() {
return agendservexpressrecNull;
}

public void setAgendservexpressrec(Integer agendservexpressrec) {
if (agendservexpressrec == null) {
agendservexpressrecNull = true;
this.agendservexpressrec = 0;
} else { 
agendservexpressrecNull = false;
this.agendservexpressrec = agendservexpressrec;
}
}

public int getTotpasscliexter() {
return totpasscliexter;
}

public boolean isTotpasscliexterNull() {
return totpasscliexterNull;
}

public void setTotpasscliexter(Integer totpasscliexter) {
if (totpasscliexter == null) {
totpasscliexterNull = true;
this.totpasscliexter = 0;
} else { 
totpasscliexterNull = false;
this.totpasscliexter = totpasscliexter;
}
}

public int getChklstexec() {
return chklstexec;
}

public boolean isChklstexecNull() {
return chklstexecNull;
}

public void setChklstexec(Integer chklstexec) {
if (chklstexec == null) {
chklstexecNull = true;
this.chklstexec = 0;
} else { 
chklstexecNull = false;
this.chklstexec = chklstexec;
}
}

public int getOrcamentos() {
return orcamentos;
}

public boolean isOrcamentosNull() {
return orcamentosNull;
}

public void setOrcamentos(Integer orcamentos) {
if (orcamentos == null) {
orcamentosNull = true;
this.orcamentos = 0;
} else { 
orcamentosNull = false;
this.orcamentos = orcamentos;
}
}

public int getEntradaprazo() {
return entradaprazo;
}

public boolean isEntradaprazoNull() {
return entradaprazoNull;
}

public void setEntradaprazo(Integer entradaprazo) {
if (entradaprazo == null) {
entradaprazoNull = true;
this.entradaprazo = 0;
} else { 
entradaprazoNull = false;
this.entradaprazo = entradaprazo;
}
}

public int getEntregaprazo() {
return entregaprazo;
}

public boolean isEntregaprazoNull() {
return entregaprazoNull;
}

public void setEntregaprazo(Integer entregaprazo) {
if (entregaprazo == null) {
entregaprazoNull = true;
this.entregaprazo = 0;
} else { 
entregaprazoNull = false;
this.entregaprazo = entregaprazo;
}
}

}

