package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCsvistor {
@Coluna(nome="csvistor.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="csvistor.dt_liberacao", tipo="FglDate")
private FglDate dtLiberacao;
@Coluna(nome="csvistor.ult_login", tipo="String")
private String ultLogin;
@Coluna(nome="csvistor.dthr_ult_login", tipo="FglDateTimeYS")
private FglDateTimeYS dthrUltLogin;
@Coluna(nome="csvistor.hr_liberacao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrLiberacao;

public TabCsvistor() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDtLiberacao(null);
setUltLogin(null);
setDthrUltLogin(null);
setHrLiberacao(null);
}

public TabCsvistor(int idOscapa, FglDate dtLiberacao, String ultLogin, FglDateTimeYS dthrUltLogin, FglDateTimeHMin hrLiberacao) {
this.idOscapa = idOscapa;
this.dtLiberacao = dtLiberacao;
this.ultLogin = ultLogin;
this.dthrUltLogin = dthrUltLogin;
this.hrLiberacao = hrLiberacao;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDtLiberacao() {
return dtLiberacao;
}

public void setDtLiberacao(FglDate dtLiberacao) {
this.dtLiberacao = dtLiberacao;
}

public String getUltLogin() {
return ultLogin;
}

public void setUltLogin(String ultLogin) {
this.ultLogin = ultLogin;
}

public FglDateTimeYS getDthrUltLogin() {
return dthrUltLogin;
}

public void setDthrUltLogin(FglDateTimeYS dthrUltLogin) {
this.dthrUltLogin = dthrUltLogin;
}

public FglDateTimeHMin getHrLiberacao() {
return hrLiberacao;
}

public void setHrLiberacao(FglDateTimeHMin hrLiberacao) {
this.hrLiberacao = hrLiberacao;
}

}

