package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCtcklote {
@Coluna(nome="ctcklote.terminal", tipo="String")
private String terminal;
@Coluna(nome="ctcklote.estacao", tipo="String")
private String estacao;
@Coluna(nome="ctcklote.nome_programa", tipo="String")
private String nomePrograma;
@Coluna(nome="ctcklote.nome_usuario", tipo="String")
private String nomeUsuario;
@Coluna(nome="ctcklote.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="ctcklote.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctcklote.nrolote", tipo="int")
private int nrolote;
private boolean nroloteNull;
@Coluna(nome="ctcklote.tipolcto", tipo="String")
private String tipolcto;

public TabCtcklote() {
initialize();
}

public void initialize() {
setTerminal(null);
setEstacao(null);
setNomePrograma(null);
setNomeUsuario(null);
setData(null);
setFilial(null);
setNrolote(null);
setTipolcto(null);
}

public TabCtcklote(String terminal, String estacao, String nomePrograma, String nomeUsuario, FglDate data, int filial, int nrolote, String tipolcto) {
this.terminal = terminal;
this.estacao = estacao;
this.nomePrograma = nomePrograma;
this.nomeUsuario = nomeUsuario;
this.data = data;
this.filial = filial;
this.nrolote = nrolote;
this.tipolcto = tipolcto;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public String getEstacao() {
return estacao;
}

public void setEstacao(String estacao) {
this.estacao = estacao;
}

public String getNomePrograma() {
return nomePrograma;
}

public void setNomePrograma(String nomePrograma) {
this.nomePrograma = nomePrograma;
}

public String getNomeUsuario() {
return nomeUsuario;
}

public void setNomeUsuario(String nomeUsuario) {
this.nomeUsuario = nomeUsuario;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolote() {
return nrolote;
}

public boolean isNroloteNull() {
return nroloteNull;
}

public void setNrolote(Integer nrolote) {
if (nrolote == null) {
nroloteNull = true;
this.nrolote = 0;
} else { 
nroloteNull = false;
this.nrolote = nrolote;
}
}

public String getTipolcto() {
return tipolcto;
}

public void setTipolcto(String tipolcto) {
this.tipolcto = tipolcto;
}

}

