package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtconapl {
@Coluna(nome="ctconapl.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="ctconapl.codtipapl", tipo="String")
private String codtipapl;
@Coluna(nome="ctconapl.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctconapl.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctconapl.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctconapl.databertu", tipo="FglDate")
private FglDate databertu;
@Coluna(nome="ctconapl.datvencto", tipo="FglDate")
private FglDate datvencto;
@Coluna(nome="ctconapl.vlrnomina", tipo="double")
private double vlrnomina;
private boolean vlrnominaNull;
@Coluna(nome="ctconapl.vlrrendim", tipo="double")
private double vlrrendim;
private boolean vlrrendimNull;
@Coluna(nome="ctconapl.vlrdispon", tipo="double")
private double vlrdispon;
private boolean vlrdisponNull;
@Coluna(nome="ctconapl.tplanctoapl", tipo="String")
private String tplanctoapl;
@Coluna(nome="ctconapl.tplanctoren", tipo="String")
private String tplanctoren;
@Coluna(nome="ctconapl.ativo", tipo="String")
private String ativo;
@Coluna(nome="ctconapl.datencerra", tipo="FglDate")
private FglDate datencerra;

public TabCtconapl() {
initialize();
}

public void initialize() {
setIdBancos(null);
setCodtipapl(null);
setCgccpf(null);
setTppessoa(null);
setFilial(null);
setDatabertu(null);
setDatvencto(null);
setVlrnomina(null);
setVlrrendim(null);
setVlrdispon(null);
setTplanctoapl(null);
setTplanctoren(null);
setAtivo(null);
setDatencerra(null);
}

public TabCtconapl(int idBancos, String codtipapl, long cgccpf, int tppessoa, int filial, FglDate databertu, FglDate datvencto, double vlrnomina, double vlrrendim, double vlrdispon, String tplanctoapl, String tplanctoren, String ativo, FglDate datencerra) {
this.idBancos = idBancos;
this.codtipapl = codtipapl;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.filial = filial;
this.databertu = databertu;
this.datvencto = datvencto;
this.vlrnomina = vlrnomina;
this.vlrrendim = vlrrendim;
this.vlrdispon = vlrdispon;
this.tplanctoapl = tplanctoapl;
this.tplanctoren = tplanctoren;
this.ativo = ativo;
this.datencerra = datencerra;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public String getCodtipapl() {
return codtipapl;
}

public void setCodtipapl(String codtipapl) {
this.codtipapl = codtipapl;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatabertu() {
return databertu;
}

public void setDatabertu(FglDate databertu) {
this.databertu = databertu;
}

public FglDate getDatvencto() {
return datvencto;
}

public void setDatvencto(FglDate datvencto) {
this.datvencto = datvencto;
}

public double getVlrnomina() {
return vlrnomina;
}

public boolean isVlrnominaNull() {
return vlrnominaNull;
}

public void setVlrnomina(int vlrnomina) {
setVlrnomina(new Double(vlrnomina));
}

public void setVlrnomina(long vlrnomina) {
setVlrnomina(new Double(vlrnomina));
}

public void setVlrnomina(Double vlrnomina) {
if (vlrnomina == null) {
vlrnominaNull = true;
this.vlrnomina = 0.;
} else { 
vlrnominaNull = false;
this.vlrnomina = FglDouble.round(vlrnomina, 2);
}
}

public double getVlrrendim() {
return vlrrendim;
}

public boolean isVlrrendimNull() {
return vlrrendimNull;
}

public void setVlrrendim(int vlrrendim) {
setVlrrendim(new Double(vlrrendim));
}

public void setVlrrendim(long vlrrendim) {
setVlrrendim(new Double(vlrrendim));
}

public void setVlrrendim(Double vlrrendim) {
if (vlrrendim == null) {
vlrrendimNull = true;
this.vlrrendim = 0.;
} else { 
vlrrendimNull = false;
this.vlrrendim = FglDouble.round(vlrrendim, 2);
}
}

public double getVlrdispon() {
return vlrdispon;
}

public boolean isVlrdisponNull() {
return vlrdisponNull;
}

public void setVlrdispon(int vlrdispon) {
setVlrdispon(new Double(vlrdispon));
}

public void setVlrdispon(long vlrdispon) {
setVlrdispon(new Double(vlrdispon));
}

public void setVlrdispon(Double vlrdispon) {
if (vlrdispon == null) {
vlrdisponNull = true;
this.vlrdispon = 0.;
} else { 
vlrdisponNull = false;
this.vlrdispon = FglDouble.round(vlrdispon, 2);
}
}

public String getTplanctoapl() {
return tplanctoapl;
}

public void setTplanctoapl(String tplanctoapl) {
this.tplanctoapl = tplanctoapl;
}

public String getTplanctoren() {
return tplanctoren;
}

public void setTplanctoren(String tplanctoren) {
this.tplanctoren = tplanctoren;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public FglDate getDatencerra() {
return datencerra;
}

public void setDatencerra(FglDate datencerra) {
this.datencerra = datencerra;
}

}

