package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtconemp {
@Coluna(nome="ctconemp.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="ctconemp.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctconemp.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctconemp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctconemp.databertu", tipo="FglDate")
private FglDate databertu;
@Coluna(nome="ctconemp.datvencto", tipo="FglDate")
private FglDate datvencto;
@Coluna(nome="ctconemp.indexador", tipo="String")
private String indexador;
@Coluna(nome="ctconemp.tipocorrecao", tipo="String")
private String tipocorrecao;
@Coluna(nome="ctconemp.vlrnomina", tipo="double")
private double vlrnomina;
private boolean vlrnominaNull;
@Coluna(nome="ctconemp.vlrjuros", tipo="double")
private double vlrjuros;
private boolean vlrjurosNull;
@Coluna(nome="ctconemp.tplanctoemp", tipo="String")
private String tplanctoemp;
@Coluna(nome="ctconemp.tplanctojur", tipo="String")
private String tplanctojur;
@Coluna(nome="ctconemp.tplanctocor", tipo="String")
private String tplanctocor;
@Coluna(nome="ctconemp.tplanctoiof", tipo="String")
private String tplanctoiof;
@Coluna(nome="ctconemp.ativo", tipo="String")
private String ativo;
@Coluna(nome="ctconemp.datencerra", tipo="FglDate")
private FglDate datencerra;

public TabCtconemp() {
initialize();
}

public void initialize() {
setIdBancos(null);
setCgccpf(null);
setTppessoa(null);
setFilial(null);
setDatabertu(null);
setDatvencto(null);
setIndexador(null);
setTipocorrecao(null);
setVlrnomina(null);
setVlrjuros(null);
setTplanctoemp(null);
setTplanctojur(null);
setTplanctocor(null);
setTplanctoiof(null);
setAtivo(null);
setDatencerra(null);
}

public TabCtconemp(int idBancos, long cgccpf, int tppessoa, int filial, FglDate databertu, FglDate datvencto, String indexador, String tipocorrecao, double vlrnomina, double vlrjuros, String tplanctoemp, String tplanctojur, String tplanctocor, String tplanctoiof, String ativo, FglDate datencerra) {
this.idBancos = idBancos;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.filial = filial;
this.databertu = databertu;
this.datvencto = datvencto;
this.indexador = indexador;
this.tipocorrecao = tipocorrecao;
this.vlrnomina = vlrnomina;
this.vlrjuros = vlrjuros;
this.tplanctoemp = tplanctoemp;
this.tplanctojur = tplanctojur;
this.tplanctocor = tplanctocor;
this.tplanctoiof = tplanctoiof;
this.ativo = ativo;
this.datencerra = datencerra;
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDatabertu() {
return databertu;
}

public void setDatabertu(FglDate databertu) {
this.databertu = databertu;
}

public FglDate getDatvencto() {
return datvencto;
}

public void setDatvencto(FglDate datvencto) {
this.datvencto = datvencto;
}

public String getIndexador() {
return indexador;
}

public void setIndexador(String indexador) {
this.indexador = indexador;
}

public String getTipocorrecao() {
return tipocorrecao;
}

public void setTipocorrecao(String tipocorrecao) {
this.tipocorrecao = tipocorrecao;
}

public double getVlrnomina() {
return vlrnomina;
}

public boolean isVlrnominaNull() {
return vlrnominaNull;
}

public void setVlrnomina(int vlrnomina) {
setVlrnomina(new Double(vlrnomina));
}

public void setVlrnomina(long vlrnomina) {
setVlrnomina(new Double(vlrnomina));
}

public void setVlrnomina(Double vlrnomina) {
if (vlrnomina == null) {
vlrnominaNull = true;
this.vlrnomina = 0.;
} else { 
vlrnominaNull = false;
this.vlrnomina = FglDouble.round(vlrnomina, 2);
}
}

public double getVlrjuros() {
return vlrjuros;
}

public boolean isVlrjurosNull() {
return vlrjurosNull;
}

public void setVlrjuros(int vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(long vlrjuros) {
setVlrjuros(new Double(vlrjuros));
}

public void setVlrjuros(Double vlrjuros) {
if (vlrjuros == null) {
vlrjurosNull = true;
this.vlrjuros = 0.;
} else { 
vlrjurosNull = false;
this.vlrjuros = FglDouble.round(vlrjuros, 2);
}
}

public String getTplanctoemp() {
return tplanctoemp;
}

public void setTplanctoemp(String tplanctoemp) {
this.tplanctoemp = tplanctoemp;
}

public String getTplanctojur() {
return tplanctojur;
}

public void setTplanctojur(String tplanctojur) {
this.tplanctojur = tplanctojur;
}

public String getTplanctocor() {
return tplanctocor;
}

public void setTplanctocor(String tplanctocor) {
this.tplanctocor = tplanctocor;
}

public String getTplanctoiof() {
return tplanctoiof;
}

public void setTplanctoiof(String tplanctoiof) {
this.tplanctoiof = tplanctoiof;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public FglDate getDatencerra() {
return datencerra;
}

public void setDatencerra(FglDate datencerra) {
this.datencerra = datencerra;
}

}

