package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtcxbanc {
@Coluna(nome="ctcxbanc.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="ctcxbanc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctcxbanc.nrolancto", tipo="int")
private int nrolancto;
private boolean nrolanctoNull;
@Coluna(nome="ctcxbanc.tplancto", tipo="String")
private String tplancto;
@Coluna(nome="ctcxbanc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="ctcxbanc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="ctcxbanc.dtlancto", tipo="FglDate")
private FglDate dtlancto;
@Coluna(nome="ctcxbanc.tplanctocp", tipo="String")
private String tplanctocp;
@Coluna(nome="ctcxbanc.tppessoacp", tipo="int")
private int tppessoacp;
private boolean tppessoacpNull;
@Coluna(nome="ctcxbanc.cgccpfcp", tipo="long")
private long cgccpfcp;
private boolean cgccpfcpNull;
@Coluna(nome="ctcxbanc.debcre", tipo="String")
private String debcre;
@Coluna(nome="ctcxbanc.id_histor", tipo="int")
private int idHistor;
private boolean idHistorNull;
@Coluna(nome="ctcxbanc.descrhistor", tipo="String")
private String descrhistor;
@Coluna(nome="ctcxbanc.complemento1", tipo="String")
private String complemento1;
@Coluna(nome="ctcxbanc.complemento2", tipo="String")
private String complemento2;
@Coluna(nome="ctcxbanc.complemento3", tipo="String")
private String complemento3;
@Coluna(nome="ctcxbanc.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="ctcxbanc.nrolote", tipo="int")
private int nrolote;
private boolean nroloteNull;
@Coluna(nome="ctcxbanc.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="ctcxbanc.integract", tipo="String")
private String integract;
@Coluna(nome="ctcxbanc.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;

public TabCtcxbanc() {
initialize();
}

public void initialize() {
setIdLancto(null);
setFilial(null);
setNrolancto(null);
setTplancto(null);
setTppessoa(null);
setCgccpf(null);
setDtlancto(null);
setTplanctocp(null);
setTppessoacp(null);
setCgccpfcp(null);
setDebcre(null);
setIdHistor(null);
setDescrhistor(null);
setComplemento1(null);
setComplemento2(null);
setComplemento3(null);
setValor(null);
setNrolote(null);
setNrocheque(null);
setIntegract(null);
setNrodocto(null);
}

public TabCtcxbanc(int idLancto, int filial, int nrolancto, String tplancto, int tppessoa, long cgccpf, FglDate dtlancto, String tplanctocp, int tppessoacp, long cgccpfcp, String debcre, int idHistor, String descrhistor, String complemento1, String complemento2, String complemento3, double valor, int nrolote, int nrocheque, String integract, int nrodocto) {
this.idLancto = idLancto;
this.filial = filial;
this.nrolancto = nrolancto;
this.tplancto = tplancto;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.dtlancto = dtlancto;
this.tplanctocp = tplanctocp;
this.tppessoacp = tppessoacp;
this.cgccpfcp = cgccpfcp;
this.debcre = debcre;
this.idHistor = idHistor;
this.descrhistor = descrhistor;
this.complemento1 = complemento1;
this.complemento2 = complemento2;
this.complemento3 = complemento3;
this.valor = valor;
this.nrolote = nrolote;
this.nrocheque = nrocheque;
this.integract = integract;
this.nrodocto = nrodocto;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolancto() {
return nrolancto;
}

public boolean isNrolanctoNull() {
return nrolanctoNull;
}

public void setNrolancto(Integer nrolancto) {
if (nrolancto == null) {
nrolanctoNull = true;
this.nrolancto = 0;
} else { 
nrolanctoNull = false;
this.nrolancto = nrolancto;
}
}

public String getTplancto() {
return tplancto;
}

public void setTplancto(String tplancto) {
this.tplancto = tplancto;
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDate getDtlancto() {
return dtlancto;
}

public void setDtlancto(FglDate dtlancto) {
this.dtlancto = dtlancto;
}

public String getTplanctocp() {
return tplanctocp;
}

public void setTplanctocp(String tplanctocp) {
this.tplanctocp = tplanctocp;
}

public int getTppessoacp() {
return tppessoacp;
}

public boolean isTppessoacpNull() {
return tppessoacpNull;
}

public void setTppessoacp(Integer tppessoacp) {
if (tppessoacp == null) {
tppessoacpNull = true;
this.tppessoacp = 0;
} else { 
tppessoacpNull = false;
this.tppessoacp = tppessoacp;
}
}

public long getCgccpfcp() {
return cgccpfcp;
}

public boolean isCgccpfcpNull() {
return cgccpfcpNull;
}

public void setCgccpfcp(int cgccpfcp) {
setCgccpfcp(new Long(cgccpfcp));
}

public void setCgccpfcp(Long cgccpfcp) {
if (cgccpfcp == null) {
cgccpfcpNull = true;
this.cgccpfcp = 0l;
} else { 
cgccpfcpNull = false;
this.cgccpfcp = cgccpfcp;
}
}

public String getDebcre() {
return debcre;
}

public void setDebcre(String debcre) {
this.debcre = debcre;
}

public int getIdHistor() {
return idHistor;
}

public boolean isIdHistorNull() {
return idHistorNull;
}

public void setIdHistor(Integer idHistor) {
if (idHistor == null) {
idHistorNull = true;
this.idHistor = 0;
} else { 
idHistorNull = false;
this.idHistor = idHistor;
}
}

public String getDescrhistor() {
return descrhistor;
}

public void setDescrhistor(String descrhistor) {
this.descrhistor = descrhistor;
}

public String getComplemento1() {
return complemento1;
}

public void setComplemento1(String complemento1) {
this.complemento1 = complemento1;
}

public String getComplemento2() {
return complemento2;
}

public void setComplemento2(String complemento2) {
this.complemento2 = complemento2;
}

public String getComplemento3() {
return complemento3;
}

public void setComplemento3(String complemento3) {
this.complemento3 = complemento3;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getNrolote() {
return nrolote;
}

public boolean isNroloteNull() {
return nroloteNull;
}

public void setNrolote(Integer nrolote) {
if (nrolote == null) {
nroloteNull = true;
this.nrolote = 0;
} else { 
nroloteNull = false;
this.nrolote = nrolote;
}
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public String getIntegract() {
return integract;
}

public void setIntegract(String integract) {
this.integract = integract;
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

}

