package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCtextban {
@Coluna(nome="ctextban.id_extban", tipo="int")
private int idExtban;
private boolean idExtbanNull;
@Coluna(nome="ctextban.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctextban.nrolote", tipo="int")
private int nrolote;
private boolean nroloteNull;
@Coluna(nome="ctextban.nroregistro", tipo="int")
private int nroregistro;
private boolean nroregistroNull;
@Coluna(nome="ctextban.id_bancof", tipo="int")
private int idBancof;
private boolean idBancofNull;
@Coluna(nome="ctextban.dtlancto", tipo="FglDate")
private FglDate dtlancto;
@Coluna(nome="ctextban.debcre", tipo="String")
private String debcre;
@Coluna(nome="ctextban.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="ctextban.codhistor", tipo="String")
private String codhistor;
@Coluna(nome="ctextban.descrhistor", tipo="String")
private String descrhistor;
@Coluna(nome="ctextban.nrodocto", tipo="String")
private String nrodocto;
@Coluna(nome="ctextban.status", tipo="String")
private String status;
@Coluna(nome="ctextban.categoria", tipo="int")
private int categoria;
private boolean categoriaNull;
@Coluna(nome="ctextban.natureza", tipo="String")
private String natureza;
@Coluna(nome="ctextban.isentocpmf", tipo="String")
private String isentocpmf;
@Coluna(nome="ctextban.dtcontabil", tipo="FglDate")
private FglDate dtcontabil;
@Coluna(nome="ctextban.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="ctextban.hrgeracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrgeracao;
@Coluna(nome="ctextban.nroseqarq", tipo="int")
private int nroseqarq;
private boolean nroseqarqNull;
@Coluna(nome="ctextban.ctacorrente", tipo="long")
private long ctacorrente;
private boolean ctacorrenteNull;
@Coluna(nome="ctextban.digctacorr", tipo="String")
private String digctacorr;
@Coluna(nome="ctextban.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="ctextban.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="ctextban.digagencia", tipo="int")
private int digagencia;
private boolean digagenciaNull;

public TabCtextban() {
initialize();
}

public void initialize() {
setIdExtban(null);
setFilial(null);
setNrolote(null);
setNroregistro(null);
setIdBancof(null);
setDtlancto(null);
setDebcre(null);
setValor(null);
setCodhistor(null);
setDescrhistor(null);
setNrodocto(null);
setStatus(null);
setCategoria(null);
setNatureza(null);
setIsentocpmf(null);
setDtcontabil(null);
setDtgeracao(null);
setHrgeracao(null);
setNroseqarq(null);
setCtacorrente(null);
setDigctacorr(null);
setNrobanco(null);
setNroagencia(null);
setDigagencia(null);
}

public TabCtextban(int idExtban, int filial, int nrolote, int nroregistro, int idBancof, FglDate dtlancto, String debcre, double valor, String codhistor, String descrhistor, String nrodocto, String status, int categoria, String natureza, String isentocpmf, FglDate dtcontabil, FglDate dtgeracao, FglDateTimeHMin hrgeracao, int nroseqarq, long ctacorrente, String digctacorr, int nrobanco, int nroagencia, int digagencia) {
this.idExtban = idExtban;
this.filial = filial;
this.nrolote = nrolote;
this.nroregistro = nroregistro;
this.idBancof = idBancof;
this.dtlancto = dtlancto;
this.debcre = debcre;
this.valor = valor;
this.codhistor = codhistor;
this.descrhistor = descrhistor;
this.nrodocto = nrodocto;
this.status = status;
this.categoria = categoria;
this.natureza = natureza;
this.isentocpmf = isentocpmf;
this.dtcontabil = dtcontabil;
this.dtgeracao = dtgeracao;
this.hrgeracao = hrgeracao;
this.nroseqarq = nroseqarq;
this.ctacorrente = ctacorrente;
this.digctacorr = digctacorr;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.digagencia = digagencia;
}

public int getIdExtban() {
return idExtban;
}

public boolean isIdExtbanNull() {
return idExtbanNull;
}

public void setIdExtban(Integer idExtban) {
if (idExtban == null) {
idExtbanNull = true;
this.idExtban = 0;
} else { 
idExtbanNull = false;
this.idExtban = idExtban;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolote() {
return nrolote;
}

public boolean isNroloteNull() {
return nroloteNull;
}

public void setNrolote(Integer nrolote) {
if (nrolote == null) {
nroloteNull = true;
this.nrolote = 0;
} else { 
nroloteNull = false;
this.nrolote = nrolote;
}
}

public int getNroregistro() {
return nroregistro;
}

public boolean isNroregistroNull() {
return nroregistroNull;
}

public void setNroregistro(Integer nroregistro) {
if (nroregistro == null) {
nroregistroNull = true;
this.nroregistro = 0;
} else { 
nroregistroNull = false;
this.nroregistro = nroregistro;
}
}

public int getIdBancof() {
return idBancof;
}

public boolean isIdBancofNull() {
return idBancofNull;
}

public void setIdBancof(Integer idBancof) {
if (idBancof == null) {
idBancofNull = true;
this.idBancof = 0;
} else { 
idBancofNull = false;
this.idBancof = idBancof;
}
}

public FglDate getDtlancto() {
return dtlancto;
}

public void setDtlancto(FglDate dtlancto) {
this.dtlancto = dtlancto;
}

public String getDebcre() {
return debcre;
}

public void setDebcre(String debcre) {
this.debcre = debcre;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getCodhistor() {
return codhistor;
}

public void setCodhistor(String codhistor) {
this.codhistor = codhistor;
}

public String getDescrhistor() {
return descrhistor;
}

public void setDescrhistor(String descrhistor) {
this.descrhistor = descrhistor;
}

public String getNrodocto() {
return nrodocto;
}

public void setNrodocto(String nrodocto) {
this.nrodocto = nrodocto;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getCategoria() {
return categoria;
}

public boolean isCategoriaNull() {
return categoriaNull;
}

public void setCategoria(Integer categoria) {
if (categoria == null) {
categoriaNull = true;
this.categoria = 0;
} else { 
categoriaNull = false;
this.categoria = categoria;
}
}

public String getNatureza() {
return natureza;
}

public void setNatureza(String natureza) {
this.natureza = natureza;
}

public String getIsentocpmf() {
return isentocpmf;
}

public void setIsentocpmf(String isentocpmf) {
this.isentocpmf = isentocpmf;
}

public FglDate getDtcontabil() {
return dtcontabil;
}

public void setDtcontabil(FglDate dtcontabil) {
this.dtcontabil = dtcontabil;
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDateTimeHMin getHrgeracao() {
return hrgeracao;
}

public void setHrgeracao(FglDateTimeHMin hrgeracao) {
this.hrgeracao = hrgeracao;
}

public int getNroseqarq() {
return nroseqarq;
}

public boolean isNroseqarqNull() {
return nroseqarqNull;
}

public void setNroseqarq(Integer nroseqarq) {
if (nroseqarq == null) {
nroseqarqNull = true;
this.nroseqarq = 0;
} else { 
nroseqarqNull = false;
this.nroseqarq = nroseqarq;
}
}

public long getCtacorrente() {
return ctacorrente;
}

public boolean isCtacorrenteNull() {
return ctacorrenteNull;
}

public void setCtacorrente(int ctacorrente) {
setCtacorrente(new Long(ctacorrente));
}

public void setCtacorrente(Long ctacorrente) {
if (ctacorrente == null) {
ctacorrenteNull = true;
this.ctacorrente = 0l;
} else { 
ctacorrenteNull = false;
this.ctacorrente = ctacorrente;
}
}

public String getDigctacorr() {
return digctacorr;
}

public void setDigctacorr(String digctacorr) {
this.digctacorr = digctacorr;
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public int getDigagencia() {
return digagencia;
}

public boolean isDigagenciaNull() {
return digagenciaNull;
}

public void setDigagencia(Integer digagencia) {
if (digagencia == null) {
digagenciaNull = true;
this.digagencia = 0;
} else { 
digagenciaNull = false;
this.digagencia = digagencia;
}
}

}

