package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtforlin {
@Coluna(nome="ctforlin.id_forlin", tipo="int")
private int idForlin;
private boolean idForlinNull;
@Coluna(nome="ctforlin.id_rellin", tipo="int")
private int idRellin;
private boolean idRellinNull;
@Coluna(nome="ctforlin.tipoid", tipo="String")
private String tipoid;
@Coluna(nome="ctforlin.id_plano", tipo="double")
private double idPlano;
private boolean idPlanoNull;
@Coluna(nome="ctforlin.operacao", tipo="String")
private String operacao;
@Coluna(nome="ctforlin.tipovalor", tipo="String")
private String tipovalor;

public TabCtforlin() {
initialize();
}

public void initialize() {
setIdForlin(null);
setIdRellin(null);
setTipoid(null);
setIdPlano(null);
setOperacao(null);
setTipovalor(null);
}

public TabCtforlin(int idForlin, int idRellin, String tipoid, double idPlano, String operacao, String tipovalor) {
this.idForlin = idForlin;
this.idRellin = idRellin;
this.tipoid = tipoid;
this.idPlano = idPlano;
this.operacao = operacao;
this.tipovalor = tipovalor;
}

public int getIdForlin() {
return idForlin;
}

public boolean isIdForlinNull() {
return idForlinNull;
}

public void setIdForlin(Integer idForlin) {
if (idForlin == null) {
idForlinNull = true;
this.idForlin = 0;
} else { 
idForlinNull = false;
this.idForlin = idForlin;
}
}

public int getIdRellin() {
return idRellin;
}

public boolean isIdRellinNull() {
return idRellinNull;
}

public void setIdRellin(Integer idRellin) {
if (idRellin == null) {
idRellinNull = true;
this.idRellin = 0;
} else { 
idRellinNull = false;
this.idRellin = idRellin;
}
}

public String getTipoid() {
return tipoid;
}

public void setTipoid(String tipoid) {
this.tipoid = tipoid;
}

public double getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(int idPlano) {
setIdPlano(new Double(idPlano));
}

public void setIdPlano(long idPlano) {
setIdPlano(new Double(idPlano));
}

public void setIdPlano(Double idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0.;
} else { 
idPlanoNull = false;
this.idPlano = FglDouble.round(idPlano, 2);
}
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public String getTipovalor() {
return tipovalor;
}

public void setTipovalor(String tipovalor) {
this.tipovalor = tipovalor;
}

}

