package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtnfcont {
@Coluna(nome="ctnfcont.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctnfcont.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="ctnfcont.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="ctnfcont.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="ctnfcont.id_lucro", tipo="String")
private String idLucro;
@Coluna(nome="ctnfcont.tipocont", tipo="int")
private int tipocont;
private boolean tipocontNull;
@Coluna(nome="ctnfcont.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="ctnfcont.tipolancto", tipo="String")
private String tipolancto;
@Coluna(nome="ctnfcont.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="ctnfcont.id_histor", tipo="int")
private int idHistor;
private boolean idHistorNull;
@Coluna(nome="ctnfcont.descrhistor", tipo="String")
private String descrhistor;
@Coluna(nome="ctnfcont.tipoconta", tipo="String")
private String tipoconta;
@Coluna(nome="ctnfcont.integra_sap", tipo="String")
private String integraSap;

public TabCtnfcont() {
initialize();
}

public void initialize() {
setFilial(null);
setIdNfcapa(null);
setIdSetor(null);
setNroEndere(null);
setIdLucro(null);
setTipocont(null);
setIdPlano(null);
setTipolancto(null);
setValor(null);
setIdHistor(null);
setDescrhistor(null);
setTipoconta(null);
setIntegraSap(null);
}

public TabCtnfcont(int filial, int idNfcapa, int idSetor, long nroEndere, String idLucro, int tipocont, int idPlano, String tipolancto, double valor, int idHistor, String descrhistor, String tipoconta, String integraSap) {
this.filial = filial;
this.idNfcapa = idNfcapa;
this.idSetor = idSetor;
this.nroEndere = nroEndere;
this.idLucro = idLucro;
this.tipocont = tipocont;
this.idPlano = idPlano;
this.tipolancto = tipolancto;
this.valor = valor;
this.idHistor = idHistor;
this.descrhistor = descrhistor;
this.tipoconta = tipoconta;
this.integraSap = integraSap;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getIdLucro() {
return idLucro;
}

public void setIdLucro(String idLucro) {
this.idLucro = idLucro;
}

public int getTipocont() {
return tipocont;
}

public boolean isTipocontNull() {
return tipocontNull;
}

public void setTipocont(Integer tipocont) {
if (tipocont == null) {
tipocontNull = true;
this.tipocont = 0;
} else { 
tipocontNull = false;
this.tipocont = tipocont;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public String getTipolancto() {
return tipolancto;
}

public void setTipolancto(String tipolancto) {
this.tipolancto = tipolancto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdHistor() {
return idHistor;
}

public boolean isIdHistorNull() {
return idHistorNull;
}

public void setIdHistor(Integer idHistor) {
if (idHistor == null) {
idHistorNull = true;
this.idHistor = 0;
} else { 
idHistorNull = false;
this.idHistor = idHistor;
}
}

public String getDescrhistor() {
return descrhistor;
}

public void setDescrhistor(String descrhistor) {
this.descrhistor = descrhistor;
}

public String getTipoconta() {
return tipoconta;
}

public void setTipoconta(String tipoconta) {
this.tipoconta = tipoconta;
}

public String getIntegraSap() {
return integraSap;
}

public void setIntegraSap(String integraSap) {
this.integraSap = integraSap;
}

}

