package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCtpercon {
@Coluna(nome="ctpercon.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ctpercon.tipodespesa", tipo="String")
private String tipodespesa;
@Coluna(nome="ctpercon.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="ctpercon.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="ctpercon.percentual", tipo="double")
private double percentual;
private boolean percentualNull;

public TabCtpercon() {
initialize();
}

public void initialize() {
setFilial(null);
setTipodespesa(null);
setIdSetor(null);
setIdPlano(null);
setPercentual(null);
}

public TabCtpercon(int filial, String tipodespesa, int idSetor, int idPlano, double percentual) {
this.filial = filial;
this.tipodespesa = tipodespesa;
this.idSetor = idSetor;
this.idPlano = idPlano;
this.percentual = percentual;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipodespesa() {
return tipodespesa;
}

public void setTipodespesa(String tipodespesa) {
this.tipodespesa = tipodespesa;
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

}

