package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabCvagenda {
@Coluna(nome="cvagenda.id_agenda", tipo="int")
private int idAgenda;
private boolean idAgendaNull;
@Coluna(nome="cvagenda.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cvagenda.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cvagenda.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cvagenda.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cvagenda.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="cvagenda.tpagenda", tipo="String")
private String tpagenda;
@Coluna(nome="cvagenda.obsobjetivo", tipo="String")
private String obsobjetivo;
@Coluna(nome="cvagenda.dtefetiva", tipo="FglDate")
private FglDate dtefetiva;
@Coluna(nome="cvagenda.hrefetiva", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrefetiva;
@Coluna(nome="cvagenda.contatado", tipo="String")
private String contatado;
@Coluna(nome="cvagenda.obsresultado", tipo="String")
private String obsresultado;
@Coluna(nome="cvagenda.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cvagenda.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cvagenda.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cvagenda.resultvisita", tipo="String")
private String resultvisita;
@Coluna(nome="cvagenda.revisita", tipo="String")
private String revisita;
@Coluna(nome="cvagenda.id_agendaori", tipo="int")
private int idAgendaori;
private boolean idAgendaoriNull;
@Coluna(nome="cvagenda.status", tipo="String")
private String status;

public TabCvagenda() {
initialize();
}

public void initialize() {
setIdAgenda(null);
setIdAgente(null);
setTppessoa(null);
setCgccpf(null);
setDtprevista(null);
setHrprevista(null);
setTpagenda(null);
setObsobjetivo(null);
setDtefetiva(null);
setHrefetiva(null);
setContatado(null);
setObsresultado(null);
setIdOrccap(null);
setIdOscapa(null);
setNronegocio(null);
setResultvisita(null);
setRevisita(null);
setIdAgendaori(null);
setStatus(null);
}

public TabCvagenda(int idAgenda, int idAgente, int tppessoa, long cgccpf, FglDate dtprevista, FglDateTimeHMin hrprevista, String tpagenda, String obsobjetivo, FglDate dtefetiva, FglDateTimeHMin hrefetiva, String contatado, String obsresultado, int idOrccap, int idOscapa, int nronegocio, String resultvisita, String revisita, int idAgendaori, String status) {
this.idAgenda = idAgenda;
this.idAgente = idAgente;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.tpagenda = tpagenda;
this.obsobjetivo = obsobjetivo;
this.dtefetiva = dtefetiva;
this.hrefetiva = hrefetiva;
this.contatado = contatado;
this.obsresultado = obsresultado;
this.idOrccap = idOrccap;
this.idOscapa = idOscapa;
this.nronegocio = nronegocio;
this.resultvisita = resultvisita;
this.revisita = revisita;
this.idAgendaori = idAgendaori;
this.status = status;
}

public int getIdAgenda() {
return idAgenda;
}

public boolean isIdAgendaNull() {
return idAgendaNull;
}

public void setIdAgenda(Integer idAgenda) {
if (idAgenda == null) {
idAgendaNull = true;
this.idAgenda = 0;
} else { 
idAgendaNull = false;
this.idAgenda = idAgenda;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public String getTpagenda() {
return tpagenda;
}

public void setTpagenda(String tpagenda) {
this.tpagenda = tpagenda;
}

public String getObsobjetivo() {
return obsobjetivo;
}

public void setObsobjetivo(String obsobjetivo) {
this.obsobjetivo = obsobjetivo;
}

public FglDate getDtefetiva() {
return dtefetiva;
}

public void setDtefetiva(FglDate dtefetiva) {
this.dtefetiva = dtefetiva;
}

public FglDateTimeHMin getHrefetiva() {
return hrefetiva;
}

public void setHrefetiva(FglDateTimeHMin hrefetiva) {
this.hrefetiva = hrefetiva;
}

public String getContatado() {
return contatado;
}

public void setContatado(String contatado) {
this.contatado = contatado;
}

public String getObsresultado() {
return obsresultado;
}

public void setObsresultado(String obsresultado) {
this.obsresultado = obsresultado;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public String getResultvisita() {
return resultvisita;
}

public void setResultvisita(String resultvisita) {
this.resultvisita = resultvisita;
}

public String getRevisita() {
return revisita;
}

public void setRevisita(String revisita) {
this.revisita = revisita;
}

public int getIdAgendaori() {
return idAgendaori;
}

public boolean isIdAgendaoriNull() {
return idAgendaoriNull;
}

public void setIdAgendaori(Integer idAgendaori) {
if (idAgendaori == null) {
idAgendaoriNull = true;
this.idAgendaori = 0;
} else { 
idAgendaoriNull = false;
this.idAgendaori = idAgendaori;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

