package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCvclineg {
@Coluna(nome="cvclineg.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cvclineg.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cvclineg.dtinclusao", tipo="FglDate")
private FglDate dtinclusao;
@Coluna(nome="cvclineg.qtdeveic", tipo="int")
private int qtdeveic;
private boolean qtdeveicNull;
@Coluna(nome="cvclineg.modelo", tipo="String")
private String modelo;
@Coluna(nome="cvclineg.codigocor", tipo="String")
private String codigocor;
@Coluna(nome="cvclineg.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cvclineg.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="cvclineg.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cvclineg.observacao", tipo="String")
private String observacao;

public TabCvclineg() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setDtinclusao(null);
setQtdeveic(null);
setModelo(null);
setCodigocor(null);
setValor(null);
setFormapgto(null);
setDtprevista(null);
setObservacao(null);
}

public TabCvclineg(long cgccpf, int tppessoa, FglDate dtinclusao, int qtdeveic, String modelo, String codigocor, double valor, String formapgto, FglDate dtprevista, String observacao) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtinclusao = dtinclusao;
this.qtdeveic = qtdeveic;
this.modelo = modelo;
this.codigocor = codigocor;
this.valor = valor;
this.formapgto = formapgto;
this.dtprevista = dtprevista;
this.observacao = observacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtinclusao() {
return dtinclusao;
}

public void setDtinclusao(FglDate dtinclusao) {
this.dtinclusao = dtinclusao;
}

public int getQtdeveic() {
return qtdeveic;
}

public boolean isQtdeveicNull() {
return qtdeveicNull;
}

public void setQtdeveic(Integer qtdeveic) {
if (qtdeveic == null) {
qtdeveicNull = true;
this.qtdeveic = 0;
} else { 
qtdeveicNull = false;
this.qtdeveic = qtdeveic;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCodigocor() {
return codigocor;
}

public void setCodigocor(String codigocor) {
this.codigocor = codigocor;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

