package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCvcomdep {
@Coluna(nome="cvcomdep.id_deptos", tipo="int")
private int idDeptos;
private boolean idDeptosNull;
@Coluna(nome="cvcomdep.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="cvcomdep.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cvcomdep.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cvcomdep.percentual", tipo="double")
private double percentual;
private boolean percentualNull;

public TabCvcomdep() {
initialize();
}

public void initialize() {
setIdDeptos(null);
setDesconto(null);
setDtinicio(null);
setDtfim(null);
setPercentual(null);
}

public TabCvcomdep(int idDeptos, double desconto, FglDate dtinicio, FglDate dtfim, double percentual) {
this.idDeptos = idDeptos;
this.desconto = desconto;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.percentual = percentual;
}

public int getIdDeptos() {
return idDeptos;
}

public boolean isIdDeptosNull() {
return idDeptosNull;
}

public void setIdDeptos(Integer idDeptos) {
if (idDeptos == null) {
idDeptosNull = true;
this.idDeptos = 0;
} else { 
idDeptosNull = false;
this.idDeptos = idDeptos;
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

}

