package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCvespcon {
@Coluna(nome="cvespcon.id_agenda", tipo="int")
private int idAgenda;
private boolean idAgendaNull;
@Coluna(nome="cvespcon.oficina", tipo="String")
private String oficina;
@Coluna(nome="cvespcon.cidade", tipo="int")
private int cidade;
private boolean cidadeNull;
@Coluna(nome="cvespcon.nomecomppecas", tipo="String")
private String nomecomppecas;
@Coluna(nome="cvespcon.fone", tipo="String")
private String fone;
@Coluna(nome="cvespcon.fornpgtatual", tipo="String")
private String fornpgtatual;
@Coluna(nome="cvespcon.percdescprati", tipo="double")
private double percdescprati;
private boolean percdescpratiNull;
@Coluna(nome="cvespcon.satisfeitfornatual", tipo="String")
private String satisfeitfornatual;
@Coluna(nome="cvespcon.motivo", tipo="String")
private String motivo;
@Coluna(nome="cvespcon.mediaveicpgt", tipo="int")
private int mediaveicpgt;
private boolean mediaveicpgtNull;
@Coluna(nome="cvespcon.compnossaconce", tipo="String")
private String compnossaconce;

public TabCvespcon() {
initialize();
}

public void initialize() {
setIdAgenda(null);
setOficina(null);
setCidade(null);
setNomecomppecas(null);
setFone(null);
setFornpgtatual(null);
setPercdescprati(null);
setSatisfeitfornatual(null);
setMotivo(null);
setMediaveicpgt(null);
setCompnossaconce(null);
}

public TabCvespcon(int idAgenda, String oficina, int cidade, String nomecomppecas, String fone, String fornpgtatual, double percdescprati, String satisfeitfornatual, String motivo, int mediaveicpgt, String compnossaconce) {
this.idAgenda = idAgenda;
this.oficina = oficina;
this.cidade = cidade;
this.nomecomppecas = nomecomppecas;
this.fone = fone;
this.fornpgtatual = fornpgtatual;
this.percdescprati = percdescprati;
this.satisfeitfornatual = satisfeitfornatual;
this.motivo = motivo;
this.mediaveicpgt = mediaveicpgt;
this.compnossaconce = compnossaconce;
}

public int getIdAgenda() {
return idAgenda;
}

public boolean isIdAgendaNull() {
return idAgendaNull;
}

public void setIdAgenda(Integer idAgenda) {
if (idAgenda == null) {
idAgendaNull = true;
this.idAgenda = 0;
} else { 
idAgendaNull = false;
this.idAgenda = idAgenda;
}
}

public String getOficina() {
return oficina;
}

public void setOficina(String oficina) {
this.oficina = oficina;
}

public int getCidade() {
return cidade;
}

public boolean isCidadeNull() {
return cidadeNull;
}

public void setCidade(Integer cidade) {
if (cidade == null) {
cidadeNull = true;
this.cidade = 0;
} else { 
cidadeNull = false;
this.cidade = cidade;
}
}

public String getNomecomppecas() {
return nomecomppecas;
}

public void setNomecomppecas(String nomecomppecas) {
this.nomecomppecas = nomecomppecas;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getFornpgtatual() {
return fornpgtatual;
}

public void setFornpgtatual(String fornpgtatual) {
this.fornpgtatual = fornpgtatual;
}

public double getPercdescprati() {
return percdescprati;
}

public boolean isPercdescpratiNull() {
return percdescpratiNull;
}

public void setPercdescprati(int percdescprati) {
setPercdescprati(new Double(percdescprati));
}

public void setPercdescprati(long percdescprati) {
setPercdescprati(new Double(percdescprati));
}

public void setPercdescprati(Double percdescprati) {
if (percdescprati == null) {
percdescpratiNull = true;
this.percdescprati = 0.;
} else { 
percdescpratiNull = false;
this.percdescprati = FglDouble.round(percdescprati, 2);
}
}

public String getSatisfeitfornatual() {
return satisfeitfornatual;
}

public void setSatisfeitfornatual(String satisfeitfornatual) {
this.satisfeitfornatual = satisfeitfornatual;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public int getMediaveicpgt() {
return mediaveicpgt;
}

public boolean isMediaveicpgtNull() {
return mediaveicpgtNull;
}

public void setMediaveicpgt(Integer mediaveicpgt) {
if (mediaveicpgt == null) {
mediaveicpgtNull = true;
this.mediaveicpgt = 0;
} else { 
mediaveicpgtNull = false;
this.mediaveicpgt = mediaveicpgt;
}
}

public String getCompnossaconce() {
return compnossaconce;
}

public void setCompnossaconce(String compnossaconce) {
this.compnossaconce = compnossaconce;
}

}

