package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCvobjmod {
@Coluna(nome="cvobjmod.modelo", tipo="String")
private String modelo;
@Coluna(nome="cvobjmod.percentual", tipo="double")
private double percentual;
private boolean percentualNull;

public TabCvobjmod() {
initialize();
}

public void initialize() {
setModelo(null);
setPercentual(null);
}

public TabCvobjmod(String modelo, double percentual) {
this.modelo = modelo;
this.percentual = percentual;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getPercentual() {
return percentual;
}

public boolean isPercentualNull() {
return percentualNull;
}

public void setPercentual(int percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(long percentual) {
setPercentual(new Double(percentual));
}

public void setPercentual(Double percentual) {
if (percentual == null) {
percentualNull = true;
this.percentual = 0.;
} else { 
percentualNull = false;
this.percentual = FglDouble.round(percentual, 2);
}
}

}

