package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCvvenpcx {
@Coluna(nome="cvvenpcx.id_venpcx", tipo="int")
private int idVenpcx;
private boolean idVenpcxNull;
@Coluna(nome="cvvenpcx.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cvvenpcx.dtperdida", tipo="FglDate")
private FglDate dtperdida;
@Coluna(nome="cvvenpcx.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cvvenpcx.produto", tipo="String")
private String produto;
@Coluna(nome="cvvenpcx.motvendperd", tipo="int")
private int motvendperd;
private boolean motvendperdNull;
@Coluna(nome="cvvenpcx.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cvvenpcx.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cvvenpcx.qtdepedida", tipo="double")
private double qtdepedida;
private boolean qtdepedidaNull;
@Coluna(nome="cvvenpcx.disponivel", tipo="double")
private double disponivel;
private boolean disponivelNull;
@Coluna(nome="cvvenpcx.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="cvvenpcx.concorrente", tipo="String")
private String concorrente;
@Coluna(nome="cvvenpcx.precoconcorr", tipo="double")
private double precoconcorr;
private boolean precoconcorrNull;
@Coluna(nome="cvvenpcx.observacao", tipo="String")
private String observacao;
@Coluna(nome="cvvenpcx.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cvvenpcx.dtcancel", tipo="FglDateTimeYS")
private FglDateTimeYS dtcancel;

public TabCvvenpcx() {
initialize();
}

public void initialize() {
setIdVenpcx(null);
setFilial(null);
setDtperdida(null);
setIdAgente(null);
setProduto(null);
setMotvendperd(null);
setCgccpf(null);
setTppessoa(null);
setQtdepedida(null);
setDisponivel(null);
setPrecopublico(null);
setConcorrente(null);
setPrecoconcorr(null);
setObservacao(null);
setIdOrccap(null);
setDtcancel(null);
}

public TabCvvenpcx(int idVenpcx, int filial, FglDate dtperdida, int idAgente, String produto, int motvendperd, long cgccpf, int tppessoa, double qtdepedida, double disponivel, double precopublico, String concorrente, double precoconcorr, String observacao, int idOrccap, FglDateTimeYS dtcancel) {
this.idVenpcx = idVenpcx;
this.filial = filial;
this.dtperdida = dtperdida;
this.idAgente = idAgente;
this.produto = produto;
this.motvendperd = motvendperd;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtdepedida = qtdepedida;
this.disponivel = disponivel;
this.precopublico = precopublico;
this.concorrente = concorrente;
this.precoconcorr = precoconcorr;
this.observacao = observacao;
this.idOrccap = idOrccap;
this.dtcancel = dtcancel;
}

public int getIdVenpcx() {
return idVenpcx;
}

public boolean isIdVenpcxNull() {
return idVenpcxNull;
}

public void setIdVenpcx(Integer idVenpcx) {
if (idVenpcx == null) {
idVenpcxNull = true;
this.idVenpcx = 0;
} else { 
idVenpcxNull = false;
this.idVenpcx = idVenpcx;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtperdida() {
return dtperdida;
}

public void setDtperdida(FglDate dtperdida) {
this.dtperdida = dtperdida;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getMotvendperd() {
return motvendperd;
}

public boolean isMotvendperdNull() {
return motvendperdNull;
}

public void setMotvendperd(Integer motvendperd) {
if (motvendperd == null) {
motvendperdNull = true;
this.motvendperd = 0;
} else { 
motvendperdNull = false;
this.motvendperd = motvendperd;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getQtdepedida() {
return qtdepedida;
}

public boolean isQtdepedidaNull() {
return qtdepedidaNull;
}

public void setQtdepedida(int qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(long qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(Double qtdepedida) {
if (qtdepedida == null) {
qtdepedidaNull = true;
this.qtdepedida = 0.;
} else { 
qtdepedidaNull = false;
this.qtdepedida = FglDouble.round(qtdepedida, 2);
}
}

public double getDisponivel() {
return disponivel;
}

public boolean isDisponivelNull() {
return disponivelNull;
}

public void setDisponivel(int disponivel) {
setDisponivel(new Double(disponivel));
}

public void setDisponivel(long disponivel) {
setDisponivel(new Double(disponivel));
}

public void setDisponivel(Double disponivel) {
if (disponivel == null) {
disponivelNull = true;
this.disponivel = 0.;
} else { 
disponivelNull = false;
this.disponivel = FglDouble.round(disponivel, 2);
}
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public String getConcorrente() {
return concorrente;
}

public void setConcorrente(String concorrente) {
this.concorrente = concorrente;
}

public double getPrecoconcorr() {
return precoconcorr;
}

public boolean isPrecoconcorrNull() {
return precoconcorrNull;
}

public void setPrecoconcorr(int precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(long precoconcorr) {
setPrecoconcorr(new Double(precoconcorr));
}

public void setPrecoconcorr(Double precoconcorr) {
if (precoconcorr == null) {
precoconcorrNull = true;
this.precoconcorr = 0.;
} else { 
precoconcorrNull = false;
this.precoconcorr = FglDouble.round(precoconcorr, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public FglDateTimeYS getDtcancel() {
return dtcancel;
}

public void setDtcancel(FglDateTimeYS dtcancel) {
this.dtcancel = dtcancel;
}

}

