package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxacerto {
@Coluna(nome="cxacerto.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxacerto.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxacerto.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="cxacerto.transacao", tipo="String")
private String transacao;
@Coluna(nome="cxacerto.dtacerto", tipo="FglDate")
private FglDate dtacerto;
@Coluna(nome="cxacerto.valoracerto", tipo="double")
private double valoracerto;
private boolean valoracertoNull;
@Coluna(nome="cxacerto.observacerto", tipo="String")
private String observacerto;
@Coluna(nome="cxacerto.motivo", tipo="String")
private String motivo;
@Coluna(nome="cxacerto.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cxacerto.serie", tipo="int")
private int serie;
private boolean serieNull;

public TabCxacerto() {
initialize();
}

public void initialize() {
setChassis(null);
setIdNfcapa(null);
setNrodocto(null);
setTransacao(null);
setDtacerto(null);
setValoracerto(null);
setObservacerto(null);
setMotivo(null);
setIdLancto(null);
setSerie(null);
}

public TabCxacerto(String chassis, int idNfcapa, int nrodocto, String transacao, FglDate dtacerto, double valoracerto, String observacerto, String motivo, int idLancto, int serie) {
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.nrodocto = nrodocto;
this.transacao = transacao;
this.dtacerto = dtacerto;
this.valoracerto = valoracerto;
this.observacerto = observacerto;
this.motivo = motivo;
this.idLancto = idLancto;
this.serie = serie;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public FglDate getDtacerto() {
return dtacerto;
}

public void setDtacerto(FglDate dtacerto) {
this.dtacerto = dtacerto;
}

public double getValoracerto() {
return valoracerto;
}

public boolean isValoracertoNull() {
return valoracertoNull;
}

public void setValoracerto(int valoracerto) {
setValoracerto(new Double(valoracerto));
}

public void setValoracerto(long valoracerto) {
setValoracerto(new Double(valoracerto));
}

public void setValoracerto(Double valoracerto) {
if (valoracerto == null) {
valoracertoNull = true;
this.valoracerto = 0.;
} else { 
valoracertoNull = false;
this.valoracerto = FglDouble.round(valoracerto, 2);
}
}

public String getObservacerto() {
return observacerto;
}

public void setObservacerto(String observacerto) {
this.observacerto = observacerto;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getSerie() {
return serie;
}

public boolean isSerieNull() {
return serieNull;
}

public void setSerie(Integer serie) {
if (serie == null) {
serieNull = true;
this.serie = 0;
} else { 
serieNull = false;
this.serie = serie;
}
}

}

