package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxadiant {
@Coluna(nome="cxadiant.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxadiant.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cxadiant.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxadiant.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxadiant.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxadiant.nrobanco", tipo="int")
private int nrobanco;
private boolean nrobancoNull;
@Coluna(nome="cxadiant.nroagencia", tipo="int")
private int nroagencia;
private boolean nroagenciaNull;
@Coluna(nome="cxadiant.digagencia", tipo="int")
private int digagencia;
private boolean digagenciaNull;
@Coluna(nome="cxadiant.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;
@Coluna(nome="cxadiant.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxadiant.valoriof", tipo="double")
private double valoriof;
private boolean valoriofNull;
@Coluna(nome="cxadiant.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxadiant.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="cxadiant.dtdigitacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtdigitacao;
@Coluna(nome="cxadiant.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="cxadiant.id_lanctocxb", tipo="int")
private int idLanctocxb;
private boolean idLanctocxbNull;
@Coluna(nome="cxadiant.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="cxadiant.filialpag", tipo="int")
private int filialpag;
private boolean filialpagNull;
@Coluna(nome="cxadiant.id_lanctopag", tipo="int")
private int idLanctopag;
private boolean idLanctopagNull;
@Coluna(nome="cxadiant.id_lanctocxbpag", tipo="int")
private int idLanctocxbpag;
private boolean idLanctocxbpagNull;
@Coluna(nome="cxadiant.valorfloorplan", tipo="double")
private double valorfloorplan;
private boolean valorfloorplanNull;

public TabCxadiant() {
initialize();
}

public void initialize() {
setChassis(null);
setData(null);
setFilial(null);
setCgccpf(null);
setTppessoa(null);
setNrobanco(null);
setNroagencia(null);
setDigagencia(null);
setNrocheque(null);
setValor(null);
setValoriof(null);
setIdAgente(null);
setIdSetor(null);
setDtdigitacao(null);
setIdLancto(null);
setIdLanctocxb(null);
setIdOrdpag(null);
setFilialpag(null);
setIdLanctopag(null);
setIdLanctocxbpag(null);
setValorfloorplan(null);
}

public TabCxadiant(String chassis, FglDate data, int filial, long cgccpf, int tppessoa, int nrobanco, int nroagencia, int digagencia, int nrocheque, double valor, double valoriof, int idAgente, int idSetor, FglDateTimeYS dtdigitacao, int idLancto, int idLanctocxb, int idOrdpag, int filialpag, int idLanctopag, int idLanctocxbpag, double valorfloorplan) {
this.chassis = chassis;
this.data = data;
this.filial = filial;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nrobanco = nrobanco;
this.nroagencia = nroagencia;
this.digagencia = digagencia;
this.nrocheque = nrocheque;
this.valor = valor;
this.valoriof = valoriof;
this.idAgente = idAgente;
this.idSetor = idSetor;
this.dtdigitacao = dtdigitacao;
this.idLancto = idLancto;
this.idLanctocxb = idLanctocxb;
this.idOrdpag = idOrdpag;
this.filialpag = filialpag;
this.idLanctopag = idLanctopag;
this.idLanctocxbpag = idLanctocxbpag;
this.valorfloorplan = valorfloorplan;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNrobanco() {
return nrobanco;
}

public boolean isNrobancoNull() {
return nrobancoNull;
}

public void setNrobanco(Integer nrobanco) {
if (nrobanco == null) {
nrobancoNull = true;
this.nrobanco = 0;
} else { 
nrobancoNull = false;
this.nrobanco = nrobanco;
}
}

public int getNroagencia() {
return nroagencia;
}

public boolean isNroagenciaNull() {
return nroagenciaNull;
}

public void setNroagencia(Integer nroagencia) {
if (nroagencia == null) {
nroagenciaNull = true;
this.nroagencia = 0;
} else { 
nroagenciaNull = false;
this.nroagencia = nroagencia;
}
}

public int getDigagencia() {
return digagencia;
}

public boolean isDigagenciaNull() {
return digagenciaNull;
}

public void setDigagencia(Integer digagencia) {
if (digagencia == null) {
digagenciaNull = true;
this.digagencia = 0;
} else { 
digagenciaNull = false;
this.digagencia = digagencia;
}
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValoriof() {
return valoriof;
}

public boolean isValoriofNull() {
return valoriofNull;
}

public void setValoriof(int valoriof) {
setValoriof(new Double(valoriof));
}

public void setValoriof(long valoriof) {
setValoriof(new Double(valoriof));
}

public void setValoriof(Double valoriof) {
if (valoriof == null) {
valoriofNull = true;
this.valoriof = 0.;
} else { 
valoriofNull = false;
this.valoriof = FglDouble.round(valoriof, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public FglDateTimeYS getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDateTimeYS dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdLanctocxb() {
return idLanctocxb;
}

public boolean isIdLanctocxbNull() {
return idLanctocxbNull;
}

public void setIdLanctocxb(Integer idLanctocxb) {
if (idLanctocxb == null) {
idLanctocxbNull = true;
this.idLanctocxb = 0;
} else { 
idLanctocxbNull = false;
this.idLanctocxb = idLanctocxb;
}
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public int getFilialpag() {
return filialpag;
}

public boolean isFilialpagNull() {
return filialpagNull;
}

public void setFilialpag(Integer filialpag) {
if (filialpag == null) {
filialpagNull = true;
this.filialpag = 0;
} else { 
filialpagNull = false;
this.filialpag = filialpag;
}
}

public int getIdLanctopag() {
return idLanctopag;
}

public boolean isIdLanctopagNull() {
return idLanctopagNull;
}

public void setIdLanctopag(Integer idLanctopag) {
if (idLanctopag == null) {
idLanctopagNull = true;
this.idLanctopag = 0;
} else { 
idLanctopagNull = false;
this.idLanctopag = idLanctopag;
}
}

public int getIdLanctocxbpag() {
return idLanctocxbpag;
}

public boolean isIdLanctocxbpagNull() {
return idLanctocxbpagNull;
}

public void setIdLanctocxbpag(Integer idLanctocxbpag) {
if (idLanctocxbpag == null) {
idLanctocxbpagNull = true;
this.idLanctocxbpag = 0;
} else { 
idLanctocxbpagNull = false;
this.idLanctocxbpag = idLanctocxbpag;
}
}

public double getValorfloorplan() {
return valorfloorplan;
}

public boolean isValorfloorplanNull() {
return valorfloorplanNull;
}

public void setValorfloorplan(int valorfloorplan) {
setValorfloorplan(new Double(valorfloorplan));
}

public void setValorfloorplan(long valorfloorplan) {
setValorfloorplan(new Double(valorfloorplan));
}

public void setValorfloorplan(Double valorfloorplan) {
if (valorfloorplan == null) {
valorfloorplanNull = true;
this.valorfloorplan = 0.;
} else { 
valorfloorplanNull = false;
this.valorfloorplan = FglDouble.round(valorfloorplan, 2);
}
}

}

