package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxagcapa {
@Coluna(nome="cxagcapa.id_agcapa", tipo="int")
private int idAgcapa;
private boolean idAgcapaNull;
@Coluna(nome="cxagcapa.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxagcapa.tipo", tipo="String")
private String tipo;
@Coluna(nome="cxagcapa.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cxagcapa.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="cxagcapa.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="cxagcapa.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="cxagcapa.observacao", tipo="String")
private String observacao;
@Coluna(nome="cxagcapa.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxagcapa() {
initialize();
}

public void initialize() {
setIdAgcapa(null);
setChassis(null);
setTipo(null);
setData(null);
setNrodocto(null);
setIdOscapa(null);
setNroitem(null);
setObservacao(null);
setValor(null);
}

public TabCxagcapa(int idAgcapa, String chassis, String tipo, FglDate data, int nrodocto, int idOscapa, int nroitem, String observacao, double valor) {
this.idAgcapa = idAgcapa;
this.chassis = chassis;
this.tipo = tipo;
this.data = data;
this.nrodocto = nrodocto;
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.observacao = observacao;
this.valor = valor;
}

public int getIdAgcapa() {
return idAgcapa;
}

public boolean isIdAgcapaNull() {
return idAgcapaNull;
}

public void setIdAgcapa(Integer idAgcapa) {
if (idAgcapa == null) {
idAgcapaNull = true;
this.idAgcapa = 0;
} else { 
idAgcapaNull = false;
this.idAgcapa = idAgcapa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

