package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxanuita {
@Coluna(nome="cxanuita.anuita_id", tipo="int")
private int anuitaId;
private boolean anuitaIdNull;
@Coluna(nome="cxanuita.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxanuita.tipo_vei", tipo="String")
private String tipoVei;
@Coluna(nome="cxanuita.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxanuita.placa", tipo="String")
private String placa;
@Coluna(nome="cxanuita.chassi", tipo="String")
private String chassi;
@Coluna(nome="cxanuita.ano_fab", tipo="int")
private int anoFab;
private boolean anoFabNull;
@Coluna(nome="cxanuita.ano_mod", tipo="int")
private int anoMod;
private boolean anoModNull;
@Coluna(nome="cxanuita.portas", tipo="int")
private int portas;
private boolean portasNull;
@Coluna(nome="cxanuita.codigocor", tipo="String")
private String codigocor;
@Coluna(nome="cxanuita.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="cxanuita.km", tipo="int")
private int km;
private boolean kmNull;
@Coluna(nome="cxanuita.preco_tab", tipo="double")
private double precoTab;
private boolean precoTabNull;
@Coluna(nome="cxanuita.preco_ven", tipo="double")
private double precoVen;
private boolean precoVenNull;
@Coluna(nome="cxanuita.plano", tipo="int")
private int plano;
private boolean planoNull;
@Coluna(nome="cxanuita.prioridade", tipo="int")
private int prioridade;
private boolean prioridadeNull;
@Coluna(nome="cxanuita.descricao", tipo="String")
private String descricao;
@Coluna(nome="cxanuita.dat_envio", tipo="FglDate")
private FglDate datEnvio;
@Coluna(nome="cxanuita.dat_alteracao", tipo="FglDate")
private FglDate datAlteracao;
@Coluna(nome="cxanuita.anuncio_id", tipo="int")
private int anuncioId;
private boolean anuncioIdNull;

public TabCxanuita() {
initialize();
}

public void initialize() {
setAnuitaId(null);
setFilial(null);
setTipoVei(null);
setModelo(null);
setPlaca(null);
setChassi(null);
setAnoFab(null);
setAnoMod(null);
setPortas(null);
setCodigocor(null);
setCombustivel(null);
setKm(null);
setPrecoTab(null);
setPrecoVen(null);
setPlano(null);
setPrioridade(null);
setDescricao(null);
setDatEnvio(null);
setDatAlteracao(null);
setAnuncioId(null);
}

public TabCxanuita(int anuitaId, int filial, String tipoVei, String modelo, String placa, String chassi, int anoFab, int anoMod, int portas, String codigocor, int combustivel, int km, double precoTab, double precoVen, int plano, int prioridade, String descricao, FglDate datEnvio, FglDate datAlteracao, int anuncioId) {
this.anuitaId = anuitaId;
this.filial = filial;
this.tipoVei = tipoVei;
this.modelo = modelo;
this.placa = placa;
this.chassi = chassi;
this.anoFab = anoFab;
this.anoMod = anoMod;
this.portas = portas;
this.codigocor = codigocor;
this.combustivel = combustivel;
this.km = km;
this.precoTab = precoTab;
this.precoVen = precoVen;
this.plano = plano;
this.prioridade = prioridade;
this.descricao = descricao;
this.datEnvio = datEnvio;
this.datAlteracao = datAlteracao;
this.anuncioId = anuncioId;
}

public int getAnuitaId() {
return anuitaId;
}

public boolean isAnuitaIdNull() {
return anuitaIdNull;
}

public void setAnuitaId(Integer anuitaId) {
if (anuitaId == null) {
anuitaIdNull = true;
this.anuitaId = 0;
} else { 
anuitaIdNull = false;
this.anuitaId = anuitaId;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipoVei() {
return tipoVei;
}

public void setTipoVei(String tipoVei) {
this.tipoVei = tipoVei;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public int getAnoFab() {
return anoFab;
}

public boolean isAnoFabNull() {
return anoFabNull;
}

public void setAnoFab(Integer anoFab) {
if (anoFab == null) {
anoFabNull = true;
this.anoFab = 0;
} else { 
anoFabNull = false;
this.anoFab = anoFab;
}
}

public int getAnoMod() {
return anoMod;
}

public boolean isAnoModNull() {
return anoModNull;
}

public void setAnoMod(Integer anoMod) {
if (anoMod == null) {
anoModNull = true;
this.anoMod = 0;
} else { 
anoModNull = false;
this.anoMod = anoMod;
}
}

public int getPortas() {
return portas;
}

public boolean isPortasNull() {
return portasNull;
}

public void setPortas(Integer portas) {
if (portas == null) {
portasNull = true;
this.portas = 0;
} else { 
portasNull = false;
this.portas = portas;
}
}

public String getCodigocor() {
return codigocor;
}

public void setCodigocor(String codigocor) {
this.codigocor = codigocor;
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public int getKm() {
return km;
}

public boolean isKmNull() {
return kmNull;
}

public void setKm(Integer km) {
if (km == null) {
kmNull = true;
this.km = 0;
} else { 
kmNull = false;
this.km = km;
}
}

public double getPrecoTab() {
return precoTab;
}

public boolean isPrecoTabNull() {
return precoTabNull;
}

public void setPrecoTab(int precoTab) {
setPrecoTab(new Double(precoTab));
}

public void setPrecoTab(long precoTab) {
setPrecoTab(new Double(precoTab));
}

public void setPrecoTab(Double precoTab) {
if (precoTab == null) {
precoTabNull = true;
this.precoTab = 0.;
} else { 
precoTabNull = false;
this.precoTab = FglDouble.round(precoTab, 2);
}
}

public double getPrecoVen() {
return precoVen;
}

public boolean isPrecoVenNull() {
return precoVenNull;
}

public void setPrecoVen(int precoVen) {
setPrecoVen(new Double(precoVen));
}

public void setPrecoVen(long precoVen) {
setPrecoVen(new Double(precoVen));
}

public void setPrecoVen(Double precoVen) {
if (precoVen == null) {
precoVenNull = true;
this.precoVen = 0.;
} else { 
precoVenNull = false;
this.precoVen = FglDouble.round(precoVen, 2);
}
}

public int getPlano() {
return plano;
}

public boolean isPlanoNull() {
return planoNull;
}

public void setPlano(Integer plano) {
if (plano == null) {
planoNull = true;
this.plano = 0;
} else { 
planoNull = false;
this.plano = plano;
}
}

public int getPrioridade() {
return prioridade;
}

public boolean isPrioridadeNull() {
return prioridadeNull;
}

public void setPrioridade(Integer prioridade) {
if (prioridade == null) {
prioridadeNull = true;
this.prioridade = 0;
} else { 
prioridadeNull = false;
this.prioridade = prioridade;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDatEnvio() {
return datEnvio;
}

public void setDatEnvio(FglDate datEnvio) {
this.datEnvio = datEnvio;
}

public FglDate getDatAlteracao() {
return datAlteracao;
}

public void setDatAlteracao(FglDate datAlteracao) {
this.datAlteracao = datAlteracao;
}

public int getAnuncioId() {
return anuncioId;
}

public boolean isAnuncioIdNull() {
return anuncioIdNull;
}

public void setAnuncioId(Integer anuncioId) {
if (anuncioId == null) {
anuncioIdNull = true;
this.anuncioId = 0;
} else { 
anuncioIdNull = false;
this.anuncioId = anuncioId;
}
}

}

