package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxavalia {
@Coluna(nome="cxavalia.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="cxavalia.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxavalia.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="cxavalia.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxavalia.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxavalia.renavan", tipo="long")
private long renavan;
private boolean renavanNull;
@Coluna(nome="cxavalia.placa", tipo="String")
private String placa;
@Coluna(nome="cxavalia.marca", tipo="String")
private String marca;
@Coluna(nome="cxavalia.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxavalia.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="cxavalia.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="cxavalia.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxavalia.capacidade", tipo="int")
private int capacidade;
private boolean capacidadeNull;
@Coluna(nome="cxavalia.potencia", tipo="int")
private int potencia;
private boolean potenciaNull;
@Coluna(nome="cxavalia.procedencia", tipo="String")
private String procedencia;
@Coluna(nome="cxavalia.cilindros", tipo="int")
private int cilindros;
private boolean cilindrosNull;
@Coluna(nome="cxavalia.combustivel", tipo="int")
private int combustivel;
private boolean combustivelNull;
@Coluna(nome="cxavalia.cor", tipo="String")
private String cor;
@Coluna(nome="cxavalia.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="cxavalia.revestimento", tipo="String")
private String revestimento;
@Coluna(nome="cxavalia.nromotor", tipo="String")
private String nromotor;
@Coluna(nome="cxavalia.vlravalia", tipo="double")
private double vlravalia;
private boolean vlravaliaNull;
@Coluna(nome="cxavalia.vlrtroco", tipo="double")
private double vlrtroco;
private boolean vlrtrocoNull;
@Coluna(nome="cxavalia.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxavalia.id_nfcapasai", tipo="int")
private int idNfcapasai;
private boolean idNfcapasaiNull;
@Coluna(nome="cxavalia.id_nfcapaent", tipo="int")
private int idNfcapaent;
private boolean idNfcapaentNull;
@Coluna(nome="cxavalia.vlrmercado", tipo="double")
private double vlrmercado;
private boolean vlrmercadoNull;
@Coluna(nome="cxavalia.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxavalia.id_agenteven", tipo="int")
private int idAgenteven;
private boolean idAgentevenNull;
@Coluna(nome="cxavalia.vlrvenda", tipo="double")
private double vlrvenda;
private boolean vlrvendaNull;
@Coluna(nome="cxavalia.dtprivenda", tipo="FglDate")
private FglDate dtprivenda;
@Coluna(nome="cxavalia.destina_se", tipo="int")
private int destinaSe;
private boolean destinaSeNull;
@Coluna(nome="cxavalia.observacao1", tipo="String")
private String observacao1;
@Coluna(nome="cxavalia.observacao2", tipo="String")
private String observacao2;
@Coluna(nome="cxavalia.nroportas", tipo="int")
private int nroportas;
private boolean nroportasNull;
@Coluna(nome="cxavalia.nroespelho", tipo="long")
private long nroespelho;
private boolean nroespelhoNull;
@Coluna(nome="cxavalia.alienacao", tipo="String")
private String alienacao;
@Coluna(nome="cxavalia.bancoalienacao", tipo="String")
private String bancoalienacao;
@Coluna(nome="cxavalia.ipvaatrasado", tipo="String")
private String ipvaatrasado;
@Coluna(nome="cxavalia.dtvalidade", tipo="FglDate")
private FglDate dtvalidade;
@Coluna(nome="cxavalia.nro_avafabrica", tipo="String")
private String nroAvafabrica;
@Coluna(nome="cxavalia.assinatura", tipo="String")
private String assinatura;
@Coluna(nome="cxavalia.id_versao", tipo="int")
private int idVersao;
private boolean idVersaoNull;

public TabCxavalia() {
initialize();
}

public void initialize() {
setAvaliacao(null);
setFilial(null);
setData(null);
setCgccpf(null);
setTppessoa(null);
setRenavan(null);
setPlaca(null);
setMarca(null);
setModelo(null);
setAnofabric(null);
setAnomodelo(null);
setChassis(null);
setCapacidade(null);
setPotencia(null);
setProcedencia(null);
setCilindros(null);
setCombustivel(null);
setCor(null);
setQuilometr(null);
setRevestimento(null);
setNromotor(null);
setVlravalia(null);
setVlrtroco(null);
setPedvenda(null);
setIdNfcapasai(null);
setIdNfcapaent(null);
setVlrmercado(null);
setIdAgente(null);
setIdAgenteven(null);
setVlrvenda(null);
setDtprivenda(null);
setDestinaSe(null);
setObservacao1(null);
setObservacao2(null);
setNroportas(null);
setNroespelho(null);
setAlienacao(null);
setBancoalienacao(null);
setIpvaatrasado(null);
setDtvalidade(null);
setNroAvafabrica(null);
setAssinatura(null);
setIdVersao(null);
}

public TabCxavalia(int avaliacao, int filial, FglDate data, long cgccpf, int tppessoa, long renavan, String placa, String marca, String modelo, int anofabric, int anomodelo, String chassis, int capacidade, int potencia, String procedencia, int cilindros, int combustivel, String cor, int quilometr, String revestimento, String nromotor, double vlravalia, double vlrtroco, int pedvenda, int idNfcapasai, int idNfcapaent, double vlrmercado, int idAgente, int idAgenteven, double vlrvenda, FglDate dtprivenda, int destinaSe, String observacao1, String observacao2, int nroportas, long nroespelho, String alienacao, String bancoalienacao, String ipvaatrasado, FglDate dtvalidade, String nroAvafabrica, String assinatura, int idVersao) {
this.avaliacao = avaliacao;
this.filial = filial;
this.data = data;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.renavan = renavan;
this.placa = placa;
this.marca = marca;
this.modelo = modelo;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.chassis = chassis;
this.capacidade = capacidade;
this.potencia = potencia;
this.procedencia = procedencia;
this.cilindros = cilindros;
this.combustivel = combustivel;
this.cor = cor;
this.quilometr = quilometr;
this.revestimento = revestimento;
this.nromotor = nromotor;
this.vlravalia = vlravalia;
this.vlrtroco = vlrtroco;
this.pedvenda = pedvenda;
this.idNfcapasai = idNfcapasai;
this.idNfcapaent = idNfcapaent;
this.vlrmercado = vlrmercado;
this.idAgente = idAgente;
this.idAgenteven = idAgenteven;
this.vlrvenda = vlrvenda;
this.dtprivenda = dtprivenda;
this.destinaSe = destinaSe;
this.observacao1 = observacao1;
this.observacao2 = observacao2;
this.nroportas = nroportas;
this.nroespelho = nroespelho;
this.alienacao = alienacao;
this.bancoalienacao = bancoalienacao;
this.ipvaatrasado = ipvaatrasado;
this.dtvalidade = dtvalidade;
this.nroAvafabrica = nroAvafabrica;
this.assinatura = assinatura;
this.idVersao = idVersao;
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getRenavan() {
return renavan;
}

public boolean isRenavanNull() {
return renavanNull;
}

public void setRenavan(int renavan) {
setRenavan(new Long(renavan));
}

public void setRenavan(Long renavan) {
if (renavan == null) {
renavanNull = true;
this.renavan = 0l;
} else { 
renavanNull = false;
this.renavan = renavan;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getCapacidade() {
return capacidade;
}

public boolean isCapacidadeNull() {
return capacidadeNull;
}

public void setCapacidade(Integer capacidade) {
if (capacidade == null) {
capacidadeNull = true;
this.capacidade = 0;
} else { 
capacidadeNull = false;
this.capacidade = capacidade;
}
}

public int getPotencia() {
return potencia;
}

public boolean isPotenciaNull() {
return potenciaNull;
}

public void setPotencia(Integer potencia) {
if (potencia == null) {
potenciaNull = true;
this.potencia = 0;
} else { 
potenciaNull = false;
this.potencia = potencia;
}
}

public String getProcedencia() {
return procedencia;
}

public void setProcedencia(String procedencia) {
this.procedencia = procedencia;
}

public int getCilindros() {
return cilindros;
}

public boolean isCilindrosNull() {
return cilindrosNull;
}

public void setCilindros(Integer cilindros) {
if (cilindros == null) {
cilindrosNull = true;
this.cilindros = 0;
} else { 
cilindrosNull = false;
this.cilindros = cilindros;
}
}

public int getCombustivel() {
return combustivel;
}

public boolean isCombustivelNull() {
return combustivelNull;
}

public void setCombustivel(Integer combustivel) {
if (combustivel == null) {
combustivelNull = true;
this.combustivel = 0;
} else { 
combustivelNull = false;
this.combustivel = combustivel;
}
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getRevestimento() {
return revestimento;
}

public void setRevestimento(String revestimento) {
this.revestimento = revestimento;
}

public String getNromotor() {
return nromotor;
}

public void setNromotor(String nromotor) {
this.nromotor = nromotor;
}

public double getVlravalia() {
return vlravalia;
}

public boolean isVlravaliaNull() {
return vlravaliaNull;
}

public void setVlravalia(int vlravalia) {
setVlravalia(new Double(vlravalia));
}

public void setVlravalia(long vlravalia) {
setVlravalia(new Double(vlravalia));
}

public void setVlravalia(Double vlravalia) {
if (vlravalia == null) {
vlravaliaNull = true;
this.vlravalia = 0.;
} else { 
vlravaliaNull = false;
this.vlravalia = FglDouble.round(vlravalia, 2);
}
}

public double getVlrtroco() {
return vlrtroco;
}

public boolean isVlrtrocoNull() {
return vlrtrocoNull;
}

public void setVlrtroco(int vlrtroco) {
setVlrtroco(new Double(vlrtroco));
}

public void setVlrtroco(long vlrtroco) {
setVlrtroco(new Double(vlrtroco));
}

public void setVlrtroco(Double vlrtroco) {
if (vlrtroco == null) {
vlrtrocoNull = true;
this.vlrtroco = 0.;
} else { 
vlrtrocoNull = false;
this.vlrtroco = FglDouble.round(vlrtroco, 2);
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdNfcapasai() {
return idNfcapasai;
}

public boolean isIdNfcapasaiNull() {
return idNfcapasaiNull;
}

public void setIdNfcapasai(Integer idNfcapasai) {
if (idNfcapasai == null) {
idNfcapasaiNull = true;
this.idNfcapasai = 0;
} else { 
idNfcapasaiNull = false;
this.idNfcapasai = idNfcapasai;
}
}

public int getIdNfcapaent() {
return idNfcapaent;
}

public boolean isIdNfcapaentNull() {
return idNfcapaentNull;
}

public void setIdNfcapaent(Integer idNfcapaent) {
if (idNfcapaent == null) {
idNfcapaentNull = true;
this.idNfcapaent = 0;
} else { 
idNfcapaentNull = false;
this.idNfcapaent = idNfcapaent;
}
}

public double getVlrmercado() {
return vlrmercado;
}

public boolean isVlrmercadoNull() {
return vlrmercadoNull;
}

public void setVlrmercado(int vlrmercado) {
setVlrmercado(new Double(vlrmercado));
}

public void setVlrmercado(long vlrmercado) {
setVlrmercado(new Double(vlrmercado));
}

public void setVlrmercado(Double vlrmercado) {
if (vlrmercado == null) {
vlrmercadoNull = true;
this.vlrmercado = 0.;
} else { 
vlrmercadoNull = false;
this.vlrmercado = FglDouble.round(vlrmercado, 2);
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdAgenteven() {
return idAgenteven;
}

public boolean isIdAgentevenNull() {
return idAgentevenNull;
}

public void setIdAgenteven(Integer idAgenteven) {
if (idAgenteven == null) {
idAgentevenNull = true;
this.idAgenteven = 0;
} else { 
idAgentevenNull = false;
this.idAgenteven = idAgenteven;
}
}

public double getVlrvenda() {
return vlrvenda;
}

public boolean isVlrvendaNull() {
return vlrvendaNull;
}

public void setVlrvenda(int vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(long vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(Double vlrvenda) {
if (vlrvenda == null) {
vlrvendaNull = true;
this.vlrvenda = 0.;
} else { 
vlrvendaNull = false;
this.vlrvenda = FglDouble.round(vlrvenda, 2);
}
}

public FglDate getDtprivenda() {
return dtprivenda;
}

public void setDtprivenda(FglDate dtprivenda) {
this.dtprivenda = dtprivenda;
}

public int getDestinaSe() {
return destinaSe;
}

public boolean isDestinaSeNull() {
return destinaSeNull;
}

public void setDestinaSe(Integer destinaSe) {
if (destinaSe == null) {
destinaSeNull = true;
this.destinaSe = 0;
} else { 
destinaSeNull = false;
this.destinaSe = destinaSe;
}
}

public String getObservacao1() {
return observacao1;
}

public void setObservacao1(String observacao1) {
this.observacao1 = observacao1;
}

public String getObservacao2() {
return observacao2;
}

public void setObservacao2(String observacao2) {
this.observacao2 = observacao2;
}

public int getNroportas() {
return nroportas;
}

public boolean isNroportasNull() {
return nroportasNull;
}

public void setNroportas(Integer nroportas) {
if (nroportas == null) {
nroportasNull = true;
this.nroportas = 0;
} else { 
nroportasNull = false;
this.nroportas = nroportas;
}
}

public long getNroespelho() {
return nroespelho;
}

public boolean isNroespelhoNull() {
return nroespelhoNull;
}

public void setNroespelho(int nroespelho) {
setNroespelho(new Long(nroespelho));
}

public void setNroespelho(Long nroespelho) {
if (nroespelho == null) {
nroespelhoNull = true;
this.nroespelho = 0l;
} else { 
nroespelhoNull = false;
this.nroespelho = nroespelho;
}
}

public String getAlienacao() {
return alienacao;
}

public void setAlienacao(String alienacao) {
this.alienacao = alienacao;
}

public String getBancoalienacao() {
return bancoalienacao;
}

public void setBancoalienacao(String bancoalienacao) {
this.bancoalienacao = bancoalienacao;
}

public String getIpvaatrasado() {
return ipvaatrasado;
}

public void setIpvaatrasado(String ipvaatrasado) {
this.ipvaatrasado = ipvaatrasado;
}

public FglDate getDtvalidade() {
return dtvalidade;
}

public void setDtvalidade(FglDate dtvalidade) {
this.dtvalidade = dtvalidade;
}

public String getNroAvafabrica() {
return nroAvafabrica;
}

public void setNroAvafabrica(String nroAvafabrica) {
this.nroAvafabrica = nroAvafabrica;
}

public String getAssinatura() {
return assinatura;
}

public void setAssinatura(String assinatura) {
this.assinatura = assinatura;
}

public int getIdVersao() {
return idVersao;
}

public boolean isIdVersaoNull() {
return idVersaoNull;
}

public void setIdVersao(Integer idVersao) {
if (idVersao == null) {
idVersaoNull = true;
this.idVersao = 0;
} else { 
idVersaoNull = false;
this.idVersao = idVersao;
}
}

}

