package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxbrinde {
@Coluna(nome="cxbrinde.brinde", tipo="String")
private String brinde;
@Coluna(nome="cxbrinde.descrbrind1", tipo="String")
private String descrbrind1;
@Coluna(nome="cxbrinde.descrbrind2", tipo="String")
private String descrbrind2;
@Coluna(nome="cxbrinde.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxbrinde() {
initialize();
}

public void initialize() {
setBrinde(null);
setDescrbrind1(null);
setDescrbrind2(null);
setValor(null);
}

public TabCxbrinde(String brinde, String descrbrind1, String descrbrind2, double valor) {
this.brinde = brinde;
this.descrbrind1 = descrbrind1;
this.descrbrind2 = descrbrind2;
this.valor = valor;
}

public String getBrinde() {
return brinde;
}

public void setBrinde(String brinde) {
this.brinde = brinde;
}

public String getDescrbrind1() {
return descrbrind1;
}

public void setDescrbrind1(String descrbrind1) {
this.descrbrind1 = descrbrind1;
}

public String getDescrbrind2() {
return descrbrind2;
}

public void setDescrbrind2(String descrbrind2) {
this.descrbrind2 = descrbrind2;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

