package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabCxcalcom {
@Coluna(nome="cxcalcom.id_calcom", tipo="int")
private int idCalcom;
private boolean idCalcomNull;
@Coluna(nome="cxcalcom.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxcalcom.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxcalcom.dtcomissao", tipo="FglDateTimeYM")
private FglDateTimeYM dtcomissao;
@Coluna(nome="cxcalcom.id_agentegera", tipo="int")
private int idAgentegera;
private boolean idAgentegeraNull;
@Coluna(nome="cxcalcom.dtgeracao", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtgeracao;

public TabCxcalcom() {
initialize();
}

public void initialize() {
setIdCalcom(null);
setFilial(null);
setNovousado(null);
setDtcomissao(null);
setIdAgentegera(null);
setDtgeracao(null);
}

public TabCxcalcom(int idCalcom, int filial, String novousado, FglDateTimeYM dtcomissao, int idAgentegera, FglDateTimeYMin dtgeracao) {
this.idCalcom = idCalcom;
this.filial = filial;
this.novousado = novousado;
this.dtcomissao = dtcomissao;
this.idAgentegera = idAgentegera;
this.dtgeracao = dtgeracao;
}

public int getIdCalcom() {
return idCalcom;
}

public boolean isIdCalcomNull() {
return idCalcomNull;
}

public void setIdCalcom(Integer idCalcom) {
if (idCalcom == null) {
idCalcomNull = true;
this.idCalcom = 0;
} else { 
idCalcomNull = false;
this.idCalcom = idCalcom;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public FglDateTimeYM getDtcomissao() {
return dtcomissao;
}

public void setDtcomissao(FglDateTimeYM dtcomissao) {
this.dtcomissao = dtcomissao;
}

public int getIdAgentegera() {
return idAgentegera;
}

public boolean isIdAgentegeraNull() {
return idAgentegeraNull;
}

public void setIdAgentegera(Integer idAgentegera) {
if (idAgentegera == null) {
idAgentegeraNull = true;
this.idAgentegera = 0;
} else { 
idAgentegeraNull = false;
this.idAgentegera = idAgentegera;
}
}

public FglDateTimeYMin getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDateTimeYMin dtgeracao) {
this.dtgeracao = dtgeracao;
}

}

