package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxcictoy {
@Coluna(nome="cxcictoy.dealer_number", tipo="String")
private String dealerNumber;
@Coluna(nome="cxcictoy.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxcictoy.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxcictoy.nro_meses", tipo="int")
private int nroMeses;
private boolean nroMesesNull;
@Coluna(nome="cxcictoy.dt_adesao", tipo="FglDate")
private FglDate dtAdesao;
@Coluna(nome="cxcictoy.dt_cancela", tipo="FglDate")
private FglDate dtCancela;

public TabCxcictoy() {
initialize();
}

public void initialize() {
setDealerNumber(null);
setCgccpf(null);
setChassis(null);
setNroMeses(null);
setDtAdesao(null);
setDtCancela(null);
}

public TabCxcictoy(String dealerNumber, long cgccpf, String chassis, int nroMeses, FglDate dtAdesao, FglDate dtCancela) {
this.dealerNumber = dealerNumber;
this.cgccpf = cgccpf;
this.chassis = chassis;
this.nroMeses = nroMeses;
this.dtAdesao = dtAdesao;
this.dtCancela = dtCancela;
}

public String getDealerNumber() {
return dealerNumber;
}

public void setDealerNumber(String dealerNumber) {
this.dealerNumber = dealerNumber;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getNroMeses() {
return nroMeses;
}

public boolean isNroMesesNull() {
return nroMesesNull;
}

public void setNroMeses(Integer nroMeses) {
if (nroMeses == null) {
nroMesesNull = true;
this.nroMeses = 0;
} else { 
nroMesesNull = false;
this.nroMeses = nroMeses;
}
}

public FglDate getDtAdesao() {
return dtAdesao;
}

public void setDtAdesao(FglDate dtAdesao) {
this.dtAdesao = dtAdesao;
}

public FglDate getDtCancela() {
return dtCancela;
}

public void setDtCancela(FglDate dtCancela) {
this.dtCancela = dtCancela;
}

}

