package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxconsco {
@Coluna(nome="cxconsco.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxconsco.proposta", tipo="int")
private int proposta;
private boolean propostaNull;
@Coluna(nome="cxconsco.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="cxconsco.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxconsco.vlr_previs", tipo="double")
private double vlrPrevis;
private boolean vlrPrevisNull;
@Coluna(nome="cxconsco.dtrecbto", tipo="FglDate")
private FglDate dtrecbto;
@Coluna(nome="cxconsco.vlr_recbto", tipo="double")
private double vlrRecbto;
private boolean vlrRecbtoNull;

public TabCxconsco() {
initialize();
}

public void initialize() {
setFilial(null);
setProposta(null);
setParcela(null);
setDtvencto(null);
setVlrPrevis(null);
setDtrecbto(null);
setVlrRecbto(null);
}

public TabCxconsco(int filial, int proposta, int parcela, FglDate dtvencto, double vlrPrevis, FglDate dtrecbto, double vlrRecbto) {
this.filial = filial;
this.proposta = proposta;
this.parcela = parcela;
this.dtvencto = dtvencto;
this.vlrPrevis = vlrPrevis;
this.dtrecbto = dtrecbto;
this.vlrRecbto = vlrRecbto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getProposta() {
return proposta;
}

public boolean isPropostaNull() {
return propostaNull;
}

public void setProposta(Integer proposta) {
if (proposta == null) {
propostaNull = true;
this.proposta = 0;
} else { 
propostaNull = false;
this.proposta = proposta;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getVlrPrevis() {
return vlrPrevis;
}

public boolean isVlrPrevisNull() {
return vlrPrevisNull;
}

public void setVlrPrevis(int vlrPrevis) {
setVlrPrevis(new Double(vlrPrevis));
}

public void setVlrPrevis(long vlrPrevis) {
setVlrPrevis(new Double(vlrPrevis));
}

public void setVlrPrevis(Double vlrPrevis) {
if (vlrPrevis == null) {
vlrPrevisNull = true;
this.vlrPrevis = 0.;
} else { 
vlrPrevisNull = false;
this.vlrPrevis = FglDouble.round(vlrPrevis, 2);
}
}

public FglDate getDtrecbto() {
return dtrecbto;
}

public void setDtrecbto(FglDate dtrecbto) {
this.dtrecbto = dtrecbto;
}

public double getVlrRecbto() {
return vlrRecbto;
}

public boolean isVlrRecbtoNull() {
return vlrRecbtoNull;
}

public void setVlrRecbto(int vlrRecbto) {
setVlrRecbto(new Double(vlrRecbto));
}

public void setVlrRecbto(long vlrRecbto) {
setVlrRecbto(new Double(vlrRecbto));
}

public void setVlrRecbto(Double vlrRecbto) {
if (vlrRecbto == null) {
vlrRecbtoNull = true;
this.vlrRecbto = 0.;
} else { 
vlrRecbtoNull = false;
this.vlrRecbto = FglDouble.round(vlrRecbto, 2);
}
}

}

