package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCxconsme {
@Coluna(nome="cxconsme.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxconsme.permeta", tipo="FglDateTimeYM")
private FglDateTimeYM permeta;
@Coluna(nome="cxconsme.quantprop", tipo="int")
private int quantprop;
private boolean quantpropNull;

public TabCxconsme() {
initialize();
}

public void initialize() {
setFilial(null);
setPermeta(null);
setQuantprop(null);
}

public TabCxconsme(int filial, FglDateTimeYM permeta, int quantprop) {
this.filial = filial;
this.permeta = permeta;
this.quantprop = quantprop;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getPermeta() {
return permeta;
}

public void setPermeta(FglDateTimeYM permeta) {
this.permeta = permeta;
}

public int getQuantprop() {
return quantprop;
}

public boolean isQuantpropNull() {
return quantpropNull;
}

public void setQuantprop(Integer quantprop) {
if (quantprop == null) {
quantpropNull = true;
this.quantprop = 0;
} else { 
quantpropNull = false;
this.quantprop = quantprop;
}
}

}

