package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxcreita {
@Coluna(nome="cxcreita.creita_id", tipo="int")
private int creitaId;
private boolean creitaIdNull;
@Coluna(nome="cxcreita.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="cxcreita.id_transacao", tipo="String")
private String idTransacao;
@Coluna(nome="cxcreita.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxcreita.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxcreita.status", tipo="String")
private String status;
@Coluna(nome="cxcreita.limitecred", tipo="double")
private double limitecred;
private boolean limitecredNull;
@Coluna(nome="cxcreita.dta_consulta", tipo="FglDateTimeYS")
private FglDateTimeYS dtaConsulta;

public TabCxcreita() {
initialize();
}

public void initialize() {
setCreitaId(null);
setIdTarefa(null);
setIdTransacao(null);
setCgccpf(null);
setTppessoa(null);
setStatus(null);
setLimitecred(null);
setDtaConsulta(null);
}

public TabCxcreita(int creitaId, int idTarefa, String idTransacao, long cgccpf, int tppessoa, String status, double limitecred, FglDateTimeYS dtaConsulta) {
this.creitaId = creitaId;
this.idTarefa = idTarefa;
this.idTransacao = idTransacao;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.status = status;
this.limitecred = limitecred;
this.dtaConsulta = dtaConsulta;
}

public int getCreitaId() {
return creitaId;
}

public boolean isCreitaIdNull() {
return creitaIdNull;
}

public void setCreitaId(Integer creitaId) {
if (creitaId == null) {
creitaIdNull = true;
this.creitaId = 0;
} else { 
creitaIdNull = false;
this.creitaId = creitaId;
}
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public String getIdTransacao() {
return idTransacao;
}

public void setIdTransacao(String idTransacao) {
this.idTransacao = idTransacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public double getLimitecred() {
return limitecred;
}

public boolean isLimitecredNull() {
return limitecredNull;
}

public void setLimitecred(int limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(long limitecred) {
setLimitecred(new Double(limitecred));
}

public void setLimitecred(Double limitecred) {
if (limitecred == null) {
limitecredNull = true;
this.limitecred = 0.;
} else { 
limitecredNull = false;
this.limitecred = FglDouble.round(limitecred, 2);
}
}

public FglDateTimeYS getDtaConsulta() {
return dtaConsulta;
}

public void setDtaConsulta(FglDateTimeYS dtaConsulta) {
this.dtaConsulta = dtaConsulta;
}

}

