package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxecosim {
@Coluna(nome="cxecosim.id_simvei", tipo="int")
private int idSimvei;
private boolean idSimveiNull;
@Coluna(nome="cxecosim.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxecosim() {
initialize();
}

public void initialize() {
setIdSimvei(null);
setValor(null);
}

public TabCxecosim(int idSimvei, double valor) {
this.idSimvei = idSimvei;
this.valor = valor;
}

public int getIdSimvei() {
return idSimvei;
}

public boolean isIdSimveiNull() {
return idSimveiNull;
}

public void setIdSimvei(Integer idSimvei) {
if (idSimvei == null) {
idSimveiNull = true;
this.idSimvei = 0;
} else { 
idSimveiNull = false;
this.idSimvei = idSimvei;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

