package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxfamttr {
@Coluna(nome="cxfamttr.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cxfamttr.descrfamilia", tipo="String")
private String descrfamilia;
@Coluna(nome="cxfamttr.dias_pvn", tipo="int")
private int diasPvn;
private boolean diasPvnNull;
@Coluna(nome="cxfamttr.fator_ideal", tipo="double")
private double fatorIdeal;
private boolean fatorIdealNull;
@Coluna(nome="cxfamttr.perc_ideal", tipo="double")
private double percIdeal;
private boolean percIdealNull;
@Coluna(nome="cxfamttr.precodservico", tipo="String")
private String precodservico;
@Coluna(nome="cxfamttr.sufcodservico", tipo="String")
private String sufcodservico;
@Coluna(nome="cxfamttr.tpmaqveic", tipo="String")
private String tpmaqveic;
@Coluna(nome="cxfamttr.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="cxfamttr.id_grupousado", tipo="int")
private int idGrupousado;
private boolean idGrupousadoNull;
@Coluna(nome="cxfamttr.faixapreco", tipo="int")
private int faixapreco;
private boolean faixaprecoNull;
@Coluna(nome="cxfamttr.objtestd", tipo="int")
private int objtestd;
private boolean objtestdNull;
@Coluna(nome="cxfamttr.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="cxfamttr.coluna_rel", tipo="int")
private int colunaRel;
private boolean colunaRelNull;
@Coluna(nome="cxfamttr.margem", tipo="double")
private double margem;
private boolean margemNull;
@Coluna(nome="cxfamttr.tpordemest", tipo="String")
private String tpordemest;
@Coluna(nome="cxfamttr.tpordemped", tipo="String")
private String tpordemped;
@Coluna(nome="cxfamttr.tpordemcor", tipo="String")
private String tpordemcor;
@Coluna(nome="cxfamttr.perchold", tipo="double")
private double perchold;
private boolean percholdNull;
@Coluna(nome="cxfamttr.perccontrib", tipo="double")
private double perccontrib;
private boolean perccontribNull;

public TabCxfamttr() {
initialize();
}

public void initialize() {
setFamilia(null);
setDescrfamilia(null);
setDiasPvn(null);
setFatorIdeal(null);
setPercIdeal(null);
setPrecodservico(null);
setSufcodservico(null);
setTpmaqveic(null);
setIdGrupos(null);
setIdGrupousado(null);
setFaixapreco(null);
setObjtestd(null);
setBandeira(null);
setColunaRel(null);
setMargem(null);
setTpordemest(null);
setTpordemped(null);
setTpordemcor(null);
setPerchold(null);
setPerccontrib(null);
}

public TabCxfamttr(int familia, String descrfamilia, int diasPvn, double fatorIdeal, double percIdeal, String precodservico, String sufcodservico, String tpmaqveic, int idGrupos, int idGrupousado, int faixapreco, int objtestd, String bandeira, int colunaRel, double margem, String tpordemest, String tpordemped, String tpordemcor, double perchold, double perccontrib) {
this.familia = familia;
this.descrfamilia = descrfamilia;
this.diasPvn = diasPvn;
this.fatorIdeal = fatorIdeal;
this.percIdeal = percIdeal;
this.precodservico = precodservico;
this.sufcodservico = sufcodservico;
this.tpmaqveic = tpmaqveic;
this.idGrupos = idGrupos;
this.idGrupousado = idGrupousado;
this.faixapreco = faixapreco;
this.objtestd = objtestd;
this.bandeira = bandeira;
this.colunaRel = colunaRel;
this.margem = margem;
this.tpordemest = tpordemest;
this.tpordemped = tpordemped;
this.tpordemcor = tpordemcor;
this.perchold = perchold;
this.perccontrib = perccontrib;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getDescrfamilia() {
return descrfamilia;
}

public void setDescrfamilia(String descrfamilia) {
this.descrfamilia = descrfamilia;
}

public int getDiasPvn() {
return diasPvn;
}

public boolean isDiasPvnNull() {
return diasPvnNull;
}

public void setDiasPvn(Integer diasPvn) {
if (diasPvn == null) {
diasPvnNull = true;
this.diasPvn = 0;
} else { 
diasPvnNull = false;
this.diasPvn = diasPvn;
}
}

public double getFatorIdeal() {
return fatorIdeal;
}

public boolean isFatorIdealNull() {
return fatorIdealNull;
}

public void setFatorIdeal(int fatorIdeal) {
setFatorIdeal(new Double(fatorIdeal));
}

public void setFatorIdeal(long fatorIdeal) {
setFatorIdeal(new Double(fatorIdeal));
}

public void setFatorIdeal(Double fatorIdeal) {
if (fatorIdeal == null) {
fatorIdealNull = true;
this.fatorIdeal = 0.;
} else { 
fatorIdealNull = false;
this.fatorIdeal = FglDouble.round(fatorIdeal, 1);
}
}

public double getPercIdeal() {
return percIdeal;
}

public boolean isPercIdealNull() {
return percIdealNull;
}

public void setPercIdeal(int percIdeal) {
setPercIdeal(new Double(percIdeal));
}

public void setPercIdeal(long percIdeal) {
setPercIdeal(new Double(percIdeal));
}

public void setPercIdeal(Double percIdeal) {
if (percIdeal == null) {
percIdealNull = true;
this.percIdeal = 0.;
} else { 
percIdealNull = false;
this.percIdeal = FglDouble.round(percIdeal, 2);
}
}

public String getPrecodservico() {
return precodservico;
}

public void setPrecodservico(String precodservico) {
this.precodservico = precodservico;
}

public String getSufcodservico() {
return sufcodservico;
}

public void setSufcodservico(String sufcodservico) {
this.sufcodservico = sufcodservico;
}

public String getTpmaqveic() {
return tpmaqveic;
}

public void setTpmaqveic(String tpmaqveic) {
this.tpmaqveic = tpmaqveic;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public int getIdGrupousado() {
return idGrupousado;
}

public boolean isIdGrupousadoNull() {
return idGrupousadoNull;
}

public void setIdGrupousado(Integer idGrupousado) {
if (idGrupousado == null) {
idGrupousadoNull = true;
this.idGrupousado = 0;
} else { 
idGrupousadoNull = false;
this.idGrupousado = idGrupousado;
}
}

public int getFaixapreco() {
return faixapreco;
}

public boolean isFaixaprecoNull() {
return faixaprecoNull;
}

public void setFaixapreco(Integer faixapreco) {
if (faixapreco == null) {
faixaprecoNull = true;
this.faixapreco = 0;
} else { 
faixaprecoNull = false;
this.faixapreco = faixapreco;
}
}

public int getObjtestd() {
return objtestd;
}

public boolean isObjtestdNull() {
return objtestdNull;
}

public void setObjtestd(Integer objtestd) {
if (objtestd == null) {
objtestdNull = true;
this.objtestd = 0;
} else { 
objtestdNull = false;
this.objtestd = objtestd;
}
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public int getColunaRel() {
return colunaRel;
}

public boolean isColunaRelNull() {
return colunaRelNull;
}

public void setColunaRel(Integer colunaRel) {
if (colunaRel == null) {
colunaRelNull = true;
this.colunaRel = 0;
} else { 
colunaRelNull = false;
this.colunaRel = colunaRel;
}
}

public double getMargem() {
return margem;
}

public boolean isMargemNull() {
return margemNull;
}

public void setMargem(int margem) {
setMargem(new Double(margem));
}

public void setMargem(long margem) {
setMargem(new Double(margem));
}

public void setMargem(Double margem) {
if (margem == null) {
margemNull = true;
this.margem = 0.;
} else { 
margemNull = false;
this.margem = FglDouble.round(margem, 2);
}
}

public String getTpordemest() {
return tpordemest;
}

public void setTpordemest(String tpordemest) {
this.tpordemest = tpordemest;
}

public String getTpordemped() {
return tpordemped;
}

public void setTpordemped(String tpordemped) {
this.tpordemped = tpordemped;
}

public String getTpordemcor() {
return tpordemcor;
}

public void setTpordemcor(String tpordemcor) {
this.tpordemcor = tpordemcor;
}

public double getPerchold() {
return perchold;
}

public boolean isPercholdNull() {
return percholdNull;
}

public void setPerchold(int perchold) {
setPerchold(new Double(perchold));
}

public void setPerchold(long perchold) {
setPerchold(new Double(perchold));
}

public void setPerchold(Double perchold) {
if (perchold == null) {
percholdNull = true;
this.perchold = 0.;
} else { 
percholdNull = false;
this.perchold = FglDouble.round(perchold, 2);
}
}

public double getPerccontrib() {
return perccontrib;
}

public boolean isPerccontribNull() {
return perccontribNull;
}

public void setPerccontrib(int perccontrib) {
setPerccontrib(new Double(perccontrib));
}

public void setPerccontrib(long perccontrib) {
setPerccontrib(new Double(perccontrib));
}

public void setPerccontrib(Double perccontrib) {
if (perccontrib == null) {
perccontribNull = true;
this.perccontrib = 0.;
} else { 
perccontribNull = false;
this.perccontrib = FglDouble.round(perccontrib, 2);
}
}

}

