package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxfastrp {
@Coluna(nome="cxfastrp.id_fastrp", tipo="int")
private int idFastrp;
private boolean idFastrpNull;
@Coluna(nome="cxfastrp.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="cxfastrp.dt_fastrp", tipo="FglDate")
private FglDate dtFastrp;
@Coluna(nome="cxfastrp.totaltempo", tipo="double")
private double totaltempo;
private boolean totaltempoNull;
@Coluna(nome="cxfastrp.pintperoliz", tipo="String")
private String pintperoliz;
@Coluna(nome="cxfastrp.valorperoliz", tipo="double")
private double valorperoliz;
private boolean valorperolizNull;
@Coluna(nome="cxfastrp.valortotalservico", tipo="double")
private double valortotalservico;
private boolean valortotalservicoNull;

public TabCxfastrp() {
initialize();
}

public void initialize() {
setIdFastrp(null);
setIdOrccap(null);
setDtFastrp(null);
setTotaltempo(null);
setPintperoliz(null);
setValorperoliz(null);
setValortotalservico(null);
}

public TabCxfastrp(int idFastrp, int idOrccap, FglDate dtFastrp, double totaltempo, String pintperoliz, double valorperoliz, double valortotalservico) {
this.idFastrp = idFastrp;
this.idOrccap = idOrccap;
this.dtFastrp = dtFastrp;
this.totaltempo = totaltempo;
this.pintperoliz = pintperoliz;
this.valorperoliz = valorperoliz;
this.valortotalservico = valortotalservico;
}

public int getIdFastrp() {
return idFastrp;
}

public boolean isIdFastrpNull() {
return idFastrpNull;
}

public void setIdFastrp(Integer idFastrp) {
if (idFastrp == null) {
idFastrpNull = true;
this.idFastrp = 0;
} else { 
idFastrpNull = false;
this.idFastrp = idFastrp;
}
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public FglDate getDtFastrp() {
return dtFastrp;
}

public void setDtFastrp(FglDate dtFastrp) {
this.dtFastrp = dtFastrp;
}

public double getTotaltempo() {
return totaltempo;
}

public boolean isTotaltempoNull() {
return totaltempoNull;
}

public void setTotaltempo(int totaltempo) {
setTotaltempo(new Double(totaltempo));
}

public void setTotaltempo(long totaltempo) {
setTotaltempo(new Double(totaltempo));
}

public void setTotaltempo(Double totaltempo) {
if (totaltempo == null) {
totaltempoNull = true;
this.totaltempo = 0.;
} else { 
totaltempoNull = false;
this.totaltempo = FglDouble.round(totaltempo, 2);
}
}

public String getPintperoliz() {
return pintperoliz;
}

public void setPintperoliz(String pintperoliz) {
this.pintperoliz = pintperoliz;
}

public double getValorperoliz() {
return valorperoliz;
}

public boolean isValorperolizNull() {
return valorperolizNull;
}

public void setValorperoliz(int valorperoliz) {
setValorperoliz(new Double(valorperoliz));
}

public void setValorperoliz(long valorperoliz) {
setValorperoliz(new Double(valorperoliz));
}

public void setValorperoliz(Double valorperoliz) {
if (valorperoliz == null) {
valorperolizNull = true;
this.valorperoliz = 0.;
} else { 
valorperolizNull = false;
this.valorperoliz = FglDouble.round(valorperoliz, 2);
}
}

public double getValortotalservico() {
return valortotalservico;
}

public boolean isValortotalservicoNull() {
return valortotalservicoNull;
}

public void setValortotalservico(int valortotalservico) {
setValortotalservico(new Double(valortotalservico));
}

public void setValortotalservico(long valortotalservico) {
setValortotalservico(new Double(valortotalservico));
}

public void setValortotalservico(Double valortotalservico) {
if (valortotalservico == null) {
valortotalservicoNull = true;
this.valortotalservico = 0.;
} else { 
valortotalservicoNull = false;
this.valortotalservico = FglDouble.round(valortotalservico, 2);
}
}

}

