package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxfatdir {
@Coluna(nome="cxfatdir.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxfatdir.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxfatdir.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxfatdir.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxfatdir.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxfatdir.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="cxfatdir.serienf", tipo="String")
private String serienf;
@Coluna(nome="cxfatdir.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="cxfatdir.chassisnovo", tipo="String")
private String chassisnovo;
@Coluna(nome="cxfatdir.totnfiscal", tipo="double")
private double totnfiscal;
private boolean totnfiscalNull;
@Coluna(nome="cxfatdir.vlrrebate", tipo="double")
private double vlrrebate;
private boolean vlrrebateNull;
@Coluna(nome="cxfatdir.vlrrevis", tipo="double")
private double vlrrevis;
private boolean vlrrevisNull;
@Coluna(nome="cxfatdir.vlrbonus", tipo="double")
private double vlrbonus;
private boolean vlrbonusNull;
@Coluna(nome="cxfatdir.vlrfrete", tipo="double")
private double vlrfrete;
private boolean vlrfreteNull;

public TabCxfatdir() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setCgccpf(null);
setTppessoa(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setChassisnovo(null);
setTotnfiscal(null);
setVlrrebate(null);
setVlrrevis(null);
setVlrbonus(null);
setVlrfrete(null);
}

public TabCxfatdir(int filial, int pedvenda, int nrolinha, long cgccpf, int tppessoa, int nronota, String serienf, FglDate dtnota, String chassisnovo, double totnfiscal, double vlrrebate, double vlrrevis, double vlrbonus, double vlrfrete) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.chassisnovo = chassisnovo;
this.totnfiscal = totnfiscal;
this.vlrrebate = vlrrebate;
this.vlrrevis = vlrrevis;
this.vlrbonus = vlrbonus;
this.vlrfrete = vlrfrete;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public String getChassisnovo() {
return chassisnovo;
}

public void setChassisnovo(String chassisnovo) {
this.chassisnovo = chassisnovo;
}

public double getTotnfiscal() {
return totnfiscal;
}

public boolean isTotnfiscalNull() {
return totnfiscalNull;
}

public void setTotnfiscal(int totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(long totnfiscal) {
setTotnfiscal(new Double(totnfiscal));
}

public void setTotnfiscal(Double totnfiscal) {
if (totnfiscal == null) {
totnfiscalNull = true;
this.totnfiscal = 0.;
} else { 
totnfiscalNull = false;
this.totnfiscal = FglDouble.round(totnfiscal, 2);
}
}

public double getVlrrebate() {
return vlrrebate;
}

public boolean isVlrrebateNull() {
return vlrrebateNull;
}

public void setVlrrebate(int vlrrebate) {
setVlrrebate(new Double(vlrrebate));
}

public void setVlrrebate(long vlrrebate) {
setVlrrebate(new Double(vlrrebate));
}

public void setVlrrebate(Double vlrrebate) {
if (vlrrebate == null) {
vlrrebateNull = true;
this.vlrrebate = 0.;
} else { 
vlrrebateNull = false;
this.vlrrebate = FglDouble.round(vlrrebate, 2);
}
}

public double getVlrrevis() {
return vlrrevis;
}

public boolean isVlrrevisNull() {
return vlrrevisNull;
}

public void setVlrrevis(int vlrrevis) {
setVlrrevis(new Double(vlrrevis));
}

public void setVlrrevis(long vlrrevis) {
setVlrrevis(new Double(vlrrevis));
}

public void setVlrrevis(Double vlrrevis) {
if (vlrrevis == null) {
vlrrevisNull = true;
this.vlrrevis = 0.;
} else { 
vlrrevisNull = false;
this.vlrrevis = FglDouble.round(vlrrevis, 2);
}
}

public double getVlrbonus() {
return vlrbonus;
}

public boolean isVlrbonusNull() {
return vlrbonusNull;
}

public void setVlrbonus(int vlrbonus) {
setVlrbonus(new Double(vlrbonus));
}

public void setVlrbonus(long vlrbonus) {
setVlrbonus(new Double(vlrbonus));
}

public void setVlrbonus(Double vlrbonus) {
if (vlrbonus == null) {
vlrbonusNull = true;
this.vlrbonus = 0.;
} else { 
vlrbonusNull = false;
this.vlrbonus = FglDouble.round(vlrbonus, 2);
}
}

public double getVlrfrete() {
return vlrfrete;
}

public boolean isVlrfreteNull() {
return vlrfreteNull;
}

public void setVlrfrete(int vlrfrete) {
setVlrfrete(new Double(vlrfrete));
}

public void setVlrfrete(long vlrfrete) {
setVlrfrete(new Double(vlrfrete));
}

public void setVlrfrete(Double vlrfrete) {
if (vlrfrete == null) {
vlrfreteNull = true;
this.vlrfrete = 0.;
} else { 
vlrfreteNull = false;
this.vlrfrete = FglDouble.round(vlrfrete, 2);
}
}

}

