package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxfloren {
@Coluna(nome="cxfloren.id_floren", tipo="int")
private int idFloren;
private boolean idFlorenNull;
@Coluna(nome="cxfloren.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxfloren.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxfloren.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="cxfloren.banco", tipo="int")
private int banco;
private boolean bancoNull;
@Coluna(nome="cxfloren.conta", tipo="int")
private int conta;
private boolean contaNull;
@Coluna(nome="cxfloren.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxfloren.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxfloren.novousado", tipo="String")
private String novousado;
@Coluna(nome="cxfloren.diasuteis", tipo="String")
private String diasuteis;
@Coluna(nome="cxfloren.contrato", tipo="String")
private String contrato;
@Coluna(nome="cxfloren.transittime", tipo="int")
private int transittime;
private boolean transittimeNull;
@Coluna(nome="cxfloren.diascarencia", tipo="int")
private int diascarencia;
private boolean diascarenciaNull;
@Coluna(nome="cxfloren.juroscarencia", tipo="double")
private double juroscarencia;
private boolean juroscarenciaNull;
@Coluna(nome="cxfloren.diasjuros", tipo="int")
private int diasjuros;
private boolean diasjurosNull;
@Coluna(nome="cxfloren.taxajuros", tipo="double")
private double taxajuros;
private boolean taxajurosNull;
@Coluna(nome="cxfloren.diasprorrog", tipo="int")
private int diasprorrog;
private boolean diasprorrogNull;
@Coluna(nome="cxfloren.jurosprorrog", tipo="double")
private double jurosprorrog;
private boolean jurosprorrogNull;
@Coluna(nome="cxfloren.diascustofin", tipo="int")
private int diascustofin;
private boolean diascustofinNull;
@Coluna(nome="cxfloren.custofin", tipo="double")
private double custofin;
private boolean custofinNull;

public TabCxfloren() {
initialize();
}

public void initialize() {
setIdFloren(null);
setFilial(null);
setModelo(null);
setFamilia(null);
setBanco(null);
setConta(null);
setDtinicio(null);
setDtfim(null);
setNovousado(null);
setDiasuteis(null);
setContrato(null);
setTransittime(null);
setDiascarencia(null);
setJuroscarencia(null);
setDiasjuros(null);
setTaxajuros(null);
setDiasprorrog(null);
setJurosprorrog(null);
setDiascustofin(null);
setCustofin(null);
}

public TabCxfloren(int idFloren, int filial, String modelo, int familia, int banco, int conta, FglDate dtinicio, FglDate dtfim, String novousado, String diasuteis, String contrato, int transittime, int diascarencia, double juroscarencia, int diasjuros, double taxajuros, int diasprorrog, double jurosprorrog, int diascustofin, double custofin) {
this.idFloren = idFloren;
this.filial = filial;
this.modelo = modelo;
this.familia = familia;
this.banco = banco;
this.conta = conta;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.novousado = novousado;
this.diasuteis = diasuteis;
this.contrato = contrato;
this.transittime = transittime;
this.diascarencia = diascarencia;
this.juroscarencia = juroscarencia;
this.diasjuros = diasjuros;
this.taxajuros = taxajuros;
this.diasprorrog = diasprorrog;
this.jurosprorrog = jurosprorrog;
this.diascustofin = diascustofin;
this.custofin = custofin;
}

public int getIdFloren() {
return idFloren;
}

public boolean isIdFlorenNull() {
return idFlorenNull;
}

public void setIdFloren(Integer idFloren) {
if (idFloren == null) {
idFlorenNull = true;
this.idFloren = 0;
} else { 
idFlorenNull = false;
this.idFloren = idFloren;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public int getBanco() {
return banco;
}

public boolean isBancoNull() {
return bancoNull;
}

public void setBanco(Integer banco) {
if (banco == null) {
bancoNull = true;
this.banco = 0;
} else { 
bancoNull = false;
this.banco = banco;
}
}

public int getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(Integer conta) {
if (conta == null) {
contaNull = true;
this.conta = 0;
} else { 
contaNull = false;
this.conta = conta;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getDiasuteis() {
return diasuteis;
}

public void setDiasuteis(String diasuteis) {
this.diasuteis = diasuteis;
}

public String getContrato() {
return contrato;
}

public void setContrato(String contrato) {
this.contrato = contrato;
}

public int getTransittime() {
return transittime;
}

public boolean isTransittimeNull() {
return transittimeNull;
}

public void setTransittime(Integer transittime) {
if (transittime == null) {
transittimeNull = true;
this.transittime = 0;
} else { 
transittimeNull = false;
this.transittime = transittime;
}
}

public int getDiascarencia() {
return diascarencia;
}

public boolean isDiascarenciaNull() {
return diascarenciaNull;
}

public void setDiascarencia(Integer diascarencia) {
if (diascarencia == null) {
diascarenciaNull = true;
this.diascarencia = 0;
} else { 
diascarenciaNull = false;
this.diascarencia = diascarencia;
}
}

public double getJuroscarencia() {
return juroscarencia;
}

public boolean isJuroscarenciaNull() {
return juroscarenciaNull;
}

public void setJuroscarencia(int juroscarencia) {
setJuroscarencia(new Double(juroscarencia));
}

public void setJuroscarencia(long juroscarencia) {
setJuroscarencia(new Double(juroscarencia));
}

public void setJuroscarencia(Double juroscarencia) {
if (juroscarencia == null) {
juroscarenciaNull = true;
this.juroscarencia = 0.;
} else { 
juroscarenciaNull = false;
this.juroscarencia = FglDouble.round(juroscarencia, 2);
}
}

public int getDiasjuros() {
return diasjuros;
}

public boolean isDiasjurosNull() {
return diasjurosNull;
}

public void setDiasjuros(Integer diasjuros) {
if (diasjuros == null) {
diasjurosNull = true;
this.diasjuros = 0;
} else { 
diasjurosNull = false;
this.diasjuros = diasjuros;
}
}

public double getTaxajuros() {
return taxajuros;
}

public boolean isTaxajurosNull() {
return taxajurosNull;
}

public void setTaxajuros(int taxajuros) {
setTaxajuros(new Double(taxajuros));
}

public void setTaxajuros(long taxajuros) {
setTaxajuros(new Double(taxajuros));
}

public void setTaxajuros(Double taxajuros) {
if (taxajuros == null) {
taxajurosNull = true;
this.taxajuros = 0.;
} else { 
taxajurosNull = false;
this.taxajuros = FglDouble.round(taxajuros, 2);
}
}

public int getDiasprorrog() {
return diasprorrog;
}

public boolean isDiasprorrogNull() {
return diasprorrogNull;
}

public void setDiasprorrog(Integer diasprorrog) {
if (diasprorrog == null) {
diasprorrogNull = true;
this.diasprorrog = 0;
} else { 
diasprorrogNull = false;
this.diasprorrog = diasprorrog;
}
}

public double getJurosprorrog() {
return jurosprorrog;
}

public boolean isJurosprorrogNull() {
return jurosprorrogNull;
}

public void setJurosprorrog(int jurosprorrog) {
setJurosprorrog(new Double(jurosprorrog));
}

public void setJurosprorrog(long jurosprorrog) {
setJurosprorrog(new Double(jurosprorrog));
}

public void setJurosprorrog(Double jurosprorrog) {
if (jurosprorrog == null) {
jurosprorrogNull = true;
this.jurosprorrog = 0.;
} else { 
jurosprorrogNull = false;
this.jurosprorrog = FglDouble.round(jurosprorrog, 2);
}
}

public int getDiascustofin() {
return diascustofin;
}

public boolean isDiascustofinNull() {
return diascustofinNull;
}

public void setDiascustofin(Integer diascustofin) {
if (diascustofin == null) {
diascustofinNull = true;
this.diascustofin = 0;
} else { 
diascustofinNull = false;
this.diascustofin = diascustofin;
}
}

public double getCustofin() {
return custofin;
}

public boolean isCustofinNull() {
return custofinNull;
}

public void setCustofin(int custofin) {
setCustofin(new Double(custofin));
}

public void setCustofin(long custofin) {
setCustofin(new Double(custofin));
}

public void setCustofin(Double custofin) {
if (custofin == null) {
custofinNull = true;
this.custofin = 0.;
} else { 
custofinNull = false;
this.custofin = FglDouble.round(custofin, 2);
}
}

}

