package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxincide {
@Coluna(nome="cxincide.incidencia", tipo="int")
private int incidencia;
private boolean incidenciaNull;
@Coluna(nome="cxincide.descricao", tipo="String")
private String descricao;
@Coluna(nome="cxincide.tipoincid", tipo="String")
private String tipoincid;
@Coluna(nome="cxincide.debitocred", tipo="String")
private String debitocred;
@Coluna(nome="cxincide.custo", tipo="String")
private String custo;
@Coluna(nome="cxincide.incidevenda", tipo="String")
private String incidevenda;
@Coluna(nome="cxincide.comissao", tipo="String")
private String comissao;
@Coluna(nome="cxincide.pgtofabr", tipo="String")
private String pgtofabr;
@Coluna(nome="cxincide.podedigitar", tipo="String")
private String podedigitar;
@Coluna(nome="cxincide.tppagto", tipo="String")
private String tppagto;
@Coluna(nome="cxincide.classeincid", tipo="String")
private String classeincid;
@Coluna(nome="cxincide.vendavel", tipo="String")
private String vendavel;
@Coluna(nome="cxincide.acessorio", tipo="String")
private String acessorio;
@Coluna(nome="cxincide.valorvenda", tipo="double")
private double valorvenda;
private boolean valorvendaNull;
@Coluna(nome="cxincide.valorcusto", tipo="double")
private double valorcusto;
private boolean valorcustoNull;
@Coluna(nome="cxincide.txretorno", tipo="double")
private double txretorno;
private boolean txretornoNull;
@Coluna(nome="cxincide.incidenciac", tipo="int")
private int incidenciac;
private boolean incidenciacNull;
@Coluna(nome="cxincide.incidenciar", tipo="int")
private int incidenciar;
private boolean incidenciarNull;
@Coluna(nome="cxincide.reparousado", tipo="String")
private String reparousado;

public TabCxincide() {
initialize();
}

public void initialize() {
setIncidencia(null);
setDescricao(null);
setTipoincid(null);
setDebitocred(null);
setCusto(null);
setIncidevenda(null);
setComissao(null);
setPgtofabr(null);
setPodedigitar(null);
setTppagto(null);
setClasseincid(null);
setVendavel(null);
setAcessorio(null);
setValorvenda(null);
setValorcusto(null);
setTxretorno(null);
setIncidenciac(null);
setIncidenciar(null);
setReparousado(null);
}

public TabCxincide(int incidencia, String descricao, String tipoincid, String debitocred, String custo, String incidevenda, String comissao, String pgtofabr, String podedigitar, String tppagto, String classeincid, String vendavel, String acessorio, double valorvenda, double valorcusto, double txretorno, int incidenciac, int incidenciar, String reparousado) {
this.incidencia = incidencia;
this.descricao = descricao;
this.tipoincid = tipoincid;
this.debitocred = debitocred;
this.custo = custo;
this.incidevenda = incidevenda;
this.comissao = comissao;
this.pgtofabr = pgtofabr;
this.podedigitar = podedigitar;
this.tppagto = tppagto;
this.classeincid = classeincid;
this.vendavel = vendavel;
this.acessorio = acessorio;
this.valorvenda = valorvenda;
this.valorcusto = valorcusto;
this.txretorno = txretorno;
this.incidenciac = incidenciac;
this.incidenciar = incidenciar;
this.reparousado = reparousado;
}

public int getIncidencia() {
return incidencia;
}

public boolean isIncidenciaNull() {
return incidenciaNull;
}

public void setIncidencia(Integer incidencia) {
if (incidencia == null) {
incidenciaNull = true;
this.incidencia = 0;
} else { 
incidenciaNull = false;
this.incidencia = incidencia;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipoincid() {
return tipoincid;
}

public void setTipoincid(String tipoincid) {
this.tipoincid = tipoincid;
}

public String getDebitocred() {
return debitocred;
}

public void setDebitocred(String debitocred) {
this.debitocred = debitocred;
}

public String getCusto() {
return custo;
}

public void setCusto(String custo) {
this.custo = custo;
}

public String getIncidevenda() {
return incidevenda;
}

public void setIncidevenda(String incidevenda) {
this.incidevenda = incidevenda;
}

public String getComissao() {
return comissao;
}

public void setComissao(String comissao) {
this.comissao = comissao;
}

public String getPgtofabr() {
return pgtofabr;
}

public void setPgtofabr(String pgtofabr) {
this.pgtofabr = pgtofabr;
}

public String getPodedigitar() {
return podedigitar;
}

public void setPodedigitar(String podedigitar) {
this.podedigitar = podedigitar;
}

public String getTppagto() {
return tppagto;
}

public void setTppagto(String tppagto) {
this.tppagto = tppagto;
}

public String getClasseincid() {
return classeincid;
}

public void setClasseincid(String classeincid) {
this.classeincid = classeincid;
}

public String getVendavel() {
return vendavel;
}

public void setVendavel(String vendavel) {
this.vendavel = vendavel;
}

public String getAcessorio() {
return acessorio;
}

public void setAcessorio(String acessorio) {
this.acessorio = acessorio;
}

public double getValorvenda() {
return valorvenda;
}

public boolean isValorvendaNull() {
return valorvendaNull;
}

public void setValorvenda(int valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(long valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(Double valorvenda) {
if (valorvenda == null) {
valorvendaNull = true;
this.valorvenda = 0.;
} else { 
valorvendaNull = false;
this.valorvenda = FglDouble.round(valorvenda, 2);
}
}

public double getValorcusto() {
return valorcusto;
}

public boolean isValorcustoNull() {
return valorcustoNull;
}

public void setValorcusto(int valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(long valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(Double valorcusto) {
if (valorcusto == null) {
valorcustoNull = true;
this.valorcusto = 0.;
} else { 
valorcustoNull = false;
this.valorcusto = FglDouble.round(valorcusto, 2);
}
}

public double getTxretorno() {
return txretorno;
}

public boolean isTxretornoNull() {
return txretornoNull;
}

public void setTxretorno(int txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(long txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(Double txretorno) {
if (txretorno == null) {
txretornoNull = true;
this.txretorno = 0.;
} else { 
txretornoNull = false;
this.txretorno = FglDouble.round(txretorno, 2);
}
}

public int getIncidenciac() {
return incidenciac;
}

public boolean isIncidenciacNull() {
return incidenciacNull;
}

public void setIncidenciac(Integer incidenciac) {
if (incidenciac == null) {
incidenciacNull = true;
this.incidenciac = 0;
} else { 
incidenciacNull = false;
this.incidenciac = incidenciac;
}
}

public int getIncidenciar() {
return incidenciar;
}

public boolean isIncidenciarNull() {
return incidenciarNull;
}

public void setIncidenciar(Integer incidenciar) {
if (incidenciar == null) {
incidenciarNull = true;
this.incidenciar = 0;
} else { 
incidenciarNull = false;
this.incidenciar = incidenciar;
}
}

public String getReparousado() {
return reparousado;
}

public void setReparousado(String reparousado) {
this.reparousado = reparousado;
}

}

