package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxopcpre {
@Coluna(nome="cxopcpre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxopcpre.codopcion", tipo="String")
private String codopcion;
@Coluna(nome="cxopcpre.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxopcpre.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cxopcpre.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxopcpre.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxopcpre.precopublico", tipo="double")
private double precopublico;
private boolean precopublicoNull;
@Coluna(nome="cxopcpre.custocompra", tipo="double")
private double custocompra;
private boolean custocompraNull;

public TabCxopcpre() {
initialize();
}

public void initialize() {
setFilial(null);
setCodopcion(null);
setModelo(null);
setTpvenda(null);
setDtinicio(null);
setDtfim(null);
setPrecopublico(null);
setCustocompra(null);
}

public TabCxopcpre(int filial, String codopcion, String modelo, String tpvenda, FglDate dtinicio, FglDate dtfim, double precopublico, double custocompra) {
this.filial = filial;
this.codopcion = codopcion;
this.modelo = modelo;
this.tpvenda = tpvenda;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.precopublico = precopublico;
this.custocompra = custocompra;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getCodopcion() {
return codopcion;
}

public void setCodopcion(String codopcion) {
this.codopcion = codopcion;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getPrecopublico() {
return precopublico;
}

public boolean isPrecopublicoNull() {
return precopublicoNull;
}

public void setPrecopublico(int precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(long precopublico) {
setPrecopublico(new Double(precopublico));
}

public void setPrecopublico(Double precopublico) {
if (precopublico == null) {
precopublicoNull = true;
this.precopublico = 0.;
} else { 
precopublicoNull = false;
this.precopublico = FglDouble.round(precopublico, 2);
}
}

public double getCustocompra() {
return custocompra;
}

public boolean isCustocompraNull() {
return custocompraNull;
}

public void setCustocompra(int custocompra) {
setCustocompra(new Double(custocompra));
}

public void setCustocompra(long custocompra) {
setCustocompra(new Double(custocompra));
}

public void setCustocompra(Double custocompra) {
if (custocompra == null) {
custocompraNull = true;
this.custocompra = 0.;
} else { 
custocompraNull = false;
this.custocompra = FglDouble.round(custocompra, 2);
}
}

}

