package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparace {
@Coluna(nome="cxparace.id_comissao", tipo="int")
private int idComissao;
private boolean idComissaoNull;
@Coluna(nome="cxparace.id_faixa", tipo="int")
private int idFaixa;
private boolean idFaixaNull;
@Coluna(nome="cxparace.qtdfaixaini", tipo="int")
private int qtdfaixaini;
private boolean qtdfaixainiNull;
@Coluna(nome="cxparace.qtdfaixafim", tipo="int")
private int qtdfaixafim;
private boolean qtdfaixafimNull;
@Coluna(nome="cxparace.percomissao", tipo="double")
private double percomissao;
private boolean percomissaoNull;

public TabCxparace() {
initialize();
}

public void initialize() {
setIdComissao(null);
setIdFaixa(null);
setQtdfaixaini(null);
setQtdfaixafim(null);
setPercomissao(null);
}

public TabCxparace(int idComissao, int idFaixa, int qtdfaixaini, int qtdfaixafim, double percomissao) {
this.idComissao = idComissao;
this.idFaixa = idFaixa;
this.qtdfaixaini = qtdfaixaini;
this.qtdfaixafim = qtdfaixafim;
this.percomissao = percomissao;
}

public int getIdComissao() {
return idComissao;
}

public boolean isIdComissaoNull() {
return idComissaoNull;
}

public void setIdComissao(Integer idComissao) {
if (idComissao == null) {
idComissaoNull = true;
this.idComissao = 0;
} else { 
idComissaoNull = false;
this.idComissao = idComissao;
}
}

public int getIdFaixa() {
return idFaixa;
}

public boolean isIdFaixaNull() {
return idFaixaNull;
}

public void setIdFaixa(Integer idFaixa) {
if (idFaixa == null) {
idFaixaNull = true;
this.idFaixa = 0;
} else { 
idFaixaNull = false;
this.idFaixa = idFaixa;
}
}

public int getQtdfaixaini() {
return qtdfaixaini;
}

public boolean isQtdfaixainiNull() {
return qtdfaixainiNull;
}

public void setQtdfaixaini(Integer qtdfaixaini) {
if (qtdfaixaini == null) {
qtdfaixainiNull = true;
this.qtdfaixaini = 0;
} else { 
qtdfaixainiNull = false;
this.qtdfaixaini = qtdfaixaini;
}
}

public int getQtdfaixafim() {
return qtdfaixafim;
}

public boolean isQtdfaixafimNull() {
return qtdfaixafimNull;
}

public void setQtdfaixafim(Integer qtdfaixafim) {
if (qtdfaixafim == null) {
qtdfaixafimNull = true;
this.qtdfaixafim = 0;
} else { 
qtdfaixafimNull = false;
this.qtdfaixafim = qtdfaixafim;
}
}

public double getPercomissao() {
return percomissao;
}

public boolean isPercomissaoNull() {
return percomissaoNull;
}

public void setPercomissao(int percomissao) {
setPercomissao(new Double(percomissao));
}

public void setPercomissao(long percomissao) {
setPercomissao(new Double(percomissao));
}

public void setPercomissao(Double percomissao) {
if (percomissao == null) {
percomissaoNull = true;
this.percomissao = 0.;
} else { 
percomissaoNull = false;
this.percomissao = FglDouble.round(percomissao, 2);
}
}

}

