package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparpdc {
@Coluna(nome="cxparpdc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxparpdc.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cxparpdc.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxparpdc.tipoped", tipo="String")
private String tipoped;
@Coluna(nome="cxparpdc.atribuicao", tipo="int")
private int atribuicao;
private boolean atribuicaoNull;
@Coluna(nome="cxparpdc.percped", tipo="double")
private double percped;
private boolean percpedNull;

public TabCxparpdc() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setModelo(null);
setTipoped(null);
setAtribuicao(null);
setPercped(null);
}

public TabCxparpdc(int filial, FglDateTimeYM anomes, String modelo, String tipoped, int atribuicao, double percped) {
this.filial = filial;
this.anomes = anomes;
this.modelo = modelo;
this.tipoped = tipoped;
this.atribuicao = atribuicao;
this.percped = percped;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getTipoped() {
return tipoped;
}

public void setTipoped(String tipoped) {
this.tipoped = tipoped;
}

public int getAtribuicao() {
return atribuicao;
}

public boolean isAtribuicaoNull() {
return atribuicaoNull;
}

public void setAtribuicao(Integer atribuicao) {
if (atribuicao == null) {
atribuicaoNull = true;
this.atribuicao = 0;
} else { 
atribuicaoNull = false;
this.atribuicao = atribuicao;
}
}

public double getPercped() {
return percped;
}

public boolean isPercpedNull() {
return percpedNull;
}

public void setPercped(int percped) {
setPercped(new Double(percped));
}

public void setPercped(long percped) {
setPercped(new Double(percped));
}

public void setPercped(Double percped) {
if (percped == null) {
percpedNull = true;
this.percped = 0.;
} else { 
percpedNull = false;
this.percped = FglDouble.round(percped, 2);
}
}

}

