package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparret {
@Coluna(nome="cxparret.tiporet", tipo="String")
private String tiporet;
@Coluna(nome="cxparret.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cxparret.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxparret.txretorno", tipo="double")
private double txretorno;
private boolean txretornoNull;
@Coluna(nome="cxparret.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="cxparret.tpordem", tipo="String")
private String tpordem;

public TabCxparret() {
initialize();
}

public void initialize() {
setTiporet(null);
setTpvenda(null);
setModelo(null);
setTxretorno(null);
setIdServico(null);
setTpordem(null);
}

public TabCxparret(String tiporet, String tpvenda, String modelo, double txretorno, int idServico, String tpordem) {
this.tiporet = tiporet;
this.tpvenda = tpvenda;
this.modelo = modelo;
this.txretorno = txretorno;
this.idServico = idServico;
this.tpordem = tpordem;
}

public String getTiporet() {
return tiporet;
}

public void setTiporet(String tiporet) {
this.tiporet = tiporet;
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public double getTxretorno() {
return txretorno;
}

public boolean isTxretornoNull() {
return txretornoNull;
}

public void setTxretorno(int txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(long txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(Double txretorno) {
if (txretorno == null) {
txretornoNull = true;
this.txretorno = 0.;
} else { 
txretornoNull = false;
this.txretorno = FglDouble.round(txretorno, 2);
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

}

