package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxparsim {
@Coluna(nome="cxparsim.id_simvei", tipo="int")
private int idSimvei;
private boolean idSimveiNull;
@Coluna(nome="cxparsim.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="cxparsim.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="cxparsim.nrodias", tipo="int")
private int nrodias;
private boolean nrodiasNull;
@Coluna(nome="cxparsim.dtvcto", tipo="FglDate")
private FglDate dtvcto;
@Coluna(nome="cxparsim.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxparsim.valorov", tipo="double")
private double valorov;
private boolean valorovNull;

public TabCxparsim() {
initialize();
}

public void initialize() {
setIdSimvei(null);
setNroparcela(null);
setFormapgto(null);
setNrodias(null);
setDtvcto(null);
setValor(null);
setValorov(null);
}

public TabCxparsim(int idSimvei, int nroparcela, String formapgto, int nrodias, FglDate dtvcto, double valor, double valorov) {
this.idSimvei = idSimvei;
this.nroparcela = nroparcela;
this.formapgto = formapgto;
this.nrodias = nrodias;
this.dtvcto = dtvcto;
this.valor = valor;
this.valorov = valorov;
}

public int getIdSimvei() {
return idSimvei;
}

public boolean isIdSimveiNull() {
return idSimveiNull;
}

public void setIdSimvei(Integer idSimvei) {
if (idSimvei == null) {
idSimveiNull = true;
this.idSimvei = 0;
} else { 
idSimveiNull = false;
this.idSimvei = idSimvei;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public int getNrodias() {
return nrodias;
}

public boolean isNrodiasNull() {
return nrodiasNull;
}

public void setNrodias(Integer nrodias) {
if (nrodias == null) {
nrodiasNull = true;
this.nrodias = 0;
} else { 
nrodiasNull = false;
this.nrodias = nrodias;
}
}

public FglDate getDtvcto() {
return dtvcto;
}

public void setDtvcto(FglDate dtvcto) {
this.dtvcto = dtvcto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValorov() {
return valorov;
}

public boolean isValorovNull() {
return valorovNull;
}

public void setValorov(int valorov) {
setValorov(new Double(valorov));
}

public void setValorov(long valorov) {
setValorov(new Double(valorov));
}

public void setValorov(Double valorov) {
if (valorov == null) {
valorovNull = true;
this.valorov = 0.;
} else { 
valorovNull = false;
this.valorov = FglDouble.round(valorov, 2);
}
}

}

