package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCxpcmvmo {
@Coluna(nome="cxpcmvmo.id_pcmvmo", tipo="int")
private int idPcmvmo;
private boolean idPcmvmoNull;
@Coluna(nome="cxpcmvmo.id_pcmvca", tipo="int")
private int idPcmvca;
private boolean idPcmvcaNull;
@Coluna(nome="cxpcmvmo.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxpcmvmo.quantidademv", tipo="int")
private int quantidademv;
private boolean quantidademvNull;
@Coluna(nome="cxpcmvmo.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxpcmvmo.percdesconto", tipo="double")
private double percdesconto;
private boolean percdescontoNull;
@Coluna(nome="cxpcmvmo.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cxpcmvmo.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpcmvmo.obsermodelo", tipo="String")
private String obsermodelo;
@Coluna(nome="cxpcmvmo.faturadireto", tipo="String")
private String faturadireto;

public TabCxpcmvmo() {
initialize();
}

public void initialize() {
setIdPcmvmo(null);
setIdPcmvca(null);
setModelo(null);
setQuantidademv(null);
setValor(null);
setPercdesconto(null);
setDtprevista(null);
setPedvenda(null);
setObsermodelo(null);
setFaturadireto(null);
}

public TabCxpcmvmo(int idPcmvmo, int idPcmvca, String modelo, int quantidademv, double valor, double percdesconto, FglDate dtprevista, int pedvenda, String obsermodelo, String faturadireto) {
this.idPcmvmo = idPcmvmo;
this.idPcmvca = idPcmvca;
this.modelo = modelo;
this.quantidademv = quantidademv;
this.valor = valor;
this.percdesconto = percdesconto;
this.dtprevista = dtprevista;
this.pedvenda = pedvenda;
this.obsermodelo = obsermodelo;
this.faturadireto = faturadireto;
}

public int getIdPcmvmo() {
return idPcmvmo;
}

public boolean isIdPcmvmoNull() {
return idPcmvmoNull;
}

public void setIdPcmvmo(Integer idPcmvmo) {
if (idPcmvmo == null) {
idPcmvmoNull = true;
this.idPcmvmo = 0;
} else { 
idPcmvmoNull = false;
this.idPcmvmo = idPcmvmo;
}
}

public int getIdPcmvca() {
return idPcmvca;
}

public boolean isIdPcmvcaNull() {
return idPcmvcaNull;
}

public void setIdPcmvca(Integer idPcmvca) {
if (idPcmvca == null) {
idPcmvcaNull = true;
this.idPcmvca = 0;
} else { 
idPcmvcaNull = false;
this.idPcmvca = idPcmvca;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getQuantidademv() {
return quantidademv;
}

public boolean isQuantidademvNull() {
return quantidademvNull;
}

public void setQuantidademv(Integer quantidademv) {
if (quantidademv == null) {
quantidademvNull = true;
this.quantidademv = 0;
} else { 
quantidademvNull = false;
this.quantidademv = quantidademv;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getPercdesconto() {
return percdesconto;
}

public boolean isPercdescontoNull() {
return percdescontoNull;
}

public void setPercdesconto(int percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(long percdesconto) {
setPercdesconto(new Double(percdesconto));
}

public void setPercdesconto(Double percdesconto) {
if (percdesconto == null) {
percdescontoNull = true;
this.percdesconto = 0.;
} else { 
percdescontoNull = false;
this.percdesconto = FglDouble.round(percdesconto, 2);
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public String getObsermodelo() {
return obsermodelo;
}

public void setObsermodelo(String obsermodelo) {
this.obsermodelo = obsermodelo;
}

public String getFaturadireto() {
return faturadireto;
}

public void setFaturadireto(String faturadireto) {
this.faturadireto = faturadireto;
}

}

