package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdcomd {
@Coluna(nome="cxpdcomd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdcomd.pedcompra", tipo="int")
private int pedcompra;
private boolean pedcompraNull;
@Coluna(nome="cxpdcomd.id_bancos", tipo="int")
private int idBancos;
private boolean idBancosNull;
@Coluna(nome="cxpdcomd.nrocontrato", tipo="int")
private int nrocontrato;
private boolean nrocontratoNull;
@Coluna(nome="cxpdcomd.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="cxpdcomd.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxpdcomd.taxajuros", tipo="double")
private double taxajuros;
private boolean taxajurosNull;
@Coluna(nome="cxpdcomd.valornp", tipo="double")
private double valornp;
private boolean valornpNull;
@Coluna(nome="cxpdcomd.baixado", tipo="String")
private String baixado;

public TabCxpdcomd() {
initialize();
}

public void initialize() {
setFilial(null);
setPedcompra(null);
setIdBancos(null);
setNrocontrato(null);
setDtemissao(null);
setDtvencto(null);
setTaxajuros(null);
setValornp(null);
setBaixado(null);
}

public TabCxpdcomd(int filial, int pedcompra, int idBancos, int nrocontrato, FglDate dtemissao, FglDate dtvencto, double taxajuros, double valornp, String baixado) {
this.filial = filial;
this.pedcompra = pedcompra;
this.idBancos = idBancos;
this.nrocontrato = nrocontrato;
this.dtemissao = dtemissao;
this.dtvencto = dtvencto;
this.taxajuros = taxajuros;
this.valornp = valornp;
this.baixado = baixado;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedcompra() {
return pedcompra;
}

public boolean isPedcompraNull() {
return pedcompraNull;
}

public void setPedcompra(Integer pedcompra) {
if (pedcompra == null) {
pedcompraNull = true;
this.pedcompra = 0;
} else { 
pedcompraNull = false;
this.pedcompra = pedcompra;
}
}

public int getIdBancos() {
return idBancos;
}

public boolean isIdBancosNull() {
return idBancosNull;
}

public void setIdBancos(Integer idBancos) {
if (idBancos == null) {
idBancosNull = true;
this.idBancos = 0;
} else { 
idBancosNull = false;
this.idBancos = idBancos;
}
}

public int getNrocontrato() {
return nrocontrato;
}

public boolean isNrocontratoNull() {
return nrocontratoNull;
}

public void setNrocontrato(Integer nrocontrato) {
if (nrocontrato == null) {
nrocontratoNull = true;
this.nrocontrato = 0;
} else { 
nrocontratoNull = false;
this.nrocontrato = nrocontrato;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getTaxajuros() {
return taxajuros;
}

public boolean isTaxajurosNull() {
return taxajurosNull;
}

public void setTaxajuros(int taxajuros) {
setTaxajuros(new Double(taxajuros));
}

public void setTaxajuros(long taxajuros) {
setTaxajuros(new Double(taxajuros));
}

public void setTaxajuros(Double taxajuros) {
if (taxajuros == null) {
taxajurosNull = true;
this.taxajuros = 0.;
} else { 
taxajurosNull = false;
this.taxajuros = FglDouble.round(taxajuros, 2);
}
}

public double getValornp() {
return valornp;
}

public boolean isValornpNull() {
return valornpNull;
}

public void setValornp(int valornp) {
setValornp(new Double(valornp));
}

public void setValornp(long valornp) {
setValornp(new Double(valornp));
}

public void setValornp(Double valornp) {
if (valornp == null) {
valornpNull = true;
this.valornp = 0.;
} else { 
valornpNull = false;
this.valornp = FglDouble.round(valornp, 2);
}
}

public String getBaixado() {
return baixado;
}

public void setBaixado(String baixado) {
this.baixado = baixado;
}

}

