package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxpdhist {
@Coluna(nome="cxpdhist.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdhist.pedcompra", tipo="int")
private int pedcompra;
private boolean pedcompraNull;
@Coluna(nome="cxpdhist.usuario", tipo="String")
private String usuario;
@Coluna(nome="cxpdhist.datahora", tipo="FglDateTimeYS")
private FglDateTimeYS datahora;
@Coluna(nome="cxpdhist.alteracao", tipo="String")
private String alteracao;

public TabCxpdhist() {
initialize();
}

public void initialize() {
setFilial(null);
setPedcompra(null);
setUsuario(null);
setDatahora(null);
setAlteracao(null);
}

public TabCxpdhist(int filial, int pedcompra, String usuario, FglDateTimeYS datahora, String alteracao) {
this.filial = filial;
this.pedcompra = pedcompra;
this.usuario = usuario;
this.datahora = datahora;
this.alteracao = alteracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedcompra() {
return pedcompra;
}

public boolean isPedcompraNull() {
return pedcompraNull;
}

public void setPedcompra(Integer pedcompra) {
if (pedcompra == null) {
pedcompraNull = true;
this.pedcompra = 0;
} else { 
pedcompraNull = false;
this.pedcompra = pedcompra;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public FglDateTimeYS getDatahora() {
return datahora;
}

public void setDatahora(FglDateTimeYS datahora) {
this.datahora = datahora;
}

public String getAlteracao() {
return alteracao;
}

public void setAlteracao(String alteracao) {
this.alteracao = alteracao;
}

}

