package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdobse {
@Coluna(nome="cxpdobse.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdobse.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdobse.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="cxpdobse.dtvcto", tipo="FglDate")
private FglDate dtvcto;
@Coluna(nome="cxpdobse.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxpdobse.valorov", tipo="double")
private double valorov;
private boolean valorovNull;
@Coluna(nome="cxpdobse.observacao", tipo="String")
private String observacao;

public TabCxpdobse() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setSequencia(null);
setDtvcto(null);
setValor(null);
setValorov(null);
setObservacao(null);
}

public TabCxpdobse(int filial, int pedvenda, int sequencia, FglDate dtvcto, double valor, double valorov, String observacao) {
this.filial = filial;
this.pedvenda = pedvenda;
this.sequencia = sequencia;
this.dtvcto = dtvcto;
this.valor = valor;
this.valorov = valorov;
this.observacao = observacao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDate getDtvcto() {
return dtvcto;
}

public void setDtvcto(FglDate dtvcto) {
this.dtvcto = dtvcto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValorov() {
return valorov;
}

public boolean isValorovNull() {
return valorovNull;
}

public void setValorov(int valorov) {
setValorov(new Double(valorov));
}

public void setValorov(long valorov) {
setValorov(new Double(valorov));
}

public void setValorov(Double valorov) {
if (valorov == null) {
valorovNull = true;
this.valorov = 0.;
} else { 
valorovNull = false;
this.valorov = FglDouble.round(valorov, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

