package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdsegu {
@Coluna(nome="cxpdsegu.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdsegu.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdsegu.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="cxpdsegu.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxpdsegu.id_segmod", tipo="int")
private int idSegmod;
private boolean idSegmodNull;
@Coluna(nome="cxpdsegu.vlrseguro", tipo="double")
private double vlrseguro;
private boolean vlrseguroNull;
@Coluna(nome="cxpdsegu.somatotfin", tipo="String")
private String somatotfin;

public TabCxpdsegu() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setNrolinha(null);
setDtvencto(null);
setIdSegmod(null);
setVlrseguro(null);
setSomatotfin(null);
}

public TabCxpdsegu(int filial, int pedvenda, int nrolinha, FglDate dtvencto, int idSegmod, double vlrseguro, String somatotfin) {
this.filial = filial;
this.pedvenda = pedvenda;
this.nrolinha = nrolinha;
this.dtvencto = dtvencto;
this.idSegmod = idSegmod;
this.vlrseguro = vlrseguro;
this.somatotfin = somatotfin;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public int getIdSegmod() {
return idSegmod;
}

public boolean isIdSegmodNull() {
return idSegmodNull;
}

public void setIdSegmod(Integer idSegmod) {
if (idSegmod == null) {
idSegmodNull = true;
this.idSegmod = 0;
} else { 
idSegmodNull = false;
this.idSegmod = idSegmod;
}
}

public double getVlrseguro() {
return vlrseguro;
}

public boolean isVlrseguroNull() {
return vlrseguroNull;
}

public void setVlrseguro(int vlrseguro) {
setVlrseguro(new Double(vlrseguro));
}

public void setVlrseguro(long vlrseguro) {
setVlrseguro(new Double(vlrseguro));
}

public void setVlrseguro(Double vlrseguro) {
if (vlrseguro == null) {
vlrseguroNull = true;
this.vlrseguro = 0.;
} else { 
vlrseguroNull = false;
this.vlrseguro = FglDouble.round(vlrseguro, 2);
}
}

public String getSomatotfin() {
return somatotfin;
}

public void setSomatotfin(String somatotfin) {
this.somatotfin = somatotfin;
}

}

