package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabCxpdvend {
@Coluna(nome="cxpdvend.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdvend.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdvend.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxpdvend.dtpedido", tipo="FglDate")
private FglDate dtpedido;
@Coluna(nome="cxpdvend.hrpedido", tipo="FglDateTimeHS")
private FglDateTimeHS hrpedido;
@Coluna(nome="cxpdvend.condicao", tipo="String")
private String condicao;
@Coluna(nome="cxpdvend.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxpdvend.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cxpdvend.nro_proprietario", tipo="long")
private long nroProprietario;
private boolean nroProprietarioNull;
@Coluna(nome="cxpdvend.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxpdvend.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="cxpdvend.valorfrete", tipo="double")
private double valorfrete;
private boolean valorfreteNull;
@Coluna(nome="cxpdvend.valorseguro", tipo="double")
private double valorseguro;
private boolean valorseguroNull;
@Coluna(nome="cxpdvend.valortroco", tipo="double")
private double valortroco;
private boolean valortrocoNull;
@Coluna(nome="cxpdvend.valoripi", tipo="double")
private double valoripi;
private boolean valoripiNull;
@Coluna(nome="cxpdvend.svaloricms", tipo="double")
private double svaloricms;
private boolean svaloricmsNull;
@Coluna(nome="cxpdvend.baseipi", tipo="double")
private double baseipi;
private boolean baseipiNull;
@Coluna(nome="cxpdvend.sbaseicms", tipo="double")
private double sbaseicms;
private boolean sbaseicmsNull;
@Coluna(nome="cxpdvend.cortesia", tipo="double")
private double cortesia;
private boolean cortesiaNull;
@Coluna(nome="cxpdvend.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="cxpdvend.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cxpdvend.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="cxpdvend.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxpdvend.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="cxpdvend.codpagto", tipo="String")
private String codpagto;
@Coluna(nome="cxpdvend.codagente", tipo="String")
private String codagente;
@Coluna(nome="cxpdvend.status", tipo="String")
private String status;
@Coluna(nome="cxpdvend.despachante", tipo="double")
private double despachante;
private boolean despachanteNull;
@Coluna(nome="cxpdvend.vendaseguro", tipo="double")
private double vendaseguro;
private boolean vendaseguroNull;
@Coluna(nome="cxpdvend.financiamento", tipo="double")
private double financiamento;
private boolean financiamentoNull;
@Coluna(nome="cxpdvend.acessorios", tipo="double")
private double acessorios;
private boolean acessoriosNull;
@Coluna(nome="cxpdvend.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="cxpdvend.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cxpdvend.finalidade", tipo="String")
private String finalidade;
@Coluna(nome="cxpdvend.acresfin", tipo="double")
private double acresfin;
private boolean acresfinNull;
@Coluna(nome="cxpdvend.id_agentvext", tipo="int")
private int idAgentvext;
private boolean idAgentvextNull;
@Coluna(nome="cxpdvend.dtultatualiz", tipo="FglDateTimeYS")
private FglDateTimeYS dtultatualiz;

public TabCxpdvend() {
initialize();
}

public void initialize() {
setFilial(null);
setPedvenda(null);
setIdAgente(null);
setDtpedido(null);
setHrpedido(null);
setCondicao(null);
setModelo(null);
setNroEndere(null);
setNroProprietario(null);
setValor(null);
setValordesc(null);
setValorfrete(null);
setValorseguro(null);
setValortroco(null);
setValoripi(null);
setSvaloricms(null);
setBaseipi(null);
setSbaseicms(null);
setCortesia(null);
setAliqicms(null);
setDtprevista(null);
setHrprevista(null);
setChassis(null);
setIdNfcapa(null);
setCodpagto(null);
setCodagente(null);
setStatus(null);
setDespachante(null);
setVendaseguro(null);
setFinanciamento(null);
setAcessorios(null);
setTpvenda(null);
setNronegocio(null);
setFinalidade(null);
setAcresfin(null);
setIdAgentvext(null);
setDtultatualiz(null);
}

public TabCxpdvend(int filial, int pedvenda, int idAgente, FglDate dtpedido, FglDateTimeHS hrpedido, String condicao, String modelo, long nroEndere, long nroProprietario, double valor, double valordesc, double valorfrete, double valorseguro, double valortroco, double valoripi, double svaloricms, double baseipi, double sbaseicms, double cortesia, double aliqicms, FglDate dtprevista, FglDateTimeHMin hrprevista, String chassis, int idNfcapa, String codpagto, String codagente, String status, double despachante, double vendaseguro, double financiamento, double acessorios, String tpvenda, int nronegocio, String finalidade, double acresfin, int idAgentvext, FglDateTimeYS dtultatualiz) {
this.filial = filial;
this.pedvenda = pedvenda;
this.idAgente = idAgente;
this.dtpedido = dtpedido;
this.hrpedido = hrpedido;
this.condicao = condicao;
this.modelo = modelo;
this.nroEndere = nroEndere;
this.nroProprietario = nroProprietario;
this.valor = valor;
this.valordesc = valordesc;
this.valorfrete = valorfrete;
this.valorseguro = valorseguro;
this.valortroco = valortroco;
this.valoripi = valoripi;
this.svaloricms = svaloricms;
this.baseipi = baseipi;
this.sbaseicms = sbaseicms;
this.cortesia = cortesia;
this.aliqicms = aliqicms;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.chassis = chassis;
this.idNfcapa = idNfcapa;
this.codpagto = codpagto;
this.codagente = codagente;
this.status = status;
this.despachante = despachante;
this.vendaseguro = vendaseguro;
this.financiamento = financiamento;
this.acessorios = acessorios;
this.tpvenda = tpvenda;
this.nronegocio = nronegocio;
this.finalidade = finalidade;
this.acresfin = acresfin;
this.idAgentvext = idAgentvext;
this.dtultatualiz = dtultatualiz;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtpedido() {
return dtpedido;
}

public void setDtpedido(FglDate dtpedido) {
this.dtpedido = dtpedido;
}

public FglDateTimeHS getHrpedido() {
return hrpedido;
}

public void setHrpedido(FglDateTimeHS hrpedido) {
this.hrpedido = hrpedido;
}

public String getCondicao() {
return condicao;
}

public void setCondicao(String condicao) {
this.condicao = condicao;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public long getNroProprietario() {
return nroProprietario;
}

public boolean isNroProprietarioNull() {
return nroProprietarioNull;
}

public void setNroProprietario(int nroProprietario) {
setNroProprietario(new Long(nroProprietario));
}

public void setNroProprietario(Long nroProprietario) {
if (nroProprietario == null) {
nroProprietarioNull = true;
this.nroProprietario = 0l;
} else { 
nroProprietarioNull = false;
this.nroProprietario = nroProprietario;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValorfrete() {
return valorfrete;
}

public boolean isValorfreteNull() {
return valorfreteNull;
}

public void setValorfrete(int valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(long valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(Double valorfrete) {
if (valorfrete == null) {
valorfreteNull = true;
this.valorfrete = 0.;
} else { 
valorfreteNull = false;
this.valorfrete = FglDouble.round(valorfrete, 2);
}
}

public double getValorseguro() {
return valorseguro;
}

public boolean isValorseguroNull() {
return valorseguroNull;
}

public void setValorseguro(int valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(long valorseguro) {
setValorseguro(new Double(valorseguro));
}

public void setValorseguro(Double valorseguro) {
if (valorseguro == null) {
valorseguroNull = true;
this.valorseguro = 0.;
} else { 
valorseguroNull = false;
this.valorseguro = FglDouble.round(valorseguro, 2);
}
}

public double getValortroco() {
return valortroco;
}

public boolean isValortrocoNull() {
return valortrocoNull;
}

public void setValortroco(int valortroco) {
setValortroco(new Double(valortroco));
}

public void setValortroco(long valortroco) {
setValortroco(new Double(valortroco));
}

public void setValortroco(Double valortroco) {
if (valortroco == null) {
valortrocoNull = true;
this.valortroco = 0.;
} else { 
valortrocoNull = false;
this.valortroco = FglDouble.round(valortroco, 2);
}
}

public double getValoripi() {
return valoripi;
}

public boolean isValoripiNull() {
return valoripiNull;
}

public void setValoripi(int valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(long valoripi) {
setValoripi(new Double(valoripi));
}

public void setValoripi(Double valoripi) {
if (valoripi == null) {
valoripiNull = true;
this.valoripi = 0.;
} else { 
valoripiNull = false;
this.valoripi = FglDouble.round(valoripi, 2);
}
}

public double getSvaloricms() {
return svaloricms;
}

public boolean isSvaloricmsNull() {
return svaloricmsNull;
}

public void setSvaloricms(int svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(long svaloricms) {
setSvaloricms(new Double(svaloricms));
}

public void setSvaloricms(Double svaloricms) {
if (svaloricms == null) {
svaloricmsNull = true;
this.svaloricms = 0.;
} else { 
svaloricmsNull = false;
this.svaloricms = FglDouble.round(svaloricms, 2);
}
}

public double getBaseipi() {
return baseipi;
}

public boolean isBaseipiNull() {
return baseipiNull;
}

public void setBaseipi(int baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(long baseipi) {
setBaseipi(new Double(baseipi));
}

public void setBaseipi(Double baseipi) {
if (baseipi == null) {
baseipiNull = true;
this.baseipi = 0.;
} else { 
baseipiNull = false;
this.baseipi = FglDouble.round(baseipi, 2);
}
}

public double getSbaseicms() {
return sbaseicms;
}

public boolean isSbaseicmsNull() {
return sbaseicmsNull;
}

public void setSbaseicms(int sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(long sbaseicms) {
setSbaseicms(new Double(sbaseicms));
}

public void setSbaseicms(Double sbaseicms) {
if (sbaseicms == null) {
sbaseicmsNull = true;
this.sbaseicms = 0.;
} else { 
sbaseicmsNull = false;
this.sbaseicms = FglDouble.round(sbaseicms, 2);
}
}

public double getCortesia() {
return cortesia;
}

public boolean isCortesiaNull() {
return cortesiaNull;
}

public void setCortesia(int cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(long cortesia) {
setCortesia(new Double(cortesia));
}

public void setCortesia(Double cortesia) {
if (cortesia == null) {
cortesiaNull = true;
this.cortesia = 0.;
} else { 
cortesiaNull = false;
this.cortesia = FglDouble.round(cortesia, 2);
}
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getCodpagto() {
return codpagto;
}

public void setCodpagto(String codpagto) {
this.codpagto = codpagto;
}

public String getCodagente() {
return codagente;
}

public void setCodagente(String codagente) {
this.codagente = codagente;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public double getDespachante() {
return despachante;
}

public boolean isDespachanteNull() {
return despachanteNull;
}

public void setDespachante(int despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(long despachante) {
setDespachante(new Double(despachante));
}

public void setDespachante(Double despachante) {
if (despachante == null) {
despachanteNull = true;
this.despachante = 0.;
} else { 
despachanteNull = false;
this.despachante = FglDouble.round(despachante, 2);
}
}

public double getVendaseguro() {
return vendaseguro;
}

public boolean isVendaseguroNull() {
return vendaseguroNull;
}

public void setVendaseguro(int vendaseguro) {
setVendaseguro(new Double(vendaseguro));
}

public void setVendaseguro(long vendaseguro) {
setVendaseguro(new Double(vendaseguro));
}

public void setVendaseguro(Double vendaseguro) {
if (vendaseguro == null) {
vendaseguroNull = true;
this.vendaseguro = 0.;
} else { 
vendaseguroNull = false;
this.vendaseguro = FglDouble.round(vendaseguro, 2);
}
}

public double getFinanciamento() {
return financiamento;
}

public boolean isFinanciamentoNull() {
return financiamentoNull;
}

public void setFinanciamento(int financiamento) {
setFinanciamento(new Double(financiamento));
}

public void setFinanciamento(long financiamento) {
setFinanciamento(new Double(financiamento));
}

public void setFinanciamento(Double financiamento) {
if (financiamento == null) {
financiamentoNull = true;
this.financiamento = 0.;
} else { 
financiamentoNull = false;
this.financiamento = FglDouble.round(financiamento, 2);
}
}

public double getAcessorios() {
return acessorios;
}

public boolean isAcessoriosNull() {
return acessoriosNull;
}

public void setAcessorios(int acessorios) {
setAcessorios(new Double(acessorios));
}

public void setAcessorios(long acessorios) {
setAcessorios(new Double(acessorios));
}

public void setAcessorios(Double acessorios) {
if (acessorios == null) {
acessoriosNull = true;
this.acessorios = 0.;
} else { 
acessoriosNull = false;
this.acessorios = FglDouble.round(acessorios, 2);
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public String getFinalidade() {
return finalidade;
}

public void setFinalidade(String finalidade) {
this.finalidade = finalidade;
}

public double getAcresfin() {
return acresfin;
}

public boolean isAcresfinNull() {
return acresfinNull;
}

public void setAcresfin(int acresfin) {
setAcresfin(new Double(acresfin));
}

public void setAcresfin(long acresfin) {
setAcresfin(new Double(acresfin));
}

public void setAcresfin(Double acresfin) {
if (acresfin == null) {
acresfinNull = true;
this.acresfin = 0.;
} else { 
acresfinNull = false;
this.acresfin = FglDouble.round(acresfin, 2);
}
}

public int getIdAgentvext() {
return idAgentvext;
}

public boolean isIdAgentvextNull() {
return idAgentvextNull;
}

public void setIdAgentvext(Integer idAgentvext) {
if (idAgentvext == null) {
idAgentvextNull = true;
this.idAgentvext = 0;
} else { 
idAgentvextNull = false;
this.idAgentvext = idAgentvext;
}
}

public FglDateTimeYS getDtultatualiz() {
return dtultatualiz;
}

public void setDtultatualiz(FglDateTimeYS dtultatualiz) {
this.dtultatualiz = dtultatualiz;
}

}

