package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpdvmod {
@Coluna(nome="cxpdvmod.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpdvmod.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpdvmod.id_modalidade", tipo="int")
private int idModalidade;
private boolean idModalidadeNull;
@Coluna(nome="cxpdvmod.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabCxpdvmod() {
initialize();
}

public void initialize() {
setPedvenda(null);
setFilial(null);
setIdModalidade(null);
setValor(null);
}

public TabCxpdvmod(int pedvenda, int filial, int idModalidade, double valor) {
this.pedvenda = pedvenda;
this.filial = filial;
this.idModalidade = idModalidade;
this.valor = valor;
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdModalidade() {
return idModalidade;
}

public boolean isIdModalidadeNull() {
return idModalidadeNull;
}

public void setIdModalidade(Integer idModalidade) {
if (idModalidade == null) {
idModalidadeNull = true;
this.idModalidade = 0;
} else { 
idModalidadeNull = false;
this.idModalidade = idModalidade;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

