package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxplafnc {
@Coluna(nome="cxplafnc.codplano", tipo="int")
private int codplano;
private boolean codplanoNull;
@Coluna(nome="cxplafnc.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxplafnc.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxplafnc.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxplafnc.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxplafnc.vlrminoper", tipo="double")
private double vlrminoper;
private boolean vlrminoperNull;
@Coluna(nome="cxplafnc.vlrminparc", tipo="double")
private double vlrminparc;
private boolean vlrminparcNull;
@Coluna(nome="cxplafnc.percminentr", tipo="double")
private double percminentr;
private boolean percminentrNull;

public TabCxplafnc() {
initialize();
}

public void initialize() {
setCodplano(null);
setCgccpf(null);
setTppessoa(null);
setDtinicio(null);
setDtfim(null);
setVlrminoper(null);
setVlrminparc(null);
setPercminentr(null);
}

public TabCxplafnc(int codplano, long cgccpf, int tppessoa, FglDate dtinicio, FglDate dtfim, double vlrminoper, double vlrminparc, double percminentr) {
this.codplano = codplano;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.vlrminoper = vlrminoper;
this.vlrminparc = vlrminparc;
this.percminentr = percminentr;
}

public int getCodplano() {
return codplano;
}

public boolean isCodplanoNull() {
return codplanoNull;
}

public void setCodplano(Integer codplano) {
if (codplano == null) {
codplanoNull = true;
this.codplano = 0;
} else { 
codplanoNull = false;
this.codplano = codplano;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getVlrminoper() {
return vlrminoper;
}

public boolean isVlrminoperNull() {
return vlrminoperNull;
}

public void setVlrminoper(int vlrminoper) {
setVlrminoper(new Double(vlrminoper));
}

public void setVlrminoper(long vlrminoper) {
setVlrminoper(new Double(vlrminoper));
}

public void setVlrminoper(Double vlrminoper) {
if (vlrminoper == null) {
vlrminoperNull = true;
this.vlrminoper = 0.;
} else { 
vlrminoperNull = false;
this.vlrminoper = FglDouble.round(vlrminoper, 2);
}
}

public double getVlrminparc() {
return vlrminparc;
}

public boolean isVlrminparcNull() {
return vlrminparcNull;
}

public void setVlrminparc(int vlrminparc) {
setVlrminparc(new Double(vlrminparc));
}

public void setVlrminparc(long vlrminparc) {
setVlrminparc(new Double(vlrminparc));
}

public void setVlrminparc(Double vlrminparc) {
if (vlrminparc == null) {
vlrminparcNull = true;
this.vlrminparc = 0.;
} else { 
vlrminparcNull = false;
this.vlrminparc = FglDouble.round(vlrminparc, 2);
}
}

public double getPercminentr() {
return percminentr;
}

public boolean isPercminentrNull() {
return percminentrNull;
}

public void setPercminentr(int percminentr) {
setPercminentr(new Double(percminentr));
}

public void setPercminentr(long percminentr) {
setPercminentr(new Double(percminentr));
}

public void setPercminentr(Double percminentr) {
if (percminentr == null) {
percminentrNull = true;
this.percminentr = 0.;
} else { 
percminentrNull = false;
this.percminentr = FglDouble.round(percminentr, 2);
}
}

}

