package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxplavar {
@Coluna(nome="cxplavar.codplano", tipo="int")
private int codplano;
private boolean codplanoNull;
@Coluna(nome="cxplavar.tipoparc", tipo="String")
private String tipoparc;
@Coluna(nome="cxplavar.aplicar", tipo="String")
private String aplicar;
@Coluna(nome="cxplavar.mes_parc", tipo="int")
private int mesParc;
private boolean mesParcNull;
@Coluna(nome="cxplavar.qtdeparc", tipo="int")
private int qtdeparc;
private boolean qtdeparcNull;
@Coluna(nome="cxplavar.percparc", tipo="double")
private double percparc;
private boolean percparcNull;
@Coluna(nome="cxplavar.calcperc", tipo="String")
private String calcperc;
@Coluna(nome="cxplavar.red_aum", tipo="String")
private String redAum;
@Coluna(nome="cxplavar.aplic_tac", tipo="String")
private String aplicTac;
@Coluna(nome="cxplavar.temparc", tipo="String")
private String temparc;

public TabCxplavar() {
initialize();
}

public void initialize() {
setCodplano(null);
setTipoparc(null);
setAplicar(null);
setMesParc(null);
setQtdeparc(null);
setPercparc(null);
setCalcperc(null);
setRedAum(null);
setAplicTac(null);
setTemparc(null);
}

public TabCxplavar(int codplano, String tipoparc, String aplicar, int mesParc, int qtdeparc, double percparc, String calcperc, String redAum, String aplicTac, String temparc) {
this.codplano = codplano;
this.tipoparc = tipoparc;
this.aplicar = aplicar;
this.mesParc = mesParc;
this.qtdeparc = qtdeparc;
this.percparc = percparc;
this.calcperc = calcperc;
this.redAum = redAum;
this.aplicTac = aplicTac;
this.temparc = temparc;
}

public int getCodplano() {
return codplano;
}

public boolean isCodplanoNull() {
return codplanoNull;
}

public void setCodplano(Integer codplano) {
if (codplano == null) {
codplanoNull = true;
this.codplano = 0;
} else { 
codplanoNull = false;
this.codplano = codplano;
}
}

public String getTipoparc() {
return tipoparc;
}

public void setTipoparc(String tipoparc) {
this.tipoparc = tipoparc;
}

public String getAplicar() {
return aplicar;
}

public void setAplicar(String aplicar) {
this.aplicar = aplicar;
}

public int getMesParc() {
return mesParc;
}

public boolean isMesParcNull() {
return mesParcNull;
}

public void setMesParc(Integer mesParc) {
if (mesParc == null) {
mesParcNull = true;
this.mesParc = 0;
} else { 
mesParcNull = false;
this.mesParc = mesParc;
}
}

public int getQtdeparc() {
return qtdeparc;
}

public boolean isQtdeparcNull() {
return qtdeparcNull;
}

public void setQtdeparc(Integer qtdeparc) {
if (qtdeparc == null) {
qtdeparcNull = true;
this.qtdeparc = 0;
} else { 
qtdeparcNull = false;
this.qtdeparc = qtdeparc;
}
}

public double getPercparc() {
return percparc;
}

public boolean isPercparcNull() {
return percparcNull;
}

public void setPercparc(int percparc) {
setPercparc(new Double(percparc));
}

public void setPercparc(long percparc) {
setPercparc(new Double(percparc));
}

public void setPercparc(Double percparc) {
if (percparc == null) {
percparcNull = true;
this.percparc = 0.;
} else { 
percparcNull = false;
this.percparc = FglDouble.round(percparc, 6);
}
}

public String getCalcperc() {
return calcperc;
}

public void setCalcperc(String calcperc) {
this.calcperc = calcperc;
}

public String getRedAum() {
return redAum;
}

public void setRedAum(String redAum) {
this.redAum = redAum;
}

public String getAplicTac() {
return aplicTac;
}

public void setAplicTac(String aplicTac) {
this.aplicTac = aplicTac;
}

public String getTemparc() {
return temparc;
}

public void setTemparc(String temparc) {
this.temparc = temparc;
}

}

