package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxpropos {
@Coluna(nome="cxpropos.id_propos", tipo="int")
private int idPropos;
private boolean idProposNull;
@Coluna(nome="cxpropos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxpropos.nroproposta", tipo="int")
private int nroproposta;
private boolean nropropostaNull;
@Coluna(nome="cxpropos.dtproposta", tipo="FglDate")
private FglDate dtproposta;
@Coluna(nome="cxpropos.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="cxpropos.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxpropos.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;
@Coluna(nome="cxpropos.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxpropos.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxpropos.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="cxpropos.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="cxpropos.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="cxpropos.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="cxpropos.nroportas", tipo="int")
private int nroportas;
private boolean nroportasNull;
@Coluna(nome="cxpropos.textoprod", tipo="String")
private String textoprod;
@Coluna(nome="cxpropos.avaliacao", tipo="int")
private int avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="cxpropos.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="cxpropos.vlrtabela", tipo="double")
private double vlrtabela;
private boolean vlrtabelaNull;
@Coluna(nome="cxpropos.vlrdesconto", tipo="double")
private double vlrdesconto;
private boolean vlrdescontoNull;
@Coluna(nome="cxpropos.vlrprodserv", tipo="double")
private double vlrprodserv;
private boolean vlrprodservNull;
@Coluna(nome="cxpropos.vlropcional", tipo="double")
private double vlropcional;
private boolean vlropcionalNull;
@Coluna(nome="cxpropos.vlrusado", tipo="double")
private double vlrusado;
private boolean vlrusadoNull;
@Coluna(nome="cxpropos.vlrfrete", tipo="double")
private double vlrfrete;
private boolean vlrfreteNull;
@Coluna(nome="cxpropos.vlremplaca", tipo="double")
private double vlremplaca;
private boolean vlremplacaNull;
@Coluna(nome="cxpropos.vlrseguro", tipo="double")
private double vlrseguro;
private boolean vlrseguroNull;
@Coluna(nome="cxpropos.tppagto", tipo="String")
private String tppagto;
@Coluna(nome="cxpropos.vlrentrada", tipo="double")
private double vlrentrada;
private boolean vlrentradaNull;
@Coluna(nome="cxpropos.vlrfinanc", tipo="double")
private double vlrfinanc;
private boolean vlrfinancNull;
@Coluna(nome="cxpropos.nromeses", tipo="int")
private int nromeses;
private boolean nromesesNull;
@Coluna(nome="cxpropos.coeficiente", tipo="double")
private double coeficiente;
private boolean coeficienteNull;
@Coluna(nome="cxpropos.vlrmensal", tipo="double")
private double vlrmensal;
private boolean vlrmensalNull;
@Coluna(nome="cxpropos.observ", tipo="String")
private String observ;

public TabCxpropos() {
initialize();
}

public void initialize() {
setIdPropos(null);
setFilial(null);
setNroproposta(null);
setDtproposta(null);
setDtprevista(null);
setIdAgente(null);
setNroEndere(null);
setChassis(null);
setModelo(null);
setAnofabric(null);
setAnomodelo(null);
setCorexterna(null);
setCorinterna(null);
setNroportas(null);
setTextoprod(null);
setAvaliacao(null);
setPedvenda(null);
setVlrtabela(null);
setVlrdesconto(null);
setVlrprodserv(null);
setVlropcional(null);
setVlrusado(null);
setVlrfrete(null);
setVlremplaca(null);
setVlrseguro(null);
setTppagto(null);
setVlrentrada(null);
setVlrfinanc(null);
setNromeses(null);
setCoeficiente(null);
setVlrmensal(null);
setObserv(null);
}

public TabCxpropos(int idPropos, int filial, int nroproposta, FglDate dtproposta, FglDate dtprevista, int idAgente, long nroEndere, String chassis, String modelo, int anofabric, int anomodelo, String corexterna, String corinterna, int nroportas, String textoprod, int avaliacao, int pedvenda, double vlrtabela, double vlrdesconto, double vlrprodserv, double vlropcional, double vlrusado, double vlrfrete, double vlremplaca, double vlrseguro, String tppagto, double vlrentrada, double vlrfinanc, int nromeses, double coeficiente, double vlrmensal, String observ) {
this.idPropos = idPropos;
this.filial = filial;
this.nroproposta = nroproposta;
this.dtproposta = dtproposta;
this.dtprevista = dtprevista;
this.idAgente = idAgente;
this.nroEndere = nroEndere;
this.chassis = chassis;
this.modelo = modelo;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.nroportas = nroportas;
this.textoprod = textoprod;
this.avaliacao = avaliacao;
this.pedvenda = pedvenda;
this.vlrtabela = vlrtabela;
this.vlrdesconto = vlrdesconto;
this.vlrprodserv = vlrprodserv;
this.vlropcional = vlropcional;
this.vlrusado = vlrusado;
this.vlrfrete = vlrfrete;
this.vlremplaca = vlremplaca;
this.vlrseguro = vlrseguro;
this.tppagto = tppagto;
this.vlrentrada = vlrentrada;
this.vlrfinanc = vlrfinanc;
this.nromeses = nromeses;
this.coeficiente = coeficiente;
this.vlrmensal = vlrmensal;
this.observ = observ;
}

public int getIdPropos() {
return idPropos;
}

public boolean isIdProposNull() {
return idProposNull;
}

public void setIdPropos(Integer idPropos) {
if (idPropos == null) {
idProposNull = true;
this.idPropos = 0;
} else { 
idProposNull = false;
this.idPropos = idPropos;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNroproposta() {
return nroproposta;
}

public boolean isNropropostaNull() {
return nropropostaNull;
}

public void setNroproposta(Integer nroproposta) {
if (nroproposta == null) {
nropropostaNull = true;
this.nroproposta = 0;
} else { 
nropropostaNull = false;
this.nroproposta = nroproposta;
}
}

public FglDate getDtproposta() {
return dtproposta;
}

public void setDtproposta(FglDate dtproposta) {
this.dtproposta = dtproposta;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public int getNroportas() {
return nroportas;
}

public boolean isNroportasNull() {
return nroportasNull;
}

public void setNroportas(Integer nroportas) {
if (nroportas == null) {
nroportasNull = true;
this.nroportas = 0;
} else { 
nroportasNull = false;
this.nroportas = nroportas;
}
}

public String getTextoprod() {
return textoprod;
}

public void setTextoprod(String textoprod) {
this.textoprod = textoprod;
}

public int getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(Integer avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public double getVlrtabela() {
return vlrtabela;
}

public boolean isVlrtabelaNull() {
return vlrtabelaNull;
}

public void setVlrtabela(int vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(long vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(Double vlrtabela) {
if (vlrtabela == null) {
vlrtabelaNull = true;
this.vlrtabela = 0.;
} else { 
vlrtabelaNull = false;
this.vlrtabela = FglDouble.round(vlrtabela, 2);
}
}

public double getVlrdesconto() {
return vlrdesconto;
}

public boolean isVlrdescontoNull() {
return vlrdescontoNull;
}

public void setVlrdesconto(int vlrdesconto) {
setVlrdesconto(new Double(vlrdesconto));
}

public void setVlrdesconto(long vlrdesconto) {
setVlrdesconto(new Double(vlrdesconto));
}

public void setVlrdesconto(Double vlrdesconto) {
if (vlrdesconto == null) {
vlrdescontoNull = true;
this.vlrdesconto = 0.;
} else { 
vlrdescontoNull = false;
this.vlrdesconto = FglDouble.round(vlrdesconto, 2);
}
}

public double getVlrprodserv() {
return vlrprodserv;
}

public boolean isVlrprodservNull() {
return vlrprodservNull;
}

public void setVlrprodserv(int vlrprodserv) {
setVlrprodserv(new Double(vlrprodserv));
}

public void setVlrprodserv(long vlrprodserv) {
setVlrprodserv(new Double(vlrprodserv));
}

public void setVlrprodserv(Double vlrprodserv) {
if (vlrprodserv == null) {
vlrprodservNull = true;
this.vlrprodserv = 0.;
} else { 
vlrprodservNull = false;
this.vlrprodserv = FglDouble.round(vlrprodserv, 2);
}
}

public double getVlropcional() {
return vlropcional;
}

public boolean isVlropcionalNull() {
return vlropcionalNull;
}

public void setVlropcional(int vlropcional) {
setVlropcional(new Double(vlropcional));
}

public void setVlropcional(long vlropcional) {
setVlropcional(new Double(vlropcional));
}

public void setVlropcional(Double vlropcional) {
if (vlropcional == null) {
vlropcionalNull = true;
this.vlropcional = 0.;
} else { 
vlropcionalNull = false;
this.vlropcional = FglDouble.round(vlropcional, 2);
}
}

public double getVlrusado() {
return vlrusado;
}

public boolean isVlrusadoNull() {
return vlrusadoNull;
}

public void setVlrusado(int vlrusado) {
setVlrusado(new Double(vlrusado));
}

public void setVlrusado(long vlrusado) {
setVlrusado(new Double(vlrusado));
}

public void setVlrusado(Double vlrusado) {
if (vlrusado == null) {
vlrusadoNull = true;
this.vlrusado = 0.;
} else { 
vlrusadoNull = false;
this.vlrusado = FglDouble.round(vlrusado, 2);
}
}

public double getVlrfrete() {
return vlrfrete;
}

public boolean isVlrfreteNull() {
return vlrfreteNull;
}

public void setVlrfrete(int vlrfrete) {
setVlrfrete(new Double(vlrfrete));
}

public void setVlrfrete(long vlrfrete) {
setVlrfrete(new Double(vlrfrete));
}

public void setVlrfrete(Double vlrfrete) {
if (vlrfrete == null) {
vlrfreteNull = true;
this.vlrfrete = 0.;
} else { 
vlrfreteNull = false;
this.vlrfrete = FglDouble.round(vlrfrete, 2);
}
}

public double getVlremplaca() {
return vlremplaca;
}

public boolean isVlremplacaNull() {
return vlremplacaNull;
}

public void setVlremplaca(int vlremplaca) {
setVlremplaca(new Double(vlremplaca));
}

public void setVlremplaca(long vlremplaca) {
setVlremplaca(new Double(vlremplaca));
}

public void setVlremplaca(Double vlremplaca) {
if (vlremplaca == null) {
vlremplacaNull = true;
this.vlremplaca = 0.;
} else { 
vlremplacaNull = false;
this.vlremplaca = FglDouble.round(vlremplaca, 2);
}
}

public double getVlrseguro() {
return vlrseguro;
}

public boolean isVlrseguroNull() {
return vlrseguroNull;
}

public void setVlrseguro(int vlrseguro) {
setVlrseguro(new Double(vlrseguro));
}

public void setVlrseguro(long vlrseguro) {
setVlrseguro(new Double(vlrseguro));
}

public void setVlrseguro(Double vlrseguro) {
if (vlrseguro == null) {
vlrseguroNull = true;
this.vlrseguro = 0.;
} else { 
vlrseguroNull = false;
this.vlrseguro = FglDouble.round(vlrseguro, 2);
}
}

public String getTppagto() {
return tppagto;
}

public void setTppagto(String tppagto) {
this.tppagto = tppagto;
}

public double getVlrentrada() {
return vlrentrada;
}

public boolean isVlrentradaNull() {
return vlrentradaNull;
}

public void setVlrentrada(int vlrentrada) {
setVlrentrada(new Double(vlrentrada));
}

public void setVlrentrada(long vlrentrada) {
setVlrentrada(new Double(vlrentrada));
}

public void setVlrentrada(Double vlrentrada) {
if (vlrentrada == null) {
vlrentradaNull = true;
this.vlrentrada = 0.;
} else { 
vlrentradaNull = false;
this.vlrentrada = FglDouble.round(vlrentrada, 2);
}
}

public double getVlrfinanc() {
return vlrfinanc;
}

public boolean isVlrfinancNull() {
return vlrfinancNull;
}

public void setVlrfinanc(int vlrfinanc) {
setVlrfinanc(new Double(vlrfinanc));
}

public void setVlrfinanc(long vlrfinanc) {
setVlrfinanc(new Double(vlrfinanc));
}

public void setVlrfinanc(Double vlrfinanc) {
if (vlrfinanc == null) {
vlrfinancNull = true;
this.vlrfinanc = 0.;
} else { 
vlrfinancNull = false;
this.vlrfinanc = FglDouble.round(vlrfinanc, 2);
}
}

public int getNromeses() {
return nromeses;
}

public boolean isNromesesNull() {
return nromesesNull;
}

public void setNromeses(Integer nromeses) {
if (nromeses == null) {
nromesesNull = true;
this.nromeses = 0;
} else { 
nromesesNull = false;
this.nromeses = nromeses;
}
}

public double getCoeficiente() {
return coeficiente;
}

public boolean isCoeficienteNull() {
return coeficienteNull;
}

public void setCoeficiente(int coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(long coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(Double coeficiente) {
if (coeficiente == null) {
coeficienteNull = true;
this.coeficiente = 0.;
} else { 
coeficienteNull = false;
this.coeficiente = FglDouble.round(coeficiente, 6);
}
}

public double getVlrmensal() {
return vlrmensal;
}

public boolean isVlrmensalNull() {
return vlrmensalNull;
}

public void setVlrmensal(int vlrmensal) {
setVlrmensal(new Double(vlrmensal));
}

public void setVlrmensal(long vlrmensal) {
setVlrmensal(new Double(vlrmensal));
}

public void setVlrmensal(Double vlrmensal) {
if (vlrmensal == null) {
vlrmensalNull = true;
this.vlrmensal = 0.;
} else { 
vlrmensalNull = false;
this.vlrmensal = FglDouble.round(vlrmensal, 2);
}
}

public String getObserv() {
return observ;
}

public void setObserv(String observ) {
this.observ = observ;
}

}

