package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxprospr {
@Coluna(nome="cxprospr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxprospr.nronegocio", tipo="int")
private int nronegocio;
private boolean nronegocioNull;
@Coluna(nome="cxprospr.nrocontato", tipo="int")
private int nrocontato;
private boolean nrocontatoNull;
@Coluna(nome="cxprospr.como_contato", tipo="String")
private String comoContato;
@Coluna(nome="cxprospr.cod_campanha", tipo="String")
private String codCampanha;
@Coluna(nome="cxprospr.dt_prevista", tipo="FglDate")
private FglDate dtPrevista;
@Coluna(nome="cxprospr.resultconta", tipo="String")
private String resultconta;
@Coluna(nome="cxprospr.dt_efetiva", tipo="FglDate")
private FglDate dtEfetiva;
@Coluna(nome="cxprospr.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxprospr.pcofornec", tipo="double")
private double pcofornec;
private boolean pcofornecNull;
@Coluna(nome="cxprospr.automatico", tipo="String")
private String automatico;
@Coluna(nome="cxprospr.tdriverealiz", tipo="String")
private String tdriverealiz;
@Coluna(nome="cxprospr.observacoes", tipo="String")
private String observacoes;

public TabCxprospr() {
initialize();
}

public void initialize() {
setFilial(null);
setNronegocio(null);
setNrocontato(null);
setComoContato(null);
setCodCampanha(null);
setDtPrevista(null);
setResultconta(null);
setDtEfetiva(null);
setIdAgente(null);
setPcofornec(null);
setAutomatico(null);
setTdriverealiz(null);
setObservacoes(null);
}

public TabCxprospr(int filial, int nronegocio, int nrocontato, String comoContato, String codCampanha, FglDate dtPrevista, String resultconta, FglDate dtEfetiva, int idAgente, double pcofornec, String automatico, String tdriverealiz, String observacoes) {
this.filial = filial;
this.nronegocio = nronegocio;
this.nrocontato = nrocontato;
this.comoContato = comoContato;
this.codCampanha = codCampanha;
this.dtPrevista = dtPrevista;
this.resultconta = resultconta;
this.dtEfetiva = dtEfetiva;
this.idAgente = idAgente;
this.pcofornec = pcofornec;
this.automatico = automatico;
this.tdriverealiz = tdriverealiz;
this.observacoes = observacoes;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNronegocio() {
return nronegocio;
}

public boolean isNronegocioNull() {
return nronegocioNull;
}

public void setNronegocio(Integer nronegocio) {
if (nronegocio == null) {
nronegocioNull = true;
this.nronegocio = 0;
} else { 
nronegocioNull = false;
this.nronegocio = nronegocio;
}
}

public int getNrocontato() {
return nrocontato;
}

public boolean isNrocontatoNull() {
return nrocontatoNull;
}

public void setNrocontato(Integer nrocontato) {
if (nrocontato == null) {
nrocontatoNull = true;
this.nrocontato = 0;
} else { 
nrocontatoNull = false;
this.nrocontato = nrocontato;
}
}

public String getComoContato() {
return comoContato;
}

public void setComoContato(String comoContato) {
this.comoContato = comoContato;
}

public String getCodCampanha() {
return codCampanha;
}

public void setCodCampanha(String codCampanha) {
this.codCampanha = codCampanha;
}

public FglDate getDtPrevista() {
return dtPrevista;
}

public void setDtPrevista(FglDate dtPrevista) {
this.dtPrevista = dtPrevista;
}

public String getResultconta() {
return resultconta;
}

public void setResultconta(String resultconta) {
this.resultconta = resultconta;
}

public FglDate getDtEfetiva() {
return dtEfetiva;
}

public void setDtEfetiva(FglDate dtEfetiva) {
this.dtEfetiva = dtEfetiva;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public double getPcofornec() {
return pcofornec;
}

public boolean isPcofornecNull() {
return pcofornecNull;
}

public void setPcofornec(int pcofornec) {
setPcofornec(new Double(pcofornec));
}

public void setPcofornec(long pcofornec) {
setPcofornec(new Double(pcofornec));
}

public void setPcofornec(Double pcofornec) {
if (pcofornec == null) {
pcofornecNull = true;
this.pcofornec = 0.;
} else { 
pcofornecNull = false;
this.pcofornec = FglDouble.round(pcofornec, 2);
}
}

public String getAutomatico() {
return automatico;
}

public void setAutomatico(String automatico) {
this.automatico = automatico;
}

public String getTdriverealiz() {
return tdriverealiz;
}

public void setTdriverealiz(String tdriverealiz) {
this.tdriverealiz = tdriverealiz;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

}

