package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxrescon {
@Coluna(nome="cxrescon.resultconta", tipo="String")
private String resultconta;
@Coluna(nome="cxrescon.descresult", tipo="String")
private String descresult;
@Coluna(nome="cxrescon.taxaresult", tipo="double")
private double taxaresult;
private boolean taxaresultNull;

public TabCxrescon() {
initialize();
}

public void initialize() {
setResultconta(null);
setDescresult(null);
setTaxaresult(null);
}

public TabCxrescon(String resultconta, String descresult, double taxaresult) {
this.resultconta = resultconta;
this.descresult = descresult;
this.taxaresult = taxaresult;
}

public String getResultconta() {
return resultconta;
}

public void setResultconta(String resultconta) {
this.resultconta = resultconta;
}

public String getDescresult() {
return descresult;
}

public void setDescresult(String descresult) {
this.descresult = descresult;
}

public double getTaxaresult() {
return taxaresult;
}

public boolean isTaxaresultNull() {
return taxaresultNull;
}

public void setTaxaresult(int taxaresult) {
setTaxaresult(new Double(taxaresult));
}

public void setTaxaresult(long taxaresult) {
setTaxaresult(new Double(taxaresult));
}

public void setTaxaresult(Double taxaresult) {
if (taxaresult == null) {
taxaresultNull = true;
this.taxaresult = 0.;
} else { 
taxaresultNull = false;
this.taxaresult = FglDouble.round(taxaresult, 2);
}
}

}

