package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabCxsugcap {
@Coluna(nome="cxsugcap.id_sugcap", tipo="int")
private int idSugcap;
private boolean idSugcapNull;
@Coluna(nome="cxsugcap.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxsugcap.sugestao", tipo="int")
private int sugestao;
private boolean sugestaoNull;
@Coluna(nome="cxsugcap.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxsugcap.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxsugcap.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="cxsugcap.dtsugestao", tipo="FglDate")
private FglDate dtsugestao;
@Coluna(nome="cxsugcap.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="cxsugcap.meses", tipo="int")
private int meses;
private boolean mesesNull;
@Coluna(nome="cxsugcap.status", tipo="String")
private String status;

public TabCxsugcap() {
initialize();
}

public void initialize() {
setIdSugcap(null);
setFilial(null);
setSugestao(null);
setTppessoa(null);
setCgccpf(null);
setIdAgente(null);
setDtsugestao(null);
setAnomes(null);
setMeses(null);
setStatus(null);
}

public TabCxsugcap(int idSugcap, int filial, int sugestao, int tppessoa, long cgccpf, int idAgente, FglDate dtsugestao, FglDateTimeYM anomes, int meses, String status) {
this.idSugcap = idSugcap;
this.filial = filial;
this.sugestao = sugestao;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.idAgente = idAgente;
this.dtsugestao = dtsugestao;
this.anomes = anomes;
this.meses = meses;
this.status = status;
}

public int getIdSugcap() {
return idSugcap;
}

public boolean isIdSugcapNull() {
return idSugcapNull;
}

public void setIdSugcap(Integer idSugcap) {
if (idSugcap == null) {
idSugcapNull = true;
this.idSugcap = 0;
} else { 
idSugcapNull = false;
this.idSugcap = idSugcap;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getSugestao() {
return sugestao;
}

public boolean isSugestaoNull() {
return sugestaoNull;
}

public void setSugestao(Integer sugestao) {
if (sugestao == null) {
sugestaoNull = true;
this.sugestao = 0;
} else { 
sugestaoNull = false;
this.sugestao = sugestao;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtsugestao() {
return dtsugestao;
}

public void setDtsugestao(FglDate dtsugestao) {
this.dtsugestao = dtsugestao;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getMeses() {
return meses;
}

public boolean isMesesNull() {
return mesesNull;
}

public void setMeses(Integer meses) {
if (meses == null) {
mesesNull = true;
this.meses = 0;
} else { 
mesesNull = false;
this.meses = meses;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

