package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxtabfin {
@Coluna(nome="cxtabfin.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxtabfin.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxtabfin.anoinicial", tipo="int")
private int anoinicial;
private boolean anoinicialNull;
@Coluna(nome="cxtabfin.anofinal", tipo="int")
private int anofinal;
private boolean anofinalNull;
@Coluna(nome="cxtabfin.nroparcelas", tipo="int")
private int nroparcelas;
private boolean nroparcelasNull;
@Coluna(nome="cxtabfin.retorno", tipo="int")
private int retorno;
private boolean retornoNull;
@Coluna(nome="cxtabfin.codplano", tipo="int")
private int codplano;
private boolean codplanoNull;
@Coluna(nome="cxtabfin.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="cxtabfin.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="cxtabfin.coeficiente", tipo="double")
private double coeficiente;
private boolean coeficienteNull;
@Coluna(nome="cxtabfin.taxam", tipo="double")
private double taxam;
private boolean taxamNull;
@Coluna(nome="cxtabfin.taxaa", tipo="double")
private double taxaa;
private boolean taxaaNull;
@Coluna(nome="cxtabfin.liberavend", tipo="String")
private String liberavend;
@Coluna(nome="cxtabfin.txretorno", tipo="double")
private double txretorno;
private boolean txretornoNull;

public TabCxtabfin() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setAnoinicial(null);
setAnofinal(null);
setNroparcelas(null);
setRetorno(null);
setCodplano(null);
setDtinicio(null);
setDtfim(null);
setCoeficiente(null);
setTaxam(null);
setTaxaa(null);
setLiberavend(null);
setTxretorno(null);
}

public TabCxtabfin(long cgccpf, int tppessoa, int anoinicial, int anofinal, int nroparcelas, int retorno, int codplano, FglDate dtinicio, FglDate dtfim, double coeficiente, double taxam, double taxaa, String liberavend, double txretorno) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.anoinicial = anoinicial;
this.anofinal = anofinal;
this.nroparcelas = nroparcelas;
this.retorno = retorno;
this.codplano = codplano;
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.coeficiente = coeficiente;
this.taxam = taxam;
this.taxaa = taxaa;
this.liberavend = liberavend;
this.txretorno = txretorno;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getAnoinicial() {
return anoinicial;
}

public boolean isAnoinicialNull() {
return anoinicialNull;
}

public void setAnoinicial(Integer anoinicial) {
if (anoinicial == null) {
anoinicialNull = true;
this.anoinicial = 0;
} else { 
anoinicialNull = false;
this.anoinicial = anoinicial;
}
}

public int getAnofinal() {
return anofinal;
}

public boolean isAnofinalNull() {
return anofinalNull;
}

public void setAnofinal(Integer anofinal) {
if (anofinal == null) {
anofinalNull = true;
this.anofinal = 0;
} else { 
anofinalNull = false;
this.anofinal = anofinal;
}
}

public int getNroparcelas() {
return nroparcelas;
}

public boolean isNroparcelasNull() {
return nroparcelasNull;
}

public void setNroparcelas(Integer nroparcelas) {
if (nroparcelas == null) {
nroparcelasNull = true;
this.nroparcelas = 0;
} else { 
nroparcelasNull = false;
this.nroparcelas = nroparcelas;
}
}

public int getRetorno() {
return retorno;
}

public boolean isRetornoNull() {
return retornoNull;
}

public void setRetorno(Integer retorno) {
if (retorno == null) {
retornoNull = true;
this.retorno = 0;
} else { 
retornoNull = false;
this.retorno = retorno;
}
}

public int getCodplano() {
return codplano;
}

public boolean isCodplanoNull() {
return codplanoNull;
}

public void setCodplano(Integer codplano) {
if (codplano == null) {
codplanoNull = true;
this.codplano = 0;
} else { 
codplanoNull = false;
this.codplano = codplano;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public double getCoeficiente() {
return coeficiente;
}

public boolean isCoeficienteNull() {
return coeficienteNull;
}

public void setCoeficiente(int coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(long coeficiente) {
setCoeficiente(new Double(coeficiente));
}

public void setCoeficiente(Double coeficiente) {
if (coeficiente == null) {
coeficienteNull = true;
this.coeficiente = 0.;
} else { 
coeficienteNull = false;
this.coeficiente = FglDouble.round(coeficiente, 6);
}
}

public double getTaxam() {
return taxam;
}

public boolean isTaxamNull() {
return taxamNull;
}

public void setTaxam(int taxam) {
setTaxam(new Double(taxam));
}

public void setTaxam(long taxam) {
setTaxam(new Double(taxam));
}

public void setTaxam(Double taxam) {
if (taxam == null) {
taxamNull = true;
this.taxam = 0.;
} else { 
taxamNull = false;
this.taxam = FglDouble.round(taxam, 2);
}
}

public double getTaxaa() {
return taxaa;
}

public boolean isTaxaaNull() {
return taxaaNull;
}

public void setTaxaa(int taxaa) {
setTaxaa(new Double(taxaa));
}

public void setTaxaa(long taxaa) {
setTaxaa(new Double(taxaa));
}

public void setTaxaa(Double taxaa) {
if (taxaa == null) {
taxaaNull = true;
this.taxaa = 0.;
} else { 
taxaaNull = false;
this.taxaa = FglDouble.round(taxaa, 2);
}
}

public String getLiberavend() {
return liberavend;
}

public void setLiberavend(String liberavend) {
this.liberavend = liberavend;
}

public double getTxretorno() {
return txretorno;
}

public boolean isTxretornoNull() {
return txretornoNull;
}

public void setTxretorno(int txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(long txretorno) {
setTxretorno(new Double(txretorno));
}

public void setTxretorno(Double txretorno) {
if (txretorno == null) {
txretornoNull = true;
this.txretorno = 0.;
} else { 
txretornoNull = false;
this.txretorno = FglDouble.round(txretorno, 2);
}
}

}

