package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxtaxobj {
@Coluna(nome="cxtaxobj.tx_efetiva", tipo="double")
private double txEfetiva;
private boolean txEfetivaNull;
@Coluna(nome="cxtaxobj.tx_hot", tipo="double")
private double txHot;
private boolean txHotNull;

public TabCxtaxobj() {
initialize();
}

public void initialize() {
setTxEfetiva(null);
setTxHot(null);
}

public TabCxtaxobj(double txEfetiva, double txHot) {
this.txEfetiva = txEfetiva;
this.txHot = txHot;
}

public double getTxEfetiva() {
return txEfetiva;
}

public boolean isTxEfetivaNull() {
return txEfetivaNull;
}

public void setTxEfetiva(int txEfetiva) {
setTxEfetiva(new Double(txEfetiva));
}

public void setTxEfetiva(long txEfetiva) {
setTxEfetiva(new Double(txEfetiva));
}

public void setTxEfetiva(Double txEfetiva) {
if (txEfetiva == null) {
txEfetivaNull = true;
this.txEfetiva = 0.;
} else { 
txEfetivaNull = false;
this.txEfetiva = FglDouble.round(txEfetiva, 2);
}
}

public double getTxHot() {
return txHot;
}

public boolean isTxHotNull() {
return txHotNull;
}

public void setTxHot(int txHot) {
setTxHot(new Double(txHot));
}

public void setTxHot(long txHot) {
setTxHot(new Double(txHot));
}

public void setTxHot(Double txHot) {
if (txHot == null) {
txHotNull = true;
this.txHot = 0.;
} else { 
txHotNull = false;
this.txHot = FglDouble.round(txHot, 2);
}
}

}

