package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxveicul {
@Coluna(nome="cxveicul.chassis", tipo="String")
private String chassis;
@Coluna(nome="cxveicul.filialcadast", tipo="int")
private int filialcadast;
private boolean filialcadastNull;
@Coluna(nome="cxveicul.bandeira", tipo="String")
private String bandeira;
@Coluna(nome="cxveicul.placa", tipo="String")
private String placa;
@Coluna(nome="cxveicul.familia", tipo="String")
private String familia;
@Coluna(nome="cxveicul.modelo", tipo="String")
private String modelo;
@Coluna(nome="cxveicul.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="cxveicul.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="cxveicul.cor", tipo="String")
private String cor;
@Coluna(nome="cxveicul.dtcompra", tipo="FglDate")
private FglDate dtcompra;
@Coluna(nome="cxveicul.renavan", tipo="long")
private long renavan;
private boolean renavanNull;
@Coluna(nome="cxveicul.mediaquilom", tipo="double")
private double mediaquilom;
private boolean mediaquilomNull;
@Coluna(nome="cxveicul.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="cxveicul.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="cxveicul.nomedono", tipo="String")
private String nomedono;
@Coluna(nome="cxveicul.endereco", tipo="String")
private String endereco;
@Coluna(nome="cxveicul.complemento", tipo="String")
private String complemento;
@Coluna(nome="cxveicul.bairro", tipo="String")
private String bairro;
@Coluna(nome="cxveicul.cidade", tipo="String")
private String cidade;
@Coluna(nome="cxveicul.cep", tipo="String")
private String cep;
@Coluna(nome="cxveicul.ddd", tipo="String")
private String ddd;
@Coluna(nome="cxveicul.fone", tipo="String")
private String fone;
@Coluna(nome="cxveicul.celular", tipo="String")
private String celular;
@Coluna(nome="cxveicul.fax", tipo="String")
private String fax;
@Coluna(nome="cxveicul.eletronico", tipo="String")
private String eletronico;

public TabCxveicul() {
initialize();
}

public void initialize() {
setChassis(null);
setFilialcadast(null);
setBandeira(null);
setPlaca(null);
setFamilia(null);
setModelo(null);
setAnofabric(null);
setAnomodelo(null);
setCor(null);
setDtcompra(null);
setRenavan(null);
setMediaquilom(null);
setTppessoa(null);
setCgccpf(null);
setNomedono(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setCidade(null);
setCep(null);
setDdd(null);
setFone(null);
setCelular(null);
setFax(null);
setEletronico(null);
}

public TabCxveicul(String chassis, int filialcadast, String bandeira, String placa, String familia, String modelo, int anofabric, int anomodelo, String cor, FglDate dtcompra, long renavan, double mediaquilom, int tppessoa, long cgccpf, String nomedono, String endereco, String complemento, String bairro, String cidade, String cep, String ddd, String fone, String celular, String fax, String eletronico) {
this.chassis = chassis;
this.filialcadast = filialcadast;
this.bandeira = bandeira;
this.placa = placa;
this.familia = familia;
this.modelo = modelo;
this.anofabric = anofabric;
this.anomodelo = anomodelo;
this.cor = cor;
this.dtcompra = dtcompra;
this.renavan = renavan;
this.mediaquilom = mediaquilom;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.nomedono = nomedono;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.cidade = cidade;
this.cep = cep;
this.ddd = ddd;
this.fone = fone;
this.celular = celular;
this.fax = fax;
this.eletronico = eletronico;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilialcadast() {
return filialcadast;
}

public boolean isFilialcadastNull() {
return filialcadastNull;
}

public void setFilialcadast(Integer filialcadast) {
if (filialcadast == null) {
filialcadastNull = true;
this.filialcadast = 0;
} else { 
filialcadastNull = false;
this.filialcadast = filialcadast;
}
}

public String getBandeira() {
return bandeira;
}

public void setBandeira(String bandeira) {
this.bandeira = bandeira;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getFamilia() {
return familia;
}

public void setFamilia(String familia) {
this.familia = familia;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public FglDate getDtcompra() {
return dtcompra;
}

public void setDtcompra(FglDate dtcompra) {
this.dtcompra = dtcompra;
}

public long getRenavan() {
return renavan;
}

public boolean isRenavanNull() {
return renavanNull;
}

public void setRenavan(int renavan) {
setRenavan(new Long(renavan));
}

public void setRenavan(Long renavan) {
if (renavan == null) {
renavanNull = true;
this.renavan = 0l;
} else { 
renavanNull = false;
this.renavan = renavan;
}
}

public double getMediaquilom() {
return mediaquilom;
}

public boolean isMediaquilomNull() {
return mediaquilomNull;
}

public void setMediaquilom(int mediaquilom) {
setMediaquilom(new Double(mediaquilom));
}

public void setMediaquilom(long mediaquilom) {
setMediaquilom(new Double(mediaquilom));
}

public void setMediaquilom(Double mediaquilom) {
if (mediaquilom == null) {
mediaquilomNull = true;
this.mediaquilom = 0.;
} else { 
mediaquilomNull = false;
this.mediaquilom = FglDouble.round(mediaquilom, 6);
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public String getNomedono() {
return nomedono;
}

public void setNomedono(String nomedono) {
this.nomedono = nomedono;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getDdd() {
return ddd;
}

public void setDdd(String ddd) {
this.ddd = ddd;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getCelular() {
return celular;
}

public void setCelular(String celular) {
this.celular = celular;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public String getEletronico() {
return eletronico;
}

public void setEletronico(String eletronico) {
this.eletronico = eletronico;
}

}

