package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabCxverita {
@Coluna(nome="cxverita.versao_id", tipo="int")
private int versaoId;
private boolean versaoIdNull;
@Coluna(nome="cxverita.modelo_id", tipo="int")
private int modeloId;
private boolean modeloIdNull;
@Coluna(nome="cxverita.ano_inicial", tipo="int")
private int anoInicial;
private boolean anoInicialNull;
@Coluna(nome="cxverita.ano_final", tipo="int")
private int anoFinal;
private boolean anoFinalNull;
@Coluna(nome="cxverita.versao_itau", tipo="String")
private String versaoItau;

public TabCxverita() {
initialize();
}

public void initialize() {
setVersaoId(null);
setModeloId(null);
setAnoInicial(null);
setAnoFinal(null);
setVersaoItau(null);
}

public TabCxverita(int versaoId, int modeloId, int anoInicial, int anoFinal, String versaoItau) {
this.versaoId = versaoId;
this.modeloId = modeloId;
this.anoInicial = anoInicial;
this.anoFinal = anoFinal;
this.versaoItau = versaoItau;
}

public int getVersaoId() {
return versaoId;
}

public boolean isVersaoIdNull() {
return versaoIdNull;
}

public void setVersaoId(Integer versaoId) {
if (versaoId == null) {
versaoIdNull = true;
this.versaoId = 0;
} else { 
versaoIdNull = false;
this.versaoId = versaoId;
}
}

public int getModeloId() {
return modeloId;
}

public boolean isModeloIdNull() {
return modeloIdNull;
}

public void setModeloId(Integer modeloId) {
if (modeloId == null) {
modeloIdNull = true;
this.modeloId = 0;
} else { 
modeloIdNull = false;
this.modeloId = modeloId;
}
}

public int getAnoInicial() {
return anoInicial;
}

public boolean isAnoInicialNull() {
return anoInicialNull;
}

public void setAnoInicial(Integer anoInicial) {
if (anoInicial == null) {
anoInicialNull = true;
this.anoInicial = 0;
} else { 
anoInicialNull = false;
this.anoInicial = anoInicial;
}
}

public int getAnoFinal() {
return anoFinal;
}

public boolean isAnoFinalNull() {
return anoFinalNull;
}

public void setAnoFinal(Integer anoFinal) {
if (anoFinal == null) {
anoFinalNull = true;
this.anoFinal = 0;
} else { 
anoFinalNull = false;
this.anoFinal = anoFinal;
}
}

public String getVersaoItau() {
return versaoItau;
}

public void setVersaoItau(String versaoItau) {
this.versaoItau = versaoItau;
}

}

