package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCxvpparc {
@Coluna(nome="cxvpparc.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="cxvpparc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="cxvpparc.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="cxvpparc.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="cxvpparc.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="cxvpparc.id_bcoportador", tipo="int")
private int idBcoportador;
private boolean idBcoportadorNull;
@Coluna(nome="cxvpparc.liquidado", tipo="String")
private String liquidado;

public TabCxvpparc() {
initialize();
}

public void initialize() {
setIdContrato(null);
setFilial(null);
setParcela(null);
setDtvencto(null);
setValor(null);
setIdBcoportador(null);
setLiquidado(null);
}

public TabCxvpparc(int idContrato, int filial, int parcela, FglDate dtvencto, double valor, int idBcoportador, String liquidado) {
this.idContrato = idContrato;
this.filial = filial;
this.parcela = parcela;
this.dtvencto = dtvencto;
this.valor = valor;
this.idBcoportador = idBcoportador;
this.liquidado = liquidado;
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdBcoportador() {
return idBcoportador;
}

public boolean isIdBcoportadorNull() {
return idBcoportadorNull;
}

public void setIdBcoportador(Integer idBcoportador) {
if (idBcoportador == null) {
idBcoportadorNull = true;
this.idBcoportador = 0;
} else { 
idBcoportadorNull = false;
this.idBcoportador = idBcoportador;
}
}

public String getLiquidado() {
return liquidado;
}

public void setLiquidado(String liquidado) {
this.liquidado = liquidado;
}

}

