package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCzafcred {
@Coluna(nome="czafcred.id_bens", tipo="int")
private int idBens;
private boolean idBensNull;
@Coluna(nome="czafcred.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="czafcred.vlrcreditoicms", tipo="double")
private double vlrcreditoicms;
private boolean vlrcreditoicmsNull;
@Coluna(nome="czafcred.fator", tipo="double")
private double fator;
private boolean fatorNull;
@Coluna(nome="czafcred.vlrcreditopis", tipo="double")
private double vlrcreditopis;
private boolean vlrcreditopisNull;
@Coluna(nome="czafcred.vlrcreditocofins", tipo="double")
private double vlrcreditocofins;
private boolean vlrcreditocofinsNull;
@Coluna(nome="czafcred.fator_piscof", tipo="double")
private double fatorPiscof;
private boolean fatorPiscofNull;
@Coluna(nome="czafcred.id_planopis", tipo="int")
private int idPlanopis;
private boolean idPlanopisNull;
@Coluna(nome="czafcred.id_planocofins", tipo="int")
private int idPlanocofins;
private boolean idPlanocofinsNull;

public TabCzafcred() {
initialize();
}

public void initialize() {
setIdBens(null);
setAnomes(null);
setVlrcreditoicms(null);
setFator(null);
setVlrcreditopis(null);
setVlrcreditocofins(null);
setFatorPiscof(null);
setIdPlanopis(null);
setIdPlanocofins(null);
}

public TabCzafcred(int idBens, FglDateTimeYM anomes, double vlrcreditoicms, double fator, double vlrcreditopis, double vlrcreditocofins, double fatorPiscof, int idPlanopis, int idPlanocofins) {
this.idBens = idBens;
this.anomes = anomes;
this.vlrcreditoicms = vlrcreditoicms;
this.fator = fator;
this.vlrcreditopis = vlrcreditopis;
this.vlrcreditocofins = vlrcreditocofins;
this.fatorPiscof = fatorPiscof;
this.idPlanopis = idPlanopis;
this.idPlanocofins = idPlanocofins;
}

public int getIdBens() {
return idBens;
}

public boolean isIdBensNull() {
return idBensNull;
}

public void setIdBens(Integer idBens) {
if (idBens == null) {
idBensNull = true;
this.idBens = 0;
} else { 
idBensNull = false;
this.idBens = idBens;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getVlrcreditoicms() {
return vlrcreditoicms;
}

public boolean isVlrcreditoicmsNull() {
return vlrcreditoicmsNull;
}

public void setVlrcreditoicms(int vlrcreditoicms) {
setVlrcreditoicms(new Double(vlrcreditoicms));
}

public void setVlrcreditoicms(long vlrcreditoicms) {
setVlrcreditoicms(new Double(vlrcreditoicms));
}

public void setVlrcreditoicms(Double vlrcreditoicms) {
if (vlrcreditoicms == null) {
vlrcreditoicmsNull = true;
this.vlrcreditoicms = 0.;
} else { 
vlrcreditoicmsNull = false;
this.vlrcreditoicms = FglDouble.round(vlrcreditoicms, 2);
}
}

public double getFator() {
return fator;
}

public boolean isFatorNull() {
return fatorNull;
}

public void setFator(int fator) {
setFator(new Double(fator));
}

public void setFator(long fator) {
setFator(new Double(fator));
}

public void setFator(Double fator) {
if (fator == null) {
fatorNull = true;
this.fator = 0.;
} else { 
fatorNull = false;
this.fator = FglDouble.round(fator, 4);
}
}

public double getVlrcreditopis() {
return vlrcreditopis;
}

public boolean isVlrcreditopisNull() {
return vlrcreditopisNull;
}

public void setVlrcreditopis(int vlrcreditopis) {
setVlrcreditopis(new Double(vlrcreditopis));
}

public void setVlrcreditopis(long vlrcreditopis) {
setVlrcreditopis(new Double(vlrcreditopis));
}

public void setVlrcreditopis(Double vlrcreditopis) {
if (vlrcreditopis == null) {
vlrcreditopisNull = true;
this.vlrcreditopis = 0.;
} else { 
vlrcreditopisNull = false;
this.vlrcreditopis = FglDouble.round(vlrcreditopis, 2);
}
}

public double getVlrcreditocofins() {
return vlrcreditocofins;
}

public boolean isVlrcreditocofinsNull() {
return vlrcreditocofinsNull;
}

public void setVlrcreditocofins(int vlrcreditocofins) {
setVlrcreditocofins(new Double(vlrcreditocofins));
}

public void setVlrcreditocofins(long vlrcreditocofins) {
setVlrcreditocofins(new Double(vlrcreditocofins));
}

public void setVlrcreditocofins(Double vlrcreditocofins) {
if (vlrcreditocofins == null) {
vlrcreditocofinsNull = true;
this.vlrcreditocofins = 0.;
} else { 
vlrcreditocofinsNull = false;
this.vlrcreditocofins = FglDouble.round(vlrcreditocofins, 2);
}
}

public double getFatorPiscof() {
return fatorPiscof;
}

public boolean isFatorPiscofNull() {
return fatorPiscofNull;
}

public void setFatorPiscof(int fatorPiscof) {
setFatorPiscof(new Double(fatorPiscof));
}

public void setFatorPiscof(long fatorPiscof) {
setFatorPiscof(new Double(fatorPiscof));
}

public void setFatorPiscof(Double fatorPiscof) {
if (fatorPiscof == null) {
fatorPiscofNull = true;
this.fatorPiscof = 0.;
} else { 
fatorPiscofNull = false;
this.fatorPiscof = FglDouble.round(fatorPiscof, 4);
}
}

public int getIdPlanopis() {
return idPlanopis;
}

public boolean isIdPlanopisNull() {
return idPlanopisNull;
}

public void setIdPlanopis(Integer idPlanopis) {
if (idPlanopis == null) {
idPlanopisNull = true;
this.idPlanopis = 0;
} else { 
idPlanopisNull = false;
this.idPlanopis = idPlanopis;
}
}

public int getIdPlanocofins() {
return idPlanocofins;
}

public boolean isIdPlanocofinsNull() {
return idPlanocofinsNull;
}

public void setIdPlanocofins(Integer idPlanocofins) {
if (idPlanocofins == null) {
idPlanocofinsNull = true;
this.idPlanocofins = 0;
} else { 
idPlanocofinsNull = false;
this.idPlanocofins = idPlanocofins;
}
}

}

