package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCzafesto {
@Coluna(nome="czafesto.id_bens", tipo="int")
private int idBens;
private boolean idBensNull;
@Coluna(nome="czafesto.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="czafesto.vlrestornoicms", tipo="double")
private double vlrestornoicms;
private boolean vlrestornoicmsNull;
@Coluna(nome="czafesto.fator", tipo="double")
private double fator;
private boolean fatorNull;

public TabCzafesto() {
initialize();
}

public void initialize() {
setIdBens(null);
setAnomes(null);
setVlrestornoicms(null);
setFator(null);
}

public TabCzafesto(int idBens, FglDateTimeYM anomes, double vlrestornoicms, double fator) {
this.idBens = idBens;
this.anomes = anomes;
this.vlrestornoicms = vlrestornoicms;
this.fator = fator;
}

public int getIdBens() {
return idBens;
}

public boolean isIdBensNull() {
return idBensNull;
}

public void setIdBens(Integer idBens) {
if (idBens == null) {
idBensNull = true;
this.idBens = 0;
} else { 
idBensNull = false;
this.idBens = idBens;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getVlrestornoicms() {
return vlrestornoicms;
}

public boolean isVlrestornoicmsNull() {
return vlrestornoicmsNull;
}

public void setVlrestornoicms(int vlrestornoicms) {
setVlrestornoicms(new Double(vlrestornoicms));
}

public void setVlrestornoicms(long vlrestornoicms) {
setVlrestornoicms(new Double(vlrestornoicms));
}

public void setVlrestornoicms(Double vlrestornoicms) {
if (vlrestornoicms == null) {
vlrestornoicmsNull = true;
this.vlrestornoicms = 0.;
} else { 
vlrestornoicmsNull = false;
this.vlrestornoicms = FglDouble.round(vlrestornoicms, 2);
}
}

public double getFator() {
return fator;
}

public boolean isFatorNull() {
return fatorNull;
}

public void setFator(int fator) {
setFator(new Double(fator));
}

public void setFator(long fator) {
setFator(new Double(fator));
}

public void setFator(Double fator) {
if (fator == null) {
fatorNull = true;
this.fator = 0.;
} else { 
fatorNull = false;
this.fator = FglDouble.round(fator, 4);
}
}

}

