package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabCzaftipo {
@Coluna(nome="czaftipo.tipobem", tipo="int")
private int tipobem;
private boolean tipobemNull;
@Coluna(nome="czaftipo.descricao", tipo="String")
private String descricao;
@Coluna(nome="czaftipo.txdeprano", tipo="double")
private double txdeprano;
private boolean txdepranoNull;
@Coluna(nome="czaftipo.id_histor_depr", tipo="int")
private int idHistorDepr;
private boolean idHistorDeprNull;
@Coluna(nome="czaftipo.id_histor_corr", tipo="int")
private int idHistorCorr;
private boolean idHistorCorrNull;
@Coluna(nome="czaftipo.cred_piscof", tipo="String")
private String credPiscof;
@Coluna(nome="czaftipo.cst_pis", tipo="int")
private int cstPis;
private boolean cstPisNull;
@Coluna(nome="czaftipo.cst_cofins", tipo="int")
private int cstCofins;
private boolean cstCofinsNull;
@Coluna(nome="czaftipo.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;
@Coluna(nome="czaftipo.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="czaftipo.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;
@Coluna(nome="czaftipo.tipobem_sped", tipo="int")
private int tipobemSped;
private boolean tipobemSpedNull;
@Coluna(nome="czaftipo.nro_parc_icms", tipo="int")
private int nroParcIcms;
private boolean nroParcIcmsNull;
@Coluna(nome="czaftipo.nro_parc_piscof", tipo="int")
private int nroParcPiscof;
private boolean nroParcPiscofNull;

public TabCzaftipo() {
initialize();
}

public void initialize() {
setTipobem(null);
setDescricao(null);
setTxdeprano(null);
setIdHistorDepr(null);
setIdHistorCorr(null);
setCredPiscof(null);
setCstPis(null);
setCstCofins(null);
setCodCalculo(null);
setAliqpis(null);
setAliqcofins(null);
setTipobemSped(null);
setNroParcIcms(null);
setNroParcPiscof(null);
}

public TabCzaftipo(int tipobem, String descricao, double txdeprano, int idHistorDepr, int idHistorCorr, String credPiscof, int cstPis, int cstCofins, int codCalculo, double aliqpis, double aliqcofins, int tipobemSped, int nroParcIcms, int nroParcPiscof) {
this.tipobem = tipobem;
this.descricao = descricao;
this.txdeprano = txdeprano;
this.idHistorDepr = idHistorDepr;
this.idHistorCorr = idHistorCorr;
this.credPiscof = credPiscof;
this.cstPis = cstPis;
this.cstCofins = cstCofins;
this.codCalculo = codCalculo;
this.aliqpis = aliqpis;
this.aliqcofins = aliqcofins;
this.tipobemSped = tipobemSped;
this.nroParcIcms = nroParcIcms;
this.nroParcPiscof = nroParcPiscof;
}

public int getTipobem() {
return tipobem;
}

public boolean isTipobemNull() {
return tipobemNull;
}

public void setTipobem(Integer tipobem) {
if (tipobem == null) {
tipobemNull = true;
this.tipobem = 0;
} else { 
tipobemNull = false;
this.tipobem = tipobem;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getTxdeprano() {
return txdeprano;
}

public boolean isTxdepranoNull() {
return txdepranoNull;
}

public void setTxdeprano(int txdeprano) {
setTxdeprano(new Double(txdeprano));
}

public void setTxdeprano(long txdeprano) {
setTxdeprano(new Double(txdeprano));
}

public void setTxdeprano(Double txdeprano) {
if (txdeprano == null) {
txdepranoNull = true;
this.txdeprano = 0.;
} else { 
txdepranoNull = false;
this.txdeprano = FglDouble.round(txdeprano, 2);
}
}

public int getIdHistorDepr() {
return idHistorDepr;
}

public boolean isIdHistorDeprNull() {
return idHistorDeprNull;
}

public void setIdHistorDepr(Integer idHistorDepr) {
if (idHistorDepr == null) {
idHistorDeprNull = true;
this.idHistorDepr = 0;
} else { 
idHistorDeprNull = false;
this.idHistorDepr = idHistorDepr;
}
}

public int getIdHistorCorr() {
return idHistorCorr;
}

public boolean isIdHistorCorrNull() {
return idHistorCorrNull;
}

public void setIdHistorCorr(Integer idHistorCorr) {
if (idHistorCorr == null) {
idHistorCorrNull = true;
this.idHistorCorr = 0;
} else { 
idHistorCorrNull = false;
this.idHistorCorr = idHistorCorr;
}
}

public String getCredPiscof() {
return credPiscof;
}

public void setCredPiscof(String credPiscof) {
this.credPiscof = credPiscof;
}

public int getCstPis() {
return cstPis;
}

public boolean isCstPisNull() {
return cstPisNull;
}

public void setCstPis(Integer cstPis) {
if (cstPis == null) {
cstPisNull = true;
this.cstPis = 0;
} else { 
cstPisNull = false;
this.cstPis = cstPis;
}
}

public int getCstCofins() {
return cstCofins;
}

public boolean isCstCofinsNull() {
return cstCofinsNull;
}

public void setCstCofins(Integer cstCofins) {
if (cstCofins == null) {
cstCofinsNull = true;
this.cstCofins = 0;
} else { 
cstCofinsNull = false;
this.cstCofins = cstCofins;
}
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

public int getTipobemSped() {
return tipobemSped;
}

public boolean isTipobemSpedNull() {
return tipobemSpedNull;
}

public void setTipobemSped(Integer tipobemSped) {
if (tipobemSped == null) {
tipobemSpedNull = true;
this.tipobemSped = 0;
} else { 
tipobemSpedNull = false;
this.tipobemSped = tipobemSped;
}
}

public int getNroParcIcms() {
return nroParcIcms;
}

public boolean isNroParcIcmsNull() {
return nroParcIcmsNull;
}

public void setNroParcIcms(Integer nroParcIcms) {
if (nroParcIcms == null) {
nroParcIcmsNull = true;
this.nroParcIcms = 0;
} else { 
nroParcIcmsNull = false;
this.nroParcIcms = nroParcIcms;
}
}

public int getNroParcPiscof() {
return nroParcPiscof;
}

public boolean isNroParcPiscofNull() {
return nroParcPiscofNull;
}

public void setNroParcPiscof(Integer nroParcPiscof) {
if (nroParcPiscof == null) {
nroParcPiscofNull = true;
this.nroParcPiscof = 0;
} else { 
nroParcPiscofNull = false;
this.nroParcPiscof = nroParcPiscof;
}
}

}

