package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabCzamorto {
@Coluna(nome="czamorto.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="czamorto.descricao", tipo="String")
private String descricao;
@Coluna(nome="czamorto.conteudo_pasta", tipo="String")
private String conteudoPasta;
@Coluna(nome="czamorto.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="czamorto.periodo_guarda", tipo="String")
private String periodoGuarda;
@Coluna(nome="czamorto.setor_respons", tipo="String")
private String setorRespons;
@Coluna(nome="czamorto.localizacao", tipo="String")
private String localizacao;
@Coluna(nome="czamorto.dtretirada", tipo="FglDate")
private FglDate dtretirada;
@Coluna(nome="czamorto.usuario", tipo="String")
private String usuario;

public TabCzamorto() {
initialize();
}

public void initialize() {
setCodigo(null);
setDescricao(null);
setConteudoPasta(null);
setDtabertura(null);
setPeriodoGuarda(null);
setSetorRespons(null);
setLocalizacao(null);
setDtretirada(null);
setUsuario(null);
}

public TabCzamorto(int codigo, String descricao, String conteudoPasta, FglDate dtabertura, String periodoGuarda, String setorRespons, String localizacao, FglDate dtretirada, String usuario) {
this.codigo = codigo;
this.descricao = descricao;
this.conteudoPasta = conteudoPasta;
this.dtabertura = dtabertura;
this.periodoGuarda = periodoGuarda;
this.setorRespons = setorRespons;
this.localizacao = localizacao;
this.dtretirada = dtretirada;
this.usuario = usuario;
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getConteudoPasta() {
return conteudoPasta;
}

public void setConteudoPasta(String conteudoPasta) {
this.conteudoPasta = conteudoPasta;
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public String getPeriodoGuarda() {
return periodoGuarda;
}

public void setPeriodoGuarda(String periodoGuarda) {
this.periodoGuarda = periodoGuarda;
}

public String getSetorRespons() {
return setorRespons;
}

public void setSetorRespons(String setorRespons) {
this.setorRespons = setorRespons;
}

public String getLocalizacao() {
return localizacao;
}

public void setLocalizacao(String localizacao) {
this.localizacao = localizacao;
}

public FglDate getDtretirada() {
return dtretirada;
}

public void setDtretirada(FglDate dtretirada) {
this.dtretirada = dtretirada;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

}

