package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabDaconcta {
@Coluna(nome="daconcta.nroficha", tipo="String")
private String nroficha;
@Coluna(nome="daconcta.campo", tipo="int")
private int campo;
private boolean campoNull;
@Coluna(nome="daconcta.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="daconcta.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="daconcta.saldomov", tipo="String")
private String saldomov;

public TabDaconcta() {
initialize();
}

public void initialize() {
setNroficha(null);
setCampo(null);
setIdPlano(null);
setIdSetor(null);
setSaldomov(null);
}

public TabDaconcta(String nroficha, int campo, int idPlano, int idSetor, String saldomov) {
this.nroficha = nroficha;
this.campo = campo;
this.idPlano = idPlano;
this.idSetor = idSetor;
this.saldomov = saldomov;
}

public String getNroficha() {
return nroficha;
}

public void setNroficha(String nroficha) {
this.nroficha = nroficha;
}

public int getCampo() {
return campo;
}

public boolean isCampoNull() {
return campoNull;
}

public void setCampo(Integer campo) {
if (campo == null) {
campoNull = true;
this.campo = 0;
} else { 
campoNull = false;
this.campo = campo;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getSaldomov() {
return saldomov;
}

public void setSaldomov(String saldomov) {
this.saldomov = saldomov;
}

}

