package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabDiccolun {
@Coluna(nome="diccolun.nometab", tipo="String")
private String nometab;
@Coluna(nome="diccolun.coluna", tipo="String")
private String coluna;
@Coluna(nome="diccolun.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="diccolun.tipo", tipo="String")
private String tipo;
@Coluna(nome="diccolun.inteiro", tipo="int")
private int inteiro;
private boolean inteiroNull;
@Coluna(nome="diccolun.decimal", tipo="int")
private int decimal;
private boolean decimalNull;
@Coluna(nome="diccolun.pode_nulo", tipo="String")
private String podeNulo;
@Coluna(nome="diccolun.eh_pk", tipo="String")
private String ehPk;
@Coluna(nome="diccolun.eh_fk", tipo="String")
private String ehFk;
@Coluna(nome="diccolun.descrcol1", tipo="String")
private String descrcol1;
@Coluna(nome="diccolun.descrcol2", tipo="String")
private String descrcol2;
@Coluna(nome="diccolun.descrcol3", tipo="String")
private String descrcol3;
@Coluna(nome="diccolun.tabel_pk", tipo="String")
private String tabelPk;
@Coluna(nome="diccolun.colun_pk", tipo="String")
private String colunPk;

public TabDiccolun() {
initialize();
}

public void initialize() {
setNometab(null);
setColuna(null);
setSequencia(null);
setTipo(null);
setInteiro(null);
setDecimal(null);
setPodeNulo(null);
setEhPk(null);
setEhFk(null);
setDescrcol1(null);
setDescrcol2(null);
setDescrcol3(null);
setTabelPk(null);
setColunPk(null);
}

public TabDiccolun(String nometab, String coluna, int sequencia, String tipo, int inteiro, int decimal, String podeNulo, String ehPk, String ehFk, String descrcol1, String descrcol2, String descrcol3, String tabelPk, String colunPk) {
this.nometab = nometab;
this.coluna = coluna;
this.sequencia = sequencia;
this.tipo = tipo;
this.inteiro = inteiro;
this.decimal = decimal;
this.podeNulo = podeNulo;
this.ehPk = ehPk;
this.ehFk = ehFk;
this.descrcol1 = descrcol1;
this.descrcol2 = descrcol2;
this.descrcol3 = descrcol3;
this.tabelPk = tabelPk;
this.colunPk = colunPk;
}

public String getNometab() {
return nometab;
}

public void setNometab(String nometab) {
this.nometab = nometab;
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getInteiro() {
return inteiro;
}

public boolean isInteiroNull() {
return inteiroNull;
}

public void setInteiro(Integer inteiro) {
if (inteiro == null) {
inteiroNull = true;
this.inteiro = 0;
} else { 
inteiroNull = false;
this.inteiro = inteiro;
}
}

public int getDecimal() {
return decimal;
}

public boolean isDecimalNull() {
return decimalNull;
}

public void setDecimal(Integer decimal) {
if (decimal == null) {
decimalNull = true;
this.decimal = 0;
} else { 
decimalNull = false;
this.decimal = decimal;
}
}

public String getPodeNulo() {
return podeNulo;
}

public void setPodeNulo(String podeNulo) {
this.podeNulo = podeNulo;
}

public String getEhPk() {
return ehPk;
}

public void setEhPk(String ehPk) {
this.ehPk = ehPk;
}

public String getEhFk() {
return ehFk;
}

public void setEhFk(String ehFk) {
this.ehFk = ehFk;
}

public String getDescrcol1() {
return descrcol1;
}

public void setDescrcol1(String descrcol1) {
this.descrcol1 = descrcol1;
}

public String getDescrcol2() {
return descrcol2;
}

public void setDescrcol2(String descrcol2) {
this.descrcol2 = descrcol2;
}

public String getDescrcol3() {
return descrcol3;
}

public void setDescrcol3(String descrcol3) {
this.descrcol3 = descrcol3;
}

public String getTabelPk() {
return tabelPk;
}

public void setTabelPk(String tabelPk) {
this.tabelPk = tabelPk;
}

public String getColunPk() {
return colunPk;
}

public void setColunPk(String colunPk) {
this.colunPk = colunPk;
}

}

