package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabDmdiagit {
@Coluna(nome="dmdiagit.id_diagnostico", tipo="int")
private int idDiagnostico;
private boolean idDiagnosticoNull;
@Coluna(nome="dmdiagit.id_dmpreos", tipo="int")
private int idDmpreos;
private boolean idDmpreosNull;
@Coluna(nome="dmdiagit.tpordem", tipo="String")
private String tpordem;
@Coluna(nome="dmdiagit.datainicio", tipo="FglDate")
private FglDate datainicio;
@Coluna(nome="dmdiagit.horainicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin horainicio;
@Coluna(nome="dmdiagit.datafim", tipo="FglDate")
private FglDate datafim;
@Coluna(nome="dmdiagit.horafim", tipo="FglDateTimeHMin")
private FglDateTimeHMin horafim;

public TabDmdiagit() {
initialize();
}

public void initialize() {
setIdDiagnostico(null);
setIdDmpreos(null);
setTpordem(null);
setDatainicio(null);
setHorainicio(null);
setDatafim(null);
setHorafim(null);
}

public TabDmdiagit(int idDiagnostico, int idDmpreos, String tpordem, FglDate datainicio, FglDateTimeHMin horainicio, FglDate datafim, FglDateTimeHMin horafim) {
this.idDiagnostico = idDiagnostico;
this.idDmpreos = idDmpreos;
this.tpordem = tpordem;
this.datainicio = datainicio;
this.horainicio = horainicio;
this.datafim = datafim;
this.horafim = horafim;
}

public int getIdDiagnostico() {
return idDiagnostico;
}

public boolean isIdDiagnosticoNull() {
return idDiagnosticoNull;
}

public void setIdDiagnostico(Integer idDiagnostico) {
if (idDiagnostico == null) {
idDiagnosticoNull = true;
this.idDiagnostico = 0;
} else { 
idDiagnosticoNull = false;
this.idDiagnostico = idDiagnostico;
}
}

public int getIdDmpreos() {
return idDmpreos;
}

public boolean isIdDmpreosNull() {
return idDmpreosNull;
}

public void setIdDmpreos(Integer idDmpreos) {
if (idDmpreos == null) {
idDmpreosNull = true;
this.idDmpreos = 0;
} else { 
idDmpreosNull = false;
this.idDmpreos = idDmpreos;
}
}

public String getTpordem() {
return tpordem;
}

public void setTpordem(String tpordem) {
this.tpordem = tpordem;
}

public FglDate getDatainicio() {
return datainicio;
}

public void setDatainicio(FglDate datainicio) {
this.datainicio = datainicio;
}

public FglDateTimeHMin getHorainicio() {
return horainicio;
}

public void setHorainicio(FglDateTimeHMin horainicio) {
this.horainicio = horainicio;
}

public FglDate getDatafim() {
return datafim;
}

public void setDatafim(FglDate datafim) {
this.datafim = datafim;
}

public FglDateTimeHMin getHorafim() {
return horafim;
}

public void setHorafim(FglDateTimeHMin horafim) {
this.horafim = horafim;
}

}

