package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDmdiapec {
@Coluna(nome="dmdiapec.id_diagnostico", tipo="int")
private int idDiagnostico;
private boolean idDiagnosticoNull;
@Coluna(nome="dmdiapec.produto", tipo="String")
private String produto;
@Coluna(nome="dmdiapec.romaneio", tipo="int")
private int romaneio;
private boolean romaneioNull;
@Coluna(nome="dmdiapec.quantidadeaplicada", tipo="double")
private double quantidadeaplicada;
private boolean quantidadeaplicadaNull;
@Coluna(nome="dmdiapec.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="dmdiapec.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;

public TabDmdiapec() {
initialize();
}

public void initialize() {
setIdDiagnostico(null);
setProduto(null);
setRomaneio(null);
setQuantidadeaplicada(null);
setOrdemserv(null);
setNroitem(null);
}

public TabDmdiapec(int idDiagnostico, String produto, int romaneio, double quantidadeaplicada, int ordemserv, int nroitem) {
this.idDiagnostico = idDiagnostico;
this.produto = produto;
this.romaneio = romaneio;
this.quantidadeaplicada = quantidadeaplicada;
this.ordemserv = ordemserv;
this.nroitem = nroitem;
}

public int getIdDiagnostico() {
return idDiagnostico;
}

public boolean isIdDiagnosticoNull() {
return idDiagnosticoNull;
}

public void setIdDiagnostico(Integer idDiagnostico) {
if (idDiagnostico == null) {
idDiagnosticoNull = true;
this.idDiagnostico = 0;
} else { 
idDiagnosticoNull = false;
this.idDiagnostico = idDiagnostico;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getRomaneio() {
return romaneio;
}

public boolean isRomaneioNull() {
return romaneioNull;
}

public void setRomaneio(Integer romaneio) {
if (romaneio == null) {
romaneioNull = true;
this.romaneio = 0;
} else { 
romaneioNull = false;
this.romaneio = romaneio;
}
}

public double getQuantidadeaplicada() {
return quantidadeaplicada;
}

public boolean isQuantidadeaplicadaNull() {
return quantidadeaplicadaNull;
}

public void setQuantidadeaplicada(int quantidadeaplicada) {
setQuantidadeaplicada(new Double(quantidadeaplicada));
}

public void setQuantidadeaplicada(long quantidadeaplicada) {
setQuantidadeaplicada(new Double(quantidadeaplicada));
}

public void setQuantidadeaplicada(Double quantidadeaplicada) {
if (quantidadeaplicada == null) {
quantidadeaplicadaNull = true;
this.quantidadeaplicada = 0.;
} else { 
quantidadeaplicadaNull = false;
this.quantidadeaplicada = FglDouble.round(quantidadeaplicada, 2);
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

}

