package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDmdislic {
@Coluna(nome="dmdislic.dispositivo", tipo="int")
private int dispositivo;
private boolean dispositivoNull;
@Coluna(nome="dmdislic.alias", tipo="String")
private String alias;
@Coluna(nome="dmdislic.id_dispositivo", tipo="String")
private String idDispositivo;
@Coluna(nome="dmdislic.pin_temporario", tipo="String")
private String pinTemporario;
@Coluna(nome="dmdislic.dta_validade", tipo="FglDateTimeYS")
private FglDateTimeYS dtaValidade;

public TabDmdislic() {
initialize();
}

public void initialize() {
setDispositivo(null);
setAlias(null);
setIdDispositivo(null);
setPinTemporario(null);
setDtaValidade(null);
}

public TabDmdislic(int dispositivo, String alias, String idDispositivo, String pinTemporario, FglDateTimeYS dtaValidade) {
this.dispositivo = dispositivo;
this.alias = alias;
this.idDispositivo = idDispositivo;
this.pinTemporario = pinTemporario;
this.dtaValidade = dtaValidade;
}

public int getDispositivo() {
return dispositivo;
}

public boolean isDispositivoNull() {
return dispositivoNull;
}

public void setDispositivo(Integer dispositivo) {
if (dispositivo == null) {
dispositivoNull = true;
this.dispositivo = 0;
} else { 
dispositivoNull = false;
this.dispositivo = dispositivo;
}
}

public String getAlias() {
return alias;
}

public void setAlias(String alias) {
this.alias = alias;
}

public String getIdDispositivo() {
return idDispositivo;
}

public void setIdDispositivo(String idDispositivo) {
this.idDispositivo = idDispositivo;
}

public String getPinTemporario() {
return pinTemporario;
}

public void setPinTemporario(String pinTemporario) {
this.pinTemporario = pinTemporario;
}

public FglDateTimeYS getDtaValidade() {
return dtaValidade;
}

public void setDtaValidade(FglDateTimeYS dtaValidade) {
this.dtaValidade = dtaValidade;
}

}

