package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabDmdispos {
@Coluna(nome="dmdispos.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="dmdispos.dispositivo", tipo="int")
private int dispositivo;
private boolean dispositivoNull;
@Coluna(nome="dmdispos.alias", tipo="String")
private String alias;
@Coluna(nome="dmdispos.id_dispositivo", tipo="String")
private String idDispositivo;
@Coluna(nome="dmdispos.pin_temporario", tipo="String")
private String pinTemporario;
@Coluna(nome="dmdispos.validade", tipo="FglDateTimeYS")
private FglDateTimeYS validade;

public TabDmdispos() {
initialize();
}

public void initialize() {
setFilial(null);
setDispositivo(null);
setAlias(null);
setIdDispositivo(null);
setPinTemporario(null);
setValidade(null);
}

public TabDmdispos(int filial, int dispositivo, String alias, String idDispositivo, String pinTemporario, FglDateTimeYS validade) {
this.filial = filial;
this.dispositivo = dispositivo;
this.alias = alias;
this.idDispositivo = idDispositivo;
this.pinTemporario = pinTemporario;
this.validade = validade;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDispositivo() {
return dispositivo;
}

public boolean isDispositivoNull() {
return dispositivoNull;
}

public void setDispositivo(Integer dispositivo) {
if (dispositivo == null) {
dispositivoNull = true;
this.dispositivo = 0;
} else { 
dispositivoNull = false;
this.dispositivo = dispositivo;
}
}

public String getAlias() {
return alias;
}

public void setAlias(String alias) {
this.alias = alias;
}

public String getIdDispositivo() {
return idDispositivo;
}

public void setIdDispositivo(String idDispositivo) {
this.idDispositivo = idDispositivo;
}

public String getPinTemporario() {
return pinTemporario;
}

public void setPinTemporario(String pinTemporario) {
this.pinTemporario = pinTemporario;
}

public FglDateTimeYS getValidade() {
return validade;
}

public void setValidade(FglDateTimeYS validade) {
this.validade = validade;
}

}

