package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabDmlicenc {
@Coluna(nome="dmlicenc.identificacao", tipo="String")
private String identificacao;
@Coluna(nome="dmlicenc.dta_validade", tipo="FglDate")
private FglDate dtaValidade;
@Coluna(nome="dmlicenc.nro_dispositivos", tipo="int")
private int nroDispositivos;
private boolean nroDispositivosNull;
@Coluna(nome="dmlicenc.chave_mobile", tipo="String")
private String chaveMobile;

public TabDmlicenc() {
initialize();
}

public void initialize() {
setIdentificacao(null);
setDtaValidade(null);
setNroDispositivos(null);
setChaveMobile(null);
}

public TabDmlicenc(String identificacao, FglDate dtaValidade, int nroDispositivos, String chaveMobile) {
this.identificacao = identificacao;
this.dtaValidade = dtaValidade;
this.nroDispositivos = nroDispositivos;
this.chaveMobile = chaveMobile;
}

public String getIdentificacao() {
return identificacao;
}

public void setIdentificacao(String identificacao) {
this.identificacao = identificacao;
}

public FglDate getDtaValidade() {
return dtaValidade;
}

public void setDtaValidade(FglDate dtaValidade) {
this.dtaValidade = dtaValidade;
}

public int getNroDispositivos() {
return nroDispositivos;
}

public boolean isNroDispositivosNull() {
return nroDispositivosNull;
}

public void setNroDispositivos(Integer nroDispositivos) {
if (nroDispositivos == null) {
nroDispositivosNull = true;
this.nroDispositivos = 0;
} else { 
nroDispositivosNull = false;
this.nroDispositivos = nroDispositivos;
}
}

public String getChaveMobile() {
return chaveMobile;
}

public void setChaveMobile(String chaveMobile) {
this.chaveMobile = chaveMobile;
}

}

