package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDmregiao {
@Coluna(nome="dmregiao.id_regiao", tipo="int")
private int idRegiao;
private boolean idRegiaoNull;
@Coluna(nome="dmregiao.id_parteveiculo", tipo="int")
private int idParteveiculo;
private boolean idParteveiculoNull;
@Coluna(nome="dmregiao.x", tipo="double")
private double x;
private boolean xNull;
@Coluna(nome="dmregiao.y", tipo="double")
private double y;
private boolean yNull;
@Coluna(nome="dmregiao.largura", tipo="double")
private double largura;
private boolean larguraNull;
@Coluna(nome="dmregiao.altura", tipo="double")
private double altura;
private boolean alturaNull;

public TabDmregiao() {
initialize();
}

public void initialize() {
setIdRegiao(null);
setIdParteveiculo(null);
setX(null);
setY(null);
setLargura(null);
setAltura(null);
}

public TabDmregiao(int idRegiao, int idParteveiculo, double x, double y, double largura, double altura) {
this.idRegiao = idRegiao;
this.idParteveiculo = idParteveiculo;
this.x = x;
this.y = y;
this.largura = largura;
this.altura = altura;
}

public int getIdRegiao() {
return idRegiao;
}

public boolean isIdRegiaoNull() {
return idRegiaoNull;
}

public void setIdRegiao(Integer idRegiao) {
if (idRegiao == null) {
idRegiaoNull = true;
this.idRegiao = 0;
} else { 
idRegiaoNull = false;
this.idRegiao = idRegiao;
}
}

public int getIdParteveiculo() {
return idParteveiculo;
}

public boolean isIdParteveiculoNull() {
return idParteveiculoNull;
}

public void setIdParteveiculo(Integer idParteveiculo) {
if (idParteveiculo == null) {
idParteveiculoNull = true;
this.idParteveiculo = 0;
} else { 
idParteveiculoNull = false;
this.idParteveiculo = idParteveiculo;
}
}

public double getX() {
return x;
}

public boolean isXNull() {
return xNull;
}

public void setX(int x) {
setX(new Double(x));
}

public void setX(long x) {
setX(new Double(x));
}

public void setX(Double x) {
if (x == null) {
xNull = true;
this.x = 0.;
} else { 
xNull = false;
this.x = FglDouble.round(x, 8);
}
}

public double getY() {
return y;
}

public boolean isYNull() {
return yNull;
}

public void setY(int y) {
setY(new Double(y));
}

public void setY(long y) {
setY(new Double(y));
}

public void setY(Double y) {
if (y == null) {
yNull = true;
this.y = 0.;
} else { 
yNull = false;
this.y = FglDouble.round(y, 8);
}
}

public double getLargura() {
return largura;
}

public boolean isLarguraNull() {
return larguraNull;
}

public void setLargura(int largura) {
setLargura(new Double(largura));
}

public void setLargura(long largura) {
setLargura(new Double(largura));
}

public void setLargura(Double largura) {
if (largura == null) {
larguraNull = true;
this.largura = 0.;
} else { 
larguraNull = false;
this.largura = FglDouble.round(largura, 8);
}
}

public double getAltura() {
return altura;
}

public boolean isAlturaNull() {
return alturaNull;
}

public void setAltura(int altura) {
setAltura(new Double(altura));
}

public void setAltura(long altura) {
setAltura(new Double(altura));
}

public void setAltura(Double altura) {
if (altura == null) {
alturaNull = true;
this.altura = 0.;
} else { 
alturaNull = false;
this.altura = FglDouble.round(altura, 8);
}
}

}

