package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsccmcom {
@Coluna(nome="dsccmcom.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsccmcom.titulo", tipo="String")
private String titulo;
@Coluna(nome="dsccmcom.deb_cred", tipo="String")
private String debCred;
@Coluna(nome="dsccmcom.dt_lcto", tipo="FglDate")
private FglDate dtLcto;
@Coluna(nome="dsccmcom.vl_lcto", tipo="double")
private double vlLcto;
private boolean vlLctoNull;
@Coluna(nome="dsccmcom.observacao", tipo="String")
private String observacao;

public TabDsccmcom() {
initialize();
}

public void initialize() {
setContrato(null);
setTitulo(null);
setDebCred(null);
setDtLcto(null);
setVlLcto(null);
setObservacao(null);
}

public TabDsccmcom(int contrato, String titulo, String debCred, FglDate dtLcto, double vlLcto, String observacao) {
this.contrato = contrato;
this.titulo = titulo;
this.debCred = debCred;
this.dtLcto = dtLcto;
this.vlLcto = vlLcto;
this.observacao = observacao;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public String getTitulo() {
return titulo;
}

public void setTitulo(String titulo) {
this.titulo = titulo;
}

public String getDebCred() {
return debCred;
}

public void setDebCred(String debCred) {
this.debCred = debCred;
}

public FglDate getDtLcto() {
return dtLcto;
}

public void setDtLcto(FglDate dtLcto) {
this.dtLcto = dtLcto;
}

public double getVlLcto() {
return vlLcto;
}

public boolean isVlLctoNull() {
return vlLctoNull;
}

public void setVlLcto(int vlLcto) {
setVlLcto(new Double(vlLcto));
}

public void setVlLcto(long vlLcto) {
setVlLcto(new Double(vlLcto));
}

public void setVlLcto(Double vlLcto) {
if (vlLcto == null) {
vlLctoNull = true;
this.vlLcto = 0.;
} else { 
vlLctoNull = false;
this.vlLcto = FglDouble.round(vlLcto, 2);
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

