package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabDsrdames {
@Coluna(nome="dsrdames.contrato", tipo="int")
private int contrato;
private boolean contratoNull;
@Coluna(nome="dsrdames.mesano", tipo="FglDateTimeYM")
private FglDateTimeYM mesano;
@Coluna(nome="dsrdames.dtvcto", tipo="FglDate")
private FglDate dtvcto;
@Coluna(nome="dsrdames.precohora", tipo="double")
private double precohora;
private boolean precohoraNull;
@Coluna(nome="dsrdames.carga", tipo="double")
private double carga;
private boolean cargaNull;
@Coluna(nome="dsrdames.cargaisent", tipo="double")
private double cargaisent;
private boolean cargaisentNull;
@Coluna(nome="dsrdames.vlcarga", tipo="double")
private double vlcarga;
private boolean vlcargaNull;
@Coluna(nome="dsrdames.vldespesas", tipo="double")
private double vldespesas;
private boolean vldespesasNull;
@Coluna(nome="dsrdames.vlmanutenc", tipo="double")
private double vlmanutenc;
private boolean vlmanutencNull;
@Coluna(nome="dsrdames.qtrefeicao", tipo="int")
private int qtrefeicao;
private boolean qtrefeicaoNull;
@Coluna(nome="dsrdames.vlrefeicao", tipo="double")
private double vlrefeicao;
private boolean vlrefeicaoNull;
@Coluna(nome="dsrdames.qthospedag", tipo="int")
private int qthospedag;
private boolean qthospedagNull;
@Coluna(nome="dsrdames.vlhospedag", tipo="double")
private double vlhospedag;
private boolean vlhospedagNull;
@Coluna(nome="dsrdames.qtdeslocam", tipo="int")
private int qtdeslocam;
private boolean qtdeslocamNull;
@Coluna(nome="dsrdames.vldeslocam", tipo="double")
private double vldeslocam;
private boolean vldeslocamNull;
@Coluna(nome="dsrdames.qtpedagios", tipo="int")
private int qtpedagios;
private boolean qtpedagiosNull;
@Coluna(nome="dsrdames.vlpedagios", tipo="double")
private double vlpedagios;
private boolean vlpedagiosNull;
@Coluna(nome="dsrdames.qtcombusti", tipo="int")
private int qtcombusti;
private boolean qtcombustiNull;
@Coluna(nome="dsrdames.vlcombusti", tipo="double")
private double vlcombusti;
private boolean vlcombustiNull;
@Coluna(nome="dsrdames.qtonibmetr", tipo="int")
private int qtonibmetr;
private boolean qtonibmetrNull;
@Coluna(nome="dsrdames.vlonibmetr", tipo="double")
private double vlonibmetr;
private boolean vlonibmetrNull;
@Coluna(nome="dsrdames.qttaxi", tipo="int")
private int qttaxi;
private boolean qttaxiNull;
@Coluna(nome="dsrdames.vltaxi", tipo="double")
private double vltaxi;
private boolean vltaxiNull;
@Coluna(nome="dsrdames.qtestacion", tipo="int")
private int qtestacion;
private boolean qtestacionNull;
@Coluna(nome="dsrdames.vlestacion", tipo="double")
private double vlestacion;
private boolean vlestacionNull;
@Coluna(nome="dsrdames.qtpassagem", tipo="int")
private int qtpassagem;
private boolean qtpassagemNull;
@Coluna(nome="dsrdames.vlpassagem", tipo="double")
private double vlpassagem;
private boolean vlpassagemNull;
@Coluna(nome="dsrdames.qtoutras", tipo="int")
private int qtoutras;
private boolean qtoutrasNull;
@Coluna(nome="dsrdames.vloutras", tipo="double")
private double vloutras;
private boolean vloutrasNull;
@Coluna(nome="dsrdames.filial_nf", tipo="int")
private int filialNf;
private boolean filialNfNull;
@Coluna(nome="dsrdames.nro_orca", tipo="int")
private int nroOrca;
private boolean nroOrcaNull;

public TabDsrdames() {
initialize();
}

public void initialize() {
setContrato(null);
setMesano(null);
setDtvcto(null);
setPrecohora(null);
setCarga(null);
setCargaisent(null);
setVlcarga(null);
setVldespesas(null);
setVlmanutenc(null);
setQtrefeicao(null);
setVlrefeicao(null);
setQthospedag(null);
setVlhospedag(null);
setQtdeslocam(null);
setVldeslocam(null);
setQtpedagios(null);
setVlpedagios(null);
setQtcombusti(null);
setVlcombusti(null);
setQtonibmetr(null);
setVlonibmetr(null);
setQttaxi(null);
setVltaxi(null);
setQtestacion(null);
setVlestacion(null);
setQtpassagem(null);
setVlpassagem(null);
setQtoutras(null);
setVloutras(null);
setFilialNf(null);
setNroOrca(null);
}

public TabDsrdames(int contrato, FglDateTimeYM mesano, FglDate dtvcto, double precohora, double carga, double cargaisent, double vlcarga, double vldespesas, double vlmanutenc, int qtrefeicao, double vlrefeicao, int qthospedag, double vlhospedag, int qtdeslocam, double vldeslocam, int qtpedagios, double vlpedagios, int qtcombusti, double vlcombusti, int qtonibmetr, double vlonibmetr, int qttaxi, double vltaxi, int qtestacion, double vlestacion, int qtpassagem, double vlpassagem, int qtoutras, double vloutras, int filialNf, int nroOrca) {
this.contrato = contrato;
this.mesano = mesano;
this.dtvcto = dtvcto;
this.precohora = precohora;
this.carga = carga;
this.cargaisent = cargaisent;
this.vlcarga = vlcarga;
this.vldespesas = vldespesas;
this.vlmanutenc = vlmanutenc;
this.qtrefeicao = qtrefeicao;
this.vlrefeicao = vlrefeicao;
this.qthospedag = qthospedag;
this.vlhospedag = vlhospedag;
this.qtdeslocam = qtdeslocam;
this.vldeslocam = vldeslocam;
this.qtpedagios = qtpedagios;
this.vlpedagios = vlpedagios;
this.qtcombusti = qtcombusti;
this.vlcombusti = vlcombusti;
this.qtonibmetr = qtonibmetr;
this.vlonibmetr = vlonibmetr;
this.qttaxi = qttaxi;
this.vltaxi = vltaxi;
this.qtestacion = qtestacion;
this.vlestacion = vlestacion;
this.qtpassagem = qtpassagem;
this.vlpassagem = vlpassagem;
this.qtoutras = qtoutras;
this.vloutras = vloutras;
this.filialNf = filialNf;
this.nroOrca = nroOrca;
}

public int getContrato() {
return contrato;
}

public boolean isContratoNull() {
return contratoNull;
}

public void setContrato(Integer contrato) {
if (contrato == null) {
contratoNull = true;
this.contrato = 0;
} else { 
contratoNull = false;
this.contrato = contrato;
}
}

public FglDateTimeYM getMesano() {
return mesano;
}

public void setMesano(FglDateTimeYM mesano) {
this.mesano = mesano;
}

public FglDate getDtvcto() {
return dtvcto;
}

public void setDtvcto(FglDate dtvcto) {
this.dtvcto = dtvcto;
}

public double getPrecohora() {
return precohora;
}

public boolean isPrecohoraNull() {
return precohoraNull;
}

public void setPrecohora(int precohora) {
setPrecohora(new Double(precohora));
}

public void setPrecohora(long precohora) {
setPrecohora(new Double(precohora));
}

public void setPrecohora(Double precohora) {
if (precohora == null) {
precohoraNull = true;
this.precohora = 0.;
} else { 
precohoraNull = false;
this.precohora = FglDouble.round(precohora, 2);
}
}

public double getCarga() {
return carga;
}

public boolean isCargaNull() {
return cargaNull;
}

public void setCarga(int carga) {
setCarga(new Double(carga));
}

public void setCarga(long carga) {
setCarga(new Double(carga));
}

public void setCarga(Double carga) {
if (carga == null) {
cargaNull = true;
this.carga = 0.;
} else { 
cargaNull = false;
this.carga = FglDouble.round(carga, 2);
}
}

public double getCargaisent() {
return cargaisent;
}

public boolean isCargaisentNull() {
return cargaisentNull;
}

public void setCargaisent(int cargaisent) {
setCargaisent(new Double(cargaisent));
}

public void setCargaisent(long cargaisent) {
setCargaisent(new Double(cargaisent));
}

public void setCargaisent(Double cargaisent) {
if (cargaisent == null) {
cargaisentNull = true;
this.cargaisent = 0.;
} else { 
cargaisentNull = false;
this.cargaisent = FglDouble.round(cargaisent, 2);
}
}

public double getVlcarga() {
return vlcarga;
}

public boolean isVlcargaNull() {
return vlcargaNull;
}

public void setVlcarga(int vlcarga) {
setVlcarga(new Double(vlcarga));
}

public void setVlcarga(long vlcarga) {
setVlcarga(new Double(vlcarga));
}

public void setVlcarga(Double vlcarga) {
if (vlcarga == null) {
vlcargaNull = true;
this.vlcarga = 0.;
} else { 
vlcargaNull = false;
this.vlcarga = FglDouble.round(vlcarga, 2);
}
}

public double getVldespesas() {
return vldespesas;
}

public boolean isVldespesasNull() {
return vldespesasNull;
}

public void setVldespesas(int vldespesas) {
setVldespesas(new Double(vldespesas));
}

public void setVldespesas(long vldespesas) {
setVldespesas(new Double(vldespesas));
}

public void setVldespesas(Double vldespesas) {
if (vldespesas == null) {
vldespesasNull = true;
this.vldespesas = 0.;
} else { 
vldespesasNull = false;
this.vldespesas = FglDouble.round(vldespesas, 2);
}
}

public double getVlmanutenc() {
return vlmanutenc;
}

public boolean isVlmanutencNull() {
return vlmanutencNull;
}

public void setVlmanutenc(int vlmanutenc) {
setVlmanutenc(new Double(vlmanutenc));
}

public void setVlmanutenc(long vlmanutenc) {
setVlmanutenc(new Double(vlmanutenc));
}

public void setVlmanutenc(Double vlmanutenc) {
if (vlmanutenc == null) {
vlmanutencNull = true;
this.vlmanutenc = 0.;
} else { 
vlmanutencNull = false;
this.vlmanutenc = FglDouble.round(vlmanutenc, 2);
}
}

public int getQtrefeicao() {
return qtrefeicao;
}

public boolean isQtrefeicaoNull() {
return qtrefeicaoNull;
}

public void setQtrefeicao(Integer qtrefeicao) {
if (qtrefeicao == null) {
qtrefeicaoNull = true;
this.qtrefeicao = 0;
} else { 
qtrefeicaoNull = false;
this.qtrefeicao = qtrefeicao;
}
}

public double getVlrefeicao() {
return vlrefeicao;
}

public boolean isVlrefeicaoNull() {
return vlrefeicaoNull;
}

public void setVlrefeicao(int vlrefeicao) {
setVlrefeicao(new Double(vlrefeicao));
}

public void setVlrefeicao(long vlrefeicao) {
setVlrefeicao(new Double(vlrefeicao));
}

public void setVlrefeicao(Double vlrefeicao) {
if (vlrefeicao == null) {
vlrefeicaoNull = true;
this.vlrefeicao = 0.;
} else { 
vlrefeicaoNull = false;
this.vlrefeicao = FglDouble.round(vlrefeicao, 2);
}
}

public int getQthospedag() {
return qthospedag;
}

public boolean isQthospedagNull() {
return qthospedagNull;
}

public void setQthospedag(Integer qthospedag) {
if (qthospedag == null) {
qthospedagNull = true;
this.qthospedag = 0;
} else { 
qthospedagNull = false;
this.qthospedag = qthospedag;
}
}

public double getVlhospedag() {
return vlhospedag;
}

public boolean isVlhospedagNull() {
return vlhospedagNull;
}

public void setVlhospedag(int vlhospedag) {
setVlhospedag(new Double(vlhospedag));
}

public void setVlhospedag(long vlhospedag) {
setVlhospedag(new Double(vlhospedag));
}

public void setVlhospedag(Double vlhospedag) {
if (vlhospedag == null) {
vlhospedagNull = true;
this.vlhospedag = 0.;
} else { 
vlhospedagNull = false;
this.vlhospedag = FglDouble.round(vlhospedag, 2);
}
}

public int getQtdeslocam() {
return qtdeslocam;
}

public boolean isQtdeslocamNull() {
return qtdeslocamNull;
}

public void setQtdeslocam(Integer qtdeslocam) {
if (qtdeslocam == null) {
qtdeslocamNull = true;
this.qtdeslocam = 0;
} else { 
qtdeslocamNull = false;
this.qtdeslocam = qtdeslocam;
}
}

public double getVldeslocam() {
return vldeslocam;
}

public boolean isVldeslocamNull() {
return vldeslocamNull;
}

public void setVldeslocam(int vldeslocam) {
setVldeslocam(new Double(vldeslocam));
}

public void setVldeslocam(long vldeslocam) {
setVldeslocam(new Double(vldeslocam));
}

public void setVldeslocam(Double vldeslocam) {
if (vldeslocam == null) {
vldeslocamNull = true;
this.vldeslocam = 0.;
} else { 
vldeslocamNull = false;
this.vldeslocam = FglDouble.round(vldeslocam, 2);
}
}

public int getQtpedagios() {
return qtpedagios;
}

public boolean isQtpedagiosNull() {
return qtpedagiosNull;
}

public void setQtpedagios(Integer qtpedagios) {
if (qtpedagios == null) {
qtpedagiosNull = true;
this.qtpedagios = 0;
} else { 
qtpedagiosNull = false;
this.qtpedagios = qtpedagios;
}
}

public double getVlpedagios() {
return vlpedagios;
}

public boolean isVlpedagiosNull() {
return vlpedagiosNull;
}

public void setVlpedagios(int vlpedagios) {
setVlpedagios(new Double(vlpedagios));
}

public void setVlpedagios(long vlpedagios) {
setVlpedagios(new Double(vlpedagios));
}

public void setVlpedagios(Double vlpedagios) {
if (vlpedagios == null) {
vlpedagiosNull = true;
this.vlpedagios = 0.;
} else { 
vlpedagiosNull = false;
this.vlpedagios = FglDouble.round(vlpedagios, 2);
}
}

public int getQtcombusti() {
return qtcombusti;
}

public boolean isQtcombustiNull() {
return qtcombustiNull;
}

public void setQtcombusti(Integer qtcombusti) {
if (qtcombusti == null) {
qtcombustiNull = true;
this.qtcombusti = 0;
} else { 
qtcombustiNull = false;
this.qtcombusti = qtcombusti;
}
}

public double getVlcombusti() {
return vlcombusti;
}

public boolean isVlcombustiNull() {
return vlcombustiNull;
}

public void setVlcombusti(int vlcombusti) {
setVlcombusti(new Double(vlcombusti));
}

public void setVlcombusti(long vlcombusti) {
setVlcombusti(new Double(vlcombusti));
}

public void setVlcombusti(Double vlcombusti) {
if (vlcombusti == null) {
vlcombustiNull = true;
this.vlcombusti = 0.;
} else { 
vlcombustiNull = false;
this.vlcombusti = FglDouble.round(vlcombusti, 2);
}
}

public int getQtonibmetr() {
return qtonibmetr;
}

public boolean isQtonibmetrNull() {
return qtonibmetrNull;
}

public void setQtonibmetr(Integer qtonibmetr) {
if (qtonibmetr == null) {
qtonibmetrNull = true;
this.qtonibmetr = 0;
} else { 
qtonibmetrNull = false;
this.qtonibmetr = qtonibmetr;
}
}

public double getVlonibmetr() {
return vlonibmetr;
}

public boolean isVlonibmetrNull() {
return vlonibmetrNull;
}

public void setVlonibmetr(int vlonibmetr) {
setVlonibmetr(new Double(vlonibmetr));
}

public void setVlonibmetr(long vlonibmetr) {
setVlonibmetr(new Double(vlonibmetr));
}

public void setVlonibmetr(Double vlonibmetr) {
if (vlonibmetr == null) {
vlonibmetrNull = true;
this.vlonibmetr = 0.;
} else { 
vlonibmetrNull = false;
this.vlonibmetr = FglDouble.round(vlonibmetr, 2);
}
}

public int getQttaxi() {
return qttaxi;
}

public boolean isQttaxiNull() {
return qttaxiNull;
}

public void setQttaxi(Integer qttaxi) {
if (qttaxi == null) {
qttaxiNull = true;
this.qttaxi = 0;
} else { 
qttaxiNull = false;
this.qttaxi = qttaxi;
}
}

public double getVltaxi() {
return vltaxi;
}

public boolean isVltaxiNull() {
return vltaxiNull;
}

public void setVltaxi(int vltaxi) {
setVltaxi(new Double(vltaxi));
}

public void setVltaxi(long vltaxi) {
setVltaxi(new Double(vltaxi));
}

public void setVltaxi(Double vltaxi) {
if (vltaxi == null) {
vltaxiNull = true;
this.vltaxi = 0.;
} else { 
vltaxiNull = false;
this.vltaxi = FglDouble.round(vltaxi, 2);
}
}

public int getQtestacion() {
return qtestacion;
}

public boolean isQtestacionNull() {
return qtestacionNull;
}

public void setQtestacion(Integer qtestacion) {
if (qtestacion == null) {
qtestacionNull = true;
this.qtestacion = 0;
} else { 
qtestacionNull = false;
this.qtestacion = qtestacion;
}
}

public double getVlestacion() {
return vlestacion;
}

public boolean isVlestacionNull() {
return vlestacionNull;
}

public void setVlestacion(int vlestacion) {
setVlestacion(new Double(vlestacion));
}

public void setVlestacion(long vlestacion) {
setVlestacion(new Double(vlestacion));
}

public void setVlestacion(Double vlestacion) {
if (vlestacion == null) {
vlestacionNull = true;
this.vlestacion = 0.;
} else { 
vlestacionNull = false;
this.vlestacion = FglDouble.round(vlestacion, 2);
}
}

public int getQtpassagem() {
return qtpassagem;
}

public boolean isQtpassagemNull() {
return qtpassagemNull;
}

public void setQtpassagem(Integer qtpassagem) {
if (qtpassagem == null) {
qtpassagemNull = true;
this.qtpassagem = 0;
} else { 
qtpassagemNull = false;
this.qtpassagem = qtpassagem;
}
}

public double getVlpassagem() {
return vlpassagem;
}

public boolean isVlpassagemNull() {
return vlpassagemNull;
}

public void setVlpassagem(int vlpassagem) {
setVlpassagem(new Double(vlpassagem));
}

public void setVlpassagem(long vlpassagem) {
setVlpassagem(new Double(vlpassagem));
}

public void setVlpassagem(Double vlpassagem) {
if (vlpassagem == null) {
vlpassagemNull = true;
this.vlpassagem = 0.;
} else { 
vlpassagemNull = false;
this.vlpassagem = FglDouble.round(vlpassagem, 2);
}
}

public int getQtoutras() {
return qtoutras;
}

public boolean isQtoutrasNull() {
return qtoutrasNull;
}

public void setQtoutras(Integer qtoutras) {
if (qtoutras == null) {
qtoutrasNull = true;
this.qtoutras = 0;
} else { 
qtoutrasNull = false;
this.qtoutras = qtoutras;
}
}

public double getVloutras() {
return vloutras;
}

public boolean isVloutrasNull() {
return vloutrasNull;
}

public void setVloutras(int vloutras) {
setVloutras(new Double(vloutras));
}

public void setVloutras(long vloutras) {
setVloutras(new Double(vloutras));
}

public void setVloutras(Double vloutras) {
if (vloutras == null) {
vloutrasNull = true;
this.vloutras = 0.;
} else { 
vloutrasNull = false;
this.vloutras = FglDouble.round(vloutras, 2);
}
}

public int getFilialNf() {
return filialNf;
}

public boolean isFilialNfNull() {
return filialNfNull;
}

public void setFilialNf(Integer filialNf) {
if (filialNf == null) {
filialNfNull = true;
this.filialNf = 0;
} else { 
filialNfNull = false;
this.filialNf = filialNf;
}
}

public int getNroOrca() {
return nroOrca;
}

public boolean isNroOrcaNull() {
return nroOrcaNull;
}

public void setNroOrca(Integer nroOrca) {
if (nroOrca == null) {
nroOrcaNull = true;
this.nroOrca = 0;
} else { 
nroOrcaNull = false;
this.nroOrca = nroOrca;
}
}

}

