package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabDwDiretorio {
@Coluna(nome="dw_diretorio.seqdiretorio", tipo="long")
private long seqdiretorio;
private boolean seqdiretorioNull;
@Coluna(nome="dw_diretorio.diretorio", tipo="String")
private String diretorio;
@Coluna(nome="dw_diretorio.arquivo", tipo="String")
private String arquivo;

public TabDwDiretorio() {
initialize();
}

public void initialize() {
setSeqdiretorio(null);
setDiretorio(null);
setArquivo(null);
}

public TabDwDiretorio(long seqdiretorio, String diretorio, String arquivo) {
this.seqdiretorio = seqdiretorio;
this.diretorio = diretorio;
this.arquivo = arquivo;
}

public long getSeqdiretorio() {
return seqdiretorio;
}

public boolean isSeqdiretorioNull() {
return seqdiretorioNull;
}

public void setSeqdiretorio(int seqdiretorio) {
setSeqdiretorio(new Long(seqdiretorio));
}

public void setSeqdiretorio(Long seqdiretorio) {
if (seqdiretorio == null) {
seqdiretorioNull = true;
this.seqdiretorio = 0l;
} else { 
seqdiretorioNull = false;
this.seqdiretorio = seqdiretorio;
}
}

public String getDiretorio() {
return diretorio;
}

public void setDiretorio(String diretorio) {
this.diretorio = diretorio;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

}

