package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEfdideadvogado {
@Coluna(nome="efdideadvogado.id", tipo="String")
private String id;
@Coluna(nome="efdideadvogado.tpproc", tipo="int")
private int tpproc;
private boolean tpprocNull;
@Coluna(nome="efdideadvogado.nrproc", tipo="String")
private String nrproc;
@Coluna(nome="efdideadvogado.tpinscadvogado", tipo="int")
private int tpinscadvogado;
private boolean tpinscadvogadoNull;
@Coluna(nome="efdideadvogado.nrinscadvogado", tipo="String")
private String nrinscadvogado;
@Coluna(nome="efdideadvogado.vlradvogado", tipo="double")
private double vlradvogado;
private boolean vlradvogadoNull;

public TabEfdideadvogado() {
initialize();
}

public void initialize() {
setId(null);
setTpproc(null);
setNrproc(null);
setTpinscadvogado(null);
setNrinscadvogado(null);
setVlradvogado(null);
}

public TabEfdideadvogado(String id, int tpproc, String nrproc, int tpinscadvogado, String nrinscadvogado, double vlradvogado) {
this.id = id;
this.tpproc = tpproc;
this.nrproc = nrproc;
this.tpinscadvogado = tpinscadvogado;
this.nrinscadvogado = nrinscadvogado;
this.vlradvogado = vlradvogado;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpproc() {
return tpproc;
}

public boolean isTpprocNull() {
return tpprocNull;
}

public void setTpproc(Integer tpproc) {
if (tpproc == null) {
tpprocNull = true;
this.tpproc = 0;
} else { 
tpprocNull = false;
this.tpproc = tpproc;
}
}

public String getNrproc() {
return nrproc;
}

public void setNrproc(String nrproc) {
this.nrproc = nrproc;
}

public int getTpinscadvogado() {
return tpinscadvogado;
}

public boolean isTpinscadvogadoNull() {
return tpinscadvogadoNull;
}

public void setTpinscadvogado(Integer tpinscadvogado) {
if (tpinscadvogado == null) {
tpinscadvogadoNull = true;
this.tpinscadvogado = 0;
} else { 
tpinscadvogadoNull = false;
this.tpinscadvogado = tpinscadvogado;
}
}

public String getNrinscadvogado() {
return nrinscadvogado;
}

public void setNrinscadvogado(String nrinscadvogado) {
this.nrinscadvogado = nrinscadvogado;
}

public double getVlradvogado() {
return vlradvogado;
}

public boolean isVlradvogadoNull() {
return vlradvogadoNull;
}

public void setVlradvogado(int vlradvogado) {
setVlradvogado(new Double(vlradvogado));
}

public void setVlradvogado(long vlradvogado) {
setVlradvogado(new Double(vlradvogado));
}

public void setVlradvogado(Double vlradvogado) {
if (vlradvogado == null) {
vlradvogadoNull = true;
this.vlradvogado = 0.;
} else { 
vlradvogadoNull = false;
this.vlradvogado = FglDouble.round(vlradvogado, 2);
}
}

}

