package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEfdnfs {
@Coluna(nome="efdnfs.id", tipo="String")
private String id;
@Coluna(nome="efdnfs.tpinsc", tipo="int")
private int tpinsc;
private boolean tpinscNull;
@Coluna(nome="efdnfs.nrinsc", tipo="String")
private String nrinsc;
@Coluna(nome="efdnfs.serie", tipo="String")
private String serie;
@Coluna(nome="efdnfs.numdocto", tipo="String")
private String numdocto;
@Coluna(nome="efdnfs.dtemissaonf", tipo="FglDate")
private FglDate dtemissaonf;
@Coluna(nome="efdnfs.vlrbruto", tipo="double")
private double vlrbruto;
private boolean vlrbrutoNull;
@Coluna(nome="efdnfs.obs", tipo="String")
private String obs;

public TabEfdnfs() {
initialize();
}

public void initialize() {
setId(null);
setTpinsc(null);
setNrinsc(null);
setSerie(null);
setNumdocto(null);
setDtemissaonf(null);
setVlrbruto(null);
setObs(null);
}

public TabEfdnfs(String id, int tpinsc, String nrinsc, String serie, String numdocto, FglDate dtemissaonf, double vlrbruto, String obs) {
this.id = id;
this.tpinsc = tpinsc;
this.nrinsc = nrinsc;
this.serie = serie;
this.numdocto = numdocto;
this.dtemissaonf = dtemissaonf;
this.vlrbruto = vlrbruto;
this.obs = obs;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpinsc() {
return tpinsc;
}

public boolean isTpinscNull() {
return tpinscNull;
}

public void setTpinsc(Integer tpinsc) {
if (tpinsc == null) {
tpinscNull = true;
this.tpinsc = 0;
} else { 
tpinscNull = false;
this.tpinsc = tpinsc;
}
}

public String getNrinsc() {
return nrinsc;
}

public void setNrinsc(String nrinsc) {
this.nrinsc = nrinsc;
}

public String getSerie() {
return serie;
}

public void setSerie(String serie) {
this.serie = serie;
}

public String getNumdocto() {
return numdocto;
}

public void setNumdocto(String numdocto) {
this.numdocto = numdocto;
}

public FglDate getDtemissaonf() {
return dtemissaonf;
}

public void setDtemissaonf(FglDate dtemissaonf) {
this.dtemissaonf = dtemissaonf;
}

public double getVlrbruto() {
return vlrbruto;
}

public boolean isVlrbrutoNull() {
return vlrbrutoNull;
}

public void setVlrbruto(int vlrbruto) {
setVlrbruto(new Double(vlrbruto));
}

public void setVlrbruto(long vlrbruto) {
setVlrbruto(new Double(vlrbruto));
}

public void setVlrbruto(Double vlrbruto) {
if (vlrbruto == null) {
vlrbrutoNull = true;
this.vlrbruto = 0.;
} else { 
vlrbrutoNull = false;
this.vlrbruto = FglDouble.round(vlrbruto, 2);
}
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

