package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsaliquotas {
@Coluna(nome="esaliquotas.id", tipo="String")
private String id;
@Coluna(nome="esaliquotas.tppublalvo", tipo="String")
private String tppublalvo;
@Coluna(nome="esaliquotas.descsegdif", tipo="String")
private String descsegdif;
@Coluna(nome="esaliquotas.perc_percseg", tipo="double")
private double percPercseg;
private boolean percPercsegNull;
@Coluna(nome="esaliquotas.perc_percente", tipo="double")
private double percPercente;
private boolean percPercenteNull;
@Coluna(nome="esaliquotas.perc_percsupl", tipo="double")
private double percPercsupl;
private boolean percPercsuplNull;

public TabEsaliquotas() {
initialize();
}

public void initialize() {
setId(null);
setTppublalvo(null);
setDescsegdif(null);
setPercPercseg(null);
setPercPercente(null);
setPercPercsupl(null);
}

public TabEsaliquotas(String id, String tppublalvo, String descsegdif, double percPercseg, double percPercente, double percPercsupl) {
this.id = id;
this.tppublalvo = tppublalvo;
this.descsegdif = descsegdif;
this.percPercseg = percPercseg;
this.percPercente = percPercente;
this.percPercsupl = percPercsupl;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public String getTppublalvo() {
return tppublalvo;
}

public void setTppublalvo(String tppublalvo) {
this.tppublalvo = tppublalvo;
}

public String getDescsegdif() {
return descsegdif;
}

public void setDescsegdif(String descsegdif) {
this.descsegdif = descsegdif;
}

public double getPercPercseg() {
return percPercseg;
}

public boolean isPercPercsegNull() {
return percPercsegNull;
}

public void setPercPercseg(int percPercseg) {
setPercPercseg(new Double(percPercseg));
}

public void setPercPercseg(long percPercseg) {
setPercPercseg(new Double(percPercseg));
}

public void setPercPercseg(Double percPercseg) {
if (percPercseg == null) {
percPercsegNull = true;
this.percPercseg = 0.;
} else { 
percPercsegNull = false;
this.percPercseg = FglDouble.round(percPercseg, 2);
}
}

public double getPercPercente() {
return percPercente;
}

public boolean isPercPercenteNull() {
return percPercenteNull;
}

public void setPercPercente(int percPercente) {
setPercPercente(new Double(percPercente));
}

public void setPercPercente(long percPercente) {
setPercPercente(new Double(percPercente));
}

public void setPercPercente(Double percPercente) {
if (percPercente == null) {
percPercenteNull = true;
this.percPercente = 0.;
} else { 
percPercenteNull = false;
this.percPercente = FglDouble.round(percPercente, 2);
}
}

public double getPercPercsupl() {
return percPercsupl;
}

public boolean isPercPercsuplNull() {
return percPercsuplNull;
}

public void setPercPercsupl(int percPercsupl) {
setPercPercsupl(new Double(percPercsupl));
}

public void setPercPercsupl(long percPercsupl) {
setPercPercsupl(new Double(percPercsupl));
}

public void setPercPercsupl(Double percPercsupl) {
if (percPercsupl == null) {
percPercsuplNull = true;
this.percPercsupl = 0.;
} else { 
percPercsuplNull = false;
this.percPercsupl = FglDouble.round(percPercsupl, 2);
}
}

}

