package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsdetverbas {
@Coluna(nome="esdetverbas.id", tipo="String")
private String id;
@Coluna(nome="esdetverbas.tpinsc", tipo="int")
private int tpinsc;
private boolean tpinscNull;
@Coluna(nome="esdetverbas.nrinsc", tipo="String")
private String nrinsc;
@Coluna(nome="esdetverbas.codlotacao", tipo="String")
private String codlotacao;
@Coluna(nome="esdetverbas.codrubr", tipo="String")
private String codrubr;
@Coluna(nome="esdetverbas.idetabrubr", tipo="String")
private String idetabrubr;
@Coluna(nome="esdetverbas.qtdrubr", tipo="int")
private int qtdrubr;
private boolean qtdrubrNull;
@Coluna(nome="esdetverbas.vrunit", tipo="double")
private double vrunit;
private boolean vrunitNull;
@Coluna(nome="esdetverbas.vrrubr", tipo="double")
private double vrrubr;
private boolean vrrubrNull;

public TabEsdetverbas() {
initialize();
}

public void initialize() {
setId(null);
setTpinsc(null);
setNrinsc(null);
setCodlotacao(null);
setCodrubr(null);
setIdetabrubr(null);
setQtdrubr(null);
setVrunit(null);
setVrrubr(null);
}

public TabEsdetverbas(String id, int tpinsc, String nrinsc, String codlotacao, String codrubr, String idetabrubr, int qtdrubr, double vrunit, double vrrubr) {
this.id = id;
this.tpinsc = tpinsc;
this.nrinsc = nrinsc;
this.codlotacao = codlotacao;
this.codrubr = codrubr;
this.idetabrubr = idetabrubr;
this.qtdrubr = qtdrubr;
this.vrunit = vrunit;
this.vrrubr = vrrubr;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpinsc() {
return tpinsc;
}

public boolean isTpinscNull() {
return tpinscNull;
}

public void setTpinsc(Integer tpinsc) {
if (tpinsc == null) {
tpinscNull = true;
this.tpinsc = 0;
} else { 
tpinscNull = false;
this.tpinsc = tpinsc;
}
}

public String getNrinsc() {
return nrinsc;
}

public void setNrinsc(String nrinsc) {
this.nrinsc = nrinsc;
}

public String getCodlotacao() {
return codlotacao;
}

public void setCodlotacao(String codlotacao) {
this.codlotacao = codlotacao;
}

public String getCodrubr() {
return codrubr;
}

public void setCodrubr(String codrubr) {
this.codrubr = codrubr;
}

public String getIdetabrubr() {
return idetabrubr;
}

public void setIdetabrubr(String idetabrubr) {
this.idetabrubr = idetabrubr;
}

public int getQtdrubr() {
return qtdrubr;
}

public boolean isQtdrubrNull() {
return qtdrubrNull;
}

public void setQtdrubr(Integer qtdrubr) {
if (qtdrubr == null) {
qtdrubrNull = true;
this.qtdrubr = 0;
} else { 
qtdrubrNull = false;
this.qtdrubr = qtdrubr;
}
}

public double getVrunit() {
return vrunit;
}

public boolean isVrunitNull() {
return vrunitNull;
}

public void setVrunit(int vrunit) {
setVrunit(new Double(vrunit));
}

public void setVrunit(long vrunit) {
setVrunit(new Double(vrunit));
}

public void setVrunit(Double vrunit) {
if (vrunit == null) {
vrunitNull = true;
this.vrunit = 0.;
} else { 
vrunitNull = false;
this.vrunit = FglDouble.round(vrunit, 8);
}
}

public double getVrrubr() {
return vrrubr;
}

public boolean isVrrubrNull() {
return vrrubrNull;
}

public void setVrrubr(int vrrubr) {
setVrrubr(new Double(vrrubr));
}

public void setVrrubr(long vrrubr) {
setVrrubr(new Double(vrrubr));
}

public void setVrrubr(Double vrrubr) {
if (vrrubr == null) {
vrrubrNull = true;
this.vrrubr = 0.;
} else { 
vrrubrNull = false;
this.vrrubr = FglDouble.round(vrrubr, 8);
}
}

}

