package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEsinfocpcalc {
@Coluna(nome="esinfocpcalc.id", tipo="String")
private String id;
@Coluna(nome="esinfocpcalc.tpcr", tipo="int")
private int tpcr;
private boolean tpcrNull;
@Coluna(nome="esinfocpcalc.vrcpseg", tipo="double")
private double vrcpseg;
private boolean vrcpsegNull;
@Coluna(nome="esinfocpcalc.vrdescseg", tipo="double")
private double vrdescseg;
private boolean vrdescsegNull;

public TabEsinfocpcalc() {
initialize();
}

public void initialize() {
setId(null);
setTpcr(null);
setVrcpseg(null);
setVrdescseg(null);
}

public TabEsinfocpcalc(String id, int tpcr, double vrcpseg, double vrdescseg) {
this.id = id;
this.tpcr = tpcr;
this.vrcpseg = vrcpseg;
this.vrdescseg = vrdescseg;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getTpcr() {
return tpcr;
}

public boolean isTpcrNull() {
return tpcrNull;
}

public void setTpcr(Integer tpcr) {
if (tpcr == null) {
tpcrNull = true;
this.tpcr = 0;
} else { 
tpcrNull = false;
this.tpcr = tpcr;
}
}

public double getVrcpseg() {
return vrcpseg;
}

public boolean isVrcpsegNull() {
return vrcpsegNull;
}

public void setVrcpseg(int vrcpseg) {
setVrcpseg(new Double(vrcpseg));
}

public void setVrcpseg(long vrcpseg) {
setVrcpseg(new Double(vrcpseg));
}

public void setVrcpseg(Double vrcpseg) {
if (vrcpseg == null) {
vrcpsegNull = true;
this.vrcpseg = 0.;
} else { 
vrcpsegNull = false;
this.vrcpseg = FglDouble.round(vrcpseg, 2);
}
}

public double getVrdescseg() {
return vrdescseg;
}

public boolean isVrdescsegNull() {
return vrdescsegNull;
}

public void setVrdescseg(int vrdescseg) {
setVrdescseg(new Double(vrdescseg));
}

public void setVrdescseg(long vrdescseg) {
setVrdescseg(new Double(vrdescseg));
}

public void setVrdescseg(Double vrdescseg) {
if (vrdescseg == null) {
vrdescsegNull = true;
this.vrdescseg = 0.;
} else { 
vrdescsegNull = false;
this.vrdescseg = FglDouble.round(vrdescseg, 2);
}
}

}

