package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEstpcomerc {
@Coluna(nome="estpcomerc.id", tipo="String")
private String id;
@Coluna(nome="estpcomerc.indcomerc", tipo="int")
private int indcomerc;
private boolean indcomercNull;
@Coluna(nome="estpcomerc.vrtotcom", tipo="double")
private double vrtotcom;
private boolean vrtotcomNull;

public TabEstpcomerc() {
initialize();
}

public void initialize() {
setId(null);
setIndcomerc(null);
setVrtotcom(null);
}

public TabEstpcomerc(String id, int indcomerc, double vrtotcom) {
this.id = id;
this.indcomerc = indcomerc;
this.vrtotcom = vrtotcom;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getIndcomerc() {
return indcomerc;
}

public boolean isIndcomercNull() {
return indcomercNull;
}

public void setIndcomerc(Integer indcomerc) {
if (indcomerc == null) {
indcomercNull = true;
this.indcomerc = 0;
} else { 
indcomercNull = false;
this.indcomerc = indcomerc;
}
}

public double getVrtotcom() {
return vrtotcom;
}

public boolean isVrtotcomNull() {
return vrtotcomNull;
}

public void setVrtotcom(int vrtotcom) {
setVrtotcom(new Double(vrtotcom));
}

public void setVrtotcom(long vrtotcom) {
setVrtotcom(new Double(vrtotcom));
}

public void setVrtotcom(Double vrtotcom) {
if (vrtotcom == null) {
vrtotcomNull = true;
this.vrtotcom = 0.;
} else { 
vrtotcomNull = false;
this.vrtotcom = FglDouble.round(vrtotcom, 2);
}
}

}

