package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabEvtdeslig {
@Coluna(nome="evtdeslig.ideevento_indretif", tipo="int")
private int ideeventoIndretif;
private boolean ideeventoIndretifNull;
@Coluna(nome="evtdeslig.ideevento_nrrecibo", tipo="String")
private String ideeventoNrrecibo;
@Coluna(nome="evtdeslig.ideevento_tpamb", tipo="int")
private int ideeventoTpamb;
private boolean ideeventoTpambNull;
@Coluna(nome="evtdeslig.ideevento_procemi", tipo="int")
private int ideeventoProcemi;
private boolean ideeventoProcemiNull;
@Coluna(nome="evtdeslig.ideevento_verproc", tipo="String")
private String ideeventoVerproc;
@Coluna(nome="evtdeslig.ideempregador_tpinsc", tipo="int")
private int ideempregadorTpinsc;
private boolean ideempregadorTpinscNull;
@Coluna(nome="evtdeslig.ideempregador_nrinsc", tipo="String")
private String ideempregadorNrinsc;
@Coluna(nome="evtdeslig.idevinculo_cpftrab", tipo="String")
private String idevinculoCpftrab;
@Coluna(nome="evtdeslig.idevinculo_nistrab", tipo="String")
private String idevinculoNistrab;
@Coluna(nome="evtdeslig.idevinculo_matricula", tipo="String")
private String idevinculoMatricula;
@Coluna(nome="evtdeslig.infodeslig_mtvdeslig", tipo="String")
private String infodesligMtvdeslig;
@Coluna(nome="evtdeslig.infodeslig_dtdeslig", tipo="FglDateTimeYS")
private FglDateTimeYS infodesligDtdeslig;
@Coluna(nome="evtdeslig.infodeslig_indpagtoapi", tipo="String")
private String infodesligIndpagtoapi;
@Coluna(nome="evtdeslig.infodeslig_dtprojfimapi", tipo="FglDateTimeYS")
private FglDateTimeYS infodesligDtprojfimapi;
@Coluna(nome="evtdeslig.infodeslig_percaliment", tipo="double")
private double infodesligPercaliment;
private boolean infodesligPercalimentNull;
@Coluna(nome="evtdeslig.infodeslig_nrcertobito", tipo="String")
private String infodesligNrcertobito;
@Coluna(nome="evtdeslig.infodeslig_nrproctrab", tipo="String")
private String infodesligNrproctrab;
@Coluna(nome="evtdeslig.infodeslig_observacao", tipo="String")
private String infodesligObservacao;
@Coluna(nome="evtdeslig.sucessaovinc_cnpjsucessora", tipo="String")
private String sucessaovincCnpjsucessora;
@Coluna(nome="evtdeslig.quarentena_dtfimquar", tipo="FglDateTimeYS")
private FglDateTimeYS quarentenaDtfimquar;
@Coluna(nome="evtdeslig.infoaso_dtasodem", tipo="FglDateTimeYS")
private FglDateTimeYS infoasoDtasodem;
@Coluna(nome="evtdeslig.infoaso_nrcrm", tipo="String")
private String infoasoNrcrm;
@Coluna(nome="evtdeslig.infoaso_ufcrm", tipo="String")
private String infoasoUfcrm;
@Coluna(nome="evtdeslig.id", tipo="String")
private String id;
@Coluna(nome="evtdeslig.grauexp", tipo="int")
private int grauexp;
private boolean grauexpNull;
@Coluna(nome="evtdeslig.indsimples", tipo="int")
private int indsimples;
private boolean indsimplesNull;

public TabEvtdeslig() {
initialize();
}

public void initialize() {
setIdeeventoIndretif(null);
setIdeeventoNrrecibo(null);
setIdeeventoTpamb(null);
setIdeeventoProcemi(null);
setIdeeventoVerproc(null);
setIdeempregadorTpinsc(null);
setIdeempregadorNrinsc(null);
setIdevinculoCpftrab(null);
setIdevinculoNistrab(null);
setIdevinculoMatricula(null);
setInfodesligMtvdeslig(null);
setInfodesligDtdeslig(null);
setInfodesligIndpagtoapi(null);
setInfodesligDtprojfimapi(null);
setInfodesligPercaliment(null);
setInfodesligNrcertobito(null);
setInfodesligNrproctrab(null);
setInfodesligObservacao(null);
setSucessaovincCnpjsucessora(null);
setQuarentenaDtfimquar(null);
setInfoasoDtasodem(null);
setInfoasoNrcrm(null);
setInfoasoUfcrm(null);
setId(null);
setGrauexp(null);
setIndsimples(null);
}

public TabEvtdeslig(int ideeventoIndretif, String ideeventoNrrecibo, int ideeventoTpamb, int ideeventoProcemi, String ideeventoVerproc, int ideempregadorTpinsc, String ideempregadorNrinsc, String idevinculoCpftrab, String idevinculoNistrab, String idevinculoMatricula, String infodesligMtvdeslig, FglDateTimeYS infodesligDtdeslig, String infodesligIndpagtoapi, FglDateTimeYS infodesligDtprojfimapi, double infodesligPercaliment, String infodesligNrcertobito, String infodesligNrproctrab, String infodesligObservacao, String sucessaovincCnpjsucessora, FglDateTimeYS quarentenaDtfimquar, FglDateTimeYS infoasoDtasodem, String infoasoNrcrm, String infoasoUfcrm, String id, int grauexp, int indsimples) {
this.ideeventoIndretif = ideeventoIndretif;
this.ideeventoNrrecibo = ideeventoNrrecibo;
this.ideeventoTpamb = ideeventoTpamb;
this.ideeventoProcemi = ideeventoProcemi;
this.ideeventoVerproc = ideeventoVerproc;
this.ideempregadorTpinsc = ideempregadorTpinsc;
this.ideempregadorNrinsc = ideempregadorNrinsc;
this.idevinculoCpftrab = idevinculoCpftrab;
this.idevinculoNistrab = idevinculoNistrab;
this.idevinculoMatricula = idevinculoMatricula;
this.infodesligMtvdeslig = infodesligMtvdeslig;
this.infodesligDtdeslig = infodesligDtdeslig;
this.infodesligIndpagtoapi = infodesligIndpagtoapi;
this.infodesligDtprojfimapi = infodesligDtprojfimapi;
this.infodesligPercaliment = infodesligPercaliment;
this.infodesligNrcertobito = infodesligNrcertobito;
this.infodesligNrproctrab = infodesligNrproctrab;
this.infodesligObservacao = infodesligObservacao;
this.sucessaovincCnpjsucessora = sucessaovincCnpjsucessora;
this.quarentenaDtfimquar = quarentenaDtfimquar;
this.infoasoDtasodem = infoasoDtasodem;
this.infoasoNrcrm = infoasoNrcrm;
this.infoasoUfcrm = infoasoUfcrm;
this.id = id;
this.grauexp = grauexp;
this.indsimples = indsimples;
}

public int getIdeeventoIndretif() {
return ideeventoIndretif;
}

public boolean isIdeeventoIndretifNull() {
return ideeventoIndretifNull;
}

public void setIdeeventoIndretif(Integer ideeventoIndretif) {
if (ideeventoIndretif == null) {
ideeventoIndretifNull = true;
this.ideeventoIndretif = 0;
} else { 
ideeventoIndretifNull = false;
this.ideeventoIndretif = ideeventoIndretif;
}
}

public String getIdeeventoNrrecibo() {
return ideeventoNrrecibo;
}

public void setIdeeventoNrrecibo(String ideeventoNrrecibo) {
this.ideeventoNrrecibo = ideeventoNrrecibo;
}

public int getIdeeventoTpamb() {
return ideeventoTpamb;
}

public boolean isIdeeventoTpambNull() {
return ideeventoTpambNull;
}

public void setIdeeventoTpamb(Integer ideeventoTpamb) {
if (ideeventoTpamb == null) {
ideeventoTpambNull = true;
this.ideeventoTpamb = 0;
} else { 
ideeventoTpambNull = false;
this.ideeventoTpamb = ideeventoTpamb;
}
}

public int getIdeeventoProcemi() {
return ideeventoProcemi;
}

public boolean isIdeeventoProcemiNull() {
return ideeventoProcemiNull;
}

public void setIdeeventoProcemi(Integer ideeventoProcemi) {
if (ideeventoProcemi == null) {
ideeventoProcemiNull = true;
this.ideeventoProcemi = 0;
} else { 
ideeventoProcemiNull = false;
this.ideeventoProcemi = ideeventoProcemi;
}
}

public String getIdeeventoVerproc() {
return ideeventoVerproc;
}

public void setIdeeventoVerproc(String ideeventoVerproc) {
this.ideeventoVerproc = ideeventoVerproc;
}

public int getIdeempregadorTpinsc() {
return ideempregadorTpinsc;
}

public boolean isIdeempregadorTpinscNull() {
return ideempregadorTpinscNull;
}

public void setIdeempregadorTpinsc(Integer ideempregadorTpinsc) {
if (ideempregadorTpinsc == null) {
ideempregadorTpinscNull = true;
this.ideempregadorTpinsc = 0;
} else { 
ideempregadorTpinscNull = false;
this.ideempregadorTpinsc = ideempregadorTpinsc;
}
}

public String getIdeempregadorNrinsc() {
return ideempregadorNrinsc;
}

public void setIdeempregadorNrinsc(String ideempregadorNrinsc) {
this.ideempregadorNrinsc = ideempregadorNrinsc;
}

public String getIdevinculoCpftrab() {
return idevinculoCpftrab;
}

public void setIdevinculoCpftrab(String idevinculoCpftrab) {
this.idevinculoCpftrab = idevinculoCpftrab;
}

public String getIdevinculoNistrab() {
return idevinculoNistrab;
}

public void setIdevinculoNistrab(String idevinculoNistrab) {
this.idevinculoNistrab = idevinculoNistrab;
}

public String getIdevinculoMatricula() {
return idevinculoMatricula;
}

public void setIdevinculoMatricula(String idevinculoMatricula) {
this.idevinculoMatricula = idevinculoMatricula;
}

public String getInfodesligMtvdeslig() {
return infodesligMtvdeslig;
}

public void setInfodesligMtvdeslig(String infodesligMtvdeslig) {
this.infodesligMtvdeslig = infodesligMtvdeslig;
}

public FglDateTimeYS getInfodesligDtdeslig() {
return infodesligDtdeslig;
}

public void setInfodesligDtdeslig(FglDateTimeYS infodesligDtdeslig) {
this.infodesligDtdeslig = infodesligDtdeslig;
}

public String getInfodesligIndpagtoapi() {
return infodesligIndpagtoapi;
}

public void setInfodesligIndpagtoapi(String infodesligIndpagtoapi) {
this.infodesligIndpagtoapi = infodesligIndpagtoapi;
}

public FglDateTimeYS getInfodesligDtprojfimapi() {
return infodesligDtprojfimapi;
}

public void setInfodesligDtprojfimapi(FglDateTimeYS infodesligDtprojfimapi) {
this.infodesligDtprojfimapi = infodesligDtprojfimapi;
}

public double getInfodesligPercaliment() {
return infodesligPercaliment;
}

public boolean isInfodesligPercalimentNull() {
return infodesligPercalimentNull;
}

public void setInfodesligPercaliment(int infodesligPercaliment) {
setInfodesligPercaliment(new Double(infodesligPercaliment));
}

public void setInfodesligPercaliment(long infodesligPercaliment) {
setInfodesligPercaliment(new Double(infodesligPercaliment));
}

public void setInfodesligPercaliment(Double infodesligPercaliment) {
if (infodesligPercaliment == null) {
infodesligPercalimentNull = true;
this.infodesligPercaliment = 0.;
} else { 
infodesligPercalimentNull = false;
this.infodesligPercaliment = FglDouble.round(infodesligPercaliment, 8);
}
}

public String getInfodesligNrcertobito() {
return infodesligNrcertobito;
}

public void setInfodesligNrcertobito(String infodesligNrcertobito) {
this.infodesligNrcertobito = infodesligNrcertobito;
}

public String getInfodesligNrproctrab() {
return infodesligNrproctrab;
}

public void setInfodesligNrproctrab(String infodesligNrproctrab) {
this.infodesligNrproctrab = infodesligNrproctrab;
}

public String getInfodesligObservacao() {
return infodesligObservacao;
}

public void setInfodesligObservacao(String infodesligObservacao) {
this.infodesligObservacao = infodesligObservacao;
}

public String getSucessaovincCnpjsucessora() {
return sucessaovincCnpjsucessora;
}

public void setSucessaovincCnpjsucessora(String sucessaovincCnpjsucessora) {
this.sucessaovincCnpjsucessora = sucessaovincCnpjsucessora;
}

public FglDateTimeYS getQuarentenaDtfimquar() {
return quarentenaDtfimquar;
}

public void setQuarentenaDtfimquar(FglDateTimeYS quarentenaDtfimquar) {
this.quarentenaDtfimquar = quarentenaDtfimquar;
}

public FglDateTimeYS getInfoasoDtasodem() {
return infoasoDtasodem;
}

public void setInfoasoDtasodem(FglDateTimeYS infoasoDtasodem) {
this.infoasoDtasodem = infoasoDtasodem;
}

public String getInfoasoNrcrm() {
return infoasoNrcrm;
}

public void setInfoasoNrcrm(String infoasoNrcrm) {
this.infoasoNrcrm = infoasoNrcrm;
}

public String getInfoasoUfcrm() {
return infoasoUfcrm;
}

public void setInfoasoUfcrm(String infoasoUfcrm) {
this.infoasoUfcrm = infoasoUfcrm;
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

public int getGrauexp() {
return grauexp;
}

public boolean isGrauexpNull() {
return grauexpNull;
}

public void setGrauexp(Integer grauexp) {
if (grauexp == null) {
grauexpNull = true;
this.grauexp = 0;
} else { 
grauexpNull = false;
this.grauexp = grauexp;
}
}

public int getIndsimples() {
return indsimples;
}

public boolean isIndsimplesNull() {
return indsimplesNull;
}

public void setIndsimples(Integer indsimples) {
if (indsimples == null) {
indsimplesNull = true;
this.indsimples = 0;
} else { 
indsimplesNull = false;
this.indsimples = indsimples;
}
}

}

