package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabEvtremun {
@Coluna(nome="evtremun.ideevento_indretif", tipo="int")
private int ideeventoIndretif;
private boolean ideeventoIndretifNull;
@Coluna(nome="evtremun.ideevento_nrrecibo", tipo="String")
private String ideeventoNrrecibo;
@Coluna(nome="evtremun.ideevento_indapuracao", tipo="int")
private int ideeventoIndapuracao;
private boolean ideeventoIndapuracaoNull;
@Coluna(nome="evtremun.ideevento_perapur", tipo="String")
private String ideeventoPerapur;
@Coluna(nome="evtremun.ideevento_tpamb", tipo="int")
private int ideeventoTpamb;
private boolean ideeventoTpambNull;
@Coluna(nome="evtremun.ideevento_procemi", tipo="int")
private int ideeventoProcemi;
private boolean ideeventoProcemiNull;
@Coluna(nome="evtremun.ideevento_verproc", tipo="String")
private String ideeventoVerproc;
@Coluna(nome="evtremun.ideempregador_tpinsc", tipo="int")
private int ideempregadorTpinsc;
private boolean ideempregadorTpinscNull;
@Coluna(nome="evtremun.ideempregador_nrinsc", tipo="String")
private String ideempregadorNrinsc;
@Coluna(nome="evtremun.idetrabalhador_cpftrab", tipo="String")
private String idetrabalhadorCpftrab;
@Coluna(nome="evtremun.idetrabalhador_nistrab", tipo="String")
private String idetrabalhadorNistrab;
@Coluna(nome="evtremun.idetrabalhador_qtddepsf", tipo="int")
private int idetrabalhadorQtddepsf;
private boolean idetrabalhadorQtddepsfNull;
@Coluna(nome="evtremun.idetrabalhador_qtddepirrf", tipo="int")
private int idetrabalhadorQtddepirrf;
private boolean idetrabalhadorQtddepirrfNull;
@Coluna(nome="evtremun.infomv_indmv", tipo="int")
private int infomvIndmv;
private boolean infomvIndmvNull;
@Coluna(nome="evtremun.infocomplem_nmtrab", tipo="String")
private String infocomplemNmtrab;
@Coluna(nome="evtremun.infocomplem_dtnascto", tipo="FglDateTimeYS")
private FglDateTimeYS infocomplemDtnascto;
@Coluna(nome="evtremun.infocomplem_codcbo", tipo="String")
private String infocomplemCodcbo;
@Coluna(nome="evtremun.infocomplem_natatividade", tipo="int")
private int infocomplemNatatividade;
private boolean infocomplemNatatividadeNull;
@Coluna(nome="evtremun.infocomplem_qtddiastrab", tipo="int")
private int infocomplemQtddiastrab;
private boolean infocomplemQtddiastrabNull;
@Coluna(nome="evtremun.id", tipo="String")
private String id;

public TabEvtremun() {
initialize();
}

public void initialize() {
setIdeeventoIndretif(null);
setIdeeventoNrrecibo(null);
setIdeeventoIndapuracao(null);
setIdeeventoPerapur(null);
setIdeeventoTpamb(null);
setIdeeventoProcemi(null);
setIdeeventoVerproc(null);
setIdeempregadorTpinsc(null);
setIdeempregadorNrinsc(null);
setIdetrabalhadorCpftrab(null);
setIdetrabalhadorNistrab(null);
setIdetrabalhadorQtddepsf(null);
setIdetrabalhadorQtddepirrf(null);
setInfomvIndmv(null);
setInfocomplemNmtrab(null);
setInfocomplemDtnascto(null);
setInfocomplemCodcbo(null);
setInfocomplemNatatividade(null);
setInfocomplemQtddiastrab(null);
setId(null);
}

public TabEvtremun(int ideeventoIndretif, String ideeventoNrrecibo, int ideeventoIndapuracao, String ideeventoPerapur, int ideeventoTpamb, int ideeventoProcemi, String ideeventoVerproc, int ideempregadorTpinsc, String ideempregadorNrinsc, String idetrabalhadorCpftrab, String idetrabalhadorNistrab, int idetrabalhadorQtddepsf, int idetrabalhadorQtddepirrf, int infomvIndmv, String infocomplemNmtrab, FglDateTimeYS infocomplemDtnascto, String infocomplemCodcbo, int infocomplemNatatividade, int infocomplemQtddiastrab, String id) {
this.ideeventoIndretif = ideeventoIndretif;
this.ideeventoNrrecibo = ideeventoNrrecibo;
this.ideeventoIndapuracao = ideeventoIndapuracao;
this.ideeventoPerapur = ideeventoPerapur;
this.ideeventoTpamb = ideeventoTpamb;
this.ideeventoProcemi = ideeventoProcemi;
this.ideeventoVerproc = ideeventoVerproc;
this.ideempregadorTpinsc = ideempregadorTpinsc;
this.ideempregadorNrinsc = ideempregadorNrinsc;
this.idetrabalhadorCpftrab = idetrabalhadorCpftrab;
this.idetrabalhadorNistrab = idetrabalhadorNistrab;
this.idetrabalhadorQtddepsf = idetrabalhadorQtddepsf;
this.idetrabalhadorQtddepirrf = idetrabalhadorQtddepirrf;
this.infomvIndmv = infomvIndmv;
this.infocomplemNmtrab = infocomplemNmtrab;
this.infocomplemDtnascto = infocomplemDtnascto;
this.infocomplemCodcbo = infocomplemCodcbo;
this.infocomplemNatatividade = infocomplemNatatividade;
this.infocomplemQtddiastrab = infocomplemQtddiastrab;
this.id = id;
}

public int getIdeeventoIndretif() {
return ideeventoIndretif;
}

public boolean isIdeeventoIndretifNull() {
return ideeventoIndretifNull;
}

public void setIdeeventoIndretif(Integer ideeventoIndretif) {
if (ideeventoIndretif == null) {
ideeventoIndretifNull = true;
this.ideeventoIndretif = 0;
} else { 
ideeventoIndretifNull = false;
this.ideeventoIndretif = ideeventoIndretif;
}
}

public String getIdeeventoNrrecibo() {
return ideeventoNrrecibo;
}

public void setIdeeventoNrrecibo(String ideeventoNrrecibo) {
this.ideeventoNrrecibo = ideeventoNrrecibo;
}

public int getIdeeventoIndapuracao() {
return ideeventoIndapuracao;
}

public boolean isIdeeventoIndapuracaoNull() {
return ideeventoIndapuracaoNull;
}

public void setIdeeventoIndapuracao(Integer ideeventoIndapuracao) {
if (ideeventoIndapuracao == null) {
ideeventoIndapuracaoNull = true;
this.ideeventoIndapuracao = 0;
} else { 
ideeventoIndapuracaoNull = false;
this.ideeventoIndapuracao = ideeventoIndapuracao;
}
}

public String getIdeeventoPerapur() {
return ideeventoPerapur;
}

public void setIdeeventoPerapur(String ideeventoPerapur) {
this.ideeventoPerapur = ideeventoPerapur;
}

public int getIdeeventoTpamb() {
return ideeventoTpamb;
}

public boolean isIdeeventoTpambNull() {
return ideeventoTpambNull;
}

public void setIdeeventoTpamb(Integer ideeventoTpamb) {
if (ideeventoTpamb == null) {
ideeventoTpambNull = true;
this.ideeventoTpamb = 0;
} else { 
ideeventoTpambNull = false;
this.ideeventoTpamb = ideeventoTpamb;
}
}

public int getIdeeventoProcemi() {
return ideeventoProcemi;
}

public boolean isIdeeventoProcemiNull() {
return ideeventoProcemiNull;
}

public void setIdeeventoProcemi(Integer ideeventoProcemi) {
if (ideeventoProcemi == null) {
ideeventoProcemiNull = true;
this.ideeventoProcemi = 0;
} else { 
ideeventoProcemiNull = false;
this.ideeventoProcemi = ideeventoProcemi;
}
}

public String getIdeeventoVerproc() {
return ideeventoVerproc;
}

public void setIdeeventoVerproc(String ideeventoVerproc) {
this.ideeventoVerproc = ideeventoVerproc;
}

public int getIdeempregadorTpinsc() {
return ideempregadorTpinsc;
}

public boolean isIdeempregadorTpinscNull() {
return ideempregadorTpinscNull;
}

public void setIdeempregadorTpinsc(Integer ideempregadorTpinsc) {
if (ideempregadorTpinsc == null) {
ideempregadorTpinscNull = true;
this.ideempregadorTpinsc = 0;
} else { 
ideempregadorTpinscNull = false;
this.ideempregadorTpinsc = ideempregadorTpinsc;
}
}

public String getIdeempregadorNrinsc() {
return ideempregadorNrinsc;
}

public void setIdeempregadorNrinsc(String ideempregadorNrinsc) {
this.ideempregadorNrinsc = ideempregadorNrinsc;
}

public String getIdetrabalhadorCpftrab() {
return idetrabalhadorCpftrab;
}

public void setIdetrabalhadorCpftrab(String idetrabalhadorCpftrab) {
this.idetrabalhadorCpftrab = idetrabalhadorCpftrab;
}

public String getIdetrabalhadorNistrab() {
return idetrabalhadorNistrab;
}

public void setIdetrabalhadorNistrab(String idetrabalhadorNistrab) {
this.idetrabalhadorNistrab = idetrabalhadorNistrab;
}

public int getIdetrabalhadorQtddepsf() {
return idetrabalhadorQtddepsf;
}

public boolean isIdetrabalhadorQtddepsfNull() {
return idetrabalhadorQtddepsfNull;
}

public void setIdetrabalhadorQtddepsf(Integer idetrabalhadorQtddepsf) {
if (idetrabalhadorQtddepsf == null) {
idetrabalhadorQtddepsfNull = true;
this.idetrabalhadorQtddepsf = 0;
} else { 
idetrabalhadorQtddepsfNull = false;
this.idetrabalhadorQtddepsf = idetrabalhadorQtddepsf;
}
}

public int getIdetrabalhadorQtddepirrf() {
return idetrabalhadorQtddepirrf;
}

public boolean isIdetrabalhadorQtddepirrfNull() {
return idetrabalhadorQtddepirrfNull;
}

public void setIdetrabalhadorQtddepirrf(Integer idetrabalhadorQtddepirrf) {
if (idetrabalhadorQtddepirrf == null) {
idetrabalhadorQtddepirrfNull = true;
this.idetrabalhadorQtddepirrf = 0;
} else { 
idetrabalhadorQtddepirrfNull = false;
this.idetrabalhadorQtddepirrf = idetrabalhadorQtddepirrf;
}
}

public int getInfomvIndmv() {
return infomvIndmv;
}

public boolean isInfomvIndmvNull() {
return infomvIndmvNull;
}

public void setInfomvIndmv(Integer infomvIndmv) {
if (infomvIndmv == null) {
infomvIndmvNull = true;
this.infomvIndmv = 0;
} else { 
infomvIndmvNull = false;
this.infomvIndmv = infomvIndmv;
}
}

public String getInfocomplemNmtrab() {
return infocomplemNmtrab;
}

public void setInfocomplemNmtrab(String infocomplemNmtrab) {
this.infocomplemNmtrab = infocomplemNmtrab;
}

public FglDateTimeYS getInfocomplemDtnascto() {
return infocomplemDtnascto;
}

public void setInfocomplemDtnascto(FglDateTimeYS infocomplemDtnascto) {
this.infocomplemDtnascto = infocomplemDtnascto;
}

public String getInfocomplemCodcbo() {
return infocomplemCodcbo;
}

public void setInfocomplemCodcbo(String infocomplemCodcbo) {
this.infocomplemCodcbo = infocomplemCodcbo;
}

public int getInfocomplemNatatividade() {
return infocomplemNatatividade;
}

public boolean isInfocomplemNatatividadeNull() {
return infocomplemNatatividadeNull;
}

public void setInfocomplemNatatividade(Integer infocomplemNatatividade) {
if (infocomplemNatatividade == null) {
infocomplemNatatividadeNull = true;
this.infocomplemNatatividade = 0;
} else { 
infocomplemNatatividadeNull = false;
this.infocomplemNatatividade = infocomplemNatatividade;
}
}

public int getInfocomplemQtddiastrab() {
return infocomplemQtddiastrab;
}

public boolean isInfocomplemQtddiastrabNull() {
return infocomplemQtddiastrabNull;
}

public void setInfocomplemQtddiastrab(Integer infocomplemQtddiastrab) {
if (infocomplemQtddiastrab == null) {
infocomplemQtddiastrabNull = true;
this.infocomplemQtddiastrab = 0;
} else { 
infocomplemQtddiastrabNull = false;
this.infocomplemQtddiastrab = infocomplemQtddiastrab;
}
}

public String getId() {
return id;
}

public void setId(String id) {
this.id = id;
}

}

