package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabFdconfin {
@Coluna(nome="fdconfin.chassis", tipo="String")
private String chassis;
@Coluna(nome="fdconfin.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="fdconfin.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="fdconfin.tipo", tipo="String")
private String tipo;
@Coluna(nome="fdconfin.dtlancto", tipo="FglDate")
private FglDate dtlancto;
@Coluna(nome="fdconfin.nrolancto", tipo="int")
private int nrolancto;
private boolean nrolanctoNull;
@Coluna(nome="fdconfin.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;

public TabFdconfin() {
initialize();
}

public void initialize() {
setChassis(null);
setOrdemserv(null);
setIdSetor(null);
setTipo(null);
setDtlancto(null);
setNrolancto(null);
setIdLancto(null);
}

public TabFdconfin(String chassis, int ordemserv, int idSetor, String tipo, FglDate dtlancto, int nrolancto, int idLancto) {
this.chassis = chassis;
this.ordemserv = ordemserv;
this.idSetor = idSetor;
this.tipo = tipo;
this.dtlancto = dtlancto;
this.nrolancto = nrolancto;
this.idLancto = idLancto;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDate getDtlancto() {
return dtlancto;
}

public void setDtlancto(FglDate dtlancto) {
this.dtlancto = dtlancto;
}

public int getNrolancto() {
return nrolancto;
}

public boolean isNrolanctoNull() {
return nrolanctoNull;
}

public void setNrolancto(Integer nrolancto) {
if (nrolancto == null) {
nrolanctoNull = true;
this.nrolancto = 0;
} else { 
nrolanctoNull = false;
this.nrolancto = nrolancto;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

}

