package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabFdppa03 {
@Coluna(nome="fdppa03.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="fdppa03.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="fdppa03.tot_geral_vl", tipo="long")
private long totGeralVl;
private boolean totGeralVlNull;
@Coluna(nome="fdppa03.tot_geral_cv", tipo="long")
private long totGeralCv;
private boolean totGeralCvNull;
@Coluna(nome="fdppa03.vend_pend_vl", tipo="long")
private long vendPendVl;
private boolean vendPendVlNull;
@Coluna(nome="fdppa03.vend_pend_cv", tipo="long")
private long vendPendCv;
private boolean vendPendCvNull;
@Coluna(nome="fdppa03.rede", tipo="long")
private long rede;
private boolean redeNull;
@Coluna(nome="fdppa03.loja_pc", tipo="long")
private long lojaPc;
private boolean lojaPcNull;
@Coluna(nome="fdppa03.fabricante", tipo="long")
private long fabricante;
private boolean fabricanteNull;
@Coluna(nome="fdppa03.total_rede_terc", tipo="long")
private long totalRedeTerc;
private boolean totalRedeTercNull;
@Coluna(nome="fdppa03.compra", tipo="long")
private long compra;
private boolean compraNull;
@Coluna(nome="fdppa03.compra_espec", tipo="long")
private long compraEspec;
private boolean compraEspecNull;
@Coluna(nome="fdppa03.total_ford", tipo="long")
private long totalFord;
private boolean totalFordNull;
@Coluna(nome="fdppa03.gerente", tipo="long")
private long gerente;
private boolean gerenteNull;
@Coluna(nome="fdppa03.administrativo", tipo="long")
private long administrativo;
private boolean administrativoNull;
@Coluna(nome="fdppa03.balc_varejo", tipo="long")
private long balcVarejo;
private boolean balcVarejoNull;
@Coluna(nome="fdppa03.balc_oficina", tipo="long")
private long balcOficina;
private boolean balcOficinaNull;
@Coluna(nome="fdppa03.vended_atacado", tipo="long")
private long vendedAtacado;
private boolean vendedAtacadoNull;
@Coluna(nome="fdppa03.vended_acessorio", tipo="long")
private long vendedAcessorio;
private boolean vendedAcessorioNull;
@Coluna(nome="fdppa03.tot_geral", tipo="long")
private long totGeral;
private boolean totGeralNull;

public TabFdppa03() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setTotGeralVl(null);
setTotGeralCv(null);
setVendPendVl(null);
setVendPendCv(null);
setRede(null);
setLojaPc(null);
setFabricante(null);
setTotalRedeTerc(null);
setCompra(null);
setCompraEspec(null);
setTotalFord(null);
setGerente(null);
setAdministrativo(null);
setBalcVarejo(null);
setBalcOficina(null);
setVendedAtacado(null);
setVendedAcessorio(null);
setTotGeral(null);
}

public TabFdppa03(int filial, FglDateTimeYM anomes, long totGeralVl, long totGeralCv, long vendPendVl, long vendPendCv, long rede, long lojaPc, long fabricante, long totalRedeTerc, long compra, long compraEspec, long totalFord, long gerente, long administrativo, long balcVarejo, long balcOficina, long vendedAtacado, long vendedAcessorio, long totGeral) {
this.filial = filial;
this.anomes = anomes;
this.totGeralVl = totGeralVl;
this.totGeralCv = totGeralCv;
this.vendPendVl = vendPendVl;
this.vendPendCv = vendPendCv;
this.rede = rede;
this.lojaPc = lojaPc;
this.fabricante = fabricante;
this.totalRedeTerc = totalRedeTerc;
this.compra = compra;
this.compraEspec = compraEspec;
this.totalFord = totalFord;
this.gerente = gerente;
this.administrativo = administrativo;
this.balcVarejo = balcVarejo;
this.balcOficina = balcOficina;
this.vendedAtacado = vendedAtacado;
this.vendedAcessorio = vendedAcessorio;
this.totGeral = totGeral;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public long getTotGeralVl() {
return totGeralVl;
}

public boolean isTotGeralVlNull() {
return totGeralVlNull;
}

public void setTotGeralVl(int totGeralVl) {
setTotGeralVl(new Long(totGeralVl));
}

public void setTotGeralVl(Long totGeralVl) {
if (totGeralVl == null) {
totGeralVlNull = true;
this.totGeralVl = 0l;
} else { 
totGeralVlNull = false;
this.totGeralVl = totGeralVl;
}
}

public long getTotGeralCv() {
return totGeralCv;
}

public boolean isTotGeralCvNull() {
return totGeralCvNull;
}

public void setTotGeralCv(int totGeralCv) {
setTotGeralCv(new Long(totGeralCv));
}

public void setTotGeralCv(Long totGeralCv) {
if (totGeralCv == null) {
totGeralCvNull = true;
this.totGeralCv = 0l;
} else { 
totGeralCvNull = false;
this.totGeralCv = totGeralCv;
}
}

public long getVendPendVl() {
return vendPendVl;
}

public boolean isVendPendVlNull() {
return vendPendVlNull;
}

public void setVendPendVl(int vendPendVl) {
setVendPendVl(new Long(vendPendVl));
}

public void setVendPendVl(Long vendPendVl) {
if (vendPendVl == null) {
vendPendVlNull = true;
this.vendPendVl = 0l;
} else { 
vendPendVlNull = false;
this.vendPendVl = vendPendVl;
}
}

public long getVendPendCv() {
return vendPendCv;
}

public boolean isVendPendCvNull() {
return vendPendCvNull;
}

public void setVendPendCv(int vendPendCv) {
setVendPendCv(new Long(vendPendCv));
}

public void setVendPendCv(Long vendPendCv) {
if (vendPendCv == null) {
vendPendCvNull = true;
this.vendPendCv = 0l;
} else { 
vendPendCvNull = false;
this.vendPendCv = vendPendCv;
}
}

public long getRede() {
return rede;
}

public boolean isRedeNull() {
return redeNull;
}

public void setRede(int rede) {
setRede(new Long(rede));
}

public void setRede(Long rede) {
if (rede == null) {
redeNull = true;
this.rede = 0l;
} else { 
redeNull = false;
this.rede = rede;
}
}

public long getLojaPc() {
return lojaPc;
}

public boolean isLojaPcNull() {
return lojaPcNull;
}

public void setLojaPc(int lojaPc) {
setLojaPc(new Long(lojaPc));
}

public void setLojaPc(Long lojaPc) {
if (lojaPc == null) {
lojaPcNull = true;
this.lojaPc = 0l;
} else { 
lojaPcNull = false;
this.lojaPc = lojaPc;
}
}

public long getFabricante() {
return fabricante;
}

public boolean isFabricanteNull() {
return fabricanteNull;
}

public void setFabricante(int fabricante) {
setFabricante(new Long(fabricante));
}

public void setFabricante(Long fabricante) {
if (fabricante == null) {
fabricanteNull = true;
this.fabricante = 0l;
} else { 
fabricanteNull = false;
this.fabricante = fabricante;
}
}

public long getTotalRedeTerc() {
return totalRedeTerc;
}

public boolean isTotalRedeTercNull() {
return totalRedeTercNull;
}

public void setTotalRedeTerc(int totalRedeTerc) {
setTotalRedeTerc(new Long(totalRedeTerc));
}

public void setTotalRedeTerc(Long totalRedeTerc) {
if (totalRedeTerc == null) {
totalRedeTercNull = true;
this.totalRedeTerc = 0l;
} else { 
totalRedeTercNull = false;
this.totalRedeTerc = totalRedeTerc;
}
}

public long getCompra() {
return compra;
}

public boolean isCompraNull() {
return compraNull;
}

public void setCompra(int compra) {
setCompra(new Long(compra));
}

public void setCompra(Long compra) {
if (compra == null) {
compraNull = true;
this.compra = 0l;
} else { 
compraNull = false;
this.compra = compra;
}
}

public long getCompraEspec() {
return compraEspec;
}

public boolean isCompraEspecNull() {
return compraEspecNull;
}

public void setCompraEspec(int compraEspec) {
setCompraEspec(new Long(compraEspec));
}

public void setCompraEspec(Long compraEspec) {
if (compraEspec == null) {
compraEspecNull = true;
this.compraEspec = 0l;
} else { 
compraEspecNull = false;
this.compraEspec = compraEspec;
}
}

public long getTotalFord() {
return totalFord;
}

public boolean isTotalFordNull() {
return totalFordNull;
}

public void setTotalFord(int totalFord) {
setTotalFord(new Long(totalFord));
}

public void setTotalFord(Long totalFord) {
if (totalFord == null) {
totalFordNull = true;
this.totalFord = 0l;
} else { 
totalFordNull = false;
this.totalFord = totalFord;
}
}

public long getGerente() {
return gerente;
}

public boolean isGerenteNull() {
return gerenteNull;
}

public void setGerente(int gerente) {
setGerente(new Long(gerente));
}

public void setGerente(Long gerente) {
if (gerente == null) {
gerenteNull = true;
this.gerente = 0l;
} else { 
gerenteNull = false;
this.gerente = gerente;
}
}

public long getAdministrativo() {
return administrativo;
}

public boolean isAdministrativoNull() {
return administrativoNull;
}

public void setAdministrativo(int administrativo) {
setAdministrativo(new Long(administrativo));
}

public void setAdministrativo(Long administrativo) {
if (administrativo == null) {
administrativoNull = true;
this.administrativo = 0l;
} else { 
administrativoNull = false;
this.administrativo = administrativo;
}
}

public long getBalcVarejo() {
return balcVarejo;
}

public boolean isBalcVarejoNull() {
return balcVarejoNull;
}

public void setBalcVarejo(int balcVarejo) {
setBalcVarejo(new Long(balcVarejo));
}

public void setBalcVarejo(Long balcVarejo) {
if (balcVarejo == null) {
balcVarejoNull = true;
this.balcVarejo = 0l;
} else { 
balcVarejoNull = false;
this.balcVarejo = balcVarejo;
}
}

public long getBalcOficina() {
return balcOficina;
}

public boolean isBalcOficinaNull() {
return balcOficinaNull;
}

public void setBalcOficina(int balcOficina) {
setBalcOficina(new Long(balcOficina));
}

public void setBalcOficina(Long balcOficina) {
if (balcOficina == null) {
balcOficinaNull = true;
this.balcOficina = 0l;
} else { 
balcOficinaNull = false;
this.balcOficina = balcOficina;
}
}

public long getVendedAtacado() {
return vendedAtacado;
}

public boolean isVendedAtacadoNull() {
return vendedAtacadoNull;
}

public void setVendedAtacado(int vendedAtacado) {
setVendedAtacado(new Long(vendedAtacado));
}

public void setVendedAtacado(Long vendedAtacado) {
if (vendedAtacado == null) {
vendedAtacadoNull = true;
this.vendedAtacado = 0l;
} else { 
vendedAtacadoNull = false;
this.vendedAtacado = vendedAtacado;
}
}

public long getVendedAcessorio() {
return vendedAcessorio;
}

public boolean isVendedAcessorioNull() {
return vendedAcessorioNull;
}

public void setVendedAcessorio(int vendedAcessorio) {
setVendedAcessorio(new Long(vendedAcessorio));
}

public void setVendedAcessorio(Long vendedAcessorio) {
if (vendedAcessorio == null) {
vendedAcessorioNull = true;
this.vendedAcessorio = 0l;
} else { 
vendedAcessorioNull = false;
this.vendedAcessorio = vendedAcessorio;
}
}

public long getTotGeral() {
return totGeral;
}

public boolean isTotGeralNull() {
return totGeralNull;
}

public void setTotGeral(int totGeral) {
setTotGeral(new Long(totGeral));
}

public void setTotGeral(Long totGeral) {
if (totGeral == null) {
totGeralNull = true;
this.totGeral = 0l;
} else { 
totGeralNull = false;
this.totGeral = totGeral;
}
}

}

