package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFdretflo {
@Coluna(nome="fdretflo.bancofloor", tipo="int")
private int bancofloor;
private boolean bancofloorNull;
@Coluna(nome="fdretflo.contafloor", tipo="int")
private int contafloor;
private boolean contafloorNull;
@Coluna(nome="fdretflo.novousado", tipo="String")
private String novousado;
@Coluna(nome="fdretflo.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="fdretflo.modelo", tipo="String")
private String modelo;
@Coluna(nome="fdretflo.prazo", tipo="int")
private int prazo;
private boolean prazoNull;
@Coluna(nome="fdretflo.dt_val_ini", tipo="FglDate")
private FglDate dtValIni;
@Coluna(nome="fdretflo.dt_val_fim", tipo="FglDate")
private FglDate dtValFim;
@Coluna(nome="fdretflo.dt_fat_ini", tipo="FglDate")
private FglDate dtFatIni;
@Coluna(nome="fdretflo.dt_fat_fim", tipo="FglDate")
private FglDate dtFatFim;
@Coluna(nome="fdretflo.calculafp", tipo="String")
private String calculafp;
@Coluna(nome="fdretflo.taxabonus", tipo="double")
private double taxabonus;
private boolean taxabonusNull;
@Coluna(nome="fdretflo.taxarebate", tipo="double")
private double taxarebate;
private boolean taxarebateNull;
@Coluna(nome="fdretflo.valorrebate", tipo="double")
private double valorrebate;
private boolean valorrebateNull;
@Coluna(nome="fdretflo.valorrebfav", tipo="double")
private double valorrebfav;
private boolean valorrebfavNull;

public TabFdretflo() {
initialize();
}

public void initialize() {
setBancofloor(null);
setContafloor(null);
setNovousado(null);
setFamilia(null);
setModelo(null);
setPrazo(null);
setDtValIni(null);
setDtValFim(null);
setDtFatIni(null);
setDtFatFim(null);
setCalculafp(null);
setTaxabonus(null);
setTaxarebate(null);
setValorrebate(null);
setValorrebfav(null);
}

public TabFdretflo(int bancofloor, int contafloor, String novousado, int familia, String modelo, int prazo, FglDate dtValIni, FglDate dtValFim, FglDate dtFatIni, FglDate dtFatFim, String calculafp, double taxabonus, double taxarebate, double valorrebate, double valorrebfav) {
this.bancofloor = bancofloor;
this.contafloor = contafloor;
this.novousado = novousado;
this.familia = familia;
this.modelo = modelo;
this.prazo = prazo;
this.dtValIni = dtValIni;
this.dtValFim = dtValFim;
this.dtFatIni = dtFatIni;
this.dtFatFim = dtFatFim;
this.calculafp = calculafp;
this.taxabonus = taxabonus;
this.taxarebate = taxarebate;
this.valorrebate = valorrebate;
this.valorrebfav = valorrebfav;
}

public int getBancofloor() {
return bancofloor;
}

public boolean isBancofloorNull() {
return bancofloorNull;
}

public void setBancofloor(Integer bancofloor) {
if (bancofloor == null) {
bancofloorNull = true;
this.bancofloor = 0;
} else { 
bancofloorNull = false;
this.bancofloor = bancofloor;
}
}

public int getContafloor() {
return contafloor;
}

public boolean isContafloorNull() {
return contafloorNull;
}

public void setContafloor(Integer contafloor) {
if (contafloor == null) {
contafloorNull = true;
this.contafloor = 0;
} else { 
contafloorNull = false;
this.contafloor = contafloor;
}
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getPrazo() {
return prazo;
}

public boolean isPrazoNull() {
return prazoNull;
}

public void setPrazo(Integer prazo) {
if (prazo == null) {
prazoNull = true;
this.prazo = 0;
} else { 
prazoNull = false;
this.prazo = prazo;
}
}

public FglDate getDtValIni() {
return dtValIni;
}

public void setDtValIni(FglDate dtValIni) {
this.dtValIni = dtValIni;
}

public FglDate getDtValFim() {
return dtValFim;
}

public void setDtValFim(FglDate dtValFim) {
this.dtValFim = dtValFim;
}

public FglDate getDtFatIni() {
return dtFatIni;
}

public void setDtFatIni(FglDate dtFatIni) {
this.dtFatIni = dtFatIni;
}

public FglDate getDtFatFim() {
return dtFatFim;
}

public void setDtFatFim(FglDate dtFatFim) {
this.dtFatFim = dtFatFim;
}

public String getCalculafp() {
return calculafp;
}

public void setCalculafp(String calculafp) {
this.calculafp = calculafp;
}

public double getTaxabonus() {
return taxabonus;
}

public boolean isTaxabonusNull() {
return taxabonusNull;
}

public void setTaxabonus(int taxabonus) {
setTaxabonus(new Double(taxabonus));
}

public void setTaxabonus(long taxabonus) {
setTaxabonus(new Double(taxabonus));
}

public void setTaxabonus(Double taxabonus) {
if (taxabonus == null) {
taxabonusNull = true;
this.taxabonus = 0.;
} else { 
taxabonusNull = false;
this.taxabonus = FglDouble.round(taxabonus, 2);
}
}

public double getTaxarebate() {
return taxarebate;
}

public boolean isTaxarebateNull() {
return taxarebateNull;
}

public void setTaxarebate(int taxarebate) {
setTaxarebate(new Double(taxarebate));
}

public void setTaxarebate(long taxarebate) {
setTaxarebate(new Double(taxarebate));
}

public void setTaxarebate(Double taxarebate) {
if (taxarebate == null) {
taxarebateNull = true;
this.taxarebate = 0.;
} else { 
taxarebateNull = false;
this.taxarebate = FglDouble.round(taxarebate, 2);
}
}

public double getValorrebate() {
return valorrebate;
}

public boolean isValorrebateNull() {
return valorrebateNull;
}

public void setValorrebate(int valorrebate) {
setValorrebate(new Double(valorrebate));
}

public void setValorrebate(long valorrebate) {
setValorrebate(new Double(valorrebate));
}

public void setValorrebate(Double valorrebate) {
if (valorrebate == null) {
valorrebateNull = true;
this.valorrebate = 0.;
} else { 
valorrebateNull = false;
this.valorrebate = FglDouble.round(valorrebate, 2);
}
}

public double getValorrebfav() {
return valorrebfav;
}

public boolean isValorrebfavNull() {
return valorrebfavNull;
}

public void setValorrebfav(int valorrebfav) {
setValorrebfav(new Double(valorrebfav));
}

public void setValorrebfav(long valorrebfav) {
setValorrebfav(new Double(valorrebfav));
}

public void setValorrebfav(Double valorrebfav) {
if (valorrebfav == null) {
valorrebfavNull = true;
this.valorrebfav = 0.;
} else { 
valorrebfavNull = false;
this.valorrebfav = FglDouble.round(valorrebfav, 2);
}
}

}

