package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabFlychats {
@Coluna(nome="flychats.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="flychats.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="flychats.placa", tipo="String")
private String placa;
@Coluna(nome="flychats.chassis", tipo="String")
private String chassis;
@Coluna(nome="flychats.dtchegada", tipo="FglDate")
private FglDate dtchegada;
@Coluna(nome="flychats.hrchegada", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrchegada;
@Coluna(nome="flychats.dtentrega", tipo="FglDate")
private FglDate dtentrega;
@Coluna(nome="flychats.hrentrega", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrentrega;
@Coluna(nome="flychats.dtprevista", tipo="FglDate")
private FglDate dtprevista;
@Coluna(nome="flychats.hrprevista", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrprevista;
@Coluna(nome="flychats.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="flychats.dtinclusao", tipo="FglDate")
private FglDate dtinclusao;
@Coluna(nome="flychats.hrinclusao", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinclusao;

public TabFlychats() {
initialize();
}

public void initialize() {
setIdAgetoy(null);
setFilial(null);
setPlaca(null);
setChassis(null);
setDtchegada(null);
setHrchegada(null);
setDtentrega(null);
setHrentrega(null);
setDtprevista(null);
setHrprevista(null);
setIdAgente(null);
setDtinclusao(null);
setHrinclusao(null);
}

public TabFlychats(int idAgetoy, int filial, String placa, String chassis, FglDate dtchegada, FglDateTimeHMin hrchegada, FglDate dtentrega, FglDateTimeHMin hrentrega, FglDate dtprevista, FglDateTimeHMin hrprevista, int idAgente, FglDate dtinclusao, FglDateTimeHMin hrinclusao) {
this.idAgetoy = idAgetoy;
this.filial = filial;
this.placa = placa;
this.chassis = chassis;
this.dtchegada = dtchegada;
this.hrchegada = hrchegada;
this.dtentrega = dtentrega;
this.hrentrega = hrentrega;
this.dtprevista = dtprevista;
this.hrprevista = hrprevista;
this.idAgente = idAgente;
this.dtinclusao = dtinclusao;
this.hrinclusao = hrinclusao;
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDtchegada() {
return dtchegada;
}

public void setDtchegada(FglDate dtchegada) {
this.dtchegada = dtchegada;
}

public FglDateTimeHMin getHrchegada() {
return hrchegada;
}

public void setHrchegada(FglDateTimeHMin hrchegada) {
this.hrchegada = hrchegada;
}

public FglDate getDtentrega() {
return dtentrega;
}

public void setDtentrega(FglDate dtentrega) {
this.dtentrega = dtentrega;
}

public FglDateTimeHMin getHrentrega() {
return hrentrega;
}

public void setHrentrega(FglDateTimeHMin hrentrega) {
this.hrentrega = hrentrega;
}

public FglDate getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDate dtprevista) {
this.dtprevista = dtprevista;
}

public FglDateTimeHMin getHrprevista() {
return hrprevista;
}

public void setHrprevista(FglDateTimeHMin hrprevista) {
this.hrprevista = hrprevista;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinclusao() {
return dtinclusao;
}

public void setDtinclusao(FglDate dtinclusao) {
this.dtinclusao = dtinclusao;
}

public FglDateTimeHMin getHrinclusao() {
return hrinclusao;
}

public void setHrinclusao(FglDateTimeHMin hrinclusao) {
this.hrinclusao = hrinclusao;
}

}

