package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFtgarret {
@Coluna(nome="ftgarret.id_garret", tipo="int")
private int idGarret;
private boolean idGarretNull;
@Coluna(nome="ftgarret.id_garcap", tipo="int")
private int idGarcap;
private boolean idGarcapNull;
@Coluna(nome="ftgarret.codig_excutante", tipo="String")
private String codigExcutante;
@Coluna(nome="ftgarret.nro_sg", tipo="int")
private int nroSg;
private boolean nroSgNull;
@Coluna(nome="ftgarret.data_emissao", tipo="FglDateTimeYM")
private FglDateTimeYM dataEmissao;
@Coluna(nome="ftgarret.valor_requerido", tipo="double")
private double valorRequerido;
private boolean valorRequeridoNull;
@Coluna(nome="ftgarret.valor_pago", tipo="double")
private double valorPago;
private boolean valorPagoNull;
@Coluna(nome="ftgarret.valor_penalizac", tipo="double")
private double valorPenalizac;
private boolean valorPenalizacNull;
@Coluna(nome="ftgarret.difer_hor_mo", tipo="double")
private double diferHorMo;
private boolean diferHorMoNull;
@Coluna(nome="ftgarret.difer_val_mat", tipo="double")
private double diferValMat;
private boolean diferValMatNull;

public TabFtgarret() {
initialize();
}

public void initialize() {
setIdGarret(null);
setIdGarcap(null);
setCodigExcutante(null);
setNroSg(null);
setDataEmissao(null);
setValorRequerido(null);
setValorPago(null);
setValorPenalizac(null);
setDiferHorMo(null);
setDiferValMat(null);
}

public TabFtgarret(int idGarret, int idGarcap, String codigExcutante, int nroSg, FglDateTimeYM dataEmissao, double valorRequerido, double valorPago, double valorPenalizac, double diferHorMo, double diferValMat) {
this.idGarret = idGarret;
this.idGarcap = idGarcap;
this.codigExcutante = codigExcutante;
this.nroSg = nroSg;
this.dataEmissao = dataEmissao;
this.valorRequerido = valorRequerido;
this.valorPago = valorPago;
this.valorPenalizac = valorPenalizac;
this.diferHorMo = diferHorMo;
this.diferValMat = diferValMat;
}

public int getIdGarret() {
return idGarret;
}

public boolean isIdGarretNull() {
return idGarretNull;
}

public void setIdGarret(Integer idGarret) {
if (idGarret == null) {
idGarretNull = true;
this.idGarret = 0;
} else { 
idGarretNull = false;
this.idGarret = idGarret;
}
}

public int getIdGarcap() {
return idGarcap;
}

public boolean isIdGarcapNull() {
return idGarcapNull;
}

public void setIdGarcap(Integer idGarcap) {
if (idGarcap == null) {
idGarcapNull = true;
this.idGarcap = 0;
} else { 
idGarcapNull = false;
this.idGarcap = idGarcap;
}
}

public String getCodigExcutante() {
return codigExcutante;
}

public void setCodigExcutante(String codigExcutante) {
this.codigExcutante = codigExcutante;
}

public int getNroSg() {
return nroSg;
}

public boolean isNroSgNull() {
return nroSgNull;
}

public void setNroSg(Integer nroSg) {
if (nroSg == null) {
nroSgNull = true;
this.nroSg = 0;
} else { 
nroSgNull = false;
this.nroSg = nroSg;
}
}

public FglDateTimeYM getDataEmissao() {
return dataEmissao;
}

public void setDataEmissao(FglDateTimeYM dataEmissao) {
this.dataEmissao = dataEmissao;
}

public double getValorRequerido() {
return valorRequerido;
}

public boolean isValorRequeridoNull() {
return valorRequeridoNull;
}

public void setValorRequerido(int valorRequerido) {
setValorRequerido(new Double(valorRequerido));
}

public void setValorRequerido(long valorRequerido) {
setValorRequerido(new Double(valorRequerido));
}

public void setValorRequerido(Double valorRequerido) {
if (valorRequerido == null) {
valorRequeridoNull = true;
this.valorRequerido = 0.;
} else { 
valorRequeridoNull = false;
this.valorRequerido = FglDouble.round(valorRequerido, 2);
}
}

public double getValorPago() {
return valorPago;
}

public boolean isValorPagoNull() {
return valorPagoNull;
}

public void setValorPago(int valorPago) {
setValorPago(new Double(valorPago));
}

public void setValorPago(long valorPago) {
setValorPago(new Double(valorPago));
}

public void setValorPago(Double valorPago) {
if (valorPago == null) {
valorPagoNull = true;
this.valorPago = 0.;
} else { 
valorPagoNull = false;
this.valorPago = FglDouble.round(valorPago, 2);
}
}

public double getValorPenalizac() {
return valorPenalizac;
}

public boolean isValorPenalizacNull() {
return valorPenalizacNull;
}

public void setValorPenalizac(int valorPenalizac) {
setValorPenalizac(new Double(valorPenalizac));
}

public void setValorPenalizac(long valorPenalizac) {
setValorPenalizac(new Double(valorPenalizac));
}

public void setValorPenalizac(Double valorPenalizac) {
if (valorPenalizac == null) {
valorPenalizacNull = true;
this.valorPenalizac = 0.;
} else { 
valorPenalizacNull = false;
this.valorPenalizac = FglDouble.round(valorPenalizac, 2);
}
}

public double getDiferHorMo() {
return diferHorMo;
}

public boolean isDiferHorMoNull() {
return diferHorMoNull;
}

public void setDiferHorMo(int diferHorMo) {
setDiferHorMo(new Double(diferHorMo));
}

public void setDiferHorMo(long diferHorMo) {
setDiferHorMo(new Double(diferHorMo));
}

public void setDiferHorMo(Double diferHorMo) {
if (diferHorMo == null) {
diferHorMoNull = true;
this.diferHorMo = 0.;
} else { 
diferHorMoNull = false;
this.diferHorMo = FglDouble.round(diferHorMo, 2);
}
}

public double getDiferValMat() {
return diferValMat;
}

public boolean isDiferValMatNull() {
return diferValMatNull;
}

public void setDiferValMat(int diferValMat) {
setDiferValMat(new Double(diferValMat));
}

public void setDiferValMat(long diferValMat) {
setDiferValMat(new Double(diferValMat));
}

public void setDiferValMat(Double diferValMat) {
if (diferValMat == null) {
diferValMatNull = true;
this.diferValMat = 0.;
} else { 
diferValMatNull = false;
this.diferValMat = FglDouble.round(diferValMat, 2);
}
}

}

