package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabFtrevpvl {
@Coluna(nome="ftrevpvl.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="ftrevpvl.codrev", tipo="long")
private long codrev;
private boolean codrevNull;
@Coluna(nome="ftrevpvl.numvol", tipo="int")
private int numvol;
private boolean numvolNull;
@Coluna(nome="ftrevpvl.tporms", tipo="String")
private String tporms;
@Coluna(nome="ftrevpvl.datemb", tipo="FglDate")
private FglDate datemb;
@Coluna(nome="ftrevpvl.qtdkgs", tipo="double")
private double qtdkgs;
private boolean qtdkgsNull;

public TabFtrevpvl() {
initialize();
}

public void initialize() {
setFilial(null);
setCodrev(null);
setNumvol(null);
setTporms(null);
setDatemb(null);
setQtdkgs(null);
}

public TabFtrevpvl(int filial, long codrev, int numvol, String tporms, FglDate datemb, double qtdkgs) {
this.filial = filial;
this.codrev = codrev;
this.numvol = numvol;
this.tporms = tporms;
this.datemb = datemb;
this.qtdkgs = qtdkgs;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getCodrev() {
return codrev;
}

public boolean isCodrevNull() {
return codrevNull;
}

public void setCodrev(int codrev) {
setCodrev(new Long(codrev));
}

public void setCodrev(Long codrev) {
if (codrev == null) {
codrevNull = true;
this.codrev = 0l;
} else { 
codrevNull = false;
this.codrev = codrev;
}
}

public int getNumvol() {
return numvol;
}

public boolean isNumvolNull() {
return numvolNull;
}

public void setNumvol(Integer numvol) {
if (numvol == null) {
numvolNull = true;
this.numvol = 0;
} else { 
numvolNull = false;
this.numvol = numvol;
}
}

public String getTporms() {
return tporms;
}

public void setTporms(String tporms) {
this.tporms = tporms;
}

public FglDate getDatemb() {
return datemb;
}

public void setDatemb(FglDate datemb) {
this.datemb = datemb;
}

public double getQtdkgs() {
return qtdkgs;
}

public boolean isQtdkgsNull() {
return qtdkgsNull;
}

public void setQtdkgs(int qtdkgs) {
setQtdkgs(new Double(qtdkgs));
}

public void setQtdkgs(long qtdkgs) {
setQtdkgs(new Double(qtdkgs));
}

public void setQtdkgs(Double qtdkgs) {
if (qtdkgs == null) {
qtdkgsNull = true;
this.qtdkgs = 0.;
} else { 
qtdkgsNull = false;
this.qtdkgs = FglDouble.round(qtdkgs, 2);
}
}

}

