package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeAplicacao {
@Coluna(nome="ge_aplicacao.seqaplicacao", tipo="long")
private long seqaplicacao;
private boolean seqaplicacaoNull;
@Coluna(nome="ge_aplicacao.codaplicacao", tipo="String")
private String codaplicacao;
@Coluna(nome="ge_aplicacao.sistema", tipo="String")
private String sistema;
@Coluna(nome="ge_aplicacao.modulo", tipo="String")
private String modulo;
@Coluna(nome="ge_aplicacao.descricao", tipo="String")
private String descricao;
@Coluna(nome="ge_aplicacao.dtlimiteuso", tipo="FglDateTimeYS")
private FglDateTimeYS dtlimiteuso;
@Coluna(nome="ge_aplicacao.tipoacesso", tipo="String")
private String tipoacesso;
@Coluna(nome="ge_aplicacao.registrarlog", tipo="String")
private String registrarlog;
@Coluna(nome="ge_aplicacao.especial1", tipo="String")
private String especial1;
@Coluna(nome="ge_aplicacao.especial2", tipo="String")
private String especial2;
@Coluna(nome="ge_aplicacao.especial3", tipo="String")
private String especial3;
@Coluna(nome="ge_aplicacao.especial4", tipo="String")
private String especial4;

public TabGeAplicacao() {
initialize();
}

public void initialize() {
setSeqaplicacao(null);
setCodaplicacao(null);
setSistema(null);
setModulo(null);
setDescricao(null);
setDtlimiteuso(null);
setTipoacesso(null);
setRegistrarlog(null);
setEspecial1(null);
setEspecial2(null);
setEspecial3(null);
setEspecial4(null);
}

public TabGeAplicacao(long seqaplicacao, String codaplicacao, String sistema, String modulo, String descricao, FglDateTimeYS dtlimiteuso, String tipoacesso, String registrarlog, String especial1, String especial2, String especial3, String especial4) {
this.seqaplicacao = seqaplicacao;
this.codaplicacao = codaplicacao;
this.sistema = sistema;
this.modulo = modulo;
this.descricao = descricao;
this.dtlimiteuso = dtlimiteuso;
this.tipoacesso = tipoacesso;
this.registrarlog = registrarlog;
this.especial1 = especial1;
this.especial2 = especial2;
this.especial3 = especial3;
this.especial4 = especial4;
}

public long getSeqaplicacao() {
return seqaplicacao;
}

public boolean isSeqaplicacaoNull() {
return seqaplicacaoNull;
}

public void setSeqaplicacao(int seqaplicacao) {
setSeqaplicacao(new Long(seqaplicacao));
}

public void setSeqaplicacao(Long seqaplicacao) {
if (seqaplicacao == null) {
seqaplicacaoNull = true;
this.seqaplicacao = 0l;
} else { 
seqaplicacaoNull = false;
this.seqaplicacao = seqaplicacao;
}
}

public String getCodaplicacao() {
return codaplicacao;
}

public void setCodaplicacao(String codaplicacao) {
this.codaplicacao = codaplicacao;
}

public String getSistema() {
return sistema;
}

public void setSistema(String sistema) {
this.sistema = sistema;
}

public String getModulo() {
return modulo;
}

public void setModulo(String modulo) {
this.modulo = modulo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDateTimeYS getDtlimiteuso() {
return dtlimiteuso;
}

public void setDtlimiteuso(FglDateTimeYS dtlimiteuso) {
this.dtlimiteuso = dtlimiteuso;
}

public String getTipoacesso() {
return tipoacesso;
}

public void setTipoacesso(String tipoacesso) {
this.tipoacesso = tipoacesso;
}

public String getRegistrarlog() {
return registrarlog;
}

public void setRegistrarlog(String registrarlog) {
this.registrarlog = registrarlog;
}

public String getEspecial1() {
return especial1;
}

public void setEspecial1(String especial1) {
this.especial1 = especial1;
}

public String getEspecial2() {
return especial2;
}

public void setEspecial2(String especial2) {
this.especial2 = especial2;
}

public String getEspecial3() {
return especial3;
}

public void setEspecial3(String especial3) {
this.especial3 = especial3;
}

public String getEspecial4() {
return especial4;
}

public void setEspecial4(String especial4) {
this.especial4 = especial4;
}

}

