package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeContato {
@Coluna(nome="ge_contato.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_contato.seqcontato", tipo="int")
private int seqcontato;
private boolean seqcontatoNull;
@Coluna(nome="ge_contato.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="ge_contato.tipocontato", tipo="String")
private String tipocontato;
@Coluna(nome="ge_contato.areaatuacao", tipo="String")
private String areaatuacao;
@Coluna(nome="ge_contato.rg", tipo="String")
private String rg;
@Coluna(nome="ge_contato.cpf", tipo="long")
private long cpf;
private boolean cpfNull;
@Coluna(nome="ge_contato.digcpf", tipo="int")
private int digcpf;
private boolean digcpfNull;
@Coluna(nome="ge_contato.saudacao", tipo="String")
private String saudacao;
@Coluna(nome="ge_contato.contato", tipo="String")
private String contato;
@Coluna(nome="ge_contato.foneddd1", tipo="String")
private String foneddd1;
@Coluna(nome="ge_contato.fonenro1", tipo="long")
private long fonenro1;
private boolean fonenro1Null;
@Coluna(nome="ge_contato.fonecmpl1", tipo="String")
private String fonecmpl1;
@Coluna(nome="ge_contato.foneddd2", tipo="String")
private String foneddd2;
@Coluna(nome="ge_contato.fonenro2", tipo="long")
private long fonenro2;
private boolean fonenro2Null;
@Coluna(nome="ge_contato.fonecmpl2", tipo="String")
private String fonecmpl2;
@Coluna(nome="ge_contato.faxddd", tipo="String")
private String faxddd;
@Coluna(nome="ge_contato.faxnro", tipo="long")
private long faxnro;
private boolean faxnroNull;
@Coluna(nome="ge_contato.sexo", tipo="String")
private String sexo;
@Coluna(nome="ge_contato.estadocivil", tipo="String")
private String estadocivil;
@Coluna(nome="ge_contato.dtanascimento", tipo="FglDateTimeYS")
private FglDateTimeYS dtanascimento;
@Coluna(nome="ge_contato.atributo1", tipo="String")
private String atributo1;
@Coluna(nome="ge_contato.atributo2", tipo="String")
private String atributo2;
@Coluna(nome="ge_contato.atributo3", tipo="String")
private String atributo3;
@Coluna(nome="ge_contato.atribdta", tipo="FglDateTimeYS")
private FglDateTimeYS atribdta;
@Coluna(nome="ge_contato.atribnum", tipo="long")
private long atribnum;
private boolean atribnumNull;
@Coluna(nome="ge_contato.email", tipo="String")
private String email;
@Coluna(nome="ge_contato.observacao", tipo="String")
private String observacao;
@Coluna(nome="ge_contato.linkweb", tipo="int")
private int linkweb;
private boolean linkwebNull;

public TabGeContato() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqcontato(null);
setEmuso(null);
setTipocontato(null);
setAreaatuacao(null);
setRg(null);
setCpf(null);
setDigcpf(null);
setSaudacao(null);
setContato(null);
setFoneddd1(null);
setFonenro1(null);
setFonecmpl1(null);
setFoneddd2(null);
setFonenro2(null);
setFonecmpl2(null);
setFaxddd(null);
setFaxnro(null);
setSexo(null);
setEstadocivil(null);
setDtanascimento(null);
setAtributo1(null);
setAtributo2(null);
setAtributo3(null);
setAtribdta(null);
setAtribnum(null);
setEmail(null);
setObservacao(null);
setLinkweb(null);
}

public TabGeContato(long seqpessoa, int seqcontato, int emuso, String tipocontato, String areaatuacao, String rg, long cpf, int digcpf, String saudacao, String contato, String foneddd1, long fonenro1, String fonecmpl1, String foneddd2, long fonenro2, String fonecmpl2, String faxddd, long faxnro, String sexo, String estadocivil, FglDateTimeYS dtanascimento, String atributo1, String atributo2, String atributo3, FglDateTimeYS atribdta, long atribnum, String email, String observacao, int linkweb) {
this.seqpessoa = seqpessoa;
this.seqcontato = seqcontato;
this.emuso = emuso;
this.tipocontato = tipocontato;
this.areaatuacao = areaatuacao;
this.rg = rg;
this.cpf = cpf;
this.digcpf = digcpf;
this.saudacao = saudacao;
this.contato = contato;
this.foneddd1 = foneddd1;
this.fonenro1 = fonenro1;
this.fonecmpl1 = fonecmpl1;
this.foneddd2 = foneddd2;
this.fonenro2 = fonenro2;
this.fonecmpl2 = fonecmpl2;
this.faxddd = faxddd;
this.faxnro = faxnro;
this.sexo = sexo;
this.estadocivil = estadocivil;
this.dtanascimento = dtanascimento;
this.atributo1 = atributo1;
this.atributo2 = atributo2;
this.atributo3 = atributo3;
this.atribdta = atribdta;
this.atribnum = atribnum;
this.email = email;
this.observacao = observacao;
this.linkweb = linkweb;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getSeqcontato() {
return seqcontato;
}

public boolean isSeqcontatoNull() {
return seqcontatoNull;
}

public void setSeqcontato(Integer seqcontato) {
if (seqcontato == null) {
seqcontatoNull = true;
this.seqcontato = 0;
} else { 
seqcontatoNull = false;
this.seqcontato = seqcontato;
}
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public String getTipocontato() {
return tipocontato;
}

public void setTipocontato(String tipocontato) {
this.tipocontato = tipocontato;
}

public String getAreaatuacao() {
return areaatuacao;
}

public void setAreaatuacao(String areaatuacao) {
this.areaatuacao = areaatuacao;
}

public String getRg() {
return rg;
}

public void setRg(String rg) {
this.rg = rg;
}

public long getCpf() {
return cpf;
}

public boolean isCpfNull() {
return cpfNull;
}

public void setCpf(int cpf) {
setCpf(new Long(cpf));
}

public void setCpf(Long cpf) {
if (cpf == null) {
cpfNull = true;
this.cpf = 0l;
} else { 
cpfNull = false;
this.cpf = cpf;
}
}

public int getDigcpf() {
return digcpf;
}

public boolean isDigcpfNull() {
return digcpfNull;
}

public void setDigcpf(Integer digcpf) {
if (digcpf == null) {
digcpfNull = true;
this.digcpf = 0;
} else { 
digcpfNull = false;
this.digcpf = digcpf;
}
}

public String getSaudacao() {
return saudacao;
}

public void setSaudacao(String saudacao) {
this.saudacao = saudacao;
}

public String getContato() {
return contato;
}

public void setContato(String contato) {
this.contato = contato;
}

public String getFoneddd1() {
return foneddd1;
}

public void setFoneddd1(String foneddd1) {
this.foneddd1 = foneddd1;
}

public long getFonenro1() {
return fonenro1;
}

public boolean isFonenro1Null() {
return fonenro1Null;
}

public void setFonenro1(int fonenro1) {
setFonenro1(new Long(fonenro1));
}

public void setFonenro1(Long fonenro1) {
if (fonenro1 == null) {
fonenro1Null = true;
this.fonenro1 = 0l;
} else { 
fonenro1Null = false;
this.fonenro1 = fonenro1;
}
}

public String getFonecmpl1() {
return fonecmpl1;
}

public void setFonecmpl1(String fonecmpl1) {
this.fonecmpl1 = fonecmpl1;
}

public String getFoneddd2() {
return foneddd2;
}

public void setFoneddd2(String foneddd2) {
this.foneddd2 = foneddd2;
}

public long getFonenro2() {
return fonenro2;
}

public boolean isFonenro2Null() {
return fonenro2Null;
}

public void setFonenro2(int fonenro2) {
setFonenro2(new Long(fonenro2));
}

public void setFonenro2(Long fonenro2) {
if (fonenro2 == null) {
fonenro2Null = true;
this.fonenro2 = 0l;
} else { 
fonenro2Null = false;
this.fonenro2 = fonenro2;
}
}

public String getFonecmpl2() {
return fonecmpl2;
}

public void setFonecmpl2(String fonecmpl2) {
this.fonecmpl2 = fonecmpl2;
}

public String getFaxddd() {
return faxddd;
}

public void setFaxddd(String faxddd) {
this.faxddd = faxddd;
}

public long getFaxnro() {
return faxnro;
}

public boolean isFaxnroNull() {
return faxnroNull;
}

public void setFaxnro(int faxnro) {
setFaxnro(new Long(faxnro));
}

public void setFaxnro(Long faxnro) {
if (faxnro == null) {
faxnroNull = true;
this.faxnro = 0l;
} else { 
faxnroNull = false;
this.faxnro = faxnro;
}
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public String getEstadocivil() {
return estadocivil;
}

public void setEstadocivil(String estadocivil) {
this.estadocivil = estadocivil;
}

public FglDateTimeYS getDtanascimento() {
return dtanascimento;
}

public void setDtanascimento(FglDateTimeYS dtanascimento) {
this.dtanascimento = dtanascimento;
}

public String getAtributo1() {
return atributo1;
}

public void setAtributo1(String atributo1) {
this.atributo1 = atributo1;
}

public String getAtributo2() {
return atributo2;
}

public void setAtributo2(String atributo2) {
this.atributo2 = atributo2;
}

public String getAtributo3() {
return atributo3;
}

public void setAtributo3(String atributo3) {
this.atributo3 = atributo3;
}

public FglDateTimeYS getAtribdta() {
return atribdta;
}

public void setAtribdta(FglDateTimeYS atribdta) {
this.atribdta = atribdta;
}

public long getAtribnum() {
return atribnum;
}

public boolean isAtribnumNull() {
return atribnumNull;
}

public void setAtribnum(int atribnum) {
setAtribnum(new Long(atribnum));
}

public void setAtribnum(Long atribnum) {
if (atribnum == null) {
atribnumNull = true;
this.atribnum = 0l;
} else { 
atribnumNull = false;
this.atribnum = atribnum;
}
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getLinkweb() {
return linkweb;
}

public boolean isLinkwebNull() {
return linkwebNull;
}

public void setLinkweb(Integer linkweb) {
if (linkweb == null) {
linkwebNull = true;
this.linkweb = 0;
} else { 
linkwebNull = false;
this.linkweb = linkweb;
}
}

}

