package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeContatopapel {
@Coluna(nome="ge_contatopapel.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_contatopapel.seqcontato", tipo="int")
private int seqcontato;
private boolean seqcontatoNull;
@Coluna(nome="ge_contatopapel.papel", tipo="String")
private String papel;
@Coluna(nome="ge_contatopapel.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_contatopapel.usualterou", tipo="String")
private String usualterou;

public TabGeContatopapel() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqcontato(null);
setPapel(null);
setDtaalteracao(null);
setUsualterou(null);
}

public TabGeContatopapel(long seqpessoa, int seqcontato, String papel, FglDateTimeYS dtaalteracao, String usualterou) {
this.seqpessoa = seqpessoa;
this.seqcontato = seqcontato;
this.papel = papel;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getSeqcontato() {
return seqcontato;
}

public boolean isSeqcontatoNull() {
return seqcontatoNull;
}

public void setSeqcontato(Integer seqcontato) {
if (seqcontato == null) {
seqcontatoNull = true;
this.seqcontato = 0;
} else { 
seqcontatoNull = false;
this.seqcontato = seqcontato;
}
}

public String getPapel() {
return papel;
}

public void setPapel(String papel) {
this.papel = papel;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

}

