package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeLogsdia {
@Coluna(nome="ge_logsdia.severidade", tipo="int")
private int severidade;
private boolean severidadeNull;
@Coluna(nome="ge_logsdia.dtalog", tipo="FglDateTimeYS")
private FglDateTimeYS dtalog;
@Coluna(nome="ge_logsdia.resumo", tipo="String")
private String resumo;
@Coluna(nome="ge_logsdia.origem", tipo="String")
private String origem;
@Coluna(nome="ge_logsdia.usuario", tipo="String")
private String usuario;
@Coluna(nome="ge_logsdia.linknro", tipo="long")
private long linknro;
private boolean linknroNull;
@Coluna(nome="ge_logsdia.linkstr", tipo="String")
private String linkstr;
@Coluna(nome="ge_logsdia.obs", tipo="String")
private String obs;

public TabGeLogsdia() {
initialize();
}

public void initialize() {
setSeveridade(null);
setDtalog(null);
setResumo(null);
setOrigem(null);
setUsuario(null);
setLinknro(null);
setLinkstr(null);
setObs(null);
}

public TabGeLogsdia(int severidade, FglDateTimeYS dtalog, String resumo, String origem, String usuario, long linknro, String linkstr, String obs) {
this.severidade = severidade;
this.dtalog = dtalog;
this.resumo = resumo;
this.origem = origem;
this.usuario = usuario;
this.linknro = linknro;
this.linkstr = linkstr;
this.obs = obs;
}

public int getSeveridade() {
return severidade;
}

public boolean isSeveridadeNull() {
return severidadeNull;
}

public void setSeveridade(Integer severidade) {
if (severidade == null) {
severidadeNull = true;
this.severidade = 0;
} else { 
severidadeNull = false;
this.severidade = severidade;
}
}

public FglDateTimeYS getDtalog() {
return dtalog;
}

public void setDtalog(FglDateTimeYS dtalog) {
this.dtalog = dtalog;
}

public String getResumo() {
return resumo;
}

public void setResumo(String resumo) {
this.resumo = resumo;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public long getLinknro() {
return linknro;
}

public boolean isLinknroNull() {
return linknroNull;
}

public void setLinknro(int linknro) {
setLinknro(new Long(linknro));
}

public void setLinknro(Long linknro) {
if (linknro == null) {
linknroNull = true;
this.linknro = 0l;
} else { 
linknroNull = false;
this.linknro = linknro;
}
}

public String getLinkstr() {
return linkstr;
}

public void setLinkstr(String linkstr) {
this.linkstr = linkstr;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

