package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeMod {
@Coluna(nome="ge_mod.modulo", tipo="String")
private String modulo;
@Coluna(nome="ge_mod.descricao", tipo="String")
private String descricao;
@Coluna(nome="ge_mod.tpac", tipo="String")
private String tpac;
@Coluna(nome="ge_mod.vers", tipo="String")
private String vers;
@Coluna(nome="ge_mod.datu", tipo="FglDateTimeYS")
private FglDateTimeYS datu;
@Coluna(nome="ge_mod.chks", tipo="String")
private String chks;

public TabGeMod() {
initialize();
}

public void initialize() {
setModulo(null);
setDescricao(null);
setTpac(null);
setVers(null);
setDatu(null);
setChks(null);
}

public TabGeMod(String modulo, String descricao, String tpac, String vers, FglDateTimeYS datu, String chks) {
this.modulo = modulo;
this.descricao = descricao;
this.tpac = tpac;
this.vers = vers;
this.datu = datu;
this.chks = chks;
}

public String getModulo() {
return modulo;
}

public void setModulo(String modulo) {
this.modulo = modulo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTpac() {
return tpac;
}

public void setTpac(String tpac) {
this.tpac = tpac;
}

public String getVers() {
return vers;
}

public void setVers(String vers) {
this.vers = vers;
}

public FglDateTimeYS getDatu() {
return datu;
}

public void setDatu(FglDateTimeYS datu) {
this.datu = datu;
}

public String getChks() {
return chks;
}

public void setChks(String chks) {
this.chks = chks;
}

}

