package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGeParametroglobal {
@Coluna(nome="ge_parametroglobal.sistema", tipo="String")
private String sistema;
@Coluna(nome="ge_parametroglobal.modulo", tipo="String")
private String modulo;
@Coluna(nome="ge_parametroglobal.nroempresa", tipo="int")
private int nroempresa;
private boolean nroempresaNull;
@Coluna(nome="ge_parametroglobal.parametro", tipo="String")
private String parametro;
@Coluna(nome="ge_parametroglobal.valor", tipo="String")
private String valor;
@Coluna(nome="ge_parametroglobal.criptografado", tipo="String")
private String criptografado;
@Coluna(nome="ge_parametroglobal.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_parametroglobal.usualteracao", tipo="String")
private String usualteracao;

public TabGeParametroglobal() {
initialize();
}

public void initialize() {
setSistema(null);
setModulo(null);
setNroempresa(null);
setParametro(null);
setValor(null);
setCriptografado(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabGeParametroglobal(String sistema, String modulo, int nroempresa, String parametro, String valor, String criptografado, FglDateTimeYS dtaalteracao, String usualteracao) {
this.sistema = sistema;
this.modulo = modulo;
this.nroempresa = nroempresa;
this.parametro = parametro;
this.valor = valor;
this.criptografado = criptografado;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public String getSistema() {
return sistema;
}

public void setSistema(String sistema) {
this.sistema = sistema;
}

public String getModulo() {
return modulo;
}

public void setModulo(String modulo) {
this.modulo = modulo;
}

public int getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(Integer nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public String getParametro() {
return parametro;
}

public void setParametro(String parametro) {
this.parametro = parametro;
}

public String getValor() {
return valor;
}

public void setValor(String valor) {
this.valor = valor;
}

public String getCriptografado() {
return criptografado;
}

public void setCriptografado(String criptografado) {
this.criptografado = criptografado;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

