package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGePessoaclasse {
@Coluna(nome="ge_pessoaclasse.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_pessoaclasse.classe", tipo="String")
private String classe;
@Coluna(nome="ge_pessoaclasse.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_pessoaclasse.usualteracao", tipo="String")
private String usualteracao;

public TabGePessoaclasse() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setClasse(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabGePessoaclasse(long seqpessoa, String classe, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqpessoa = seqpessoa;
this.classe = classe;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public String getClasse() {
return classe;
}

public void setClasse(String classe) {
this.classe = classe;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

