package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGePessoaemail {
@Coluna(nome="ge_pessoaemail.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_pessoaemail.seqcontato", tipo="int")
private int seqcontato;
private boolean seqcontatoNull;
@Coluna(nome="ge_pessoaemail.email", tipo="String")
private String email;
@Coluna(nome="ge_pessoaemail.preferencial", tipo="int")
private int preferencial;
private boolean preferencialNull;
@Coluna(nome="ge_pessoaemail.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ge_pessoaemail.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="ge_pessoaemail.origem", tipo="String")
private String origem;
@Coluna(nome="ge_pessoaemail.obs", tipo="String")
private String obs;

public TabGePessoaemail() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setSeqcontato(null);
setEmail(null);
setPreferencial(null);
setDtaalteracao(null);
setUsualteracao(null);
setOrigem(null);
setObs(null);
}

public TabGePessoaemail(long seqpessoa, int seqcontato, String email, int preferencial, FglDateTimeYS dtaalteracao, String usualteracao, String origem, String obs) {
this.seqpessoa = seqpessoa;
this.seqcontato = seqcontato;
this.email = email;
this.preferencial = preferencial;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
this.origem = origem;
this.obs = obs;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getSeqcontato() {
return seqcontato;
}

public boolean isSeqcontatoNull() {
return seqcontatoNull;
}

public void setSeqcontato(Integer seqcontato) {
if (seqcontato == null) {
seqcontatoNull = true;
this.seqcontato = 0;
} else { 
seqcontatoNull = false;
this.seqcontato = seqcontato;
}
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public int getPreferencial() {
return preferencial;
}

public boolean isPreferencialNull() {
return preferencialNull;
}

public void setPreferencial(Integer preferencial) {
if (preferencial == null) {
preferencialNull = true;
this.preferencial = 0;
} else { 
preferencialNull = false;
this.preferencial = preferencial;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

}

