package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGePessoaversao {
@Coluna(nome="ge_pessoaversao.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="ge_pessoaversao.versao", tipo="int")
private int versao;
private boolean versaoNull;
@Coluna(nome="ge_pessoaversao.nomerazao", tipo="String")
private String nomerazao;
@Coluna(nome="ge_pessoaversao.cidade", tipo="String")
private String cidade;
@Coluna(nome="ge_pessoaversao.uf", tipo="String")
private String uf;
@Coluna(nome="ge_pessoaversao.bairro", tipo="String")
private String bairro;
@Coluna(nome="ge_pessoaversao.enderecocompleto", tipo="String")
private String enderecocompleto;
@Coluna(nome="ge_pessoaversao.cep", tipo="String")
private String cep;
@Coluna(nome="ge_pessoaversao.pais", tipo="String")
private String pais;
@Coluna(nome="ge_pessoaversao.nrocgccpf", tipo="long")
private long nrocgccpf;
private boolean nrocgccpfNull;
@Coluna(nome="ge_pessoaversao.digcgccpf", tipo="int")
private int digcgccpf;
private boolean digcgccpfNull;
@Coluna(nome="ge_pessoaversao.inscricaorg", tipo="String")
private String inscricaorg;
@Coluna(nome="ge_pessoaversao.dtaatualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaatualizacao;
@Coluna(nome="ge_pessoaversao.usualterou", tipo="String")
private String usualterou;
@Coluna(nome="ge_pessoaversao.tipoalteracao", tipo="String")
private String tipoalteracao;
@Coluna(nome="ge_pessoaversao.justificativa", tipo="String")
private String justificativa;

public TabGePessoaversao() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setVersao(null);
setNomerazao(null);
setCidade(null);
setUf(null);
setBairro(null);
setEnderecocompleto(null);
setCep(null);
setPais(null);
setNrocgccpf(null);
setDigcgccpf(null);
setInscricaorg(null);
setDtaatualizacao(null);
setUsualterou(null);
setTipoalteracao(null);
setJustificativa(null);
}

public TabGePessoaversao(long seqpessoa, int versao, String nomerazao, String cidade, String uf, String bairro, String enderecocompleto, String cep, String pais, long nrocgccpf, int digcgccpf, String inscricaorg, FglDateTimeYS dtaatualizacao, String usualterou, String tipoalteracao, String justificativa) {
this.seqpessoa = seqpessoa;
this.versao = versao;
this.nomerazao = nomerazao;
this.cidade = cidade;
this.uf = uf;
this.bairro = bairro;
this.enderecocompleto = enderecocompleto;
this.cep = cep;
this.pais = pais;
this.nrocgccpf = nrocgccpf;
this.digcgccpf = digcgccpf;
this.inscricaorg = inscricaorg;
this.dtaatualizacao = dtaatualizacao;
this.usualterou = usualterou;
this.tipoalteracao = tipoalteracao;
this.justificativa = justificativa;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getVersao() {
return versao;
}

public boolean isVersaoNull() {
return versaoNull;
}

public void setVersao(Integer versao) {
if (versao == null) {
versaoNull = true;
this.versao = 0;
} else { 
versaoNull = false;
this.versao = versao;
}
}

public String getNomerazao() {
return nomerazao;
}

public void setNomerazao(String nomerazao) {
this.nomerazao = nomerazao;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getEnderecocompleto() {
return enderecocompleto;
}

public void setEnderecocompleto(String enderecocompleto) {
this.enderecocompleto = enderecocompleto;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getPais() {
return pais;
}

public void setPais(String pais) {
this.pais = pais;
}

public long getNrocgccpf() {
return nrocgccpf;
}

public boolean isNrocgccpfNull() {
return nrocgccpfNull;
}

public void setNrocgccpf(int nrocgccpf) {
setNrocgccpf(new Long(nrocgccpf));
}

public void setNrocgccpf(Long nrocgccpf) {
if (nrocgccpf == null) {
nrocgccpfNull = true;
this.nrocgccpf = 0l;
} else { 
nrocgccpfNull = false;
this.nrocgccpf = nrocgccpf;
}
}

public int getDigcgccpf() {
return digcgccpf;
}

public boolean isDigcgccpfNull() {
return digcgccpfNull;
}

public void setDigcgccpf(Integer digcgccpf) {
if (digcgccpf == null) {
digcgccpfNull = true;
this.digcgccpf = 0;
} else { 
digcgccpfNull = false;
this.digcgccpf = digcgccpf;
}
}

public String getInscricaorg() {
return inscricaorg;
}

public void setInscricaorg(String inscricaorg) {
this.inscricaorg = inscricaorg;
}

public FglDateTimeYS getDtaatualizacao() {
return dtaatualizacao;
}

public void setDtaatualizacao(FglDateTimeYS dtaatualizacao) {
this.dtaatualizacao = dtaatualizacao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

public String getTipoalteracao() {
return tipoalteracao;
}

public void setTipoalteracao(String tipoalteracao) {
this.tipoalteracao = tipoalteracao;
}

public String getJustificativa() {
return justificativa;
}

public void setJustificativa(String justificativa) {
this.justificativa = justificativa;
}

}

