package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGepImporttry {
@Coluna(nome="gep_importtry.seq", tipo="long")
private long seq;
private boolean seqNull;
@Coluna(nome="gep_importtry.origem", tipo="String")
private String origem;
@Coluna(nome="gep_importtry.dtalimitetentativa", tipo="FglDateTimeYS")
private FglDateTimeYS dtalimitetentativa;
@Coluna(nome="gep_importtry.razao", tipo="String")
private String razao;

public TabGepImporttry() {
initialize();
}

public void initialize() {
setSeq(null);
setOrigem(null);
setDtalimitetentativa(null);
setRazao(null);
}

public TabGepImporttry(long seq, String origem, FglDateTimeYS dtalimitetentativa, String razao) {
this.seq = seq;
this.origem = origem;
this.dtalimitetentativa = dtalimitetentativa;
this.razao = razao;
}

public long getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(int seq) {
setSeq(new Long(seq));
}

public void setSeq(Long seq) {
if (seq == null) {
seqNull = true;
this.seq = 0l;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public FglDateTimeYS getDtalimitetentativa() {
return dtalimitetentativa;
}

public void setDtalimitetentativa(FglDateTimeYS dtalimitetentativa) {
this.dtalimitetentativa = dtalimitetentativa;
}

public String getRazao() {
return razao;
}

public void setRazao(String razao) {
this.razao = razao;
}

}

