package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGepStandby {
@Coluna(nome="gep_standby.seqprocesso", tipo="long")
private long seqprocesso;
private boolean seqprocessoNull;
@Coluna(nome="gep_standby.aguardar", tipo="int")
private int aguardar;
private boolean aguardarNull;
@Coluna(nome="gep_standby.dtasuspensao", tipo="FglDateTimeYS")
private FglDateTimeYS dtasuspensao;
@Coluna(nome="gep_standby.agentesuspendeu", tipo="String")
private String agentesuspendeu;
@Coluna(nome="gep_standby.dtaliberacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaliberacao;
@Coluna(nome="gep_standby.agenteliberou", tipo="String")
private String agenteliberou;

public TabGepStandby() {
initialize();
}

public void initialize() {
setSeqprocesso(null);
setAguardar(null);
setDtasuspensao(null);
setAgentesuspendeu(null);
setDtaliberacao(null);
setAgenteliberou(null);
}

public TabGepStandby(long seqprocesso, int aguardar, FglDateTimeYS dtasuspensao, String agentesuspendeu, FglDateTimeYS dtaliberacao, String agenteliberou) {
this.seqprocesso = seqprocesso;
this.aguardar = aguardar;
this.dtasuspensao = dtasuspensao;
this.agentesuspendeu = agentesuspendeu;
this.dtaliberacao = dtaliberacao;
this.agenteliberou = agenteliberou;
}

public long getSeqprocesso() {
return seqprocesso;
}

public boolean isSeqprocessoNull() {
return seqprocessoNull;
}

public void setSeqprocesso(int seqprocesso) {
setSeqprocesso(new Long(seqprocesso));
}

public void setSeqprocesso(Long seqprocesso) {
if (seqprocesso == null) {
seqprocessoNull = true;
this.seqprocesso = 0l;
} else { 
seqprocessoNull = false;
this.seqprocesso = seqprocesso;
}
}

public int getAguardar() {
return aguardar;
}

public boolean isAguardarNull() {
return aguardarNull;
}

public void setAguardar(Integer aguardar) {
if (aguardar == null) {
aguardarNull = true;
this.aguardar = 0;
} else { 
aguardarNull = false;
this.aguardar = aguardar;
}
}

public FglDateTimeYS getDtasuspensao() {
return dtasuspensao;
}

public void setDtasuspensao(FglDateTimeYS dtasuspensao) {
this.dtasuspensao = dtasuspensao;
}

public String getAgentesuspendeu() {
return agentesuspendeu;
}

public void setAgentesuspendeu(String agentesuspendeu) {
this.agentesuspendeu = agentesuspendeu;
}

public FglDateTimeYS getDtaliberacao() {
return dtaliberacao;
}

public void setDtaliberacao(FglDateTimeYS dtaliberacao) {
this.dtaliberacao = dtaliberacao;
}

public String getAgenteliberou() {
return agenteliberou;
}

public void setAgenteliberou(String agenteliberou) {
this.agenteliberou = agenteliberou;
}

}

