package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGmarquar {
@Coluna(nome="gmarquar.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarquar.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarquar.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarquar.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarquar.dtgeracao", tipo="String")
private String dtgeracao;
@Coluna(nome="gmarquar.hrgeracao", tipo="String")
private String hrgeracao;
@Coluna(nome="gmarquar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmarquar.dealernr", tipo="String")
private String dealernr;
@Coluna(nome="gmarquar.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarquar.nfconc", tipo="long")
private long nfconc;
private boolean nfconcNull;
@Coluna(nome="gmarquar.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmarquar.dtenvio", tipo="String")
private String dtenvio;
@Coluna(nome="gmarquar.hrenvio", tipo="String")
private String hrenvio;
@Coluna(nome="gmarquar.coderro", tipo="String")
private String coderro;
@Coluna(nome="gmarquar.msgerro", tipo="String")
private String msgerro;
@Coluna(nome="gmarquar.atufwup", tipo="String")
private String atufwup;

public TabGmarquar() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setDtgeracao(null);
setHrgeracao(null);
setFilial(null);
setDealernr(null);
setTpreg(null);
setNfconc(null);
setChassis(null);
setDtenvio(null);
setHrenvio(null);
setCoderro(null);
setMsgerro(null);
setAtufwup(null);
}

public TabGmarquar(String arquivo, String complarq, String dtmovto, int seq, String dtgeracao, String hrgeracao, int filial, String dealernr, String tpreg, long nfconc, String chassis, String dtenvio, String hrenvio, String coderro, String msgerro, String atufwup) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.dtgeracao = dtgeracao;
this.hrgeracao = hrgeracao;
this.filial = filial;
this.dealernr = dealernr;
this.tpreg = tpreg;
this.nfconc = nfconc;
this.chassis = chassis;
this.dtenvio = dtenvio;
this.hrenvio = hrenvio;
this.coderro = coderro;
this.msgerro = msgerro;
this.atufwup = atufwup;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(String dtgeracao) {
this.dtgeracao = dtgeracao;
}

public String getHrgeracao() {
return hrgeracao;
}

public void setHrgeracao(String hrgeracao) {
this.hrgeracao = hrgeracao;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDealernr() {
return dealernr;
}

public void setDealernr(String dealernr) {
this.dealernr = dealernr;
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public long getNfconc() {
return nfconc;
}

public boolean isNfconcNull() {
return nfconcNull;
}

public void setNfconc(int nfconc) {
setNfconc(new Long(nfconc));
}

public void setNfconc(Long nfconc) {
if (nfconc == null) {
nfconcNull = true;
this.nfconc = 0l;
} else { 
nfconcNull = false;
this.nfconc = nfconc;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getDtenvio() {
return dtenvio;
}

public void setDtenvio(String dtenvio) {
this.dtenvio = dtenvio;
}

public String getHrenvio() {
return hrenvio;
}

public void setHrenvio(String hrenvio) {
this.hrenvio = hrenvio;
}

public String getCoderro() {
return coderro;
}

public void setCoderro(String coderro) {
this.coderro = coderro;
}

public String getMsgerro() {
return msgerro;
}

public void setMsgerro(String msgerro) {
this.msgerro = msgerro;
}

public String getAtufwup() {
return atufwup;
}

public void setAtufwup(String atufwup) {
this.atufwup = atufwup;
}

}

