package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGmarquct {
@Coluna(nome="gmarquct.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarquct.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarquct.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarquct.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarquct.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarquct.codcamp", tipo="String")
private String codcamp;
@Coluna(nome="gmarquct.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmarquct.seqproc", tipo="String")
private String seqproc;

public TabGmarquct() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setCodcamp(null);
setChassis(null);
setSeqproc(null);
}

public TabGmarquct(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String codcamp, String chassis, String seqproc) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.codcamp = codcamp;
this.chassis = chassis;
this.seqproc = seqproc;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getCodcamp() {
return codcamp;
}

public void setCodcamp(String codcamp) {
this.codcamp = codcamp;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getSeqproc() {
return seqproc;
}

public void setSeqproc(String seqproc) {
this.seqproc = seqproc;
}

}

