package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarqugp {
@Coluna(nome="gmarqugp.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqugp.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqugp.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqugp.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqugp.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqugp.sclinha", tipo="int")
private int sclinha;
private boolean sclinhaNull;
@Coluna(nome="gmarqugp.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="gmarqugp.notcredito", tipo="int")
private int notcredito;
private boolean notcreditoNull;
@Coluna(nome="gmarqugp.datadebcre", tipo="FglDate")
private FglDate datadebcre;
@Coluna(nome="gmarqugp.totrequer", tipo="double")
private double totrequer;
private boolean totrequerNull;
@Coluna(nome="gmarqugp.totdebcre", tipo="double")
private double totdebcre;
private boolean totdebcreNull;
@Coluna(nome="gmarqugp.inddebcre", tipo="String")
private String inddebcre;
@Coluna(nome="gmarqugp.indicdevo", tipo="String")
private String indicdevo;

public TabGmarqugp() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setSclinha(null);
setOrdemserv(null);
setNotcredito(null);
setDatadebcre(null);
setTotrequer(null);
setTotdebcre(null);
setInddebcre(null);
setIndicdevo(null);
}

public TabGmarqugp(String arquivo, String complarq, String dtmovto, int seq, String tpreg, int sclinha, int ordemserv, int notcredito, FglDate datadebcre, double totrequer, double totdebcre, String inddebcre, String indicdevo) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.sclinha = sclinha;
this.ordemserv = ordemserv;
this.notcredito = notcredito;
this.datadebcre = datadebcre;
this.totrequer = totrequer;
this.totdebcre = totdebcre;
this.inddebcre = inddebcre;
this.indicdevo = indicdevo;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public int getSclinha() {
return sclinha;
}

public boolean isSclinhaNull() {
return sclinhaNull;
}

public void setSclinha(Integer sclinha) {
if (sclinha == null) {
sclinhaNull = true;
this.sclinha = 0;
} else { 
sclinhaNull = false;
this.sclinha = sclinha;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getNotcredito() {
return notcredito;
}

public boolean isNotcreditoNull() {
return notcreditoNull;
}

public void setNotcredito(Integer notcredito) {
if (notcredito == null) {
notcreditoNull = true;
this.notcredito = 0;
} else { 
notcreditoNull = false;
this.notcredito = notcredito;
}
}

public FglDate getDatadebcre() {
return datadebcre;
}

public void setDatadebcre(FglDate datadebcre) {
this.datadebcre = datadebcre;
}

public double getTotrequer() {
return totrequer;
}

public boolean isTotrequerNull() {
return totrequerNull;
}

public void setTotrequer(int totrequer) {
setTotrequer(new Double(totrequer));
}

public void setTotrequer(long totrequer) {
setTotrequer(new Double(totrequer));
}

public void setTotrequer(Double totrequer) {
if (totrequer == null) {
totrequerNull = true;
this.totrequer = 0.;
} else { 
totrequerNull = false;
this.totrequer = FglDouble.round(totrequer, 2);
}
}

public double getTotdebcre() {
return totdebcre;
}

public boolean isTotdebcreNull() {
return totdebcreNull;
}

public void setTotdebcre(int totdebcre) {
setTotdebcre(new Double(totdebcre));
}

public void setTotdebcre(long totdebcre) {
setTotdebcre(new Double(totdebcre));
}

public void setTotdebcre(Double totdebcre) {
if (totdebcre == null) {
totdebcreNull = true;
this.totdebcre = 0.;
} else { 
totdebcreNull = false;
this.totdebcre = FglDouble.round(totdebcre, 2);
}
}

public String getInddebcre() {
return inddebcre;
}

public void setInddebcre(String inddebcre) {
this.inddebcre = inddebcre;
}

public String getIndicdevo() {
return indicdevo;
}

public void setIndicdevo(String indicdevo) {
this.indicdevo = indicdevo;
}

}

