package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmarqunv {
@Coluna(nome="gmarqunv.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqunv.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqunv.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqunv.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqunv.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqunv.nronota", tipo="String")
private String nronota;
@Coluna(nome="gmarqunv.sernota", tipo="String")
private String sernota;
@Coluna(nome="gmarqunv.planta", tipo="String")
private String planta;
@Coluna(nome="gmarqunv.cgccpf", tipo="String")
private String cgccpf;
@Coluna(nome="gmarqunv.dtnf", tipo="FglDate")
private FglDate dtnf;
@Coluna(nome="gmarqunv.codped", tipo="String")
private String codped;
@Coluna(nome="gmarqunv.modelo", tipo="String")
private String modelo;
@Coluna(nome="gmarqunv.anomodelo", tipo="String")
private String anomodelo;
@Coluna(nome="gmarqunv.anofabric", tipo="String")
private String anofabric;
@Coluna(nome="gmarqunv.chassis", tipo="String")
private String chassis;
@Coluna(nome="gmarqunv.cabina", tipo="String")
private String cabina;
@Coluna(nome="gmarqunv.cambio", tipo="String")
private String cambio;
@Coluna(nome="gmarqunv.diferencial", tipo="String")
private String diferencial;
@Coluna(nome="gmarqunv.motor", tipo="String")
private String motor;
@Coluna(nome="gmarqunv.codchave", tipo="String")
private String codchave;
@Coluna(nome="gmarqunv.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="gmarqunv.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="gmarqunv.opcoes", tipo="String")
private String opcoes;
@Coluna(nome="gmarqunv.vveic", tipo="double")
private double vveic;
private boolean vveicNull;
@Coluna(nome="gmarqunv.aicms", tipo="double")
private double aicms;
private boolean aicmsNull;
@Coluna(nome="gmarqunv.aipi", tipo="double")
private double aipi;
private boolean aipiNull;
@Coluna(nome="gmarqunv.vipi", tipo="double")
private double vipi;
private boolean vipiNull;
@Coluna(nome="gmarqunv.vicms", tipo="double")
private double vicms;
private boolean vicmsNull;
@Coluna(nome="gmarqunv.bicms", tipo="double")
private double bicms;
private boolean bicmsNull;
@Coluna(nome="gmarqunv.bicmsst", tipo="double")
private double bicmsst;
private boolean bicmsstNull;
@Coluna(nome="gmarqunv.vicmsst", tipo="double")
private double vicmsst;
private boolean vicmsstNull;
@Coluna(nome="gmarqunv.vseg", tipo="double")
private double vseg;
private boolean vsegNull;
@Coluna(nome="gmarqunv.vnf", tipo="double")
private double vnf;
private boolean vnfNull;
@Coluna(nome="gmarqunv.vdesc", tipo="double")
private double vdesc;
private boolean vdescNull;
@Coluna(nome="gmarqunv.vpisst", tipo="double")
private double vpisst;
private boolean vpisstNull;
@Coluna(nome="gmarqunv.bpisst", tipo="double")
private double bpisst;
private boolean bpisstNull;
@Coluna(nome="gmarqunv.vcofst", tipo="double")
private double vcofst;
private boolean vcofstNull;
@Coluna(nome="gmarqunv.bcofst", tipo="double")
private double bcofst;
private boolean bcofstNull;
@Coluna(nome="gmarqunv.condpagto", tipo="String")
private String condpagto;
@Coluna(nome="gmarqunv.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="gmarqunv.tpplano", tipo="String")
private String tpplano;
@Coluna(nome="gmarqunv.perholdback", tipo="double")
private double perholdback;
private boolean perholdbackNull;

public TabGmarqunv() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setNronota(null);
setSernota(null);
setPlanta(null);
setCgccpf(null);
setDtnf(null);
setCodped(null);
setModelo(null);
setAnomodelo(null);
setAnofabric(null);
setChassis(null);
setCabina(null);
setCambio(null);
setDiferencial(null);
setMotor(null);
setCodchave(null);
setCorexterna(null);
setCorinterna(null);
setOpcoes(null);
setVveic(null);
setAicms(null);
setAipi(null);
setVipi(null);
setVicms(null);
setBicms(null);
setBicmsst(null);
setVicmsst(null);
setVseg(null);
setVnf(null);
setVdesc(null);
setVpisst(null);
setBpisst(null);
setVcofst(null);
setBcofst(null);
setCondpagto(null);
setDescrmodelo(null);
setTpplano(null);
setPerholdback(null);
}

public TabGmarqunv(String arquivo, String complarq, String dtmovto, int seq, String tpreg, String nronota, String sernota, String planta, String cgccpf, FglDate dtnf, String codped, String modelo, String anomodelo, String anofabric, String chassis, String cabina, String cambio, String diferencial, String motor, String codchave, String corexterna, String corinterna, String opcoes, double vveic, double aicms, double aipi, double vipi, double vicms, double bicms, double bicmsst, double vicmsst, double vseg, double vnf, double vdesc, double vpisst, double bpisst, double vcofst, double bcofst, String condpagto, String descrmodelo, String tpplano, double perholdback) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.nronota = nronota;
this.sernota = sernota;
this.planta = planta;
this.cgccpf = cgccpf;
this.dtnf = dtnf;
this.codped = codped;
this.modelo = modelo;
this.anomodelo = anomodelo;
this.anofabric = anofabric;
this.chassis = chassis;
this.cabina = cabina;
this.cambio = cambio;
this.diferencial = diferencial;
this.motor = motor;
this.codchave = codchave;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.opcoes = opcoes;
this.vveic = vveic;
this.aicms = aicms;
this.aipi = aipi;
this.vipi = vipi;
this.vicms = vicms;
this.bicms = bicms;
this.bicmsst = bicmsst;
this.vicmsst = vicmsst;
this.vseg = vseg;
this.vnf = vnf;
this.vdesc = vdesc;
this.vpisst = vpisst;
this.bpisst = bpisst;
this.vcofst = vcofst;
this.bcofst = bcofst;
this.condpagto = condpagto;
this.descrmodelo = descrmodelo;
this.tpplano = tpplano;
this.perholdback = perholdback;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public String getNronota() {
return nronota;
}

public void setNronota(String nronota) {
this.nronota = nronota;
}

public String getSernota() {
return sernota;
}

public void setSernota(String sernota) {
this.sernota = sernota;
}

public String getPlanta() {
return planta;
}

public void setPlanta(String planta) {
this.planta = planta;
}

public String getCgccpf() {
return cgccpf;
}

public void setCgccpf(String cgccpf) {
this.cgccpf = cgccpf;
}

public FglDate getDtnf() {
return dtnf;
}

public void setDtnf(FglDate dtnf) {
this.dtnf = dtnf;
}

public String getCodped() {
return codped;
}

public void setCodped(String codped) {
this.codped = codped;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getAnomodelo() {
return anomodelo;
}

public void setAnomodelo(String anomodelo) {
this.anomodelo = anomodelo;
}

public String getAnofabric() {
return anofabric;
}

public void setAnofabric(String anofabric) {
this.anofabric = anofabric;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getCabina() {
return cabina;
}

public void setCabina(String cabina) {
this.cabina = cabina;
}

public String getCambio() {
return cambio;
}

public void setCambio(String cambio) {
this.cambio = cambio;
}

public String getDiferencial() {
return diferencial;
}

public void setDiferencial(String diferencial) {
this.diferencial = diferencial;
}

public String getMotor() {
return motor;
}

public void setMotor(String motor) {
this.motor = motor;
}

public String getCodchave() {
return codchave;
}

public void setCodchave(String codchave) {
this.codchave = codchave;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getOpcoes() {
return opcoes;
}

public void setOpcoes(String opcoes) {
this.opcoes = opcoes;
}

public double getVveic() {
return vveic;
}

public boolean isVveicNull() {
return vveicNull;
}

public void setVveic(int vveic) {
setVveic(new Double(vveic));
}

public void setVveic(long vveic) {
setVveic(new Double(vveic));
}

public void setVveic(Double vveic) {
if (vveic == null) {
vveicNull = true;
this.vveic = 0.;
} else { 
vveicNull = false;
this.vveic = FglDouble.round(vveic, 2);
}
}

public double getAicms() {
return aicms;
}

public boolean isAicmsNull() {
return aicmsNull;
}

public void setAicms(int aicms) {
setAicms(new Double(aicms));
}

public void setAicms(long aicms) {
setAicms(new Double(aicms));
}

public void setAicms(Double aicms) {
if (aicms == null) {
aicmsNull = true;
this.aicms = 0.;
} else { 
aicmsNull = false;
this.aicms = FglDouble.round(aicms, 2);
}
}

public double getAipi() {
return aipi;
}

public boolean isAipiNull() {
return aipiNull;
}

public void setAipi(int aipi) {
setAipi(new Double(aipi));
}

public void setAipi(long aipi) {
setAipi(new Double(aipi));
}

public void setAipi(Double aipi) {
if (aipi == null) {
aipiNull = true;
this.aipi = 0.;
} else { 
aipiNull = false;
this.aipi = FglDouble.round(aipi, 2);
}
}

public double getVipi() {
return vipi;
}

public boolean isVipiNull() {
return vipiNull;
}

public void setVipi(int vipi) {
setVipi(new Double(vipi));
}

public void setVipi(long vipi) {
setVipi(new Double(vipi));
}

public void setVipi(Double vipi) {
if (vipi == null) {
vipiNull = true;
this.vipi = 0.;
} else { 
vipiNull = false;
this.vipi = FglDouble.round(vipi, 2);
}
}

public double getVicms() {
return vicms;
}

public boolean isVicmsNull() {
return vicmsNull;
}

public void setVicms(int vicms) {
setVicms(new Double(vicms));
}

public void setVicms(long vicms) {
setVicms(new Double(vicms));
}

public void setVicms(Double vicms) {
if (vicms == null) {
vicmsNull = true;
this.vicms = 0.;
} else { 
vicmsNull = false;
this.vicms = FglDouble.round(vicms, 2);
}
}

public double getBicms() {
return bicms;
}

public boolean isBicmsNull() {
return bicmsNull;
}

public void setBicms(int bicms) {
setBicms(new Double(bicms));
}

public void setBicms(long bicms) {
setBicms(new Double(bicms));
}

public void setBicms(Double bicms) {
if (bicms == null) {
bicmsNull = true;
this.bicms = 0.;
} else { 
bicmsNull = false;
this.bicms = FglDouble.round(bicms, 2);
}
}

public double getBicmsst() {
return bicmsst;
}

public boolean isBicmsstNull() {
return bicmsstNull;
}

public void setBicmsst(int bicmsst) {
setBicmsst(new Double(bicmsst));
}

public void setBicmsst(long bicmsst) {
setBicmsst(new Double(bicmsst));
}

public void setBicmsst(Double bicmsst) {
if (bicmsst == null) {
bicmsstNull = true;
this.bicmsst = 0.;
} else { 
bicmsstNull = false;
this.bicmsst = FglDouble.round(bicmsst, 2);
}
}

public double getVicmsst() {
return vicmsst;
}

public boolean isVicmsstNull() {
return vicmsstNull;
}

public void setVicmsst(int vicmsst) {
setVicmsst(new Double(vicmsst));
}

public void setVicmsst(long vicmsst) {
setVicmsst(new Double(vicmsst));
}

public void setVicmsst(Double vicmsst) {
if (vicmsst == null) {
vicmsstNull = true;
this.vicmsst = 0.;
} else { 
vicmsstNull = false;
this.vicmsst = FglDouble.round(vicmsst, 2);
}
}

public double getVseg() {
return vseg;
}

public boolean isVsegNull() {
return vsegNull;
}

public void setVseg(int vseg) {
setVseg(new Double(vseg));
}

public void setVseg(long vseg) {
setVseg(new Double(vseg));
}

public void setVseg(Double vseg) {
if (vseg == null) {
vsegNull = true;
this.vseg = 0.;
} else { 
vsegNull = false;
this.vseg = FglDouble.round(vseg, 2);
}
}

public double getVnf() {
return vnf;
}

public boolean isVnfNull() {
return vnfNull;
}

public void setVnf(int vnf) {
setVnf(new Double(vnf));
}

public void setVnf(long vnf) {
setVnf(new Double(vnf));
}

public void setVnf(Double vnf) {
if (vnf == null) {
vnfNull = true;
this.vnf = 0.;
} else { 
vnfNull = false;
this.vnf = FglDouble.round(vnf, 2);
}
}

public double getVdesc() {
return vdesc;
}

public boolean isVdescNull() {
return vdescNull;
}

public void setVdesc(int vdesc) {
setVdesc(new Double(vdesc));
}

public void setVdesc(long vdesc) {
setVdesc(new Double(vdesc));
}

public void setVdesc(Double vdesc) {
if (vdesc == null) {
vdescNull = true;
this.vdesc = 0.;
} else { 
vdescNull = false;
this.vdesc = FglDouble.round(vdesc, 2);
}
}

public double getVpisst() {
return vpisst;
}

public boolean isVpisstNull() {
return vpisstNull;
}

public void setVpisst(int vpisst) {
setVpisst(new Double(vpisst));
}

public void setVpisst(long vpisst) {
setVpisst(new Double(vpisst));
}

public void setVpisst(Double vpisst) {
if (vpisst == null) {
vpisstNull = true;
this.vpisst = 0.;
} else { 
vpisstNull = false;
this.vpisst = FglDouble.round(vpisst, 2);
}
}

public double getBpisst() {
return bpisst;
}

public boolean isBpisstNull() {
return bpisstNull;
}

public void setBpisst(int bpisst) {
setBpisst(new Double(bpisst));
}

public void setBpisst(long bpisst) {
setBpisst(new Double(bpisst));
}

public void setBpisst(Double bpisst) {
if (bpisst == null) {
bpisstNull = true;
this.bpisst = 0.;
} else { 
bpisstNull = false;
this.bpisst = FglDouble.round(bpisst, 2);
}
}

public double getVcofst() {
return vcofst;
}

public boolean isVcofstNull() {
return vcofstNull;
}

public void setVcofst(int vcofst) {
setVcofst(new Double(vcofst));
}

public void setVcofst(long vcofst) {
setVcofst(new Double(vcofst));
}

public void setVcofst(Double vcofst) {
if (vcofst == null) {
vcofstNull = true;
this.vcofst = 0.;
} else { 
vcofstNull = false;
this.vcofst = FglDouble.round(vcofst, 2);
}
}

public double getBcofst() {
return bcofst;
}

public boolean isBcofstNull() {
return bcofstNull;
}

public void setBcofst(int bcofst) {
setBcofst(new Double(bcofst));
}

public void setBcofst(long bcofst) {
setBcofst(new Double(bcofst));
}

public void setBcofst(Double bcofst) {
if (bcofst == null) {
bcofstNull = true;
this.bcofst = 0.;
} else { 
bcofstNull = false;
this.bcofst = FglDouble.round(bcofst, 2);
}
}

public String getCondpagto() {
return condpagto;
}

public void setCondpagto(String condpagto) {
this.condpagto = condpagto;
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public String getTpplano() {
return tpplano;
}

public void setTpplano(String tpplano) {
this.tpplano = tpplano;
}

public double getPerholdback() {
return perholdback;
}

public boolean isPerholdbackNull() {
return perholdbackNull;
}

public void setPerholdback(int perholdback) {
setPerholdback(new Double(perholdback));
}

public void setPerholdback(long perholdback) {
setPerholdback(new Double(perholdback));
}

public void setPerholdback(Double perholdback) {
if (perholdback == null) {
perholdbackNull = true;
this.perholdback = 0.;
} else { 
perholdbackNull = false;
this.perholdback = FglDouble.round(perholdback, 2);
}
}

}

