package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabGmarqusm {
@Coluna(nome="gmarqusm.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmarqusm.complarq", tipo="String")
private String complarq;
@Coluna(nome="gmarqusm.dtmovto", tipo="String")
private String dtmovto;
@Coluna(nome="gmarqusm.seq", tipo="int")
private int seq;
private boolean seqNull;
@Coluna(nome="gmarqusm.tpreg", tipo="String")
private String tpreg;
@Coluna(nome="gmarqusm.marca", tipo="double")
private double marca;
private boolean marcaNull;
@Coluna(nome="gmarqusm.marcadesc", tipo="String")
private String marcadesc;
@Coluna(nome="gmarqusm.modelo", tipo="double")
private double modelo;
private boolean modeloNull;
@Coluna(nome="gmarqusm.modelodesc", tipo="String")
private String modelodesc;

public TabGmarqusm() {
initialize();
}

public void initialize() {
setArquivo(null);
setComplarq(null);
setDtmovto(null);
setSeq(null);
setTpreg(null);
setMarca(null);
setMarcadesc(null);
setModelo(null);
setModelodesc(null);
}

public TabGmarqusm(String arquivo, String complarq, String dtmovto, int seq, String tpreg, double marca, String marcadesc, double modelo, String modelodesc) {
this.arquivo = arquivo;
this.complarq = complarq;
this.dtmovto = dtmovto;
this.seq = seq;
this.tpreg = tpreg;
this.marca = marca;
this.marcadesc = marcadesc;
this.modelo = modelo;
this.modelodesc = modelodesc;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public String getComplarq() {
return complarq;
}

public void setComplarq(String complarq) {
this.complarq = complarq;
}

public String getDtmovto() {
return dtmovto;
}

public void setDtmovto(String dtmovto) {
this.dtmovto = dtmovto;
}

public int getSeq() {
return seq;
}

public boolean isSeqNull() {
return seqNull;
}

public void setSeq(Integer seq) {
if (seq == null) {
seqNull = true;
this.seq = 0;
} else { 
seqNull = false;
this.seq = seq;
}
}

public String getTpreg() {
return tpreg;
}

public void setTpreg(String tpreg) {
this.tpreg = tpreg;
}

public double getMarca() {
return marca;
}

public boolean isMarcaNull() {
return marcaNull;
}

public void setMarca(int marca) {
setMarca(new Double(marca));
}

public void setMarca(long marca) {
setMarca(new Double(marca));
}

public void setMarca(Double marca) {
if (marca == null) {
marcaNull = true;
this.marca = 0.;
} else { 
marcaNull = false;
this.marca = marca;
}
}

public String getMarcadesc() {
return marcadesc;
}

public void setMarcadesc(String marcadesc) {
this.marcadesc = marcadesc;
}

public double getModelo() {
return modelo;
}

public boolean isModeloNull() {
return modeloNull;
}

public void setModelo(int modelo) {
setModelo(new Double(modelo));
}

public void setModelo(long modelo) {
setModelo(new Double(modelo));
}

public void setModelo(Double modelo) {
if (modelo == null) {
modeloNull = true;
this.modelo = 0.;
} else { 
modeloNull = false;
this.modelo = modelo;
}
}

public String getModelodesc() {
return modelodesc;
}

public void setModelodesc(String modelodesc) {
this.modelodesc = modelodesc;
}

}

