package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmclient {
@Coluna(nome="gmclient.cnpjcpf", tipo="long")
private long cnpjcpf;
private boolean cnpjcpfNull;
@Coluna(nome="gmclient.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="gmclient.nome", tipo="String")
private String nome;
@Coluna(nome="gmclient.endereco", tipo="String")
private String endereco;
@Coluna(nome="gmclient.complemento", tipo="String")
private String complemento;
@Coluna(nome="gmclient.bairro", tipo="String")
private String bairro;
@Coluna(nome="gmclient.cidade", tipo="String")
private String cidade;
@Coluna(nome="gmclient.uf", tipo="String")
private String uf;
@Coluna(nome="gmclient.cep", tipo="String")
private String cep;
@Coluna(nome="gmclient.sexo", tipo="String")
private String sexo;
@Coluna(nome="gmclient.dtnasc", tipo="FglDate")
private FglDate dtnasc;
@Coluna(nome="gmclient.dtcadast", tipo="FglDate")
private FglDate dtcadast;
@Coluna(nome="gmclient.estcivil", tipo="String")
private String estcivil;
@Coluna(nome="gmclient.email", tipo="String")
private String email;
@Coluna(nome="gmclient.rg", tipo="String")
private String rg;
@Coluna(nome="gmclient.trempresa", tipo="String")
private String trempresa;
@Coluna(nome="gmclient.trcargo", tipo="String")
private String trcargo;
@Coluna(nome="gmclient.trrenda", tipo="double")
private double trrenda;
private boolean trrendaNull;
@Coluna(nome="gmclient.celular", tipo="long")
private long celular;
private boolean celularNull;
@Coluna(nome="gmclient.fax", tipo="long")
private long fax;
private boolean faxNull;
@Coluna(nome="gmclient.fone", tipo="long")
private long fone;
private boolean foneNull;
@Coluna(nome="gmclient.trfone", tipo="long")
private long trfone;
private boolean trfoneNull;

public TabGmclient() {
initialize();
}

public void initialize() {
setCnpjcpf(null);
setTppessoa(null);
setNome(null);
setEndereco(null);
setComplemento(null);
setBairro(null);
setCidade(null);
setUf(null);
setCep(null);
setSexo(null);
setDtnasc(null);
setDtcadast(null);
setEstcivil(null);
setEmail(null);
setRg(null);
setTrempresa(null);
setTrcargo(null);
setTrrenda(null);
setCelular(null);
setFax(null);
setFone(null);
setTrfone(null);
}

public TabGmclient(long cnpjcpf, int tppessoa, String nome, String endereco, String complemento, String bairro, String cidade, String uf, String cep, String sexo, FglDate dtnasc, FglDate dtcadast, String estcivil, String email, String rg, String trempresa, String trcargo, double trrenda, long celular, long fax, long fone, long trfone) {
this.cnpjcpf = cnpjcpf;
this.tppessoa = tppessoa;
this.nome = nome;
this.endereco = endereco;
this.complemento = complemento;
this.bairro = bairro;
this.cidade = cidade;
this.uf = uf;
this.cep = cep;
this.sexo = sexo;
this.dtnasc = dtnasc;
this.dtcadast = dtcadast;
this.estcivil = estcivil;
this.email = email;
this.rg = rg;
this.trempresa = trempresa;
this.trcargo = trcargo;
this.trrenda = trrenda;
this.celular = celular;
this.fax = fax;
this.fone = fone;
this.trfone = trfone;
}

public long getCnpjcpf() {
return cnpjcpf;
}

public boolean isCnpjcpfNull() {
return cnpjcpfNull;
}

public void setCnpjcpf(int cnpjcpf) {
setCnpjcpf(new Long(cnpjcpf));
}

public void setCnpjcpf(Long cnpjcpf) {
if (cnpjcpf == null) {
cnpjcpfNull = true;
this.cnpjcpf = 0l;
} else { 
cnpjcpfNull = false;
this.cnpjcpf = cnpjcpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getEndereco() {
return endereco;
}

public void setEndereco(String endereco) {
this.endereco = endereco;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public FglDate getDtnasc() {
return dtnasc;
}

public void setDtnasc(FglDate dtnasc) {
this.dtnasc = dtnasc;
}

public FglDate getDtcadast() {
return dtcadast;
}

public void setDtcadast(FglDate dtcadast) {
this.dtcadast = dtcadast;
}

public String getEstcivil() {
return estcivil;
}

public void setEstcivil(String estcivil) {
this.estcivil = estcivil;
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getRg() {
return rg;
}

public void setRg(String rg) {
this.rg = rg;
}

public String getTrempresa() {
return trempresa;
}

public void setTrempresa(String trempresa) {
this.trempresa = trempresa;
}

public String getTrcargo() {
return trcargo;
}

public void setTrcargo(String trcargo) {
this.trcargo = trcargo;
}

public double getTrrenda() {
return trrenda;
}

public boolean isTrrendaNull() {
return trrendaNull;
}

public void setTrrenda(int trrenda) {
setTrrenda(new Double(trrenda));
}

public void setTrrenda(long trrenda) {
setTrrenda(new Double(trrenda));
}

public void setTrrenda(Double trrenda) {
if (trrenda == null) {
trrendaNull = true;
this.trrenda = 0.;
} else { 
trrendaNull = false;
this.trrenda = FglDouble.round(trrenda, 2);
}
}

public long getCelular() {
return celular;
}

public boolean isCelularNull() {
return celularNull;
}

public void setCelular(int celular) {
setCelular(new Long(celular));
}

public void setCelular(Long celular) {
if (celular == null) {
celularNull = true;
this.celular = 0l;
} else { 
celularNull = false;
this.celular = celular;
}
}

public long getFax() {
return fax;
}

public boolean isFaxNull() {
return faxNull;
}

public void setFax(int fax) {
setFax(new Long(fax));
}

public void setFax(Long fax) {
if (fax == null) {
faxNull = true;
this.fax = 0l;
} else { 
faxNull = false;
this.fax = fax;
}
}

public long getFone() {
return fone;
}

public boolean isFoneNull() {
return foneNull;
}

public void setFone(int fone) {
setFone(new Long(fone));
}

public void setFone(Long fone) {
if (fone == null) {
foneNull = true;
this.fone = 0l;
} else { 
foneNull = false;
this.fone = fone;
}
}

public long getTrfone() {
return trfone;
}

public boolean isTrfoneNull() {
return trfoneNull;
}

public void setTrfone(int trfone) {
setTrfone(new Long(trfone));
}

public void setTrfone(Long trfone) {
if (trfone == null) {
trfoneNull = true;
this.trfone = 0l;
} else { 
trfoneNull = false;
this.trfone = trfone;
}
}

}

