package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmdfmkpi {
@Coluna(nome="gmdfmkpi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmdfmkpi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="gmdfmkpi.kpi_linha", tipo="int")
private int kpiLinha;
private boolean kpiLinhaNull;
@Coluna(nome="gmdfmkpi.kpi_campo", tipo="int")
private int kpiCampo;
private boolean kpiCampoNull;
@Coluna(nome="gmdfmkpi.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabGmdfmkpi() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setKpiLinha(null);
setKpiCampo(null);
setValor(null);
}

public TabGmdfmkpi(int filial, FglDateTimeYM anomes, int kpiLinha, int kpiCampo, double valor) {
this.filial = filial;
this.anomes = anomes;
this.kpiLinha = kpiLinha;
this.kpiCampo = kpiCampo;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getKpiLinha() {
return kpiLinha;
}

public boolean isKpiLinhaNull() {
return kpiLinhaNull;
}

public void setKpiLinha(Integer kpiLinha) {
if (kpiLinha == null) {
kpiLinhaNull = true;
this.kpiLinha = 0;
} else { 
kpiLinhaNull = false;
this.kpiLinha = kpiLinha;
}
}

public int getKpiCampo() {
return kpiCampo;
}

public boolean isKpiCampoNull() {
return kpiCampoNull;
}

public void setKpiCampo(Integer kpiCampo) {
if (kpiCampo == null) {
kpiCampoNull = true;
this.kpiCampo = 0;
} else { 
kpiCampoNull = false;
this.kpiCampo = kpiCampo;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

