package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmetique {
@Coluna(nome="gmetique.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmetique.notcredito", tipo="int")
private int notcredito;
private boolean notcreditoNull;
@Coluna(nome="gmetique.sclinha", tipo="int")
private int sclinha;
private boolean sclinhaNull;
@Coluna(nome="gmetique.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="gmetique.produto", tipo="String")
private String produto;
@Coluna(nome="gmetique.progger", tipo="String")
private String progger;
@Coluna(nome="gmetique.conjunto", tipo="String")
private String conjunto;
@Coluna(nome="gmetique.datasc", tipo="FglDate")
private FglDate datasc;
@Coluna(nome="gmetique.descrprod", tipo="String")
private String descrprod;
@Coluna(nome="gmetique.tipopro", tipo="String")
private String tipopro;
@Coluna(nome="gmetique.qtdeprod", tipo="double")
private double qtdeprod;
private boolean qtdeprodNull;
@Coluna(nome="gmetique.nropedido", tipo="String")
private String nropedido;
@Coluna(nome="gmetique.nroserie", tipo="String")
private String nroserie;
@Coluna(nome="gmetique.nroconjun", tipo="String")
private String nroconjun;

public TabGmetique() {
initialize();
}

public void initialize() {
setFilial(null);
setNotcredito(null);
setSclinha(null);
setOrdemserv(null);
setProduto(null);
setProgger(null);
setConjunto(null);
setDatasc(null);
setDescrprod(null);
setTipopro(null);
setQtdeprod(null);
setNropedido(null);
setNroserie(null);
setNroconjun(null);
}

public TabGmetique(int filial, int notcredito, int sclinha, int ordemserv, String produto, String progger, String conjunto, FglDate datasc, String descrprod, String tipopro, double qtdeprod, String nropedido, String nroserie, String nroconjun) {
this.filial = filial;
this.notcredito = notcredito;
this.sclinha = sclinha;
this.ordemserv = ordemserv;
this.produto = produto;
this.progger = progger;
this.conjunto = conjunto;
this.datasc = datasc;
this.descrprod = descrprod;
this.tipopro = tipopro;
this.qtdeprod = qtdeprod;
this.nropedido = nropedido;
this.nroserie = nroserie;
this.nroconjun = nroconjun;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNotcredito() {
return notcredito;
}

public boolean isNotcreditoNull() {
return notcreditoNull;
}

public void setNotcredito(Integer notcredito) {
if (notcredito == null) {
notcreditoNull = true;
this.notcredito = 0;
} else { 
notcreditoNull = false;
this.notcredito = notcredito;
}
}

public int getSclinha() {
return sclinha;
}

public boolean isSclinhaNull() {
return sclinhaNull;
}

public void setSclinha(Integer sclinha) {
if (sclinha == null) {
sclinhaNull = true;
this.sclinha = 0;
} else { 
sclinhaNull = false;
this.sclinha = sclinha;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getProgger() {
return progger;
}

public void setProgger(String progger) {
this.progger = progger;
}

public String getConjunto() {
return conjunto;
}

public void setConjunto(String conjunto) {
this.conjunto = conjunto;
}

public FglDate getDatasc() {
return datasc;
}

public void setDatasc(FglDate datasc) {
this.datasc = datasc;
}

public String getDescrprod() {
return descrprod;
}

public void setDescrprod(String descrprod) {
this.descrprod = descrprod;
}

public String getTipopro() {
return tipopro;
}

public void setTipopro(String tipopro) {
this.tipopro = tipopro;
}

public double getQtdeprod() {
return qtdeprod;
}

public boolean isQtdeprodNull() {
return qtdeprodNull;
}

public void setQtdeprod(int qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(long qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(Double qtdeprod) {
if (qtdeprod == null) {
qtdeprodNull = true;
this.qtdeprod = 0.;
} else { 
qtdeprodNull = false;
this.qtdeprod = FglDouble.round(qtdeprod, 2);
}
}

public String getNropedido() {
return nropedido;
}

public void setNropedido(String nropedido) {
this.nropedido = nropedido;
}

public String getNroserie() {
return nroserie;
}

public void setNroserie(String nroserie) {
this.nroserie = nroserie;
}

public String getNroconjun() {
return nroconjun;
}

public void setNroconjun(String nroconjun) {
this.nroconjun = nroconjun;
}

}

