package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmparm {
@Coluna(nome="gmparm.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmparm.dealernr", tipo="String")
private String dealernr;
@Coluna(nome="gmparm.cgc", tipo="String")
private String cgc;
@Coluna(nome="gmparm.concdist", tipo="String")
private String concdist;
@Coluna(nome="gmparm.regiao", tipo="String")
private String regiao;
@Coluna(nome="gmparm.vistpraz", tipo="String")
private String vistpraz;
@Coluna(nome="gmparm.layout", tipo="String")
private String layout;
@Coluna(nome="gmparm.caminhogm", tipo="String")
private String caminhogm;
@Coluna(nome="gmparm.caminhoag", tipo="String")
private String caminhoag;
@Coluna(nome="gmparm.caminhosg", tipo="String")
private String caminhosg;
@Coluna(nome="gmparm.caminhoav", tipo="String")
private String caminhoav;
@Coluna(nome="gmparm.autogiro", tipo="String")
private String autogiro;
@Coluna(nome="gmparm.siga", tipo="String")
private String siga;
@Coluna(nome="gmparm.alteradescr", tipo="String")
private String alteradescr;
@Coluna(nome="gmparm.alteragrupd", tipo="String")
private String alteragrupd;
@Coluna(nome="gmparm.sobrepor", tipo="String")
private String sobrepor;
@Coluna(nome="gmparm.dtautogiro", tipo="FglDate")
private FglDate dtautogiro;
@Coluna(nome="gmparm.tpos1", tipo="String")
private String tpos1;
@Coluna(nome="gmparm.tpos2", tipo="String")
private String tpos2;
@Coluna(nome="gmparm.tpos3", tipo="String")
private String tpos3;
@Coluna(nome="gmparm.mtvdpe1", tipo="int")
private int mtvdpe1;
private boolean mtvdpe1Null;
@Coluna(nome="gmparm.mtvdpe2", tipo="int")
private int mtvdpe2;
private boolean mtvdpe2Null;
@Coluna(nome="gmparm.ultdpc", tipo="int")
private int ultdpc;
private boolean ultdpcNull;
@Coluna(nome="gmparm.raizcnpjgm", tipo="int")
private int raizcnpjgm;
private boolean raizcnpjgmNull;
@Coluna(nome="gmparm.sufxcnpjgm", tipo="int")
private int sufxcnpjgm;
private boolean sufxcnpjgmNull;
@Coluna(nome="gmparm.transadevgm", tipo="String")
private String transadevgm;
@Coluna(nome="gmparm.tpitemdescr", tipo="int")
private int tpitemdescr;
private boolean tpitemdescrNull;
@Coluna(nome="gmparm.tpitemipi", tipo="int")
private int tpitemipi;
private boolean tpitemipiNull;
@Coluna(nome="gmparm.matriz", tipo="String")
private String matriz;
@Coluna(nome="gmparm.conestoqu", tipo="String")
private String conestoqu;
@Coluna(nome="gmparm.conpedpend", tipo="String")
private String conpedpend;
@Coluna(nome="gmparm.condemanda", tipo="String")
private String condemanda;
@Coluna(nome="gmparm.convenper", tipo="String")
private String convenper;
@Coluna(nome="gmparm.conferencia", tipo="String")
private String conferencia;
@Coluna(nome="gmparm.id_deppcs", tipo="int")
private int idDeppcs;
private boolean idDeppcsNull;
@Coluna(nome="gmparm.id_setorsr", tipo="int")
private int idSetorsr;
private boolean idSetorsrNull;
@Coluna(nome="gmparm.abrevmecanica", tipo="String")
private String abrevmecanica;

public TabGmparm() {
initialize();
}

public void initialize() {
setFilial(null);
setDealernr(null);
setCgc(null);
setConcdist(null);
setRegiao(null);
setVistpraz(null);
setLayout(null);
setCaminhogm(null);
setCaminhoag(null);
setCaminhosg(null);
setCaminhoav(null);
setAutogiro(null);
setSiga(null);
setAlteradescr(null);
setAlteragrupd(null);
setSobrepor(null);
setDtautogiro(null);
setTpos1(null);
setTpos2(null);
setTpos3(null);
setMtvdpe1(null);
setMtvdpe2(null);
setUltdpc(null);
setRaizcnpjgm(null);
setSufxcnpjgm(null);
setTransadevgm(null);
setTpitemdescr(null);
setTpitemipi(null);
setMatriz(null);
setConestoqu(null);
setConpedpend(null);
setCondemanda(null);
setConvenper(null);
setConferencia(null);
setIdDeppcs(null);
setIdSetorsr(null);
setAbrevmecanica(null);
}

public TabGmparm(int filial, String dealernr, String cgc, String concdist, String regiao, String vistpraz, String layout, String caminhogm, String caminhoag, String caminhosg, String caminhoav, String autogiro, String siga, String alteradescr, String alteragrupd, String sobrepor, FglDate dtautogiro, String tpos1, String tpos2, String tpos3, int mtvdpe1, int mtvdpe2, int ultdpc, int raizcnpjgm, int sufxcnpjgm, String transadevgm, int tpitemdescr, int tpitemipi, String matriz, String conestoqu, String conpedpend, String condemanda, String convenper, String conferencia, int idDeppcs, int idSetorsr, String abrevmecanica) {
this.filial = filial;
this.dealernr = dealernr;
this.cgc = cgc;
this.concdist = concdist;
this.regiao = regiao;
this.vistpraz = vistpraz;
this.layout = layout;
this.caminhogm = caminhogm;
this.caminhoag = caminhoag;
this.caminhosg = caminhosg;
this.caminhoav = caminhoav;
this.autogiro = autogiro;
this.siga = siga;
this.alteradescr = alteradescr;
this.alteragrupd = alteragrupd;
this.sobrepor = sobrepor;
this.dtautogiro = dtautogiro;
this.tpos1 = tpos1;
this.tpos2 = tpos2;
this.tpos3 = tpos3;
this.mtvdpe1 = mtvdpe1;
this.mtvdpe2 = mtvdpe2;
this.ultdpc = ultdpc;
this.raizcnpjgm = raizcnpjgm;
this.sufxcnpjgm = sufxcnpjgm;
this.transadevgm = transadevgm;
this.tpitemdescr = tpitemdescr;
this.tpitemipi = tpitemipi;
this.matriz = matriz;
this.conestoqu = conestoqu;
this.conpedpend = conpedpend;
this.condemanda = condemanda;
this.convenper = convenper;
this.conferencia = conferencia;
this.idDeppcs = idDeppcs;
this.idSetorsr = idSetorsr;
this.abrevmecanica = abrevmecanica;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDealernr() {
return dealernr;
}

public void setDealernr(String dealernr) {
this.dealernr = dealernr;
}

public String getCgc() {
return cgc;
}

public void setCgc(String cgc) {
this.cgc = cgc;
}

public String getConcdist() {
return concdist;
}

public void setConcdist(String concdist) {
this.concdist = concdist;
}

public String getRegiao() {
return regiao;
}

public void setRegiao(String regiao) {
this.regiao = regiao;
}

public String getVistpraz() {
return vistpraz;
}

public void setVistpraz(String vistpraz) {
this.vistpraz = vistpraz;
}

public String getLayout() {
return layout;
}

public void setLayout(String layout) {
this.layout = layout;
}

public String getCaminhogm() {
return caminhogm;
}

public void setCaminhogm(String caminhogm) {
this.caminhogm = caminhogm;
}

public String getCaminhoag() {
return caminhoag;
}

public void setCaminhoag(String caminhoag) {
this.caminhoag = caminhoag;
}

public String getCaminhosg() {
return caminhosg;
}

public void setCaminhosg(String caminhosg) {
this.caminhosg = caminhosg;
}

public String getCaminhoav() {
return caminhoav;
}

public void setCaminhoav(String caminhoav) {
this.caminhoav = caminhoav;
}

public String getAutogiro() {
return autogiro;
}

public void setAutogiro(String autogiro) {
this.autogiro = autogiro;
}

public String getSiga() {
return siga;
}

public void setSiga(String siga) {
this.siga = siga;
}

public String getAlteradescr() {
return alteradescr;
}

public void setAlteradescr(String alteradescr) {
this.alteradescr = alteradescr;
}

public String getAlteragrupd() {
return alteragrupd;
}

public void setAlteragrupd(String alteragrupd) {
this.alteragrupd = alteragrupd;
}

public String getSobrepor() {
return sobrepor;
}

public void setSobrepor(String sobrepor) {
this.sobrepor = sobrepor;
}

public FglDate getDtautogiro() {
return dtautogiro;
}

public void setDtautogiro(FglDate dtautogiro) {
this.dtautogiro = dtautogiro;
}

public String getTpos1() {
return tpos1;
}

public void setTpos1(String tpos1) {
this.tpos1 = tpos1;
}

public String getTpos2() {
return tpos2;
}

public void setTpos2(String tpos2) {
this.tpos2 = tpos2;
}

public String getTpos3() {
return tpos3;
}

public void setTpos3(String tpos3) {
this.tpos3 = tpos3;
}

public int getMtvdpe1() {
return mtvdpe1;
}

public boolean isMtvdpe1Null() {
return mtvdpe1Null;
}

public void setMtvdpe1(Integer mtvdpe1) {
if (mtvdpe1 == null) {
mtvdpe1Null = true;
this.mtvdpe1 = 0;
} else { 
mtvdpe1Null = false;
this.mtvdpe1 = mtvdpe1;
}
}

public int getMtvdpe2() {
return mtvdpe2;
}

public boolean isMtvdpe2Null() {
return mtvdpe2Null;
}

public void setMtvdpe2(Integer mtvdpe2) {
if (mtvdpe2 == null) {
mtvdpe2Null = true;
this.mtvdpe2 = 0;
} else { 
mtvdpe2Null = false;
this.mtvdpe2 = mtvdpe2;
}
}

public int getUltdpc() {
return ultdpc;
}

public boolean isUltdpcNull() {
return ultdpcNull;
}

public void setUltdpc(Integer ultdpc) {
if (ultdpc == null) {
ultdpcNull = true;
this.ultdpc = 0;
} else { 
ultdpcNull = false;
this.ultdpc = ultdpc;
}
}

public int getRaizcnpjgm() {
return raizcnpjgm;
}

public boolean isRaizcnpjgmNull() {
return raizcnpjgmNull;
}

public void setRaizcnpjgm(Integer raizcnpjgm) {
if (raizcnpjgm == null) {
raizcnpjgmNull = true;
this.raizcnpjgm = 0;
} else { 
raizcnpjgmNull = false;
this.raizcnpjgm = raizcnpjgm;
}
}

public int getSufxcnpjgm() {
return sufxcnpjgm;
}

public boolean isSufxcnpjgmNull() {
return sufxcnpjgmNull;
}

public void setSufxcnpjgm(Integer sufxcnpjgm) {
if (sufxcnpjgm == null) {
sufxcnpjgmNull = true;
this.sufxcnpjgm = 0;
} else { 
sufxcnpjgmNull = false;
this.sufxcnpjgm = sufxcnpjgm;
}
}

public String getTransadevgm() {
return transadevgm;
}

public void setTransadevgm(String transadevgm) {
this.transadevgm = transadevgm;
}

public int getTpitemdescr() {
return tpitemdescr;
}

public boolean isTpitemdescrNull() {
return tpitemdescrNull;
}

public void setTpitemdescr(Integer tpitemdescr) {
if (tpitemdescr == null) {
tpitemdescrNull = true;
this.tpitemdescr = 0;
} else { 
tpitemdescrNull = false;
this.tpitemdescr = tpitemdescr;
}
}

public int getTpitemipi() {
return tpitemipi;
}

public boolean isTpitemipiNull() {
return tpitemipiNull;
}

public void setTpitemipi(Integer tpitemipi) {
if (tpitemipi == null) {
tpitemipiNull = true;
this.tpitemipi = 0;
} else { 
tpitemipiNull = false;
this.tpitemipi = tpitemipi;
}
}

public String getMatriz() {
return matriz;
}

public void setMatriz(String matriz) {
this.matriz = matriz;
}

public String getConestoqu() {
return conestoqu;
}

public void setConestoqu(String conestoqu) {
this.conestoqu = conestoqu;
}

public String getConpedpend() {
return conpedpend;
}

public void setConpedpend(String conpedpend) {
this.conpedpend = conpedpend;
}

public String getCondemanda() {
return condemanda;
}

public void setCondemanda(String condemanda) {
this.condemanda = condemanda;
}

public String getConvenper() {
return convenper;
}

public void setConvenper(String convenper) {
this.convenper = convenper;
}

public String getConferencia() {
return conferencia;
}

public void setConferencia(String conferencia) {
this.conferencia = conferencia;
}

public int getIdDeppcs() {
return idDeppcs;
}

public boolean isIdDeppcsNull() {
return idDeppcsNull;
}

public void setIdDeppcs(Integer idDeppcs) {
if (idDeppcs == null) {
idDeppcsNull = true;
this.idDeppcs = 0;
} else { 
idDeppcsNull = false;
this.idDeppcs = idDeppcs;
}
}

public int getIdSetorsr() {
return idSetorsr;
}

public boolean isIdSetorsrNull() {
return idSetorsrNull;
}

public void setIdSetorsr(Integer idSetorsr) {
if (idSetorsr == null) {
idSetorsrNull = true;
this.idSetorsr = 0;
} else { 
idSetorsrNull = false;
this.idSetorsr = idSetorsr;
}
}

public String getAbrevmecanica() {
return abrevmecanica;
}

public void setAbrevmecanica(String abrevmecanica) {
this.abrevmecanica = abrevmecanica;
}

}

