package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmpdcomp {
@Coluna(nome="gmpdcomp.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmpdcomp.pedfabric", tipo="String")
private String pedfabric;
@Coluna(nome="gmpdcomp.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="gmpdcomp.dtgerarq", tipo="FglDate")
private FglDate dtgerarq;
@Coluna(nome="gmpdcomp.tpped", tipo="String")
private String tpped;
@Coluna(nome="gmpdcomp.id_pdcomp", tipo="int")
private int idPdcomp;
private boolean idPdcompNull;

public TabGmpdcomp() {
initialize();
}

public void initialize() {
setFilial(null);
setPedfabric(null);
setArquivo(null);
setDtgerarq(null);
setTpped(null);
setIdPdcomp(null);
}

public TabGmpdcomp(int filial, String pedfabric, String arquivo, FglDate dtgerarq, String tpped, int idPdcomp) {
this.filial = filial;
this.pedfabric = pedfabric;
this.arquivo = arquivo;
this.dtgerarq = dtgerarq;
this.tpped = tpped;
this.idPdcomp = idPdcomp;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getPedfabric() {
return pedfabric;
}

public void setPedfabric(String pedfabric) {
this.pedfabric = pedfabric;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public FglDate getDtgerarq() {
return dtgerarq;
}

public void setDtgerarq(FglDate dtgerarq) {
this.dtgerarq = dtgerarq;
}

public String getTpped() {
return tpped;
}

public void setTpped(String tpped) {
this.tpped = tpped;
}

public int getIdPdcomp() {
return idPdcomp;
}

public boolean isIdPdcompNull() {
return idPdcompNull;
}

public void setIdPdcomp(Integer idPdcomp) {
if (idPdcomp == null) {
idPdcompNull = true;
this.idPdcomp = 0;
} else { 
idPdcompNull = false;
this.idPdcomp = idPdcomp;
}
}

}

