package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsainfo {
@Coluna(nome="gmsainfo.informativo", tipo="String")
private String informativo;
@Coluna(nome="gmsainfo.tpinformativo", tipo="String")
private String tpinformativo;
@Coluna(nome="gmsainfo.gsa", tipo="String")
private String gsa;
@Coluna(nome="gmsainfo.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="gmsainfo.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsainfo() {
initialize();
}

public void initialize() {
setInformativo(null);
setTpinformativo(null);
setGsa(null);
setIdServico(null);
setDtmodifica(null);
}

public TabGmsainfo(String informativo, String tpinformativo, String gsa, int idServico, FglDateTimeYS dtmodifica) {
this.informativo = informativo;
this.tpinformativo = tpinformativo;
this.gsa = gsa;
this.idServico = idServico;
this.dtmodifica = dtmodifica;
}

public String getInformativo() {
return informativo;
}

public void setInformativo(String informativo) {
this.informativo = informativo;
}

public String getTpinformativo() {
return tpinformativo;
}

public void setTpinformativo(String tpinformativo) {
this.tpinformativo = tpinformativo;
}

public String getGsa() {
return gsa;
}

public void setGsa(String gsa) {
this.gsa = gsa;
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

