package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabGmsaplat {
@Coluna(nome="gmsaplat.plataforma", tipo="int")
private int plataforma;
private boolean plataformaNull;
@Coluna(nome="gmsaplat.descricao", tipo="String")
private String descricao;
@Coluna(nome="gmsaplat.letravin", tipo="String")
private String letravin;
@Coluna(nome="gmsaplat.dtmodifica", tipo="FglDateTimeYS")
private FglDateTimeYS dtmodifica;

public TabGmsaplat() {
initialize();
}

public void initialize() {
setPlataforma(null);
setDescricao(null);
setLetravin(null);
setDtmodifica(null);
}

public TabGmsaplat(int plataforma, String descricao, String letravin, FglDateTimeYS dtmodifica) {
this.plataforma = plataforma;
this.descricao = descricao;
this.letravin = letravin;
this.dtmodifica = dtmodifica;
}

public int getPlataforma() {
return plataforma;
}

public boolean isPlataformaNull() {
return plataformaNull;
}

public void setPlataforma(Integer plataforma) {
if (plataforma == null) {
plataformaNull = true;
this.plataforma = 0;
} else { 
plataformaNull = false;
this.plataforma = plataforma;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getLetravin() {
return letravin;
}

public void setLetravin(String letravin) {
this.letravin = letravin;
}

public FglDateTimeYS getDtmodifica() {
return dtmodifica;
}

public void setDtmodifica(FglDateTimeYS dtmodifica) {
this.dtmodifica = dtmodifica;
}

}

