package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabGmsolcre {
@Coluna(nome="gmsolcre.id_solcre", tipo="int")
private int idSolcre;
private boolean idSolcreNull;
@Coluna(nome="gmsolcre.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="gmsolcre.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="gmsolcre.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="gmsolcre.codservico", tipo="String")
private String codservico;
@Coluna(nome="gmsolcre.produto", tipo="String")
private String produto;
@Coluna(nome="gmsolcre.qtdeprod", tipo="double")
private double qtdeprod;
private boolean qtdeprodNull;
@Coluna(nome="gmsolcre.vlrprod", tipo="double")
private double vlrprod;
private boolean vlrprodNull;
@Coluna(nome="gmsolcre.qtdehoras", tipo="double")
private double qtdehoras;
private boolean qtdehorasNull;
@Coluna(nome="gmsolcre.codigodef", tipo="String")
private String codigodef;
@Coluna(nome="gmsolcre.roadserv", tipo="String")
private String roadserv;
@Coluna(nome="gmsolcre.local", tipo="String")
private String local;
@Coluna(nome="gmsolcre.outrovlr", tipo="double")
private double outrovlr;
private boolean outrovlrNull;
@Coluna(nome="gmsolcre.indicador", tipo="String")
private String indicador;
@Coluna(nome="gmsolcre.casotipo", tipo="String")
private String casotipo;
@Coluna(nome="gmsolcre.codautori", tipo="String")
private String codautori;
@Coluna(nome="gmsolcre.sclinha", tipo="int")
private int sclinha;
private boolean sclinhaNull;
@Coluna(nome="gmsolcre.datasc", tipo="FglDate")
private FglDate datasc;
@Coluna(nome="gmsolcre.conjunto", tipo="String")
private String conjunto;
@Coluna(nome="gmsolcre.statusenv", tipo="String")
private String statusenv;
@Coluna(nome="gmsolcre.statusret", tipo="String")
private String statusret;
@Coluna(nome="gmsolcre.progger", tipo="String")
private String progger;

public TabGmsolcre() {
initialize();
}

public void initialize() {
setIdSolcre(null);
setFilial(null);
setOrdemserv(null);
setNroitem(null);
setCodservico(null);
setProduto(null);
setQtdeprod(null);
setVlrprod(null);
setQtdehoras(null);
setCodigodef(null);
setRoadserv(null);
setLocal(null);
setOutrovlr(null);
setIndicador(null);
setCasotipo(null);
setCodautori(null);
setSclinha(null);
setDatasc(null);
setConjunto(null);
setStatusenv(null);
setStatusret(null);
setProgger(null);
}

public TabGmsolcre(int idSolcre, int filial, int ordemserv, int nroitem, String codservico, String produto, double qtdeprod, double vlrprod, double qtdehoras, String codigodef, String roadserv, String local, double outrovlr, String indicador, String casotipo, String codautori, int sclinha, FglDate datasc, String conjunto, String statusenv, String statusret, String progger) {
this.idSolcre = idSolcre;
this.filial = filial;
this.ordemserv = ordemserv;
this.nroitem = nroitem;
this.codservico = codservico;
this.produto = produto;
this.qtdeprod = qtdeprod;
this.vlrprod = vlrprod;
this.qtdehoras = qtdehoras;
this.codigodef = codigodef;
this.roadserv = roadserv;
this.local = local;
this.outrovlr = outrovlr;
this.indicador = indicador;
this.casotipo = casotipo;
this.codautori = codautori;
this.sclinha = sclinha;
this.datasc = datasc;
this.conjunto = conjunto;
this.statusenv = statusenv;
this.statusret = statusret;
this.progger = progger;
}

public int getIdSolcre() {
return idSolcre;
}

public boolean isIdSolcreNull() {
return idSolcreNull;
}

public void setIdSolcre(Integer idSolcre) {
if (idSolcre == null) {
idSolcreNull = true;
this.idSolcre = 0;
} else { 
idSolcreNull = false;
this.idSolcre = idSolcre;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getCodservico() {
return codservico;
}

public void setCodservico(String codservico) {
this.codservico = codservico;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdeprod() {
return qtdeprod;
}

public boolean isQtdeprodNull() {
return qtdeprodNull;
}

public void setQtdeprod(int qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(long qtdeprod) {
setQtdeprod(new Double(qtdeprod));
}

public void setQtdeprod(Double qtdeprod) {
if (qtdeprod == null) {
qtdeprodNull = true;
this.qtdeprod = 0.;
} else { 
qtdeprodNull = false;
this.qtdeprod = FglDouble.round(qtdeprod, 2);
}
}

public double getVlrprod() {
return vlrprod;
}

public boolean isVlrprodNull() {
return vlrprodNull;
}

public void setVlrprod(int vlrprod) {
setVlrprod(new Double(vlrprod));
}

public void setVlrprod(long vlrprod) {
setVlrprod(new Double(vlrprod));
}

public void setVlrprod(Double vlrprod) {
if (vlrprod == null) {
vlrprodNull = true;
this.vlrprod = 0.;
} else { 
vlrprodNull = false;
this.vlrprod = FglDouble.round(vlrprod, 2);
}
}

public double getQtdehoras() {
return qtdehoras;
}

public boolean isQtdehorasNull() {
return qtdehorasNull;
}

public void setQtdehoras(int qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(long qtdehoras) {
setQtdehoras(new Double(qtdehoras));
}

public void setQtdehoras(Double qtdehoras) {
if (qtdehoras == null) {
qtdehorasNull = true;
this.qtdehoras = 0.;
} else { 
qtdehorasNull = false;
this.qtdehoras = FglDouble.round(qtdehoras, 2);
}
}

public String getCodigodef() {
return codigodef;
}

public void setCodigodef(String codigodef) {
this.codigodef = codigodef;
}

public String getRoadserv() {
return roadserv;
}

public void setRoadserv(String roadserv) {
this.roadserv = roadserv;
}

public String getLocal() {
return local;
}

public void setLocal(String local) {
this.local = local;
}

public double getOutrovlr() {
return outrovlr;
}

public boolean isOutrovlrNull() {
return outrovlrNull;
}

public void setOutrovlr(int outrovlr) {
setOutrovlr(new Double(outrovlr));
}

public void setOutrovlr(long outrovlr) {
setOutrovlr(new Double(outrovlr));
}

public void setOutrovlr(Double outrovlr) {
if (outrovlr == null) {
outrovlrNull = true;
this.outrovlr = 0.;
} else { 
outrovlrNull = false;
this.outrovlr = FglDouble.round(outrovlr, 2);
}
}

public String getIndicador() {
return indicador;
}

public void setIndicador(String indicador) {
this.indicador = indicador;
}

public String getCasotipo() {
return casotipo;
}

public void setCasotipo(String casotipo) {
this.casotipo = casotipo;
}

public String getCodautori() {
return codautori;
}

public void setCodautori(String codautori) {
this.codautori = codautori;
}

public int getSclinha() {
return sclinha;
}

public boolean isSclinhaNull() {
return sclinhaNull;
}

public void setSclinha(Integer sclinha) {
if (sclinha == null) {
sclinhaNull = true;
this.sclinha = 0;
} else { 
sclinhaNull = false;
this.sclinha = sclinha;
}
}

public FglDate getDatasc() {
return datasc;
}

public void setDatasc(FglDate datasc) {
this.datasc = datasc;
}

public String getConjunto() {
return conjunto;
}

public void setConjunto(String conjunto) {
this.conjunto = conjunto;
}

public String getStatusenv() {
return statusenv;
}

public void setStatusenv(String statusenv) {
this.statusenv = statusenv;
}

public String getStatusret() {
return statusret;
}

public void setStatusret(String statusret) {
this.statusret = statusret;
}

public String getProgger() {
return progger;
}

public void setProgger(String progger) {
this.progger = progger;
}

}

