package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabGmsolpec {
@Coluna(nome="gmsolpec.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="gmsolpec.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="gmsolpec.produto", tipo="String")
private String produto;
@Coluna(nome="gmsolpec.causadora", tipo="String")
private String causadora;
@Coluna(nome="gmsolpec.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="gmsolpec.vlrgarantia", tipo="double")
private double vlrgarantia;
private boolean vlrgarantiaNull;
@Coluna(nome="gmsolpec.vlrmarkup", tipo="double")
private double vlrmarkup;
private boolean vlrmarkupNull;
@Coluna(nome="gmsolpec.pecagm", tipo="String")
private String pecagm;
@Coluna(nome="gmsolpec.precogwm", tipo="String")
private String precogwm;
@Coluna(nome="gmsolpec.nroserie", tipo="String")
private String nroserie;

public TabGmsolpec() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setCausadora(null);
setQuantidade(null);
setVlrgarantia(null);
setVlrmarkup(null);
setPecagm(null);
setPrecogwm(null);
setNroserie(null);
}

public TabGmsolpec(int idOscapa, int nroitem, String produto, String causadora, double quantidade, double vlrgarantia, double vlrmarkup, String pecagm, String precogwm, String nroserie) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.causadora = causadora;
this.quantidade = quantidade;
this.vlrgarantia = vlrgarantia;
this.vlrmarkup = vlrmarkup;
this.pecagm = pecagm;
this.precogwm = precogwm;
this.nroserie = nroserie;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getCausadora() {
return causadora;
}

public void setCausadora(String causadora) {
this.causadora = causadora;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getVlrgarantia() {
return vlrgarantia;
}

public boolean isVlrgarantiaNull() {
return vlrgarantiaNull;
}

public void setVlrgarantia(int vlrgarantia) {
setVlrgarantia(new Double(vlrgarantia));
}

public void setVlrgarantia(long vlrgarantia) {
setVlrgarantia(new Double(vlrgarantia));
}

public void setVlrgarantia(Double vlrgarantia) {
if (vlrgarantia == null) {
vlrgarantiaNull = true;
this.vlrgarantia = 0.;
} else { 
vlrgarantiaNull = false;
this.vlrgarantia = FglDouble.round(vlrgarantia, 2);
}
}

public double getVlrmarkup() {
return vlrmarkup;
}

public boolean isVlrmarkupNull() {
return vlrmarkupNull;
}

public void setVlrmarkup(int vlrmarkup) {
setVlrmarkup(new Double(vlrmarkup));
}

public void setVlrmarkup(long vlrmarkup) {
setVlrmarkup(new Double(vlrmarkup));
}

public void setVlrmarkup(Double vlrmarkup) {
if (vlrmarkup == null) {
vlrmarkupNull = true;
this.vlrmarkup = 0.;
} else { 
vlrmarkupNull = false;
this.vlrmarkup = FglDouble.round(vlrmarkup, 2);
}
}

public String getPecagm() {
return pecagm;
}

public void setPecagm(String pecagm) {
this.pecagm = pecagm;
}

public String getPrecogwm() {
return precogwm;
}

public void setPrecogwm(String precogwm) {
this.precogwm = precogwm;
}

public String getNroserie() {
return nroserie;
}

public void setNroserie(String nroserie) {
this.nroserie = nroserie;
}

}

