package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabHmdfempr {
@Coluna(nome="hmdfempr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="hmdfempr.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="hmdfempr.quadro", tipo="int")
private int quadro;
private boolean quadroNull;
@Coluna(nome="hmdfempr.descricao", tipo="String")
private String descricao;
@Coluna(nome="hmdfempr.tipooper", tipo="int")
private int tipooper;
private boolean tipooperNull;
@Coluna(nome="hmdfempr.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="hmdfempr.dtvencto", tipo="FglDate")
private FglDate dtvencto;
@Coluna(nome="hmdfempr.garantias", tipo="String")
private String garantias;

public TabHmdfempr() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setQuadro(null);
setDescricao(null);
setTipooper(null);
setValor(null);
setDtvencto(null);
setGarantias(null);
}

public TabHmdfempr(int filial, FglDateTimeYM anomes, int quadro, String descricao, int tipooper, double valor, FglDate dtvencto, String garantias) {
this.filial = filial;
this.anomes = anomes;
this.quadro = quadro;
this.descricao = descricao;
this.tipooper = tipooper;
this.valor = valor;
this.dtvencto = dtvencto;
this.garantias = garantias;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getQuadro() {
return quadro;
}

public boolean isQuadroNull() {
return quadroNull;
}

public void setQuadro(Integer quadro) {
if (quadro == null) {
quadroNull = true;
this.quadro = 0;
} else { 
quadroNull = false;
this.quadro = quadro;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getTipooper() {
return tipooper;
}

public boolean isTipooperNull() {
return tipooperNull;
}

public void setTipooper(Integer tipooper) {
if (tipooper == null) {
tipooperNull = true;
this.tipooper = 0;
} else { 
tipooperNull = false;
this.tipooper = tipooper;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public FglDate getDtvencto() {
return dtvencto;
}

public void setDtvencto(FglDate dtvencto) {
this.dtvencto = dtvencto;
}

public String getGarantias() {
return garantias;
}

public void setGarantias(String garantias) {
this.garantias = garantias;
}

}

