package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabHonDadosIss {
@Coluna(nome="hon_dados_iss.numero_dn", tipo="String")
private String numeroDn;
@Coluna(nome="hon_dados_iss.numero_os", tipo="String")
private String numeroOs;
@Coluna(nome="hon_dados_iss.dta_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaInclusao;
@Coluna(nome="hon_dados_iss.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="hon_dados_iss.usuario", tipo="String")
private String usuario;
@Coluna(nome="hon_dados_iss.senha", tipo="String")
private String senha;
@Coluna(nome="hon_dados_iss.segmento", tipo="String")
private String segmento;
@Coluna(nome="hon_dados_iss.chassi_serie", tipo="String")
private String chassiSerie;
@Coluna(nome="hon_dados_iss.quilometragem_horas", tipo="String")
private String quilometragemHoras;
@Coluna(nome="hon_dados_iss.dta_emissao_os", tipo="FglDateTimeYS")
private FglDateTimeYS dtaEmissaoOs;
@Coluna(nome="hon_dados_iss.peca_causadora", tipo="String")
private String pecaCausadora;
@Coluna(nome="hon_dados_iss.cod_sintoma", tipo="String")
private String codSintoma;
@Coluna(nome="hon_dados_iss.cod_retorno", tipo="String")
private String codRetorno;
@Coluna(nome="hon_dados_iss.des_retorno", tipo="String")
private String desRetorno;

public TabHonDadosIss() {
initialize();
}

public void initialize() {
setNumeroDn(null);
setNumeroOs(null);
setDtaInclusao(null);
setStatusEnvio(null);
setUsuario(null);
setSenha(null);
setSegmento(null);
setChassiSerie(null);
setQuilometragemHoras(null);
setDtaEmissaoOs(null);
setPecaCausadora(null);
setCodSintoma(null);
setCodRetorno(null);
setDesRetorno(null);
}

public TabHonDadosIss(String numeroDn, String numeroOs, FglDateTimeYS dtaInclusao, String statusEnvio, String usuario, String senha, String segmento, String chassiSerie, String quilometragemHoras, FglDateTimeYS dtaEmissaoOs, String pecaCausadora, String codSintoma, String codRetorno, String desRetorno) {
this.numeroDn = numeroDn;
this.numeroOs = numeroOs;
this.dtaInclusao = dtaInclusao;
this.statusEnvio = statusEnvio;
this.usuario = usuario;
this.senha = senha;
this.segmento = segmento;
this.chassiSerie = chassiSerie;
this.quilometragemHoras = quilometragemHoras;
this.dtaEmissaoOs = dtaEmissaoOs;
this.pecaCausadora = pecaCausadora;
this.codSintoma = codSintoma;
this.codRetorno = codRetorno;
this.desRetorno = desRetorno;
}

public String getNumeroDn() {
return numeroDn;
}

public void setNumeroDn(String numeroDn) {
this.numeroDn = numeroDn;
}

public String getNumeroOs() {
return numeroOs;
}

public void setNumeroOs(String numeroOs) {
this.numeroOs = numeroOs;
}

public FglDateTimeYS getDtaInclusao() {
return dtaInclusao;
}

public void setDtaInclusao(FglDateTimeYS dtaInclusao) {
this.dtaInclusao = dtaInclusao;
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getSegmento() {
return segmento;
}

public void setSegmento(String segmento) {
this.segmento = segmento;
}

public String getChassiSerie() {
return chassiSerie;
}

public void setChassiSerie(String chassiSerie) {
this.chassiSerie = chassiSerie;
}

public String getQuilometragemHoras() {
return quilometragemHoras;
}

public void setQuilometragemHoras(String quilometragemHoras) {
this.quilometragemHoras = quilometragemHoras;
}

public FglDateTimeYS getDtaEmissaoOs() {
return dtaEmissaoOs;
}

public void setDtaEmissaoOs(FglDateTimeYS dtaEmissaoOs) {
this.dtaEmissaoOs = dtaEmissaoOs;
}

public String getPecaCausadora() {
return pecaCausadora;
}

public void setPecaCausadora(String pecaCausadora) {
this.pecaCausadora = pecaCausadora;
}

public String getCodSintoma() {
return codSintoma;
}

public void setCodSintoma(String codSintoma) {
this.codSintoma = codSintoma;
}

public String getCodRetorno() {
return codRetorno;
}

public void setCodRetorno(String codRetorno) {
this.codRetorno = codRetorno;
}

public String getDesRetorno() {
return desRetorno;
}

public void setDesRetorno(String desRetorno) {
this.desRetorno = desRetorno;
}

}

