package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabHyconkpi {
@Coluna(nome="hyconkpi.empresa", tipo="int")
private int empresa;
private boolean empresaNull;
@Coluna(nome="hyconkpi.revenda", tipo="int")
private int revenda;
private boolean revendaNull;
@Coluna(nome="hyconkpi.marca", tipo="String")
private String marca;
@Coluna(nome="hyconkpi.ano_ref", tipo="int")
private int anoRef;
private boolean anoRefNull;
@Coluna(nome="hyconkpi.mes_ref", tipo="int")
private int mesRef;
private boolean mesRefNull;
@Coluna(nome="hyconkpi.codigo", tipo="int")
private int codigo;
private boolean codigoNull;
@Coluna(nome="hyconkpi.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabHyconkpi() {
initialize();
}

public void initialize() {
setEmpresa(null);
setRevenda(null);
setMarca(null);
setAnoRef(null);
setMesRef(null);
setCodigo(null);
setValor(null);
}

public TabHyconkpi(int empresa, int revenda, String marca, int anoRef, int mesRef, int codigo, double valor) {
this.empresa = empresa;
this.revenda = revenda;
this.marca = marca;
this.anoRef = anoRef;
this.mesRef = mesRef;
this.codigo = codigo;
this.valor = valor;
}

public int getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(Integer empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public int getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(Integer revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public int getAnoRef() {
return anoRef;
}

public boolean isAnoRefNull() {
return anoRefNull;
}

public void setAnoRef(Integer anoRef) {
if (anoRef == null) {
anoRefNull = true;
this.anoRef = 0;
} else { 
anoRefNull = false;
this.anoRef = anoRef;
}
}

public int getMesRef() {
return mesRef;
}

public boolean isMesRefNull() {
return mesRefNull;
}

public void setMesRef(Integer mesRef) {
if (mesRef == null) {
mesRefNull = true;
this.mesRef = 0;
} else { 
mesRefNull = false;
this.mesRef = mesRef;
}
}

public int getCodigo() {
return codigo;
}

public boolean isCodigoNull() {
return codigoNull;
}

public void setCodigo(Integer codigo) {
if (codigo == null) {
codigoNull = true;
this.codigo = 0;
} else { 
codigoNull = false;
this.codigo = codigo;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

