package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabHyuEmail {
@Coluna(nome="hyu_email.servidor_smtp", tipo="String")
private String servidorSmtp;
@Coluna(nome="hyu_email.porta_smtp", tipo="long")
private long portaSmtp;
private boolean portaSmtpNull;
@Coluna(nome="hyu_email.usuario", tipo="String")
private String usuario;
@Coluna(nome="hyu_email.senha", tipo="String")
private String senha;
@Coluna(nome="hyu_email.ssl", tipo="String")
private String ssl;

public TabHyuEmail() {
initialize();
}

public void initialize() {
setServidorSmtp(null);
setPortaSmtp(null);
setUsuario(null);
setSenha(null);
setSsl(null);
}

public TabHyuEmail(String servidorSmtp, long portaSmtp, String usuario, String senha, String ssl) {
this.servidorSmtp = servidorSmtp;
this.portaSmtp = portaSmtp;
this.usuario = usuario;
this.senha = senha;
this.ssl = ssl;
}

public String getServidorSmtp() {
return servidorSmtp;
}

public void setServidorSmtp(String servidorSmtp) {
this.servidorSmtp = servidorSmtp;
}

public long getPortaSmtp() {
return portaSmtp;
}

public boolean isPortaSmtpNull() {
return portaSmtpNull;
}

public void setPortaSmtp(int portaSmtp) {
setPortaSmtp(new Long(portaSmtp));
}

public void setPortaSmtp(Long portaSmtp) {
if (portaSmtp == null) {
portaSmtpNull = true;
this.portaSmtp = 0l;
} else { 
portaSmtpNull = false;
this.portaSmtp = portaSmtp;
}
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getSsl() {
return ssl;
}

public void setSsl(String ssl) {
this.ssl = ssl;
}

}

