package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabHyuParametro {
@Coluna(nome="hyu_parametro.empresa", tipo="long")
private long empresa;
private boolean empresaNull;
@Coluna(nome="hyu_parametro.revenda", tipo="long")
private long revenda;
private boolean revendaNull;
@Coluna(nome="hyu_parametro.numero_dn", tipo="String")
private String numeroDn;
@Coluna(nome="hyu_parametro.formas_contato_showroom", tipo="String")
private String formasContatoShowroom;

public TabHyuParametro() {
initialize();
}

public void initialize() {
setEmpresa(null);
setRevenda(null);
setNumeroDn(null);
setFormasContatoShowroom(null);
}

public TabHyuParametro(long empresa, long revenda, String numeroDn, String formasContatoShowroom) {
this.empresa = empresa;
this.revenda = revenda;
this.numeroDn = numeroDn;
this.formasContatoShowroom = formasContatoShowroom;
}

public long getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(int empresa) {
setEmpresa(new Long(empresa));
}

public void setEmpresa(Long empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0l;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(int revenda) {
setRevenda(new Long(revenda));
}

public void setRevenda(Long revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0l;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public String getNumeroDn() {
return numeroDn;
}

public void setNumeroDn(String numeroDn) {
this.numeroDn = numeroDn;
}

public String getFormasContatoShowroom() {
return formasContatoShowroom;
}

public void setFormasContatoShowroom(String formasContatoShowroom) {
this.formasContatoShowroom = formasContatoShowroom;
}

}

