package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabHyuPartsInvoice {
@Coluna(nome="hyu_parts_invoice.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="hyu_parts_invoice.document_id", tipo="String")
private String documentId;
@Coluna(nome="hyu_parts_invoice.document_datetime", tipo="FglDateTimeYS")
private FglDateTimeYS documentDatetime;
@Coluna(nome="hyu_parts_invoice.invoice_number", tipo="String")
private String invoiceNumber;
@Coluna(nome="hyu_parts_invoice.business_operation", tipo="String")
private String businessOperation;
@Coluna(nome="hyu_parts_invoice.invoice_date", tipo="FglDateTimeYS")
private FglDateTimeYS invoiceDate;
@Coluna(nome="hyu_parts_invoice.nf_number", tipo="String")
private String nfNumber;
@Coluna(nome="hyu_parts_invoice.total_amount", tipo="double")
private double totalAmount;
private boolean totalAmountNull;
@Coluna(nome="hyu_parts_invoice.dealer_code", tipo="String")
private String dealerCode;
@Coluna(nome="hyu_parts_invoice.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="hyu_parts_invoice.transport_mode", tipo="String")
private String transportMode;

public TabHyuPartsInvoice() {
initialize();
}

public void initialize() {
setIdEvento(null);
setDocumentId(null);
setDocumentDatetime(null);
setInvoiceNumber(null);
setBusinessOperation(null);
setInvoiceDate(null);
setNfNumber(null);
setTotalAmount(null);
setDealerCode(null);
setCnpj(null);
setTransportMode(null);
}

public TabHyuPartsInvoice(int idEvento, String documentId, FglDateTimeYS documentDatetime, String invoiceNumber, String businessOperation, FglDateTimeYS invoiceDate, String nfNumber, double totalAmount, String dealerCode, String cnpj, String transportMode) {
this.idEvento = idEvento;
this.documentId = documentId;
this.documentDatetime = documentDatetime;
this.invoiceNumber = invoiceNumber;
this.businessOperation = businessOperation;
this.invoiceDate = invoiceDate;
this.nfNumber = nfNumber;
this.totalAmount = totalAmount;
this.dealerCode = dealerCode;
this.cnpj = cnpj;
this.transportMode = transportMode;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public String getDocumentId() {
return documentId;
}

public void setDocumentId(String documentId) {
this.documentId = documentId;
}

public FglDateTimeYS getDocumentDatetime() {
return documentDatetime;
}

public void setDocumentDatetime(FglDateTimeYS documentDatetime) {
this.documentDatetime = documentDatetime;
}

public String getInvoiceNumber() {
return invoiceNumber;
}

public void setInvoiceNumber(String invoiceNumber) {
this.invoiceNumber = invoiceNumber;
}

public String getBusinessOperation() {
return businessOperation;
}

public void setBusinessOperation(String businessOperation) {
this.businessOperation = businessOperation;
}

public FglDateTimeYS getInvoiceDate() {
return invoiceDate;
}

public void setInvoiceDate(FglDateTimeYS invoiceDate) {
this.invoiceDate = invoiceDate;
}

public String getNfNumber() {
return nfNumber;
}

public void setNfNumber(String nfNumber) {
this.nfNumber = nfNumber;
}

public double getTotalAmount() {
return totalAmount;
}

public boolean isTotalAmountNull() {
return totalAmountNull;
}

public void setTotalAmount(int totalAmount) {
setTotalAmount(new Double(totalAmount));
}

public void setTotalAmount(long totalAmount) {
setTotalAmount(new Double(totalAmount));
}

public void setTotalAmount(Double totalAmount) {
if (totalAmount == null) {
totalAmountNull = true;
this.totalAmount = 0.;
} else { 
totalAmountNull = false;
this.totalAmount = totalAmount;
}
}

public String getDealerCode() {
return dealerCode;
}

public void setDealerCode(String dealerCode) {
this.dealerCode = dealerCode;
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public String getTransportMode() {
return transportMode;
}

public void setTransportMode(String transportMode) {
this.transportMode = transportMode;
}

}

