package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabHyuPartsInvoiceFromDms {
@Coluna(nome="hyu_parts_invoice_from_dms.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="hyu_parts_invoice_from_dms.empresa", tipo="long")
private long empresa;
private boolean empresaNull;
@Coluna(nome="hyu_parts_invoice_from_dms.revenda", tipo="long")
private long revenda;
private boolean revendaNull;
@Coluna(nome="hyu_parts_invoice_from_dms.numero_nota_fiscal", tipo="long")
private long numeroNotaFiscal;
private boolean numeroNotaFiscalNull;
@Coluna(nome="hyu_parts_invoice_from_dms.serie_nota_fiscal", tipo="String")
private String serieNotaFiscal;
@Coluna(nome="hyu_parts_invoice_from_dms.tipo_transacao", tipo="String")
private String tipoTransacao;
@Coluna(nome="hyu_parts_invoice_from_dms.contador", tipo="long")
private long contador;
private boolean contadorNull;
@Coluna(nome="hyu_parts_invoice_from_dms.item_estoque_pub", tipo="String")
private String itemEstoquePub;

public TabHyuPartsInvoiceFromDms() {
initialize();
}

public void initialize() {
setIdEvento(null);
setEmpresa(null);
setRevenda(null);
setNumeroNotaFiscal(null);
setSerieNotaFiscal(null);
setTipoTransacao(null);
setContador(null);
setItemEstoquePub(null);
}

public TabHyuPartsInvoiceFromDms(int idEvento, long empresa, long revenda, long numeroNotaFiscal, String serieNotaFiscal, String tipoTransacao, long contador, String itemEstoquePub) {
this.idEvento = idEvento;
this.empresa = empresa;
this.revenda = revenda;
this.numeroNotaFiscal = numeroNotaFiscal;
this.serieNotaFiscal = serieNotaFiscal;
this.tipoTransacao = tipoTransacao;
this.contador = contador;
this.itemEstoquePub = itemEstoquePub;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public long getEmpresa() {
return empresa;
}

public boolean isEmpresaNull() {
return empresaNull;
}

public void setEmpresa(int empresa) {
setEmpresa(new Long(empresa));
}

public void setEmpresa(Long empresa) {
if (empresa == null) {
empresaNull = true;
this.empresa = 0l;
} else { 
empresaNull = false;
this.empresa = empresa;
}
}

public long getRevenda() {
return revenda;
}

public boolean isRevendaNull() {
return revendaNull;
}

public void setRevenda(int revenda) {
setRevenda(new Long(revenda));
}

public void setRevenda(Long revenda) {
if (revenda == null) {
revendaNull = true;
this.revenda = 0l;
} else { 
revendaNull = false;
this.revenda = revenda;
}
}

public long getNumeroNotaFiscal() {
return numeroNotaFiscal;
}

public boolean isNumeroNotaFiscalNull() {
return numeroNotaFiscalNull;
}

public void setNumeroNotaFiscal(int numeroNotaFiscal) {
setNumeroNotaFiscal(new Long(numeroNotaFiscal));
}

public void setNumeroNotaFiscal(Long numeroNotaFiscal) {
if (numeroNotaFiscal == null) {
numeroNotaFiscalNull = true;
this.numeroNotaFiscal = 0l;
} else { 
numeroNotaFiscalNull = false;
this.numeroNotaFiscal = numeroNotaFiscal;
}
}

public String getSerieNotaFiscal() {
return serieNotaFiscal;
}

public void setSerieNotaFiscal(String serieNotaFiscal) {
this.serieNotaFiscal = serieNotaFiscal;
}

public String getTipoTransacao() {
return tipoTransacao;
}

public void setTipoTransacao(String tipoTransacao) {
this.tipoTransacao = tipoTransacao;
}

public long getContador() {
return contador;
}

public boolean isContadorNull() {
return contadorNull;
}

public void setContador(int contador) {
setContador(new Long(contador));
}

public void setContador(Long contador) {
if (contador == null) {
contadorNull = true;
this.contador = 0l;
} else { 
contadorNull = false;
this.contador = contador;
}
}

public String getItemEstoquePub() {
return itemEstoquePub;
}

public void setItemEstoquePub(String itemEstoquePub) {
this.itemEstoquePub = itemEstoquePub;
}

}

