package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIclientes {
@Coluna(nome="iclientes.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="iclientes.cpf", tipo="String")
private String cpf;
@Coluna(nome="iclientes.name", tipo="String")
private String name;
@Coluna(nome="iclientes.email", tipo="String")
private String email;
@Coluna(nome="iclientes.alternateemail", tipo="String")
private String alternateemail;
@Coluna(nome="iclientes.mothername", tipo="String")
private String mothername;
@Coluna(nome="iclientes.birthdate", tipo="String")
private String birthdate;
@Coluna(nome="iclientes.maritalstatus", tipo="String")
private String maritalstatus;
@Coluna(nome="iclientes.nomeparceiro", tipo="String")
private String nomeparceiro;
@Coluna(nome="iclientes.cpfparceiro", tipo="String")
private String cpfparceiro;
@Coluna(nome="iclientes.incometotalvalue", tipo="double")
private double incometotalvalue;
private boolean incometotalvalueNull;

public TabIclientes() {
initialize();
}

public void initialize() {
setIdTarefa(null);
setCpf(null);
setName(null);
setEmail(null);
setAlternateemail(null);
setMothername(null);
setBirthdate(null);
setMaritalstatus(null);
setNomeparceiro(null);
setCpfparceiro(null);
setIncometotalvalue(null);
}

public TabIclientes(int idTarefa, String cpf, String name, String email, String alternateemail, String mothername, String birthdate, String maritalstatus, String nomeparceiro, String cpfparceiro, double incometotalvalue) {
this.idTarefa = idTarefa;
this.cpf = cpf;
this.name = name;
this.email = email;
this.alternateemail = alternateemail;
this.mothername = mothername;
this.birthdate = birthdate;
this.maritalstatus = maritalstatus;
this.nomeparceiro = nomeparceiro;
this.cpfparceiro = cpfparceiro;
this.incometotalvalue = incometotalvalue;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public String getCpf() {
return cpf;
}

public void setCpf(String cpf) {
this.cpf = cpf;
}

public String getName() {
return name;
}

public void setName(String name) {
this.name = name;
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getAlternateemail() {
return alternateemail;
}

public void setAlternateemail(String alternateemail) {
this.alternateemail = alternateemail;
}

public String getMothername() {
return mothername;
}

public void setMothername(String mothername) {
this.mothername = mothername;
}

public String getBirthdate() {
return birthdate;
}

public void setBirthdate(String birthdate) {
this.birthdate = birthdate;
}

public String getMaritalstatus() {
return maritalstatus;
}

public void setMaritalstatus(String maritalstatus) {
this.maritalstatus = maritalstatus;
}

public String getNomeparceiro() {
return nomeparceiro;
}

public void setNomeparceiro(String nomeparceiro) {
this.nomeparceiro = nomeparceiro;
}

public String getCpfparceiro() {
return cpfparceiro;
}

public void setCpfparceiro(String cpfparceiro) {
this.cpfparceiro = cpfparceiro;
}

public double getIncometotalvalue() {
return incometotalvalue;
}

public boolean isIncometotalvalueNull() {
return incometotalvalueNull;
}

public void setIncometotalvalue(int incometotalvalue) {
setIncometotalvalue(new Double(incometotalvalue));
}

public void setIncometotalvalue(long incometotalvalue) {
setIncometotalvalue(new Double(incometotalvalue));
}

public void setIncometotalvalue(Double incometotalvalue) {
if (incometotalvalue == null) {
incometotalvalueNull = true;
this.incometotalvalue = 0.;
} else { 
incometotalvalueNull = false;
this.incometotalvalue = FglDouble.round(incometotalvalue, 2);
}
}

}

