package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabIdvReservResp {
@Coluna(nome="idv_reserv_resp.cd_usuario", tipo="int")
private int cdUsuario;
private boolean cdUsuarioNull;
@Coluna(nome="idv_reserv_resp.cd_maquina", tipo="int")
private int cdMaquina;
private boolean cdMaquinaNull;
@Coluna(nome="idv_reserv_resp.cd_filial", tipo="int")
private int cdFilial;
private boolean cdFilialNull;
@Coluna(nome="idv_reserv_resp.ds_chassi", tipo="String")
private String dsChassi;
@Coluna(nome="idv_reserv_resp.dt_reserva", tipo="FglDate")
private FglDate dtReserva;
@Coluna(nome="idv_reserv_resp.hr_reserva", tipo="int")
private int hrReserva;
private boolean hrReservaNull;
@Coluna(nome="idv_reserv_resp.fl_sucesso", tipo="int")
private int flSucesso;
private boolean flSucessoNull;
@Coluna(nome="idv_reserv_resp.ds_sucesso", tipo="String")
private String dsSucesso;

public TabIdvReservResp() {
initialize();
}

public void initialize() {
setCdUsuario(null);
setCdMaquina(null);
setCdFilial(null);
setDsChassi(null);
setDtReserva(null);
setHrReserva(null);
setFlSucesso(null);
setDsSucesso(null);
}

public TabIdvReservResp(int cdUsuario, int cdMaquina, int cdFilial, String dsChassi, FglDate dtReserva, int hrReserva, int flSucesso, String dsSucesso) {
this.cdUsuario = cdUsuario;
this.cdMaquina = cdMaquina;
this.cdFilial = cdFilial;
this.dsChassi = dsChassi;
this.dtReserva = dtReserva;
this.hrReserva = hrReserva;
this.flSucesso = flSucesso;
this.dsSucesso = dsSucesso;
}

public int getCdUsuario() {
return cdUsuario;
}

public boolean isCdUsuarioNull() {
return cdUsuarioNull;
}

public void setCdUsuario(Integer cdUsuario) {
if (cdUsuario == null) {
cdUsuarioNull = true;
this.cdUsuario = 0;
} else { 
cdUsuarioNull = false;
this.cdUsuario = cdUsuario;
}
}

public int getCdMaquina() {
return cdMaquina;
}

public boolean isCdMaquinaNull() {
return cdMaquinaNull;
}

public void setCdMaquina(Integer cdMaquina) {
if (cdMaquina == null) {
cdMaquinaNull = true;
this.cdMaquina = 0;
} else { 
cdMaquinaNull = false;
this.cdMaquina = cdMaquina;
}
}

public int getCdFilial() {
return cdFilial;
}

public boolean isCdFilialNull() {
return cdFilialNull;
}

public void setCdFilial(Integer cdFilial) {
if (cdFilial == null) {
cdFilialNull = true;
this.cdFilial = 0;
} else { 
cdFilialNull = false;
this.cdFilial = cdFilial;
}
}

public String getDsChassi() {
return dsChassi;
}

public void setDsChassi(String dsChassi) {
this.dsChassi = dsChassi;
}

public FglDate getDtReserva() {
return dtReserva;
}

public void setDtReserva(FglDate dtReserva) {
this.dtReserva = dtReserva;
}

public int getHrReserva() {
return hrReserva;
}

public boolean isHrReservaNull() {
return hrReservaNull;
}

public void setHrReserva(Integer hrReserva) {
if (hrReserva == null) {
hrReservaNull = true;
this.hrReserva = 0;
} else { 
hrReservaNull = false;
this.hrReserva = hrReserva;
}
}

public int getFlSucesso() {
return flSucesso;
}

public boolean isFlSucessoNull() {
return flSucessoNull;
}

public void setFlSucesso(Integer flSucesso) {
if (flSucesso == null) {
flSucessoNull = true;
this.flSucesso = 0;
} else { 
flSucessoNull = false;
this.flSucesso = flSucesso;
}
}

public String getDsSucesso() {
return dsSucesso;
}

public void setDsSucesso(String dsSucesso) {
this.dsSucesso = dsSucesso;
}

}

