package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIdvVeicReservAc {
@Coluna(nome="idv_veic_reserv_ac.cd_usuario", tipo="int")
private int cdUsuario;
private boolean cdUsuarioNull;
@Coluna(nome="idv_veic_reserv_ac.cd_maquina", tipo="int")
private int cdMaquina;
private boolean cdMaquinaNull;
@Coluna(nome="idv_veic_reserv_ac.cd_filial", tipo="int")
private int cdFilial;
private boolean cdFilialNull;
@Coluna(nome="idv_veic_reserv_ac.ds_chassi", tipo="String")
private String dsChassi;
@Coluna(nome="idv_veic_reserv_ac.dt_reserva", tipo="FglDate")
private FglDate dtReserva;
@Coluna(nome="idv_veic_reserv_ac.hr_reserva", tipo="int")
private int hrReserva;
private boolean hrReservaNull;
@Coluna(nome="idv_veic_reserv_ac.cd_acessorio", tipo="String")
private String cdAcessorio;
@Coluna(nome="idv_veic_reserv_ac.vl_acessorio", tipo="double")
private double vlAcessorio;
private boolean vlAcessorioNull;

public TabIdvVeicReservAc() {
initialize();
}

public void initialize() {
setCdUsuario(null);
setCdMaquina(null);
setCdFilial(null);
setDsChassi(null);
setDtReserva(null);
setHrReserva(null);
setCdAcessorio(null);
setVlAcessorio(null);
}

public TabIdvVeicReservAc(int cdUsuario, int cdMaquina, int cdFilial, String dsChassi, FglDate dtReserva, int hrReserva, String cdAcessorio, double vlAcessorio) {
this.cdUsuario = cdUsuario;
this.cdMaquina = cdMaquina;
this.cdFilial = cdFilial;
this.dsChassi = dsChassi;
this.dtReserva = dtReserva;
this.hrReserva = hrReserva;
this.cdAcessorio = cdAcessorio;
this.vlAcessorio = vlAcessorio;
}

public int getCdUsuario() {
return cdUsuario;
}

public boolean isCdUsuarioNull() {
return cdUsuarioNull;
}

public void setCdUsuario(Integer cdUsuario) {
if (cdUsuario == null) {
cdUsuarioNull = true;
this.cdUsuario = 0;
} else { 
cdUsuarioNull = false;
this.cdUsuario = cdUsuario;
}
}

public int getCdMaquina() {
return cdMaquina;
}

public boolean isCdMaquinaNull() {
return cdMaquinaNull;
}

public void setCdMaquina(Integer cdMaquina) {
if (cdMaquina == null) {
cdMaquinaNull = true;
this.cdMaquina = 0;
} else { 
cdMaquinaNull = false;
this.cdMaquina = cdMaquina;
}
}

public int getCdFilial() {
return cdFilial;
}

public boolean isCdFilialNull() {
return cdFilialNull;
}

public void setCdFilial(Integer cdFilial) {
if (cdFilial == null) {
cdFilialNull = true;
this.cdFilial = 0;
} else { 
cdFilialNull = false;
this.cdFilial = cdFilial;
}
}

public String getDsChassi() {
return dsChassi;
}

public void setDsChassi(String dsChassi) {
this.dsChassi = dsChassi;
}

public FglDate getDtReserva() {
return dtReserva;
}

public void setDtReserva(FglDate dtReserva) {
this.dtReserva = dtReserva;
}

public int getHrReserva() {
return hrReserva;
}

public boolean isHrReservaNull() {
return hrReservaNull;
}

public void setHrReserva(Integer hrReserva) {
if (hrReserva == null) {
hrReservaNull = true;
this.hrReserva = 0;
} else { 
hrReservaNull = false;
this.hrReserva = hrReserva;
}
}

public String getCdAcessorio() {
return cdAcessorio;
}

public void setCdAcessorio(String cdAcessorio) {
this.cdAcessorio = cdAcessorio;
}

public double getVlAcessorio() {
return vlAcessorio;
}

public boolean isVlAcessorioNull() {
return vlAcessorioNull;
}

public void setVlAcessorio(int vlAcessorio) {
setVlAcessorio(new Double(vlAcessorio));
}

public void setVlAcessorio(long vlAcessorio) {
setVlAcessorio(new Double(vlAcessorio));
}

public void setVlAcessorio(Double vlAcessorio) {
if (vlAcessorio == null) {
vlAcessorioNull = true;
this.vlAcessorio = 0.;
} else { 
vlAcessorioNull = false;
this.vlAcessorio = FglDouble.round(vlAcessorio, 2);
}
}

}

