package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIntChamadaRecall {
@Coluna(nome="int_chamada_recall.chassi", tipo="String")
private String chassi;
@Coluna(nome="int_chamada_recall.chave_acesso", tipo="String")
private String chaveAcesso;
@Coluna(nome="int_chamada_recall.num_opcao", tipo="int")
private int numOpcao;
private boolean numOpcaoNull;
@Coluna(nome="int_chamada_recall.numero_dn", tipo="int")
private int numeroDn;
private boolean numeroDnNull;
@Coluna(nome="int_chamada_recall.status_consistencia", tipo="String")
private String statusConsistencia;

public TabIntChamadaRecall() {
initialize();
}

public void initialize() {
setChassi(null);
setChaveAcesso(null);
setNumOpcao(null);
setNumeroDn(null);
setStatusConsistencia(null);
}

public TabIntChamadaRecall(String chassi, String chaveAcesso, int numOpcao, int numeroDn, String statusConsistencia) {
this.chassi = chassi;
this.chaveAcesso = chaveAcesso;
this.numOpcao = numOpcao;
this.numeroDn = numeroDn;
this.statusConsistencia = statusConsistencia;
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public String getChaveAcesso() {
return chaveAcesso;
}

public void setChaveAcesso(String chaveAcesso) {
this.chaveAcesso = chaveAcesso;
}

public int getNumOpcao() {
return numOpcao;
}

public boolean isNumOpcaoNull() {
return numOpcaoNull;
}

public void setNumOpcao(Integer numOpcao) {
if (numOpcao == null) {
numOpcaoNull = true;
this.numOpcao = 0;
} else { 
numOpcaoNull = false;
this.numOpcao = numOpcao;
}
}

public int getNumeroDn() {
return numeroDn;
}

public boolean isNumeroDnNull() {
return numeroDnNull;
}

public void setNumeroDn(Integer numeroDn) {
if (numeroDn == null) {
numeroDnNull = true;
this.numeroDn = 0;
} else { 
numeroDnNull = false;
this.numeroDn = numeroDn;
}
}

public String getStatusConsistencia() {
return statusConsistencia;
}

public void setStatusConsistencia(String statusConsistencia) {
this.statusConsistencia = statusConsistencia;
}

}

