package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIprecos {
@Coluna(nome="iprecos.id_tarefa", tipo="int")
private int idTarefa;
private boolean idTarefaNull;
@Coluna(nome="iprecos.versaoid", tipo="int")
private int versaoid;
private boolean versaoidNull;
@Coluna(nome="iprecos.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="iprecos.ufid", tipo="String")
private String ufid;
@Coluna(nome="iprecos.zerokm", tipo="String")
private String zerokm;
@Coluna(nome="iprecos.precofipe", tipo="double")
private double precofipe;
private boolean precofipeNull;

public TabIprecos() {
initialize();
}

public void initialize() {
setIdTarefa(null);
setVersaoid(null);
setAnomodelo(null);
setUfid(null);
setZerokm(null);
setPrecofipe(null);
}

public TabIprecos(int idTarefa, int versaoid, int anomodelo, String ufid, String zerokm, double precofipe) {
this.idTarefa = idTarefa;
this.versaoid = versaoid;
this.anomodelo = anomodelo;
this.ufid = ufid;
this.zerokm = zerokm;
this.precofipe = precofipe;
}

public int getIdTarefa() {
return idTarefa;
}

public boolean isIdTarefaNull() {
return idTarefaNull;
}

public void setIdTarefa(Integer idTarefa) {
if (idTarefa == null) {
idTarefaNull = true;
this.idTarefa = 0;
} else { 
idTarefaNull = false;
this.idTarefa = idTarefa;
}
}

public int getVersaoid() {
return versaoid;
}

public boolean isVersaoidNull() {
return versaoidNull;
}

public void setVersaoid(Integer versaoid) {
if (versaoid == null) {
versaoidNull = true;
this.versaoid = 0;
} else { 
versaoidNull = false;
this.versaoid = versaoid;
}
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getUfid() {
return ufid;
}

public void setUfid(String ufid) {
this.ufid = ufid;
}

public String getZerokm() {
return zerokm;
}

public void setZerokm(String zerokm) {
this.zerokm = zerokm;
}

public double getPrecofipe() {
return precofipe;
}

public boolean isPrecofipeNull() {
return precofipeNull;
}

public void setPrecofipe(int precofipe) {
setPrecofipe(new Double(precofipe));
}

public void setPrecofipe(long precofipe) {
setPrecofipe(new Double(precofipe));
}

public void setPrecofipe(Double precofipe) {
if (precofipe == null) {
precofipeNull = true;
this.precofipe = 0.;
} else { 
precofipeNull = false;
this.precofipe = FglDouble.round(precofipe, 2);
}
}

}

