package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabItcLogOcorrencia {
@Coluna(nome="itc_log_ocorrencia.processo", tipo="int")
private int processo;
private boolean processoNull;
@Coluna(nome="itc_log_ocorrencia.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="itc_log_ocorrencia.execucao", tipo="FglDateTimeYS")
private FglDateTimeYS execucao;
@Coluna(nome="itc_log_ocorrencia.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_log_ocorrencia.tipo", tipo="String")
private String tipo;
@Coluna(nome="itc_log_ocorrencia.entrada_saida", tipo="String")
private String entradaSaida;
@Coluna(nome="itc_log_ocorrencia.detalhado", tipo="String")
private String detalhado;

public TabItcLogOcorrencia() {
initialize();
}

public void initialize() {
setProcesso(null);
setSequencia(null);
setExecucao(null);
setDescricao(null);
setTipo(null);
setEntradaSaida(null);
setDetalhado(null);
}

public TabItcLogOcorrencia(int processo, int sequencia, FglDateTimeYS execucao, String descricao, String tipo, String entradaSaida, String detalhado) {
this.processo = processo;
this.sequencia = sequencia;
this.execucao = execucao;
this.descricao = descricao;
this.tipo = tipo;
this.entradaSaida = entradaSaida;
this.detalhado = detalhado;
}

public int getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(Integer processo) {
if (processo == null) {
processoNull = true;
this.processo = 0;
} else { 
processoNull = false;
this.processo = processo;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDateTimeYS getExecucao() {
return execucao;
}

public void setExecucao(FglDateTimeYS execucao) {
this.execucao = execucao;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getEntradaSaida() {
return entradaSaida;
}

public void setEntradaSaida(String entradaSaida) {
this.entradaSaida = entradaSaida;
}

public String getDetalhado() {
return detalhado;
}

public void setDetalhado(String detalhado) {
this.detalhado = detalhado;
}

}

