package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabItcPacote {
@Coluna(nome="itc_pacote.id", tipo="long")
private long id;
private boolean idNull;
@Coluna(nome="itc_pacote.contador_pac", tipo="long")
private long contadorPac;
private boolean contadorPacNull;
@Coluna(nome="itc_pacote.codigo_dms", tipo="String")
private String codigoDms;
@Coluna(nome="itc_pacote.descricao", tipo="String")
private String descricao;
@Coluna(nome="itc_pacote.codigo_nissan", tipo="String")
private String codigoNissan;
@Coluna(nome="itc_pacote.codigo_modelo", tipo="long")
private long codigoModelo;
private boolean codigoModeloNull;
@Coluna(nome="itc_pacote.codigo_versao", tipo="long")
private long codigoVersao;
private boolean codigoVersaoNull;
@Coluna(nome="itc_pacote.cod_pacote_sin", tipo="long")
private long codPacoteSin;
private boolean codPacoteSinNull;
@Coluna(nome="itc_pacote.cod_pacote_dms", tipo="long")
private long codPacoteDms;
private boolean codPacoteDmsNull;

public TabItcPacote() {
initialize();
}

public void initialize() {
setId(null);
setContadorPac(null);
setCodigoDms(null);
setDescricao(null);
setCodigoNissan(null);
setCodigoModelo(null);
setCodigoVersao(null);
setCodPacoteSin(null);
setCodPacoteDms(null);
}

public TabItcPacote(long id, long contadorPac, String codigoDms, String descricao, String codigoNissan, long codigoModelo, long codigoVersao, long codPacoteSin, long codPacoteDms) {
this.id = id;
this.contadorPac = contadorPac;
this.codigoDms = codigoDms;
this.descricao = descricao;
this.codigoNissan = codigoNissan;
this.codigoModelo = codigoModelo;
this.codigoVersao = codigoVersao;
this.codPacoteSin = codPacoteSin;
this.codPacoteDms = codPacoteDms;
}

public long getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(int id) {
setId(new Long(id));
}

public void setId(Long id) {
if (id == null) {
idNull = true;
this.id = 0l;
} else { 
idNull = false;
this.id = id;
}
}

public long getContadorPac() {
return contadorPac;
}

public boolean isContadorPacNull() {
return contadorPacNull;
}

public void setContadorPac(int contadorPac) {
setContadorPac(new Long(contadorPac));
}

public void setContadorPac(Long contadorPac) {
if (contadorPac == null) {
contadorPacNull = true;
this.contadorPac = 0l;
} else { 
contadorPacNull = false;
this.contadorPac = contadorPac;
}
}

public String getCodigoDms() {
return codigoDms;
}

public void setCodigoDms(String codigoDms) {
this.codigoDms = codigoDms;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getCodigoNissan() {
return codigoNissan;
}

public void setCodigoNissan(String codigoNissan) {
this.codigoNissan = codigoNissan;
}

public long getCodigoModelo() {
return codigoModelo;
}

public boolean isCodigoModeloNull() {
return codigoModeloNull;
}

public void setCodigoModelo(int codigoModelo) {
setCodigoModelo(new Long(codigoModelo));
}

public void setCodigoModelo(Long codigoModelo) {
if (codigoModelo == null) {
codigoModeloNull = true;
this.codigoModelo = 0l;
} else { 
codigoModeloNull = false;
this.codigoModelo = codigoModelo;
}
}

public long getCodigoVersao() {
return codigoVersao;
}

public boolean isCodigoVersaoNull() {
return codigoVersaoNull;
}

public void setCodigoVersao(int codigoVersao) {
setCodigoVersao(new Long(codigoVersao));
}

public void setCodigoVersao(Long codigoVersao) {
if (codigoVersao == null) {
codigoVersaoNull = true;
this.codigoVersao = 0l;
} else { 
codigoVersaoNull = false;
this.codigoVersao = codigoVersao;
}
}

public long getCodPacoteSin() {
return codPacoteSin;
}

public boolean isCodPacoteSinNull() {
return codPacoteSinNull;
}

public void setCodPacoteSin(int codPacoteSin) {
setCodPacoteSin(new Long(codPacoteSin));
}

public void setCodPacoteSin(Long codPacoteSin) {
if (codPacoteSin == null) {
codPacoteSinNull = true;
this.codPacoteSin = 0l;
} else { 
codPacoteSinNull = false;
this.codPacoteSin = codPacoteSin;
}
}

public long getCodPacoteDms() {
return codPacoteDms;
}

public boolean isCodPacoteDmsNull() {
return codPacoteDmsNull;
}

public void setCodPacoteDms(int codPacoteDms) {
setCodPacoteDms(new Long(codPacoteDms));
}

public void setCodPacoteDms(Long codPacoteDms) {
if (codPacoteDms == null) {
codPacoteDmsNull = true;
this.codPacoteDms = 0l;
} else { 
codPacoteDmsNull = false;
this.codPacoteDms = codPacoteDms;
}
}

}

