package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabItcSinHist {
@Coluna(nome="itc_sin_hist.id", tipo="long")
private long id;
private boolean idNull;
@Coluna(nome="itc_sin_hist.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="itc_sin_hist.status", tipo="String")
private String status;
@Coluna(nome="itc_sin_hist.data_hist", tipo="FglDateTimeYS")
private FglDateTimeYS dataHist;
@Coluna(nome="itc_sin_hist.mensagem", tipo="String")
private String mensagem;

public TabItcSinHist() {
initialize();
}

public void initialize() {
setId(null);
setSequencia(null);
setStatus(null);
setDataHist(null);
setMensagem(null);
}

public TabItcSinHist(long id, int sequencia, String status, FglDateTimeYS dataHist, String mensagem) {
this.id = id;
this.sequencia = sequencia;
this.status = status;
this.dataHist = dataHist;
this.mensagem = mensagem;
}

public long getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(int id) {
setId(new Long(id));
}

public void setId(Long id) {
if (id == null) {
idNull = true;
this.id = 0l;
} else { 
idNull = false;
this.id = id;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getDataHist() {
return dataHist;
}

public void setDataHist(FglDateTimeYS dataHist) {
this.dataHist = dataHist;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

