package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabItcVeiculo {
@Coluna(nome="itc_veiculo.id_veiculo", tipo="int")
private int idVeiculo;
private boolean idVeiculoNull;
@Coluna(nome="itc_veiculo.cod_grupo_montadora", tipo="String")
private String codGrupoMontadora;
@Coluna(nome="itc_veiculo.marca", tipo="String")
private String marca;
@Coluna(nome="itc_veiculo.modelo", tipo="String")
private String modelo;
@Coluna(nome="itc_veiculo.anomodelo", tipo="String")
private String anomodelo;
@Coluna(nome="itc_veiculo.cor", tipo="String")
private String cor;
@Coluna(nome="itc_veiculo.chassi", tipo="String")
private String chassi;
@Coluna(nome="itc_veiculo.placa", tipo="String")
private String placa;
@Coluna(nome="itc_veiculo.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="itc_veiculo.quilometragem", tipo="int")
private int quilometragem;
private boolean quilometragemNull;

public TabItcVeiculo() {
initialize();
}

public void initialize() {
setIdVeiculo(null);
setCodGrupoMontadora(null);
setMarca(null);
setModelo(null);
setAnomodelo(null);
setCor(null);
setChassi(null);
setPlaca(null);
setValor(null);
setQuilometragem(null);
}

public TabItcVeiculo(int idVeiculo, String codGrupoMontadora, String marca, String modelo, String anomodelo, String cor, String chassi, String placa, double valor, int quilometragem) {
this.idVeiculo = idVeiculo;
this.codGrupoMontadora = codGrupoMontadora;
this.marca = marca;
this.modelo = modelo;
this.anomodelo = anomodelo;
this.cor = cor;
this.chassi = chassi;
this.placa = placa;
this.valor = valor;
this.quilometragem = quilometragem;
}

public int getIdVeiculo() {
return idVeiculo;
}

public boolean isIdVeiculoNull() {
return idVeiculoNull;
}

public void setIdVeiculo(Integer idVeiculo) {
if (idVeiculo == null) {
idVeiculoNull = true;
this.idVeiculo = 0;
} else { 
idVeiculoNull = false;
this.idVeiculo = idVeiculo;
}
}

public String getCodGrupoMontadora() {
return codGrupoMontadora;
}

public void setCodGrupoMontadora(String codGrupoMontadora) {
this.codGrupoMontadora = codGrupoMontadora;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getAnomodelo() {
return anomodelo;
}

public void setAnomodelo(String anomodelo) {
this.anomodelo = anomodelo;
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getQuilometragem() {
return quilometragem;
}

public boolean isQuilometragemNull() {
return quilometragemNull;
}

public void setQuilometragem(Integer quilometragem) {
if (quilometragem == null) {
quilometragemNull = true;
this.quilometragem = 0;
} else { 
quilometragemNull = false;
this.quilometragem = quilometragem;
}
}

}

