package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvAcaoctrl {
@Coluna(nome="iv_acaoctrl.acao", tipo="long")
private long acao;
private boolean acaoNull;
@Coluna(nome="iv_acaoctrl.seqctrl", tipo="int")
private int seqctrl;
private boolean seqctrlNull;
@Coluna(nome="iv_acaoctrl.base", tipo="String")
private String base;
@Coluna(nome="iv_acaoctrl.sequsrbase", tipo="long")
private long sequsrbase;
private boolean sequsrbaseNull;
@Coluna(nome="iv_acaoctrl.minuto", tipo="long")
private long minuto;
private boolean minutoNull;
@Coluna(nome="iv_acaoctrl.destinatario", tipo="long")
private long destinatario;
private boolean destinatarioNull;
@Coluna(nome="iv_acaoctrl.atitude", tipo="String")
private String atitude;
@Coluna(nome="iv_acaoctrl.intervaloexec", tipo="int")
private int intervaloexec;
private boolean intervaloexecNull;
@Coluna(nome="iv_acaoctrl.dtaproxexec", tipo="FglDateTimeYS")
private FglDateTimeYS dtaproxexec;

public TabIvAcaoctrl() {
initialize();
}

public void initialize() {
setAcao(null);
setSeqctrl(null);
setBase(null);
setSequsrbase(null);
setMinuto(null);
setDestinatario(null);
setAtitude(null);
setIntervaloexec(null);
setDtaproxexec(null);
}

public TabIvAcaoctrl(long acao, int seqctrl, String base, long sequsrbase, long minuto, long destinatario, String atitude, int intervaloexec, FglDateTimeYS dtaproxexec) {
this.acao = acao;
this.seqctrl = seqctrl;
this.base = base;
this.sequsrbase = sequsrbase;
this.minuto = minuto;
this.destinatario = destinatario;
this.atitude = atitude;
this.intervaloexec = intervaloexec;
this.dtaproxexec = dtaproxexec;
}

public long getAcao() {
return acao;
}

public boolean isAcaoNull() {
return acaoNull;
}

public void setAcao(int acao) {
setAcao(new Long(acao));
}

public void setAcao(Long acao) {
if (acao == null) {
acaoNull = true;
this.acao = 0l;
} else { 
acaoNull = false;
this.acao = acao;
}
}

public int getSeqctrl() {
return seqctrl;
}

public boolean isSeqctrlNull() {
return seqctrlNull;
}

public void setSeqctrl(Integer seqctrl) {
if (seqctrl == null) {
seqctrlNull = true;
this.seqctrl = 0;
} else { 
seqctrlNull = false;
this.seqctrl = seqctrl;
}
}

public String getBase() {
return base;
}

public void setBase(String base) {
this.base = base;
}

public long getSequsrbase() {
return sequsrbase;
}

public boolean isSequsrbaseNull() {
return sequsrbaseNull;
}

public void setSequsrbase(int sequsrbase) {
setSequsrbase(new Long(sequsrbase));
}

public void setSequsrbase(Long sequsrbase) {
if (sequsrbase == null) {
sequsrbaseNull = true;
this.sequsrbase = 0l;
} else { 
sequsrbaseNull = false;
this.sequsrbase = sequsrbase;
}
}

public long getMinuto() {
return minuto;
}

public boolean isMinutoNull() {
return minutoNull;
}

public void setMinuto(int minuto) {
setMinuto(new Long(minuto));
}

public void setMinuto(Long minuto) {
if (minuto == null) {
minutoNull = true;
this.minuto = 0l;
} else { 
minutoNull = false;
this.minuto = minuto;
}
}

public long getDestinatario() {
return destinatario;
}

public boolean isDestinatarioNull() {
return destinatarioNull;
}

public void setDestinatario(int destinatario) {
setDestinatario(new Long(destinatario));
}

public void setDestinatario(Long destinatario) {
if (destinatario == null) {
destinatarioNull = true;
this.destinatario = 0l;
} else { 
destinatarioNull = false;
this.destinatario = destinatario;
}
}

public String getAtitude() {
return atitude;
}

public void setAtitude(String atitude) {
this.atitude = atitude;
}

public int getIntervaloexec() {
return intervaloexec;
}

public boolean isIntervaloexecNull() {
return intervaloexecNull;
}

public void setIntervaloexec(Integer intervaloexec) {
if (intervaloexec == null) {
intervaloexecNull = true;
this.intervaloexec = 0;
} else { 
intervaloexecNull = false;
this.intervaloexec = intervaloexec;
}
}

public FglDateTimeYS getDtaproxexec() {
return dtaproxexec;
}

public void setDtaproxexec(FglDateTimeYS dtaproxexec) {
this.dtaproxexec = dtaproxexec;
}

}

