package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvAcaomon {
@Coluna(nome="iv_acaomon.acao", tipo="long")
private long acao;
private boolean acaoNull;
@Coluna(nome="iv_acaomon.seqacmon", tipo="int")
private int seqacmon;
private boolean seqacmonNull;
@Coluna(nome="iv_acaomon.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_acaomon.tpmon", tipo="String")
private String tpmon;
@Coluna(nome="iv_acaomon.resprod", tipo="String")
private String resprod;
@Coluna(nome="iv_acaomon.resimprod", tipo="String")
private String resimprod;
@Coluna(nome="iv_acaomon.resencer", tipo="String")
private String resencer;
@Coluna(nome="iv_acaomon.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_acaomon.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvAcaomon() {
initialize();
}

public void initialize() {
setAcao(null);
setSeqacmon(null);
setSequsuario(null);
setTpmon(null);
setResprod(null);
setResimprod(null);
setResencer(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvAcaomon(long acao, int seqacmon, long sequsuario, String tpmon, String resprod, String resimprod, String resencer, String usualteracao, FglDateTimeYS dtaalteracao) {
this.acao = acao;
this.seqacmon = seqacmon;
this.sequsuario = sequsuario;
this.tpmon = tpmon;
this.resprod = resprod;
this.resimprod = resimprod;
this.resencer = resencer;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public long getAcao() {
return acao;
}

public boolean isAcaoNull() {
return acaoNull;
}

public void setAcao(int acao) {
setAcao(new Long(acao));
}

public void setAcao(Long acao) {
if (acao == null) {
acaoNull = true;
this.acao = 0l;
} else { 
acaoNull = false;
this.acao = acao;
}
}

public int getSeqacmon() {
return seqacmon;
}

public boolean isSeqacmonNull() {
return seqacmonNull;
}

public void setSeqacmon(Integer seqacmon) {
if (seqacmon == null) {
seqacmonNull = true;
this.seqacmon = 0;
} else { 
seqacmonNull = false;
this.seqacmon = seqacmon;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public String getTpmon() {
return tpmon;
}

public void setTpmon(String tpmon) {
this.tpmon = tpmon;
}

public String getResprod() {
return resprod;
}

public void setResprod(String resprod) {
this.resprod = resprod;
}

public String getResimprod() {
return resimprod;
}

public void setResimprod(String resimprod) {
this.resimprod = resimprod;
}

public String getResencer() {
return resencer;
}

public void setResencer(String resencer) {
this.resencer = resencer;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

