package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvAgdrec {
@Coluna(nome="iv_agdrec.seqagenda", tipo="long")
private long seqagenda;
private boolean seqagendaNull;
@Coluna(nome="iv_agdrec.seqagdrec", tipo="int")
private int seqagdrec;
private boolean seqagdrecNull;
@Coluna(nome="iv_agdrec.tipoagdrec", tipo="String")
private String tipoagdrec;
@Coluna(nome="iv_agdrec.seqrecurso", tipo="long")
private long seqrecurso;
private boolean seqrecursoNull;
@Coluna(nome="iv_agdrec.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_agdrec.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_agdrec.dtaagenda", tipo="FglDateTimeYS")
private FglDateTimeYS dtaagenda;
@Coluna(nome="iv_agdrec.dtaagendafinal", tipo="FglDateTimeYS")
private FglDateTimeYS dtaagendafinal;
@Coluna(nome="iv_agdrec.status", tipo="String")
private String status;

public TabIvAgdrec() {
initialize();
}

public void initialize() {
setSeqagenda(null);
setSeqagdrec(null);
setTipoagdrec(null);
setSeqrecurso(null);
setSeqpessoa(null);
setSequsuario(null);
setDtaagenda(null);
setDtaagendafinal(null);
setStatus(null);
}

public TabIvAgdrec(long seqagenda, int seqagdrec, String tipoagdrec, long seqrecurso, long seqpessoa, long sequsuario, FglDateTimeYS dtaagenda, FglDateTimeYS dtaagendafinal, String status) {
this.seqagenda = seqagenda;
this.seqagdrec = seqagdrec;
this.tipoagdrec = tipoagdrec;
this.seqrecurso = seqrecurso;
this.seqpessoa = seqpessoa;
this.sequsuario = sequsuario;
this.dtaagenda = dtaagenda;
this.dtaagendafinal = dtaagendafinal;
this.status = status;
}

public long getSeqagenda() {
return seqagenda;
}

public boolean isSeqagendaNull() {
return seqagendaNull;
}

public void setSeqagenda(int seqagenda) {
setSeqagenda(new Long(seqagenda));
}

public void setSeqagenda(Long seqagenda) {
if (seqagenda == null) {
seqagendaNull = true;
this.seqagenda = 0l;
} else { 
seqagendaNull = false;
this.seqagenda = seqagenda;
}
}

public int getSeqagdrec() {
return seqagdrec;
}

public boolean isSeqagdrecNull() {
return seqagdrecNull;
}

public void setSeqagdrec(Integer seqagdrec) {
if (seqagdrec == null) {
seqagdrecNull = true;
this.seqagdrec = 0;
} else { 
seqagdrecNull = false;
this.seqagdrec = seqagdrec;
}
}

public String getTipoagdrec() {
return tipoagdrec;
}

public void setTipoagdrec(String tipoagdrec) {
this.tipoagdrec = tipoagdrec;
}

public long getSeqrecurso() {
return seqrecurso;
}

public boolean isSeqrecursoNull() {
return seqrecursoNull;
}

public void setSeqrecurso(int seqrecurso) {
setSeqrecurso(new Long(seqrecurso));
}

public void setSeqrecurso(Long seqrecurso) {
if (seqrecurso == null) {
seqrecursoNull = true;
this.seqrecurso = 0l;
} else { 
seqrecursoNull = false;
this.seqrecurso = seqrecurso;
}
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public FglDateTimeYS getDtaagenda() {
return dtaagenda;
}

public void setDtaagenda(FglDateTimeYS dtaagenda) {
this.dtaagenda = dtaagenda;
}

public FglDateTimeYS getDtaagendafinal() {
return dtaagendafinal;
}

public void setDtaagendafinal(FglDateTimeYS dtaagendafinal) {
this.dtaagendafinal = dtaagendafinal;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

