package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvAgelog {
@Coluna(nome="iv_agelog.seqagenda", tipo="long")
private long seqagenda;
private boolean seqagendaNull;
@Coluna(nome="iv_agelog.seqlog", tipo="long")
private long seqlog;
private boolean seqlogNull;
@Coluna(nome="iv_agelog.atendente", tipo="long")
private long atendente;
private boolean atendenteNull;
@Coluna(nome="iv_agelog.autor", tipo="String")
private String autor;
@Coluna(nome="iv_agelog.tipo", tipo="String")
private String tipo;
@Coluna(nome="iv_agelog.obs", tipo="String")
private String obs;
@Coluna(nome="iv_agelog.dta", tipo="FglDateTimeYS")
private FglDateTimeYS dta;
@Coluna(nome="iv_agelog.auxnro", tipo="long")
private long auxnro;
private boolean auxnroNull;
@Coluna(nome="iv_agelog.auxstr", tipo="String")
private String auxstr;

public TabIvAgelog() {
initialize();
}

public void initialize() {
setSeqagenda(null);
setSeqlog(null);
setAtendente(null);
setAutor(null);
setTipo(null);
setObs(null);
setDta(null);
setAuxnro(null);
setAuxstr(null);
}

public TabIvAgelog(long seqagenda, long seqlog, long atendente, String autor, String tipo, String obs, FglDateTimeYS dta, long auxnro, String auxstr) {
this.seqagenda = seqagenda;
this.seqlog = seqlog;
this.atendente = atendente;
this.autor = autor;
this.tipo = tipo;
this.obs = obs;
this.dta = dta;
this.auxnro = auxnro;
this.auxstr = auxstr;
}

public long getSeqagenda() {
return seqagenda;
}

public boolean isSeqagendaNull() {
return seqagendaNull;
}

public void setSeqagenda(int seqagenda) {
setSeqagenda(new Long(seqagenda));
}

public void setSeqagenda(Long seqagenda) {
if (seqagenda == null) {
seqagendaNull = true;
this.seqagenda = 0l;
} else { 
seqagendaNull = false;
this.seqagenda = seqagenda;
}
}

public long getSeqlog() {
return seqlog;
}

public boolean isSeqlogNull() {
return seqlogNull;
}

public void setSeqlog(int seqlog) {
setSeqlog(new Long(seqlog));
}

public void setSeqlog(Long seqlog) {
if (seqlog == null) {
seqlogNull = true;
this.seqlog = 0l;
} else { 
seqlogNull = false;
this.seqlog = seqlog;
}
}

public long getAtendente() {
return atendente;
}

public boolean isAtendenteNull() {
return atendenteNull;
}

public void setAtendente(int atendente) {
setAtendente(new Long(atendente));
}

public void setAtendente(Long atendente) {
if (atendente == null) {
atendenteNull = true;
this.atendente = 0l;
} else { 
atendenteNull = false;
this.atendente = atendente;
}
}

public String getAutor() {
return autor;
}

public void setAutor(String autor) {
this.autor = autor;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public FglDateTimeYS getDta() {
return dta;
}

public void setDta(FglDateTimeYS dta) {
this.dta = dta;
}

public long getAuxnro() {
return auxnro;
}

public boolean isAuxnroNull() {
return auxnroNull;
}

public void setAuxnro(int auxnro) {
setAuxnro(new Long(auxnro));
}

public void setAuxnro(Long auxnro) {
if (auxnro == null) {
auxnroNull = true;
this.auxnro = 0l;
} else { 
auxnroNull = false;
this.auxnro = auxnro;
}
}

public String getAuxstr() {
return auxstr;
}

public void setAuxstr(String auxstr) {
this.auxstr = auxstr;
}

}

