package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvCampanha {
@Coluna(nome="iv_campanha.seqcampanha", tipo="long")
private long seqcampanha;
private boolean seqcampanhaNull;
@Coluna(nome="iv_campanha.campanha", tipo="String")
private String campanha;
@Coluna(nome="iv_campanha.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_campanha.detalhe", tipo="String")
private String detalhe;
@Coluna(nome="iv_campanha.grupo", tipo="String")
private String grupo;
@Coluna(nome="iv_campanha.dtainicio", tipo="FglDateTimeYS")
private FglDateTimeYS dtainicio;
@Coluna(nome="iv_campanha.dtafim", tipo="FglDateTimeYS")
private FglDateTimeYS dtafim;
@Coluna(nome="iv_campanha.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_campanha.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="iv_campanha.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_campanha.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_campanha.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvCampanha() {
initialize();
}

public void initialize() {
setSeqcampanha(null);
setCampanha(null);
setDescricao(null);
setDetalhe(null);
setGrupo(null);
setDtainicio(null);
setDtafim(null);
setEmuso(null);
setUsuinclusao(null);
setDtainclusao(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvCampanha(long seqcampanha, String campanha, String descricao, String detalhe, String grupo, FglDateTimeYS dtainicio, FglDateTimeYS dtafim, int emuso, String usuinclusao, FglDateTimeYS dtainclusao, String usualteracao, FglDateTimeYS dtaalteracao) {
this.seqcampanha = seqcampanha;
this.campanha = campanha;
this.descricao = descricao;
this.detalhe = detalhe;
this.grupo = grupo;
this.dtainicio = dtainicio;
this.dtafim = dtafim;
this.emuso = emuso;
this.usuinclusao = usuinclusao;
this.dtainclusao = dtainclusao;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public long getSeqcampanha() {
return seqcampanha;
}

public boolean isSeqcampanhaNull() {
return seqcampanhaNull;
}

public void setSeqcampanha(int seqcampanha) {
setSeqcampanha(new Long(seqcampanha));
}

public void setSeqcampanha(Long seqcampanha) {
if (seqcampanha == null) {
seqcampanhaNull = true;
this.seqcampanha = 0l;
} else { 
seqcampanhaNull = false;
this.seqcampanha = seqcampanha;
}
}

public String getCampanha() {
return campanha;
}

public void setCampanha(String campanha) {
this.campanha = campanha;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getDetalhe() {
return detalhe;
}

public void setDetalhe(String detalhe) {
this.detalhe = detalhe;
}

public String getGrupo() {
return grupo;
}

public void setGrupo(String grupo) {
this.grupo = grupo;
}

public FglDateTimeYS getDtainicio() {
return dtainicio;
}

public void setDtainicio(FglDateTimeYS dtainicio) {
this.dtainicio = dtainicio;
}

public FglDateTimeYS getDtafim() {
return dtafim;
}

public void setDtafim(FglDateTimeYS dtafim) {
this.dtafim = dtafim;
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

