package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvConhecleitura {
@Coluna(nome="iv_conhecleitura.seqconh", tipo="long")
private long seqconh;
private boolean seqconhNull;
@Coluna(nome="iv_conhecleitura.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_conhecleitura.lido", tipo="String")
private String lido;
@Coluna(nome="iv_conhecleitura.dtaultacesso", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultacesso;
@Coluna(nome="iv_conhecleitura.qtdeacesso", tipo="long")
private long qtdeacesso;
private boolean qtdeacessoNull;

public TabIvConhecleitura() {
initialize();
}

public void initialize() {
setSeqconh(null);
setSequsuario(null);
setLido(null);
setDtaultacesso(null);
setQtdeacesso(null);
}

public TabIvConhecleitura(long seqconh, long sequsuario, String lido, FglDateTimeYS dtaultacesso, long qtdeacesso) {
this.seqconh = seqconh;
this.sequsuario = sequsuario;
this.lido = lido;
this.dtaultacesso = dtaultacesso;
this.qtdeacesso = qtdeacesso;
}

public long getSeqconh() {
return seqconh;
}

public boolean isSeqconhNull() {
return seqconhNull;
}

public void setSeqconh(int seqconh) {
setSeqconh(new Long(seqconh));
}

public void setSeqconh(Long seqconh) {
if (seqconh == null) {
seqconhNull = true;
this.seqconh = 0l;
} else { 
seqconhNull = false;
this.seqconh = seqconh;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public String getLido() {
return lido;
}

public void setLido(String lido) {
this.lido = lido;
}

public FglDateTimeYS getDtaultacesso() {
return dtaultacesso;
}

public void setDtaultacesso(FglDateTimeYS dtaultacesso) {
this.dtaultacesso = dtaultacesso;
}

public long getQtdeacesso() {
return qtdeacesso;
}

public boolean isQtdeacessoNull() {
return qtdeacessoNull;
}

public void setQtdeacesso(int qtdeacesso) {
setQtdeacesso(new Long(qtdeacesso));
}

public void setQtdeacesso(Long qtdeacesso) {
if (qtdeacesso == null) {
qtdeacessoNull = true;
this.qtdeacesso = 0l;
} else { 
qtdeacessoNull = false;
this.qtdeacesso = qtdeacesso;
}
}

}

