package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvCustomidia {
@Coluna(nome="iv_customidia.seqcustocamp", tipo="long")
private long seqcustocamp;
private boolean seqcustocampNull;
@Coluna(nome="iv_customidia.campanha", tipo="String")
private String campanha;
@Coluna(nome="iv_customidia.nroempresa", tipo="long")
private long nroempresa;
private boolean nroempresaNull;
@Coluna(nome="iv_customidia.dtabase", tipo="FglDateTimeYS")
private FglDateTimeYS dtabase;
@Coluna(nome="iv_customidia.mesbase", tipo="FglDateTimeYS")
private FglDateTimeYS mesbase;
@Coluna(nome="iv_customidia.obs", tipo="String")
private String obs;
@Coluna(nome="iv_customidia.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="iv_customidia.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_customidia.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvCustomidia() {
initialize();
}

public void initialize() {
setSeqcustocamp(null);
setCampanha(null);
setNroempresa(null);
setDtabase(null);
setMesbase(null);
setObs(null);
setValor(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvCustomidia(long seqcustocamp, String campanha, long nroempresa, FglDateTimeYS dtabase, FglDateTimeYS mesbase, String obs, double valor, String usualteracao, FglDateTimeYS dtaalteracao) {
this.seqcustocamp = seqcustocamp;
this.campanha = campanha;
this.nroempresa = nroempresa;
this.dtabase = dtabase;
this.mesbase = mesbase;
this.obs = obs;
this.valor = valor;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public long getSeqcustocamp() {
return seqcustocamp;
}

public boolean isSeqcustocampNull() {
return seqcustocampNull;
}

public void setSeqcustocamp(int seqcustocamp) {
setSeqcustocamp(new Long(seqcustocamp));
}

public void setSeqcustocamp(Long seqcustocamp) {
if (seqcustocamp == null) {
seqcustocampNull = true;
this.seqcustocamp = 0l;
} else { 
seqcustocampNull = false;
this.seqcustocamp = seqcustocamp;
}
}

public String getCampanha() {
return campanha;
}

public void setCampanha(String campanha) {
this.campanha = campanha;
}

public long getNroempresa() {
return nroempresa;
}

public boolean isNroempresaNull() {
return nroempresaNull;
}

public void setNroempresa(int nroempresa) {
setNroempresa(new Long(nroempresa));
}

public void setNroempresa(Long nroempresa) {
if (nroempresa == null) {
nroempresaNull = true;
this.nroempresa = 0l;
} else { 
nroempresaNull = false;
this.nroempresa = nroempresa;
}
}

public FglDateTimeYS getDtabase() {
return dtabase;
}

public void setDtabase(FglDateTimeYS dtabase) {
this.dtabase = dtabase;
}

public FglDateTimeYS getMesbase() {
return mesbase;
}

public void setMesbase(FglDateTimeYS mesbase) {
this.mesbase = mesbase;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

