package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvDoctoapluso {
@Coluna(nome="iv_doctoapluso.seqdoctoapluso", tipo="long")
private long seqdoctoapluso;
private boolean seqdoctoaplusoNull;
@Coluna(nome="iv_doctoapluso.seqdoctoapl", tipo="long")
private long seqdoctoapl;
private boolean seqdoctoaplNull;
@Coluna(nome="iv_doctoapluso.uso", tipo="String")
private String uso;
@Coluna(nome="iv_doctoapluso.referencia", tipo="String")
private String referencia;
@Coluna(nome="iv_doctoapluso.chave", tipo="long")
private long chave;
private boolean chaveNull;
@Coluna(nome="iv_doctoapluso.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_doctoapluso.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="iv_doctoapluso.usuincluiu", tipo="String")
private String usuincluiu;
@Coluna(nome="iv_doctoapluso.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_doctoapluso.usualterou", tipo="String")
private String usualterou;

public TabIvDoctoapluso() {
initialize();
}

public void initialize() {
setSeqdoctoapluso(null);
setSeqdoctoapl(null);
setUso(null);
setReferencia(null);
setChave(null);
setEmuso(null);
setDtainclusao(null);
setUsuincluiu(null);
setDtaalteracao(null);
setUsualterou(null);
}

public TabIvDoctoapluso(long seqdoctoapluso, long seqdoctoapl, String uso, String referencia, long chave, int emuso, FglDateTimeYS dtainclusao, String usuincluiu, FglDateTimeYS dtaalteracao, String usualterou) {
this.seqdoctoapluso = seqdoctoapluso;
this.seqdoctoapl = seqdoctoapl;
this.uso = uso;
this.referencia = referencia;
this.chave = chave;
this.emuso = emuso;
this.dtainclusao = dtainclusao;
this.usuincluiu = usuincluiu;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
}

public long getSeqdoctoapluso() {
return seqdoctoapluso;
}

public boolean isSeqdoctoaplusoNull() {
return seqdoctoaplusoNull;
}

public void setSeqdoctoapluso(int seqdoctoapluso) {
setSeqdoctoapluso(new Long(seqdoctoapluso));
}

public void setSeqdoctoapluso(Long seqdoctoapluso) {
if (seqdoctoapluso == null) {
seqdoctoaplusoNull = true;
this.seqdoctoapluso = 0l;
} else { 
seqdoctoaplusoNull = false;
this.seqdoctoapluso = seqdoctoapluso;
}
}

public long getSeqdoctoapl() {
return seqdoctoapl;
}

public boolean isSeqdoctoaplNull() {
return seqdoctoaplNull;
}

public void setSeqdoctoapl(int seqdoctoapl) {
setSeqdoctoapl(new Long(seqdoctoapl));
}

public void setSeqdoctoapl(Long seqdoctoapl) {
if (seqdoctoapl == null) {
seqdoctoaplNull = true;
this.seqdoctoapl = 0l;
} else { 
seqdoctoaplNull = false;
this.seqdoctoapl = seqdoctoapl;
}
}

public String getUso() {
return uso;
}

public void setUso(String uso) {
this.uso = uso;
}

public String getReferencia() {
return referencia;
}

public void setReferencia(String referencia) {
this.referencia = referencia;
}

public long getChave() {
return chave;
}

public boolean isChaveNull() {
return chaveNull;
}

public void setChave(int chave) {
setChave(new Long(chave));
}

public void setChave(Long chave) {
if (chave == null) {
chaveNull = true;
this.chave = 0l;
} else { 
chaveNull = false;
this.chave = chave;
}
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuincluiu() {
return usuincluiu;
}

public void setUsuincluiu(String usuincluiu) {
this.usuincluiu = usuincluiu;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

}

