package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvFichanegveic {
@Coluna(nome="iv_fichanegveic.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_fichanegveic.filial", tipo="long")
private long filial;
private boolean filialNull;
@Coluna(nome="iv_fichanegveic.pedvenda", tipo="long")
private long pedvenda;
private boolean pedvendaNull;
@Coluna(nome="iv_fichanegveic.avaliacao", tipo="long")
private long avaliacao;
private boolean avaliacaoNull;
@Coluna(nome="iv_fichanegveic.tipoveiculo", tipo="String")
private String tipoveiculo;
@Coluna(nome="iv_fichanegveic.novousado", tipo="String")
private String novousado;
@Coluna(nome="iv_fichanegveic.apresentdinamica", tipo="String")
private String apresentdinamica;
@Coluna(nome="iv_fichanegveic.apresentestatica", tipo="String")
private String apresentestatica;
@Coluna(nome="iv_fichanegveic.familiainteresse", tipo="String")
private String familiainteresse;
@Coluna(nome="iv_fichanegveic.modelointeresse", tipo="String")
private String modelointeresse;
@Coluna(nome="iv_fichanegveic.modeloescolhido", tipo="String")
private String modeloescolhido;
@Coluna(nome="iv_fichanegveic.codmodescolhido", tipo="String")
private String codmodescolhido;
@Coluna(nome="iv_fichanegveic.vlrinteressede", tipo="double")
private double vlrinteressede;
private boolean vlrinteressedeNull;
@Coluna(nome="iv_fichanegveic.vlrinteresseate", tipo="double")
private double vlrinteresseate;
private boolean vlrinteresseateNull;
@Coluna(nome="iv_fichanegveic.anointeresse", tipo="int")
private int anointeresse;
private boolean anointeresseNull;
@Coluna(nome="iv_fichanegveic.cor1", tipo="String")
private String cor1;
@Coluna(nome="iv_fichanegveic.cor2", tipo="String")
private String cor2;
@Coluna(nome="iv_fichanegveic.nroportas", tipo="int")
private int nroportas;
private boolean nroportasNull;
@Coluna(nome="iv_fichanegveic.vlrtabela", tipo="double")
private double vlrtabela;
private boolean vlrtabelaNull;
@Coluna(nome="iv_fichanegveic.vlrproposto", tipo="double")
private double vlrproposto;
private boolean vlrpropostoNull;
@Coluna(nome="iv_fichanegveic.vlrentrada", tipo="double")
private double vlrentrada;
private boolean vlrentradaNull;
@Coluna(nome="iv_fichanegveic.vlrprestacao", tipo="double")
private double vlrprestacao;
private boolean vlrprestacaoNull;
@Coluna(nome="iv_fichanegveic.qtdeprestacao", tipo="int")
private int qtdeprestacao;
private boolean qtdeprestacaoNull;
@Coluna(nome="iv_fichanegveic.usadomodelo", tipo="String")
private String usadomodelo;
@Coluna(nome="iv_fichanegveic.usadocor", tipo="String")
private String usadocor;
@Coluna(nome="iv_fichanegveic.usadoanofabr", tipo="int")
private int usadoanofabr;
private boolean usadoanofabrNull;
@Coluna(nome="iv_fichanegveic.usadonroportas", tipo="int")
private int usadonroportas;
private boolean usadonroportasNull;
@Coluna(nome="iv_fichanegveic.usadovlrpre", tipo="double")
private double usadovlrpre;
private boolean usadovlrpreNull;
@Coluna(nome="iv_fichanegveic.usadovlravalcct", tipo="double")
private double usadovlravalcct;
private boolean usadovlravalcctNull;
@Coluna(nome="iv_fichanegveic.usadoobs", tipo="String")
private String usadoobs;
@Coluna(nome="iv_fichanegveic.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_fichanegveic.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_fichanegveic.corescolhida", tipo="String")
private String corescolhida;

public TabIvFichanegveic() {
initialize();
}

public void initialize() {
setProcesso(null);
setFilial(null);
setPedvenda(null);
setAvaliacao(null);
setTipoveiculo(null);
setNovousado(null);
setApresentdinamica(null);
setApresentestatica(null);
setFamiliainteresse(null);
setModelointeresse(null);
setModeloescolhido(null);
setCodmodescolhido(null);
setVlrinteressede(null);
setVlrinteresseate(null);
setAnointeresse(null);
setCor1(null);
setCor2(null);
setNroportas(null);
setVlrtabela(null);
setVlrproposto(null);
setVlrentrada(null);
setVlrprestacao(null);
setQtdeprestacao(null);
setUsadomodelo(null);
setUsadocor(null);
setUsadoanofabr(null);
setUsadonroportas(null);
setUsadovlrpre(null);
setUsadovlravalcct(null);
setUsadoobs(null);
setUsualteracao(null);
setDtaalteracao(null);
setCorescolhida(null);
}

public TabIvFichanegveic(long processo, long filial, long pedvenda, long avaliacao, String tipoveiculo, String novousado, String apresentdinamica, String apresentestatica, String familiainteresse, String modelointeresse, String modeloescolhido, String codmodescolhido, double vlrinteressede, double vlrinteresseate, int anointeresse, String cor1, String cor2, int nroportas, double vlrtabela, double vlrproposto, double vlrentrada, double vlrprestacao, int qtdeprestacao, String usadomodelo, String usadocor, int usadoanofabr, int usadonroportas, double usadovlrpre, double usadovlravalcct, String usadoobs, String usualteracao, FglDateTimeYS dtaalteracao, String corescolhida) {
this.processo = processo;
this.filial = filial;
this.pedvenda = pedvenda;
this.avaliacao = avaliacao;
this.tipoveiculo = tipoveiculo;
this.novousado = novousado;
this.apresentdinamica = apresentdinamica;
this.apresentestatica = apresentestatica;
this.familiainteresse = familiainteresse;
this.modelointeresse = modelointeresse;
this.modeloescolhido = modeloescolhido;
this.codmodescolhido = codmodescolhido;
this.vlrinteressede = vlrinteressede;
this.vlrinteresseate = vlrinteresseate;
this.anointeresse = anointeresse;
this.cor1 = cor1;
this.cor2 = cor2;
this.nroportas = nroportas;
this.vlrtabela = vlrtabela;
this.vlrproposto = vlrproposto;
this.vlrentrada = vlrentrada;
this.vlrprestacao = vlrprestacao;
this.qtdeprestacao = qtdeprestacao;
this.usadomodelo = usadomodelo;
this.usadocor = usadocor;
this.usadoanofabr = usadoanofabr;
this.usadonroportas = usadonroportas;
this.usadovlrpre = usadovlrpre;
this.usadovlravalcct = usadovlravalcct;
this.usadoobs = usadoobs;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.corescolhida = corescolhida;
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(int filial) {
setFilial(new Long(filial));
}

public void setFilial(Long filial) {
if (filial == null) {
filialNull = true;
this.filial = 0l;
} else { 
filialNull = false;
this.filial = filial;
}
}

public long getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(int pedvenda) {
setPedvenda(new Long(pedvenda));
}

public void setPedvenda(Long pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0l;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public long getAvaliacao() {
return avaliacao;
}

public boolean isAvaliacaoNull() {
return avaliacaoNull;
}

public void setAvaliacao(int avaliacao) {
setAvaliacao(new Long(avaliacao));
}

public void setAvaliacao(Long avaliacao) {
if (avaliacao == null) {
avaliacaoNull = true;
this.avaliacao = 0l;
} else { 
avaliacaoNull = false;
this.avaliacao = avaliacao;
}
}

public String getTipoveiculo() {
return tipoveiculo;
}

public void setTipoveiculo(String tipoveiculo) {
this.tipoveiculo = tipoveiculo;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getApresentdinamica() {
return apresentdinamica;
}

public void setApresentdinamica(String apresentdinamica) {
this.apresentdinamica = apresentdinamica;
}

public String getApresentestatica() {
return apresentestatica;
}

public void setApresentestatica(String apresentestatica) {
this.apresentestatica = apresentestatica;
}

public String getFamiliainteresse() {
return familiainteresse;
}

public void setFamiliainteresse(String familiainteresse) {
this.familiainteresse = familiainteresse;
}

public String getModelointeresse() {
return modelointeresse;
}

public void setModelointeresse(String modelointeresse) {
this.modelointeresse = modelointeresse;
}

public String getModeloescolhido() {
return modeloescolhido;
}

public void setModeloescolhido(String modeloescolhido) {
this.modeloescolhido = modeloescolhido;
}

public String getCodmodescolhido() {
return codmodescolhido;
}

public void setCodmodescolhido(String codmodescolhido) {
this.codmodescolhido = codmodescolhido;
}

public double getVlrinteressede() {
return vlrinteressede;
}

public boolean isVlrinteressedeNull() {
return vlrinteressedeNull;
}

public void setVlrinteressede(int vlrinteressede) {
setVlrinteressede(new Double(vlrinteressede));
}

public void setVlrinteressede(long vlrinteressede) {
setVlrinteressede(new Double(vlrinteressede));
}

public void setVlrinteressede(Double vlrinteressede) {
if (vlrinteressede == null) {
vlrinteressedeNull = true;
this.vlrinteressede = 0.;
} else { 
vlrinteressedeNull = false;
this.vlrinteressede = FglDouble.round(vlrinteressede, 2);
}
}

public double getVlrinteresseate() {
return vlrinteresseate;
}

public boolean isVlrinteresseateNull() {
return vlrinteresseateNull;
}

public void setVlrinteresseate(int vlrinteresseate) {
setVlrinteresseate(new Double(vlrinteresseate));
}

public void setVlrinteresseate(long vlrinteresseate) {
setVlrinteresseate(new Double(vlrinteresseate));
}

public void setVlrinteresseate(Double vlrinteresseate) {
if (vlrinteresseate == null) {
vlrinteresseateNull = true;
this.vlrinteresseate = 0.;
} else { 
vlrinteresseateNull = false;
this.vlrinteresseate = FglDouble.round(vlrinteresseate, 2);
}
}

public int getAnointeresse() {
return anointeresse;
}

public boolean isAnointeresseNull() {
return anointeresseNull;
}

public void setAnointeresse(Integer anointeresse) {
if (anointeresse == null) {
anointeresseNull = true;
this.anointeresse = 0;
} else { 
anointeresseNull = false;
this.anointeresse = anointeresse;
}
}

public String getCor1() {
return cor1;
}

public void setCor1(String cor1) {
this.cor1 = cor1;
}

public String getCor2() {
return cor2;
}

public void setCor2(String cor2) {
this.cor2 = cor2;
}

public int getNroportas() {
return nroportas;
}

public boolean isNroportasNull() {
return nroportasNull;
}

public void setNroportas(Integer nroportas) {
if (nroportas == null) {
nroportasNull = true;
this.nroportas = 0;
} else { 
nroportasNull = false;
this.nroportas = nroportas;
}
}

public double getVlrtabela() {
return vlrtabela;
}

public boolean isVlrtabelaNull() {
return vlrtabelaNull;
}

public void setVlrtabela(int vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(long vlrtabela) {
setVlrtabela(new Double(vlrtabela));
}

public void setVlrtabela(Double vlrtabela) {
if (vlrtabela == null) {
vlrtabelaNull = true;
this.vlrtabela = 0.;
} else { 
vlrtabelaNull = false;
this.vlrtabela = FglDouble.round(vlrtabela, 2);
}
}

public double getVlrproposto() {
return vlrproposto;
}

public boolean isVlrpropostoNull() {
return vlrpropostoNull;
}

public void setVlrproposto(int vlrproposto) {
setVlrproposto(new Double(vlrproposto));
}

public void setVlrproposto(long vlrproposto) {
setVlrproposto(new Double(vlrproposto));
}

public void setVlrproposto(Double vlrproposto) {
if (vlrproposto == null) {
vlrpropostoNull = true;
this.vlrproposto = 0.;
} else { 
vlrpropostoNull = false;
this.vlrproposto = FglDouble.round(vlrproposto, 2);
}
}

public double getVlrentrada() {
return vlrentrada;
}

public boolean isVlrentradaNull() {
return vlrentradaNull;
}

public void setVlrentrada(int vlrentrada) {
setVlrentrada(new Double(vlrentrada));
}

public void setVlrentrada(long vlrentrada) {
setVlrentrada(new Double(vlrentrada));
}

public void setVlrentrada(Double vlrentrada) {
if (vlrentrada == null) {
vlrentradaNull = true;
this.vlrentrada = 0.;
} else { 
vlrentradaNull = false;
this.vlrentrada = FglDouble.round(vlrentrada, 2);
}
}

public double getVlrprestacao() {
return vlrprestacao;
}

public boolean isVlrprestacaoNull() {
return vlrprestacaoNull;
}

public void setVlrprestacao(int vlrprestacao) {
setVlrprestacao(new Double(vlrprestacao));
}

public void setVlrprestacao(long vlrprestacao) {
setVlrprestacao(new Double(vlrprestacao));
}

public void setVlrprestacao(Double vlrprestacao) {
if (vlrprestacao == null) {
vlrprestacaoNull = true;
this.vlrprestacao = 0.;
} else { 
vlrprestacaoNull = false;
this.vlrprestacao = FglDouble.round(vlrprestacao, 2);
}
}

public int getQtdeprestacao() {
return qtdeprestacao;
}

public boolean isQtdeprestacaoNull() {
return qtdeprestacaoNull;
}

public void setQtdeprestacao(Integer qtdeprestacao) {
if (qtdeprestacao == null) {
qtdeprestacaoNull = true;
this.qtdeprestacao = 0;
} else { 
qtdeprestacaoNull = false;
this.qtdeprestacao = qtdeprestacao;
}
}

public String getUsadomodelo() {
return usadomodelo;
}

public void setUsadomodelo(String usadomodelo) {
this.usadomodelo = usadomodelo;
}

public String getUsadocor() {
return usadocor;
}

public void setUsadocor(String usadocor) {
this.usadocor = usadocor;
}

public int getUsadoanofabr() {
return usadoanofabr;
}

public boolean isUsadoanofabrNull() {
return usadoanofabrNull;
}

public void setUsadoanofabr(Integer usadoanofabr) {
if (usadoanofabr == null) {
usadoanofabrNull = true;
this.usadoanofabr = 0;
} else { 
usadoanofabrNull = false;
this.usadoanofabr = usadoanofabr;
}
}

public int getUsadonroportas() {
return usadonroportas;
}

public boolean isUsadonroportasNull() {
return usadonroportasNull;
}

public void setUsadonroportas(Integer usadonroportas) {
if (usadonroportas == null) {
usadonroportasNull = true;
this.usadonroportas = 0;
} else { 
usadonroportasNull = false;
this.usadonroportas = usadonroportas;
}
}

public double getUsadovlrpre() {
return usadovlrpre;
}

public boolean isUsadovlrpreNull() {
return usadovlrpreNull;
}

public void setUsadovlrpre(int usadovlrpre) {
setUsadovlrpre(new Double(usadovlrpre));
}

public void setUsadovlrpre(long usadovlrpre) {
setUsadovlrpre(new Double(usadovlrpre));
}

public void setUsadovlrpre(Double usadovlrpre) {
if (usadovlrpre == null) {
usadovlrpreNull = true;
this.usadovlrpre = 0.;
} else { 
usadovlrpreNull = false;
this.usadovlrpre = FglDouble.round(usadovlrpre, 2);
}
}

public double getUsadovlravalcct() {
return usadovlravalcct;
}

public boolean isUsadovlravalcctNull() {
return usadovlravalcctNull;
}

public void setUsadovlravalcct(int usadovlravalcct) {
setUsadovlravalcct(new Double(usadovlravalcct));
}

public void setUsadovlravalcct(long usadovlravalcct) {
setUsadovlravalcct(new Double(usadovlravalcct));
}

public void setUsadovlravalcct(Double usadovlravalcct) {
if (usadovlravalcct == null) {
usadovlravalcctNull = true;
this.usadovlravalcct = 0.;
} else { 
usadovlravalcctNull = false;
this.usadovlravalcct = FglDouble.round(usadovlravalcct, 2);
}
}

public String getUsadoobs() {
return usadoobs;
}

public void setUsadoobs(String usadoobs) {
this.usadoobs = usadoobs;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getCorescolhida() {
return corescolhida;
}

public void setCorescolhida(String corescolhida) {
this.corescolhida = corescolhida;
}

}

