package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvFonectrl {
@Coluna(nome="iv_fonectrl.fonenro", tipo="long")
private long fonenro;
private boolean fonenroNull;
@Coluna(nome="iv_fonectrl.foneddd", tipo="int")
private int foneddd;
private boolean fonedddNull;
@Coluna(nome="iv_fonectrl.bloqueado", tipo="int")
private int bloqueado;
private boolean bloqueadoNull;
@Coluna(nome="iv_fonectrl.status", tipo="String")
private String status;
@Coluna(nome="iv_fonectrl.dtabloqueio", tipo="FglDateTimeYS")
private FglDateTimeYS dtabloqueio;
@Coluna(nome="iv_fonectrl.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvFonectrl() {
initialize();
}

public void initialize() {
setFonenro(null);
setFoneddd(null);
setBloqueado(null);
setStatus(null);
setDtabloqueio(null);
setDtaalteracao(null);
}

public TabIvFonectrl(long fonenro, int foneddd, int bloqueado, String status, FglDateTimeYS dtabloqueio, FglDateTimeYS dtaalteracao) {
this.fonenro = fonenro;
this.foneddd = foneddd;
this.bloqueado = bloqueado;
this.status = status;
this.dtabloqueio = dtabloqueio;
this.dtaalteracao = dtaalteracao;
}

public long getFonenro() {
return fonenro;
}

public boolean isFonenroNull() {
return fonenroNull;
}

public void setFonenro(int fonenro) {
setFonenro(new Long(fonenro));
}

public void setFonenro(Long fonenro) {
if (fonenro == null) {
fonenroNull = true;
this.fonenro = 0l;
} else { 
fonenroNull = false;
this.fonenro = fonenro;
}
}

public int getFoneddd() {
return foneddd;
}

public boolean isFonedddNull() {
return fonedddNull;
}

public void setFoneddd(Integer foneddd) {
if (foneddd == null) {
fonedddNull = true;
this.foneddd = 0;
} else { 
fonedddNull = false;
this.foneddd = foneddd;
}
}

public int getBloqueado() {
return bloqueado;
}

public boolean isBloqueadoNull() {
return bloqueadoNull;
}

public void setBloqueado(Integer bloqueado) {
if (bloqueado == null) {
bloqueadoNull = true;
this.bloqueado = 0;
} else { 
bloqueadoNull = false;
this.bloqueado = bloqueado;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public FglDateTimeYS getDtabloqueio() {
return dtabloqueio;
}

public void setDtabloqueio(FglDateTimeYS dtabloqueio) {
this.dtabloqueio = dtabloqueio;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

