package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIvMotivo {
@Coluna(nome="iv_motivo.motivo", tipo="String")
private String motivo;
@Coluna(nome="iv_motivo.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_motivo.seqmotivo", tipo="long")
private long seqmotivo;
private boolean seqmotivoNull;
@Coluna(nome="iv_motivo.link", tipo="String")
private String link;

public TabIvMotivo() {
initialize();
}

public void initialize() {
setMotivo(null);
setDescricao(null);
setSeqmotivo(null);
setLink(null);
}

public TabIvMotivo(String motivo, String descricao, long seqmotivo, String link) {
this.motivo = motivo;
this.descricao = descricao;
this.seqmotivo = seqmotivo;
this.link = link;
}

public String getMotivo() {
return motivo;
}

public void setMotivo(String motivo) {
this.motivo = motivo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public long getSeqmotivo() {
return seqmotivo;
}

public boolean isSeqmotivoNull() {
return seqmotivoNull;
}

public void setSeqmotivo(int seqmotivo) {
setSeqmotivo(new Long(seqmotivo));
}

public void setSeqmotivo(Long seqmotivo) {
if (seqmotivo == null) {
seqmotivoNull = true;
this.seqmotivo = 0l;
} else { 
seqmotivoNull = false;
this.seqmotivo = seqmotivo;
}
}

public String getLink() {
return link;
}

public void setLink(String link) {
this.link = link;
}

}

