package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvPessoa {
@Coluna(nome="iv_pessoa.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_pessoa.linkweb", tipo="int")
private int linkweb;
private boolean linkwebNull;
@Coluna(nome="iv_pessoa.nomereduzido", tipo="String")
private String nomereduzido;
@Coluna(nome="iv_pessoa.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_pessoa.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_pessoa.direspecial", tipo="String")
private String direspecial;

public TabIvPessoa() {
initialize();
}

public void initialize() {
setSeqpessoa(null);
setLinkweb(null);
setNomereduzido(null);
setUsualteracao(null);
setDtaalteracao(null);
setDirespecial(null);
}

public TabIvPessoa(long seqpessoa, int linkweb, String nomereduzido, String usualteracao, FglDateTimeYS dtaalteracao, String direspecial) {
this.seqpessoa = seqpessoa;
this.linkweb = linkweb;
this.nomereduzido = nomereduzido;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.direspecial = direspecial;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getLinkweb() {
return linkweb;
}

public boolean isLinkwebNull() {
return linkwebNull;
}

public void setLinkweb(Integer linkweb) {
if (linkweb == null) {
linkwebNull = true;
this.linkweb = 0;
} else { 
linkwebNull = false;
this.linkweb = linkweb;
}
}

public String getNomereduzido() {
return nomereduzido;
}

public void setNomereduzido(String nomereduzido) {
this.nomereduzido = nomereduzido;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getDirespecial() {
return direspecial;
}

public void setDirespecial(String direspecial) {
this.direspecial = direspecial;
}

}

