package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIvProcacao {
@Coluna(nome="iv_procacao.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_procacao.acao", tipo="long")
private long acao;
private boolean acaoNull;
@Coluna(nome="iv_procacao.qtdelimite", tipo="int")
private int qtdelimite;
private boolean qtdelimiteNull;

public TabIvProcacao() {
initialize();
}

public void initialize() {
setCodprocesso(null);
setAcao(null);
setQtdelimite(null);
}

public TabIvProcacao(int codprocesso, long acao, int qtdelimite) {
this.codprocesso = codprocesso;
this.acao = acao;
this.qtdelimite = qtdelimite;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public long getAcao() {
return acao;
}

public boolean isAcaoNull() {
return acaoNull;
}

public void setAcao(int acao) {
setAcao(new Long(acao));
}

public void setAcao(Long acao) {
if (acao == null) {
acaoNull = true;
this.acao = 0l;
} else { 
acaoNull = false;
this.acao = acao;
}
}

public int getQtdelimite() {
return qtdelimite;
}

public boolean isQtdelimiteNull() {
return qtdelimiteNull;
}

public void setQtdelimite(Integer qtdelimite) {
if (qtdelimite == null) {
qtdelimiteNull = true;
this.qtdelimite = 0;
} else { 
qtdelimiteNull = false;
this.qtdelimite = qtdelimite;
}
}

}

