package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIvProcresultado {
@Coluna(nome="iv_procresultado.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_procresultado.resultado", tipo="long")
private long resultado;
private boolean resultadoNull;
@Coluna(nome="iv_procresultado.fase", tipo="String")
private String fase;
@Coluna(nome="iv_procresultado.status", tipo="String")
private String status;

public TabIvProcresultado() {
initialize();
}

public void initialize() {
setCodprocesso(null);
setResultado(null);
setFase(null);
setStatus(null);
}

public TabIvProcresultado(int codprocesso, long resultado, String fase, String status) {
this.codprocesso = codprocesso;
this.resultado = resultado;
this.fase = fase;
this.status = status;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public long getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Long(resultado));
}

public void setResultado(Long resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0l;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public String getFase() {
return fase;
}

public void setFase(String fase) {
this.fase = fase;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

