package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProcvinc {
@Coluna(nome="iv_procvinc.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_procvinc.seqvinc", tipo="int")
private int seqvinc;
private boolean seqvincNull;
@Coluna(nome="iv_procvinc.vinculo", tipo="String")
private String vinculo;
@Coluna(nome="iv_procvinc.exigido", tipo="int")
private int exigido;
private boolean exigidoNull;
@Coluna(nome="iv_procvinc.nrovinc", tipo="long")
private long nrovinc;
private boolean nrovincNull;
@Coluna(nome="iv_procvinc.codvinc", tipo="String")
private String codvinc;
@Coluna(nome="iv_procvinc.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_procvinc.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvProcvinc() {
initialize();
}

public void initialize() {
setCodprocesso(null);
setSeqvinc(null);
setVinculo(null);
setExigido(null);
setNrovinc(null);
setCodvinc(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvProcvinc(int codprocesso, int seqvinc, String vinculo, int exigido, long nrovinc, String codvinc, String usualteracao, FglDateTimeYS dtaalteracao) {
this.codprocesso = codprocesso;
this.seqvinc = seqvinc;
this.vinculo = vinculo;
this.exigido = exigido;
this.nrovinc = nrovinc;
this.codvinc = codvinc;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public int getSeqvinc() {
return seqvinc;
}

public boolean isSeqvincNull() {
return seqvincNull;
}

public void setSeqvinc(Integer seqvinc) {
if (seqvinc == null) {
seqvincNull = true;
this.seqvinc = 0;
} else { 
seqvincNull = false;
this.seqvinc = seqvinc;
}
}

public String getVinculo() {
return vinculo;
}

public void setVinculo(String vinculo) {
this.vinculo = vinculo;
}

public int getExigido() {
return exigido;
}

public boolean isExigidoNull() {
return exigidoNull;
}

public void setExigido(Integer exigido) {
if (exigido == null) {
exigidoNull = true;
this.exigido = 0;
} else { 
exigidoNull = false;
this.exigido = exigido;
}
}

public long getNrovinc() {
return nrovinc;
}

public boolean isNrovincNull() {
return nrovincNull;
}

public void setNrovinc(int nrovinc) {
setNrovinc(new Long(nrovinc));
}

public void setNrovinc(Long nrovinc) {
if (nrovinc == null) {
nrovincNull = true;
this.nrovinc = 0l;
} else { 
nrovincNull = false;
this.nrovinc = nrovinc;
}
}

public String getCodvinc() {
return codvinc;
}

public void setCodvinc(String codvinc) {
this.codvinc = codvinc;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

