package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProjcolec {
@Coluna(nome="iv_projcolec.seqprojcolec", tipo="long")
private long seqprojcolec;
private boolean seqprojcolecNull;
@Coluna(nome="iv_projcolec.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_projcolec.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_projcolec.usualteracao", tipo="String")
private String usualteracao;

public TabIvProjcolec() {
initialize();
}

public void initialize() {
setSeqprojcolec(null);
setDescricao(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvProjcolec(long seqprojcolec, String descricao, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqprojcolec = seqprojcolec;
this.descricao = descricao;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqprojcolec() {
return seqprojcolec;
}

public boolean isSeqprojcolecNull() {
return seqprojcolecNull;
}

public void setSeqprojcolec(int seqprojcolec) {
setSeqprojcolec(new Long(seqprojcolec));
}

public void setSeqprojcolec(Long seqprojcolec) {
if (seqprojcolec == null) {
seqprojcolecNull = true;
this.seqprojcolec = 0l;
} else { 
seqprojcolecNull = false;
this.seqprojcolec = seqprojcolec;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

