package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvProjequipe {
@Coluna(nome="iv_projequipe.seqprojeto", tipo="long")
private long seqprojeto;
private boolean seqprojetoNull;
@Coluna(nome="iv_projequipe.sequsuario", tipo="long")
private long sequsuario;
private boolean sequsuarioNull;
@Coluna(nome="iv_projequipe.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_projequipe.usualteracao", tipo="String")
private String usualteracao;

public TabIvProjequipe() {
initialize();
}

public void initialize() {
setSeqprojeto(null);
setSequsuario(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvProjequipe(long seqprojeto, long sequsuario, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqprojeto = seqprojeto;
this.sequsuario = sequsuario;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqprojeto() {
return seqprojeto;
}

public boolean isSeqprojetoNull() {
return seqprojetoNull;
}

public void setSeqprojeto(int seqprojeto) {
setSeqprojeto(new Long(seqprojeto));
}

public void setSeqprojeto(Long seqprojeto) {
if (seqprojeto == null) {
seqprojetoNull = true;
this.seqprojeto = 0l;
} else { 
seqprojetoNull = false;
this.seqprojeto = seqprojeto;
}
}

public long getSequsuario() {
return sequsuario;
}

public boolean isSequsuarioNull() {
return sequsuarioNull;
}

public void setSequsuario(int sequsuario) {
setSequsuario(new Long(sequsuario));
}

public void setSequsuario(Long sequsuario) {
if (sequsuario == null) {
sequsuarioNull = true;
this.sequsuario = 0l;
} else { 
sequsuarioNull = false;
this.sequsuario = sequsuario;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

