package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvProjeto {
@Coluna(nome="iv_projeto.seqprojeto", tipo="long")
private long seqprojeto;
private boolean seqprojetoNull;
@Coluna(nome="iv_projeto.seqprojcolec", tipo="long")
private long seqprojcolec;
private boolean seqprojcolecNull;
@Coluna(nome="iv_projeto.projeto", tipo="String")
private String projeto;
@Coluna(nome="iv_projeto.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_projeto.tipo", tipo="String")
private String tipo;
@Coluna(nome="iv_projeto.responsavel", tipo="String")
private String responsavel;
@Coluna(nome="iv_projeto.dtainiprev", tipo="FglDateTimeYS")
private FglDateTimeYS dtainiprev;
@Coluna(nome="iv_projeto.dtafinprev", tipo="FglDateTimeYS")
private FglDateTimeYS dtafinprev;
@Coluna(nome="iv_projeto.dtainicial", tipo="FglDateTimeYS")
private FglDateTimeYS dtainicial;
@Coluna(nome="iv_projeto.dtafinal", tipo="FglDateTimeYS")
private FglDateTimeYS dtafinal;
@Coluna(nome="iv_projeto.dtainsprocde", tipo="FglDateTimeYS")
private FglDateTimeYS dtainsprocde;
@Coluna(nome="iv_projeto.dtainsproca", tipo="FglDateTimeYS")
private FglDateTimeYS dtainsproca;
@Coluna(nome="iv_projeto.qtdhoraest", tipo="long")
private long qtdhoraest;
private boolean qtdhoraestNull;
@Coluna(nome="iv_projeto.vlrvenda", tipo="double")
private double vlrvenda;
private boolean vlrvendaNull;
@Coluna(nome="iv_projeto.custoest", tipo="double")
private double custoest;
private boolean custoestNull;

public TabIvProjeto() {
initialize();
}

public void initialize() {
setSeqprojeto(null);
setSeqprojcolec(null);
setProjeto(null);
setDescricao(null);
setTipo(null);
setResponsavel(null);
setDtainiprev(null);
setDtafinprev(null);
setDtainicial(null);
setDtafinal(null);
setDtainsprocde(null);
setDtainsproca(null);
setQtdhoraest(null);
setVlrvenda(null);
setCustoest(null);
}

public TabIvProjeto(long seqprojeto, long seqprojcolec, String projeto, String descricao, String tipo, String responsavel, FglDateTimeYS dtainiprev, FglDateTimeYS dtafinprev, FglDateTimeYS dtainicial, FglDateTimeYS dtafinal, FglDateTimeYS dtainsprocde, FglDateTimeYS dtainsproca, long qtdhoraest, double vlrvenda, double custoest) {
this.seqprojeto = seqprojeto;
this.seqprojcolec = seqprojcolec;
this.projeto = projeto;
this.descricao = descricao;
this.tipo = tipo;
this.responsavel = responsavel;
this.dtainiprev = dtainiprev;
this.dtafinprev = dtafinprev;
this.dtainicial = dtainicial;
this.dtafinal = dtafinal;
this.dtainsprocde = dtainsprocde;
this.dtainsproca = dtainsproca;
this.qtdhoraest = qtdhoraest;
this.vlrvenda = vlrvenda;
this.custoest = custoest;
}

public long getSeqprojeto() {
return seqprojeto;
}

public boolean isSeqprojetoNull() {
return seqprojetoNull;
}

public void setSeqprojeto(int seqprojeto) {
setSeqprojeto(new Long(seqprojeto));
}

public void setSeqprojeto(Long seqprojeto) {
if (seqprojeto == null) {
seqprojetoNull = true;
this.seqprojeto = 0l;
} else { 
seqprojetoNull = false;
this.seqprojeto = seqprojeto;
}
}

public long getSeqprojcolec() {
return seqprojcolec;
}

public boolean isSeqprojcolecNull() {
return seqprojcolecNull;
}

public void setSeqprojcolec(int seqprojcolec) {
setSeqprojcolec(new Long(seqprojcolec));
}

public void setSeqprojcolec(Long seqprojcolec) {
if (seqprojcolec == null) {
seqprojcolecNull = true;
this.seqprojcolec = 0l;
} else { 
seqprojcolecNull = false;
this.seqprojcolec = seqprojcolec;
}
}

public String getProjeto() {
return projeto;
}

public void setProjeto(String projeto) {
this.projeto = projeto;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getResponsavel() {
return responsavel;
}

public void setResponsavel(String responsavel) {
this.responsavel = responsavel;
}

public FglDateTimeYS getDtainiprev() {
return dtainiprev;
}

public void setDtainiprev(FglDateTimeYS dtainiprev) {
this.dtainiprev = dtainiprev;
}

public FglDateTimeYS getDtafinprev() {
return dtafinprev;
}

public void setDtafinprev(FglDateTimeYS dtafinprev) {
this.dtafinprev = dtafinprev;
}

public FglDateTimeYS getDtainicial() {
return dtainicial;
}

public void setDtainicial(FglDateTimeYS dtainicial) {
this.dtainicial = dtainicial;
}

public FglDateTimeYS getDtafinal() {
return dtafinal;
}

public void setDtafinal(FglDateTimeYS dtafinal) {
this.dtafinal = dtafinal;
}

public FglDateTimeYS getDtainsprocde() {
return dtainsprocde;
}

public void setDtainsprocde(FglDateTimeYS dtainsprocde) {
this.dtainsprocde = dtainsprocde;
}

public FglDateTimeYS getDtainsproca() {
return dtainsproca;
}

public void setDtainsproca(FglDateTimeYS dtainsproca) {
this.dtainsproca = dtainsproca;
}

public long getQtdhoraest() {
return qtdhoraest;
}

public boolean isQtdhoraestNull() {
return qtdhoraestNull;
}

public void setQtdhoraest(int qtdhoraest) {
setQtdhoraest(new Long(qtdhoraest));
}

public void setQtdhoraest(Long qtdhoraest) {
if (qtdhoraest == null) {
qtdhoraestNull = true;
this.qtdhoraest = 0l;
} else { 
qtdhoraestNull = false;
this.qtdhoraest = qtdhoraest;
}
}

public double getVlrvenda() {
return vlrvenda;
}

public boolean isVlrvendaNull() {
return vlrvendaNull;
}

public void setVlrvenda(int vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(long vlrvenda) {
setVlrvenda(new Double(vlrvenda));
}

public void setVlrvenda(Double vlrvenda) {
if (vlrvenda == null) {
vlrvendaNull = true;
this.vlrvenda = 0.;
} else { 
vlrvendaNull = false;
this.vlrvenda = FglDouble.round(vlrvenda, 2);
}
}

public double getCustoest() {
return custoest;
}

public boolean isCustoestNull() {
return custoestNull;
}

public void setCustoest(int custoest) {
setCustoest(new Double(custoest));
}

public void setCustoest(long custoest) {
setCustoest(new Double(custoest));
}

public void setCustoest(Double custoest) {
if (custoest == null) {
custoestNull = true;
this.custoest = 0.;
} else { 
custoestNull = false;
this.custoest = FglDouble.round(custoest, 2);
}
}

}

