package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvQuestao {
@Coluna(nome="iv_questao.seqformulario", tipo="long")
private long seqformulario;
private boolean seqformularioNull;
@Coluna(nome="iv_questao.questao", tipo="int")
private int questao;
private boolean questaoNull;
@Coluna(nome="iv_questao.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_questao.nroreferencia", tipo="String")
private String nroreferencia;
@Coluna(nome="iv_questao.descreduzida", tipo="String")
private String descreduzida;
@Coluna(nome="iv_questao.nomecoluna", tipo="String")
private String nomecoluna;
@Coluna(nome="iv_questao.grupo", tipo="String")
private String grupo;
@Coluna(nome="iv_questao.tipodado", tipo="String")
private String tipodado;
@Coluna(nome="iv_questao.numminimo", tipo="double")
private double numminimo;
private boolean numminimoNull;
@Coluna(nome="iv_questao.nummaximo", tipo="double")
private double nummaximo;
private boolean nummaximoNull;
@Coluna(nome="iv_questao.peso", tipo="double")
private double peso;
private boolean pesoNull;
@Coluna(nome="iv_questao.proximaquestao", tipo="long")
private long proximaquestao;
private boolean proximaquestaoNull;
@Coluna(nome="iv_questao.script", tipo="String")
private String script;
@Coluna(nome="iv_questao.tamanho", tipo="int")
private int tamanho;
private boolean tamanhoNull;
@Coluna(nome="iv_questao.prefixoresposta", tipo="String")
private String prefixoresposta;
@Coluna(nome="iv_questao.permitepeso", tipo="String")
private String permitepeso;
@Coluna(nome="iv_questao.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_questao.exigeresposta", tipo="String")
private String exigeresposta;

public TabIvQuestao() {
initialize();
}

public void initialize() {
setSeqformulario(null);
setQuestao(null);
setDescricao(null);
setNroreferencia(null);
setDescreduzida(null);
setNomecoluna(null);
setGrupo(null);
setTipodado(null);
setNumminimo(null);
setNummaximo(null);
setPeso(null);
setProximaquestao(null);
setScript(null);
setTamanho(null);
setPrefixoresposta(null);
setPermitepeso(null);
setEmuso(null);
setExigeresposta(null);
}

public TabIvQuestao(long seqformulario, int questao, String descricao, String nroreferencia, String descreduzida, String nomecoluna, String grupo, String tipodado, double numminimo, double nummaximo, double peso, long proximaquestao, String script, int tamanho, String prefixoresposta, String permitepeso, int emuso, String exigeresposta) {
this.seqformulario = seqformulario;
this.questao = questao;
this.descricao = descricao;
this.nroreferencia = nroreferencia;
this.descreduzida = descreduzida;
this.nomecoluna = nomecoluna;
this.grupo = grupo;
this.tipodado = tipodado;
this.numminimo = numminimo;
this.nummaximo = nummaximo;
this.peso = peso;
this.proximaquestao = proximaquestao;
this.script = script;
this.tamanho = tamanho;
this.prefixoresposta = prefixoresposta;
this.permitepeso = permitepeso;
this.emuso = emuso;
this.exigeresposta = exigeresposta;
}

public long getSeqformulario() {
return seqformulario;
}

public boolean isSeqformularioNull() {
return seqformularioNull;
}

public void setSeqformulario(int seqformulario) {
setSeqformulario(new Long(seqformulario));
}

public void setSeqformulario(Long seqformulario) {
if (seqformulario == null) {
seqformularioNull = true;
this.seqformulario = 0l;
} else { 
seqformularioNull = false;
this.seqformulario = seqformulario;
}
}

public int getQuestao() {
return questao;
}

public boolean isQuestaoNull() {
return questaoNull;
}

public void setQuestao(Integer questao) {
if (questao == null) {
questaoNull = true;
this.questao = 0;
} else { 
questaoNull = false;
this.questao = questao;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getNroreferencia() {
return nroreferencia;
}

public void setNroreferencia(String nroreferencia) {
this.nroreferencia = nroreferencia;
}

public String getDescreduzida() {
return descreduzida;
}

public void setDescreduzida(String descreduzida) {
this.descreduzida = descreduzida;
}

public String getNomecoluna() {
return nomecoluna;
}

public void setNomecoluna(String nomecoluna) {
this.nomecoluna = nomecoluna;
}

public String getGrupo() {
return grupo;
}

public void setGrupo(String grupo) {
this.grupo = grupo;
}

public String getTipodado() {
return tipodado;
}

public void setTipodado(String tipodado) {
this.tipodado = tipodado;
}

public double getNumminimo() {
return numminimo;
}

public boolean isNumminimoNull() {
return numminimoNull;
}

public void setNumminimo(int numminimo) {
setNumminimo(new Double(numminimo));
}

public void setNumminimo(long numminimo) {
setNumminimo(new Double(numminimo));
}

public void setNumminimo(Double numminimo) {
if (numminimo == null) {
numminimoNull = true;
this.numminimo = 0.;
} else { 
numminimoNull = false;
this.numminimo = FglDouble.round(numminimo, 2);
}
}

public double getNummaximo() {
return nummaximo;
}

public boolean isNummaximoNull() {
return nummaximoNull;
}

public void setNummaximo(int nummaximo) {
setNummaximo(new Double(nummaximo));
}

public void setNummaximo(long nummaximo) {
setNummaximo(new Double(nummaximo));
}

public void setNummaximo(Double nummaximo) {
if (nummaximo == null) {
nummaximoNull = true;
this.nummaximo = 0.;
} else { 
nummaximoNull = false;
this.nummaximo = FglDouble.round(nummaximo, 2);
}
}

public double getPeso() {
return peso;
}

public boolean isPesoNull() {
return pesoNull;
}

public void setPeso(int peso) {
setPeso(new Double(peso));
}

public void setPeso(long peso) {
setPeso(new Double(peso));
}

public void setPeso(Double peso) {
if (peso == null) {
pesoNull = true;
this.peso = 0.;
} else { 
pesoNull = false;
this.peso = FglDouble.round(peso, 2);
}
}

public long getProximaquestao() {
return proximaquestao;
}

public boolean isProximaquestaoNull() {
return proximaquestaoNull;
}

public void setProximaquestao(int proximaquestao) {
setProximaquestao(new Long(proximaquestao));
}

public void setProximaquestao(Long proximaquestao) {
if (proximaquestao == null) {
proximaquestaoNull = true;
this.proximaquestao = 0l;
} else { 
proximaquestaoNull = false;
this.proximaquestao = proximaquestao;
}
}

public String getScript() {
return script;
}

public void setScript(String script) {
this.script = script;
}

public int getTamanho() {
return tamanho;
}

public boolean isTamanhoNull() {
return tamanhoNull;
}

public void setTamanho(Integer tamanho) {
if (tamanho == null) {
tamanhoNull = true;
this.tamanho = 0;
} else { 
tamanhoNull = false;
this.tamanho = tamanho;
}
}

public String getPrefixoresposta() {
return prefixoresposta;
}

public void setPrefixoresposta(String prefixoresposta) {
this.prefixoresposta = prefixoresposta;
}

public String getPermitepeso() {
return permitepeso;
}

public void setPermitepeso(String permitepeso) {
this.permitepeso = permitepeso;
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public String getExigeresposta() {
return exigeresposta;
}

public void setExigeresposta(String exigeresposta) {
this.exigeresposta = exigeresposta;
}

}

