package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabIvQuestionario {
@Coluna(nome="iv_questionario.seqquestionario", tipo="long")
private long seqquestionario;
private boolean seqquestionarioNull;
@Coluna(nome="iv_questionario.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="iv_questionario.seqformulario", tipo="long")
private long seqformulario;
private boolean seqformularioNull;
@Coluna(nome="iv_questionario.seqhistorico", tipo="long")
private long seqhistorico;
private boolean seqhistoricoNull;
@Coluna(nome="iv_questionario.seqagenda", tipo="long")
private long seqagenda;
private boolean seqagendaNull;
@Coluna(nome="iv_questionario.dtarealizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtarealizacao;
@Coluna(nome="iv_questionario.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="iv_questionario.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_questionario.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_questionario.departamento", tipo="String")
private String departamento;
@Coluna(nome="iv_questionario.obs", tipo="String")
private String obs;
@Coluna(nome="iv_questionario.resultado", tipo="long")
private long resultado;
private boolean resultadoNull;
@Coluna(nome="iv_questionario.linkdocto", tipo="String")
private String linkdocto;
@Coluna(nome="iv_questionario.linknro", tipo="double")
private double linknro;
private boolean linknroNull;
@Coluna(nome="iv_questionario.linkserie", tipo="String")
private String linkserie;
@Coluna(nome="iv_questionario.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="iv_questionario.subprocesso", tipo="long")
private long subprocesso;
private boolean subprocessoNull;

public TabIvQuestionario() {
initialize();
}

public void initialize() {
setSeqquestionario(null);
setSeqpessoa(null);
setSeqformulario(null);
setSeqhistorico(null);
setSeqagenda(null);
setDtarealizacao(null);
setUsuinclusao(null);
setUsualteracao(null);
setDtaalteracao(null);
setDepartamento(null);
setObs(null);
setResultado(null);
setLinkdocto(null);
setLinknro(null);
setLinkserie(null);
setProcesso(null);
setSubprocesso(null);
}

public TabIvQuestionario(long seqquestionario, long seqpessoa, long seqformulario, long seqhistorico, long seqagenda, FglDateTimeYS dtarealizacao, String usuinclusao, String usualteracao, FglDateTimeYS dtaalteracao, String departamento, String obs, long resultado, String linkdocto, double linknro, String linkserie, long processo, long subprocesso) {
this.seqquestionario = seqquestionario;
this.seqpessoa = seqpessoa;
this.seqformulario = seqformulario;
this.seqhistorico = seqhistorico;
this.seqagenda = seqagenda;
this.dtarealizacao = dtarealizacao;
this.usuinclusao = usuinclusao;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
this.departamento = departamento;
this.obs = obs;
this.resultado = resultado;
this.linkdocto = linkdocto;
this.linknro = linknro;
this.linkserie = linkserie;
this.processo = processo;
this.subprocesso = subprocesso;
}

public long getSeqquestionario() {
return seqquestionario;
}

public boolean isSeqquestionarioNull() {
return seqquestionarioNull;
}

public void setSeqquestionario(int seqquestionario) {
setSeqquestionario(new Long(seqquestionario));
}

public void setSeqquestionario(Long seqquestionario) {
if (seqquestionario == null) {
seqquestionarioNull = true;
this.seqquestionario = 0l;
} else { 
seqquestionarioNull = false;
this.seqquestionario = seqquestionario;
}
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public long getSeqformulario() {
return seqformulario;
}

public boolean isSeqformularioNull() {
return seqformularioNull;
}

public void setSeqformulario(int seqformulario) {
setSeqformulario(new Long(seqformulario));
}

public void setSeqformulario(Long seqformulario) {
if (seqformulario == null) {
seqformularioNull = true;
this.seqformulario = 0l;
} else { 
seqformularioNull = false;
this.seqformulario = seqformulario;
}
}

public long getSeqhistorico() {
return seqhistorico;
}

public boolean isSeqhistoricoNull() {
return seqhistoricoNull;
}

public void setSeqhistorico(int seqhistorico) {
setSeqhistorico(new Long(seqhistorico));
}

public void setSeqhistorico(Long seqhistorico) {
if (seqhistorico == null) {
seqhistoricoNull = true;
this.seqhistorico = 0l;
} else { 
seqhistoricoNull = false;
this.seqhistorico = seqhistorico;
}
}

public long getSeqagenda() {
return seqagenda;
}

public boolean isSeqagendaNull() {
return seqagendaNull;
}

public void setSeqagenda(int seqagenda) {
setSeqagenda(new Long(seqagenda));
}

public void setSeqagenda(Long seqagenda) {
if (seqagenda == null) {
seqagendaNull = true;
this.seqagenda = 0l;
} else { 
seqagendaNull = false;
this.seqagenda = seqagenda;
}
}

public FglDateTimeYS getDtarealizacao() {
return dtarealizacao;
}

public void setDtarealizacao(FglDateTimeYS dtarealizacao) {
this.dtarealizacao = dtarealizacao;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getDepartamento() {
return departamento;
}

public void setDepartamento(String departamento) {
this.departamento = departamento;
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public long getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Long(resultado));
}

public void setResultado(Long resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0l;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public String getLinkdocto() {
return linkdocto;
}

public void setLinkdocto(String linkdocto) {
this.linkdocto = linkdocto;
}

public double getLinknro() {
return linknro;
}

public boolean isLinknroNull() {
return linknroNull;
}

public void setLinknro(int linknro) {
setLinknro(new Double(linknro));
}

public void setLinknro(long linknro) {
setLinknro(new Double(linknro));
}

public void setLinknro(Double linknro) {
if (linknro == null) {
linknroNull = true;
this.linknro = 0.;
} else { 
linknroNull = false;
this.linknro = FglDouble.round(linknro, 5);
}
}

public String getLinkserie() {
return linkserie;
}

public void setLinkserie(String linkserie) {
this.linkserie = linkserie;
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getSubprocesso() {
return subprocesso;
}

public boolean isSubprocessoNull() {
return subprocessoNull;
}

public void setSubprocesso(int subprocesso) {
setSubprocesso(new Long(subprocesso));
}

public void setSubprocesso(Long subprocesso) {
if (subprocesso == null) {
subprocessoNull = true;
this.subprocesso = 0l;
} else { 
subprocessoNull = false;
this.subprocesso = subprocesso;
}
}

}

