package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvResultadoreq {
@Coluna(nome="iv_resultadoreq.resultado", tipo="long")
private long resultado;
private boolean resultadoNull;
@Coluna(nome="iv_resultadoreq.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="iv_resultadoreq.acao", tipo="long")
private long acao;
private boolean acaoNull;
@Coluna(nome="iv_resultadoreq.resdep", tipo="long")
private long resdep;
private boolean resdepNull;
@Coluna(nome="iv_resultadoreq.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="iv_resultadoreq.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabIvResultadoreq() {
initialize();
}

public void initialize() {
setResultado(null);
setCodprocesso(null);
setAcao(null);
setResdep(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabIvResultadoreq(long resultado, int codprocesso, long acao, long resdep, String usualteracao, FglDateTimeYS dtaalteracao) {
this.resultado = resultado;
this.codprocesso = codprocesso;
this.acao = acao;
this.resdep = resdep;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public long getResultado() {
return resultado;
}

public boolean isResultadoNull() {
return resultadoNull;
}

public void setResultado(int resultado) {
setResultado(new Long(resultado));
}

public void setResultado(Long resultado) {
if (resultado == null) {
resultadoNull = true;
this.resultado = 0l;
} else { 
resultadoNull = false;
this.resultado = resultado;
}
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public long getAcao() {
return acao;
}

public boolean isAcaoNull() {
return acaoNull;
}

public void setAcao(int acao) {
setAcao(new Long(acao));
}

public void setAcao(Long acao) {
if (acao == null) {
acaoNull = true;
this.acao = 0l;
} else { 
acaoNull = false;
this.acao = acao;
}
}

public long getResdep() {
return resdep;
}

public boolean isResdepNull() {
return resdepNull;
}

public void setResdep(int resdep) {
setResdep(new Long(resdep));
}

public void setResdep(Long resdep) {
if (resdep == null) {
resdepNull = true;
this.resdep = 0l;
} else { 
resdepNull = false;
this.resdep = resdep;
}
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

