package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvSelecao {
@Coluna(nome="iv_selecao.seqselecao", tipo="long")
private long seqselecao;
private boolean seqselecaoNull;
@Coluna(nome="iv_selecao.selecao", tipo="String")
private String selecao;
@Coluna(nome="iv_selecao.descricao", tipo="String")
private String descricao;
@Coluna(nome="iv_selecao.emuso", tipo="int")
private int emuso;
private boolean emusoNull;
@Coluna(nome="iv_selecao.dinamica", tipo="int")
private int dinamica;
private boolean dinamicaNull;
@Coluna(nome="iv_selecao.tipo", tipo="String")
private String tipo;
@Coluna(nome="iv_selecao.dtageracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtageracao;
@Coluna(nome="iv_selecao.qtdeclientes", tipo="long")
private long qtdeclientes;
private boolean qtdeclientesNull;
@Coluna(nome="iv_selecao.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="iv_selecao.construtor", tipo="String")
private String construtor;
@Coluna(nome="iv_selecao.usuario", tipo="String")
private String usuario;
@Coluna(nome="iv_selecao.usugeracao", tipo="String")
private String usugeracao;

public TabIvSelecao() {
initialize();
}

public void initialize() {
setSeqselecao(null);
setSelecao(null);
setDescricao(null);
setEmuso(null);
setDinamica(null);
setTipo(null);
setDtageracao(null);
setQtdeclientes(null);
setDtaalteracao(null);
setConstrutor(null);
setUsuario(null);
setUsugeracao(null);
}

public TabIvSelecao(long seqselecao, String selecao, String descricao, int emuso, int dinamica, String tipo, FglDateTimeYS dtageracao, long qtdeclientes, FglDateTimeYS dtaalteracao, String construtor, String usuario, String usugeracao) {
this.seqselecao = seqselecao;
this.selecao = selecao;
this.descricao = descricao;
this.emuso = emuso;
this.dinamica = dinamica;
this.tipo = tipo;
this.dtageracao = dtageracao;
this.qtdeclientes = qtdeclientes;
this.dtaalteracao = dtaalteracao;
this.construtor = construtor;
this.usuario = usuario;
this.usugeracao = usugeracao;
}

public long getSeqselecao() {
return seqselecao;
}

public boolean isSeqselecaoNull() {
return seqselecaoNull;
}

public void setSeqselecao(int seqselecao) {
setSeqselecao(new Long(seqselecao));
}

public void setSeqselecao(Long seqselecao) {
if (seqselecao == null) {
seqselecaoNull = true;
this.seqselecao = 0l;
} else { 
seqselecaoNull = false;
this.seqselecao = seqselecao;
}
}

public String getSelecao() {
return selecao;
}

public void setSelecao(String selecao) {
this.selecao = selecao;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getEmuso() {
return emuso;
}

public boolean isEmusoNull() {
return emusoNull;
}

public void setEmuso(Integer emuso) {
if (emuso == null) {
emusoNull = true;
this.emuso = 0;
} else { 
emusoNull = false;
this.emuso = emuso;
}
}

public int getDinamica() {
return dinamica;
}

public boolean isDinamicaNull() {
return dinamicaNull;
}

public void setDinamica(Integer dinamica) {
if (dinamica == null) {
dinamicaNull = true;
this.dinamica = 0;
} else { 
dinamicaNull = false;
this.dinamica = dinamica;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDateTimeYS getDtageracao() {
return dtageracao;
}

public void setDtageracao(FglDateTimeYS dtageracao) {
this.dtageracao = dtageracao;
}

public long getQtdeclientes() {
return qtdeclientes;
}

public boolean isQtdeclientesNull() {
return qtdeclientesNull;
}

public void setQtdeclientes(int qtdeclientes) {
setQtdeclientes(new Long(qtdeclientes));
}

public void setQtdeclientes(Long qtdeclientes) {
if (qtdeclientes == null) {
qtdeclientesNull = true;
this.qtdeclientes = 0l;
} else { 
qtdeclientesNull = false;
this.qtdeclientes = qtdeclientes;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getConstrutor() {
return construtor;
}

public void setConstrutor(String construtor) {
this.construtor = construtor;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getUsugeracao() {
return usugeracao;
}

public void setUsugeracao(String usugeracao) {
this.usugeracao = usugeracao;
}

}

