package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvmProcmatitem {
@Coluna(nome="ivm_procmatitem.seqmatitem", tipo="long")
private long seqmatitem;
private boolean seqmatitemNull;
@Coluna(nome="ivm_procmatitem.seqmaterial", tipo="long")
private long seqmaterial;
private boolean seqmaterialNull;
@Coluna(nome="ivm_procmatitem.seqprocmat", tipo="long")
private long seqprocmat;
private boolean seqprocmatNull;
@Coluna(nome="ivm_procmatitem.qtde", tipo="double")
private double qtde;
private boolean qtdeNull;
@Coluna(nome="ivm_procmatitem.vlrunitario", tipo="double")
private double vlrunitario;
private boolean vlrunitarioNull;
@Coluna(nome="ivm_procmatitem.desctotal", tipo="double")
private double desctotal;
private boolean desctotalNull;
@Coluna(nome="ivm_procmatitem.obs", tipo="String")
private String obs;
@Coluna(nome="ivm_procmatitem.usuaplicou", tipo="String")
private String usuaplicou;
@Coluna(nome="ivm_procmatitem.custeio", tipo="String")
private String custeio;
@Coluna(nome="ivm_procmatitem.dtaaplicacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaaplicacao;
@Coluna(nome="ivm_procmatitem.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="ivm_procmatitem.usuinclusao", tipo="String")
private String usuinclusao;
@Coluna(nome="ivm_procmatitem.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ivm_procmatitem.usualteracao", tipo="String")
private String usualteracao;

public TabIvmProcmatitem() {
initialize();
}

public void initialize() {
setSeqmatitem(null);
setSeqmaterial(null);
setSeqprocmat(null);
setQtde(null);
setVlrunitario(null);
setDesctotal(null);
setObs(null);
setUsuaplicou(null);
setCusteio(null);
setDtaaplicacao(null);
setDtainclusao(null);
setUsuinclusao(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvmProcmatitem(long seqmatitem, long seqmaterial, long seqprocmat, double qtde, double vlrunitario, double desctotal, String obs, String usuaplicou, String custeio, FglDateTimeYS dtaaplicacao, FglDateTimeYS dtainclusao, String usuinclusao, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqmatitem = seqmatitem;
this.seqmaterial = seqmaterial;
this.seqprocmat = seqprocmat;
this.qtde = qtde;
this.vlrunitario = vlrunitario;
this.desctotal = desctotal;
this.obs = obs;
this.usuaplicou = usuaplicou;
this.custeio = custeio;
this.dtaaplicacao = dtaaplicacao;
this.dtainclusao = dtainclusao;
this.usuinclusao = usuinclusao;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public long getSeqmatitem() {
return seqmatitem;
}

public boolean isSeqmatitemNull() {
return seqmatitemNull;
}

public void setSeqmatitem(int seqmatitem) {
setSeqmatitem(new Long(seqmatitem));
}

public void setSeqmatitem(Long seqmatitem) {
if (seqmatitem == null) {
seqmatitemNull = true;
this.seqmatitem = 0l;
} else { 
seqmatitemNull = false;
this.seqmatitem = seqmatitem;
}
}

public long getSeqmaterial() {
return seqmaterial;
}

public boolean isSeqmaterialNull() {
return seqmaterialNull;
}

public void setSeqmaterial(int seqmaterial) {
setSeqmaterial(new Long(seqmaterial));
}

public void setSeqmaterial(Long seqmaterial) {
if (seqmaterial == null) {
seqmaterialNull = true;
this.seqmaterial = 0l;
} else { 
seqmaterialNull = false;
this.seqmaterial = seqmaterial;
}
}

public long getSeqprocmat() {
return seqprocmat;
}

public boolean isSeqprocmatNull() {
return seqprocmatNull;
}

public void setSeqprocmat(int seqprocmat) {
setSeqprocmat(new Long(seqprocmat));
}

public void setSeqprocmat(Long seqprocmat) {
if (seqprocmat == null) {
seqprocmatNull = true;
this.seqprocmat = 0l;
} else { 
seqprocmatNull = false;
this.seqprocmat = seqprocmat;
}
}

public double getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(int qtde) {
setQtde(new Double(qtde));
}

public void setQtde(long qtde) {
setQtde(new Double(qtde));
}

public void setQtde(Double qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0.;
} else { 
qtdeNull = false;
this.qtde = FglDouble.round(qtde, 2);
}
}

public double getVlrunitario() {
return vlrunitario;
}

public boolean isVlrunitarioNull() {
return vlrunitarioNull;
}

public void setVlrunitario(int vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(long vlrunitario) {
setVlrunitario(new Double(vlrunitario));
}

public void setVlrunitario(Double vlrunitario) {
if (vlrunitario == null) {
vlrunitarioNull = true;
this.vlrunitario = 0.;
} else { 
vlrunitarioNull = false;
this.vlrunitario = FglDouble.round(vlrunitario, 2);
}
}

public double getDesctotal() {
return desctotal;
}

public boolean isDesctotalNull() {
return desctotalNull;
}

public void setDesctotal(int desctotal) {
setDesctotal(new Double(desctotal));
}

public void setDesctotal(long desctotal) {
setDesctotal(new Double(desctotal));
}

public void setDesctotal(Double desctotal) {
if (desctotal == null) {
desctotalNull = true;
this.desctotal = 0.;
} else { 
desctotalNull = false;
this.desctotal = FglDouble.round(desctotal, 2);
}
}

public String getObs() {
return obs;
}

public void setObs(String obs) {
this.obs = obs;
}

public String getUsuaplicou() {
return usuaplicou;
}

public void setUsuaplicou(String usuaplicou) {
this.usuaplicou = usuaplicou;
}

public String getCusteio() {
return custeio;
}

public void setCusteio(String custeio) {
this.custeio = custeio;
}

public FglDateTimeYS getDtaaplicacao() {
return dtaaplicacao;
}

public void setDtaaplicacao(FglDateTimeYS dtaaplicacao) {
this.dtaaplicacao = dtaaplicacao;
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public String getUsuinclusao() {
return usuinclusao;
}

public void setUsuinclusao(String usuinclusao) {
this.usuinclusao = usuinclusao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

