package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvsCartcid {
@Coluna(nome="ivs_cartcid.seqcarteira", tipo="int")
private int seqcarteira;
private boolean seqcarteiraNull;
@Coluna(nome="ivs_cartcid.seqcidade", tipo="long")
private long seqcidade;
private boolean seqcidadeNull;
@Coluna(nome="ivs_cartcid.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ivs_cartcid.usualterou", tipo="String")
private String usualterou;

public TabIvsCartcid() {
initialize();
}

public void initialize() {
setSeqcarteira(null);
setSeqcidade(null);
setDtaalteracao(null);
setUsualterou(null);
}

public TabIvsCartcid(int seqcarteira, long seqcidade, FglDateTimeYS dtaalteracao, String usualterou) {
this.seqcarteira = seqcarteira;
this.seqcidade = seqcidade;
this.dtaalteracao = dtaalteracao;
this.usualterou = usualterou;
}

public int getSeqcarteira() {
return seqcarteira;
}

public boolean isSeqcarteiraNull() {
return seqcarteiraNull;
}

public void setSeqcarteira(Integer seqcarteira) {
if (seqcarteira == null) {
seqcarteiraNull = true;
this.seqcarteira = 0;
} else { 
seqcarteiraNull = false;
this.seqcarteira = seqcarteira;
}
}

public long getSeqcidade() {
return seqcidade;
}

public boolean isSeqcidadeNull() {
return seqcidadeNull;
}

public void setSeqcidade(int seqcidade) {
setSeqcidade(new Long(seqcidade));
}

public void setSeqcidade(Long seqcidade) {
if (seqcidade == null) {
seqcidadeNull = true;
this.seqcidade = 0l;
} else { 
seqcidadeNull = false;
this.seqcidade = seqcidade;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualterou() {
return usualterou;
}

public void setUsualterou(String usualterou) {
this.usualterou = usualterou;
}

}

