package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabIvsCartdepto {
@Coluna(nome="ivs_cartdepto.seqcarteira", tipo="int")
private int seqcarteira;
private boolean seqcarteiraNull;
@Coluna(nome="ivs_cartdepto.seqdepto", tipo="int")
private int seqdepto;
private boolean seqdeptoNull;
@Coluna(nome="ivs_cartdepto.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;
@Coluna(nome="ivs_cartdepto.usualteracao", tipo="String")
private String usualteracao;

public TabIvsCartdepto() {
initialize();
}

public void initialize() {
setSeqcarteira(null);
setSeqdepto(null);
setDtaalteracao(null);
setUsualteracao(null);
}

public TabIvsCartdepto(int seqcarteira, int seqdepto, FglDateTimeYS dtaalteracao, String usualteracao) {
this.seqcarteira = seqcarteira;
this.seqdepto = seqdepto;
this.dtaalteracao = dtaalteracao;
this.usualteracao = usualteracao;
}

public int getSeqcarteira() {
return seqcarteira;
}

public boolean isSeqcarteiraNull() {
return seqcarteiraNull;
}

public void setSeqcarteira(Integer seqcarteira) {
if (seqcarteira == null) {
seqcarteiraNull = true;
this.seqcarteira = 0;
} else { 
seqcarteiraNull = false;
this.seqcarteira = seqcarteira;
}
}

public int getSeqdepto() {
return seqdepto;
}

public boolean isSeqdeptoNull() {
return seqdeptoNull;
}

public void setSeqdepto(Integer seqdepto) {
if (seqdepto == null) {
seqdeptoNull = true;
this.seqdepto = 0;
} else { 
seqdeptoNull = false;
this.seqdepto = seqdepto;
}
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

}

