package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabIvsDepto {
@Coluna(nome="ivs_depto.seqdepto", tipo="int")
private int seqdepto;
private boolean seqdeptoNull;
@Coluna(nome="ivs_depto.seqdeptodesc", tipo="long")
private long seqdeptodesc;
private boolean seqdeptodescNull;
@Coluna(nome="ivs_depto.sequsrdirdepto", tipo="long")
private long sequsrdirdepto;
private boolean sequsrdirdeptoNull;
@Coluna(nome="ivs_depto.seqsegm", tipo="long")
private long seqsegm;
private boolean seqsegmNull;
@Coluna(nome="ivs_depto.descricao", tipo="String")
private String descricao;
@Coluna(nome="ivs_depto.segdepsigla", tipo="String")
private String segdepsigla;
@Coluna(nome="ivs_depto.ctrlporempresa", tipo="int")
private int ctrlporempresa;
private boolean ctrlporempresaNull;
@Coluna(nome="ivs_depto.multcarteira", tipo="int")
private int multcarteira;
private boolean multcarteiraNull;
@Coluna(nome="ivs_depto.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;

public TabIvsDepto() {
initialize();
}

public void initialize() {
setSeqdepto(null);
setSeqdeptodesc(null);
setSequsrdirdepto(null);
setSeqsegm(null);
setDescricao(null);
setSegdepsigla(null);
setCtrlporempresa(null);
setMultcarteira(null);
setCodprocesso(null);
}

public TabIvsDepto(int seqdepto, long seqdeptodesc, long sequsrdirdepto, long seqsegm, String descricao, String segdepsigla, int ctrlporempresa, int multcarteira, int codprocesso) {
this.seqdepto = seqdepto;
this.seqdeptodesc = seqdeptodesc;
this.sequsrdirdepto = sequsrdirdepto;
this.seqsegm = seqsegm;
this.descricao = descricao;
this.segdepsigla = segdepsigla;
this.ctrlporempresa = ctrlporempresa;
this.multcarteira = multcarteira;
this.codprocesso = codprocesso;
}

public int getSeqdepto() {
return seqdepto;
}

public boolean isSeqdeptoNull() {
return seqdeptoNull;
}

public void setSeqdepto(Integer seqdepto) {
if (seqdepto == null) {
seqdeptoNull = true;
this.seqdepto = 0;
} else { 
seqdeptoNull = false;
this.seqdepto = seqdepto;
}
}

public long getSeqdeptodesc() {
return seqdeptodesc;
}

public boolean isSeqdeptodescNull() {
return seqdeptodescNull;
}

public void setSeqdeptodesc(int seqdeptodesc) {
setSeqdeptodesc(new Long(seqdeptodesc));
}

public void setSeqdeptodesc(Long seqdeptodesc) {
if (seqdeptodesc == null) {
seqdeptodescNull = true;
this.seqdeptodesc = 0l;
} else { 
seqdeptodescNull = false;
this.seqdeptodesc = seqdeptodesc;
}
}

public long getSequsrdirdepto() {
return sequsrdirdepto;
}

public boolean isSequsrdirdeptoNull() {
return sequsrdirdeptoNull;
}

public void setSequsrdirdepto(int sequsrdirdepto) {
setSequsrdirdepto(new Long(sequsrdirdepto));
}

public void setSequsrdirdepto(Long sequsrdirdepto) {
if (sequsrdirdepto == null) {
sequsrdirdeptoNull = true;
this.sequsrdirdepto = 0l;
} else { 
sequsrdirdeptoNull = false;
this.sequsrdirdepto = sequsrdirdepto;
}
}

public long getSeqsegm() {
return seqsegm;
}

public boolean isSeqsegmNull() {
return seqsegmNull;
}

public void setSeqsegm(int seqsegm) {
setSeqsegm(new Long(seqsegm));
}

public void setSeqsegm(Long seqsegm) {
if (seqsegm == null) {
seqsegmNull = true;
this.seqsegm = 0l;
} else { 
seqsegmNull = false;
this.seqsegm = seqsegm;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getSegdepsigla() {
return segdepsigla;
}

public void setSegdepsigla(String segdepsigla) {
this.segdepsigla = segdepsigla;
}

public int getCtrlporempresa() {
return ctrlporempresa;
}

public boolean isCtrlporempresaNull() {
return ctrlporempresaNull;
}

public void setCtrlporempresa(Integer ctrlporempresa) {
if (ctrlporempresa == null) {
ctrlporempresaNull = true;
this.ctrlporempresa = 0;
} else { 
ctrlporempresaNull = false;
this.ctrlporempresa = ctrlporempresa;
}
}

public int getMultcarteira() {
return multcarteira;
}

public boolean isMultcarteiraNull() {
return multcarteiraNull;
}

public void setMultcarteira(Integer multcarteira) {
if (multcarteira == null) {
multcarteiraNull = true;
this.multcarteira = 0;
} else { 
multcarteiraNull = false;
this.multcarteira = multcarteira;
}
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

}

