package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJditacma {
@Coluna(nome="jditacma.id_acordo", tipo="int")
private int idAcordo;
private boolean idAcordoNull;
@Coluna(nome="jditacma.nrorevisao", tipo="int")
private int nrorevisao;
private boolean nrorevisaoNull;
@Coluna(nome="jditacma.tpitem", tipo="String")
private String tpitem;
@Coluna(nome="jditacma.codigoitem", tipo="String")
private String codigoitem;
@Coluna(nome="jditacma.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="jditacma.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;
@Coluna(nome="jditacma.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="jditacma.valortotal", tipo="double")
private double valortotal;
private boolean valortotalNull;

public TabJditacma() {
initialize();
}

public void initialize() {
setIdAcordo(null);
setNrorevisao(null);
setTpitem(null);
setCodigoitem(null);
setQuantidade(null);
setUnitario(null);
setDesconto(null);
setValortotal(null);
}

public TabJditacma(int idAcordo, int nrorevisao, String tpitem, String codigoitem, double quantidade, double unitario, double desconto, double valortotal) {
this.idAcordo = idAcordo;
this.nrorevisao = nrorevisao;
this.tpitem = tpitem;
this.codigoitem = codigoitem;
this.quantidade = quantidade;
this.unitario = unitario;
this.desconto = desconto;
this.valortotal = valortotal;
}

public int getIdAcordo() {
return idAcordo;
}

public boolean isIdAcordoNull() {
return idAcordoNull;
}

public void setIdAcordo(Integer idAcordo) {
if (idAcordo == null) {
idAcordoNull = true;
this.idAcordo = 0;
} else { 
idAcordoNull = false;
this.idAcordo = idAcordo;
}
}

public int getNrorevisao() {
return nrorevisao;
}

public boolean isNrorevisaoNull() {
return nrorevisaoNull;
}

public void setNrorevisao(Integer nrorevisao) {
if (nrorevisao == null) {
nrorevisaoNull = true;
this.nrorevisao = 0;
} else { 
nrorevisaoNull = false;
this.nrorevisao = nrorevisao;
}
}

public String getTpitem() {
return tpitem;
}

public void setTpitem(String tpitem) {
this.tpitem = tpitem;
}

public String getCodigoitem() {
return codigoitem;
}

public void setCodigoitem(String codigoitem) {
this.codigoitem = codigoitem;
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getValortotal() {
return valortotal;
}

public boolean isValortotalNull() {
return valortotalNull;
}

public void setValortotal(int valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(long valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(Double valortotal) {
if (valortotal == null) {
valortotalNull = true;
this.valortotal = 0.;
} else { 
valortotalNull = false;
this.valortotal = FglDouble.round(valortotal, 2);
}
}

}

