package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabJdseplma {
@Coluna(nome="jdseplma.id_seplma", tipo="int")
private int idSeplma;
private boolean idSeplmaNull;
@Coluna(nome="jdseplma.id_revisao", tipo="int")
private int idRevisao;
private boolean idRevisaoNull;
@Coluna(nome="jdseplma.id_servico", tipo="int")
private int idServico;
private boolean idServicoNull;
@Coluna(nome="jdseplma.quantidade", tipo="double")
private double quantidade;
private boolean quantidadeNull;
@Coluna(nome="jdseplma.desconto", tipo="double")
private double desconto;
private boolean descontoNull;
@Coluna(nome="jdseplma.unitario", tipo="double")
private double unitario;
private boolean unitarioNull;

public TabJdseplma() {
initialize();
}

public void initialize() {
setIdSeplma(null);
setIdRevisao(null);
setIdServico(null);
setQuantidade(null);
setDesconto(null);
setUnitario(null);
}

public TabJdseplma(int idSeplma, int idRevisao, int idServico, double quantidade, double desconto, double unitario) {
this.idSeplma = idSeplma;
this.idRevisao = idRevisao;
this.idServico = idServico;
this.quantidade = quantidade;
this.desconto = desconto;
this.unitario = unitario;
}

public int getIdSeplma() {
return idSeplma;
}

public boolean isIdSeplmaNull() {
return idSeplmaNull;
}

public void setIdSeplma(Integer idSeplma) {
if (idSeplma == null) {
idSeplmaNull = true;
this.idSeplma = 0;
} else { 
idSeplmaNull = false;
this.idSeplma = idSeplma;
}
}

public int getIdRevisao() {
return idRevisao;
}

public boolean isIdRevisaoNull() {
return idRevisaoNull;
}

public void setIdRevisao(Integer idRevisao) {
if (idRevisao == null) {
idRevisaoNull = true;
this.idRevisao = 0;
} else { 
idRevisaoNull = false;
this.idRevisao = idRevisao;
}
}

public int getIdServico() {
return idServico;
}

public boolean isIdServicoNull() {
return idServicoNull;
}

public void setIdServico(Integer idServico) {
if (idServico == null) {
idServicoNull = true;
this.idServico = 0;
} else { 
idServicoNull = false;
this.idServico = idServico;
}
}

public double getQuantidade() {
return quantidade;
}

public boolean isQuantidadeNull() {
return quantidadeNull;
}

public void setQuantidade(int quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(long quantidade) {
setQuantidade(new Double(quantidade));
}

public void setQuantidade(Double quantidade) {
if (quantidade == null) {
quantidadeNull = true;
this.quantidade = 0.;
} else { 
quantidadeNull = false;
this.quantidade = FglDouble.round(quantidade, 2);
}
}

public double getDesconto() {
return desconto;
}

public boolean isDescontoNull() {
return descontoNull;
}

public void setDesconto(int desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(long desconto) {
setDesconto(new Double(desconto));
}

public void setDesconto(Double desconto) {
if (desconto == null) {
descontoNull = true;
this.desconto = 0.;
} else { 
descontoNull = false;
this.desconto = FglDouble.round(desconto, 2);
}
}

public double getUnitario() {
return unitario;
}

public boolean isUnitarioNull() {
return unitarioNull;
}

public void setUnitario(int unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(long unitario) {
setUnitario(new Double(unitario));
}

public void setUnitario(Double unitario) {
if (unitario == null) {
unitarioNull = true;
this.unitario = 0.;
} else { 
unitarioNull = false;
this.unitario = FglDouble.round(unitario, 2);
}
}

}

