package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabJtintcp {
@Coluna(nome="jtintcp.idpedidojet", tipo="int")
private int idpedidojet;
private boolean idpedidojetNull;
@Coluna(nome="jtintcp.condicaopgto", tipo="String")
private String condicaopgto;
@Coluna(nome="jtintcp.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="jtintcp.valortotal", tipo="double")
private double valortotal;
private boolean valortotalNull;
@Coluna(nome="jtintcp.valorfrete", tipo="double")
private double valorfrete;
private boolean valorfreteNull;
@Coluna(nome="jtintcp.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="jtintcp.dtrecebimentojet", tipo="FglDate")
private FglDate dtrecebimentojet;
@Coluna(nome="jtintcp.dtefetivacaosisdia", tipo="FglDate")
private FglDate dtefetivacaosisdia;
@Coluna(nome="jtintcp.dtenviojet", tipo="FglDate")
private FglDate dtenviojet;

public TabJtintcp() {
initialize();
}

public void initialize() {
setIdpedidojet(null);
setCondicaopgto(null);
setCnpj(null);
setValortotal(null);
setValorfrete(null);
setIdNfcapa(null);
setDtrecebimentojet(null);
setDtefetivacaosisdia(null);
setDtenviojet(null);
}

public TabJtintcp(int idpedidojet, String condicaopgto, String cnpj, double valortotal, double valorfrete, int idNfcapa, FglDate dtrecebimentojet, FglDate dtefetivacaosisdia, FglDate dtenviojet) {
this.idpedidojet = idpedidojet;
this.condicaopgto = condicaopgto;
this.cnpj = cnpj;
this.valortotal = valortotal;
this.valorfrete = valorfrete;
this.idNfcapa = idNfcapa;
this.dtrecebimentojet = dtrecebimentojet;
this.dtefetivacaosisdia = dtefetivacaosisdia;
this.dtenviojet = dtenviojet;
}

public int getIdpedidojet() {
return idpedidojet;
}

public boolean isIdpedidojetNull() {
return idpedidojetNull;
}

public void setIdpedidojet(Integer idpedidojet) {
if (idpedidojet == null) {
idpedidojetNull = true;
this.idpedidojet = 0;
} else { 
idpedidojetNull = false;
this.idpedidojet = idpedidojet;
}
}

public String getCondicaopgto() {
return condicaopgto;
}

public void setCondicaopgto(String condicaopgto) {
this.condicaopgto = condicaopgto;
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public double getValortotal() {
return valortotal;
}

public boolean isValortotalNull() {
return valortotalNull;
}

public void setValortotal(int valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(long valortotal) {
setValortotal(new Double(valortotal));
}

public void setValortotal(Double valortotal) {
if (valortotal == null) {
valortotalNull = true;
this.valortotal = 0.;
} else { 
valortotalNull = false;
this.valortotal = FglDouble.round(valortotal, 2);
}
}

public double getValorfrete() {
return valorfrete;
}

public boolean isValorfreteNull() {
return valorfreteNull;
}

public void setValorfrete(int valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(long valorfrete) {
setValorfrete(new Double(valorfrete));
}

public void setValorfrete(Double valorfrete) {
if (valorfrete == null) {
valorfreteNull = true;
this.valorfrete = 0.;
} else { 
valorfreteNull = false;
this.valorfrete = FglDouble.round(valorfrete, 2);
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public FglDate getDtrecebimentojet() {
return dtrecebimentojet;
}

public void setDtrecebimentojet(FglDate dtrecebimentojet) {
this.dtrecebimentojet = dtrecebimentojet;
}

public FglDate getDtefetivacaosisdia() {
return dtefetivacaosisdia;
}

public void setDtefetivacaosisdia(FglDate dtefetivacaosisdia) {
this.dtefetivacaosisdia = dtefetivacaosisdia;
}

public FglDate getDtenviojet() {
return dtenviojet;
}

public void setDtenviojet(FglDate dtenviojet) {
this.dtenviojet = dtenviojet;
}

}

