package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabKiparmov {
@Coluna(nome="kiparmov.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="kiparmov.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="kiparmov.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="kiparmov.coluna", tipo="String")
private String coluna;
@Coluna(nome="kiparmov.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabKiparmov() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setLinha(null);
setColuna(null);
setValor(null);
}

public TabKiparmov(int filial, FglDateTimeYM anomes, int linha, String coluna, double valor) {
this.filial = filial;
this.anomes = anomes;
this.linha = linha;
this.coluna = coluna;
this.valor = valor;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

