package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabLibcalcu {
@Coluna(nome="libcalcu.id_calculo", tipo="int")
private int idCalculo;
private boolean idCalculoNull;
@Coluna(nome="libcalcu.nro_proprietario", tipo="long")
private long nroProprietario;
private boolean nroProprietarioNull;
@Coluna(nome="libcalcu.modelo", tipo="String")
private String modelo;
@Coluna(nome="libcalcu.molicar", tipo="String")
private String molicar;
@Coluna(nome="libcalcu.novousado", tipo="String")
private String novousado;
@Coluna(nome="libcalcu.anofabric", tipo="int")
private int anofabric;
private boolean anofabricNull;
@Coluna(nome="libcalcu.modfabric", tipo="int")
private int modfabric;
private boolean modfabricNull;
@Coluna(nome="libcalcu.utilizacao", tipo="int")
private int utilizacao;
private boolean utilizacaoNull;
@Coluna(nome="libcalcu.adaptacao", tipo="int")
private int adaptacao;
private boolean adaptacaoNull;
@Coluna(nome="libcalcu.cep_pernoite", tipo="String")
private String cepPernoite;
@Coluna(nome="libcalcu.cod_regiao_lib", tipo="int")
private int codRegiaoLib;
private boolean codRegiaoLibNull;
@Coluna(nome="libcalcu.nom_regiao_lib", tipo="String")
private String nomRegiaoLib;
@Coluna(nome="libcalcu.prop_eh_segurado", tipo="String")
private String propEhSegurado;
@Coluna(nome="libcalcu.nom_segurado", tipo="String")
private String nomSegurado;
@Coluna(nome="libcalcu.cpf_segurado", tipo="int")
private int cpfSegurado;
private boolean cpfSeguradoNull;
@Coluna(nome="libcalcu.dt_nascimento", tipo="FglDate")
private FglDate dtNascimento;
@Coluna(nome="libcalcu.sexo", tipo="String")
private String sexo;
@Coluna(nome="libcalcu.nro_calculo", tipo="String")
private String nroCalculo;
@Coluna(nome="libcalcu.dhr_calculo", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhrCalculo;
@Coluna(nome="libcalcu.valorpremio", tipo="double")
private double valorpremio;
private boolean valorpremioNull;

public TabLibcalcu() {
initialize();
}

public void initialize() {
setIdCalculo(null);
setNroProprietario(null);
setModelo(null);
setMolicar(null);
setNovousado(null);
setAnofabric(null);
setModfabric(null);
setUtilizacao(null);
setAdaptacao(null);
setCepPernoite(null);
setCodRegiaoLib(null);
setNomRegiaoLib(null);
setPropEhSegurado(null);
setNomSegurado(null);
setCpfSegurado(null);
setDtNascimento(null);
setSexo(null);
setNroCalculo(null);
setDhrCalculo(null);
setValorpremio(null);
}

public TabLibcalcu(int idCalculo, long nroProprietario, String modelo, String molicar, String novousado, int anofabric, int modfabric, int utilizacao, int adaptacao, String cepPernoite, int codRegiaoLib, String nomRegiaoLib, String propEhSegurado, String nomSegurado, int cpfSegurado, FglDate dtNascimento, String sexo, String nroCalculo, FglDateTimeYMin dhrCalculo, double valorpremio) {
this.idCalculo = idCalculo;
this.nroProprietario = nroProprietario;
this.modelo = modelo;
this.molicar = molicar;
this.novousado = novousado;
this.anofabric = anofabric;
this.modfabric = modfabric;
this.utilizacao = utilizacao;
this.adaptacao = adaptacao;
this.cepPernoite = cepPernoite;
this.codRegiaoLib = codRegiaoLib;
this.nomRegiaoLib = nomRegiaoLib;
this.propEhSegurado = propEhSegurado;
this.nomSegurado = nomSegurado;
this.cpfSegurado = cpfSegurado;
this.dtNascimento = dtNascimento;
this.sexo = sexo;
this.nroCalculo = nroCalculo;
this.dhrCalculo = dhrCalculo;
this.valorpremio = valorpremio;
}

public int getIdCalculo() {
return idCalculo;
}

public boolean isIdCalculoNull() {
return idCalculoNull;
}

public void setIdCalculo(Integer idCalculo) {
if (idCalculo == null) {
idCalculoNull = true;
this.idCalculo = 0;
} else { 
idCalculoNull = false;
this.idCalculo = idCalculo;
}
}

public long getNroProprietario() {
return nroProprietario;
}

public boolean isNroProprietarioNull() {
return nroProprietarioNull;
}

public void setNroProprietario(int nroProprietario) {
setNroProprietario(new Long(nroProprietario));
}

public void setNroProprietario(Long nroProprietario) {
if (nroProprietario == null) {
nroProprietarioNull = true;
this.nroProprietario = 0l;
} else { 
nroProprietarioNull = false;
this.nroProprietario = nroProprietario;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getMolicar() {
return molicar;
}

public void setMolicar(String molicar) {
this.molicar = molicar;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getAnofabric() {
return anofabric;
}

public boolean isAnofabricNull() {
return anofabricNull;
}

public void setAnofabric(Integer anofabric) {
if (anofabric == null) {
anofabricNull = true;
this.anofabric = 0;
} else { 
anofabricNull = false;
this.anofabric = anofabric;
}
}

public int getModfabric() {
return modfabric;
}

public boolean isModfabricNull() {
return modfabricNull;
}

public void setModfabric(Integer modfabric) {
if (modfabric == null) {
modfabricNull = true;
this.modfabric = 0;
} else { 
modfabricNull = false;
this.modfabric = modfabric;
}
}

public int getUtilizacao() {
return utilizacao;
}

public boolean isUtilizacaoNull() {
return utilizacaoNull;
}

public void setUtilizacao(Integer utilizacao) {
if (utilizacao == null) {
utilizacaoNull = true;
this.utilizacao = 0;
} else { 
utilizacaoNull = false;
this.utilizacao = utilizacao;
}
}

public int getAdaptacao() {
return adaptacao;
}

public boolean isAdaptacaoNull() {
return adaptacaoNull;
}

public void setAdaptacao(Integer adaptacao) {
if (adaptacao == null) {
adaptacaoNull = true;
this.adaptacao = 0;
} else { 
adaptacaoNull = false;
this.adaptacao = adaptacao;
}
}

public String getCepPernoite() {
return cepPernoite;
}

public void setCepPernoite(String cepPernoite) {
this.cepPernoite = cepPernoite;
}

public int getCodRegiaoLib() {
return codRegiaoLib;
}

public boolean isCodRegiaoLibNull() {
return codRegiaoLibNull;
}

public void setCodRegiaoLib(Integer codRegiaoLib) {
if (codRegiaoLib == null) {
codRegiaoLibNull = true;
this.codRegiaoLib = 0;
} else { 
codRegiaoLibNull = false;
this.codRegiaoLib = codRegiaoLib;
}
}

public String getNomRegiaoLib() {
return nomRegiaoLib;
}

public void setNomRegiaoLib(String nomRegiaoLib) {
this.nomRegiaoLib = nomRegiaoLib;
}

public String getPropEhSegurado() {
return propEhSegurado;
}

public void setPropEhSegurado(String propEhSegurado) {
this.propEhSegurado = propEhSegurado;
}

public String getNomSegurado() {
return nomSegurado;
}

public void setNomSegurado(String nomSegurado) {
this.nomSegurado = nomSegurado;
}

public int getCpfSegurado() {
return cpfSegurado;
}

public boolean isCpfSeguradoNull() {
return cpfSeguradoNull;
}

public void setCpfSegurado(Integer cpfSegurado) {
if (cpfSegurado == null) {
cpfSeguradoNull = true;
this.cpfSegurado = 0;
} else { 
cpfSeguradoNull = false;
this.cpfSegurado = cpfSegurado;
}
}

public FglDate getDtNascimento() {
return dtNascimento;
}

public void setDtNascimento(FglDate dtNascimento) {
this.dtNascimento = dtNascimento;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public String getNroCalculo() {
return nroCalculo;
}

public void setNroCalculo(String nroCalculo) {
this.nroCalculo = nroCalculo;
}

public FglDateTimeYMin getDhrCalculo() {
return dhrCalculo;
}

public void setDhrCalculo(FglDateTimeYMin dhrCalculo) {
this.dhrCalculo = dhrCalculo;
}

public double getValorpremio() {
return valorpremio;
}

public boolean isValorpremioNull() {
return valorpremioNull;
}

public void setValorpremio(int valorpremio) {
setValorpremio(new Double(valorpremio));
}

public void setValorpremio(long valorpremio) {
setValorpremio(new Double(valorpremio));
}

public void setValorpremio(Double valorpremio) {
if (valorpremio == null) {
valorpremioNull = true;
this.valorpremio = 0.;
} else { 
valorpremioNull = false;
this.valorpremio = FglDouble.round(valorpremio, 2);
}
}

}

