package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLibpergu {
@Coluna(nome="libpergu.pergunta", tipo="int")
private int pergunta;
private boolean perguntaNull;
@Coluna(nome="libpergu.descricao", tipo="String")
private String descricao;
@Coluna(nome="libpergu.ativo", tipo="String")
private String ativo;

public TabLibpergu() {
initialize();
}

public void initialize() {
setPergunta(null);
setDescricao(null);
setAtivo(null);
}

public TabLibpergu(int pergunta, String descricao, String ativo) {
this.pergunta = pergunta;
this.descricao = descricao;
this.ativo = ativo;
}

public int getPergunta() {
return pergunta;
}

public boolean isPerguntaNull() {
return perguntaNull;
}

public void setPergunta(Integer pergunta) {
if (pergunta == null) {
perguntaNull = true;
this.pergunta = 0;
} else { 
perguntaNull = false;
this.pergunta = pergunta;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

