package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLibrespo {
@Coluna(nome="librespo.pergunta", tipo="int")
private int pergunta;
private boolean perguntaNull;
@Coluna(nome="librespo.resposta", tipo="int")
private int resposta;
private boolean respostaNull;
@Coluna(nome="librespo.descricao", tipo="String")
private String descricao;
@Coluna(nome="librespo.ativo", tipo="String")
private String ativo;

public TabLibrespo() {
initialize();
}

public void initialize() {
setPergunta(null);
setResposta(null);
setDescricao(null);
setAtivo(null);
}

public TabLibrespo(int pergunta, int resposta, String descricao, String ativo) {
this.pergunta = pergunta;
this.resposta = resposta;
this.descricao = descricao;
this.ativo = ativo;
}

public int getPergunta() {
return pergunta;
}

public boolean isPerguntaNull() {
return perguntaNull;
}

public void setPergunta(Integer pergunta) {
if (pergunta == null) {
perguntaNull = true;
this.pergunta = 0;
} else { 
perguntaNull = false;
this.pergunta = pergunta;
}
}

public int getResposta() {
return resposta;
}

public boolean isRespostaNull() {
return respostaNull;
}

public void setResposta(Integer resposta) {
if (resposta == null) {
respostaNull = true;
this.resposta = 0;
} else { 
respostaNull = false;
this.resposta = resposta;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

