package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabLibservi {
@Coluna(nome="libservi.servico", tipo="String")
private String servico;
@Coluna(nome="libservi.nome", tipo="String")
private String nome;
@Coluna(nome="libservi.percdesc", tipo="double")
private double percdesc;
private boolean percdescNull;
@Coluna(nome="libservi.percagrav", tipo="double")
private double percagrav;
private boolean percagravNull;

public TabLibservi() {
initialize();
}

public void initialize() {
setServico(null);
setNome(null);
setPercdesc(null);
setPercagrav(null);
}

public TabLibservi(String servico, String nome, double percdesc, double percagrav) {
this.servico = servico;
this.nome = nome;
this.percdesc = percdesc;
this.percagrav = percagrav;
}

public String getServico() {
return servico;
}

public void setServico(String servico) {
this.servico = servico;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public double getPercdesc() {
return percdesc;
}

public boolean isPercdescNull() {
return percdescNull;
}

public void setPercdesc(int percdesc) {
setPercdesc(new Double(percdesc));
}

public void setPercdesc(long percdesc) {
setPercdesc(new Double(percdesc));
}

public void setPercdesc(Double percdesc) {
if (percdesc == null) {
percdescNull = true;
this.percdesc = 0.;
} else { 
percdescNull = false;
this.percdesc = FglDouble.round(percdesc, 2);
}
}

public double getPercagrav() {
return percagrav;
}

public boolean isPercagravNull() {
return percagravNull;
}

public void setPercagrav(int percagrav) {
setPercagrav(new Double(percagrav));
}

public void setPercagrav(long percagrav) {
setPercagrav(new Double(percagrav));
}

public void setPercagrav(Double percagrav) {
if (percagrav == null) {
percagravNull = true;
this.percagrav = 0.;
} else { 
percagravNull = false;
this.percagrav = FglDouble.round(percagrav, 2);
}
}

}

