package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabLibutili {
@Coluna(nome="libutili.utilizacao", tipo="int")
private int utilizacao;
private boolean utilizacaoNull;
@Coluna(nome="libutili.descricao", tipo="String")
private String descricao;
@Coluna(nome="libutili.anomaximo", tipo="int")
private int anomaximo;
private boolean anomaximoNull;
@Coluna(nome="libutili.ativo", tipo="String")
private String ativo;

public TabLibutili() {
initialize();
}

public void initialize() {
setUtilizacao(null);
setDescricao(null);
setAnomaximo(null);
setAtivo(null);
}

public TabLibutili(int utilizacao, String descricao, int anomaximo, String ativo) {
this.utilizacao = utilizacao;
this.descricao = descricao;
this.anomaximo = anomaximo;
this.ativo = ativo;
}

public int getUtilizacao() {
return utilizacao;
}

public boolean isUtilizacaoNull() {
return utilizacaoNull;
}

public void setUtilizacao(Integer utilizacao) {
if (utilizacao == null) {
utilizacaoNull = true;
this.utilizacao = 0;
} else { 
utilizacaoNull = false;
this.utilizacao = utilizacao;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public int getAnomaximo() {
return anomaximo;
}

public boolean isAnomaximoNull() {
return anomaximoNull;
}

public void setAnomaximo(Integer anomaximo) {
if (anomaximo == null) {
anomaximoNull = true;
this.anomaximo = 0;
} else { 
anomaximoNull = false;
this.anomaximo = anomaximo;
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

