package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabLogCnorcite {
@Coluna(nome="log_cnorcite.id_orccap", tipo="int")
private int idOrccap;
private boolean idOrccapNull;
@Coluna(nome="log_cnorcite.nrolinhanovo", tipo="int")
private int nrolinhanovo;
private boolean nrolinhanovoNull;
@Coluna(nome="log_cnorcite.nrolinhavelho", tipo="int")
private int nrolinhavelho;
private boolean nrolinhavelhoNull;
@Coluna(nome="log_cnorcite.produtonovo", tipo="String")
private String produtonovo;
@Coluna(nome="log_cnorcite.produtovelho", tipo="String")
private String produtovelho;
@Coluna(nome="log_cnorcite.quantidadenova", tipo="double")
private double quantidadenova;
private boolean quantidadenovaNull;
@Coluna(nome="log_cnorcite.quantidadevelha", tipo="double")
private double quantidadevelha;
private boolean quantidadevelhaNull;
@Coluna(nome="log_cnorcite.romaneionovo", tipo="int")
private int romaneionovo;
private boolean romaneionovoNull;
@Coluna(nome="log_cnorcite.romaneiovelho", tipo="int")
private int romaneiovelho;
private boolean romaneiovelhoNull;
@Coluna(nome="log_cnorcite.nome_programa", tipo="String")
private String nomePrograma;
@Coluna(nome="log_cnorcite.sid", tipo="int")
private int sid;
private boolean sidNull;
@Coluna(nome="log_cnorcite.username", tipo="String")
private String username;
@Coluna(nome="log_cnorcite.hostname", tipo="String")
private String hostname;
@Coluna(nome="log_cnorcite.tty", tipo="String")
private String tty;
@Coluna(nome="log_cnorcite.dataalteracao", tipo="String")
private String dataalteracao;
@Coluna(nome="log_cnorcite.horaalteracao", tipo="String")
private String horaalteracao;

public TabLogCnorcite() {
initialize();
}

public void initialize() {
setIdOrccap(null);
setNrolinhanovo(null);
setNrolinhavelho(null);
setProdutonovo(null);
setProdutovelho(null);
setQuantidadenova(null);
setQuantidadevelha(null);
setRomaneionovo(null);
setRomaneiovelho(null);
setNomePrograma(null);
setSid(null);
setUsername(null);
setHostname(null);
setTty(null);
setDataalteracao(null);
setHoraalteracao(null);
}

public TabLogCnorcite(int idOrccap, int nrolinhanovo, int nrolinhavelho, String produtonovo, String produtovelho, double quantidadenova, double quantidadevelha, int romaneionovo, int romaneiovelho, String nomePrograma, int sid, String username, String hostname, String tty, String dataalteracao, String horaalteracao) {
this.idOrccap = idOrccap;
this.nrolinhanovo = nrolinhanovo;
this.nrolinhavelho = nrolinhavelho;
this.produtonovo = produtonovo;
this.produtovelho = produtovelho;
this.quantidadenova = quantidadenova;
this.quantidadevelha = quantidadevelha;
this.romaneionovo = romaneionovo;
this.romaneiovelho = romaneiovelho;
this.nomePrograma = nomePrograma;
this.sid = sid;
this.username = username;
this.hostname = hostname;
this.tty = tty;
this.dataalteracao = dataalteracao;
this.horaalteracao = horaalteracao;
}

public int getIdOrccap() {
return idOrccap;
}

public boolean isIdOrccapNull() {
return idOrccapNull;
}

public void setIdOrccap(Integer idOrccap) {
if (idOrccap == null) {
idOrccapNull = true;
this.idOrccap = 0;
} else { 
idOrccapNull = false;
this.idOrccap = idOrccap;
}
}

public int getNrolinhanovo() {
return nrolinhanovo;
}

public boolean isNrolinhanovoNull() {
return nrolinhanovoNull;
}

public void setNrolinhanovo(Integer nrolinhanovo) {
if (nrolinhanovo == null) {
nrolinhanovoNull = true;
this.nrolinhanovo = 0;
} else { 
nrolinhanovoNull = false;
this.nrolinhanovo = nrolinhanovo;
}
}

public int getNrolinhavelho() {
return nrolinhavelho;
}

public boolean isNrolinhavelhoNull() {
return nrolinhavelhoNull;
}

public void setNrolinhavelho(Integer nrolinhavelho) {
if (nrolinhavelho == null) {
nrolinhavelhoNull = true;
this.nrolinhavelho = 0;
} else { 
nrolinhavelhoNull = false;
this.nrolinhavelho = nrolinhavelho;
}
}

public String getProdutonovo() {
return produtonovo;
}

public void setProdutonovo(String produtonovo) {
this.produtonovo = produtonovo;
}

public String getProdutovelho() {
return produtovelho;
}

public void setProdutovelho(String produtovelho) {
this.produtovelho = produtovelho;
}

public double getQuantidadenova() {
return quantidadenova;
}

public boolean isQuantidadenovaNull() {
return quantidadenovaNull;
}

public void setQuantidadenova(int quantidadenova) {
setQuantidadenova(new Double(quantidadenova));
}

public void setQuantidadenova(long quantidadenova) {
setQuantidadenova(new Double(quantidadenova));
}

public void setQuantidadenova(Double quantidadenova) {
if (quantidadenova == null) {
quantidadenovaNull = true;
this.quantidadenova = 0.;
} else { 
quantidadenovaNull = false;
this.quantidadenova = FglDouble.round(quantidadenova, 2);
}
}

public double getQuantidadevelha() {
return quantidadevelha;
}

public boolean isQuantidadevelhaNull() {
return quantidadevelhaNull;
}

public void setQuantidadevelha(int quantidadevelha) {
setQuantidadevelha(new Double(quantidadevelha));
}

public void setQuantidadevelha(long quantidadevelha) {
setQuantidadevelha(new Double(quantidadevelha));
}

public void setQuantidadevelha(Double quantidadevelha) {
if (quantidadevelha == null) {
quantidadevelhaNull = true;
this.quantidadevelha = 0.;
} else { 
quantidadevelhaNull = false;
this.quantidadevelha = FglDouble.round(quantidadevelha, 2);
}
}

public int getRomaneionovo() {
return romaneionovo;
}

public boolean isRomaneionovoNull() {
return romaneionovoNull;
}

public void setRomaneionovo(Integer romaneionovo) {
if (romaneionovo == null) {
romaneionovoNull = true;
this.romaneionovo = 0;
} else { 
romaneionovoNull = false;
this.romaneionovo = romaneionovo;
}
}

public int getRomaneiovelho() {
return romaneiovelho;
}

public boolean isRomaneiovelhoNull() {
return romaneiovelhoNull;
}

public void setRomaneiovelho(Integer romaneiovelho) {
if (romaneiovelho == null) {
romaneiovelhoNull = true;
this.romaneiovelho = 0;
} else { 
romaneiovelhoNull = false;
this.romaneiovelho = romaneiovelho;
}
}

public String getNomePrograma() {
return nomePrograma;
}

public void setNomePrograma(String nomePrograma) {
this.nomePrograma = nomePrograma;
}

public int getSid() {
return sid;
}

public boolean isSidNull() {
return sidNull;
}

public void setSid(Integer sid) {
if (sid == null) {
sidNull = true;
this.sid = 0;
} else { 
sidNull = false;
this.sid = sid;
}
}

public String getUsername() {
return username;
}

public void setUsername(String username) {
this.username = username;
}

public String getHostname() {
return hostname;
}

public void setHostname(String hostname) {
this.hostname = hostname;
}

public String getTty() {
return tty;
}

public void setTty(String tty) {
this.tty = tty;
}

public String getDataalteracao() {
return dataalteracao;
}

public void setDataalteracao(String dataalteracao) {
this.dataalteracao = dataalteracao;
}

public String getHoraalteracao() {
return horaalteracao;
}

public void setHoraalteracao(String horaalteracao) {
this.horaalteracao = horaalteracao;
}

}

