package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabLogExecucao {
@Coluna(nome="log_execucao.datahora", tipo="FglDateTimeYS")
private FglDateTimeYS datahora;
@Coluna(nome="log_execucao.processo", tipo="String")
private String processo;
@Coluna(nome="log_execucao.tipo", tipo="String")
private String tipo;
@Coluna(nome="log_execucao.status", tipo="String")
private String status;
@Coluna(nome="log_execucao.retorno", tipo="String")
private String retorno;

public TabLogExecucao() {
initialize();
}

public void initialize() {
setDatahora(null);
setProcesso(null);
setTipo(null);
setStatus(null);
setRetorno(null);
}

public TabLogExecucao(FglDateTimeYS datahora, String processo, String tipo, String status, String retorno) {
this.datahora = datahora;
this.processo = processo;
this.tipo = tipo;
this.status = status;
this.retorno = retorno;
}

public FglDateTimeYS getDatahora() {
return datahora;
}

public void setDatahora(FglDateTimeYS datahora) {
this.datahora = datahora;
}

public String getProcesso() {
return processo;
}

public void setProcesso(String processo) {
this.processo = processo;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getRetorno() {
return retorno;
}

public void setRetorno(String retorno) {
this.retorno = retorno;
}

}

