package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMbdimbes {
@Coluna(nome="mbdimbes.produto", tipo="String")
private String produto;
@Coluna(nome="mbdimbes.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mbdimbes.qtdestdis", tipo="double")
private double qtdestdis;
private boolean qtdestdisNull;
@Coluna(nome="mbdimbes.qtdestres", tipo="double")
private double qtdestres;
private boolean qtdestresNull;
@Coluna(nome="mbdimbes.qtdpedpen", tipo="double")
private double qtdpedpen;
private boolean qtdpedpenNull;

public TabMbdimbes() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setQtdestdis(null);
setQtdestres(null);
setQtdpedpen(null);
}

public TabMbdimbes(String produto, int filial, double qtdestdis, double qtdestres, double qtdpedpen) {
this.produto = produto;
this.filial = filial;
this.qtdestdis = qtdestdis;
this.qtdestres = qtdestres;
this.qtdpedpen = qtdpedpen;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getQtdestdis() {
return qtdestdis;
}

public boolean isQtdestdisNull() {
return qtdestdisNull;
}

public void setQtdestdis(int qtdestdis) {
setQtdestdis(new Double(qtdestdis));
}

public void setQtdestdis(long qtdestdis) {
setQtdestdis(new Double(qtdestdis));
}

public void setQtdestdis(Double qtdestdis) {
if (qtdestdis == null) {
qtdestdisNull = true;
this.qtdestdis = 0.;
} else { 
qtdestdisNull = false;
this.qtdestdis = FglDouble.round(qtdestdis, 2);
}
}

public double getQtdestres() {
return qtdestres;
}

public boolean isQtdestresNull() {
return qtdestresNull;
}

public void setQtdestres(int qtdestres) {
setQtdestres(new Double(qtdestres));
}

public void setQtdestres(long qtdestres) {
setQtdestres(new Double(qtdestres));
}

public void setQtdestres(Double qtdestres) {
if (qtdestres == null) {
qtdestresNull = true;
this.qtdestres = 0.;
} else { 
qtdestresNull = false;
this.qtdestres = FglDouble.round(qtdestres, 2);
}
}

public double getQtdpedpen() {
return qtdpedpen;
}

public boolean isQtdpedpenNull() {
return qtdpedpenNull;
}

public void setQtdpedpen(int qtdpedpen) {
setQtdpedpen(new Double(qtdpedpen));
}

public void setQtdpedpen(long qtdpedpen) {
setQtdpedpen(new Double(qtdpedpen));
}

public void setQtdpedpen(Double qtdpedpen) {
if (qtdpedpen == null) {
qtdpedpenNull = true;
this.qtdpedpen = 0.;
} else { 
qtdpedpenNull = false;
this.qtdpedpen = FglDouble.round(qtdpedpen, 2);
}
}

}

