package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDate;

public class TabMbdimint {
@Coluna(nome="mbdimint.id_dims", tipo="int")
private int idDims;
private boolean idDimsNull;
@Coluna(nome="mbdimint.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mbdimint.numeroseqarquivo", tipo="int")
private int numeroseqarquivo;
private boolean numeroseqarquivoNull;
@Coluna(nome="mbdimint.tipogeracao", tipo="int")
private int tipogeracao;
private boolean tipogeracaoNull;
@Coluna(nome="mbdimint.datahorageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datahorageracao;
@Coluna(nome="mbdimint.datahoraultimageracao", tipo="FglDateTimeYS")
private FglDateTimeYS datahoraultimageracao;
@Coluna(nome="mbdimint.quantidatransmissoes", tipo="int")
private int quantidatransmissoes;
private boolean quantidatransmissoesNull;
@Coluna(nome="mbdimint.periodoinicial", tipo="FglDate")
private FglDate periodoinicial;
@Coluna(nome="mbdimint.periodofinal", tipo="FglDate")
private FglDate periodofinal;
@Coluna(nome="mbdimint.nomearquivo", tipo="String")
private String nomearquivo;
@Coluna(nome="mbdimint.xmlarquivo", tipo="String")
private String xmlarquivo;
@Coluna(nome="mbdimint.status", tipo="int")
private int status;
private boolean statusNull;

public TabMbdimint() {
initialize();
}

public void initialize() {
setIdDims(null);
setFilial(null);
setNumeroseqarquivo(null);
setTipogeracao(null);
setDatahorageracao(null);
setDatahoraultimageracao(null);
setQuantidatransmissoes(null);
setPeriodoinicial(null);
setPeriodofinal(null);
setNomearquivo(null);
setXmlarquivo(null);
setStatus(null);
}

public TabMbdimint(int idDims, int filial, int numeroseqarquivo, int tipogeracao, FglDateTimeYS datahorageracao, FglDateTimeYS datahoraultimageracao, int quantidatransmissoes, FglDate periodoinicial, FglDate periodofinal, String nomearquivo, String xmlarquivo, int status) {
this.idDims = idDims;
this.filial = filial;
this.numeroseqarquivo = numeroseqarquivo;
this.tipogeracao = tipogeracao;
this.datahorageracao = datahorageracao;
this.datahoraultimageracao = datahoraultimageracao;
this.quantidatransmissoes = quantidatransmissoes;
this.periodoinicial = periodoinicial;
this.periodofinal = periodofinal;
this.nomearquivo = nomearquivo;
this.xmlarquivo = xmlarquivo;
this.status = status;
}

public int getIdDims() {
return idDims;
}

public boolean isIdDimsNull() {
return idDimsNull;
}

public void setIdDims(Integer idDims) {
if (idDims == null) {
idDimsNull = true;
this.idDims = 0;
} else { 
idDimsNull = false;
this.idDims = idDims;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNumeroseqarquivo() {
return numeroseqarquivo;
}

public boolean isNumeroseqarquivoNull() {
return numeroseqarquivoNull;
}

public void setNumeroseqarquivo(Integer numeroseqarquivo) {
if (numeroseqarquivo == null) {
numeroseqarquivoNull = true;
this.numeroseqarquivo = 0;
} else { 
numeroseqarquivoNull = false;
this.numeroseqarquivo = numeroseqarquivo;
}
}

public int getTipogeracao() {
return tipogeracao;
}

public boolean isTipogeracaoNull() {
return tipogeracaoNull;
}

public void setTipogeracao(Integer tipogeracao) {
if (tipogeracao == null) {
tipogeracaoNull = true;
this.tipogeracao = 0;
} else { 
tipogeracaoNull = false;
this.tipogeracao = tipogeracao;
}
}

public FglDateTimeYS getDatahorageracao() {
return datahorageracao;
}

public void setDatahorageracao(FglDateTimeYS datahorageracao) {
this.datahorageracao = datahorageracao;
}

public FglDateTimeYS getDatahoraultimageracao() {
return datahoraultimageracao;
}

public void setDatahoraultimageracao(FglDateTimeYS datahoraultimageracao) {
this.datahoraultimageracao = datahoraultimageracao;
}

public int getQuantidatransmissoes() {
return quantidatransmissoes;
}

public boolean isQuantidatransmissoesNull() {
return quantidatransmissoesNull;
}

public void setQuantidatransmissoes(Integer quantidatransmissoes) {
if (quantidatransmissoes == null) {
quantidatransmissoesNull = true;
this.quantidatransmissoes = 0;
} else { 
quantidatransmissoesNull = false;
this.quantidatransmissoes = quantidatransmissoes;
}
}

public FglDate getPeriodoinicial() {
return periodoinicial;
}

public void setPeriodoinicial(FglDate periodoinicial) {
this.periodoinicial = periodoinicial;
}

public FglDate getPeriodofinal() {
return periodofinal;
}

public void setPeriodofinal(FglDate periodofinal) {
this.periodofinal = periodofinal;
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

public String getXmlarquivo() {
return xmlarquivo;
}

public void setXmlarquivo(String xmlarquivo) {
this.xmlarquivo = xmlarquivo;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

}

