package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMbdimret {
@Coluna(nome="mbdimret.id_arquivo", tipo="int")
private int idArquivo;
private boolean idArquivoNull;
@Coluna(nome="mbdimret.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mbdimret.codigoarquivo", tipo="int")
private int codigoarquivo;
private boolean codigoarquivoNull;
@Coluna(nome="mbdimret.tipoarquivo", tipo="int")
private int tipoarquivo;
private boolean tipoarquivoNull;
@Coluna(nome="mbdimret.nomearquivo", tipo="String")
private String nomearquivo;
@Coluna(nome="mbdimret.arquivo", tipo="String")
private String arquivo;
@Coluna(nome="mbdimret.dataarquivo", tipo="FglDateTimeYS")
private FglDateTimeYS dataarquivo;
@Coluna(nome="mbdimret.datarecebimento", tipo="FglDateTimeYS")
private FglDateTimeYS datarecebimento;
@Coluna(nome="mbdimret.tipoprocessamento", tipo="String")
private String tipoprocessamento;
@Coluna(nome="mbdimret.dataprocessamento", tipo="FglDateTimeYS")
private FglDateTimeYS dataprocessamento;
@Coluna(nome="mbdimret.status", tipo="String")
private String status;

public TabMbdimret() {
initialize();
}

public void initialize() {
setIdArquivo(null);
setFilial(null);
setCodigoarquivo(null);
setTipoarquivo(null);
setNomearquivo(null);
setArquivo(null);
setDataarquivo(null);
setDatarecebimento(null);
setTipoprocessamento(null);
setDataprocessamento(null);
setStatus(null);
}

public TabMbdimret(int idArquivo, int filial, int codigoarquivo, int tipoarquivo, String nomearquivo, String arquivo, FglDateTimeYS dataarquivo, FglDateTimeYS datarecebimento, String tipoprocessamento, FglDateTimeYS dataprocessamento, String status) {
this.idArquivo = idArquivo;
this.filial = filial;
this.codigoarquivo = codigoarquivo;
this.tipoarquivo = tipoarquivo;
this.nomearquivo = nomearquivo;
this.arquivo = arquivo;
this.dataarquivo = dataarquivo;
this.datarecebimento = datarecebimento;
this.tipoprocessamento = tipoprocessamento;
this.dataprocessamento = dataprocessamento;
this.status = status;
}

public int getIdArquivo() {
return idArquivo;
}

public boolean isIdArquivoNull() {
return idArquivoNull;
}

public void setIdArquivo(Integer idArquivo) {
if (idArquivo == null) {
idArquivoNull = true;
this.idArquivo = 0;
} else { 
idArquivoNull = false;
this.idArquivo = idArquivo;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getCodigoarquivo() {
return codigoarquivo;
}

public boolean isCodigoarquivoNull() {
return codigoarquivoNull;
}

public void setCodigoarquivo(Integer codigoarquivo) {
if (codigoarquivo == null) {
codigoarquivoNull = true;
this.codigoarquivo = 0;
} else { 
codigoarquivoNull = false;
this.codigoarquivo = codigoarquivo;
}
}

public int getTipoarquivo() {
return tipoarquivo;
}

public boolean isTipoarquivoNull() {
return tipoarquivoNull;
}

public void setTipoarquivo(Integer tipoarquivo) {
if (tipoarquivo == null) {
tipoarquivoNull = true;
this.tipoarquivo = 0;
} else { 
tipoarquivoNull = false;
this.tipoarquivo = tipoarquivo;
}
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

public String getArquivo() {
return arquivo;
}

public void setArquivo(String arquivo) {
this.arquivo = arquivo;
}

public FglDateTimeYS getDataarquivo() {
return dataarquivo;
}

public void setDataarquivo(FglDateTimeYS dataarquivo) {
this.dataarquivo = dataarquivo;
}

public FglDateTimeYS getDatarecebimento() {
return datarecebimento;
}

public void setDatarecebimento(FglDateTimeYS datarecebimento) {
this.datarecebimento = datarecebimento;
}

public String getTipoprocessamento() {
return tipoprocessamento;
}

public void setTipoprocessamento(String tipoprocessamento) {
this.tipoprocessamento = tipoprocessamento;
}

public FglDateTimeYS getDataprocessamento() {
return dataprocessamento;
}

public void setDataprocessamento(FglDateTimeYS dataprocessamento) {
this.dataprocessamento = dataprocessamento;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

}

