package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMdfe {
@Coluna(nome="mdfe.idmdfe", tipo="int")
private int idmdfe;
private boolean idmdfeNull;
@Coluna(nome="mdfe.idstatus", tipo="int")
private int idstatus;
private boolean idstatusNull;
@Coluna(nome="mdfe.chaveacesso", tipo="String")
private String chaveacesso;
@Coluna(nome="mdfe.cnpj", tipo="String")
private String cnpj;
@Coluna(nome="mdfe.serie", tipo="int")
private int serie;
private boolean serieNull;
@Coluna(nome="mdfe.numero", tipo="int")
private int numero;
private boolean numeroNull;
@Coluna(nome="mdfe.demi", tipo="int")
private int demi;
private boolean demiNull;
@Coluna(nome="mdfe.hemi", tipo="int")
private int hemi;
private boolean hemiNull;
@Coluna(nome="mdfe.modal", tipo="int")
private int modal;
private boolean modalNull;
@Coluna(nome="mdfe.tptransp", tipo="int")
private int tptransp;
private boolean tptranspNull;
@Coluna(nome="mdfe.tpemis", tipo="int")
private int tpemis;
private boolean tpemisNull;
@Coluna(nome="mdfe.tpemit", tipo="int")
private int tpemit;
private boolean tpemitNull;
@Coluna(nome="mdfe.ufini", tipo="String")
private String ufini;
@Coluna(nome="mdfe.uffim", tipo="String")
private String uffim;
@Coluna(nome="mdfe.diniviagem", tipo="int")
private int diniviagem;
private boolean diniviagemNull;
@Coluna(nome="mdfe.hiniviagem", tipo="int")
private int hiniviagem;
private boolean hiniviagemNull;
@Coluna(nome="mdfe.qcte", tipo="int")
private int qcte;
private boolean qcteNull;
@Coluna(nome="mdfe.qnfe", tipo="int")
private int qnfe;
private boolean qnfeNull;
@Coluna(nome="mdfe.vcarga", tipo="double")
private double vcarga;
private boolean vcargaNull;
@Coluna(nome="mdfe.cunid", tipo="int")
private int cunid;
private boolean cunidNull;
@Coluna(nome="mdfe.qcarga", tipo="double")
private double qcarga;
private boolean qcargaNull;
@Coluna(nome="mdfe.indcanalverde", tipo="int")
private int indcanalverde;
private boolean indcanalverdeNull;

public TabMdfe() {
initialize();
}

public void initialize() {
setIdmdfe(null);
setIdstatus(null);
setChaveacesso(null);
setCnpj(null);
setSerie(null);
setNumero(null);
setDemi(null);
setHemi(null);
setModal(null);
setTptransp(null);
setTpemis(null);
setTpemit(null);
setUfini(null);
setUffim(null);
setDiniviagem(null);
setHiniviagem(null);
setQcte(null);
setQnfe(null);
setVcarga(null);
setCunid(null);
setQcarga(null);
setIndcanalverde(null);
}

public TabMdfe(int idmdfe, int idstatus, String chaveacesso, String cnpj, int serie, int numero, int demi, int hemi, int modal, int tptransp, int tpemis, int tpemit, String ufini, String uffim, int diniviagem, int hiniviagem, int qcte, int qnfe, double vcarga, int cunid, double qcarga, int indcanalverde) {
this.idmdfe = idmdfe;
this.idstatus = idstatus;
this.chaveacesso = chaveacesso;
this.cnpj = cnpj;
this.serie = serie;
this.numero = numero;
this.demi = demi;
this.hemi = hemi;
this.modal = modal;
this.tptransp = tptransp;
this.tpemis = tpemis;
this.tpemit = tpemit;
this.ufini = ufini;
this.uffim = uffim;
this.diniviagem = diniviagem;
this.hiniviagem = hiniviagem;
this.qcte = qcte;
this.qnfe = qnfe;
this.vcarga = vcarga;
this.cunid = cunid;
this.qcarga = qcarga;
this.indcanalverde = indcanalverde;
}

public int getIdmdfe() {
return idmdfe;
}

public boolean isIdmdfeNull() {
return idmdfeNull;
}

public void setIdmdfe(Integer idmdfe) {
if (idmdfe == null) {
idmdfeNull = true;
this.idmdfe = 0;
} else { 
idmdfeNull = false;
this.idmdfe = idmdfe;
}
}

public int getIdstatus() {
return idstatus;
}

public boolean isIdstatusNull() {
return idstatusNull;
}

public void setIdstatus(Integer idstatus) {
if (idstatus == null) {
idstatusNull = true;
this.idstatus = 0;
} else { 
idstatusNull = false;
this.idstatus = idstatus;
}
}

public String getChaveacesso() {
return chaveacesso;
}

public void setChaveacesso(String chaveacesso) {
this.chaveacesso = chaveacesso;
}

public String getCnpj() {
return cnpj;
}

public void setCnpj(String cnpj) {
this.cnpj = cnpj;
}

public int getSerie() {
return serie;
}

public boolean isSerieNull() {
return serieNull;
}

public void setSerie(Integer serie) {
if (serie == null) {
serieNull = true;
this.serie = 0;
} else { 
serieNull = false;
this.serie = serie;
}
}

public int getNumero() {
return numero;
}

public boolean isNumeroNull() {
return numeroNull;
}

public void setNumero(Integer numero) {
if (numero == null) {
numeroNull = true;
this.numero = 0;
} else { 
numeroNull = false;
this.numero = numero;
}
}

public int getDemi() {
return demi;
}

public boolean isDemiNull() {
return demiNull;
}

public void setDemi(Integer demi) {
if (demi == null) {
demiNull = true;
this.demi = 0;
} else { 
demiNull = false;
this.demi = demi;
}
}

public int getHemi() {
return hemi;
}

public boolean isHemiNull() {
return hemiNull;
}

public void setHemi(Integer hemi) {
if (hemi == null) {
hemiNull = true;
this.hemi = 0;
} else { 
hemiNull = false;
this.hemi = hemi;
}
}

public int getModal() {
return modal;
}

public boolean isModalNull() {
return modalNull;
}

public void setModal(Integer modal) {
if (modal == null) {
modalNull = true;
this.modal = 0;
} else { 
modalNull = false;
this.modal = modal;
}
}

public int getTptransp() {
return tptransp;
}

public boolean isTptranspNull() {
return tptranspNull;
}

public void setTptransp(Integer tptransp) {
if (tptransp == null) {
tptranspNull = true;
this.tptransp = 0;
} else { 
tptranspNull = false;
this.tptransp = tptransp;
}
}

public int getTpemis() {
return tpemis;
}

public boolean isTpemisNull() {
return tpemisNull;
}

public void setTpemis(Integer tpemis) {
if (tpemis == null) {
tpemisNull = true;
this.tpemis = 0;
} else { 
tpemisNull = false;
this.tpemis = tpemis;
}
}

public int getTpemit() {
return tpemit;
}

public boolean isTpemitNull() {
return tpemitNull;
}

public void setTpemit(Integer tpemit) {
if (tpemit == null) {
tpemitNull = true;
this.tpemit = 0;
} else { 
tpemitNull = false;
this.tpemit = tpemit;
}
}

public String getUfini() {
return ufini;
}

public void setUfini(String ufini) {
this.ufini = ufini;
}

public String getUffim() {
return uffim;
}

public void setUffim(String uffim) {
this.uffim = uffim;
}

public int getDiniviagem() {
return diniviagem;
}

public boolean isDiniviagemNull() {
return diniviagemNull;
}

public void setDiniviagem(Integer diniviagem) {
if (diniviagem == null) {
diniviagemNull = true;
this.diniviagem = 0;
} else { 
diniviagemNull = false;
this.diniviagem = diniviagem;
}
}

public int getHiniviagem() {
return hiniviagem;
}

public boolean isHiniviagemNull() {
return hiniviagemNull;
}

public void setHiniviagem(Integer hiniviagem) {
if (hiniviagem == null) {
hiniviagemNull = true;
this.hiniviagem = 0;
} else { 
hiniviagemNull = false;
this.hiniviagem = hiniviagem;
}
}

public int getQcte() {
return qcte;
}

public boolean isQcteNull() {
return qcteNull;
}

public void setQcte(Integer qcte) {
if (qcte == null) {
qcteNull = true;
this.qcte = 0;
} else { 
qcteNull = false;
this.qcte = qcte;
}
}

public int getQnfe() {
return qnfe;
}

public boolean isQnfeNull() {
return qnfeNull;
}

public void setQnfe(Integer qnfe) {
if (qnfe == null) {
qnfeNull = true;
this.qnfe = 0;
} else { 
qnfeNull = false;
this.qnfe = qnfe;
}
}

public double getVcarga() {
return vcarga;
}

public boolean isVcargaNull() {
return vcargaNull;
}

public void setVcarga(int vcarga) {
setVcarga(new Double(vcarga));
}

public void setVcarga(long vcarga) {
setVcarga(new Double(vcarga));
}

public void setVcarga(Double vcarga) {
if (vcarga == null) {
vcargaNull = true;
this.vcarga = 0.;
} else { 
vcargaNull = false;
this.vcarga = FglDouble.round(vcarga, 2);
}
}

public int getCunid() {
return cunid;
}

public boolean isCunidNull() {
return cunidNull;
}

public void setCunid(Integer cunid) {
if (cunid == null) {
cunidNull = true;
this.cunid = 0;
} else { 
cunidNull = false;
this.cunid = cunid;
}
}

public double getQcarga() {
return qcarga;
}

public boolean isQcargaNull() {
return qcargaNull;
}

public void setQcarga(int qcarga) {
setQcarga(new Double(qcarga));
}

public void setQcarga(long qcarga) {
setQcarga(new Double(qcarga));
}

public void setQcarga(Double qcarga) {
if (qcarga == null) {
qcargaNull = true;
this.qcarga = 0.;
} else { 
qcargaNull = false;
this.qcarga = FglDouble.round(qcarga, 4);
}
}

public int getIndcanalverde() {
return indcanalverde;
}

public boolean isIndcanalverdeNull() {
return indcanalverdeNull;
}

public void setIndcanalverde(Integer indcanalverde) {
if (indcanalverde == null) {
indcanalverdeNull = true;
this.indcanalverde = 0;
} else { 
indcanalverdeNull = false;
this.indcanalverde = indcanalverde;
}
}

}

