package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMetContablancto {
@Coluna(nome="met_contablancto.inscricao", tipo="String")
private String inscricao;
@Coluna(nome="met_contablancto.centrocusto", tipo="String")
private String centrocusto;
@Coluna(nome="met_contablancto.datalancamento", tipo="FglDateTimeYS")
private FglDateTimeYS datalancamento;
@Coluna(nome="met_contablancto.itemlancamento", tipo="int")
private int itemlancamento;
private boolean itemlancamentoNull;
@Coluna(nome="met_contablancto.contadebito", tipo="String")
private String contadebito;
@Coluna(nome="met_contablancto.contacredito", tipo="String")
private String contacredito;
@Coluna(nome="met_contablancto.tppessoadebito", tipo="String")
private String tppessoadebito;
@Coluna(nome="met_contablancto.cgccpfdebito", tipo="String")
private String cgccpfdebito;
@Coluna(nome="met_contablancto.tppessoacredito", tipo="String")
private String tppessoacredito;
@Coluna(nome="met_contablancto.cgccpfcredito", tipo="String")
private String cgccpfcredito;
@Coluna(nome="met_contablancto.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="met_contablancto.tipolancto", tipo="String")
private String tipolancto;

public TabMetContablancto() {
initialize();
}

public void initialize() {
setInscricao(null);
setCentrocusto(null);
setDatalancamento(null);
setItemlancamento(null);
setContadebito(null);
setContacredito(null);
setTppessoadebito(null);
setCgccpfdebito(null);
setTppessoacredito(null);
setCgccpfcredito(null);
setIdLancto(null);
setTipolancto(null);
}

public TabMetContablancto(String inscricao, String centrocusto, FglDateTimeYS datalancamento, int itemlancamento, String contadebito, String contacredito, String tppessoadebito, String cgccpfdebito, String tppessoacredito, String cgccpfcredito, int idLancto, String tipolancto) {
this.inscricao = inscricao;
this.centrocusto = centrocusto;
this.datalancamento = datalancamento;
this.itemlancamento = itemlancamento;
this.contadebito = contadebito;
this.contacredito = contacredito;
this.tppessoadebito = tppessoadebito;
this.cgccpfdebito = cgccpfdebito;
this.tppessoacredito = tppessoacredito;
this.cgccpfcredito = cgccpfcredito;
this.idLancto = idLancto;
this.tipolancto = tipolancto;
}

public String getInscricao() {
return inscricao;
}

public void setInscricao(String inscricao) {
this.inscricao = inscricao;
}

public String getCentrocusto() {
return centrocusto;
}

public void setCentrocusto(String centrocusto) {
this.centrocusto = centrocusto;
}

public FglDateTimeYS getDatalancamento() {
return datalancamento;
}

public void setDatalancamento(FglDateTimeYS datalancamento) {
this.datalancamento = datalancamento;
}

public int getItemlancamento() {
return itemlancamento;
}

public boolean isItemlancamentoNull() {
return itemlancamentoNull;
}

public void setItemlancamento(Integer itemlancamento) {
if (itemlancamento == null) {
itemlancamentoNull = true;
this.itemlancamento = 0;
} else { 
itemlancamentoNull = false;
this.itemlancamento = itemlancamento;
}
}

public String getContadebito() {
return contadebito;
}

public void setContadebito(String contadebito) {
this.contadebito = contadebito;
}

public String getContacredito() {
return contacredito;
}

public void setContacredito(String contacredito) {
this.contacredito = contacredito;
}

public String getTppessoadebito() {
return tppessoadebito;
}

public void setTppessoadebito(String tppessoadebito) {
this.tppessoadebito = tppessoadebito;
}

public String getCgccpfdebito() {
return cgccpfdebito;
}

public void setCgccpfdebito(String cgccpfdebito) {
this.cgccpfdebito = cgccpfdebito;
}

public String getTppessoacredito() {
return tppessoacredito;
}

public void setTppessoacredito(String tppessoacredito) {
this.tppessoacredito = tppessoacredito;
}

public String getCgccpfcredito() {
return cgccpfcredito;
}

public void setCgccpfcredito(String cgccpfcredito) {
this.cgccpfcredito = cgccpfcredito;
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public String getTipolancto() {
return tipolancto;
}

public void setTipolancto(String tipolancto) {
this.tipolancto = tipolancto;
}

}

