package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMetCtlancto {
@Coluna(nome="met_ctlancto.id_met_lancto", tipo="int")
private int idMetLancto;
private boolean idMetLanctoNull;
@Coluna(nome="met_ctlancto.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="met_ctlancto.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="met_ctlancto.nrolancto", tipo="int")
private int nrolancto;
private boolean nrolanctoNull;
@Coluna(nome="met_ctlancto.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="met_ctlancto.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="met_ctlancto.cgccpf", tipo="double")
private double cgccpf;
private boolean cgccpfNull;
@Coluna(nome="met_ctlancto.dtlancto", tipo="FglDate")
private FglDate dtlancto;
@Coluna(nome="met_ctlancto.id_planocp", tipo="int")
private int idPlanocp;
private boolean idPlanocpNull;
@Coluna(nome="met_ctlancto.tppessoacp", tipo="int")
private int tppessoacp;
private boolean tppessoacpNull;
@Coluna(nome="met_ctlancto.cgccpfcp", tipo="double")
private double cgccpfcp;
private boolean cgccpfcpNull;
@Coluna(nome="met_ctlancto.tipolancto", tipo="String")
private String tipolancto;
@Coluna(nome="met_ctlancto.id_histor", tipo="int")
private int idHistor;
private boolean idHistorNull;
@Coluna(nome="met_ctlancto.descrhistor", tipo="String")
private String descrhistor;
@Coluna(nome="met_ctlancto.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="met_ctlancto.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="met_ctlancto.seqdocto", tipo="int")
private int seqdocto;
private boolean seqdoctoNull;
@Coluna(nome="met_ctlancto.tpdocto", tipo="String")
private String tpdocto;
@Coluna(nome="met_ctlancto.dtdocto", tipo="FglDate")
private FglDate dtdocto;
@Coluna(nome="met_ctlancto.diario", tipo="String")
private String diario;
@Coluna(nome="met_ctlancto.nrolote", tipo="int")
private int nrolote;
private boolean nroloteNull;

public TabMetCtlancto() {
initialize();
}

public void initialize() {
setIdMetLancto(null);
setIdLancto(null);
setFilial(null);
setNrolancto(null);
setIdPlano(null);
setTppessoa(null);
setCgccpf(null);
setDtlancto(null);
setIdPlanocp(null);
setTppessoacp(null);
setCgccpfcp(null);
setTipolancto(null);
setIdHistor(null);
setDescrhistor(null);
setValor(null);
setNrodocto(null);
setSeqdocto(null);
setTpdocto(null);
setDtdocto(null);
setDiario(null);
setNrolote(null);
}

public TabMetCtlancto(int idMetLancto, int idLancto, int filial, int nrolancto, int idPlano, int tppessoa, double cgccpf, FglDate dtlancto, int idPlanocp, int tppessoacp, double cgccpfcp, String tipolancto, int idHistor, String descrhistor, double valor, int nrodocto, int seqdocto, String tpdocto, FglDate dtdocto, String diario, int nrolote) {
this.idMetLancto = idMetLancto;
this.idLancto = idLancto;
this.filial = filial;
this.nrolancto = nrolancto;
this.idPlano = idPlano;
this.tppessoa = tppessoa;
this.cgccpf = cgccpf;
this.dtlancto = dtlancto;
this.idPlanocp = idPlanocp;
this.tppessoacp = tppessoacp;
this.cgccpfcp = cgccpfcp;
this.tipolancto = tipolancto;
this.idHistor = idHistor;
this.descrhistor = descrhistor;
this.valor = valor;
this.nrodocto = nrodocto;
this.seqdocto = seqdocto;
this.tpdocto = tpdocto;
this.dtdocto = dtdocto;
this.diario = diario;
this.nrolote = nrolote;
}

public int getIdMetLancto() {
return idMetLancto;
}

public boolean isIdMetLanctoNull() {
return idMetLanctoNull;
}

public void setIdMetLancto(Integer idMetLancto) {
if (idMetLancto == null) {
idMetLanctoNull = true;
this.idMetLancto = 0;
} else { 
idMetLanctoNull = false;
this.idMetLancto = idMetLancto;
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrolancto() {
return nrolancto;
}

public boolean isNrolanctoNull() {
return nrolanctoNull;
}

public void setNrolancto(Integer nrolancto) {
if (nrolancto == null) {
nrolanctoNull = true;
this.nrolancto = 0;
} else { 
nrolanctoNull = false;
this.nrolancto = nrolancto;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public double getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Double(cgccpf));
}

public void setCgccpf(long cgccpf) {
setCgccpf(new Double(cgccpf));
}

public void setCgccpf(Double cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0.;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public FglDate getDtlancto() {
return dtlancto;
}

public void setDtlancto(FglDate dtlancto) {
this.dtlancto = dtlancto;
}

public int getIdPlanocp() {
return idPlanocp;
}

public boolean isIdPlanocpNull() {
return idPlanocpNull;
}

public void setIdPlanocp(Integer idPlanocp) {
if (idPlanocp == null) {
idPlanocpNull = true;
this.idPlanocp = 0;
} else { 
idPlanocpNull = false;
this.idPlanocp = idPlanocp;
}
}

public int getTppessoacp() {
return tppessoacp;
}

public boolean isTppessoacpNull() {
return tppessoacpNull;
}

public void setTppessoacp(Integer tppessoacp) {
if (tppessoacp == null) {
tppessoacpNull = true;
this.tppessoacp = 0;
} else { 
tppessoacpNull = false;
this.tppessoacp = tppessoacp;
}
}

public double getCgccpfcp() {
return cgccpfcp;
}

public boolean isCgccpfcpNull() {
return cgccpfcpNull;
}

public void setCgccpfcp(int cgccpfcp) {
setCgccpfcp(new Double(cgccpfcp));
}

public void setCgccpfcp(long cgccpfcp) {
setCgccpfcp(new Double(cgccpfcp));
}

public void setCgccpfcp(Double cgccpfcp) {
if (cgccpfcp == null) {
cgccpfcpNull = true;
this.cgccpfcp = 0.;
} else { 
cgccpfcpNull = false;
this.cgccpfcp = cgccpfcp;
}
}

public String getTipolancto() {
return tipolancto;
}

public void setTipolancto(String tipolancto) {
this.tipolancto = tipolancto;
}

public int getIdHistor() {
return idHistor;
}

public boolean isIdHistorNull() {
return idHistorNull;
}

public void setIdHistor(Integer idHistor) {
if (idHistor == null) {
idHistorNull = true;
this.idHistor = 0;
} else { 
idHistorNull = false;
this.idHistor = idHistor;
}
}

public String getDescrhistor() {
return descrhistor;
}

public void setDescrhistor(String descrhistor) {
this.descrhistor = descrhistor;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public int getSeqdocto() {
return seqdocto;
}

public boolean isSeqdoctoNull() {
return seqdoctoNull;
}

public void setSeqdocto(Integer seqdocto) {
if (seqdocto == null) {
seqdoctoNull = true;
this.seqdocto = 0;
} else { 
seqdoctoNull = false;
this.seqdocto = seqdocto;
}
}

public String getTpdocto() {
return tpdocto;
}

public void setTpdocto(String tpdocto) {
this.tpdocto = tpdocto;
}

public FglDate getDtdocto() {
return dtdocto;
}

public void setDtdocto(FglDate dtdocto) {
this.dtdocto = dtdocto;
}

public String getDiario() {
return diario;
}

public void setDiario(String diario) {
this.diario = diario;
}

public int getNrolote() {
return nrolote;
}

public boolean isNroloteNull() {
return nroloteNull;
}

public void setNrolote(Integer nrolote) {
if (nrolote == null) {
nroloteNull = true;
this.nrolote = 0;
} else { 
nroloteNull = false;
this.nrolote = nrolote;
}
}

}

