package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMetPagar {
@Coluna(nome="met_pagar.codigotitulo", tipo="int")
private int codigotitulo;
private boolean codigotituloNull;
@Coluna(nome="met_pagar.tipodocumento", tipo="String")
private String tipodocumento;
@Coluna(nome="met_pagar.datainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS datainclusao;
@Coluna(nome="met_pagar.datavencimento", tipo="FglDateTimeYS")
private FglDateTimeYS datavencimento;
@Coluna(nome="met_pagar.inscricao", tipo="String")
private String inscricao;
@Coluna(nome="met_pagar.cpfcnpj", tipo="String")
private String cpfcnpj;
@Coluna(nome="met_pagar.tipocpfcnpj", tipo="String")
private String tipocpfcnpj;
@Coluna(nome="met_pagar.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="met_pagar.descricao40", tipo="String")
private String descricao40;
@Coluna(nome="met_pagar.msgerro", tipo="String")
private String msgerro;

public TabMetPagar() {
initialize();
}

public void initialize() {
setCodigotitulo(null);
setTipodocumento(null);
setDatainclusao(null);
setDatavencimento(null);
setInscricao(null);
setCpfcnpj(null);
setTipocpfcnpj(null);
setValor(null);
setDescricao40(null);
setMsgerro(null);
}

public TabMetPagar(int codigotitulo, String tipodocumento, FglDateTimeYS datainclusao, FglDateTimeYS datavencimento, String inscricao, String cpfcnpj, String tipocpfcnpj, double valor, String descricao40, String msgerro) {
this.codigotitulo = codigotitulo;
this.tipodocumento = tipodocumento;
this.datainclusao = datainclusao;
this.datavencimento = datavencimento;
this.inscricao = inscricao;
this.cpfcnpj = cpfcnpj;
this.tipocpfcnpj = tipocpfcnpj;
this.valor = valor;
this.descricao40 = descricao40;
this.msgerro = msgerro;
}

public int getCodigotitulo() {
return codigotitulo;
}

public boolean isCodigotituloNull() {
return codigotituloNull;
}

public void setCodigotitulo(Integer codigotitulo) {
if (codigotitulo == null) {
codigotituloNull = true;
this.codigotitulo = 0;
} else { 
codigotituloNull = false;
this.codigotitulo = codigotitulo;
}
}

public String getTipodocumento() {
return tipodocumento;
}

public void setTipodocumento(String tipodocumento) {
this.tipodocumento = tipodocumento;
}

public FglDateTimeYS getDatainclusao() {
return datainclusao;
}

public void setDatainclusao(FglDateTimeYS datainclusao) {
this.datainclusao = datainclusao;
}

public FglDateTimeYS getDatavencimento() {
return datavencimento;
}

public void setDatavencimento(FglDateTimeYS datavencimento) {
this.datavencimento = datavencimento;
}

public String getInscricao() {
return inscricao;
}

public void setInscricao(String inscricao) {
this.inscricao = inscricao;
}

public String getCpfcnpj() {
return cpfcnpj;
}

public void setCpfcnpj(String cpfcnpj) {
this.cpfcnpj = cpfcnpj;
}

public String getTipocpfcnpj() {
return tipocpfcnpj;
}

public void setTipocpfcnpj(String tipocpfcnpj) {
this.tipocpfcnpj = tipocpfcnpj;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getDescricao40() {
return descricao40;
}

public void setDescricao40(String descricao40) {
this.descricao40 = descricao40;
}

public String getMsgerro() {
return msgerro;
}

public void setMsgerro(String msgerro) {
this.msgerro = msgerro;
}

}

