package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMirpacel {
@Coluna(nome="mirpacel.coluna", tipo="String")
private String coluna;
@Coluna(nome="mirpacel.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="mirpacel.descricao", tipo="String")
private String descricao;
@Coluna(nome="mirpacel.fator", tipo="double")
private double fator;
private boolean fatorNull;
@Coluna(nome="mirpacel.carga", tipo="String")
private String carga;

public TabMirpacel() {
initialize();
}

public void initialize() {
setColuna(null);
setLinha(null);
setDescricao(null);
setFator(null);
setCarga(null);
}

public TabMirpacel(String coluna, int linha, String descricao, double fator, String carga) {
this.coluna = coluna;
this.linha = linha;
this.descricao = descricao;
this.fator = fator;
this.carga = carga;
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getFator() {
return fator;
}

public boolean isFatorNull() {
return fatorNull;
}

public void setFator(int fator) {
setFator(new Double(fator));
}

public void setFator(long fator) {
setFator(new Double(fator));
}

public void setFator(Double fator) {
if (fator == null) {
fatorNull = true;
this.fator = 0.;
} else { 
fatorNull = false;
this.fator = FglDouble.round(fator, 3);
}
}

public String getCarga() {
return carga;
}

public void setCarga(String carga) {
this.carga = carga;
}

}

