package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMitnfps {
@Coluna(nome="mitnfps.mpsnrodnr", tipo="String")
private String mpsnrodnr;
@Coluna(nome="mitnfps.mpsidnnfi", tipo="int")
private int mpsidnnfi;
private boolean mpsidnnfiNull;
@Coluna(nome="mitnfps.mpsnronfi", tipo="int")
private int mpsnronfi;
private boolean mpsnronfiNull;
@Coluna(nome="mitnfps.mpssernfi", tipo="String")
private String mpssernfi;
@Coluna(nome="mitnfps.mpsdatnfi", tipo="FglDate")
private FglDate mpsdatnfi;
@Coluna(nome="mitnfps.mpsdatgernfi", tipo="FglDateTimeYS")
private FglDateTimeYS mpsdatgernfi;
@Coluna(nome="mitnfps.mpsboocnc", tipo="String")
private String mpsboocnc;
@Coluna(nome="mitnfps.mpsdatgercnc", tipo="FglDateTimeYS")
private FglDateTimeYS mpsdatgercnc;
@Coluna(nome="mitnfps.mpscodstt", tipo="String")
private String mpscodstt;
@Coluna(nome="mitnfps.mpsdatstt", tipo="FglDateTimeYS")
private FglDateTimeYS mpsdatstt;

public TabMitnfps() {
initialize();
}

public void initialize() {
setMpsnrodnr(null);
setMpsidnnfi(null);
setMpsnronfi(null);
setMpssernfi(null);
setMpsdatnfi(null);
setMpsdatgernfi(null);
setMpsboocnc(null);
setMpsdatgercnc(null);
setMpscodstt(null);
setMpsdatstt(null);
}

public TabMitnfps(String mpsnrodnr, int mpsidnnfi, int mpsnronfi, String mpssernfi, FglDate mpsdatnfi, FglDateTimeYS mpsdatgernfi, String mpsboocnc, FglDateTimeYS mpsdatgercnc, String mpscodstt, FglDateTimeYS mpsdatstt) {
this.mpsnrodnr = mpsnrodnr;
this.mpsidnnfi = mpsidnnfi;
this.mpsnronfi = mpsnronfi;
this.mpssernfi = mpssernfi;
this.mpsdatnfi = mpsdatnfi;
this.mpsdatgernfi = mpsdatgernfi;
this.mpsboocnc = mpsboocnc;
this.mpsdatgercnc = mpsdatgercnc;
this.mpscodstt = mpscodstt;
this.mpsdatstt = mpsdatstt;
}

public String getMpsnrodnr() {
return mpsnrodnr;
}

public void setMpsnrodnr(String mpsnrodnr) {
this.mpsnrodnr = mpsnrodnr;
}

public int getMpsidnnfi() {
return mpsidnnfi;
}

public boolean isMpsidnnfiNull() {
return mpsidnnfiNull;
}

public void setMpsidnnfi(Integer mpsidnnfi) {
if (mpsidnnfi == null) {
mpsidnnfiNull = true;
this.mpsidnnfi = 0;
} else { 
mpsidnnfiNull = false;
this.mpsidnnfi = mpsidnnfi;
}
}

public int getMpsnronfi() {
return mpsnronfi;
}

public boolean isMpsnronfiNull() {
return mpsnronfiNull;
}

public void setMpsnronfi(Integer mpsnronfi) {
if (mpsnronfi == null) {
mpsnronfiNull = true;
this.mpsnronfi = 0;
} else { 
mpsnronfiNull = false;
this.mpsnronfi = mpsnronfi;
}
}

public String getMpssernfi() {
return mpssernfi;
}

public void setMpssernfi(String mpssernfi) {
this.mpssernfi = mpssernfi;
}

public FglDate getMpsdatnfi() {
return mpsdatnfi;
}

public void setMpsdatnfi(FglDate mpsdatnfi) {
this.mpsdatnfi = mpsdatnfi;
}

public FglDateTimeYS getMpsdatgernfi() {
return mpsdatgernfi;
}

public void setMpsdatgernfi(FglDateTimeYS mpsdatgernfi) {
this.mpsdatgernfi = mpsdatgernfi;
}

public String getMpsboocnc() {
return mpsboocnc;
}

public void setMpsboocnc(String mpsboocnc) {
this.mpsboocnc = mpsboocnc;
}

public FglDateTimeYS getMpsdatgercnc() {
return mpsdatgercnc;
}

public void setMpsdatgercnc(FglDateTimeYS mpsdatgercnc) {
this.mpsdatgercnc = mpsdatgercnc;
}

public String getMpscodstt() {
return mpscodstt;
}

public void setMpscodstt(String mpscodstt) {
this.mpscodstt = mpscodstt;
}

public FglDateTimeYS getMpsdatstt() {
return mpsdatstt;
}

public void setMpsdatstt(FglDateTimeYS mpsdatstt) {
this.mpsdatstt = mpsdatstt;
}

}

