package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabMndfguia {
@Coluna(nome="mndfguia.def_campo", tipo="int")
private int defCampo;
private boolean defCampoNull;
@Coluna(nome="mndfguia.def_pasta", tipo="int")
private int defPasta;
private boolean defPastaNull;
@Coluna(nome="mndfguia.coluna_link", tipo="String")
private String colunaLink;
@Coluna(nome="mndfguia.linha_link", tipo="int")
private int linhaLink;
private boolean linhaLinkNull;
@Coluna(nome="mndfguia.coluna_plan", tipo="String")
private String colunaPlan;
@Coluna(nome="mndfguia.inv_sinal", tipo="String")
private String invSinal;
@Coluna(nome="mndfguia.anomes_ini", tipo="FglDateTimeYM")
private FglDateTimeYM anomesIni;
@Coluna(nome="mndfguia.anomes_fim", tipo="FglDateTimeYM")
private FglDateTimeYM anomesFim;

public TabMndfguia() {
initialize();
}

public void initialize() {
setDefCampo(null);
setDefPasta(null);
setColunaLink(null);
setLinhaLink(null);
setColunaPlan(null);
setInvSinal(null);
setAnomesIni(null);
setAnomesFim(null);
}

public TabMndfguia(int defCampo, int defPasta, String colunaLink, int linhaLink, String colunaPlan, String invSinal, FglDateTimeYM anomesIni, FglDateTimeYM anomesFim) {
this.defCampo = defCampo;
this.defPasta = defPasta;
this.colunaLink = colunaLink;
this.linhaLink = linhaLink;
this.colunaPlan = colunaPlan;
this.invSinal = invSinal;
this.anomesIni = anomesIni;
this.anomesFim = anomesFim;
}

public int getDefCampo() {
return defCampo;
}

public boolean isDefCampoNull() {
return defCampoNull;
}

public void setDefCampo(Integer defCampo) {
if (defCampo == null) {
defCampoNull = true;
this.defCampo = 0;
} else { 
defCampoNull = false;
this.defCampo = defCampo;
}
}

public int getDefPasta() {
return defPasta;
}

public boolean isDefPastaNull() {
return defPastaNull;
}

public void setDefPasta(Integer defPasta) {
if (defPasta == null) {
defPastaNull = true;
this.defPasta = 0;
} else { 
defPastaNull = false;
this.defPasta = defPasta;
}
}

public String getColunaLink() {
return colunaLink;
}

public void setColunaLink(String colunaLink) {
this.colunaLink = colunaLink;
}

public int getLinhaLink() {
return linhaLink;
}

public boolean isLinhaLinkNull() {
return linhaLinkNull;
}

public void setLinhaLink(Integer linhaLink) {
if (linhaLink == null) {
linhaLinkNull = true;
this.linhaLink = 0;
} else { 
linhaLinkNull = false;
this.linhaLink = linhaLink;
}
}

public String getColunaPlan() {
return colunaPlan;
}

public void setColunaPlan(String colunaPlan) {
this.colunaPlan = colunaPlan;
}

public String getInvSinal() {
return invSinal;
}

public void setInvSinal(String invSinal) {
this.invSinal = invSinal;
}

public FglDateTimeYM getAnomesIni() {
return anomesIni;
}

public void setAnomesIni(FglDateTimeYM anomesIni) {
this.anomesIni = anomesIni;
}

public FglDateTimeYM getAnomesFim() {
return anomesFim;
}

public void setAnomesFim(FglDateTimeYM anomesFim) {
this.anomesFim = anomesFim;
}

}

