package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabMobwebpc {
@Coluna(nome="mobwebpc.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="mobwebpc.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="mobwebpc.valorparcela", tipo="double")
private double valorparcela;
private boolean valorparcelaNull;
@Coluna(nome="mobwebpc.dt_parcela", tipo="FglDate")
private FglDate dtParcela;
@Coluna(nome="mobwebpc.codautorizacao", tipo="String")
private String codautorizacao;
@Coluna(nome="mobwebpc.codretorno", tipo="int")
private int codretorno;
private boolean codretornoNull;
@Coluna(nome="mobwebpc.msgretorno", tipo="String")
private String msgretorno;
@Coluna(nome="mobwebpc.status", tipo="int")
private int status;
private boolean statusNull;

public TabMobwebpc() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setParcela(null);
setValorparcela(null);
setDtParcela(null);
setCodautorizacao(null);
setCodretorno(null);
setMsgretorno(null);
setStatus(null);
}

public TabMobwebpc(int idOscapa, int parcela, double valorparcela, FglDate dtParcela, String codautorizacao, int codretorno, String msgretorno, int status) {
this.idOscapa = idOscapa;
this.parcela = parcela;
this.valorparcela = valorparcela;
this.dtParcela = dtParcela;
this.codautorizacao = codautorizacao;
this.codretorno = codretorno;
this.msgretorno = msgretorno;
this.status = status;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public double getValorparcela() {
return valorparcela;
}

public boolean isValorparcelaNull() {
return valorparcelaNull;
}

public void setValorparcela(int valorparcela) {
setValorparcela(new Double(valorparcela));
}

public void setValorparcela(long valorparcela) {
setValorparcela(new Double(valorparcela));
}

public void setValorparcela(Double valorparcela) {
if (valorparcela == null) {
valorparcelaNull = true;
this.valorparcela = 0.;
} else { 
valorparcelaNull = false;
this.valorparcela = FglDouble.round(valorparcela, 2);
}
}

public FglDate getDtParcela() {
return dtParcela;
}

public void setDtParcela(FglDate dtParcela) {
this.dtParcela = dtParcela;
}

public String getCodautorizacao() {
return codautorizacao;
}

public void setCodautorizacao(String codautorizacao) {
this.codautorizacao = codautorizacao;
}

public int getCodretorno() {
return codretorno;
}

public boolean isCodretornoNull() {
return codretornoNull;
}

public void setCodretorno(Integer codretorno) {
if (codretorno == null) {
codretornoNull = true;
this.codretorno = 0;
} else { 
codretornoNull = false;
this.codretorno = codretorno;
}
}

public String getMsgretorno() {
return msgretorno;
}

public void setMsgretorno(String msgretorno) {
this.msgretorno = msgretorno;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

}

