package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabMocapas {
@Coluna(nome="mocapas.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="mocapas.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="mocapas.ordemserv", tipo="int")
private int ordemserv;
private boolean ordemservNull;
@Coluna(nome="mocapas.nro_proprietario", tipo="long")
private long nroProprietario;
private boolean nroProprietarioNull;
@Coluna(nome="mocapas.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="mocapas.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="mocapas.hrabertura", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrabertura;
@Coluna(nome="mocapas.dtpreventr", tipo="FglDate")
private FglDate dtpreventr;
@Coluna(nome="mocapas.hrpreventr", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrpreventr;
@Coluna(nome="mocapas.dtfechament", tipo="FglDate")
private FglDate dtfechament;
@Coluna(nome="mocapas.hrfechament", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfechament;
@Coluna(nome="mocapas.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="mocapas.chassis", tipo="String")
private String chassis;
@Coluna(nome="mocapas.id_setorconsumo", tipo="int")
private int idSetorconsumo;
private boolean idSetorconsumoNull;
@Coluna(nome="mocapas.quilometr", tipo="int")
private int quilometr;
private boolean quilometrNull;
@Coluna(nome="mocapas.prisma", tipo="String")
private String prisma;
@Coluna(nome="mocapas.nroprisma", tipo="int")
private int nroprisma;
private boolean nroprismaNull;
@Coluna(nome="mocapas.lavagem", tipo="String")
private String lavagem;
@Coluna(nome="mocapas.valacambio", tipo="String")
private String valacambio;
@Coluna(nome="mocapas.valadiferenc", tipo="String")
private String valadiferenc;
@Coluna(nome="mocapas.valamotor", tipo="String")
private String valamotor;
@Coluna(nome="mocapas.oleomotor", tipo="String")
private String oleomotor;
@Coluna(nome="mocapas.oleocambio", tipo="String")
private String oleocambio;
@Coluna(nome="mocapas.nivelcomb", tipo="String")
private String nivelcomb;
@Coluna(nome="mocapas.observacao", tipo="String")
private String observacao;
@Coluna(nome="mocapas.id_osanter", tipo="int")
private int idOsanter;
private boolean idOsanterNull;
@Coluna(nome="mocapas.id_osposter", tipo="int")
private int idOsposter;
private boolean idOsposterNull;
@Coluna(nome="mocapas.nroimpre", tipo="int")
private int nroimpre;
private boolean nroimpreNull;
@Coluna(nome="mocapas.aguardarecep", tipo="String")
private String aguardarecep;
@Coluna(nome="mocapas.vistoriapeca", tipo="String")
private String vistoriapeca;

public TabMocapas() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setFilial(null);
setOrdemserv(null);
setNroProprietario(null);
setCondpgto(null);
setDtabertura(null);
setHrabertura(null);
setDtpreventr(null);
setHrpreventr(null);
setDtfechament(null);
setHrfechament(null);
setIdAgente(null);
setChassis(null);
setIdSetorconsumo(null);
setQuilometr(null);
setPrisma(null);
setNroprisma(null);
setLavagem(null);
setValacambio(null);
setValadiferenc(null);
setValamotor(null);
setOleomotor(null);
setOleocambio(null);
setNivelcomb(null);
setObservacao(null);
setIdOsanter(null);
setIdOsposter(null);
setNroimpre(null);
setAguardarecep(null);
setVistoriapeca(null);
}

public TabMocapas(int idOscapa, int filial, int ordemserv, long nroProprietario, int condpgto, FglDate dtabertura, FglDateTimeHMin hrabertura, FglDate dtpreventr, FglDateTimeHMin hrpreventr, FglDate dtfechament, FglDateTimeHMin hrfechament, int idAgente, String chassis, int idSetorconsumo, int quilometr, String prisma, int nroprisma, String lavagem, String valacambio, String valadiferenc, String valamotor, String oleomotor, String oleocambio, String nivelcomb, String observacao, int idOsanter, int idOsposter, int nroimpre, String aguardarecep, String vistoriapeca) {
this.idOscapa = idOscapa;
this.filial = filial;
this.ordemserv = ordemserv;
this.nroProprietario = nroProprietario;
this.condpgto = condpgto;
this.dtabertura = dtabertura;
this.hrabertura = hrabertura;
this.dtpreventr = dtpreventr;
this.hrpreventr = hrpreventr;
this.dtfechament = dtfechament;
this.hrfechament = hrfechament;
this.idAgente = idAgente;
this.chassis = chassis;
this.idSetorconsumo = idSetorconsumo;
this.quilometr = quilometr;
this.prisma = prisma;
this.nroprisma = nroprisma;
this.lavagem = lavagem;
this.valacambio = valacambio;
this.valadiferenc = valadiferenc;
this.valamotor = valamotor;
this.oleomotor = oleomotor;
this.oleocambio = oleocambio;
this.nivelcomb = nivelcomb;
this.observacao = observacao;
this.idOsanter = idOsanter;
this.idOsposter = idOsposter;
this.nroimpre = nroimpre;
this.aguardarecep = aguardarecep;
this.vistoriapeca = vistoriapeca;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOrdemserv() {
return ordemserv;
}

public boolean isOrdemservNull() {
return ordemservNull;
}

public void setOrdemserv(Integer ordemserv) {
if (ordemserv == null) {
ordemservNull = true;
this.ordemserv = 0;
} else { 
ordemservNull = false;
this.ordemserv = ordemserv;
}
}

public long getNroProprietario() {
return nroProprietario;
}

public boolean isNroProprietarioNull() {
return nroProprietarioNull;
}

public void setNroProprietario(int nroProprietario) {
setNroProprietario(new Long(nroProprietario));
}

public void setNroProprietario(Long nroProprietario) {
if (nroProprietario == null) {
nroProprietarioNull = true;
this.nroProprietario = 0l;
} else { 
nroProprietarioNull = false;
this.nroProprietario = nroProprietario;
}
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public FglDateTimeHMin getHrabertura() {
return hrabertura;
}

public void setHrabertura(FglDateTimeHMin hrabertura) {
this.hrabertura = hrabertura;
}

public FglDate getDtpreventr() {
return dtpreventr;
}

public void setDtpreventr(FglDate dtpreventr) {
this.dtpreventr = dtpreventr;
}

public FglDateTimeHMin getHrpreventr() {
return hrpreventr;
}

public void setHrpreventr(FglDateTimeHMin hrpreventr) {
this.hrpreventr = hrpreventr;
}

public FglDate getDtfechament() {
return dtfechament;
}

public void setDtfechament(FglDate dtfechament) {
this.dtfechament = dtfechament;
}

public FglDateTimeHMin getHrfechament() {
return hrfechament;
}

public void setHrfechament(FglDateTimeHMin hrfechament) {
this.hrfechament = hrfechament;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getIdSetorconsumo() {
return idSetorconsumo;
}

public boolean isIdSetorconsumoNull() {
return idSetorconsumoNull;
}

public void setIdSetorconsumo(Integer idSetorconsumo) {
if (idSetorconsumo == null) {
idSetorconsumoNull = true;
this.idSetorconsumo = 0;
} else { 
idSetorconsumoNull = false;
this.idSetorconsumo = idSetorconsumo;
}
}

public int getQuilometr() {
return quilometr;
}

public boolean isQuilometrNull() {
return quilometrNull;
}

public void setQuilometr(Integer quilometr) {
if (quilometr == null) {
quilometrNull = true;
this.quilometr = 0;
} else { 
quilometrNull = false;
this.quilometr = quilometr;
}
}

public String getPrisma() {
return prisma;
}

public void setPrisma(String prisma) {
this.prisma = prisma;
}

public int getNroprisma() {
return nroprisma;
}

public boolean isNroprismaNull() {
return nroprismaNull;
}

public void setNroprisma(Integer nroprisma) {
if (nroprisma == null) {
nroprismaNull = true;
this.nroprisma = 0;
} else { 
nroprismaNull = false;
this.nroprisma = nroprisma;
}
}

public String getLavagem() {
return lavagem;
}

public void setLavagem(String lavagem) {
this.lavagem = lavagem;
}

public String getValacambio() {
return valacambio;
}

public void setValacambio(String valacambio) {
this.valacambio = valacambio;
}

public String getValadiferenc() {
return valadiferenc;
}

public void setValadiferenc(String valadiferenc) {
this.valadiferenc = valadiferenc;
}

public String getValamotor() {
return valamotor;
}

public void setValamotor(String valamotor) {
this.valamotor = valamotor;
}

public String getOleomotor() {
return oleomotor;
}

public void setOleomotor(String oleomotor) {
this.oleomotor = oleomotor;
}

public String getOleocambio() {
return oleocambio;
}

public void setOleocambio(String oleocambio) {
this.oleocambio = oleocambio;
}

public String getNivelcomb() {
return nivelcomb;
}

public void setNivelcomb(String nivelcomb) {
this.nivelcomb = nivelcomb;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getIdOsanter() {
return idOsanter;
}

public boolean isIdOsanterNull() {
return idOsanterNull;
}

public void setIdOsanter(Integer idOsanter) {
if (idOsanter == null) {
idOsanterNull = true;
this.idOsanter = 0;
} else { 
idOsanterNull = false;
this.idOsanter = idOsanter;
}
}

public int getIdOsposter() {
return idOsposter;
}

public boolean isIdOsposterNull() {
return idOsposterNull;
}

public void setIdOsposter(Integer idOsposter) {
if (idOsposter == null) {
idOsposterNull = true;
this.idOsposter = 0;
} else { 
idOsposterNull = false;
this.idOsposter = idOsposter;
}
}

public int getNroimpre() {
return nroimpre;
}

public boolean isNroimpreNull() {
return nroimpreNull;
}

public void setNroimpre(Integer nroimpre) {
if (nroimpre == null) {
nroimpreNull = true;
this.nroimpre = 0;
} else { 
nroimpreNull = false;
this.nroimpre = nroimpre;
}
}

public String getAguardarecep() {
return aguardarecep;
}

public void setAguardarecep(String aguardarecep) {
this.aguardarecep = aguardarecep;
}

public String getVistoriapeca() {
return vistoriapeca;
}

public void setVistoriapeca(String vistoriapeca) {
this.vistoriapeca = vistoriapeca;
}

}

