package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabMomotca {
@Coluna(nome="momotca.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="momotca.dtcancelam", tipo="FglDate")
private FglDate dtcancelam;
@Coluna(nome="momotca.hrcancelam", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrcancelam;
@Coluna(nome="momotca.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="momotca.motivocanc", tipo="String")
private String motivocanc;

public TabMomotca() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setDtcancelam(null);
setHrcancelam(null);
setIdAgente(null);
setMotivocanc(null);
}

public TabMomotca(int idOscapa, FglDate dtcancelam, FglDateTimeHMin hrcancelam, int idAgente, String motivocanc) {
this.idOscapa = idOscapa;
this.dtcancelam = dtcancelam;
this.hrcancelam = hrcancelam;
this.idAgente = idAgente;
this.motivocanc = motivocanc;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public FglDate getDtcancelam() {
return dtcancelam;
}

public void setDtcancelam(FglDate dtcancelam) {
this.dtcancelam = dtcancelam;
}

public FglDateTimeHMin getHrcancelam() {
return hrcancelam;
}

public void setHrcancelam(FglDateTimeHMin hrcancelam) {
this.hrcancelam = hrcancelam;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getMotivocanc() {
return motivocanc;
}

public void setMotivocanc(String motivocanc) {
this.motivocanc = motivocanc;
}

}

