package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMonfparc {
@Coluna(nome="monfparc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="monfparc.nroparcela", tipo="int")
private int nroparcela;
private boolean nroparcelaNull;
@Coluna(nome="monfparc.formapgto", tipo="String")
private String formapgto;
@Coluna(nome="monfparc.dtvcto", tipo="FglDate")
private FglDate dtvcto;
@Coluna(nome="monfparc.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="monfparc.nro_endere", tipo="long")
private long nroEndere;
private boolean nroEndereNull;

public TabMonfparc() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNroparcela(null);
setFormapgto(null);
setDtvcto(null);
setValor(null);
setNroEndere(null);
}

public TabMonfparc(int idNfcapa, int nroparcela, String formapgto, FglDate dtvcto, double valor, long nroEndere) {
this.idNfcapa = idNfcapa;
this.nroparcela = nroparcela;
this.formapgto = formapgto;
this.dtvcto = dtvcto;
this.valor = valor;
this.nroEndere = nroEndere;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNroparcela() {
return nroparcela;
}

public boolean isNroparcelaNull() {
return nroparcelaNull;
}

public void setNroparcela(Integer nroparcela) {
if (nroparcela == null) {
nroparcelaNull = true;
this.nroparcela = 0;
} else { 
nroparcelaNull = false;
this.nroparcela = nroparcela;
}
}

public String getFormapgto() {
return formapgto;
}

public void setFormapgto(String formapgto) {
this.formapgto = formapgto;
}

public FglDate getDtvcto() {
return dtvcto;
}

public void setDtvcto(FglDate dtvcto) {
this.dtvcto = dtvcto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public long getNroEndere() {
return nroEndere;
}

public boolean isNroEndereNull() {
return nroEndereNull;
}

public void setNroEndere(int nroEndere) {
setNroEndere(new Long(nroEndere));
}

public void setNroEndere(Long nroEndere) {
if (nroEndere == null) {
nroEndereNull = true;
this.nroEndere = 0l;
} else { 
nroEndereNull = false;
this.nroEndere = nroEndere;
}
}

}

