package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabMopagtos {
@Coluna(nome="mopagtos.id_pagto", tipo="int")
private int idPagto;
private boolean idPagtoNull;
@Coluna(nome="mopagtos.id_ordpag", tipo="int")
private int idOrdpag;
private boolean idOrdpagNull;
@Coluna(nome="mopagtos.tppagto", tipo="String")
private String tppagto;
@Coluna(nome="mopagtos.dtpagto", tipo="FglDate")
private FglDate dtpagto;
@Coluna(nome="mopagtos.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="mopagtos.id_lancto", tipo="int")
private int idLancto;
private boolean idLanctoNull;
@Coluna(nome="mopagtos.id_bancopgto", tipo="int")
private int idBancopgto;
private boolean idBancopgtoNull;
@Coluna(nome="mopagtos.nrocheque", tipo="int")
private int nrocheque;
private boolean nrochequeNull;

public TabMopagtos() {
initialize();
}

public void initialize() {
setIdPagto(null);
setIdOrdpag(null);
setTppagto(null);
setDtpagto(null);
setValor(null);
setIdLancto(null);
setIdBancopgto(null);
setNrocheque(null);
}

public TabMopagtos(int idPagto, int idOrdpag, String tppagto, FglDate dtpagto, double valor, int idLancto, int idBancopgto, int nrocheque) {
this.idPagto = idPagto;
this.idOrdpag = idOrdpag;
this.tppagto = tppagto;
this.dtpagto = dtpagto;
this.valor = valor;
this.idLancto = idLancto;
this.idBancopgto = idBancopgto;
this.nrocheque = nrocheque;
}

public int getIdPagto() {
return idPagto;
}

public boolean isIdPagtoNull() {
return idPagtoNull;
}

public void setIdPagto(Integer idPagto) {
if (idPagto == null) {
idPagtoNull = true;
this.idPagto = 0;
} else { 
idPagtoNull = false;
this.idPagto = idPagto;
}
}

public int getIdOrdpag() {
return idOrdpag;
}

public boolean isIdOrdpagNull() {
return idOrdpagNull;
}

public void setIdOrdpag(Integer idOrdpag) {
if (idOrdpag == null) {
idOrdpagNull = true;
this.idOrdpag = 0;
} else { 
idOrdpagNull = false;
this.idOrdpag = idOrdpag;
}
}

public String getTppagto() {
return tppagto;
}

public void setTppagto(String tppagto) {
this.tppagto = tppagto;
}

public FglDate getDtpagto() {
return dtpagto;
}

public void setDtpagto(FglDate dtpagto) {
this.dtpagto = dtpagto;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getIdLancto() {
return idLancto;
}

public boolean isIdLanctoNull() {
return idLanctoNull;
}

public void setIdLancto(Integer idLancto) {
if (idLancto == null) {
idLanctoNull = true;
this.idLancto = 0;
} else { 
idLanctoNull = false;
this.idLancto = idLancto;
}
}

public int getIdBancopgto() {
return idBancopgto;
}

public boolean isIdBancopgtoNull() {
return idBancopgtoNull;
}

public void setIdBancopgto(Integer idBancopgto) {
if (idBancopgto == null) {
idBancopgtoNull = true;
this.idBancopgto = 0;
} else { 
idBancopgtoNull = false;
this.idBancopgto = idBancopgto;
}
}

public int getNrocheque() {
return nrocheque;
}

public boolean isNrochequeNull() {
return nrochequeNull;
}

public void setNrocheque(Integer nrocheque) {
if (nrocheque == null) {
nrochequeNull = true;
this.nrocheque = 0;
} else { 
nrochequeNull = false;
this.nrocheque = nrocheque;
}
}

}

