package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabMsgEventos {
@Coluna(nome="msg_eventos.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="msg_eventos.tipo_evento", tipo="String")
private String tipoEvento;
@Coluna(nome="msg_eventos.subtipo_evento", tipo="String")
private String subtipoEvento;
@Coluna(nome="msg_eventos.dta_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaGeracao;
@Coluna(nome="msg_eventos.dta_processamento", tipo="FglDateTimeYS")
private FglDateTimeYS dtaProcessamento;
@Coluna(nome="msg_eventos.sta_evento", tipo="int")
private int staEvento;
private boolean staEventoNull;
@Coluna(nome="msg_eventos.entrada", tipo="String")
private String entrada;
@Coluna(nome="msg_eventos.saida", tipo="String")
private String saida;
@Coluna(nome="msg_eventos.resultado", tipo="String")
private String resultado;
@Coluna(nome="msg_eventos.qtd_registros", tipo="int")
private int qtdRegistros;
private boolean qtdRegistrosNull;

public TabMsgEventos() {
initialize();
}

public void initialize() {
setIdEvento(null);
setTipoEvento(null);
setSubtipoEvento(null);
setDtaGeracao(null);
setDtaProcessamento(null);
setStaEvento(null);
setEntrada(null);
setSaida(null);
setResultado(null);
setQtdRegistros(null);
}

public TabMsgEventos(int idEvento, String tipoEvento, String subtipoEvento, FglDateTimeYS dtaGeracao, FglDateTimeYS dtaProcessamento, int staEvento, String entrada, String saida, String resultado, int qtdRegistros) {
this.idEvento = idEvento;
this.tipoEvento = tipoEvento;
this.subtipoEvento = subtipoEvento;
this.dtaGeracao = dtaGeracao;
this.dtaProcessamento = dtaProcessamento;
this.staEvento = staEvento;
this.entrada = entrada;
this.saida = saida;
this.resultado = resultado;
this.qtdRegistros = qtdRegistros;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public String getTipoEvento() {
return tipoEvento;
}

public void setTipoEvento(String tipoEvento) {
this.tipoEvento = tipoEvento;
}

public String getSubtipoEvento() {
return subtipoEvento;
}

public void setSubtipoEvento(String subtipoEvento) {
this.subtipoEvento = subtipoEvento;
}

public FglDateTimeYS getDtaGeracao() {
return dtaGeracao;
}

public void setDtaGeracao(FglDateTimeYS dtaGeracao) {
this.dtaGeracao = dtaGeracao;
}

public FglDateTimeYS getDtaProcessamento() {
return dtaProcessamento;
}

public void setDtaProcessamento(FglDateTimeYS dtaProcessamento) {
this.dtaProcessamento = dtaProcessamento;
}

public int getStaEvento() {
return staEvento;
}

public boolean isStaEventoNull() {
return staEventoNull;
}

public void setStaEvento(Integer staEvento) {
if (staEvento == null) {
staEventoNull = true;
this.staEvento = 0;
} else { 
staEventoNull = false;
this.staEvento = staEvento;
}
}

public String getEntrada() {
return entrada;
}

public void setEntrada(String entrada) {
this.entrada = entrada;
}

public String getSaida() {
return saida;
}

public void setSaida(String saida) {
this.saida = saida;
}

public String getResultado() {
return resultado;
}

public void setResultado(String resultado) {
this.resultado = resultado;
}

public int getQtdRegistros() {
return qtdRegistros;
}

public boolean isQtdRegistrosNull() {
return qtdRegistrosNull;
}

public void setQtdRegistros(Integer qtdRegistros) {
if (qtdRegistros == null) {
qtdRegistrosNull = true;
this.qtdRegistros = 0;
} else { 
qtdRegistrosNull = false;
this.qtdRegistros = qtdRegistros;
}
}

}

