package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabNfeHistorico {
@Coluna(nome="nfe_historico.chavenfe", tipo="String")
private String chavenfe;
@Coluna(nome="nfe_historico.dtemissao", tipo="FglDateTimeYS")
private FglDateTimeYS dtemissao;
@Coluna(nome="nfe_historico.tipo", tipo="int")
private int tipo;
private boolean tipoNull;
@Coluna(nome="nfe_historico.xmlnota", tipo="String")
private String xmlnota;

public TabNfeHistorico() {
initialize();
}

public void initialize() {
setChavenfe(null);
setDtemissao(null);
setTipo(null);
setXmlnota(null);
}

public TabNfeHistorico(String chavenfe, FglDateTimeYS dtemissao, int tipo, String xmlnota) {
this.chavenfe = chavenfe;
this.dtemissao = dtemissao;
this.tipo = tipo;
this.xmlnota = xmlnota;
}

public String getChavenfe() {
return chavenfe;
}

public void setChavenfe(String chavenfe) {
this.chavenfe = chavenfe;
}

public FglDateTimeYS getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDateTimeYS dtemissao) {
this.dtemissao = dtemissao;
}

public int getTipo() {
return tipo;
}

public boolean isTipoNull() {
return tipoNull;
}

public void setTipo(Integer tipo) {
if (tipo == null) {
tipoNull = true;
this.tipo = 0;
} else { 
tipoNull = false;
this.tipo = tipo;
}
}

public String getXmlnota() {
return xmlnota;
}

public void setXmlnota(String xmlnota) {
this.xmlnota = xmlnota;
}

}

