package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabNfescan {
@Coluna(nome="nfescan.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="nfescan.dthoraini", tipo="FglDateTimeYMin")
private FglDateTimeYMin dthoraini;
@Coluna(nome="nfescan.dthorafim", tipo="FglDateTimeYMin")
private FglDateTimeYMin dthorafim;
@Coluna(nome="nfescan.contingencia", tipo="String")
private String contingencia;
@Coluna(nome="nfescan.motconting", tipo="String")
private String motconting;

public TabNfescan() {
initialize();
}

public void initialize() {
setFilial(null);
setDthoraini(null);
setDthorafim(null);
setContingencia(null);
setMotconting(null);
}

public TabNfescan(int filial, FglDateTimeYMin dthoraini, FglDateTimeYMin dthorafim, String contingencia, String motconting) {
this.filial = filial;
this.dthoraini = dthoraini;
this.dthorafim = dthorafim;
this.contingencia = contingencia;
this.motconting = motconting;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYMin getDthoraini() {
return dthoraini;
}

public void setDthoraini(FglDateTimeYMin dthoraini) {
this.dthoraini = dthoraini;
}

public FglDateTimeYMin getDthorafim() {
return dthorafim;
}

public void setDthorafim(FglDateTimeYMin dthorafim) {
this.dthorafim = dthorafim;
}

public String getContingencia() {
return contingencia;
}

public void setContingencia(String contingencia) {
this.contingencia = contingencia;
}

public String getMotconting() {
return motconting;
}

public void setMotconting(String motconting) {
this.motconting = motconting;
}

}

