package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabOrsistem {
@Coluna(nome="orsistem.id_sistema", tipo="int")
private int idSistema;
private boolean idSistemaNull;
@Coluna(nome="orsistem.sigla", tipo="String")
private String sigla;
@Coluna(nome="orsistem.descricao", tipo="String")
private String descricao;
@Coluna(nome="orsistem.exibe_tela_int", tipo="String")
private String exibeTelaInt;
@Coluna(nome="orsistem.usuario", tipo="String")
private String usuario;
@Coluna(nome="orsistem.senha", tipo="String")
private String senha;
@Coluna(nome="orsistem.url_se", tipo="String")
private String urlSe;
@Coluna(nome="orsistem.token", tipo="String")
private String token;
@Coluna(nome="orsistem.usuario_soa", tipo="String")
private String usuarioSoa;
@Coluna(nome="orsistem.ultimaleitura", tipo="FglDateTimeYS")
private FglDateTimeYS ultimaleitura;

public TabOrsistem() {
initialize();
}

public void initialize() {
setIdSistema(null);
setSigla(null);
setDescricao(null);
setExibeTelaInt(null);
setUsuario(null);
setSenha(null);
setUrlSe(null);
setToken(null);
setUsuarioSoa(null);
setUltimaleitura(null);
}

public TabOrsistem(int idSistema, String sigla, String descricao, String exibeTelaInt, String usuario, String senha, String urlSe, String token, String usuarioSoa, FglDateTimeYS ultimaleitura) {
this.idSistema = idSistema;
this.sigla = sigla;
this.descricao = descricao;
this.exibeTelaInt = exibeTelaInt;
this.usuario = usuario;
this.senha = senha;
this.urlSe = urlSe;
this.token = token;
this.usuarioSoa = usuarioSoa;
this.ultimaleitura = ultimaleitura;
}

public int getIdSistema() {
return idSistema;
}

public boolean isIdSistemaNull() {
return idSistemaNull;
}

public void setIdSistema(Integer idSistema) {
if (idSistema == null) {
idSistemaNull = true;
this.idSistema = 0;
} else { 
idSistemaNull = false;
this.idSistema = idSistema;
}
}

public String getSigla() {
return sigla;
}

public void setSigla(String sigla) {
this.sigla = sigla;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getExibeTelaInt() {
return exibeTelaInt;
}

public void setExibeTelaInt(String exibeTelaInt) {
this.exibeTelaInt = exibeTelaInt;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getUrlSe() {
return urlSe;
}

public void setUrlSe(String urlSe) {
this.urlSe = urlSe;
}

public String getToken() {
return token;
}

public void setToken(String token) {
this.token = token;
}

public String getUsuarioSoa() {
return usuarioSoa;
}

public void setUsuarioSoa(String usuarioSoa) {
this.usuarioSoa = usuarioSoa;
}

public FglDateTimeYS getUltimaleitura() {
return ultimaleitura;
}

public void setUltimaleitura(FglDateTimeYS ultimaleitura) {
this.ultimaleitura = ultimaleitura;
}

}

