package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParCont6100 {
@Coluna(nome="par_cont6100.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_cont6100.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_cont6100.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="par_cont6100.conta", tipo="String")
private String conta;
@Coluna(nome="par_cont6100.tipo", tipo="String")
private String tipo;
@Coluna(nome="par_cont6100.nivel", tipo="int")
private int nivel;
private boolean nivelNull;
@Coluna(nome="par_cont6100.sintetica", tipo="String")
private String sintetica;
@Coluna(nome="par_cont6100.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_cont6100.descricao", tipo="String")
private String descricao;
@Coluna(nome="par_cont6100.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="par_cont6100.natureza", tipo="String")
private String natureza;

public TabParCont6100() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setAnomes(null);
setConta(null);
setTipo(null);
setNivel(null);
setSintetica(null);
setSequencia(null);
setDescricao(null);
setValor(null);
setNatureza(null);
}

public TabParCont6100(String terminal, int filial, FglDateTimeYM anomes, String conta, String tipo, int nivel, String sintetica, int sequencia, String descricao, double valor, String natureza) {
this.terminal = terminal;
this.filial = filial;
this.anomes = anomes;
this.conta = conta;
this.tipo = tipo;
this.nivel = nivel;
this.sintetica = sintetica;
this.sequencia = sequencia;
this.descricao = descricao;
this.valor = valor;
this.natureza = natureza;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getConta() {
return conta;
}

public void setConta(String conta) {
this.conta = conta;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getNivel() {
return nivel;
}

public boolean isNivelNull() {
return nivelNull;
}

public void setNivel(Integer nivel) {
if (nivel == null) {
nivelNull = true;
this.nivel = 0;
} else { 
nivelNull = false;
this.nivel = nivel;
}
}

public String getSintetica() {
return sintetica;
}

public void setSintetica(String sintetica) {
this.sintetica = sintetica;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getNatureza() {
return natureza;
}

public void setNatureza(String natureza) {
this.natureza = natureza;
}

}

