package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParCont6200 {
@Coluna(nome="par_cont6200.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_cont6200.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_cont6200.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="par_cont6200.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="par_cont6200.tipo", tipo="String")
private String tipo;
@Coluna(nome="par_cont6200.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="par_cont6200.descricao", tipo="String")
private String descricao;
@Coluna(nome="par_cont6200.conta", tipo="long")
private long conta;
private boolean contaNull;
@Coluna(nome="par_cont6200.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabParCont6200() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setAnomes(null);
setIdPlano(null);
setTipo(null);
setSequencia(null);
setDescricao(null);
setConta(null);
setValor(null);
}

public TabParCont6200(String terminal, int filial, FglDateTimeYM anomes, int idPlano, String tipo, int sequencia, String descricao, long conta, double valor) {
this.terminal = terminal;
this.filial = filial;
this.anomes = anomes;
this.idPlano = idPlano;
this.tipo = tipo;
this.sequencia = sequencia;
this.descricao = descricao;
this.conta = conta;
this.valor = valor;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public long getConta() {
return conta;
}

public boolean isContaNull() {
return contaNull;
}

public void setConta(int conta) {
setConta(new Long(conta));
}

public void setConta(Long conta) {
if (conta == null) {
contaNull = true;
this.conta = 0l;
} else { 
contaNull = false;
this.conta = conta;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

