package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabParFisc2010 {
@Coluna(nome="par_fisc2010.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_fisc2010.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_fisc2010.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="par_fisc2010.observacao", tipo="String")
private String observacao;

public TabParFisc2010() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setIdNfcapa(null);
setObservacao(null);
}

public TabParFisc2010(String terminal, int filial, int idNfcapa, String observacao) {
this.terminal = terminal;
this.filial = filial;
this.idNfcapa = idNfcapa;
this.observacao = observacao;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

}

