package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParFisc7010 {
@Coluna(nome="par_fisc7010.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_fisc7010.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_fisc7010.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="par_fisc7010.aliqicms", tipo="double")
private double aliqicms;
private boolean aliqicmsNull;
@Coluna(nome="par_fisc7010.vlrconsfinal", tipo="double")
private double vlrconsfinal;
private boolean vlrconsfinalNull;
@Coluna(nome="par_fisc7010.vlrfatonreal", tipo="double")
private double vlrfatonreal;
private boolean vlrfatonrealNull;
@Coluna(nome="par_fisc7010.vlrsaiisento", tipo="double")
private double vlrsaiisento;
private boolean vlrsaiisentoNull;
@Coluna(nome="par_fisc7010.vlrsaioutuf", tipo="double")
private double vlrsaioutuf;
private boolean vlrsaioutufNull;
@Coluna(nome="par_fisc7010.total1234", tipo="double")
private double total1234;
private boolean total1234Null;
@Coluna(nome="par_fisc7010.vlrconfscons", tipo="double")
private double vlrconfscons;
private boolean vlrconfsconsNull;
@Coluna(nome="par_fisc7010.vlrconfedemh", tipo="double")
private double vlrconfedemh;
private boolean vlrconfedemhNull;
@Coluna(nome="par_fisc7010.total67", tipo="double")
private double total67;
private boolean total67Null;
@Coluna(nome="par_fisc7010.difcomple", tipo="double")
private double difcomple;
private boolean difcompleNull;
@Coluna(nome="par_fisc7010.difressar", tipo="double")
private double difressar;
private boolean difressarNull;
@Coluna(nome="par_fisc7010.vlrimpcomp", tipo="double")
private double vlrimpcomp;
private boolean vlrimpcompNull;
@Coluna(nome="par_fisc7010.vlrimpress", tipo="double")
private double vlrimpress;
private boolean vlrimpressNull;

public TabParFisc7010() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setUfederacao(null);
setAliqicms(null);
setVlrconsfinal(null);
setVlrfatonreal(null);
setVlrsaiisento(null);
setVlrsaioutuf(null);
setTotal1234(null);
setVlrconfscons(null);
setVlrconfedemh(null);
setTotal67(null);
setDifcomple(null);
setDifressar(null);
setVlrimpcomp(null);
setVlrimpress(null);
}

public TabParFisc7010(String terminal, int filial, String ufederacao, double aliqicms, double vlrconsfinal, double vlrfatonreal, double vlrsaiisento, double vlrsaioutuf, double total1234, double vlrconfscons, double vlrconfedemh, double total67, double difcomple, double difressar, double vlrimpcomp, double vlrimpress) {
this.terminal = terminal;
this.filial = filial;
this.ufederacao = ufederacao;
this.aliqicms = aliqicms;
this.vlrconsfinal = vlrconsfinal;
this.vlrfatonreal = vlrfatonreal;
this.vlrsaiisento = vlrsaiisento;
this.vlrsaioutuf = vlrsaioutuf;
this.total1234 = total1234;
this.vlrconfscons = vlrconfscons;
this.vlrconfedemh = vlrconfedemh;
this.total67 = total67;
this.difcomple = difcomple;
this.difressar = difressar;
this.vlrimpcomp = vlrimpcomp;
this.vlrimpress = vlrimpress;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public double getAliqicms() {
return aliqicms;
}

public boolean isAliqicmsNull() {
return aliqicmsNull;
}

public void setAliqicms(int aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(long aliqicms) {
setAliqicms(new Double(aliqicms));
}

public void setAliqicms(Double aliqicms) {
if (aliqicms == null) {
aliqicmsNull = true;
this.aliqicms = 0.;
} else { 
aliqicmsNull = false;
this.aliqicms = FglDouble.round(aliqicms, 2);
}
}

public double getVlrconsfinal() {
return vlrconsfinal;
}

public boolean isVlrconsfinalNull() {
return vlrconsfinalNull;
}

public void setVlrconsfinal(int vlrconsfinal) {
setVlrconsfinal(new Double(vlrconsfinal));
}

public void setVlrconsfinal(long vlrconsfinal) {
setVlrconsfinal(new Double(vlrconsfinal));
}

public void setVlrconsfinal(Double vlrconsfinal) {
if (vlrconsfinal == null) {
vlrconsfinalNull = true;
this.vlrconsfinal = 0.;
} else { 
vlrconsfinalNull = false;
this.vlrconsfinal = FglDouble.round(vlrconsfinal, 2);
}
}

public double getVlrfatonreal() {
return vlrfatonreal;
}

public boolean isVlrfatonrealNull() {
return vlrfatonrealNull;
}

public void setVlrfatonreal(int vlrfatonreal) {
setVlrfatonreal(new Double(vlrfatonreal));
}

public void setVlrfatonreal(long vlrfatonreal) {
setVlrfatonreal(new Double(vlrfatonreal));
}

public void setVlrfatonreal(Double vlrfatonreal) {
if (vlrfatonreal == null) {
vlrfatonrealNull = true;
this.vlrfatonreal = 0.;
} else { 
vlrfatonrealNull = false;
this.vlrfatonreal = FglDouble.round(vlrfatonreal, 2);
}
}

public double getVlrsaiisento() {
return vlrsaiisento;
}

public boolean isVlrsaiisentoNull() {
return vlrsaiisentoNull;
}

public void setVlrsaiisento(int vlrsaiisento) {
setVlrsaiisento(new Double(vlrsaiisento));
}

public void setVlrsaiisento(long vlrsaiisento) {
setVlrsaiisento(new Double(vlrsaiisento));
}

public void setVlrsaiisento(Double vlrsaiisento) {
if (vlrsaiisento == null) {
vlrsaiisentoNull = true;
this.vlrsaiisento = 0.;
} else { 
vlrsaiisentoNull = false;
this.vlrsaiisento = FglDouble.round(vlrsaiisento, 2);
}
}

public double getVlrsaioutuf() {
return vlrsaioutuf;
}

public boolean isVlrsaioutufNull() {
return vlrsaioutufNull;
}

public void setVlrsaioutuf(int vlrsaioutuf) {
setVlrsaioutuf(new Double(vlrsaioutuf));
}

public void setVlrsaioutuf(long vlrsaioutuf) {
setVlrsaioutuf(new Double(vlrsaioutuf));
}

public void setVlrsaioutuf(Double vlrsaioutuf) {
if (vlrsaioutuf == null) {
vlrsaioutufNull = true;
this.vlrsaioutuf = 0.;
} else { 
vlrsaioutufNull = false;
this.vlrsaioutuf = FglDouble.round(vlrsaioutuf, 2);
}
}

public double getTotal1234() {
return total1234;
}

public boolean isTotal1234Null() {
return total1234Null;
}

public void setTotal1234(int total1234) {
setTotal1234(new Double(total1234));
}

public void setTotal1234(long total1234) {
setTotal1234(new Double(total1234));
}

public void setTotal1234(Double total1234) {
if (total1234 == null) {
total1234Null = true;
this.total1234 = 0.;
} else { 
total1234Null = false;
this.total1234 = FglDouble.round(total1234, 2);
}
}

public double getVlrconfscons() {
return vlrconfscons;
}

public boolean isVlrconfsconsNull() {
return vlrconfsconsNull;
}

public void setVlrconfscons(int vlrconfscons) {
setVlrconfscons(new Double(vlrconfscons));
}

public void setVlrconfscons(long vlrconfscons) {
setVlrconfscons(new Double(vlrconfscons));
}

public void setVlrconfscons(Double vlrconfscons) {
if (vlrconfscons == null) {
vlrconfsconsNull = true;
this.vlrconfscons = 0.;
} else { 
vlrconfsconsNull = false;
this.vlrconfscons = FglDouble.round(vlrconfscons, 2);
}
}

public double getVlrconfedemh() {
return vlrconfedemh;
}

public boolean isVlrconfedemhNull() {
return vlrconfedemhNull;
}

public void setVlrconfedemh(int vlrconfedemh) {
setVlrconfedemh(new Double(vlrconfedemh));
}

public void setVlrconfedemh(long vlrconfedemh) {
setVlrconfedemh(new Double(vlrconfedemh));
}

public void setVlrconfedemh(Double vlrconfedemh) {
if (vlrconfedemh == null) {
vlrconfedemhNull = true;
this.vlrconfedemh = 0.;
} else { 
vlrconfedemhNull = false;
this.vlrconfedemh = FglDouble.round(vlrconfedemh, 2);
}
}

public double getTotal67() {
return total67;
}

public boolean isTotal67Null() {
return total67Null;
}

public void setTotal67(int total67) {
setTotal67(new Double(total67));
}

public void setTotal67(long total67) {
setTotal67(new Double(total67));
}

public void setTotal67(Double total67) {
if (total67 == null) {
total67Null = true;
this.total67 = 0.;
} else { 
total67Null = false;
this.total67 = FglDouble.round(total67, 2);
}
}

public double getDifcomple() {
return difcomple;
}

public boolean isDifcompleNull() {
return difcompleNull;
}

public void setDifcomple(int difcomple) {
setDifcomple(new Double(difcomple));
}

public void setDifcomple(long difcomple) {
setDifcomple(new Double(difcomple));
}

public void setDifcomple(Double difcomple) {
if (difcomple == null) {
difcompleNull = true;
this.difcomple = 0.;
} else { 
difcompleNull = false;
this.difcomple = FglDouble.round(difcomple, 2);
}
}

public double getDifressar() {
return difressar;
}

public boolean isDifressarNull() {
return difressarNull;
}

public void setDifressar(int difressar) {
setDifressar(new Double(difressar));
}

public void setDifressar(long difressar) {
setDifressar(new Double(difressar));
}

public void setDifressar(Double difressar) {
if (difressar == null) {
difressarNull = true;
this.difressar = 0.;
} else { 
difressarNull = false;
this.difressar = FglDouble.round(difressar, 2);
}
}

public double getVlrimpcomp() {
return vlrimpcomp;
}

public boolean isVlrimpcompNull() {
return vlrimpcompNull;
}

public void setVlrimpcomp(int vlrimpcomp) {
setVlrimpcomp(new Double(vlrimpcomp));
}

public void setVlrimpcomp(long vlrimpcomp) {
setVlrimpcomp(new Double(vlrimpcomp));
}

public void setVlrimpcomp(Double vlrimpcomp) {
if (vlrimpcomp == null) {
vlrimpcompNull = true;
this.vlrimpcomp = 0.;
} else { 
vlrimpcompNull = false;
this.vlrimpcomp = FglDouble.round(vlrimpcomp, 2);
}
}

public double getVlrimpress() {
return vlrimpress;
}

public boolean isVlrimpressNull() {
return vlrimpressNull;
}

public void setVlrimpress(int vlrimpress) {
setVlrimpress(new Double(vlrimpress));
}

public void setVlrimpress(long vlrimpress) {
setVlrimpress(new Double(vlrimpress));
}

public void setVlrimpress(Double vlrimpress) {
if (vlrimpress == null) {
vlrimpressNull = true;
this.vlrimpress = 0.;
} else { 
vlrimpressNull = false;
this.vlrimpress = FglDouble.round(vlrimpress, 2);
}
}

}

