package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabParFisc8000 {
@Coluna(nome="par_fisc8000.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_fisc8000.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_fisc8000.parametro", tipo="String")
private String parametro;
@Coluna(nome="par_fisc8000.gerou_sped1000", tipo="String")
private String gerouSped1000;
@Coluna(nome="par_fisc8000.gerou_fisc8060", tipo="String")
private String gerouFisc8060;

public TabParFisc8000() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setParametro(null);
setGerouSped1000(null);
setGerouFisc8060(null);
}

public TabParFisc8000(String terminal, int filial, String parametro, String gerouSped1000, String gerouFisc8060) {
this.terminal = terminal;
this.filial = filial;
this.parametro = parametro;
this.gerouSped1000 = gerouSped1000;
this.gerouFisc8060 = gerouFisc8060;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getParametro() {
return parametro;
}

public void setParametro(String parametro) {
this.parametro = parametro;
}

public String getGerouSped1000() {
return gerouSped1000;
}

public void setGerouSped1000(String gerouSped1000) {
this.gerouSped1000 = gerouSped1000;
}

public String getGerouFisc8060() {
return gerouFisc8060;
}

public void setGerouFisc8060(String gerouFisc8060) {
this.gerouFisc8060 = gerouFisc8060;
}

}

