package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParOfic7700f {
@Coluna(nome="par_ofic7700f.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_ofic7700f.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_ofic7700f.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="par_ofic7700f.dtabertura", tipo="FglDate")
private FglDate dtabertura;
@Coluna(nome="par_ofic7700f.chassis", tipo="String")
private String chassis;
@Coluna(nome="par_ofic7700f.valor_pec", tipo="double")
private double valorPec;
private boolean valorPecNull;
@Coluna(nome="par_ofic7700f.valor_ser", tipo="double")
private double valorSer;
private boolean valorSerNull;

public TabParOfic7700f() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setFamilia(null);
setDtabertura(null);
setChassis(null);
setValorPec(null);
setValorSer(null);
}

public TabParOfic7700f(String terminal, int filial, int familia, FglDate dtabertura, String chassis, double valorPec, double valorSer) {
this.terminal = terminal;
this.filial = filial;
this.familia = familia;
this.dtabertura = dtabertura;
this.chassis = chassis;
this.valorPec = valorPec;
this.valorSer = valorSer;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public FglDate getDtabertura() {
return dtabertura;
}

public void setDtabertura(FglDate dtabertura) {
this.dtabertura = dtabertura;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public double getValorPec() {
return valorPec;
}

public boolean isValorPecNull() {
return valorPecNull;
}

public void setValorPec(int valorPec) {
setValorPec(new Double(valorPec));
}

public void setValorPec(long valorPec) {
setValorPec(new Double(valorPec));
}

public void setValorPec(Double valorPec) {
if (valorPec == null) {
valorPecNull = true;
this.valorPec = 0.;
} else { 
valorPecNull = false;
this.valorPec = FglDouble.round(valorPec, 2);
}
}

public double getValorSer() {
return valorSer;
}

public boolean isValorSerNull() {
return valorSerNull;
}

public void setValorSer(int valorSer) {
setValorSer(new Double(valorSer));
}

public void setValorSer(long valorSer) {
setValorSer(new Double(valorSer));
}

public void setValorSer(Double valorSer) {
if (valorSer == null) {
valorSerNull = true;
this.valorSer = 0.;
} else { 
valorSerNull = false;
this.valorSer = FglDouble.round(valorSer, 2);
}
}

}

