package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParOfit0790 {
@Coluna(nome="par_ofit0790.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_ofit0790.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="par_ofit0790.taxaatendimento", tipo="double")
private double taxaatendimento;
private boolean taxaatendimentoNull;
@Coluna(nome="par_ofit0790.diasestoque", tipo="double")
private double diasestoque;
private boolean diasestoqueNull;

public TabParOfit0790() {
initialize();
}

public void initialize() {
setTerminal(null);
setAnomes(null);
setTaxaatendimento(null);
setDiasestoque(null);
}

public TabParOfit0790(String terminal, FglDateTimeYM anomes, double taxaatendimento, double diasestoque) {
this.terminal = terminal;
this.anomes = anomes;
this.taxaatendimento = taxaatendimento;
this.diasestoque = diasestoque;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public double getTaxaatendimento() {
return taxaatendimento;
}

public boolean isTaxaatendimentoNull() {
return taxaatendimentoNull;
}

public void setTaxaatendimento(int taxaatendimento) {
setTaxaatendimento(new Double(taxaatendimento));
}

public void setTaxaatendimento(long taxaatendimento) {
setTaxaatendimento(new Double(taxaatendimento));
}

public void setTaxaatendimento(Double taxaatendimento) {
if (taxaatendimento == null) {
taxaatendimentoNull = true;
this.taxaatendimento = 0.;
} else { 
taxaatendimentoNull = false;
this.taxaatendimento = FglDouble.round(taxaatendimento, 2);
}
}

public double getDiasestoque() {
return diasestoque;
}

public boolean isDiasestoqueNull() {
return diasestoqueNull;
}

public void setDiasestoque(int diasestoque) {
setDiasestoque(new Double(diasestoque));
}

public void setDiasestoque(long diasestoque) {
setDiasestoque(new Double(diasestoque));
}

public void setDiasestoque(Double diasestoque) {
if (diasestoque == null) {
diasestoqueNull = true;
this.diasestoque = 0.;
} else { 
diasestoqueNull = false;
this.diasestoque = FglDouble.round(diasestoque, 2);
}
}

}

