package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParPedc3020 {
@Coluna(nome="par_pedc3020.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_pedc3020.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_pedc3020.icc", tipo="String")
private String icc;
@Coluna(nome="par_pedc3020.qtde_item", tipo="double")
private double qtdeItem;
private boolean qtdeItemNull;

public TabParPedc3020() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setIcc(null);
setQtdeItem(null);
}

public TabParPedc3020(String terminal, int filial, String icc, double qtdeItem) {
this.terminal = terminal;
this.filial = filial;
this.icc = icc;
this.qtdeItem = qtdeItem;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getIcc() {
return icc;
}

public void setIcc(String icc) {
this.icc = icc;
}

public double getQtdeItem() {
return qtdeItem;
}

public boolean isQtdeItemNull() {
return qtdeItemNull;
}

public void setQtdeItem(int qtdeItem) {
setQtdeItem(new Double(qtdeItem));
}

public void setQtdeItem(long qtdeItem) {
setQtdeItem(new Double(qtdeItem));
}

public void setQtdeItem(Double qtdeItem) {
if (qtdeItem == null) {
qtdeItemNull = true;
this.qtdeItem = 0.;
} else { 
qtdeItemNull = false;
this.qtdeItem = FglDouble.round(qtdeItem, 2);
}
}

}

