package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParPedc5100 {
@Coluna(nome="par_pedc5100.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_pedc5100.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_pedc5100.id_pcssol", tipo="int")
private int idPcssol;
private boolean idPcssolNull;
@Coluna(nome="par_pedc5100.produto", tipo="String")
private String produto;
@Coluna(nome="par_pedc5100.qtdepedida", tipo="double")
private double qtdepedida;
private boolean qtdepedidaNull;

public TabParPedc5100() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setIdPcssol(null);
setProduto(null);
setQtdepedida(null);
}

public TabParPedc5100(String terminal, int filial, int idPcssol, String produto, double qtdepedida) {
this.terminal = terminal;
this.filial = filial;
this.idPcssol = idPcssol;
this.produto = produto;
this.qtdepedida = qtdepedida;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdPcssol() {
return idPcssol;
}

public boolean isIdPcssolNull() {
return idPcssolNull;
}

public void setIdPcssol(Integer idPcssol) {
if (idPcssol == null) {
idPcssolNull = true;
this.idPcssol = 0;
} else { 
idPcssolNull = false;
this.idPcssol = idPcssol;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public double getQtdepedida() {
return qtdepedida;
}

public boolean isQtdepedidaNull() {
return qtdepedidaNull;
}

public void setQtdepedida(int qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(long qtdepedida) {
setQtdepedida(new Double(qtdepedida));
}

public void setQtdepedida(Double qtdepedida) {
if (qtdepedida == null) {
qtdepedidaNull = true;
this.qtdepedida = 0.;
} else { 
qtdepedidaNull = false;
this.qtdepedida = FglDouble.round(qtdepedida, 2);
}
}

}

