package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabParReccapa {
@Coluna(nome="par_reccapa.cgcpffil", tipo="long")
private long cgcpffil;
private boolean cgcpffilNull;
@Coluna(nome="par_reccapa.tppessoafil", tipo="int")
private int tppessoafil;
private boolean tppessoafilNull;
@Coluna(nome="par_reccapa.cgccpfcli", tipo="long")
private long cgccpfcli;
private boolean cgccpfcliNull;
@Coluna(nome="par_reccapa.tppessoacli", tipo="int")
private int tppessoacli;
private boolean tppessoacliNull;
@Coluna(nome="par_reccapa.nrorecibo", tipo="String")
private String nrorecibo;
@Coluna(nome="par_reccapa.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="par_reccapa.texto", tipo="String")
private String texto;
@Coluna(nome="par_reccapa.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="par_reccapa.id_duplic", tipo="int")
private int idDuplic;
private boolean idDuplicNull;
@Coluna(nome="par_reccapa.observacao", tipo="String")
private String observacao;
@Coluna(nome="par_reccapa.pagina", tipo="int")
private int pagina;
private boolean paginaNull;
@Coluna(nome="par_reccapa.chassis", tipo="String")
private String chassis;

public TabParReccapa() {
initialize();
}

public void initialize() {
setCgcpffil(null);
setTppessoafil(null);
setCgccpfcli(null);
setTppessoacli(null);
setNrorecibo(null);
setValor(null);
setTexto(null);
setData(null);
setIdDuplic(null);
setObservacao(null);
setPagina(null);
setChassis(null);
}

public TabParReccapa(long cgcpffil, int tppessoafil, long cgccpfcli, int tppessoacli, String nrorecibo, double valor, String texto, FglDate data, int idDuplic, String observacao, int pagina, String chassis) {
this.cgcpffil = cgcpffil;
this.tppessoafil = tppessoafil;
this.cgccpfcli = cgccpfcli;
this.tppessoacli = tppessoacli;
this.nrorecibo = nrorecibo;
this.valor = valor;
this.texto = texto;
this.data = data;
this.idDuplic = idDuplic;
this.observacao = observacao;
this.pagina = pagina;
this.chassis = chassis;
}

public long getCgcpffil() {
return cgcpffil;
}

public boolean isCgcpffilNull() {
return cgcpffilNull;
}

public void setCgcpffil(int cgcpffil) {
setCgcpffil(new Long(cgcpffil));
}

public void setCgcpffil(Long cgcpffil) {
if (cgcpffil == null) {
cgcpffilNull = true;
this.cgcpffil = 0l;
} else { 
cgcpffilNull = false;
this.cgcpffil = cgcpffil;
}
}

public int getTppessoafil() {
return tppessoafil;
}

public boolean isTppessoafilNull() {
return tppessoafilNull;
}

public void setTppessoafil(Integer tppessoafil) {
if (tppessoafil == null) {
tppessoafilNull = true;
this.tppessoafil = 0;
} else { 
tppessoafilNull = false;
this.tppessoafil = tppessoafil;
}
}

public long getCgccpfcli() {
return cgccpfcli;
}

public boolean isCgccpfcliNull() {
return cgccpfcliNull;
}

public void setCgccpfcli(int cgccpfcli) {
setCgccpfcli(new Long(cgccpfcli));
}

public void setCgccpfcli(Long cgccpfcli) {
if (cgccpfcli == null) {
cgccpfcliNull = true;
this.cgccpfcli = 0l;
} else { 
cgccpfcliNull = false;
this.cgccpfcli = cgccpfcli;
}
}

public int getTppessoacli() {
return tppessoacli;
}

public boolean isTppessoacliNull() {
return tppessoacliNull;
}

public void setTppessoacli(Integer tppessoacli) {
if (tppessoacli == null) {
tppessoacliNull = true;
this.tppessoacli = 0;
} else { 
tppessoacliNull = false;
this.tppessoacli = tppessoacli;
}
}

public String getNrorecibo() {
return nrorecibo;
}

public void setNrorecibo(String nrorecibo) {
this.nrorecibo = nrorecibo;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getTexto() {
return texto;
}

public void setTexto(String texto) {
this.texto = texto;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getIdDuplic() {
return idDuplic;
}

public boolean isIdDuplicNull() {
return idDuplicNull;
}

public void setIdDuplic(Integer idDuplic) {
if (idDuplic == null) {
idDuplicNull = true;
this.idDuplic = 0;
} else { 
idDuplicNull = false;
this.idDuplic = idDuplic;
}
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getPagina() {
return pagina;
}

public boolean isPaginaNull() {
return paginaNull;
}

public void setPagina(Integer pagina) {
if (pagina == null) {
paginaNull = true;
this.pagina = 0;
} else { 
paginaNull = false;
this.pagina = pagina;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

}

