package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabParVeic9000 {
@Coluna(nome="par_veic9000.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_veic9000.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_veic9000.nome_programa", tipo="String")
private String nomePrograma;
@Coluna(nome="par_veic9000.familia_veic", tipo="int")
private int familiaVeic;
private boolean familiaVeicNull;
@Coluna(nome="par_veic9000.chassis", tipo="String")
private String chassis;
@Coluna(nome="par_veic9000.qtde_vendido", tipo="int")
private int qtdeVendido;
private boolean qtdeVendidoNull;
@Coluna(nome="par_veic9000.valor_venda", tipo="double")
private double valorVenda;
private boolean valorVendaNull;
@Coluna(nome="par_veic9000.datavenda", tipo="FglDate")
private FglDate datavenda;
@Coluna(nome="par_veic9000.parametro", tipo="String")
private String parametro;
@Coluna(nome="par_veic9000.novousado", tipo="String")
private String novousado;
@Coluna(nome="par_veic9000.pecamo", tipo="String")
private String pecamo;
@Coluna(nome="par_veic9000.clientegarant", tipo="String")
private String clientegarant;
@Coluna(nome="par_veic9000.encerra_exec", tipo="String")
private String encerraExec;
@Coluna(nome="par_veic9000.tplancto", tipo="String")
private String tplancto;

public TabParVeic9000() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setNomePrograma(null);
setFamiliaVeic(null);
setChassis(null);
setQtdeVendido(null);
setValorVenda(null);
setDatavenda(null);
setParametro(null);
setNovousado(null);
setPecamo(null);
setClientegarant(null);
setEncerraExec(null);
setTplancto(null);
}

public TabParVeic9000(String terminal, int filial, String nomePrograma, int familiaVeic, String chassis, int qtdeVendido, double valorVenda, FglDate datavenda, String parametro, String novousado, String pecamo, String clientegarant, String encerraExec, String tplancto) {
this.terminal = terminal;
this.filial = filial;
this.nomePrograma = nomePrograma;
this.familiaVeic = familiaVeic;
this.chassis = chassis;
this.qtdeVendido = qtdeVendido;
this.valorVenda = valorVenda;
this.datavenda = datavenda;
this.parametro = parametro;
this.novousado = novousado;
this.pecamo = pecamo;
this.clientegarant = clientegarant;
this.encerraExec = encerraExec;
this.tplancto = tplancto;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getNomePrograma() {
return nomePrograma;
}

public void setNomePrograma(String nomePrograma) {
this.nomePrograma = nomePrograma;
}

public int getFamiliaVeic() {
return familiaVeic;
}

public boolean isFamiliaVeicNull() {
return familiaVeicNull;
}

public void setFamiliaVeic(Integer familiaVeic) {
if (familiaVeic == null) {
familiaVeicNull = true;
this.familiaVeic = 0;
} else { 
familiaVeicNull = false;
this.familiaVeic = familiaVeic;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getQtdeVendido() {
return qtdeVendido;
}

public boolean isQtdeVendidoNull() {
return qtdeVendidoNull;
}

public void setQtdeVendido(Integer qtdeVendido) {
if (qtdeVendido == null) {
qtdeVendidoNull = true;
this.qtdeVendido = 0;
} else { 
qtdeVendidoNull = false;
this.qtdeVendido = qtdeVendido;
}
}

public double getValorVenda() {
return valorVenda;
}

public boolean isValorVendaNull() {
return valorVendaNull;
}

public void setValorVenda(int valorVenda) {
setValorVenda(new Double(valorVenda));
}

public void setValorVenda(long valorVenda) {
setValorVenda(new Double(valorVenda));
}

public void setValorVenda(Double valorVenda) {
if (valorVenda == null) {
valorVendaNull = true;
this.valorVenda = 0.;
} else { 
valorVendaNull = false;
this.valorVenda = FglDouble.round(valorVenda, 2);
}
}

public FglDate getDatavenda() {
return datavenda;
}

public void setDatavenda(FglDate datavenda) {
this.datavenda = datavenda;
}

public String getParametro() {
return parametro;
}

public void setParametro(String parametro) {
this.parametro = parametro;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getPecamo() {
return pecamo;
}

public void setPecamo(String pecamo) {
this.pecamo = pecamo;
}

public String getClientegarant() {
return clientegarant;
}

public void setClientegarant(String clientegarant) {
this.clientegarant = clientegarant;
}

public String getEncerraExec() {
return encerraExec;
}

public void setEncerraExec(String encerraExec) {
this.encerraExec = encerraExec;
}

public String getTplancto() {
return tplancto;
}

public void setTplancto(String tplancto) {
this.tplancto = tplancto;
}

}

