package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParVend5200 {
@Coluna(nome="par_vend5200.terminal", tipo="String")
private String terminal;
@Coluna(nome="par_vend5200.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="par_vend5200.divisao", tipo="int")
private int divisao;
private boolean divisaoNull;
@Coluna(nome="par_vend5200.departamento", tipo="int")
private int departamento;
private boolean departamentoNull;
@Coluna(nome="par_vend5200.setor", tipo="int")
private int setor;
private boolean setorNull;
@Coluna(nome="par_vend5200.formacalc", tipo="String")
private String formacalc;
@Coluna(nome="par_vend5200.transacao", tipo="String")
private String transacao;
@Coluna(nome="par_vend5200.id_grupos", tipo="int")
private int idGrupos;
private boolean idGruposNull;
@Coluna(nome="par_vend5200.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="par_vend5200.cfop", tipo="String")
private String cfop;
@Coluna(nome="par_vend5200.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="par_vend5200.serienf", tipo="String")
private String serienf;
@Coluna(nome="par_vend5200.produto", tipo="String")
private String produto;
@Coluna(nome="par_vend5200.descricao", tipo="String")
private String descricao;
@Coluna(nome="par_vend5200.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="par_vend5200.dttransacao", tipo="FglDate")
private FglDate dttransacao;
@Coluna(nome="par_vend5200.valortabela", tipo="double")
private double valortabela;
private boolean valortabelaNull;
@Coluna(nome="par_vend5200.valordesc", tipo="double")
private double valordesc;
private boolean valordescNull;
@Coluna(nome="par_vend5200.valoritem", tipo="double")
private double valoritem;
private boolean valoritemNull;
@Coluna(nome="par_vend5200.customedio", tipo="double")
private double customedio;
private boolean customedioNull;
@Coluna(nome="par_vend5200.basecalculo", tipo="double")
private double basecalculo;
private boolean basecalculoNull;
@Coluna(nome="par_vend5200.valorpis", tipo="double")
private double valorpis;
private boolean valorpisNull;
@Coluna(nome="par_vend5200.valorcofins", tipo="double")
private double valorcofins;
private boolean valorcofinsNull;
@Coluna(nome="par_vend5200.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="par_vend5200.id_nfitem", tipo="int")
private int idNfitem;
private boolean idNfitemNull;
@Coluna(nome="par_vend5200.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="par_vend5200.id_intite", tipo="int")
private int idIntite;
private boolean idIntiteNull;
@Coluna(nome="par_vend5200.compvend", tipo="String")
private String compvend;
@Coluna(nome="par_vend5200.devolucao", tipo="String")
private String devolucao;

public TabParVend5200() {
initialize();
}

public void initialize() {
setTerminal(null);
setFilial(null);
setDivisao(null);
setDepartamento(null);
setSetor(null);
setFormacalc(null);
setTransacao(null);
setIdGrupos(null);
setClassefiscal(null);
setCfop(null);
setNronota(null);
setSerienf(null);
setProduto(null);
setDescricao(null);
setDtnota(null);
setDttransacao(null);
setValortabela(null);
setValordesc(null);
setValoritem(null);
setCustomedio(null);
setBasecalculo(null);
setValorpis(null);
setValorcofins(null);
setIdNfcapa(null);
setIdNfitem(null);
setNrolinha(null);
setIdIntite(null);
setCompvend(null);
setDevolucao(null);
}

public TabParVend5200(String terminal, int filial, int divisao, int departamento, int setor, String formacalc, String transacao, int idGrupos, String classefiscal, String cfop, int nronota, String serienf, String produto, String descricao, FglDate dtnota, FglDate dttransacao, double valortabela, double valordesc, double valoritem, double customedio, double basecalculo, double valorpis, double valorcofins, int idNfcapa, int idNfitem, int nrolinha, int idIntite, String compvend, String devolucao) {
this.terminal = terminal;
this.filial = filial;
this.divisao = divisao;
this.departamento = departamento;
this.setor = setor;
this.formacalc = formacalc;
this.transacao = transacao;
this.idGrupos = idGrupos;
this.classefiscal = classefiscal;
this.cfop = cfop;
this.nronota = nronota;
this.serienf = serienf;
this.produto = produto;
this.descricao = descricao;
this.dtnota = dtnota;
this.dttransacao = dttransacao;
this.valortabela = valortabela;
this.valordesc = valordesc;
this.valoritem = valoritem;
this.customedio = customedio;
this.basecalculo = basecalculo;
this.valorpis = valorpis;
this.valorcofins = valorcofins;
this.idNfcapa = idNfcapa;
this.idNfitem = idNfitem;
this.nrolinha = nrolinha;
this.idIntite = idIntite;
this.compvend = compvend;
this.devolucao = devolucao;
}

public String getTerminal() {
return terminal;
}

public void setTerminal(String terminal) {
this.terminal = terminal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDivisao() {
return divisao;
}

public boolean isDivisaoNull() {
return divisaoNull;
}

public void setDivisao(Integer divisao) {
if (divisao == null) {
divisaoNull = true;
this.divisao = 0;
} else { 
divisaoNull = false;
this.divisao = divisao;
}
}

public int getDepartamento() {
return departamento;
}

public boolean isDepartamentoNull() {
return departamentoNull;
}

public void setDepartamento(Integer departamento) {
if (departamento == null) {
departamentoNull = true;
this.departamento = 0;
} else { 
departamentoNull = false;
this.departamento = departamento;
}
}

public int getSetor() {
return setor;
}

public boolean isSetorNull() {
return setorNull;
}

public void setSetor(Integer setor) {
if (setor == null) {
setorNull = true;
this.setor = 0;
} else { 
setorNull = false;
this.setor = setor;
}
}

public String getFormacalc() {
return formacalc;
}

public void setFormacalc(String formacalc) {
this.formacalc = formacalc;
}

public String getTransacao() {
return transacao;
}

public void setTransacao(String transacao) {
this.transacao = transacao;
}

public int getIdGrupos() {
return idGrupos;
}

public boolean isIdGruposNull() {
return idGruposNull;
}

public void setIdGrupos(Integer idGrupos) {
if (idGrupos == null) {
idGruposNull = true;
this.idGrupos = 0;
} else { 
idGruposNull = false;
this.idGrupos = idGrupos;
}
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getCfop() {
return cfop;
}

public void setCfop(String cfop) {
this.cfop = cfop;
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public FglDate getDttransacao() {
return dttransacao;
}

public void setDttransacao(FglDate dttransacao) {
this.dttransacao = dttransacao;
}

public double getValortabela() {
return valortabela;
}

public boolean isValortabelaNull() {
return valortabelaNull;
}

public void setValortabela(int valortabela) {
setValortabela(new Double(valortabela));
}

public void setValortabela(long valortabela) {
setValortabela(new Double(valortabela));
}

public void setValortabela(Double valortabela) {
if (valortabela == null) {
valortabelaNull = true;
this.valortabela = 0.;
} else { 
valortabelaNull = false;
this.valortabela = FglDouble.round(valortabela, 2);
}
}

public double getValordesc() {
return valordesc;
}

public boolean isValordescNull() {
return valordescNull;
}

public void setValordesc(int valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(long valordesc) {
setValordesc(new Double(valordesc));
}

public void setValordesc(Double valordesc) {
if (valordesc == null) {
valordescNull = true;
this.valordesc = 0.;
} else { 
valordescNull = false;
this.valordesc = FglDouble.round(valordesc, 2);
}
}

public double getValoritem() {
return valoritem;
}

public boolean isValoritemNull() {
return valoritemNull;
}

public void setValoritem(int valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(long valoritem) {
setValoritem(new Double(valoritem));
}

public void setValoritem(Double valoritem) {
if (valoritem == null) {
valoritemNull = true;
this.valoritem = 0.;
} else { 
valoritemNull = false;
this.valoritem = FglDouble.round(valoritem, 2);
}
}

public double getCustomedio() {
return customedio;
}

public boolean isCustomedioNull() {
return customedioNull;
}

public void setCustomedio(int customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(long customedio) {
setCustomedio(new Double(customedio));
}

public void setCustomedio(Double customedio) {
if (customedio == null) {
customedioNull = true;
this.customedio = 0.;
} else { 
customedioNull = false;
this.customedio = FglDouble.round(customedio, 2);
}
}

public double getBasecalculo() {
return basecalculo;
}

public boolean isBasecalculoNull() {
return basecalculoNull;
}

public void setBasecalculo(int basecalculo) {
setBasecalculo(new Double(basecalculo));
}

public void setBasecalculo(long basecalculo) {
setBasecalculo(new Double(basecalculo));
}

public void setBasecalculo(Double basecalculo) {
if (basecalculo == null) {
basecalculoNull = true;
this.basecalculo = 0.;
} else { 
basecalculoNull = false;
this.basecalculo = FglDouble.round(basecalculo, 2);
}
}

public double getValorpis() {
return valorpis;
}

public boolean isValorpisNull() {
return valorpisNull;
}

public void setValorpis(int valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(long valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(Double valorpis) {
if (valorpis == null) {
valorpisNull = true;
this.valorpis = 0.;
} else { 
valorpisNull = false;
this.valorpis = FglDouble.round(valorpis, 2);
}
}

public double getValorcofins() {
return valorcofins;
}

public boolean isValorcofinsNull() {
return valorcofinsNull;
}

public void setValorcofins(int valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(long valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(Double valorcofins) {
if (valorcofins == null) {
valorcofinsNull = true;
this.valorcofins = 0.;
} else { 
valorcofinsNull = false;
this.valorcofins = FglDouble.round(valorcofins, 2);
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdNfitem() {
return idNfitem;
}

public boolean isIdNfitemNull() {
return idNfitemNull;
}

public void setIdNfitem(Integer idNfitem) {
if (idNfitem == null) {
idNfitemNull = true;
this.idNfitem = 0;
} else { 
idNfitemNull = false;
this.idNfitem = idNfitem;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public int getIdIntite() {
return idIntite;
}

public boolean isIdIntiteNull() {
return idIntiteNull;
}

public void setIdIntite(Integer idIntite) {
if (idIntite == null) {
idIntiteNull = true;
this.idIntite = 0;
} else { 
idIntiteNull = false;
this.idIntite = idIntite;
}
}

public String getCompvend() {
return compvend;
}

public void setCompvend(String compvend) {
this.compvend = compvend;
}

public String getDevolucao() {
return devolucao;
}

public void setDevolucao(String devolucao) {
this.devolucao = devolucao;
}

}

