package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabParametrosServico {
@Coluna(nome="parametros_servico.logativo", tipo="String")
private String logativo;
@Coluna(nome="parametros_servico.diretorio_log", tipo="String")
private String diretorioLog;
@Coluna(nome="parametros_servico.ws_apenas_xml", tipo="String")
private String wsApenasXml;
@Coluna(nome="parametros_servico.utiliza_mq", tipo="String")
private String utilizaMq;
@Coluna(nome="parametros_servico.mq_host", tipo="String")
private String mqHost;
@Coluna(nome="parametros_servico.mq_qm", tipo="String")
private String mqQm;
@Coluna(nome="parametros_servico.mq_filas", tipo="String")
private String mqFilas;
@Coluna(nome="parametros_servico.diretorio_trabalho", tipo="String")
private String diretorioTrabalho;
@Coluna(nome="parametros_servico.tcp_porta", tipo="int")
private int tcpPorta;
private boolean tcpPortaNull;

public TabParametrosServico() {
initialize();
}

public void initialize() {
setLogativo(null);
setDiretorioLog(null);
setWsApenasXml(null);
setUtilizaMq(null);
setMqHost(null);
setMqQm(null);
setMqFilas(null);
setDiretorioTrabalho(null);
setTcpPorta(null);
}

public TabParametrosServico(String logativo, String diretorioLog, String wsApenasXml, String utilizaMq, String mqHost, String mqQm, String mqFilas, String diretorioTrabalho, int tcpPorta) {
this.logativo = logativo;
this.diretorioLog = diretorioLog;
this.wsApenasXml = wsApenasXml;
this.utilizaMq = utilizaMq;
this.mqHost = mqHost;
this.mqQm = mqQm;
this.mqFilas = mqFilas;
this.diretorioTrabalho = diretorioTrabalho;
this.tcpPorta = tcpPorta;
}

public String getLogativo() {
return logativo;
}

public void setLogativo(String logativo) {
this.logativo = logativo;
}

public String getDiretorioLog() {
return diretorioLog;
}

public void setDiretorioLog(String diretorioLog) {
this.diretorioLog = diretorioLog;
}

public String getWsApenasXml() {
return wsApenasXml;
}

public void setWsApenasXml(String wsApenasXml) {
this.wsApenasXml = wsApenasXml;
}

public String getUtilizaMq() {
return utilizaMq;
}

public void setUtilizaMq(String utilizaMq) {
this.utilizaMq = utilizaMq;
}

public String getMqHost() {
return mqHost;
}

public void setMqHost(String mqHost) {
this.mqHost = mqHost;
}

public String getMqQm() {
return mqQm;
}

public void setMqQm(String mqQm) {
this.mqQm = mqQm;
}

public String getMqFilas() {
return mqFilas;
}

public void setMqFilas(String mqFilas) {
this.mqFilas = mqFilas;
}

public String getDiretorioTrabalho() {
return diretorioTrabalho;
}

public void setDiretorioTrabalho(String diretorioTrabalho) {
this.diretorioTrabalho = diretorioTrabalho;
}

public int getTcpPorta() {
return tcpPorta;
}

public boolean isTcpPortaNull() {
return tcpPortaNull;
}

public void setTcpPorta(Integer tcpPorta) {
if (tcpPorta == null) {
tcpPortaNull = true;
this.tcpPorta = 0;
} else { 
tcpPortaNull = false;
this.tcpPorta = tcpPorta;
}
}

}

