package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabParcNota1000 {
@Coluna(nome="parc_nota1000.condpgto", tipo="int")
private int condpgto;
private boolean condpgtoNull;
@Coluna(nome="parc_nota1000.parcela", tipo="int")
private int parcela;
private boolean parcelaNull;
@Coluna(nome="parc_nota1000.valor", tipo="double")
private double valor;
private boolean valorNull;

public TabParcNota1000() {
initialize();
}

public void initialize() {
setCondpgto(null);
setParcela(null);
setValor(null);
}

public TabParcNota1000(int condpgto, int parcela, double valor) {
this.condpgto = condpgto;
this.parcela = parcela;
this.valor = valor;
}

public int getCondpgto() {
return condpgto;
}

public boolean isCondpgtoNull() {
return condpgtoNull;
}

public void setCondpgto(Integer condpgto) {
if (condpgto == null) {
condpgtoNull = true;
this.condpgto = 0;
} else { 
condpgtoNull = false;
this.condpgto = condpgto;
}
}

public int getParcela() {
return parcela;
}

public boolean isParcelaNull() {
return parcelaNull;
}

public void setParcela(Integer parcela) {
if (parcela == null) {
parcelaNull = true;
this.parcela = 0;
} else { 
parcelaNull = false;
this.parcela = parcela;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

}

