package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabRbjobs {
@Coluna(nome="rbjobs.codigo", tipo="String")
private String codigo;
@Coluna(nome="rbjobs.descricao", tipo="String")
private String descricao;
@Coluna(nome="rbjobs.tipo", tipo="String")
private String tipo;
@Coluna(nome="rbjobs.horaini", tipo="int")
private int horaini;
private boolean horainiNull;
@Coluna(nome="rbjobs.horafim", tipo="int")
private int horafim;
private boolean horafimNull;
@Coluna(nome="rbjobs.frequencia", tipo="int")
private int frequencia;
private boolean frequenciaNull;
@Coluna(nome="rbjobs.previsao", tipo="int")
private int previsao;
private boolean previsaoNull;
@Coluna(nome="rbjobs.ativo", tipo="String")
private String ativo;

public TabRbjobs() {
initialize();
}

public void initialize() {
setCodigo(null);
setDescricao(null);
setTipo(null);
setHoraini(null);
setHorafim(null);
setFrequencia(null);
setPrevisao(null);
setAtivo(null);
}

public TabRbjobs(String codigo, String descricao, String tipo, int horaini, int horafim, int frequencia, int previsao, String ativo) {
this.codigo = codigo;
this.descricao = descricao;
this.tipo = tipo;
this.horaini = horaini;
this.horafim = horafim;
this.frequencia = frequencia;
this.previsao = previsao;
this.ativo = ativo;
}

public String getCodigo() {
return codigo;
}

public void setCodigo(String codigo) {
this.codigo = codigo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getHoraini() {
return horaini;
}

public boolean isHorainiNull() {
return horainiNull;
}

public void setHoraini(Integer horaini) {
if (horaini == null) {
horainiNull = true;
this.horaini = 0;
} else { 
horainiNull = false;
this.horaini = horaini;
}
}

public int getHorafim() {
return horafim;
}

public boolean isHorafimNull() {
return horafimNull;
}

public void setHorafim(Integer horafim) {
if (horafim == null) {
horafimNull = true;
this.horafim = 0;
} else { 
horafimNull = false;
this.horafim = horafim;
}
}

public int getFrequencia() {
return frequencia;
}

public boolean isFrequenciaNull() {
return frequenciaNull;
}

public void setFrequencia(Integer frequencia) {
if (frequencia == null) {
frequenciaNull = true;
this.frequencia = 0;
} else { 
frequenciaNull = false;
this.frequencia = frequencia;
}
}

public int getPrevisao() {
return previsao;
}

public boolean isPrevisaoNull() {
return previsaoNull;
}

public void setPrevisao(Integer previsao) {
if (previsao == null) {
previsaoNull = true;
this.previsao = 0;
} else { 
previsaoNull = false;
this.previsao = previsao;
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

}

