package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;

public class TabRndfmovd {
@Coluna(nome="rndfmovd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="rndfmovd.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="rndfmovd.chassis", tipo="String")
private String chassis;
@Coluna(nome="rndfmovd.dtcompra", tipo="FglDate")
private FglDate dtcompra;
@Coluna(nome="rndfmovd.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="rndfmovd.modelo", tipo="String")
private String modelo;
@Coluna(nome="rndfmovd.ano", tipo="String")
private String ano;
@Coluna(nome="rndfmovd.marca", tipo="String")
private String marca;

public TabRndfmovd() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setChassis(null);
setDtcompra(null);
setDtvenda(null);
setModelo(null);
setAno(null);
setMarca(null);
}

public TabRndfmovd(int filial, FglDateTimeYM anomes, String chassis, FglDate dtcompra, FglDate dtvenda, String modelo, String ano, String marca) {
this.filial = filial;
this.anomes = anomes;
this.chassis = chassis;
this.dtcompra = dtcompra;
this.dtvenda = dtvenda;
this.modelo = modelo;
this.ano = ano;
this.marca = marca;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public FglDate getDtcompra() {
return dtcompra;
}

public void setDtcompra(FglDate dtcompra) {
this.dtcompra = dtcompra;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getAno() {
return ano;
}

public void setAno(String ano) {
this.ano = ano;
}

public String getMarca() {
return marca;
}

public void setMarca(String marca) {
this.marca = marca;
}

}

