package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabRnordpro {
@Coluna(nome="rnordpro.ordemprod", tipo="String")
private String ordemprod;
@Coluna(nome="rnordpro.dtarquivo", tipo="FglDate")
private FglDate dtarquivo;
@Coluna(nome="rnordpro.nomearquivo", tipo="String")
private String nomearquivo;
@Coluna(nome="rnordpro.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="rnordpro.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="rnordpro.dtpedido", tipo="FglDate")
private FglDate dtpedido;
@Coluna(nome="rnordpro.chassis", tipo="String")
private String chassis;
@Coluna(nome="rnordpro.modelo", tipo="String")
private String modelo;
@Coluna(nome="rnordpro.cor", tipo="String")
private String cor;
@Coluna(nome="rnordpro.versao", tipo="String")
private String versao;
@Coluna(nome="rnordpro.opcional", tipo="String")
private String opcional;
@Coluna(nome="rnordpro.status", tipo="int")
private int status;
private boolean statusNull;

public TabRnordpro() {
initialize();
}

public void initialize() {
setOrdemprod(null);
setDtarquivo(null);
setNomearquivo(null);
setFilial(null);
setPedvenda(null);
setDtpedido(null);
setChassis(null);
setModelo(null);
setCor(null);
setVersao(null);
setOpcional(null);
setStatus(null);
}

public TabRnordpro(String ordemprod, FglDate dtarquivo, String nomearquivo, int filial, int pedvenda, FglDate dtpedido, String chassis, String modelo, String cor, String versao, String opcional, int status) {
this.ordemprod = ordemprod;
this.dtarquivo = dtarquivo;
this.nomearquivo = nomearquivo;
this.filial = filial;
this.pedvenda = pedvenda;
this.dtpedido = dtpedido;
this.chassis = chassis;
this.modelo = modelo;
this.cor = cor;
this.versao = versao;
this.opcional = opcional;
this.status = status;
}

public String getOrdemprod() {
return ordemprod;
}

public void setOrdemprod(String ordemprod) {
this.ordemprod = ordemprod;
}

public FglDate getDtarquivo() {
return dtarquivo;
}

public void setDtarquivo(FglDate dtarquivo) {
this.dtarquivo = dtarquivo;
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public FglDate getDtpedido() {
return dtpedido;
}

public void setDtpedido(FglDate dtpedido) {
this.dtpedido = dtpedido;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCor() {
return cor;
}

public void setCor(String cor) {
this.cor = cor;
}

public String getVersao() {
return versao;
}

public void setVersao(String versao) {
this.versao = versao;
}

public String getOpcional() {
return opcional;
}

public void setOpcional(String opcional) {
this.opcional = opcional;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

}

