package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabRvhisope {
@Coluna(nome="rvhisope.id_operacao", tipo="int")
private int idOperacao;
private boolean idOperacaoNull;
@Coluna(nome="rvhisope.renavam", tipo="String")
private String renavam;
@Coluna(nome="rvhisope.chassis", tipo="String")
private String chassis;
@Coluna(nome="rvhisope.placa", tipo="String")
private String placa;
@Coluna(nome="rvhisope.operacao", tipo="String")
private String operacao;
@Coluna(nome="rvhisope.datahora_operacao", tipo="FglDateTimeYS")
private FglDateTimeYS datahoraOperacao;
@Coluna(nome="rvhisope.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="rvhisope.detalhe", tipo="String")
private String detalhe;
@Coluna(nome="rvhisope.mensagemusuariofinal", tipo="String")
private String mensagemusuariofinal;
@Coluna(nome="rvhisope.titulo", tipo="String")
private String titulo;
@Coluna(nome="rvhisope.logidrastreabilidade", tipo="String")
private String logidrastreabilidade;
@Coluna(nome="rvhisope.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="rvhisope.veiculo_apto", tipo="String")
private String veiculoApto;
@Coluna(nome="rvhisope.motivo_nao_aptidao", tipo="String")
private String motivoNaoAptidao;
@Coluna(nome="rvhisope.id_estoque", tipo="int")
private int idEstoque;
private boolean idEstoqueNull;
@Coluna(nome="rvhisope.id_atpv", tipo="int")
private int idAtpv;
private boolean idAtpvNull;
@Coluna(nome="rvhisope.estado_veiculo_renave", tipo="String")
private String estadoVeiculoRenave;
@Coluna(nome="rvhisope.data_hora_cancelamento", tipo="FglDateTimeYS")
private FglDateTimeYS dataHoraCancelamento;
@Coluna(nome="rvhisope.motivo_cancelamento", tipo="String")
private String motivoCancelamento;
@Coluna(nome="rvhisope.id_estoque_origem", tipo="int")
private int idEstoqueOrigem;
private boolean idEstoqueOrigemNull;
@Coluna(nome="rvhisope.data_hora_cancelamento_saida", tipo="FglDateTimeYS")
private FglDateTimeYS dataHoraCancelamentoSaida;
@Coluna(nome="rvhisope.id_estoque_gerado_canc_saida", tipo="int")
private int idEstoqueGeradoCancSaida;
private boolean idEstoqueGeradoCancSaidaNull;
@Coluna(nome="rvhisope.motivo_saida", tipo="String")
private String motivoSaida;
@Coluna(nome="rvhisope.num_termo_entrada", tipo="int")
private int numTermoEntrada;
private boolean numTermoEntradaNull;
@Coluna(nome="rvhisope.num_termo_saida", tipo="int")
private int numTermoSaida;
private boolean numTermoSaidaNull;
@Coluna(nome="rvhisope.chavenfe_entrada", tipo="String")
private String chavenfeEntrada;
@Coluna(nome="rvhisope.chavenfe_saida", tipo="String")
private String chavenfeSaida;
@Coluna(nome="rvhisope.cnpj_filial_origem", tipo="String")
private String cnpjFilialOrigem;

public TabRvhisope() {
initialize();
}

public void initialize() {
setIdOperacao(null);
setRenavam(null);
setChassis(null);
setPlaca(null);
setOperacao(null);
setDatahoraOperacao(null);
setStatus(null);
setDetalhe(null);
setMensagemusuariofinal(null);
setTitulo(null);
setLogidrastreabilidade(null);
setIdAgente(null);
setVeiculoApto(null);
setMotivoNaoAptidao(null);
setIdEstoque(null);
setIdAtpv(null);
setEstadoVeiculoRenave(null);
setDataHoraCancelamento(null);
setMotivoCancelamento(null);
setIdEstoqueOrigem(null);
setDataHoraCancelamentoSaida(null);
setIdEstoqueGeradoCancSaida(null);
setMotivoSaida(null);
setNumTermoEntrada(null);
setNumTermoSaida(null);
setChavenfeEntrada(null);
setChavenfeSaida(null);
setCnpjFilialOrigem(null);
}

public TabRvhisope(int idOperacao, String renavam, String chassis, String placa, String operacao, FglDateTimeYS datahoraOperacao, int status, String detalhe, String mensagemusuariofinal, String titulo, String logidrastreabilidade, int idAgente, String veiculoApto, String motivoNaoAptidao, int idEstoque, int idAtpv, String estadoVeiculoRenave, FglDateTimeYS dataHoraCancelamento, String motivoCancelamento, int idEstoqueOrigem, FglDateTimeYS dataHoraCancelamentoSaida, int idEstoqueGeradoCancSaida, String motivoSaida, int numTermoEntrada, int numTermoSaida, String chavenfeEntrada, String chavenfeSaida, String cnpjFilialOrigem) {
this.idOperacao = idOperacao;
this.renavam = renavam;
this.chassis = chassis;
this.placa = placa;
this.operacao = operacao;
this.datahoraOperacao = datahoraOperacao;
this.status = status;
this.detalhe = detalhe;
this.mensagemusuariofinal = mensagemusuariofinal;
this.titulo = titulo;
this.logidrastreabilidade = logidrastreabilidade;
this.idAgente = idAgente;
this.veiculoApto = veiculoApto;
this.motivoNaoAptidao = motivoNaoAptidao;
this.idEstoque = idEstoque;
this.idAtpv = idAtpv;
this.estadoVeiculoRenave = estadoVeiculoRenave;
this.dataHoraCancelamento = dataHoraCancelamento;
this.motivoCancelamento = motivoCancelamento;
this.idEstoqueOrigem = idEstoqueOrigem;
this.dataHoraCancelamentoSaida = dataHoraCancelamentoSaida;
this.idEstoqueGeradoCancSaida = idEstoqueGeradoCancSaida;
this.motivoSaida = motivoSaida;
this.numTermoEntrada = numTermoEntrada;
this.numTermoSaida = numTermoSaida;
this.chavenfeEntrada = chavenfeEntrada;
this.chavenfeSaida = chavenfeSaida;
this.cnpjFilialOrigem = cnpjFilialOrigem;
}

public int getIdOperacao() {
return idOperacao;
}

public boolean isIdOperacaoNull() {
return idOperacaoNull;
}

public void setIdOperacao(Integer idOperacao) {
if (idOperacao == null) {
idOperacaoNull = true;
this.idOperacao = 0;
} else { 
idOperacaoNull = false;
this.idOperacao = idOperacao;
}
}

public String getRenavam() {
return renavam;
}

public void setRenavam(String renavam) {
this.renavam = renavam;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public String getPlaca() {
return placa;
}

public void setPlaca(String placa) {
this.placa = placa;
}

public String getOperacao() {
return operacao;
}

public void setOperacao(String operacao) {
this.operacao = operacao;
}

public FglDateTimeYS getDatahoraOperacao() {
return datahoraOperacao;
}

public void setDatahoraOperacao(FglDateTimeYS datahoraOperacao) {
this.datahoraOperacao = datahoraOperacao;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getDetalhe() {
return detalhe;
}

public void setDetalhe(String detalhe) {
this.detalhe = detalhe;
}

public String getMensagemusuariofinal() {
return mensagemusuariofinal;
}

public void setMensagemusuariofinal(String mensagemusuariofinal) {
this.mensagemusuariofinal = mensagemusuariofinal;
}

public String getTitulo() {
return titulo;
}

public void setTitulo(String titulo) {
this.titulo = titulo;
}

public String getLogidrastreabilidade() {
return logidrastreabilidade;
}

public void setLogidrastreabilidade(String logidrastreabilidade) {
this.logidrastreabilidade = logidrastreabilidade;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getVeiculoApto() {
return veiculoApto;
}

public void setVeiculoApto(String veiculoApto) {
this.veiculoApto = veiculoApto;
}

public String getMotivoNaoAptidao() {
return motivoNaoAptidao;
}

public void setMotivoNaoAptidao(String motivoNaoAptidao) {
this.motivoNaoAptidao = motivoNaoAptidao;
}

public int getIdEstoque() {
return idEstoque;
}

public boolean isIdEstoqueNull() {
return idEstoqueNull;
}

public void setIdEstoque(Integer idEstoque) {
if (idEstoque == null) {
idEstoqueNull = true;
this.idEstoque = 0;
} else { 
idEstoqueNull = false;
this.idEstoque = idEstoque;
}
}

public int getIdAtpv() {
return idAtpv;
}

public boolean isIdAtpvNull() {
return idAtpvNull;
}

public void setIdAtpv(Integer idAtpv) {
if (idAtpv == null) {
idAtpvNull = true;
this.idAtpv = 0;
} else { 
idAtpvNull = false;
this.idAtpv = idAtpv;
}
}

public String getEstadoVeiculoRenave() {
return estadoVeiculoRenave;
}

public void setEstadoVeiculoRenave(String estadoVeiculoRenave) {
this.estadoVeiculoRenave = estadoVeiculoRenave;
}

public FglDateTimeYS getDataHoraCancelamento() {
return dataHoraCancelamento;
}

public void setDataHoraCancelamento(FglDateTimeYS dataHoraCancelamento) {
this.dataHoraCancelamento = dataHoraCancelamento;
}

public String getMotivoCancelamento() {
return motivoCancelamento;
}

public void setMotivoCancelamento(String motivoCancelamento) {
this.motivoCancelamento = motivoCancelamento;
}

public int getIdEstoqueOrigem() {
return idEstoqueOrigem;
}

public boolean isIdEstoqueOrigemNull() {
return idEstoqueOrigemNull;
}

public void setIdEstoqueOrigem(Integer idEstoqueOrigem) {
if (idEstoqueOrigem == null) {
idEstoqueOrigemNull = true;
this.idEstoqueOrigem = 0;
} else { 
idEstoqueOrigemNull = false;
this.idEstoqueOrigem = idEstoqueOrigem;
}
}

public FglDateTimeYS getDataHoraCancelamentoSaida() {
return dataHoraCancelamentoSaida;
}

public void setDataHoraCancelamentoSaida(FglDateTimeYS dataHoraCancelamentoSaida) {
this.dataHoraCancelamentoSaida = dataHoraCancelamentoSaida;
}

public int getIdEstoqueGeradoCancSaida() {
return idEstoqueGeradoCancSaida;
}

public boolean isIdEstoqueGeradoCancSaidaNull() {
return idEstoqueGeradoCancSaidaNull;
}

public void setIdEstoqueGeradoCancSaida(Integer idEstoqueGeradoCancSaida) {
if (idEstoqueGeradoCancSaida == null) {
idEstoqueGeradoCancSaidaNull = true;
this.idEstoqueGeradoCancSaida = 0;
} else { 
idEstoqueGeradoCancSaidaNull = false;
this.idEstoqueGeradoCancSaida = idEstoqueGeradoCancSaida;
}
}

public String getMotivoSaida() {
return motivoSaida;
}

public void setMotivoSaida(String motivoSaida) {
this.motivoSaida = motivoSaida;
}

public int getNumTermoEntrada() {
return numTermoEntrada;
}

public boolean isNumTermoEntradaNull() {
return numTermoEntradaNull;
}

public void setNumTermoEntrada(Integer numTermoEntrada) {
if (numTermoEntrada == null) {
numTermoEntradaNull = true;
this.numTermoEntrada = 0;
} else { 
numTermoEntradaNull = false;
this.numTermoEntrada = numTermoEntrada;
}
}

public int getNumTermoSaida() {
return numTermoSaida;
}

public boolean isNumTermoSaidaNull() {
return numTermoSaidaNull;
}

public void setNumTermoSaida(Integer numTermoSaida) {
if (numTermoSaida == null) {
numTermoSaidaNull = true;
this.numTermoSaida = 0;
} else { 
numTermoSaidaNull = false;
this.numTermoSaida = numTermoSaida;
}
}

public String getChavenfeEntrada() {
return chavenfeEntrada;
}

public void setChavenfeEntrada(String chavenfeEntrada) {
this.chavenfeEntrada = chavenfeEntrada;
}

public String getChavenfeSaida() {
return chavenfeSaida;
}

public void setChavenfeSaida(String chavenfeSaida) {
this.chavenfeSaida = chavenfeSaida;
}

public String getCnpjFilialOrigem() {
return cnpjFilialOrigem;
}

public void setCnpjFilialOrigem(String cnpjFilialOrigem) {
this.cnpjFilialOrigem = cnpjFilialOrigem;
}

}

