package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSafx2012 {
@Coluna(nome="safx2012.cod_cfo", tipo="String")
private String codCfo;
@Coluna(nome="safx2012.data_cfo", tipo="FglDate")
private FglDate dataCfo;
@Coluna(nome="safx2012.descricao", tipo="String")
private String descricao;
@Coluna(nome="safx2012.ind_agregador", tipo="String")
private String indAgregador;
@Coluna(nome="safx2012.cod_cfo_agreg", tipo="String")
private String codCfoAgreg;
@Coluna(nome="safx2012.cod_cfo_relac", tipo="String")
private String codCfoRelac;
@Coluna(nome="safx2012.ind_detalhe_cfo", tipo="String")
private String indDetalheCfo;
@Coluna(nome="safx2012.nat_operacao", tipo="String")
private String natOperacao;
@Coluna(nome="safx2012.ind_operacao", tipo="String")
private String indOperacao;
@Coluna(nome="safx2012.ind_mercado", tipo="String")
private String indMercado;
@Coluna(nome="safx2012.datager", tipo="FglDate")
private FglDate datager;

public TabSafx2012() {
initialize();
}

public void initialize() {
setCodCfo(null);
setDataCfo(null);
setDescricao(null);
setIndAgregador(null);
setCodCfoAgreg(null);
setCodCfoRelac(null);
setIndDetalheCfo(null);
setNatOperacao(null);
setIndOperacao(null);
setIndMercado(null);
setDatager(null);
}

public TabSafx2012(String codCfo, FglDate dataCfo, String descricao, String indAgregador, String codCfoAgreg, String codCfoRelac, String indDetalheCfo, String natOperacao, String indOperacao, String indMercado, FglDate datager) {
this.codCfo = codCfo;
this.dataCfo = dataCfo;
this.descricao = descricao;
this.indAgregador = indAgregador;
this.codCfoAgreg = codCfoAgreg;
this.codCfoRelac = codCfoRelac;
this.indDetalheCfo = indDetalheCfo;
this.natOperacao = natOperacao;
this.indOperacao = indOperacao;
this.indMercado = indMercado;
this.datager = datager;
}

public String getCodCfo() {
return codCfo;
}

public void setCodCfo(String codCfo) {
this.codCfo = codCfo;
}

public FglDate getDataCfo() {
return dataCfo;
}

public void setDataCfo(FglDate dataCfo) {
this.dataCfo = dataCfo;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getIndAgregador() {
return indAgregador;
}

public void setIndAgregador(String indAgregador) {
this.indAgregador = indAgregador;
}

public String getCodCfoAgreg() {
return codCfoAgreg;
}

public void setCodCfoAgreg(String codCfoAgreg) {
this.codCfoAgreg = codCfoAgreg;
}

public String getCodCfoRelac() {
return codCfoRelac;
}

public void setCodCfoRelac(String codCfoRelac) {
this.codCfoRelac = codCfoRelac;
}

public String getIndDetalheCfo() {
return indDetalheCfo;
}

public void setIndDetalheCfo(String indDetalheCfo) {
this.indDetalheCfo = indDetalheCfo;
}

public String getNatOperacao() {
return natOperacao;
}

public void setNatOperacao(String natOperacao) {
this.natOperacao = natOperacao;
}

public String getIndOperacao() {
return indOperacao;
}

public void setIndOperacao(String indOperacao) {
this.indOperacao = indOperacao;
}

public String getIndMercado() {
return indMercado;
}

public void setIndMercado(String indMercado) {
this.indMercado = indMercado;
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

