package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSafx2013 {
@Coluna(nome="safx2013.ind_produto", tipo="String")
private String indProduto;
@Coluna(nome="safx2013.cod_produto", tipo="String")
private String codProduto;
@Coluna(nome="safx2013.data_produto", tipo="FglDate")
private FglDate dataProduto;
@Coluna(nome="safx2013.descricao", tipo="String")
private String descricao;
@Coluna(nome="safx2013.cod_nbm", tipo="String")
private String codNbm;
@Coluna(nome="safx2013.cod_ncm", tipo="String")
private String codNcm;
@Coluna(nome="safx2013.cod_naladi", tipo="String")
private String codNaladi;
@Coluna(nome="safx2013.ind_regido_subst", tipo="String")
private String indRegidoSubst;
@Coluna(nome="safx2013.ind_controle_selo", tipo="String")
private String indControleSelo;
@Coluna(nome="safx2013.grupo_selo", tipo="String")
private String grupoSelo;
@Coluna(nome="safx2013.sub_grupo_selo", tipo="String")
private String subGrupoSelo;
@Coluna(nome="safx2013.cor_selo", tipo="String")
private String corSelo;
@Coluna(nome="safx2013.serie_selo", tipo="String")
private String serieSelo;
@Coluna(nome="safx2013.cod_medida", tipo="String")
private String codMedida;
@Coluna(nome="safx2013.cod_grupo_prod", tipo="String")
private String codGrupoProd;
@Coluna(nome="safx2013.cod_grp_incent", tipo="String")
private String codGrpIncent;
@Coluna(nome="safx2013.cod_grupo_st", tipo="String")
private String codGrupoSt;
@Coluna(nome="safx2013.cod_conta", tipo="String")
private String codConta;
@Coluna(nome="safx2013.ind_incid_icms_ser", tipo="String")
private String indIncidIcmsSer;
@Coluna(nome="safx2013.cod_und_padrao", tipo="String")
private String codUndPadrao;
@Coluna(nome="safx2013.vlr_peso_unit_kg", tipo="double")
private double vlrPesoUnitKg;
private boolean vlrPesoUnitKgNull;
@Coluna(nome="safx2013.descr_detalhada", tipo="String")
private String descrDetalhada;
@Coluna(nome="safx2013.ind_fabric_estab", tipo="String")
private String indFabricEstab;
@Coluna(nome="safx2013.fator_conversao", tipo="double")
private double fatorConversao;
private boolean fatorConversaoNull;
@Coluna(nome="safx2013.ind_classif_icmss", tipo="String")
private String indClassifIcmss;
@Coluna(nome="safx2013.dsc_modelo", tipo="String")
private String dscModelo;
@Coluna(nome="safx2013.origem", tipo="String")
private String origem;
@Coluna(nome="safx2013.cod_grp_prod", tipo="String")
private String codGrpProd;
@Coluna(nome="safx2013.ind_incid_pis", tipo="String")
private String indIncidPis;
@Coluna(nome="safx2013.aliq_pis", tipo="double")
private double aliqPis;
private boolean aliqPisNull;
@Coluna(nome="safx2013.ind_incid_cofins", tipo="String")
private String indIncidCofins;
@Coluna(nome="safx2013.aliq_cofins", tipo="double")
private double aliqCofins;
private boolean aliqCofinsNull;
@Coluna(nome="safx2013.ind_funrural", tipo="String")
private String indFunrural;
@Coluna(nome="safx2013.ind_petr_energ", tipo="String")
private String indPetrEnerg;
@Coluna(nome="safx2013.ind_prd_incentiv", tipo="String")
private String indPrdIncentiv;
@Coluna(nome="safx2013.ind_icms_diferido", tipo="String")
private String indIcmsDiferido;
@Coluna(nome="safx2013.capac_volum", tipo="String")
private String capacVolum;
@Coluna(nome="safx2013.especie_dnf", tipo="String")
private String especieDnf;
@Coluna(nome="safx2013.clas_item", tipo="String")
private String clasItem;
@Coluna(nome="safx2013.cod_barras", tipo="String")
private String codBarras;
@Coluna(nome="safx2013.cod_anp", tipo="String")
private String codAnp;
@Coluna(nome="safx2013.ind_ant_prod", tipo="String")
private String indAntProd;
@Coluna(nome="safx2013.cod_ant_item", tipo="String")
private String codAntItem;
@Coluna(nome="safx2013.dat_alt_codigo", tipo="FglDate")
private FglDate datAltCodigo;
@Coluna(nome="safx2013.clas_enquad_ipi", tipo="String")
private String clasEnquadIpi;
@Coluna(nome="safx2013.datager", tipo="FglDate")
private FglDate datager;

public TabSafx2013() {
initialize();
}

public void initialize() {
setIndProduto(null);
setCodProduto(null);
setDataProduto(null);
setDescricao(null);
setCodNbm(null);
setCodNcm(null);
setCodNaladi(null);
setIndRegidoSubst(null);
setIndControleSelo(null);
setGrupoSelo(null);
setSubGrupoSelo(null);
setCorSelo(null);
setSerieSelo(null);
setCodMedida(null);
setCodGrupoProd(null);
setCodGrpIncent(null);
setCodGrupoSt(null);
setCodConta(null);
setIndIncidIcmsSer(null);
setCodUndPadrao(null);
setVlrPesoUnitKg(null);
setDescrDetalhada(null);
setIndFabricEstab(null);
setFatorConversao(null);
setIndClassifIcmss(null);
setDscModelo(null);
setOrigem(null);
setCodGrpProd(null);
setIndIncidPis(null);
setAliqPis(null);
setIndIncidCofins(null);
setAliqCofins(null);
setIndFunrural(null);
setIndPetrEnerg(null);
setIndPrdIncentiv(null);
setIndIcmsDiferido(null);
setCapacVolum(null);
setEspecieDnf(null);
setClasItem(null);
setCodBarras(null);
setCodAnp(null);
setIndAntProd(null);
setCodAntItem(null);
setDatAltCodigo(null);
setClasEnquadIpi(null);
setDatager(null);
}

public TabSafx2013(String indProduto, String codProduto, FglDate dataProduto, String descricao, String codNbm, String codNcm, String codNaladi, String indRegidoSubst, String indControleSelo, String grupoSelo, String subGrupoSelo, String corSelo, String serieSelo, String codMedida, String codGrupoProd, String codGrpIncent, String codGrupoSt, String codConta, String indIncidIcmsSer, String codUndPadrao, double vlrPesoUnitKg, String descrDetalhada, String indFabricEstab, double fatorConversao, String indClassifIcmss, String dscModelo, String origem, String codGrpProd, String indIncidPis, double aliqPis, String indIncidCofins, double aliqCofins, String indFunrural, String indPetrEnerg, String indPrdIncentiv, String indIcmsDiferido, String capacVolum, String especieDnf, String clasItem, String codBarras, String codAnp, String indAntProd, String codAntItem, FglDate datAltCodigo, String clasEnquadIpi, FglDate datager) {
this.indProduto = indProduto;
this.codProduto = codProduto;
this.dataProduto = dataProduto;
this.descricao = descricao;
this.codNbm = codNbm;
this.codNcm = codNcm;
this.codNaladi = codNaladi;
this.indRegidoSubst = indRegidoSubst;
this.indControleSelo = indControleSelo;
this.grupoSelo = grupoSelo;
this.subGrupoSelo = subGrupoSelo;
this.corSelo = corSelo;
this.serieSelo = serieSelo;
this.codMedida = codMedida;
this.codGrupoProd = codGrupoProd;
this.codGrpIncent = codGrpIncent;
this.codGrupoSt = codGrupoSt;
this.codConta = codConta;
this.indIncidIcmsSer = indIncidIcmsSer;
this.codUndPadrao = codUndPadrao;
this.vlrPesoUnitKg = vlrPesoUnitKg;
this.descrDetalhada = descrDetalhada;
this.indFabricEstab = indFabricEstab;
this.fatorConversao = fatorConversao;
this.indClassifIcmss = indClassifIcmss;
this.dscModelo = dscModelo;
this.origem = origem;
this.codGrpProd = codGrpProd;
this.indIncidPis = indIncidPis;
this.aliqPis = aliqPis;
this.indIncidCofins = indIncidCofins;
this.aliqCofins = aliqCofins;
this.indFunrural = indFunrural;
this.indPetrEnerg = indPetrEnerg;
this.indPrdIncentiv = indPrdIncentiv;
this.indIcmsDiferido = indIcmsDiferido;
this.capacVolum = capacVolum;
this.especieDnf = especieDnf;
this.clasItem = clasItem;
this.codBarras = codBarras;
this.codAnp = codAnp;
this.indAntProd = indAntProd;
this.codAntItem = codAntItem;
this.datAltCodigo = datAltCodigo;
this.clasEnquadIpi = clasEnquadIpi;
this.datager = datager;
}

public String getIndProduto() {
return indProduto;
}

public void setIndProduto(String indProduto) {
this.indProduto = indProduto;
}

public String getCodProduto() {
return codProduto;
}

public void setCodProduto(String codProduto) {
this.codProduto = codProduto;
}

public FglDate getDataProduto() {
return dataProduto;
}

public void setDataProduto(FglDate dataProduto) {
this.dataProduto = dataProduto;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getCodNbm() {
return codNbm;
}

public void setCodNbm(String codNbm) {
this.codNbm = codNbm;
}

public String getCodNcm() {
return codNcm;
}

public void setCodNcm(String codNcm) {
this.codNcm = codNcm;
}

public String getCodNaladi() {
return codNaladi;
}

public void setCodNaladi(String codNaladi) {
this.codNaladi = codNaladi;
}

public String getIndRegidoSubst() {
return indRegidoSubst;
}

public void setIndRegidoSubst(String indRegidoSubst) {
this.indRegidoSubst = indRegidoSubst;
}

public String getIndControleSelo() {
return indControleSelo;
}

public void setIndControleSelo(String indControleSelo) {
this.indControleSelo = indControleSelo;
}

public String getGrupoSelo() {
return grupoSelo;
}

public void setGrupoSelo(String grupoSelo) {
this.grupoSelo = grupoSelo;
}

public String getSubGrupoSelo() {
return subGrupoSelo;
}

public void setSubGrupoSelo(String subGrupoSelo) {
this.subGrupoSelo = subGrupoSelo;
}

public String getCorSelo() {
return corSelo;
}

public void setCorSelo(String corSelo) {
this.corSelo = corSelo;
}

public String getSerieSelo() {
return serieSelo;
}

public void setSerieSelo(String serieSelo) {
this.serieSelo = serieSelo;
}

public String getCodMedida() {
return codMedida;
}

public void setCodMedida(String codMedida) {
this.codMedida = codMedida;
}

public String getCodGrupoProd() {
return codGrupoProd;
}

public void setCodGrupoProd(String codGrupoProd) {
this.codGrupoProd = codGrupoProd;
}

public String getCodGrpIncent() {
return codGrpIncent;
}

public void setCodGrpIncent(String codGrpIncent) {
this.codGrpIncent = codGrpIncent;
}

public String getCodGrupoSt() {
return codGrupoSt;
}

public void setCodGrupoSt(String codGrupoSt) {
this.codGrupoSt = codGrupoSt;
}

public String getCodConta() {
return codConta;
}

public void setCodConta(String codConta) {
this.codConta = codConta;
}

public String getIndIncidIcmsSer() {
return indIncidIcmsSer;
}

public void setIndIncidIcmsSer(String indIncidIcmsSer) {
this.indIncidIcmsSer = indIncidIcmsSer;
}

public String getCodUndPadrao() {
return codUndPadrao;
}

public void setCodUndPadrao(String codUndPadrao) {
this.codUndPadrao = codUndPadrao;
}

public double getVlrPesoUnitKg() {
return vlrPesoUnitKg;
}

public boolean isVlrPesoUnitKgNull() {
return vlrPesoUnitKgNull;
}

public void setVlrPesoUnitKg(int vlrPesoUnitKg) {
setVlrPesoUnitKg(new Double(vlrPesoUnitKg));
}

public void setVlrPesoUnitKg(long vlrPesoUnitKg) {
setVlrPesoUnitKg(new Double(vlrPesoUnitKg));
}

public void setVlrPesoUnitKg(Double vlrPesoUnitKg) {
if (vlrPesoUnitKg == null) {
vlrPesoUnitKgNull = true;
this.vlrPesoUnitKg = 0.;
} else { 
vlrPesoUnitKgNull = false;
this.vlrPesoUnitKg = FglDouble.round(vlrPesoUnitKg, 4);
}
}

public String getDescrDetalhada() {
return descrDetalhada;
}

public void setDescrDetalhada(String descrDetalhada) {
this.descrDetalhada = descrDetalhada;
}

public String getIndFabricEstab() {
return indFabricEstab;
}

public void setIndFabricEstab(String indFabricEstab) {
this.indFabricEstab = indFabricEstab;
}

public double getFatorConversao() {
return fatorConversao;
}

public boolean isFatorConversaoNull() {
return fatorConversaoNull;
}

public void setFatorConversao(int fatorConversao) {
setFatorConversao(new Double(fatorConversao));
}

public void setFatorConversao(long fatorConversao) {
setFatorConversao(new Double(fatorConversao));
}

public void setFatorConversao(Double fatorConversao) {
if (fatorConversao == null) {
fatorConversaoNull = true;
this.fatorConversao = 0.;
} else { 
fatorConversaoNull = false;
this.fatorConversao = FglDouble.round(fatorConversao, 6);
}
}

public String getIndClassifIcmss() {
return indClassifIcmss;
}

public void setIndClassifIcmss(String indClassifIcmss) {
this.indClassifIcmss = indClassifIcmss;
}

public String getDscModelo() {
return dscModelo;
}

public void setDscModelo(String dscModelo) {
this.dscModelo = dscModelo;
}

public String getOrigem() {
return origem;
}

public void setOrigem(String origem) {
this.origem = origem;
}

public String getCodGrpProd() {
return codGrpProd;
}

public void setCodGrpProd(String codGrpProd) {
this.codGrpProd = codGrpProd;
}

public String getIndIncidPis() {
return indIncidPis;
}

public void setIndIncidPis(String indIncidPis) {
this.indIncidPis = indIncidPis;
}

public double getAliqPis() {
return aliqPis;
}

public boolean isAliqPisNull() {
return aliqPisNull;
}

public void setAliqPis(int aliqPis) {
setAliqPis(new Double(aliqPis));
}

public void setAliqPis(long aliqPis) {
setAliqPis(new Double(aliqPis));
}

public void setAliqPis(Double aliqPis) {
if (aliqPis == null) {
aliqPisNull = true;
this.aliqPis = 0.;
} else { 
aliqPisNull = false;
this.aliqPis = FglDouble.round(aliqPis, 4);
}
}

public String getIndIncidCofins() {
return indIncidCofins;
}

public void setIndIncidCofins(String indIncidCofins) {
this.indIncidCofins = indIncidCofins;
}

public double getAliqCofins() {
return aliqCofins;
}

public boolean isAliqCofinsNull() {
return aliqCofinsNull;
}

public void setAliqCofins(int aliqCofins) {
setAliqCofins(new Double(aliqCofins));
}

public void setAliqCofins(long aliqCofins) {
setAliqCofins(new Double(aliqCofins));
}

public void setAliqCofins(Double aliqCofins) {
if (aliqCofins == null) {
aliqCofinsNull = true;
this.aliqCofins = 0.;
} else { 
aliqCofinsNull = false;
this.aliqCofins = FglDouble.round(aliqCofins, 4);
}
}

public String getIndFunrural() {
return indFunrural;
}

public void setIndFunrural(String indFunrural) {
this.indFunrural = indFunrural;
}

public String getIndPetrEnerg() {
return indPetrEnerg;
}

public void setIndPetrEnerg(String indPetrEnerg) {
this.indPetrEnerg = indPetrEnerg;
}

public String getIndPrdIncentiv() {
return indPrdIncentiv;
}

public void setIndPrdIncentiv(String indPrdIncentiv) {
this.indPrdIncentiv = indPrdIncentiv;
}

public String getIndIcmsDiferido() {
return indIcmsDiferido;
}

public void setIndIcmsDiferido(String indIcmsDiferido) {
this.indIcmsDiferido = indIcmsDiferido;
}

public String getCapacVolum() {
return capacVolum;
}

public void setCapacVolum(String capacVolum) {
this.capacVolum = capacVolum;
}

public String getEspecieDnf() {
return especieDnf;
}

public void setEspecieDnf(String especieDnf) {
this.especieDnf = especieDnf;
}

public String getClasItem() {
return clasItem;
}

public void setClasItem(String clasItem) {
this.clasItem = clasItem;
}

public String getCodBarras() {
return codBarras;
}

public void setCodBarras(String codBarras) {
this.codBarras = codBarras;
}

public String getCodAnp() {
return codAnp;
}

public void setCodAnp(String codAnp) {
this.codAnp = codAnp;
}

public String getIndAntProd() {
return indAntProd;
}

public void setIndAntProd(String indAntProd) {
this.indAntProd = indAntProd;
}

public String getCodAntItem() {
return codAntItem;
}

public void setCodAntItem(String codAntItem) {
this.codAntItem = codAntItem;
}

public FglDate getDatAltCodigo() {
return datAltCodigo;
}

public void setDatAltCodigo(FglDate datAltCodigo) {
this.datAltCodigo = datAltCodigo;
}

public String getClasEnquadIpi() {
return clasEnquadIpi;
}

public void setClasEnquadIpi(String clasEnquadIpi) {
this.clasEnquadIpi = clasEnquadIpi;
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

