package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSafx2045 {
@Coluna(nome="safx2045.cod_ncm", tipo="String")
private String codNcm;
@Coluna(nome="safx2045.data_x2045", tipo="FglDate")
private FglDate dataX2045;
@Coluna(nome="safx2045.descricao", tipo="String")
private String descricao;
@Coluna(nome="safx2045.aliquota_ncm", tipo="double")
private double aliquotaNcm;
private boolean aliquotaNcmNull;
@Coluna(nome="safx2045.datager", tipo="FglDate")
private FglDate datager;

public TabSafx2045() {
initialize();
}

public void initialize() {
setCodNcm(null);
setDataX2045(null);
setDescricao(null);
setAliquotaNcm(null);
setDatager(null);
}

public TabSafx2045(String codNcm, FglDate dataX2045, String descricao, double aliquotaNcm, FglDate datager) {
this.codNcm = codNcm;
this.dataX2045 = dataX2045;
this.descricao = descricao;
this.aliquotaNcm = aliquotaNcm;
this.datager = datager;
}

public String getCodNcm() {
return codNcm;
}

public void setCodNcm(String codNcm) {
this.codNcm = codNcm;
}

public FglDate getDataX2045() {
return dataX2045;
}

public void setDataX2045(FglDate dataX2045) {
this.dataX2045 = dataX2045;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getAliquotaNcm() {
return aliquotaNcm;
}

public boolean isAliquotaNcmNull() {
return aliquotaNcmNull;
}

public void setAliquotaNcm(int aliquotaNcm) {
setAliquotaNcm(new Double(aliquotaNcm));
}

public void setAliquotaNcm(long aliquotaNcm) {
setAliquotaNcm(new Double(aliquotaNcm));
}

public void setAliquotaNcm(Double aliquotaNcm) {
if (aliquotaNcm == null) {
aliquotaNcmNull = true;
this.aliquotaNcm = 0.;
} else { 
aliquotaNcmNull = false;
this.aliquotaNcm = FglDouble.round(aliquotaNcm, 4);
}
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

