package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSafx23 {
@Coluna(nome="safx23.ind_produto", tipo="String")
private String indProduto;
@Coluna(nome="safx23.cod_produto", tipo="String")
private String codProduto;
@Coluna(nome="safx23.dat_produto", tipo="FglDate")
private FglDate datProduto;
@Coluna(nome="safx23.cod_ean", tipo="String")
private String codEan;
@Coluna(nome="safx23.dat_cod_ean", tipo="FglDate")
private FglDate datCodEan;
@Coluna(nome="safx23.tipo_cod_ean", tipo="String")
private String tipoCodEan;
@Coluna(nome="safx23.datager", tipo="FglDate")
private FglDate datager;

public TabSafx23() {
initialize();
}

public void initialize() {
setIndProduto(null);
setCodProduto(null);
setDatProduto(null);
setCodEan(null);
setDatCodEan(null);
setTipoCodEan(null);
setDatager(null);
}

public TabSafx23(String indProduto, String codProduto, FglDate datProduto, String codEan, FglDate datCodEan, String tipoCodEan, FglDate datager) {
this.indProduto = indProduto;
this.codProduto = codProduto;
this.datProduto = datProduto;
this.codEan = codEan;
this.datCodEan = datCodEan;
this.tipoCodEan = tipoCodEan;
this.datager = datager;
}

public String getIndProduto() {
return indProduto;
}

public void setIndProduto(String indProduto) {
this.indProduto = indProduto;
}

public String getCodProduto() {
return codProduto;
}

public void setCodProduto(String codProduto) {
this.codProduto = codProduto;
}

public FglDate getDatProduto() {
return datProduto;
}

public void setDatProduto(FglDate datProduto) {
this.datProduto = datProduto;
}

public String getCodEan() {
return codEan;
}

public void setCodEan(String codEan) {
this.codEan = codEan;
}

public FglDate getDatCodEan() {
return datCodEan;
}

public void setDatCodEan(FglDate datCodEan) {
this.datCodEan = datCodEan;
}

public String getTipoCodEan() {
return tipoCodEan;
}

public void setTipoCodEan(String tipoCodEan) {
this.tipoCodEan = tipoCodEan;
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

