package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSafx24 {
@Coluna(nome="safx24.ind_produto", tipo="String")
private String indProduto;
@Coluna(nome="safx24.cod_produto", tipo="String")
private String codProduto;
@Coluna(nome="safx24.dat_produto", tipo="FglDate")
private FglDate datProduto;
@Coluna(nome="safx24.cod_und_pad_orig", tipo="String")
private String codUndPadOrig;
@Coluna(nome="safx24.cod_und_pad_dest", tipo="String")
private String codUndPadDest;
@Coluna(nome="safx24.vlr_fator_conv", tipo="double")
private double vlrFatorConv;
private boolean vlrFatorConvNull;
@Coluna(nome="safx24.datager", tipo="FglDate")
private FglDate datager;

public TabSafx24() {
initialize();
}

public void initialize() {
setIndProduto(null);
setCodProduto(null);
setDatProduto(null);
setCodUndPadOrig(null);
setCodUndPadDest(null);
setVlrFatorConv(null);
setDatager(null);
}

public TabSafx24(String indProduto, String codProduto, FglDate datProduto, String codUndPadOrig, String codUndPadDest, double vlrFatorConv, FglDate datager) {
this.indProduto = indProduto;
this.codProduto = codProduto;
this.datProduto = datProduto;
this.codUndPadOrig = codUndPadOrig;
this.codUndPadDest = codUndPadDest;
this.vlrFatorConv = vlrFatorConv;
this.datager = datager;
}

public String getIndProduto() {
return indProduto;
}

public void setIndProduto(String indProduto) {
this.indProduto = indProduto;
}

public String getCodProduto() {
return codProduto;
}

public void setCodProduto(String codProduto) {
this.codProduto = codProduto;
}

public FglDate getDatProduto() {
return datProduto;
}

public void setDatProduto(FglDate datProduto) {
this.datProduto = datProduto;
}

public String getCodUndPadOrig() {
return codUndPadOrig;
}

public void setCodUndPadOrig(String codUndPadOrig) {
this.codUndPadOrig = codUndPadOrig;
}

public String getCodUndPadDest() {
return codUndPadDest;
}

public void setCodUndPadDest(String codUndPadDest) {
this.codUndPadDest = codUndPadDest;
}

public double getVlrFatorConv() {
return vlrFatorConv;
}

public boolean isVlrFatorConvNull() {
return vlrFatorConvNull;
}

public void setVlrFatorConv(int vlrFatorConv) {
setVlrFatorConv(new Double(vlrFatorConv));
}

public void setVlrFatorConv(long vlrFatorConv) {
setVlrFatorConv(new Double(vlrFatorConv));
}

public void setVlrFatorConv(Double vlrFatorConv) {
if (vlrFatorConv == null) {
vlrFatorConvNull = true;
this.vlrFatorConv = 0.;
} else { 
vlrFatorConvNull = false;
this.vlrFatorConv = FglDouble.round(vlrFatorConv, 6);
}
}

public FglDate getDatager() {
return datager;
}

public void setDatager(FglDate datager) {
this.datager = datager;
}

}

