package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSaldoClientes {
@Coluna(nome="saldo_clientes.codigo_empresa_sap", tipo="String")
private String codigoEmpresaSap;
@Coluna(nome="saldo_clientes.codigo_cliente_sap", tipo="String")
private String codigoClienteSap;
@Coluna(nome="saldo_clientes.saldo_devedor", tipo="double")
private double saldoDevedor;
private boolean saldoDevedorNull;
@Coluna(nome="saldo_clientes.qtd_dias_atraso", tipo="long")
private long qtdDiasAtraso;
private boolean qtdDiasAtrasoNull;

public TabSaldoClientes() {
initialize();
}

public void initialize() {
setCodigoEmpresaSap(null);
setCodigoClienteSap(null);
setSaldoDevedor(null);
setQtdDiasAtraso(null);
}

public TabSaldoClientes(String codigoEmpresaSap, String codigoClienteSap, double saldoDevedor, long qtdDiasAtraso) {
this.codigoEmpresaSap = codigoEmpresaSap;
this.codigoClienteSap = codigoClienteSap;
this.saldoDevedor = saldoDevedor;
this.qtdDiasAtraso = qtdDiasAtraso;
}

public String getCodigoEmpresaSap() {
return codigoEmpresaSap;
}

public void setCodigoEmpresaSap(String codigoEmpresaSap) {
this.codigoEmpresaSap = codigoEmpresaSap;
}

public String getCodigoClienteSap() {
return codigoClienteSap;
}

public void setCodigoClienteSap(String codigoClienteSap) {
this.codigoClienteSap = codigoClienteSap;
}

public double getSaldoDevedor() {
return saldoDevedor;
}

public boolean isSaldoDevedorNull() {
return saldoDevedorNull;
}

public void setSaldoDevedor(int saldoDevedor) {
setSaldoDevedor(new Double(saldoDevedor));
}

public void setSaldoDevedor(long saldoDevedor) {
setSaldoDevedor(new Double(saldoDevedor));
}

public void setSaldoDevedor(Double saldoDevedor) {
if (saldoDevedor == null) {
saldoDevedorNull = true;
this.saldoDevedor = 0.;
} else { 
saldoDevedorNull = false;
this.saldoDevedor = FglDouble.round(saldoDevedor, 2);
}
}

public long getQtdDiasAtraso() {
return qtdDiasAtraso;
}

public boolean isQtdDiasAtrasoNull() {
return qtdDiasAtrasoNull;
}

public void setQtdDiasAtraso(int qtdDiasAtraso) {
setQtdDiasAtraso(new Long(qtdDiasAtraso));
}

public void setQtdDiasAtraso(Long qtdDiasAtraso) {
if (qtdDiasAtraso == null) {
qtdDiasAtrasoNull = true;
this.qtdDiasAtraso = 0l;
} else { 
qtdDiasAtrasoNull = false;
this.qtdDiasAtraso = qtdDiasAtraso;
}
}

}

