package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabScfila {
@Coluna(nome="scfila.nrocoe", tipo="int")
private int nrocoe;
private boolean nrocoeNull;
@Coluna(nome="scfila.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="scfila.dataentrada", tipo="FglDate")
private FglDate dataentrada;
@Coluna(nome="scfila.horaentrada", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaentrada;
@Coluna(nome="scfila.ocorrencia", tipo="int")
private int ocorrencia;
private boolean ocorrenciaNull;
@Coluna(nome="scfila.status", tipo="String")
private String status;
@Coluna(nome="scfila.gravidade", tipo="int")
private int gravidade;
private boolean gravidadeNull;
@Coluna(nome="scfila.urgencia", tipo="int")
private int urgencia;
private boolean urgenciaNull;
@Coluna(nome="scfila.tendencia", tipo="int")
private int tendencia;
private boolean tendenciaNull;
@Coluna(nome="scfila.multigerencial", tipo="int")
private int multigerencial;
private boolean multigerencialNull;
@Coluna(nome="scfila.priorizacao", tipo="int")
private int priorizacao;
private boolean priorizacaoNull;

public TabScfila() {
initialize();
}

public void initialize() {
setNrocoe(null);
setIdAgente(null);
setDataentrada(null);
setHoraentrada(null);
setOcorrencia(null);
setStatus(null);
setGravidade(null);
setUrgencia(null);
setTendencia(null);
setMultigerencial(null);
setPriorizacao(null);
}

public TabScfila(int nrocoe, int idAgente, FglDate dataentrada, FglDateTimeHMin horaentrada, int ocorrencia, String status, int gravidade, int urgencia, int tendencia, int multigerencial, int priorizacao) {
this.nrocoe = nrocoe;
this.idAgente = idAgente;
this.dataentrada = dataentrada;
this.horaentrada = horaentrada;
this.ocorrencia = ocorrencia;
this.status = status;
this.gravidade = gravidade;
this.urgencia = urgencia;
this.tendencia = tendencia;
this.multigerencial = multigerencial;
this.priorizacao = priorizacao;
}

public int getNrocoe() {
return nrocoe;
}

public boolean isNrocoeNull() {
return nrocoeNull;
}

public void setNrocoe(Integer nrocoe) {
if (nrocoe == null) {
nrocoeNull = true;
this.nrocoe = 0;
} else { 
nrocoeNull = false;
this.nrocoe = nrocoe;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDataentrada() {
return dataentrada;
}

public void setDataentrada(FglDate dataentrada) {
this.dataentrada = dataentrada;
}

public FglDateTimeHMin getHoraentrada() {
return horaentrada;
}

public void setHoraentrada(FglDateTimeHMin horaentrada) {
this.horaentrada = horaentrada;
}

public int getOcorrencia() {
return ocorrencia;
}

public boolean isOcorrenciaNull() {
return ocorrenciaNull;
}

public void setOcorrencia(Integer ocorrencia) {
if (ocorrencia == null) {
ocorrenciaNull = true;
this.ocorrencia = 0;
} else { 
ocorrenciaNull = false;
this.ocorrencia = ocorrencia;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getGravidade() {
return gravidade;
}

public boolean isGravidadeNull() {
return gravidadeNull;
}

public void setGravidade(Integer gravidade) {
if (gravidade == null) {
gravidadeNull = true;
this.gravidade = 0;
} else { 
gravidadeNull = false;
this.gravidade = gravidade;
}
}

public int getUrgencia() {
return urgencia;
}

public boolean isUrgenciaNull() {
return urgenciaNull;
}

public void setUrgencia(Integer urgencia) {
if (urgencia == null) {
urgenciaNull = true;
this.urgencia = 0;
} else { 
urgenciaNull = false;
this.urgencia = urgencia;
}
}

public int getTendencia() {
return tendencia;
}

public boolean isTendenciaNull() {
return tendenciaNull;
}

public void setTendencia(Integer tendencia) {
if (tendencia == null) {
tendenciaNull = true;
this.tendencia = 0;
} else { 
tendenciaNull = false;
this.tendencia = tendencia;
}
}

public int getMultigerencial() {
return multigerencial;
}

public boolean isMultigerencialNull() {
return multigerencialNull;
}

public void setMultigerencial(Integer multigerencial) {
if (multigerencial == null) {
multigerencialNull = true;
this.multigerencial = 0;
} else { 
multigerencialNull = false;
this.multigerencial = multigerencial;
}
}

public int getPriorizacao() {
return priorizacao;
}

public boolean isPriorizacaoNull() {
return priorizacaoNull;
}

public void setPriorizacao(Integer priorizacao) {
if (priorizacao == null) {
priorizacaoNull = true;
this.priorizacao = 0;
} else { 
priorizacaoNull = false;
this.priorizacao = priorizacao;
}
}

}

