package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabScusuari {
@Coluna(nome="scusuari.usuario", tipo="String")
private String usuario;
@Coluna(nome="scusuari.senha", tipo="String")
private String senha;
@Coluna(nome="scusuari.tp_usr", tipo="String")
private String tpUsr;
@Coluna(nome="scusuari.sigladepto", tipo="String")
private String sigladepto;
@Coluna(nome="scusuari.nome", tipo="String")
private String nome;
@Coluna(nome="scusuari.email", tipo="String")
private String email;
@Coluna(nome="scusuari.fone", tipo="String")
private String fone;
@Coluna(nome="scusuari.celular", tipo="String")
private String celular;
@Coluna(nome="scusuari.papel", tipo="int")
private int papel;
private boolean papelNull;
@Coluna(nome="scusuari.tecnologia", tipo="String")
private String tecnologia;
@Coluna(nome="scusuari.sparado", tipo="String")
private String sparado;
@Coluna(nome="scusuari.bloqueado", tipo="String")
private String bloqueado;
@Coluna(nome="scusuari.nivelvale", tipo="int")
private int nivelvale;
private boolean nivelvaleNull;

public TabScusuari() {
initialize();
}

public void initialize() {
setUsuario(null);
setSenha(null);
setTpUsr(null);
setSigladepto(null);
setNome(null);
setEmail(null);
setFone(null);
setCelular(null);
setPapel(null);
setTecnologia(null);
setSparado(null);
setBloqueado(null);
setNivelvale(null);
}

public TabScusuari(String usuario, String senha, String tpUsr, String sigladepto, String nome, String email, String fone, String celular, int papel, String tecnologia, String sparado, String bloqueado, int nivelvale) {
this.usuario = usuario;
this.senha = senha;
this.tpUsr = tpUsr;
this.sigladepto = sigladepto;
this.nome = nome;
this.email = email;
this.fone = fone;
this.celular = celular;
this.papel = papel;
this.tecnologia = tecnologia;
this.sparado = sparado;
this.bloqueado = bloqueado;
this.nivelvale = nivelvale;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

public String getSenha() {
return senha;
}

public void setSenha(String senha) {
this.senha = senha;
}

public String getTpUsr() {
return tpUsr;
}

public void setTpUsr(String tpUsr) {
this.tpUsr = tpUsr;
}

public String getSigladepto() {
return sigladepto;
}

public void setSigladepto(String sigladepto) {
this.sigladepto = sigladepto;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getEmail() {
return email;
}

public void setEmail(String email) {
this.email = email;
}

public String getFone() {
return fone;
}

public void setFone(String fone) {
this.fone = fone;
}

public String getCelular() {
return celular;
}

public void setCelular(String celular) {
this.celular = celular;
}

public int getPapel() {
return papel;
}

public boolean isPapelNull() {
return papelNull;
}

public void setPapel(Integer papel) {
if (papel == null) {
papelNull = true;
this.papel = 0;
} else { 
papelNull = false;
this.papel = papel;
}
}

public String getTecnologia() {
return tecnologia;
}

public void setTecnologia(String tecnologia) {
this.tecnologia = tecnologia;
}

public String getSparado() {
return sparado;
}

public void setSparado(String sparado) {
this.sparado = sparado;
}

public String getBloqueado() {
return bloqueado;
}

public void setBloqueado(String bloqueado) {
this.bloqueado = bloqueado;
}

public int getNivelvale() {
return nivelvale;
}

public boolean isNivelvaleNull() {
return nivelvaleNull;
}

public void setNivelvale(Integer nivelvale) {
if (nivelvale == null) {
nivelvaleNull = true;
this.nivelvale = 0;
} else { 
nivelvaleNull = false;
this.nivelvale = nivelvale;
}
}

}

