package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSfpedido {
@Coluna(nome="sfpedido.id_pedido", tipo="int")
private int idPedido;
private boolean idPedidoNull;
@Coluna(nome="sfpedido.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="sfpedido.metodo", tipo="String")
private String metodo;
@Coluna(nome="sfpedido.numero_dn", tipo="int")
private int numeroDn;
private boolean numeroDnNull;
@Coluna(nome="sfpedido.numero_pedido", tipo="String")
private String numeroPedido;
@Coluna(nome="sfpedido.data_inclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dataInclusao;
@Coluna(nome="sfpedido.status_envio", tipo="String")
private String statusEnvio;
@Coluna(nome="sfpedido.cpf_cnpj", tipo="long")
private long cpfCnpj;
private boolean cpfCnpjNull;
@Coluna(nome="sfpedido.chassi", tipo="String")
private String chassi;
@Coluna(nome="sfpedido.status", tipo="String")
private String status;
@Coluna(nome="sfpedido.numero_pedido_dms", tipo="String")
private String numeroPedidoDms;
@Coluna(nome="sfpedido.data_criacao", tipo="FglDateTimeYS")
private FglDateTimeYS dataCriacao;
@Coluna(nome="sfpedido.data_validade", tipo="FglDateTimeYS")
private FglDateTimeYS dataValidade;
@Coluna(nome="sfpedido.nome_cliente", tipo="String")
private String nomeCliente;
@Coluna(nome="sfpedido.logradouro", tipo="String")
private String logradouro;
@Coluna(nome="sfpedido.bairro", tipo="String")
private String bairro;
@Coluna(nome="sfpedido.cidade", tipo="String")
private String cidade;
@Coluna(nome="sfpedido.cep", tipo="String")
private String cep;
@Coluna(nome="sfpedido.estado", tipo="String")
private String estado;
@Coluna(nome="sfpedido.pais", tipo="String")
private String pais;
@Coluna(nome="sfpedido.email_cliente", tipo="String")
private String emailCliente;
@Coluna(nome="sfpedido.pais_residencia", tipo="String")
private String paisResidencia;
@Coluna(nome="sfpedido.estado_civil", tipo="String")
private String estadoCivil;
@Coluna(nome="sfpedido.sexo", tipo="String")
private String sexo;
@Coluna(nome="sfpedido.data_nascimento", tipo="FglDateTimeYS")
private FglDateTimeYS dataNascimento;
@Coluna(nome="sfpedido.rg_inscricao_estadual", tipo="String")
private String rgInscricaoEstadual;
@Coluna(nome="sfpedido.ocupacao", tipo="String")
private String ocupacao;
@Coluna(nome="sfpedido.faixa_salarial", tipo="String")
private String faixaSalarial;
@Coluna(nome="sfpedido.grau_instrucao", tipo="String")
private String grauInstrucao;
@Coluna(nome="sfpedido.telefone_residencial", tipo="String")
private String telefoneResidencial;
@Coluna(nome="sfpedido.telefone_comercial", tipo="String")
private String telefoneComercial;
@Coluna(nome="sfpedido.telefone_celular", tipo="String")
private String telefoneCelular;
@Coluna(nome="sfpedido.fax", tipo="String")
private String fax;
@Coluna(nome="sfpedido.numero_filhos", tipo="int")
private int numeroFilhos;
private boolean numeroFilhosNull;
@Coluna(nome="sfpedido.identificacao_hobby", tipo="String")
private String identificacaoHobby;
@Coluna(nome="sfpedido.nome_vendedor", tipo="String")
private String nomeVendedor;
@Coluna(nome="sfpedido.email_vendedor", tipo="String")
private String emailVendedor;
@Coluna(nome="sfpedido.telefone_vendedor", tipo="String")
private String telefoneVendedor;
@Coluna(nome="sfpedido.lista_acessorios", tipo="String")
private String listaAcessorios;
@Coluna(nome="sfpedido.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="sfpedido.forma_pagamento", tipo="String")
private String formaPagamento;
@Coluna(nome="sfpedido.entrada", tipo="double")
private double entrada;
private boolean entradaNull;
@Coluna(nome="sfpedido.veiculo_usado", tipo="String")
private String veiculoUsado;
@Coluna(nome="sfpedido.ano_veiculo_usado", tipo="int")
private int anoVeiculoUsado;
private boolean anoVeiculoUsadoNull;
@Coluna(nome="sfpedido.valor_veiculo_usado", tipo="double")
private double valorVeiculoUsado;
private boolean valorVeiculoUsadoNull;
@Coluna(nome="sfpedido.agente_financiador", tipo="String")
private String agenteFinanciador;
@Coluna(nome="sfpedido.tipo_financiamento", tipo="String")
private String tipoFinanciamento;
@Coluna(nome="sfpedido.valor_financiamento", tipo="double")
private double valorFinanciamento;
private boolean valorFinanciamentoNull;
@Coluna(nome="sfpedido.numero_parcelas", tipo="int")
private int numeroParcelas;
private boolean numeroParcelasNull;
@Coluna(nome="sfpedido.valor_parcelas", tipo="double")
private double valorParcelas;
private boolean valorParcelasNull;
@Coluna(nome="sfpedido.cpf_vendedor", tipo="String")
private String cpfVendedor;
@Coluna(nome="sfpedido.placa_usado", tipo="String")
private String placaUsado;
@Coluna(nome="sfpedido.data_ultima_atualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dataUltimaAtualizacao;
@Coluna(nome="sfpedido.observacoes", tipo="String")
private String observacoes;
@Coluna(nome="sfpedido.cod_retorno", tipo="String")
private String codRetorno;
@Coluna(nome="sfpedido.des_retorno", tipo="String")
private String desRetorno;
@Coluna(nome="sfpedido.validade", tipo="String")
private String validade;

public TabSfpedido() {
initialize();
}

public void initialize() {
setIdPedido(null);
setFilial(null);
setMetodo(null);
setNumeroDn(null);
setNumeroPedido(null);
setDataInclusao(null);
setStatusEnvio(null);
setCpfCnpj(null);
setChassi(null);
setStatus(null);
setNumeroPedidoDms(null);
setDataCriacao(null);
setDataValidade(null);
setNomeCliente(null);
setLogradouro(null);
setBairro(null);
setCidade(null);
setCep(null);
setEstado(null);
setPais(null);
setEmailCliente(null);
setPaisResidencia(null);
setEstadoCivil(null);
setSexo(null);
setDataNascimento(null);
setRgInscricaoEstadual(null);
setOcupacao(null);
setFaixaSalarial(null);
setGrauInstrucao(null);
setTelefoneResidencial(null);
setTelefoneComercial(null);
setTelefoneCelular(null);
setFax(null);
setNumeroFilhos(null);
setIdentificacaoHobby(null);
setNomeVendedor(null);
setEmailVendedor(null);
setTelefoneVendedor(null);
setListaAcessorios(null);
setValor(null);
setFormaPagamento(null);
setEntrada(null);
setVeiculoUsado(null);
setAnoVeiculoUsado(null);
setValorVeiculoUsado(null);
setAgenteFinanciador(null);
setTipoFinanciamento(null);
setValorFinanciamento(null);
setNumeroParcelas(null);
setValorParcelas(null);
setCpfVendedor(null);
setPlacaUsado(null);
setDataUltimaAtualizacao(null);
setObservacoes(null);
setCodRetorno(null);
setDesRetorno(null);
setValidade(null);
}

public TabSfpedido(int idPedido, int filial, String metodo, int numeroDn, String numeroPedido, FglDateTimeYS dataInclusao, String statusEnvio, long cpfCnpj, String chassi, String status, String numeroPedidoDms, FglDateTimeYS dataCriacao, FglDateTimeYS dataValidade, String nomeCliente, String logradouro, String bairro, String cidade, String cep, String estado, String pais, String emailCliente, String paisResidencia, String estadoCivil, String sexo, FglDateTimeYS dataNascimento, String rgInscricaoEstadual, String ocupacao, String faixaSalarial, String grauInstrucao, String telefoneResidencial, String telefoneComercial, String telefoneCelular, String fax, int numeroFilhos, String identificacaoHobby, String nomeVendedor, String emailVendedor, String telefoneVendedor, String listaAcessorios, double valor, String formaPagamento, double entrada, String veiculoUsado, int anoVeiculoUsado, double valorVeiculoUsado, String agenteFinanciador, String tipoFinanciamento, double valorFinanciamento, int numeroParcelas, double valorParcelas, String cpfVendedor, String placaUsado, FglDateTimeYS dataUltimaAtualizacao, String observacoes, String codRetorno, String desRetorno, String validade) {
this.idPedido = idPedido;
this.filial = filial;
this.metodo = metodo;
this.numeroDn = numeroDn;
this.numeroPedido = numeroPedido;
this.dataInclusao = dataInclusao;
this.statusEnvio = statusEnvio;
this.cpfCnpj = cpfCnpj;
this.chassi = chassi;
this.status = status;
this.numeroPedidoDms = numeroPedidoDms;
this.dataCriacao = dataCriacao;
this.dataValidade = dataValidade;
this.nomeCliente = nomeCliente;
this.logradouro = logradouro;
this.bairro = bairro;
this.cidade = cidade;
this.cep = cep;
this.estado = estado;
this.pais = pais;
this.emailCliente = emailCliente;
this.paisResidencia = paisResidencia;
this.estadoCivil = estadoCivil;
this.sexo = sexo;
this.dataNascimento = dataNascimento;
this.rgInscricaoEstadual = rgInscricaoEstadual;
this.ocupacao = ocupacao;
this.faixaSalarial = faixaSalarial;
this.grauInstrucao = grauInstrucao;
this.telefoneResidencial = telefoneResidencial;
this.telefoneComercial = telefoneComercial;
this.telefoneCelular = telefoneCelular;
this.fax = fax;
this.numeroFilhos = numeroFilhos;
this.identificacaoHobby = identificacaoHobby;
this.nomeVendedor = nomeVendedor;
this.emailVendedor = emailVendedor;
this.telefoneVendedor = telefoneVendedor;
this.listaAcessorios = listaAcessorios;
this.valor = valor;
this.formaPagamento = formaPagamento;
this.entrada = entrada;
this.veiculoUsado = veiculoUsado;
this.anoVeiculoUsado = anoVeiculoUsado;
this.valorVeiculoUsado = valorVeiculoUsado;
this.agenteFinanciador = agenteFinanciador;
this.tipoFinanciamento = tipoFinanciamento;
this.valorFinanciamento = valorFinanciamento;
this.numeroParcelas = numeroParcelas;
this.valorParcelas = valorParcelas;
this.cpfVendedor = cpfVendedor;
this.placaUsado = placaUsado;
this.dataUltimaAtualizacao = dataUltimaAtualizacao;
this.observacoes = observacoes;
this.codRetorno = codRetorno;
this.desRetorno = desRetorno;
this.validade = validade;
}

public int getIdPedido() {
return idPedido;
}

public boolean isIdPedidoNull() {
return idPedidoNull;
}

public void setIdPedido(Integer idPedido) {
if (idPedido == null) {
idPedidoNull = true;
this.idPedido = 0;
} else { 
idPedidoNull = false;
this.idPedido = idPedido;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getMetodo() {
return metodo;
}

public void setMetodo(String metodo) {
this.metodo = metodo;
}

public int getNumeroDn() {
return numeroDn;
}

public boolean isNumeroDnNull() {
return numeroDnNull;
}

public void setNumeroDn(Integer numeroDn) {
if (numeroDn == null) {
numeroDnNull = true;
this.numeroDn = 0;
} else { 
numeroDnNull = false;
this.numeroDn = numeroDn;
}
}

public String getNumeroPedido() {
return numeroPedido;
}

public void setNumeroPedido(String numeroPedido) {
this.numeroPedido = numeroPedido;
}

public FglDateTimeYS getDataInclusao() {
return dataInclusao;
}

public void setDataInclusao(FglDateTimeYS dataInclusao) {
this.dataInclusao = dataInclusao;
}

public String getStatusEnvio() {
return statusEnvio;
}

public void setStatusEnvio(String statusEnvio) {
this.statusEnvio = statusEnvio;
}

public long getCpfCnpj() {
return cpfCnpj;
}

public boolean isCpfCnpjNull() {
return cpfCnpjNull;
}

public void setCpfCnpj(int cpfCnpj) {
setCpfCnpj(new Long(cpfCnpj));
}

public void setCpfCnpj(Long cpfCnpj) {
if (cpfCnpj == null) {
cpfCnpjNull = true;
this.cpfCnpj = 0l;
} else { 
cpfCnpjNull = false;
this.cpfCnpj = cpfCnpj;
}
}

public String getChassi() {
return chassi;
}

public void setChassi(String chassi) {
this.chassi = chassi;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getNumeroPedidoDms() {
return numeroPedidoDms;
}

public void setNumeroPedidoDms(String numeroPedidoDms) {
this.numeroPedidoDms = numeroPedidoDms;
}

public FglDateTimeYS getDataCriacao() {
return dataCriacao;
}

public void setDataCriacao(FglDateTimeYS dataCriacao) {
this.dataCriacao = dataCriacao;
}

public FglDateTimeYS getDataValidade() {
return dataValidade;
}

public void setDataValidade(FglDateTimeYS dataValidade) {
this.dataValidade = dataValidade;
}

public String getNomeCliente() {
return nomeCliente;
}

public void setNomeCliente(String nomeCliente) {
this.nomeCliente = nomeCliente;
}

public String getLogradouro() {
return logradouro;
}

public void setLogradouro(String logradouro) {
this.logradouro = logradouro;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getEstado() {
return estado;
}

public void setEstado(String estado) {
this.estado = estado;
}

public String getPais() {
return pais;
}

public void setPais(String pais) {
this.pais = pais;
}

public String getEmailCliente() {
return emailCliente;
}

public void setEmailCliente(String emailCliente) {
this.emailCliente = emailCliente;
}

public String getPaisResidencia() {
return paisResidencia;
}

public void setPaisResidencia(String paisResidencia) {
this.paisResidencia = paisResidencia;
}

public String getEstadoCivil() {
return estadoCivil;
}

public void setEstadoCivil(String estadoCivil) {
this.estadoCivil = estadoCivil;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public FglDateTimeYS getDataNascimento() {
return dataNascimento;
}

public void setDataNascimento(FglDateTimeYS dataNascimento) {
this.dataNascimento = dataNascimento;
}

public String getRgInscricaoEstadual() {
return rgInscricaoEstadual;
}

public void setRgInscricaoEstadual(String rgInscricaoEstadual) {
this.rgInscricaoEstadual = rgInscricaoEstadual;
}

public String getOcupacao() {
return ocupacao;
}

public void setOcupacao(String ocupacao) {
this.ocupacao = ocupacao;
}

public String getFaixaSalarial() {
return faixaSalarial;
}

public void setFaixaSalarial(String faixaSalarial) {
this.faixaSalarial = faixaSalarial;
}

public String getGrauInstrucao() {
return grauInstrucao;
}

public void setGrauInstrucao(String grauInstrucao) {
this.grauInstrucao = grauInstrucao;
}

public String getTelefoneResidencial() {
return telefoneResidencial;
}

public void setTelefoneResidencial(String telefoneResidencial) {
this.telefoneResidencial = telefoneResidencial;
}

public String getTelefoneComercial() {
return telefoneComercial;
}

public void setTelefoneComercial(String telefoneComercial) {
this.telefoneComercial = telefoneComercial;
}

public String getTelefoneCelular() {
return telefoneCelular;
}

public void setTelefoneCelular(String telefoneCelular) {
this.telefoneCelular = telefoneCelular;
}

public String getFax() {
return fax;
}

public void setFax(String fax) {
this.fax = fax;
}

public int getNumeroFilhos() {
return numeroFilhos;
}

public boolean isNumeroFilhosNull() {
return numeroFilhosNull;
}

public void setNumeroFilhos(Integer numeroFilhos) {
if (numeroFilhos == null) {
numeroFilhosNull = true;
this.numeroFilhos = 0;
} else { 
numeroFilhosNull = false;
this.numeroFilhos = numeroFilhos;
}
}

public String getIdentificacaoHobby() {
return identificacaoHobby;
}

public void setIdentificacaoHobby(String identificacaoHobby) {
this.identificacaoHobby = identificacaoHobby;
}

public String getNomeVendedor() {
return nomeVendedor;
}

public void setNomeVendedor(String nomeVendedor) {
this.nomeVendedor = nomeVendedor;
}

public String getEmailVendedor() {
return emailVendedor;
}

public void setEmailVendedor(String emailVendedor) {
this.emailVendedor = emailVendedor;
}

public String getTelefoneVendedor() {
return telefoneVendedor;
}

public void setTelefoneVendedor(String telefoneVendedor) {
this.telefoneVendedor = telefoneVendedor;
}

public String getListaAcessorios() {
return listaAcessorios;
}

public void setListaAcessorios(String listaAcessorios) {
this.listaAcessorios = listaAcessorios;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getFormaPagamento() {
return formaPagamento;
}

public void setFormaPagamento(String formaPagamento) {
this.formaPagamento = formaPagamento;
}

public double getEntrada() {
return entrada;
}

public boolean isEntradaNull() {
return entradaNull;
}

public void setEntrada(int entrada) {
setEntrada(new Double(entrada));
}

public void setEntrada(long entrada) {
setEntrada(new Double(entrada));
}

public void setEntrada(Double entrada) {
if (entrada == null) {
entradaNull = true;
this.entrada = 0.;
} else { 
entradaNull = false;
this.entrada = FglDouble.round(entrada, 2);
}
}

public String getVeiculoUsado() {
return veiculoUsado;
}

public void setVeiculoUsado(String veiculoUsado) {
this.veiculoUsado = veiculoUsado;
}

public int getAnoVeiculoUsado() {
return anoVeiculoUsado;
}

public boolean isAnoVeiculoUsadoNull() {
return anoVeiculoUsadoNull;
}

public void setAnoVeiculoUsado(Integer anoVeiculoUsado) {
if (anoVeiculoUsado == null) {
anoVeiculoUsadoNull = true;
this.anoVeiculoUsado = 0;
} else { 
anoVeiculoUsadoNull = false;
this.anoVeiculoUsado = anoVeiculoUsado;
}
}

public double getValorVeiculoUsado() {
return valorVeiculoUsado;
}

public boolean isValorVeiculoUsadoNull() {
return valorVeiculoUsadoNull;
}

public void setValorVeiculoUsado(int valorVeiculoUsado) {
setValorVeiculoUsado(new Double(valorVeiculoUsado));
}

public void setValorVeiculoUsado(long valorVeiculoUsado) {
setValorVeiculoUsado(new Double(valorVeiculoUsado));
}

public void setValorVeiculoUsado(Double valorVeiculoUsado) {
if (valorVeiculoUsado == null) {
valorVeiculoUsadoNull = true;
this.valorVeiculoUsado = 0.;
} else { 
valorVeiculoUsadoNull = false;
this.valorVeiculoUsado = FglDouble.round(valorVeiculoUsado, 2);
}
}

public String getAgenteFinanciador() {
return agenteFinanciador;
}

public void setAgenteFinanciador(String agenteFinanciador) {
this.agenteFinanciador = agenteFinanciador;
}

public String getTipoFinanciamento() {
return tipoFinanciamento;
}

public void setTipoFinanciamento(String tipoFinanciamento) {
this.tipoFinanciamento = tipoFinanciamento;
}

public double getValorFinanciamento() {
return valorFinanciamento;
}

public boolean isValorFinanciamentoNull() {
return valorFinanciamentoNull;
}

public void setValorFinanciamento(int valorFinanciamento) {
setValorFinanciamento(new Double(valorFinanciamento));
}

public void setValorFinanciamento(long valorFinanciamento) {
setValorFinanciamento(new Double(valorFinanciamento));
}

public void setValorFinanciamento(Double valorFinanciamento) {
if (valorFinanciamento == null) {
valorFinanciamentoNull = true;
this.valorFinanciamento = 0.;
} else { 
valorFinanciamentoNull = false;
this.valorFinanciamento = FglDouble.round(valorFinanciamento, 2);
}
}

public int getNumeroParcelas() {
return numeroParcelas;
}

public boolean isNumeroParcelasNull() {
return numeroParcelasNull;
}

public void setNumeroParcelas(Integer numeroParcelas) {
if (numeroParcelas == null) {
numeroParcelasNull = true;
this.numeroParcelas = 0;
} else { 
numeroParcelasNull = false;
this.numeroParcelas = numeroParcelas;
}
}

public double getValorParcelas() {
return valorParcelas;
}

public boolean isValorParcelasNull() {
return valorParcelasNull;
}

public void setValorParcelas(int valorParcelas) {
setValorParcelas(new Double(valorParcelas));
}

public void setValorParcelas(long valorParcelas) {
setValorParcelas(new Double(valorParcelas));
}

public void setValorParcelas(Double valorParcelas) {
if (valorParcelas == null) {
valorParcelasNull = true;
this.valorParcelas = 0.;
} else { 
valorParcelasNull = false;
this.valorParcelas = FglDouble.round(valorParcelas, 2);
}
}

public String getCpfVendedor() {
return cpfVendedor;
}

public void setCpfVendedor(String cpfVendedor) {
this.cpfVendedor = cpfVendedor;
}

public String getPlacaUsado() {
return placaUsado;
}

public void setPlacaUsado(String placaUsado) {
this.placaUsado = placaUsado;
}

public FglDateTimeYS getDataUltimaAtualizacao() {
return dataUltimaAtualizacao;
}

public void setDataUltimaAtualizacao(FglDateTimeYS dataUltimaAtualizacao) {
this.dataUltimaAtualizacao = dataUltimaAtualizacao;
}

public String getObservacoes() {
return observacoes;
}

public void setObservacoes(String observacoes) {
this.observacoes = observacoes;
}

public String getCodRetorno() {
return codRetorno;
}

public void setCodRetorno(String codRetorno) {
this.codRetorno = codRetorno;
}

public String getDesRetorno() {
return desRetorno;
}

public void setDesRetorno(String desRetorno) {
this.desRetorno = desRetorno;
}

public String getValidade() {
return validade;
}

public void setValidade(String validade) {
this.validade = validade;
}

}

