package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSinClientes {
@Coluna(nome="sin_clientes.id", tipo="int")
private int id;
private boolean idNull;
@Coluna(nome="sin_clientes.status", tipo="String")
private String status;
@Coluna(nome="sin_clientes.nome", tipo="String")
private String nome;
@Coluna(nome="sin_clientes.tipo", tipo="String")
private String tipo;
@Coluna(nome="sin_clientes.cpfcnpj", tipo="String")
private String cpfcnpj;
@Coluna(nome="sin_clientes.rgie", tipo="String")
private String rgie;
@Coluna(nome="sin_clientes.ssp", tipo="String")
private String ssp;
@Coluna(nome="sin_clientes.sexo", tipo="String")
private String sexo;
@Coluna(nome="sin_clientes.datanascimento", tipo="FglDate")
private FglDate datanascimento;
@Coluna(nome="sin_clientes.logradouro", tipo="String")
private String logradouro;
@Coluna(nome="sin_clientes.complemento", tipo="String")
private String complemento;
@Coluna(nome="sin_clientes.bairro", tipo="String")
private String bairro;
@Coluna(nome="sin_clientes.cep", tipo="String")
private String cep;
@Coluna(nome="sin_clientes.cidade", tipo="String")
private String cidade;
@Coluna(nome="sin_clientes.uf", tipo="String")
private String uf;

public TabSinClientes() {
initialize();
}

public void initialize() {
setId(null);
setStatus(null);
setNome(null);
setTipo(null);
setCpfcnpj(null);
setRgie(null);
setSsp(null);
setSexo(null);
setDatanascimento(null);
setLogradouro(null);
setComplemento(null);
setBairro(null);
setCep(null);
setCidade(null);
setUf(null);
}

public TabSinClientes(int id, String status, String nome, String tipo, String cpfcnpj, String rgie, String ssp, String sexo, FglDate datanascimento, String logradouro, String complemento, String bairro, String cep, String cidade, String uf) {
this.id = id;
this.status = status;
this.nome = nome;
this.tipo = tipo;
this.cpfcnpj = cpfcnpj;
this.rgie = rgie;
this.ssp = ssp;
this.sexo = sexo;
this.datanascimento = datanascimento;
this.logradouro = logradouro;
this.complemento = complemento;
this.bairro = bairro;
this.cep = cep;
this.cidade = cidade;
this.uf = uf;
}

public int getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(Integer id) {
if (id == null) {
idNull = true;
this.id = 0;
} else { 
idNull = false;
this.id = id;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getNome() {
return nome;
}

public void setNome(String nome) {
this.nome = nome;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getCpfcnpj() {
return cpfcnpj;
}

public void setCpfcnpj(String cpfcnpj) {
this.cpfcnpj = cpfcnpj;
}

public String getRgie() {
return rgie;
}

public void setRgie(String rgie) {
this.rgie = rgie;
}

public String getSsp() {
return ssp;
}

public void setSsp(String ssp) {
this.ssp = ssp;
}

public String getSexo() {
return sexo;
}

public void setSexo(String sexo) {
this.sexo = sexo;
}

public FglDate getDatanascimento() {
return datanascimento;
}

public void setDatanascimento(FglDate datanascimento) {
this.datanascimento = datanascimento;
}

public String getLogradouro() {
return logradouro;
}

public void setLogradouro(String logradouro) {
this.logradouro = logradouro;
}

public String getComplemento() {
return complemento;
}

public void setComplemento(String complemento) {
this.complemento = complemento;
}

public String getBairro() {
return bairro;
}

public void setBairro(String bairro) {
this.bairro = bairro;
}

public String getCep() {
return cep;
}

public void setCep(String cep) {
this.cep = cep;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getUf() {
return uf;
}

public void setUf(String uf) {
this.uf = uf;
}

}

