package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabSinLog {
@Coluna(nome="sin_log.nometab", tipo="String")
private String nometab;
@Coluna(nome="sin_log.id", tipo="int")
private int id;
private boolean idNull;
@Coluna(nome="sin_log.dtocorrencia", tipo="FglDateTimeYS")
private FglDateTimeYS dtocorrencia;
@Coluna(nome="sin_log.mensagem", tipo="String")
private String mensagem;

public TabSinLog() {
initialize();
}

public void initialize() {
setNometab(null);
setId(null);
setDtocorrencia(null);
setMensagem(null);
}

public TabSinLog(String nometab, int id, FglDateTimeYS dtocorrencia, String mensagem) {
this.nometab = nometab;
this.id = id;
this.dtocorrencia = dtocorrencia;
this.mensagem = mensagem;
}

public String getNometab() {
return nometab;
}

public void setNometab(String nometab) {
this.nometab = nometab;
}

public int getId() {
return id;
}

public boolean isIdNull() {
return idNull;
}

public void setId(Integer id) {
if (id == null) {
idNull = true;
this.id = 0;
} else { 
idNull = false;
this.id = id;
}
}

public FglDateTimeYS getDtocorrencia() {
return dtocorrencia;
}

public void setDtocorrencia(FglDateTimeYS dtocorrencia) {
this.dtocorrencia = dtocorrencia;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

}

