package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabSmapont {
@Coluna(nome="smapont.analista", tipo="int")
private int analista;
private boolean analistaNull;
@Coluna(nome="smapont.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="smapont.numero", tipo="int")
private int numero;
private boolean numeroNull;
@Coluna(nome="smapont.id_projeto", tipo="int")
private int idProjeto;
private boolean idProjetoNull;
@Coluna(nome="smapont.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="smapont.observacao", tipo="String")
private String observacao;
@Coluna(nome="smapont.tipoapo", tipo="int")
private int tipoapo;
private boolean tipoapoNull;
@Coluna(nome="smapont.datareg", tipo="FglDateTimeYMin")
private FglDateTimeYMin datareg;

public TabSmapont() {
initialize();
}

public void initialize() {
setAnalista(null);
setData(null);
setNumero(null);
setIdProjeto(null);
setHora(null);
setObservacao(null);
setTipoapo(null);
setDatareg(null);
}

public TabSmapont(int analista, FglDate data, int numero, int idProjeto, FglDateTimeHMin hora, String observacao, int tipoapo, FglDateTimeYMin datareg) {
this.analista = analista;
this.data = data;
this.numero = numero;
this.idProjeto = idProjeto;
this.hora = hora;
this.observacao = observacao;
this.tipoapo = tipoapo;
this.datareg = datareg;
}

public int getAnalista() {
return analista;
}

public boolean isAnalistaNull() {
return analistaNull;
}

public void setAnalista(Integer analista) {
if (analista == null) {
analistaNull = true;
this.analista = 0;
} else { 
analistaNull = false;
this.analista = analista;
}
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getNumero() {
return numero;
}

public boolean isNumeroNull() {
return numeroNull;
}

public void setNumero(Integer numero) {
if (numero == null) {
numeroNull = true;
this.numero = 0;
} else { 
numeroNull = false;
this.numero = numero;
}
}

public int getIdProjeto() {
return idProjeto;
}

public boolean isIdProjetoNull() {
return idProjetoNull;
}

public void setIdProjeto(Integer idProjeto) {
if (idProjeto == null) {
idProjetoNull = true;
this.idProjeto = 0;
} else { 
idProjetoNull = false;
this.idProjeto = idProjeto;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getTipoapo() {
return tipoapo;
}

public boolean isTipoapoNull() {
return tipoapoNull;
}

public void setTipoapo(Integer tipoapo) {
if (tipoapo == null) {
tipoapoNull = true;
this.tipoapo = 0;
} else { 
tipoapoNull = false;
this.tipoapo = tipoapo;
}
}

public FglDateTimeYMin getDatareg() {
return datareg;
}

public void setDatareg(FglDateTimeYMin datareg) {
this.datareg = datareg;
}

}

