package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSmestite {
@Coluna(nome="smestite.tecnologia", tipo="String")
private String tecnologia;
@Coluna(nome="smestite.estimativa", tipo="int")
private int estimativa;
private boolean estimativaNull;
@Coluna(nome="smestite.item", tipo="int")
private int item;
private boolean itemNull;
@Coluna(nome="smestite.descricao", tipo="String")
private String descricao;
@Coluna(nome="smestite.pesototal", tipo="double")
private double pesototal;
private boolean pesototalNull;

public TabSmestite() {
initialize();
}

public void initialize() {
setTecnologia(null);
setEstimativa(null);
setItem(null);
setDescricao(null);
setPesototal(null);
}

public TabSmestite(String tecnologia, int estimativa, int item, String descricao, double pesototal) {
this.tecnologia = tecnologia;
this.estimativa = estimativa;
this.item = item;
this.descricao = descricao;
this.pesototal = pesototal;
}

public String getTecnologia() {
return tecnologia;
}

public void setTecnologia(String tecnologia) {
this.tecnologia = tecnologia;
}

public int getEstimativa() {
return estimativa;
}

public boolean isEstimativaNull() {
return estimativaNull;
}

public void setEstimativa(Integer estimativa) {
if (estimativa == null) {
estimativaNull = true;
this.estimativa = 0;
} else { 
estimativaNull = false;
this.estimativa = estimativa;
}
}

public int getItem() {
return item;
}

public boolean isItemNull() {
return itemNull;
}

public void setItem(Integer item) {
if (item == null) {
itemNull = true;
this.item = 0;
} else { 
itemNull = false;
this.item = item;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public double getPesototal() {
return pesototal;
}

public boolean isPesototalNull() {
return pesototalNull;
}

public void setPesototal(int pesototal) {
setPesototal(new Double(pesototal));
}

public void setPesototal(long pesototal) {
setPesototal(new Double(pesototal));
}

public void setPesototal(Double pesototal) {
if (pesototal == null) {
pesototalNull = true;
this.pesototal = 0.;
} else { 
pesototalNull = false;
this.pesototal = FglDouble.round(pesototal, 2);
}
}

}

