package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSpedajcr {
@Coluna(nome="spedajcr.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="spedajcr.tipo_ajuste", tipo="String")
private String tipoAjuste;
@Coluna(nome="spedajcr.tipo", tipo="String")
private String tipo;
@Coluna(nome="spedajcr.ind_ajuste", tipo="int")
private int indAjuste;
private boolean indAjusteNull;
@Coluna(nome="spedajcr.cod_ajuste", tipo="int")
private int codAjuste;
private boolean codAjusteNull;
@Coluna(nome="spedajcr.tipo_credito", tipo="int")
private int tipoCredito;
private boolean tipoCreditoNull;
@Coluna(nome="spedajcr.tipo_contrib", tipo="int")
private int tipoContrib;
private boolean tipoContribNull;
@Coluna(nome="spedajcr.aliquota", tipo="double")
private double aliquota;
private boolean aliquotaNull;
@Coluna(nome="spedajcr.dt_ajuste", tipo="FglDate")
private FglDate dtAjuste;
@Coluna(nome="spedajcr.num_proc", tipo="String")
private String numProc;
@Coluna(nome="spedajcr.valor_ajuste", tipo="double")
private double valorAjuste;
private boolean valorAjusteNull;
@Coluna(nome="spedajcr.descricao", tipo="String")
private String descricao;
@Coluna(nome="spedajcr.devint", tipo="String")
private String devint;

public TabSpedajcr() {
initialize();
}

public void initialize() {
setFilial(null);
setTipoAjuste(null);
setTipo(null);
setIndAjuste(null);
setCodAjuste(null);
setTipoCredito(null);
setTipoContrib(null);
setAliquota(null);
setDtAjuste(null);
setNumProc(null);
setValorAjuste(null);
setDescricao(null);
setDevint(null);
}

public TabSpedajcr(int filial, String tipoAjuste, String tipo, int indAjuste, int codAjuste, int tipoCredito, int tipoContrib, double aliquota, FglDate dtAjuste, String numProc, double valorAjuste, String descricao, String devint) {
this.filial = filial;
this.tipoAjuste = tipoAjuste;
this.tipo = tipo;
this.indAjuste = indAjuste;
this.codAjuste = codAjuste;
this.tipoCredito = tipoCredito;
this.tipoContrib = tipoContrib;
this.aliquota = aliquota;
this.dtAjuste = dtAjuste;
this.numProc = numProc;
this.valorAjuste = valorAjuste;
this.descricao = descricao;
this.devint = devint;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTipoAjuste() {
return tipoAjuste;
}

public void setTipoAjuste(String tipoAjuste) {
this.tipoAjuste = tipoAjuste;
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public int getIndAjuste() {
return indAjuste;
}

public boolean isIndAjusteNull() {
return indAjusteNull;
}

public void setIndAjuste(Integer indAjuste) {
if (indAjuste == null) {
indAjusteNull = true;
this.indAjuste = 0;
} else { 
indAjusteNull = false;
this.indAjuste = indAjuste;
}
}

public int getCodAjuste() {
return codAjuste;
}

public boolean isCodAjusteNull() {
return codAjusteNull;
}

public void setCodAjuste(Integer codAjuste) {
if (codAjuste == null) {
codAjusteNull = true;
this.codAjuste = 0;
} else { 
codAjusteNull = false;
this.codAjuste = codAjuste;
}
}

public int getTipoCredito() {
return tipoCredito;
}

public boolean isTipoCreditoNull() {
return tipoCreditoNull;
}

public void setTipoCredito(Integer tipoCredito) {
if (tipoCredito == null) {
tipoCreditoNull = true;
this.tipoCredito = 0;
} else { 
tipoCreditoNull = false;
this.tipoCredito = tipoCredito;
}
}

public int getTipoContrib() {
return tipoContrib;
}

public boolean isTipoContribNull() {
return tipoContribNull;
}

public void setTipoContrib(Integer tipoContrib) {
if (tipoContrib == null) {
tipoContribNull = true;
this.tipoContrib = 0;
} else { 
tipoContribNull = false;
this.tipoContrib = tipoContrib;
}
}

public double getAliquota() {
return aliquota;
}

public boolean isAliquotaNull() {
return aliquotaNull;
}

public void setAliquota(int aliquota) {
setAliquota(new Double(aliquota));
}

public void setAliquota(long aliquota) {
setAliquota(new Double(aliquota));
}

public void setAliquota(Double aliquota) {
if (aliquota == null) {
aliquotaNull = true;
this.aliquota = 0.;
} else { 
aliquotaNull = false;
this.aliquota = FglDouble.round(aliquota, 2);
}
}

public FglDate getDtAjuste() {
return dtAjuste;
}

public void setDtAjuste(FglDate dtAjuste) {
this.dtAjuste = dtAjuste;
}

public String getNumProc() {
return numProc;
}

public void setNumProc(String numProc) {
this.numProc = numProc;
}

public double getValorAjuste() {
return valorAjuste;
}

public boolean isValorAjusteNull() {
return valorAjusteNull;
}

public void setValorAjuste(int valorAjuste) {
setValorAjuste(new Double(valorAjuste));
}

public void setValorAjuste(long valorAjuste) {
setValorAjuste(new Double(valorAjuste));
}

public void setValorAjuste(Double valorAjuste) {
if (valorAjuste == null) {
valorAjusteNull = true;
this.valorAjuste = 0.;
} else { 
valorAjusteNull = false;
this.valorAjuste = FglDouble.round(valorAjuste, 2);
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getDevint() {
return devint;
}

public void setDevint(String devint) {
this.devint = devint;
}

}

