package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSrtbcopc {
@Coluna(nome="srtbcopc.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="srtbcopc.faixadesconto", tipo="double")
private double faixadesconto;
private boolean faixadescontoNull;
@Coluna(nome="srtbcopc.formacalcpis", tipo="String")
private String formacalcpis;
@Coluna(nome="srtbcopc.formacalccofins", tipo="String")
private String formacalccofins;
@Coluna(nome="srtbcopc.tptribut", tipo="String")
private String tptribut;
@Coluna(nome="srtbcopc.promocao", tipo="String")
private String promocao;
@Coluna(nome="srtbcopc.perccomiss", tipo="double")
private double perccomiss;
private boolean perccomissNull;
@Coluna(nome="srtbcopc.sugmargem", tipo="String")
private String sugmargem;
@Coluna(nome="srtbcopc.classe", tipo="String")
private String classe;

public TabSrtbcopc() {
initialize();
}

public void initialize() {
setFilial(null);
setFaixadesconto(null);
setFormacalcpis(null);
setFormacalccofins(null);
setTptribut(null);
setPromocao(null);
setPerccomiss(null);
setSugmargem(null);
setClasse(null);
}

public TabSrtbcopc(int filial, double faixadesconto, String formacalcpis, String formacalccofins, String tptribut, String promocao, double perccomiss, String sugmargem, String classe) {
this.filial = filial;
this.faixadesconto = faixadesconto;
this.formacalcpis = formacalcpis;
this.formacalccofins = formacalccofins;
this.tptribut = tptribut;
this.promocao = promocao;
this.perccomiss = perccomiss;
this.sugmargem = sugmargem;
this.classe = classe;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public double getFaixadesconto() {
return faixadesconto;
}

public boolean isFaixadescontoNull() {
return faixadescontoNull;
}

public void setFaixadesconto(int faixadesconto) {
setFaixadesconto(new Double(faixadesconto));
}

public void setFaixadesconto(long faixadesconto) {
setFaixadesconto(new Double(faixadesconto));
}

public void setFaixadesconto(Double faixadesconto) {
if (faixadesconto == null) {
faixadescontoNull = true;
this.faixadesconto = 0.;
} else { 
faixadescontoNull = false;
this.faixadesconto = FglDouble.round(faixadesconto, 2);
}
}

public String getFormacalcpis() {
return formacalcpis;
}

public void setFormacalcpis(String formacalcpis) {
this.formacalcpis = formacalcpis;
}

public String getFormacalccofins() {
return formacalccofins;
}

public void setFormacalccofins(String formacalccofins) {
this.formacalccofins = formacalccofins;
}

public String getTptribut() {
return tptribut;
}

public void setTptribut(String tptribut) {
this.tptribut = tptribut;
}

public String getPromocao() {
return promocao;
}

public void setPromocao(String promocao) {
this.promocao = promocao;
}

public double getPerccomiss() {
return perccomiss;
}

public boolean isPerccomissNull() {
return perccomissNull;
}

public void setPerccomiss(int perccomiss) {
setPerccomiss(new Double(perccomiss));
}

public void setPerccomiss(long perccomiss) {
setPerccomiss(new Double(perccomiss));
}

public void setPerccomiss(Double perccomiss) {
if (perccomiss == null) {
perccomissNull = true;
this.perccomiss = 0.;
} else { 
perccomissNull = false;
this.perccomiss = FglDouble.round(perccomiss, 2);
}
}

public String getSugmargem() {
return sugmargem;
}

public void setSugmargem(String sugmargem) {
this.sugmargem = sugmargem;
}

public String getClasse() {
return classe;
}

public void setClasse(String classe) {
this.classe = classe;
}

}

