package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSudfloca {
@Coluna(nome="sudfloca.id_dfloca", tipo="int")
private int idDfloca;
private boolean idDflocaNull;
@Coluna(nome="sudfloca.id_tipo", tipo="int")
private int idTipo;
private boolean idTipoNull;
@Coluna(nome="sudfloca.id_campo", tipo="int")
private int idCampo;
private boolean idCampoNull;
@Coluna(nome="sudfloca.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="sudfloca.filial", tipo="int")
private int filial;
private boolean filialNull;

public TabSudfloca() {
initialize();
}

public void initialize() {
setIdDfloca(null);
setIdTipo(null);
setIdCampo(null);
setValor(null);
setFilial(null);
}

public TabSudfloca(int idDfloca, int idTipo, int idCampo, double valor, int filial) {
this.idDfloca = idDfloca;
this.idTipo = idTipo;
this.idCampo = idCampo;
this.valor = valor;
this.filial = filial;
}

public int getIdDfloca() {
return idDfloca;
}

public boolean isIdDflocaNull() {
return idDflocaNull;
}

public void setIdDfloca(Integer idDfloca) {
if (idDfloca == null) {
idDflocaNull = true;
this.idDfloca = 0;
} else { 
idDflocaNull = false;
this.idDfloca = idDfloca;
}
}

public int getIdTipo() {
return idTipo;
}

public boolean isIdTipoNull() {
return idTipoNull;
}

public void setIdTipo(Integer idTipo) {
if (idTipo == null) {
idTipoNull = true;
this.idTipo = 0;
} else { 
idTipoNull = false;
this.idTipo = idTipo;
}
}

public int getIdCampo() {
return idCampo;
}

public boolean isIdCampoNull() {
return idCampoNull;
}

public void setIdCampo(Integer idCampo) {
if (idCampo == null) {
idCampoNull = true;
this.idCampo = 0;
} else { 
idCampoNull = false;
this.idCampo = idCampo;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

}

