package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSyscdrRcv {
@Coluna(nome="syscdr_rcv.rm_state", tipo="String")
private String rmState;
@Coluna(nome="syscdr_rcv.rm_num_sleepers", tipo="int")
private int rmNumSleepers;
private boolean rmNumSleepersNull;
@Coluna(nome="syscdr_rcv.rm_num_dsthreads", tipo="int")
private int rmNumDsthreads;
private boolean rmNumDsthreadsNull;
@Coluna(nome="syscdr_rcv.rm_min_dsthreads", tipo="int")
private int rmMinDsthreads;
private boolean rmMinDsthreadsNull;
@Coluna(nome="syscdr_rcv.rm_max_dsthreads", tipo="int")
private int rmMaxDsthreads;
private boolean rmMaxDsthreadsNull;
@Coluna(nome="syscdr_rcv.rm_ds_block", tipo="int")
private int rmDsBlock;
private boolean rmDsBlockNull;
@Coluna(nome="syscdr_rcv.rm_ds_parallel", tipo="int")
private int rmDsParallel;
private boolean rmDsParallelNull;
@Coluna(nome="syscdr_rcv.rm_ds_failrate", tipo="double")
private double rmDsFailrate;
private boolean rmDsFailrateNull;
@Coluna(nome="syscdr_rcv.rm_ds_numrun", tipo="int")
private int rmDsNumrun;
private boolean rmDsNumrunNull;
@Coluna(nome="syscdr_rcv.rm_ds_num_locktout", tipo="int")
private int rmDsNumLocktout;
private boolean rmDsNumLocktoutNull;
@Coluna(nome="syscdr_rcv.rm_ds_num_lockrb", tipo="int")
private int rmDsNumLockrb;
private boolean rmDsNumLockrbNull;
@Coluna(nome="syscdr_rcv.rm_ds_num_deadlocks", tipo="int")
private int rmDsNumDeadlocks;
private boolean rmDsNumDeadlocksNull;
@Coluna(nome="syscdr_rcv.rm_ds_num_pcommits", tipo="int")
private int rmDsNumPcommits;
private boolean rmDsNumPcommitsNull;
@Coluna(nome="syscdr_rcv.rm_ack_waiting", tipo="int")
private int rmAckWaiting;
private boolean rmAckWaitingNull;
@Coluna(nome="syscdr_rcv.rm_totsleep", tipo="int")
private int rmTotsleep;
private boolean rmTotsleepNull;
@Coluna(nome="syscdr_rcv.rm_sleeptime", tipo="int")
private int rmSleeptime;
private boolean rmSleeptimeNull;
@Coluna(nome="syscdr_rcv.rm_workload", tipo="int")
private int rmWorkload;
private boolean rmWorkloadNull;
@Coluna(nome="syscdr_rcv.rm_optscale", tipo="int")
private int rmOptscale;
private boolean rmOptscaleNull;
@Coluna(nome="syscdr_rcv.rm_min_fthreads", tipo="int")
private int rmMinFthreads;
private boolean rmMinFthreadsNull;
@Coluna(nome="syscdr_rcv.rm_max_fthreads", tipo="int")
private int rmMaxFthreads;
private boolean rmMaxFthreadsNull;
@Coluna(nome="syscdr_rcv.rm_ackthreads", tipo="int")
private int rmAckthreads;
private boolean rmAckthreadsNull;
@Coluna(nome="syscdr_rcv.rm_ackwaiters", tipo="int")
private int rmAckwaiters;
private boolean rmAckwaitersNull;
@Coluna(nome="syscdr_rcv.rm_ack_start", tipo="String")
private String rmAckStart;
@Coluna(nome="syscdr_rcv.rm_ds_start", tipo="String")
private String rmDsStart;
@Coluna(nome="syscdr_rcv.rm_pending_acks", tipo="int")
private int rmPendingAcks;
private boolean rmPendingAcksNull;
@Coluna(nome="syscdr_rcv.rm_blob_error_bufs", tipo="int")
private int rmBlobErrorBufs;
private boolean rmBlobErrorBufsNull;

public TabSyscdrRcv() {
initialize();
}

public void initialize() {
setRmState(null);
setRmNumSleepers(null);
setRmNumDsthreads(null);
setRmMinDsthreads(null);
setRmMaxDsthreads(null);
setRmDsBlock(null);
setRmDsParallel(null);
setRmDsFailrate(null);
setRmDsNumrun(null);
setRmDsNumLocktout(null);
setRmDsNumLockrb(null);
setRmDsNumDeadlocks(null);
setRmDsNumPcommits(null);
setRmAckWaiting(null);
setRmTotsleep(null);
setRmSleeptime(null);
setRmWorkload(null);
setRmOptscale(null);
setRmMinFthreads(null);
setRmMaxFthreads(null);
setRmAckthreads(null);
setRmAckwaiters(null);
setRmAckStart(null);
setRmDsStart(null);
setRmPendingAcks(null);
setRmBlobErrorBufs(null);
}

public TabSyscdrRcv(String rmState, int rmNumSleepers, int rmNumDsthreads, int rmMinDsthreads, int rmMaxDsthreads, int rmDsBlock, int rmDsParallel, double rmDsFailrate, int rmDsNumrun, int rmDsNumLocktout, int rmDsNumLockrb, int rmDsNumDeadlocks, int rmDsNumPcommits, int rmAckWaiting, int rmTotsleep, int rmSleeptime, int rmWorkload, int rmOptscale, int rmMinFthreads, int rmMaxFthreads, int rmAckthreads, int rmAckwaiters, String rmAckStart, String rmDsStart, int rmPendingAcks, int rmBlobErrorBufs) {
this.rmState = rmState;
this.rmNumSleepers = rmNumSleepers;
this.rmNumDsthreads = rmNumDsthreads;
this.rmMinDsthreads = rmMinDsthreads;
this.rmMaxDsthreads = rmMaxDsthreads;
this.rmDsBlock = rmDsBlock;
this.rmDsParallel = rmDsParallel;
this.rmDsFailrate = rmDsFailrate;
this.rmDsNumrun = rmDsNumrun;
this.rmDsNumLocktout = rmDsNumLocktout;
this.rmDsNumLockrb = rmDsNumLockrb;
this.rmDsNumDeadlocks = rmDsNumDeadlocks;
this.rmDsNumPcommits = rmDsNumPcommits;
this.rmAckWaiting = rmAckWaiting;
this.rmTotsleep = rmTotsleep;
this.rmSleeptime = rmSleeptime;
this.rmWorkload = rmWorkload;
this.rmOptscale = rmOptscale;
this.rmMinFthreads = rmMinFthreads;
this.rmMaxFthreads = rmMaxFthreads;
this.rmAckthreads = rmAckthreads;
this.rmAckwaiters = rmAckwaiters;
this.rmAckStart = rmAckStart;
this.rmDsStart = rmDsStart;
this.rmPendingAcks = rmPendingAcks;
this.rmBlobErrorBufs = rmBlobErrorBufs;
}

public String getRmState() {
return rmState;
}

public void setRmState(String rmState) {
this.rmState = rmState;
}

public int getRmNumSleepers() {
return rmNumSleepers;
}

public boolean isRmNumSleepersNull() {
return rmNumSleepersNull;
}

public void setRmNumSleepers(Integer rmNumSleepers) {
if (rmNumSleepers == null) {
rmNumSleepersNull = true;
this.rmNumSleepers = 0;
} else { 
rmNumSleepersNull = false;
this.rmNumSleepers = rmNumSleepers;
}
}

public int getRmNumDsthreads() {
return rmNumDsthreads;
}

public boolean isRmNumDsthreadsNull() {
return rmNumDsthreadsNull;
}

public void setRmNumDsthreads(Integer rmNumDsthreads) {
if (rmNumDsthreads == null) {
rmNumDsthreadsNull = true;
this.rmNumDsthreads = 0;
} else { 
rmNumDsthreadsNull = false;
this.rmNumDsthreads = rmNumDsthreads;
}
}

public int getRmMinDsthreads() {
return rmMinDsthreads;
}

public boolean isRmMinDsthreadsNull() {
return rmMinDsthreadsNull;
}

public void setRmMinDsthreads(Integer rmMinDsthreads) {
if (rmMinDsthreads == null) {
rmMinDsthreadsNull = true;
this.rmMinDsthreads = 0;
} else { 
rmMinDsthreadsNull = false;
this.rmMinDsthreads = rmMinDsthreads;
}
}

public int getRmMaxDsthreads() {
return rmMaxDsthreads;
}

public boolean isRmMaxDsthreadsNull() {
return rmMaxDsthreadsNull;
}

public void setRmMaxDsthreads(Integer rmMaxDsthreads) {
if (rmMaxDsthreads == null) {
rmMaxDsthreadsNull = true;
this.rmMaxDsthreads = 0;
} else { 
rmMaxDsthreadsNull = false;
this.rmMaxDsthreads = rmMaxDsthreads;
}
}

public int getRmDsBlock() {
return rmDsBlock;
}

public boolean isRmDsBlockNull() {
return rmDsBlockNull;
}

public void setRmDsBlock(Integer rmDsBlock) {
if (rmDsBlock == null) {
rmDsBlockNull = true;
this.rmDsBlock = 0;
} else { 
rmDsBlockNull = false;
this.rmDsBlock = rmDsBlock;
}
}

public int getRmDsParallel() {
return rmDsParallel;
}

public boolean isRmDsParallelNull() {
return rmDsParallelNull;
}

public void setRmDsParallel(Integer rmDsParallel) {
if (rmDsParallel == null) {
rmDsParallelNull = true;
this.rmDsParallel = 0;
} else { 
rmDsParallelNull = false;
this.rmDsParallel = rmDsParallel;
}
}

public double getRmDsFailrate() {
return rmDsFailrate;
}

public boolean isRmDsFailrateNull() {
return rmDsFailrateNull;
}

public void setRmDsFailrate(int rmDsFailrate) {
setRmDsFailrate(new Double(rmDsFailrate));
}

public void setRmDsFailrate(long rmDsFailrate) {
setRmDsFailrate(new Double(rmDsFailrate));
}

public void setRmDsFailrate(Double rmDsFailrate) {
if (rmDsFailrate == null) {
rmDsFailrateNull = true;
this.rmDsFailrate = 0.;
} else { 
rmDsFailrateNull = false;
this.rmDsFailrate = FglDouble.round(rmDsFailrate, 8);
}
}

public int getRmDsNumrun() {
return rmDsNumrun;
}

public boolean isRmDsNumrunNull() {
return rmDsNumrunNull;
}

public void setRmDsNumrun(Integer rmDsNumrun) {
if (rmDsNumrun == null) {
rmDsNumrunNull = true;
this.rmDsNumrun = 0;
} else { 
rmDsNumrunNull = false;
this.rmDsNumrun = rmDsNumrun;
}
}

public int getRmDsNumLocktout() {
return rmDsNumLocktout;
}

public boolean isRmDsNumLocktoutNull() {
return rmDsNumLocktoutNull;
}

public void setRmDsNumLocktout(Integer rmDsNumLocktout) {
if (rmDsNumLocktout == null) {
rmDsNumLocktoutNull = true;
this.rmDsNumLocktout = 0;
} else { 
rmDsNumLocktoutNull = false;
this.rmDsNumLocktout = rmDsNumLocktout;
}
}

public int getRmDsNumLockrb() {
return rmDsNumLockrb;
}

public boolean isRmDsNumLockrbNull() {
return rmDsNumLockrbNull;
}

public void setRmDsNumLockrb(Integer rmDsNumLockrb) {
if (rmDsNumLockrb == null) {
rmDsNumLockrbNull = true;
this.rmDsNumLockrb = 0;
} else { 
rmDsNumLockrbNull = false;
this.rmDsNumLockrb = rmDsNumLockrb;
}
}

public int getRmDsNumDeadlocks() {
return rmDsNumDeadlocks;
}

public boolean isRmDsNumDeadlocksNull() {
return rmDsNumDeadlocksNull;
}

public void setRmDsNumDeadlocks(Integer rmDsNumDeadlocks) {
if (rmDsNumDeadlocks == null) {
rmDsNumDeadlocksNull = true;
this.rmDsNumDeadlocks = 0;
} else { 
rmDsNumDeadlocksNull = false;
this.rmDsNumDeadlocks = rmDsNumDeadlocks;
}
}

public int getRmDsNumPcommits() {
return rmDsNumPcommits;
}

public boolean isRmDsNumPcommitsNull() {
return rmDsNumPcommitsNull;
}

public void setRmDsNumPcommits(Integer rmDsNumPcommits) {
if (rmDsNumPcommits == null) {
rmDsNumPcommitsNull = true;
this.rmDsNumPcommits = 0;
} else { 
rmDsNumPcommitsNull = false;
this.rmDsNumPcommits = rmDsNumPcommits;
}
}

public int getRmAckWaiting() {
return rmAckWaiting;
}

public boolean isRmAckWaitingNull() {
return rmAckWaitingNull;
}

public void setRmAckWaiting(Integer rmAckWaiting) {
if (rmAckWaiting == null) {
rmAckWaitingNull = true;
this.rmAckWaiting = 0;
} else { 
rmAckWaitingNull = false;
this.rmAckWaiting = rmAckWaiting;
}
}

public int getRmTotsleep() {
return rmTotsleep;
}

public boolean isRmTotsleepNull() {
return rmTotsleepNull;
}

public void setRmTotsleep(Integer rmTotsleep) {
if (rmTotsleep == null) {
rmTotsleepNull = true;
this.rmTotsleep = 0;
} else { 
rmTotsleepNull = false;
this.rmTotsleep = rmTotsleep;
}
}

public int getRmSleeptime() {
return rmSleeptime;
}

public boolean isRmSleeptimeNull() {
return rmSleeptimeNull;
}

public void setRmSleeptime(Integer rmSleeptime) {
if (rmSleeptime == null) {
rmSleeptimeNull = true;
this.rmSleeptime = 0;
} else { 
rmSleeptimeNull = false;
this.rmSleeptime = rmSleeptime;
}
}

public int getRmWorkload() {
return rmWorkload;
}

public boolean isRmWorkloadNull() {
return rmWorkloadNull;
}

public void setRmWorkload(Integer rmWorkload) {
if (rmWorkload == null) {
rmWorkloadNull = true;
this.rmWorkload = 0;
} else { 
rmWorkloadNull = false;
this.rmWorkload = rmWorkload;
}
}

public int getRmOptscale() {
return rmOptscale;
}

public boolean isRmOptscaleNull() {
return rmOptscaleNull;
}

public void setRmOptscale(Integer rmOptscale) {
if (rmOptscale == null) {
rmOptscaleNull = true;
this.rmOptscale = 0;
} else { 
rmOptscaleNull = false;
this.rmOptscale = rmOptscale;
}
}

public int getRmMinFthreads() {
return rmMinFthreads;
}

public boolean isRmMinFthreadsNull() {
return rmMinFthreadsNull;
}

public void setRmMinFthreads(Integer rmMinFthreads) {
if (rmMinFthreads == null) {
rmMinFthreadsNull = true;
this.rmMinFthreads = 0;
} else { 
rmMinFthreadsNull = false;
this.rmMinFthreads = rmMinFthreads;
}
}

public int getRmMaxFthreads() {
return rmMaxFthreads;
}

public boolean isRmMaxFthreadsNull() {
return rmMaxFthreadsNull;
}

public void setRmMaxFthreads(Integer rmMaxFthreads) {
if (rmMaxFthreads == null) {
rmMaxFthreadsNull = true;
this.rmMaxFthreads = 0;
} else { 
rmMaxFthreadsNull = false;
this.rmMaxFthreads = rmMaxFthreads;
}
}

public int getRmAckthreads() {
return rmAckthreads;
}

public boolean isRmAckthreadsNull() {
return rmAckthreadsNull;
}

public void setRmAckthreads(Integer rmAckthreads) {
if (rmAckthreads == null) {
rmAckthreadsNull = true;
this.rmAckthreads = 0;
} else { 
rmAckthreadsNull = false;
this.rmAckthreads = rmAckthreads;
}
}

public int getRmAckwaiters() {
return rmAckwaiters;
}

public boolean isRmAckwaitersNull() {
return rmAckwaitersNull;
}

public void setRmAckwaiters(Integer rmAckwaiters) {
if (rmAckwaiters == null) {
rmAckwaitersNull = true;
this.rmAckwaiters = 0;
} else { 
rmAckwaitersNull = false;
this.rmAckwaiters = rmAckwaiters;
}
}

public String getRmAckStart() {
return rmAckStart;
}

public void setRmAckStart(String rmAckStart) {
this.rmAckStart = rmAckStart;
}

public String getRmDsStart() {
return rmDsStart;
}

public void setRmDsStart(String rmDsStart) {
this.rmDsStart = rmDsStart;
}

public int getRmPendingAcks() {
return rmPendingAcks;
}

public boolean isRmPendingAcksNull() {
return rmPendingAcksNull;
}

public void setRmPendingAcks(Integer rmPendingAcks) {
if (rmPendingAcks == null) {
rmPendingAcksNull = true;
this.rmPendingAcks = 0;
} else { 
rmPendingAcksNull = false;
this.rmPendingAcks = rmPendingAcks;
}
}

public int getRmBlobErrorBufs() {
return rmBlobErrorBufs;
}

public boolean isRmBlobErrorBufsNull() {
return rmBlobErrorBufsNull;
}

public void setRmBlobErrorBufs(Integer rmBlobErrorBufs) {
if (rmBlobErrorBufs == null) {
rmBlobErrorBufsNull = true;
this.rmBlobErrorBufs = 0;
} else { 
rmBlobErrorBufsNull = false;
this.rmBlobErrorBufs = rmBlobErrorBufs;
}
}

}

