package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSyscdrrecvStats {
@Coluna(nome="syscdrrecv_stats.source", tipo="int")
private int source;
private boolean sourceNull;
@Coluna(nome="syscdrrecv_stats.txncnt", tipo="int")
private int txncnt;
private boolean txncntNull;
@Coluna(nome="syscdrrecv_stats.pending", tipo="int")
private int pending;
private boolean pendingNull;
@Coluna(nome="syscdrrecv_stats.active", tipo="int")
private int active;
private boolean activeNull;
@Coluna(nome="syscdrrecv_stats.maxpending", tipo="int")
private int maxpending;
private boolean maxpendingNull;
@Coluna(nome="syscdrrecv_stats.maxactive", tipo="int")
private int maxactive;
private boolean maxactiveNull;
@Coluna(nome="syscdrrecv_stats.avg_pending", tipo="double")
private double avgPending;
private boolean avgPendingNull;
@Coluna(nome="syscdrrecv_stats.avg_active", tipo="double")
private double avgActive;
private boolean avgActiveNull;
@Coluna(nome="syscdrrecv_stats.cmtrate", tipo="double")
private double cmtrate;
private boolean cmtrateNull;

public TabSyscdrrecvStats() {
initialize();
}

public void initialize() {
setSource(null);
setTxncnt(null);
setPending(null);
setActive(null);
setMaxpending(null);
setMaxactive(null);
setAvgPending(null);
setAvgActive(null);
setCmtrate(null);
}

public TabSyscdrrecvStats(int source, int txncnt, int pending, int active, int maxpending, int maxactive, double avgPending, double avgActive, double cmtrate) {
this.source = source;
this.txncnt = txncnt;
this.pending = pending;
this.active = active;
this.maxpending = maxpending;
this.maxactive = maxactive;
this.avgPending = avgPending;
this.avgActive = avgActive;
this.cmtrate = cmtrate;
}

public int getSource() {
return source;
}

public boolean isSourceNull() {
return sourceNull;
}

public void setSource(Integer source) {
if (source == null) {
sourceNull = true;
this.source = 0;
} else { 
sourceNull = false;
this.source = source;
}
}

public int getTxncnt() {
return txncnt;
}

public boolean isTxncntNull() {
return txncntNull;
}

public void setTxncnt(Integer txncnt) {
if (txncnt == null) {
txncntNull = true;
this.txncnt = 0;
} else { 
txncntNull = false;
this.txncnt = txncnt;
}
}

public int getPending() {
return pending;
}

public boolean isPendingNull() {
return pendingNull;
}

public void setPending(Integer pending) {
if (pending == null) {
pendingNull = true;
this.pending = 0;
} else { 
pendingNull = false;
this.pending = pending;
}
}

public int getActive() {
return active;
}

public boolean isActiveNull() {
return activeNull;
}

public void setActive(Integer active) {
if (active == null) {
activeNull = true;
this.active = 0;
} else { 
activeNull = false;
this.active = active;
}
}

public int getMaxpending() {
return maxpending;
}

public boolean isMaxpendingNull() {
return maxpendingNull;
}

public void setMaxpending(Integer maxpending) {
if (maxpending == null) {
maxpendingNull = true;
this.maxpending = 0;
} else { 
maxpendingNull = false;
this.maxpending = maxpending;
}
}

public int getMaxactive() {
return maxactive;
}

public boolean isMaxactiveNull() {
return maxactiveNull;
}

public void setMaxactive(Integer maxactive) {
if (maxactive == null) {
maxactiveNull = true;
this.maxactive = 0;
} else { 
maxactiveNull = false;
this.maxactive = maxactive;
}
}

public double getAvgPending() {
return avgPending;
}

public boolean isAvgPendingNull() {
return avgPendingNull;
}

public void setAvgPending(int avgPending) {
setAvgPending(new Double(avgPending));
}

public void setAvgPending(long avgPending) {
setAvgPending(new Double(avgPending));
}

public void setAvgPending(Double avgPending) {
if (avgPending == null) {
avgPendingNull = true;
this.avgPending = 0.;
} else { 
avgPendingNull = false;
this.avgPending = FglDouble.round(avgPending, 8);
}
}

public double getAvgActive() {
return avgActive;
}

public boolean isAvgActiveNull() {
return avgActiveNull;
}

public void setAvgActive(int avgActive) {
setAvgActive(new Double(avgActive));
}

public void setAvgActive(long avgActive) {
setAvgActive(new Double(avgActive));
}

public void setAvgActive(Double avgActive) {
if (avgActive == null) {
avgActiveNull = true;
this.avgActive = 0.;
} else { 
avgActiveNull = false;
this.avgActive = FglDouble.round(avgActive, 8);
}
}

public double getCmtrate() {
return cmtrate;
}

public boolean isCmtrateNull() {
return cmtrateNull;
}

public void setCmtrate(int cmtrate) {
setCmtrate(new Double(cmtrate));
}

public void setCmtrate(long cmtrate) {
setCmtrate(new Double(cmtrate));
}

public void setCmtrate(Double cmtrate) {
if (cmtrate == null) {
cmtrateNull = true;
this.cmtrate = 0.;
} else { 
cmtrateNull = false;
this.cmtrate = FglDouble.round(cmtrate, 8);
}
}

}

