package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyscolauth {
@Coluna(nome="syscolauth.grantor", tipo="String")
private String grantor;
@Coluna(nome="syscolauth.grantee", tipo="String")
private String grantee;
@Coluna(nome="syscolauth.tabid", tipo="int")
private int tabid;
private boolean tabidNull;
@Coluna(nome="syscolauth.colno", tipo="int")
private int colno;
private boolean colnoNull;
@Coluna(nome="syscolauth.colauth", tipo="String")
private String colauth;

public TabSyscolauth() {
initialize();
}

public void initialize() {
setGrantor(null);
setGrantee(null);
setTabid(null);
setColno(null);
setColauth(null);
}

public TabSyscolauth(String grantor, String grantee, int tabid, int colno, String colauth) {
this.grantor = grantor;
this.grantee = grantee;
this.tabid = tabid;
this.colno = colno;
this.colauth = colauth;
}

public String getGrantor() {
return grantor;
}

public void setGrantor(String grantor) {
this.grantor = grantor;
}

public String getGrantee() {
return grantee;
}

public void setGrantee(String grantee) {
this.grantee = grantee;
}

public int getTabid() {
return tabid;
}

public boolean isTabidNull() {
return tabidNull;
}

public void setTabid(Integer tabid) {
if (tabid == null) {
tabidNull = true;
this.tabid = 0;
} else { 
tabidNull = false;
this.tabid = tabid;
}
}

public int getColno() {
return colno;
}

public boolean isColnoNull() {
return colnoNull;
}

public void setColno(Integer colno) {
if (colno == null) {
colnoNull = true;
this.colno = 0;
} else { 
colnoNull = false;
this.colno = colno;
}
}

public String getColauth() {
return colauth;
}

public void setColauth(String colauth) {
this.colauth = colauth;
}

}

