package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSysdbspaces {
@Coluna(nome="sysdbspaces.dbsnum", tipo="int")
private int dbsnum;
private boolean dbsnumNull;
@Coluna(nome="sysdbspaces.name", tipo="String")
private String name;
@Coluna(nome="sysdbspaces.owner", tipo="String")
private String owner;
@Coluna(nome="sysdbspaces.pagesize", tipo="int")
private int pagesize;
private boolean pagesizeNull;
@Coluna(nome="sysdbspaces.fchunk", tipo="int")
private int fchunk;
private boolean fchunkNull;
@Coluna(nome="sysdbspaces.nchunks", tipo="int")
private int nchunks;
private boolean nchunksNull;
@Coluna(nome="sysdbspaces.create_size", tipo="double")
private double createSize;
private boolean createSizeNull;
@Coluna(nome="sysdbspaces.extend_size", tipo="double")
private double extendSize;
private boolean extendSizeNull;
@Coluna(nome="sysdbspaces.is_mirrored", tipo="int")
private int isMirrored;
private boolean isMirroredNull;
@Coluna(nome="sysdbspaces.is_blobspace", tipo="int")
private int isBlobspace;
private boolean isBlobspaceNull;
@Coluna(nome="sysdbspaces.is_sbspace", tipo="int")
private int isSbspace;
private boolean isSbspaceNull;
@Coluna(nome="sysdbspaces.is_temp", tipo="int")
private int isTemp;
private boolean isTempNull;
@Coluna(nome="sysdbspaces.flags", tipo="int")
private int flags;
private boolean flagsNull;

public TabSysdbspaces() {
initialize();
}

public void initialize() {
setDbsnum(null);
setName(null);
setOwner(null);
setPagesize(null);
setFchunk(null);
setNchunks(null);
setCreateSize(null);
setExtendSize(null);
setIsMirrored(null);
setIsBlobspace(null);
setIsSbspace(null);
setIsTemp(null);
setFlags(null);
}

public TabSysdbspaces(int dbsnum, String name, String owner, int pagesize, int fchunk, int nchunks, double createSize, double extendSize, int isMirrored, int isBlobspace, int isSbspace, int isTemp, int flags) {
this.dbsnum = dbsnum;
this.name = name;
this.owner = owner;
this.pagesize = pagesize;
this.fchunk = fchunk;
this.nchunks = nchunks;
this.createSize = createSize;
this.extendSize = extendSize;
this.isMirrored = isMirrored;
this.isBlobspace = isBlobspace;
this.isSbspace = isSbspace;
this.isTemp = isTemp;
this.flags = flags;
}

public int getDbsnum() {
return dbsnum;
}

public boolean isDbsnumNull() {
return dbsnumNull;
}

public void setDbsnum(Integer dbsnum) {
if (dbsnum == null) {
dbsnumNull = true;
this.dbsnum = 0;
} else { 
dbsnumNull = false;
this.dbsnum = dbsnum;
}
}

public String getName() {
return name;
}

public void setName(String name) {
this.name = name;
}

public String getOwner() {
return owner;
}

public void setOwner(String owner) {
this.owner = owner;
}

public int getPagesize() {
return pagesize;
}

public boolean isPagesizeNull() {
return pagesizeNull;
}

public void setPagesize(Integer pagesize) {
if (pagesize == null) {
pagesizeNull = true;
this.pagesize = 0;
} else { 
pagesizeNull = false;
this.pagesize = pagesize;
}
}

public int getFchunk() {
return fchunk;
}

public boolean isFchunkNull() {
return fchunkNull;
}

public void setFchunk(Integer fchunk) {
if (fchunk == null) {
fchunkNull = true;
this.fchunk = 0;
} else { 
fchunkNull = false;
this.fchunk = fchunk;
}
}

public int getNchunks() {
return nchunks;
}

public boolean isNchunksNull() {
return nchunksNull;
}

public void setNchunks(Integer nchunks) {
if (nchunks == null) {
nchunksNull = true;
this.nchunks = 0;
} else { 
nchunksNull = false;
this.nchunks = nchunks;
}
}

public double getCreateSize() {
return createSize;
}

public boolean isCreateSizeNull() {
return createSizeNull;
}

public void setCreateSize(int createSize) {
setCreateSize(new Double(createSize));
}

public void setCreateSize(long createSize) {
setCreateSize(new Double(createSize));
}

public void setCreateSize(Double createSize) {
if (createSize == null) {
createSizeNull = true;
this.createSize = 0.;
} else { 
createSizeNull = false;
this.createSize = FglDouble.round(createSize, 8);
}
}

public double getExtendSize() {
return extendSize;
}

public boolean isExtendSizeNull() {
return extendSizeNull;
}

public void setExtendSize(int extendSize) {
setExtendSize(new Double(extendSize));
}

public void setExtendSize(long extendSize) {
setExtendSize(new Double(extendSize));
}

public void setExtendSize(Double extendSize) {
if (extendSize == null) {
extendSizeNull = true;
this.extendSize = 0.;
} else { 
extendSizeNull = false;
this.extendSize = FglDouble.round(extendSize, 8);
}
}

public int getIsMirrored() {
return isMirrored;
}

public boolean isIsMirroredNull() {
return isMirroredNull;
}

public void setIsMirrored(Integer isMirrored) {
if (isMirrored == null) {
isMirroredNull = true;
this.isMirrored = 0;
} else { 
isMirroredNull = false;
this.isMirrored = isMirrored;
}
}

public int getIsBlobspace() {
return isBlobspace;
}

public boolean isIsBlobspaceNull() {
return isBlobspaceNull;
}

public void setIsBlobspace(Integer isBlobspace) {
if (isBlobspace == null) {
isBlobspaceNull = true;
this.isBlobspace = 0;
} else { 
isBlobspaceNull = false;
this.isBlobspace = isBlobspace;
}
}

public int getIsSbspace() {
return isSbspace;
}

public boolean isIsSbspaceNull() {
return isSbspaceNull;
}

public void setIsSbspace(Integer isSbspace) {
if (isSbspace == null) {
isSbspaceNull = true;
this.isSbspace = 0;
} else { 
isSbspaceNull = false;
this.isSbspace = isSbspace;
}
}

public int getIsTemp() {
return isTemp;
}

public boolean isIsTempNull() {
return isTempNull;
}

public void setIsTemp(Integer isTemp) {
if (isTemp == null) {
isTempNull = true;
this.isTemp = 0;
} else { 
isTempNull = false;
this.isTemp = isTemp;
}
}

public int getFlags() {
return flags;
}

public boolean isFlagsNull() {
return flagsNull;
}

public void setFlags(Integer flags) {
if (flags == null) {
flagsNull = true;
this.flags = 0;
} else { 
flagsNull = false;
this.flags = flags;
}
}

}

