package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysextents {
@Coluna(nome="sysextents.dbsname", tipo="String")
private String dbsname;
@Coluna(nome="sysextents.tabname", tipo="String")
private String tabname;
@Coluna(nome="sysextents.chunk", tipo="int")
private int chunk;
private boolean chunkNull;
@Coluna(nome="sysextents.offset", tipo="int")
private int offset;
private boolean offsetNull;
@Coluna(nome="sysextents.size", tipo="int")
private int size;
private boolean sizeNull;

public TabSysextents() {
initialize();
}

public void initialize() {
setDbsname(null);
setTabname(null);
setChunk(null);
setOffset(null);
setSize(null);
}

public TabSysextents(String dbsname, String tabname, int chunk, int offset, int size) {
this.dbsname = dbsname;
this.tabname = tabname;
this.chunk = chunk;
this.offset = offset;
this.size = size;
}

public String getDbsname() {
return dbsname;
}

public void setDbsname(String dbsname) {
this.dbsname = dbsname;
}

public String getTabname() {
return tabname;
}

public void setTabname(String tabname) {
this.tabname = tabname;
}

public int getChunk() {
return chunk;
}

public boolean isChunkNull() {
return chunkNull;
}

public void setChunk(Integer chunk) {
if (chunk == null) {
chunkNull = true;
this.chunk = 0;
} else { 
chunkNull = false;
this.chunk = chunk;
}
}

public int getOffset() {
return offset;
}

public boolean isOffsetNull() {
return offsetNull;
}

public void setOffset(Integer offset) {
if (offset == null) {
offsetNull = true;
this.offset = 0;
} else { 
offsetNull = false;
this.offset = offset;
}
}

public int getSize() {
return size;
}

public boolean isSizeNull() {
return sizeNull;
}

public void setSize(Integer size) {
if (size == null) {
sizeNull = true;
this.size = 0;
} else { 
sizeNull = false;
this.size = size;
}
}

}

