package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysfragauth {
@Coluna(nome="sysfragauth.grantor", tipo="String")
private String grantor;
@Coluna(nome="sysfragauth.grantee", tipo="String")
private String grantee;
@Coluna(nome="sysfragauth.tabid", tipo="int")
private int tabid;
private boolean tabidNull;
@Coluna(nome="sysfragauth.fragment", tipo="String")
private String fragment;
@Coluna(nome="sysfragauth.fragauth", tipo="String")
private String fragauth;

public TabSysfragauth() {
initialize();
}

public void initialize() {
setGrantor(null);
setGrantee(null);
setTabid(null);
setFragment(null);
setFragauth(null);
}

public TabSysfragauth(String grantor, String grantee, int tabid, String fragment, String fragauth) {
this.grantor = grantor;
this.grantee = grantee;
this.tabid = tabid;
this.fragment = fragment;
this.fragauth = fragauth;
}

public String getGrantor() {
return grantor;
}

public void setGrantor(String grantor) {
this.grantor = grantor;
}

public String getGrantee() {
return grantee;
}

public void setGrantee(String grantee) {
this.grantee = grantee;
}

public int getTabid() {
return tabid;
}

public boolean isTabidNull() {
return tabidNull;
}

public void setTabid(Integer tabid) {
if (tabid == null) {
tabidNull = true;
this.tabid = 0;
} else { 
tabidNull = false;
this.tabid = tabid;
}
}

public String getFragment() {
return fragment;
}

public void setFragment(String fragment) {
this.fragment = fragment;
}

public String getFragauth() {
return fragauth;
}

public void setFragauth(String fragauth) {
this.fragauth = fragauth;
}

}

