package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSysfragments {
@Coluna(nome="sysfragments.fragtype", tipo="String")
private String fragtype;
@Coluna(nome="sysfragments.tabid", tipo="int")
private int tabid;
private boolean tabidNull;
@Coluna(nome="sysfragments.indexname", tipo="String")
private String indexname;
@Coluna(nome="sysfragments.colno", tipo="int")
private int colno;
private boolean colnoNull;
@Coluna(nome="sysfragments.partn", tipo="int")
private int partn;
private boolean partnNull;
@Coluna(nome="sysfragments.strategy", tipo="String")
private String strategy;
@Coluna(nome="sysfragments.location", tipo="String")
private String location;
@Coluna(nome="sysfragments.servername", tipo="String")
private String servername;
@Coluna(nome="sysfragments.evalpos", tipo="int")
private int evalpos;
private boolean evalposNull;
@Coluna(nome="sysfragments.exprtext", tipo="String")
private String exprtext;
@Coluna(nome="sysfragments.exprbin", tipo="String")
private String exprbin;
@Coluna(nome="sysfragments.exprarr", tipo="String")
private String exprarr;
@Coluna(nome="sysfragments.flags", tipo="int")
private int flags;
private boolean flagsNull;
@Coluna(nome="sysfragments.dbspace", tipo="String")
private String dbspace;
@Coluna(nome="sysfragments.levels", tipo="int")
private int levels;
private boolean levelsNull;
@Coluna(nome="sysfragments.npused", tipo="double")
private double npused;
private boolean npusedNull;
@Coluna(nome="sysfragments.nrows", tipo="double")
private double nrows;
private boolean nrowsNull;
@Coluna(nome="sysfragments.clust", tipo="double")
private double clust;
private boolean clustNull;
@Coluna(nome="sysfragments.partition", tipo="String")
private String partition;
@Coluna(nome="sysfragments.version", tipo="int")
private int version;
private boolean versionNull;
@Coluna(nome="sysfragments.nupdates", tipo="double")
private double nupdates;
private boolean nupdatesNull;
@Coluna(nome="sysfragments.ndeletes", tipo="double")
private double ndeletes;
private boolean ndeletesNull;
@Coluna(nome="sysfragments.ninserts", tipo="double")
private double ninserts;
private boolean ninsertsNull;

public TabSysfragments() {
initialize();
}

public void initialize() {
setFragtype(null);
setTabid(null);
setIndexname(null);
setColno(null);
setPartn(null);
setStrategy(null);
setLocation(null);
setServername(null);
setEvalpos(null);
setExprtext(null);
setExprbin(null);
setExprarr(null);
setFlags(null);
setDbspace(null);
setLevels(null);
setNpused(null);
setNrows(null);
setClust(null);
setPartition(null);
setVersion(null);
setNupdates(null);
setNdeletes(null);
setNinserts(null);
}

public TabSysfragments(String fragtype, int tabid, String indexname, int colno, int partn, String strategy, String location, String servername, int evalpos, String exprtext, String exprbin, String exprarr, int flags, String dbspace, int levels, double npused, double nrows, double clust, String partition, int version, double nupdates, double ndeletes, double ninserts) {
this.fragtype = fragtype;
this.tabid = tabid;
this.indexname = indexname;
this.colno = colno;
this.partn = partn;
this.strategy = strategy;
this.location = location;
this.servername = servername;
this.evalpos = evalpos;
this.exprtext = exprtext;
this.exprbin = exprbin;
this.exprarr = exprarr;
this.flags = flags;
this.dbspace = dbspace;
this.levels = levels;
this.npused = npused;
this.nrows = nrows;
this.clust = clust;
this.partition = partition;
this.version = version;
this.nupdates = nupdates;
this.ndeletes = ndeletes;
this.ninserts = ninserts;
}

public String getFragtype() {
return fragtype;
}

public void setFragtype(String fragtype) {
this.fragtype = fragtype;
}

public int getTabid() {
return tabid;
}

public boolean isTabidNull() {
return tabidNull;
}

public void setTabid(Integer tabid) {
if (tabid == null) {
tabidNull = true;
this.tabid = 0;
} else { 
tabidNull = false;
this.tabid = tabid;
}
}

public String getIndexname() {
return indexname;
}

public void setIndexname(String indexname) {
this.indexname = indexname;
}

public int getColno() {
return colno;
}

public boolean isColnoNull() {
return colnoNull;
}

public void setColno(Integer colno) {
if (colno == null) {
colnoNull = true;
this.colno = 0;
} else { 
colnoNull = false;
this.colno = colno;
}
}

public int getPartn() {
return partn;
}

public boolean isPartnNull() {
return partnNull;
}

public void setPartn(Integer partn) {
if (partn == null) {
partnNull = true;
this.partn = 0;
} else { 
partnNull = false;
this.partn = partn;
}
}

public String getStrategy() {
return strategy;
}

public void setStrategy(String strategy) {
this.strategy = strategy;
}

public String getLocation() {
return location;
}

public void setLocation(String location) {
this.location = location;
}

public String getServername() {
return servername;
}

public void setServername(String servername) {
this.servername = servername;
}

public int getEvalpos() {
return evalpos;
}

public boolean isEvalposNull() {
return evalposNull;
}

public void setEvalpos(Integer evalpos) {
if (evalpos == null) {
evalposNull = true;
this.evalpos = 0;
} else { 
evalposNull = false;
this.evalpos = evalpos;
}
}

public String getExprtext() {
return exprtext;
}

public void setExprtext(String exprtext) {
this.exprtext = exprtext;
}

public String getExprbin() {
return exprbin;
}

public void setExprbin(String exprbin) {
this.exprbin = exprbin;
}

public String getExprarr() {
return exprarr;
}

public void setExprarr(String exprarr) {
this.exprarr = exprarr;
}

public int getFlags() {
return flags;
}

public boolean isFlagsNull() {
return flagsNull;
}

public void setFlags(Integer flags) {
if (flags == null) {
flagsNull = true;
this.flags = 0;
} else { 
flagsNull = false;
this.flags = flags;
}
}

public String getDbspace() {
return dbspace;
}

public void setDbspace(String dbspace) {
this.dbspace = dbspace;
}

public int getLevels() {
return levels;
}

public boolean isLevelsNull() {
return levelsNull;
}

public void setLevels(Integer levels) {
if (levels == null) {
levelsNull = true;
this.levels = 0;
} else { 
levelsNull = false;
this.levels = levels;
}
}

public double getNpused() {
return npused;
}

public boolean isNpusedNull() {
return npusedNull;
}

public void setNpused(int npused) {
setNpused(new Double(npused));
}

public void setNpused(long npused) {
setNpused(new Double(npused));
}

public void setNpused(Double npused) {
if (npused == null) {
npusedNull = true;
this.npused = 0.;
} else { 
npusedNull = false;
this.npused = FglDouble.round(npused, 8);
}
}

public double getNrows() {
return nrows;
}

public boolean isNrowsNull() {
return nrowsNull;
}

public void setNrows(int nrows) {
setNrows(new Double(nrows));
}

public void setNrows(long nrows) {
setNrows(new Double(nrows));
}

public void setNrows(Double nrows) {
if (nrows == null) {
nrowsNull = true;
this.nrows = 0.;
} else { 
nrowsNull = false;
this.nrows = FglDouble.round(nrows, 8);
}
}

public double getClust() {
return clust;
}

public boolean isClustNull() {
return clustNull;
}

public void setClust(int clust) {
setClust(new Double(clust));
}

public void setClust(long clust) {
setClust(new Double(clust));
}

public void setClust(Double clust) {
if (clust == null) {
clustNull = true;
this.clust = 0.;
} else { 
clustNull = false;
this.clust = FglDouble.round(clust, 8);
}
}

public String getPartition() {
return partition;
}

public void setPartition(String partition) {
this.partition = partition;
}

public int getVersion() {
return version;
}

public boolean isVersionNull() {
return versionNull;
}

public void setVersion(Integer version) {
if (version == null) {
versionNull = true;
this.version = 0;
} else { 
versionNull = false;
this.version = version;
}
}

public double getNupdates() {
return nupdates;
}

public boolean isNupdatesNull() {
return nupdatesNull;
}

public void setNupdates(int nupdates) {
setNupdates(new Double(nupdates));
}

public void setNupdates(long nupdates) {
setNupdates(new Double(nupdates));
}

public void setNupdates(Double nupdates) {
if (nupdates == null) {
nupdatesNull = true;
this.nupdates = 0.;
} else { 
nupdatesNull = false;
this.nupdates = FglDouble.round(nupdates, 8);
}
}

public double getNdeletes() {
return ndeletes;
}

public boolean isNdeletesNull() {
return ndeletesNull;
}

public void setNdeletes(int ndeletes) {
setNdeletes(new Double(ndeletes));
}

public void setNdeletes(long ndeletes) {
setNdeletes(new Double(ndeletes));
}

public void setNdeletes(Double ndeletes) {
if (ndeletes == null) {
ndeletesNull = true;
this.ndeletes = 0.;
} else { 
ndeletesNull = false;
this.ndeletes = FglDouble.round(ndeletes, 8);
}
}

public double getNinserts() {
return ninserts;
}

public boolean isNinsertsNull() {
return ninsertsNull;
}

public void setNinserts(int ninserts) {
setNinserts(new Double(ninserts));
}

public void setNinserts(long ninserts) {
setNinserts(new Double(ninserts));
}

public void setNinserts(Double ninserts) {
if (ninserts == null) {
ninsertsNull = true;
this.ninserts = 0.;
} else { 
ninsertsNull = false;
this.ninserts = FglDouble.round(ninserts, 8);
}
}

}

