package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSysmutq {
@Coluna(nome="sysmutq.mq_mtxid", tipo="int")
private int mqMtxid;
private boolean mqMtxidNull;
@Coluna(nome="sysmutq.mq_nwaits", tipo="int")
private int mqNwaits;
private boolean mqNwaitsNull;
@Coluna(nome="sysmutq.mq_nservs", tipo="int")
private int mqNservs;
private boolean mqNservsNull;
@Coluna(nome="sysmutq.mq_curlen", tipo="int")
private int mqCurlen;
private boolean mqCurlenNull;
@Coluna(nome="sysmutq.mq_totlen", tipo="int")
private int mqTotlen;
private boolean mqTotlenNull;
@Coluna(nome="sysmutq.mq_maxlen", tipo="int")
private int mqMaxlen;
private boolean mqMaxlenNull;
@Coluna(nome="sysmutq.mq_waittime", tipo="double")
private double mqWaittime;
private boolean mqWaittimeNull;
@Coluna(nome="sysmutq.mq_servtime", tipo="double")
private double mqServtime;
private boolean mqServtimeNull;
@Coluna(nome="sysmutq.mq_maxwait", tipo="int")
private int mqMaxwait;
private boolean mqMaxwaitNull;

public TabSysmutq() {
initialize();
}

public void initialize() {
setMqMtxid(null);
setMqNwaits(null);
setMqNservs(null);
setMqCurlen(null);
setMqTotlen(null);
setMqMaxlen(null);
setMqWaittime(null);
setMqServtime(null);
setMqMaxwait(null);
}

public TabSysmutq(int mqMtxid, int mqNwaits, int mqNservs, int mqCurlen, int mqTotlen, int mqMaxlen, double mqWaittime, double mqServtime, int mqMaxwait) {
this.mqMtxid = mqMtxid;
this.mqNwaits = mqNwaits;
this.mqNservs = mqNservs;
this.mqCurlen = mqCurlen;
this.mqTotlen = mqTotlen;
this.mqMaxlen = mqMaxlen;
this.mqWaittime = mqWaittime;
this.mqServtime = mqServtime;
this.mqMaxwait = mqMaxwait;
}

public int getMqMtxid() {
return mqMtxid;
}

public boolean isMqMtxidNull() {
return mqMtxidNull;
}

public void setMqMtxid(Integer mqMtxid) {
if (mqMtxid == null) {
mqMtxidNull = true;
this.mqMtxid = 0;
} else { 
mqMtxidNull = false;
this.mqMtxid = mqMtxid;
}
}

public int getMqNwaits() {
return mqNwaits;
}

public boolean isMqNwaitsNull() {
return mqNwaitsNull;
}

public void setMqNwaits(Integer mqNwaits) {
if (mqNwaits == null) {
mqNwaitsNull = true;
this.mqNwaits = 0;
} else { 
mqNwaitsNull = false;
this.mqNwaits = mqNwaits;
}
}

public int getMqNservs() {
return mqNservs;
}

public boolean isMqNservsNull() {
return mqNservsNull;
}

public void setMqNservs(Integer mqNservs) {
if (mqNservs == null) {
mqNservsNull = true;
this.mqNservs = 0;
} else { 
mqNservsNull = false;
this.mqNservs = mqNservs;
}
}

public int getMqCurlen() {
return mqCurlen;
}

public boolean isMqCurlenNull() {
return mqCurlenNull;
}

public void setMqCurlen(Integer mqCurlen) {
if (mqCurlen == null) {
mqCurlenNull = true;
this.mqCurlen = 0;
} else { 
mqCurlenNull = false;
this.mqCurlen = mqCurlen;
}
}

public int getMqTotlen() {
return mqTotlen;
}

public boolean isMqTotlenNull() {
return mqTotlenNull;
}

public void setMqTotlen(Integer mqTotlen) {
if (mqTotlen == null) {
mqTotlenNull = true;
this.mqTotlen = 0;
} else { 
mqTotlenNull = false;
this.mqTotlen = mqTotlen;
}
}

public int getMqMaxlen() {
return mqMaxlen;
}

public boolean isMqMaxlenNull() {
return mqMaxlenNull;
}

public void setMqMaxlen(Integer mqMaxlen) {
if (mqMaxlen == null) {
mqMaxlenNull = true;
this.mqMaxlen = 0;
} else { 
mqMaxlenNull = false;
this.mqMaxlen = mqMaxlen;
}
}

public double getMqWaittime() {
return mqWaittime;
}

public boolean isMqWaittimeNull() {
return mqWaittimeNull;
}

public void setMqWaittime(int mqWaittime) {
setMqWaittime(new Double(mqWaittime));
}

public void setMqWaittime(long mqWaittime) {
setMqWaittime(new Double(mqWaittime));
}

public void setMqWaittime(Double mqWaittime) {
if (mqWaittime == null) {
mqWaittimeNull = true;
this.mqWaittime = 0.;
} else { 
mqWaittimeNull = false;
this.mqWaittime = FglDouble.round(mqWaittime, 8);
}
}

public double getMqServtime() {
return mqServtime;
}

public boolean isMqServtimeNull() {
return mqServtimeNull;
}

public void setMqServtime(int mqServtime) {
setMqServtime(new Double(mqServtime));
}

public void setMqServtime(long mqServtime) {
setMqServtime(new Double(mqServtime));
}

public void setMqServtime(Double mqServtime) {
if (mqServtime == null) {
mqServtimeNull = true;
this.mqServtime = 0.;
} else { 
mqServtimeNull = false;
this.mqServtime = FglDouble.round(mqServtime, 8);
}
}

public int getMqMaxwait() {
return mqMaxwait;
}

public boolean isMqMaxwaitNull() {
return mqMaxwaitNull;
}

public void setMqMaxwait(Integer mqMaxwait) {
if (mqMaxwait == null) {
mqMaxwaitNull = true;
this.mqMaxwait = 0;
} else { 
mqMaxwaitNull = false;
this.mqMaxwait = mqMaxwait;
}
}

}

