package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSyspaghdr {
@Coluna(nome="syspaghdr.pg_partnum", tipo="int")
private int pgPartnum;
private boolean pgPartnumNull;
@Coluna(nome="syspaghdr.pg_pagenum", tipo="int")
private int pgPagenum;
private boolean pgPagenumNull;
@Coluna(nome="syspaghdr.pg_chunk", tipo="int")
private int pgChunk;
private boolean pgChunkNull;
@Coluna(nome="syspaghdr.pg_offset", tipo="int")
private int pgOffset;
private boolean pgOffsetNull;
@Coluna(nome="syspaghdr.pg_stamp", tipo="int")
private int pgStamp;
private boolean pgStampNull;
@Coluna(nome="syspaghdr.pg_chksum", tipo="int")
private int pgChksum;
private boolean pgChksumNull;
@Coluna(nome="syspaghdr.pg_pagesize", tipo="int")
private int pgPagesize;
private boolean pgPagesizeNull;
@Coluna(nome="syspaghdr.pg_nslots", tipo="int")
private int pgNslots;
private boolean pgNslotsNull;
@Coluna(nome="syspaghdr.pg_flags", tipo="int")
private int pgFlags;
private boolean pgFlagsNull;
@Coluna(nome="syspaghdr.pg_frptr", tipo="int")
private int pgFrptr;
private boolean pgFrptrNull;
@Coluna(nome="syspaghdr.pg_frcnt", tipo="int")
private int pgFrcnt;
private boolean pgFrcntNull;
@Coluna(nome="syspaghdr.pg_next", tipo="int")
private int pgNext;
private boolean pgNextNull;
@Coluna(nome="syspaghdr.pg_prev", tipo="int")
private int pgPrev;
private boolean pgPrevNull;
@Coluna(nome="syspaghdr.pg_chunk_disk", tipo="int")
private int pgChunkDisk;
private boolean pgChunkDiskNull;
@Coluna(nome="syspaghdr.pg_offset_disk", tipo="int")
private int pgOffsetDisk;
private boolean pgOffsetDiskNull;

public TabSyspaghdr() {
initialize();
}

public void initialize() {
setPgPartnum(null);
setPgPagenum(null);
setPgChunk(null);
setPgOffset(null);
setPgStamp(null);
setPgChksum(null);
setPgPagesize(null);
setPgNslots(null);
setPgFlags(null);
setPgFrptr(null);
setPgFrcnt(null);
setPgNext(null);
setPgPrev(null);
setPgChunkDisk(null);
setPgOffsetDisk(null);
}

public TabSyspaghdr(int pgPartnum, int pgPagenum, int pgChunk, int pgOffset, int pgStamp, int pgChksum, int pgPagesize, int pgNslots, int pgFlags, int pgFrptr, int pgFrcnt, int pgNext, int pgPrev, int pgChunkDisk, int pgOffsetDisk) {
this.pgPartnum = pgPartnum;
this.pgPagenum = pgPagenum;
this.pgChunk = pgChunk;
this.pgOffset = pgOffset;
this.pgStamp = pgStamp;
this.pgChksum = pgChksum;
this.pgPagesize = pgPagesize;
this.pgNslots = pgNslots;
this.pgFlags = pgFlags;
this.pgFrptr = pgFrptr;
this.pgFrcnt = pgFrcnt;
this.pgNext = pgNext;
this.pgPrev = pgPrev;
this.pgChunkDisk = pgChunkDisk;
this.pgOffsetDisk = pgOffsetDisk;
}

public int getPgPartnum() {
return pgPartnum;
}

public boolean isPgPartnumNull() {
return pgPartnumNull;
}

public void setPgPartnum(Integer pgPartnum) {
if (pgPartnum == null) {
pgPartnumNull = true;
this.pgPartnum = 0;
} else { 
pgPartnumNull = false;
this.pgPartnum = pgPartnum;
}
}

public int getPgPagenum() {
return pgPagenum;
}

public boolean isPgPagenumNull() {
return pgPagenumNull;
}

public void setPgPagenum(Integer pgPagenum) {
if (pgPagenum == null) {
pgPagenumNull = true;
this.pgPagenum = 0;
} else { 
pgPagenumNull = false;
this.pgPagenum = pgPagenum;
}
}

public int getPgChunk() {
return pgChunk;
}

public boolean isPgChunkNull() {
return pgChunkNull;
}

public void setPgChunk(Integer pgChunk) {
if (pgChunk == null) {
pgChunkNull = true;
this.pgChunk = 0;
} else { 
pgChunkNull = false;
this.pgChunk = pgChunk;
}
}

public int getPgOffset() {
return pgOffset;
}

public boolean isPgOffsetNull() {
return pgOffsetNull;
}

public void setPgOffset(Integer pgOffset) {
if (pgOffset == null) {
pgOffsetNull = true;
this.pgOffset = 0;
} else { 
pgOffsetNull = false;
this.pgOffset = pgOffset;
}
}

public int getPgStamp() {
return pgStamp;
}

public boolean isPgStampNull() {
return pgStampNull;
}

public void setPgStamp(Integer pgStamp) {
if (pgStamp == null) {
pgStampNull = true;
this.pgStamp = 0;
} else { 
pgStampNull = false;
this.pgStamp = pgStamp;
}
}

public int getPgChksum() {
return pgChksum;
}

public boolean isPgChksumNull() {
return pgChksumNull;
}

public void setPgChksum(Integer pgChksum) {
if (pgChksum == null) {
pgChksumNull = true;
this.pgChksum = 0;
} else { 
pgChksumNull = false;
this.pgChksum = pgChksum;
}
}

public int getPgPagesize() {
return pgPagesize;
}

public boolean isPgPagesizeNull() {
return pgPagesizeNull;
}

public void setPgPagesize(Integer pgPagesize) {
if (pgPagesize == null) {
pgPagesizeNull = true;
this.pgPagesize = 0;
} else { 
pgPagesizeNull = false;
this.pgPagesize = pgPagesize;
}
}

public int getPgNslots() {
return pgNslots;
}

public boolean isPgNslotsNull() {
return pgNslotsNull;
}

public void setPgNslots(Integer pgNslots) {
if (pgNslots == null) {
pgNslotsNull = true;
this.pgNslots = 0;
} else { 
pgNslotsNull = false;
this.pgNslots = pgNslots;
}
}

public int getPgFlags() {
return pgFlags;
}

public boolean isPgFlagsNull() {
return pgFlagsNull;
}

public void setPgFlags(Integer pgFlags) {
if (pgFlags == null) {
pgFlagsNull = true;
this.pgFlags = 0;
} else { 
pgFlagsNull = false;
this.pgFlags = pgFlags;
}
}

public int getPgFrptr() {
return pgFrptr;
}

public boolean isPgFrptrNull() {
return pgFrptrNull;
}

public void setPgFrptr(Integer pgFrptr) {
if (pgFrptr == null) {
pgFrptrNull = true;
this.pgFrptr = 0;
} else { 
pgFrptrNull = false;
this.pgFrptr = pgFrptr;
}
}

public int getPgFrcnt() {
return pgFrcnt;
}

public boolean isPgFrcntNull() {
return pgFrcntNull;
}

public void setPgFrcnt(Integer pgFrcnt) {
if (pgFrcnt == null) {
pgFrcntNull = true;
this.pgFrcnt = 0;
} else { 
pgFrcntNull = false;
this.pgFrcnt = pgFrcnt;
}
}

public int getPgNext() {
return pgNext;
}

public boolean isPgNextNull() {
return pgNextNull;
}

public void setPgNext(Integer pgNext) {
if (pgNext == null) {
pgNextNull = true;
this.pgNext = 0;
} else { 
pgNextNull = false;
this.pgNext = pgNext;
}
}

public int getPgPrev() {
return pgPrev;
}

public boolean isPgPrevNull() {
return pgPrevNull;
}

public void setPgPrev(Integer pgPrev) {
if (pgPrev == null) {
pgPrevNull = true;
this.pgPrev = 0;
} else { 
pgPrevNull = false;
this.pgPrev = pgPrev;
}
}

public int getPgChunkDisk() {
return pgChunkDisk;
}

public boolean isPgChunkDiskNull() {
return pgChunkDiskNull;
}

public void setPgChunkDisk(Integer pgChunkDisk) {
if (pgChunkDisk == null) {
pgChunkDiskNull = true;
this.pgChunkDisk = 0;
} else { 
pgChunkDiskNull = false;
this.pgChunkDisk = pgChunkDisk;
}
}

public int getPgOffsetDisk() {
return pgOffsetDisk;
}

public boolean isPgOffsetDiskNull() {
return pgOffsetDiskNull;
}

public void setPgOffsetDisk(Integer pgOffsetDisk) {
if (pgOffsetDisk == null) {
pgOffsetDiskNull = true;
this.pgOffsetDisk = 0;
} else { 
pgOffsetDiskNull = false;
this.pgOffsetDisk = pgOffsetDisk;
}
}

}

