package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysprocedures {
@Coluna(nome="sysprocedures.procname", tipo="String")
private String procname;
@Coluna(nome="sysprocedures.owner", tipo="String")
private String owner;
@Coluna(nome="sysprocedures.procid", tipo="int")
private int procid;
private boolean procidNull;
@Coluna(nome="sysprocedures.mode", tipo="String")
private String mode;
@Coluna(nome="sysprocedures.retsize", tipo="int")
private int retsize;
private boolean retsizeNull;
@Coluna(nome="sysprocedures.symsize", tipo="int")
private int symsize;
private boolean symsizeNull;
@Coluna(nome="sysprocedures.datasize", tipo="int")
private int datasize;
private boolean datasizeNull;
@Coluna(nome="sysprocedures.codesize", tipo="int")
private int codesize;
private boolean codesizeNull;
@Coluna(nome="sysprocedures.numargs", tipo="int")
private int numargs;
private boolean numargsNull;
@Coluna(nome="sysprocedures.isproc", tipo="String")
private String isproc;
@Coluna(nome="sysprocedures.specificname", tipo="String")
private String specificname;
@Coluna(nome="sysprocedures.externalname", tipo="String")
private String externalname;
@Coluna(nome="sysprocedures.paramstyle", tipo="String")
private String paramstyle;
@Coluna(nome="sysprocedures.langid", tipo="int")
private int langid;
private boolean langidNull;
@Coluna(nome="sysprocedures.paramtypes", tipo="String")
private String paramtypes;
@Coluna(nome="sysprocedures.variant", tipo="String")
private String variant;
@Coluna(nome="sysprocedures.client", tipo="String")
private String client;
@Coluna(nome="sysprocedures.handlesnulls", tipo="String")
private String handlesnulls;
@Coluna(nome="sysprocedures.iterator", tipo="String")
private String iterator;
@Coluna(nome="sysprocedures.percallcost", tipo="int")
private int percallcost;
private boolean percallcostNull;
@Coluna(nome="sysprocedures.commutator", tipo="String")
private String commutator;
@Coluna(nome="sysprocedures.negator", tipo="String")
private String negator;
@Coluna(nome="sysprocedures.selfunc", tipo="String")
private String selfunc;
@Coluna(nome="sysprocedures.internal", tipo="String")
private String internal;
@Coluna(nome="sysprocedures.class", tipo="String")
private String _class;
@Coluna(nome="sysprocedures.stack", tipo="int")
private int stack;
private boolean stackNull;
@Coluna(nome="sysprocedures.parallelizable", tipo="String")
private String parallelizable;
@Coluna(nome="sysprocedures.costfunc", tipo="String")
private String costfunc;
@Coluna(nome="sysprocedures.selconst", tipo="float")
private float selconst;
private boolean selconstNull;
@Coluna(nome="sysprocedures.collation", tipo="String")
private String collation;
@Coluna(nome="sysprocedures.procflags", tipo="int")
private int procflags;
private boolean procflagsNull;

public TabSysprocedures() {
initialize();
}

public void initialize() {
setProcname(null);
setOwner(null);
setProcid(null);
setMode(null);
setRetsize(null);
setSymsize(null);
setDatasize(null);
setCodesize(null);
setNumargs(null);
setIsproc(null);
setSpecificname(null);
setExternalname(null);
setParamstyle(null);
setLangid(null);
setParamtypes(null);
setVariant(null);
setClient(null);
setHandlesnulls(null);
setIterator(null);
setPercallcost(null);
setCommutator(null);
setNegator(null);
setSelfunc(null);
setInternal(null);
set_class(null);
setStack(null);
setParallelizable(null);
setCostfunc(null);
setSelconst(null);
setCollation(null);
setProcflags(null);
}

public TabSysprocedures(String procname, String owner, int procid, String mode, int retsize, int symsize, int datasize, int codesize, int numargs, String isproc, String specificname, String externalname, String paramstyle, int langid, String paramtypes, String variant, String client, String handlesnulls, String iterator, int percallcost, String commutator, String negator, String selfunc, String internal, String _class, int stack, String parallelizable, String costfunc, float selconst, String collation, int procflags) {
this.procname = procname;
this.owner = owner;
this.procid = procid;
this.mode = mode;
this.retsize = retsize;
this.symsize = symsize;
this.datasize = datasize;
this.codesize = codesize;
this.numargs = numargs;
this.isproc = isproc;
this.specificname = specificname;
this.externalname = externalname;
this.paramstyle = paramstyle;
this.langid = langid;
this.paramtypes = paramtypes;
this.variant = variant;
this.client = client;
this.handlesnulls = handlesnulls;
this.iterator = iterator;
this.percallcost = percallcost;
this.commutator = commutator;
this.negator = negator;
this.selfunc = selfunc;
this.internal = internal;
this._class = _class;
this.stack = stack;
this.parallelizable = parallelizable;
this.costfunc = costfunc;
this.selconst = selconst;
this.collation = collation;
this.procflags = procflags;
}

public String getProcname() {
return procname;
}

public void setProcname(String procname) {
this.procname = procname;
}

public String getOwner() {
return owner;
}

public void setOwner(String owner) {
this.owner = owner;
}

public int getProcid() {
return procid;
}

public boolean isProcidNull() {
return procidNull;
}

public void setProcid(Integer procid) {
if (procid == null) {
procidNull = true;
this.procid = 0;
} else { 
procidNull = false;
this.procid = procid;
}
}

public String getMode() {
return mode;
}

public void setMode(String mode) {
this.mode = mode;
}

public int getRetsize() {
return retsize;
}

public boolean isRetsizeNull() {
return retsizeNull;
}

public void setRetsize(Integer retsize) {
if (retsize == null) {
retsizeNull = true;
this.retsize = 0;
} else { 
retsizeNull = false;
this.retsize = retsize;
}
}

public int getSymsize() {
return symsize;
}

public boolean isSymsizeNull() {
return symsizeNull;
}

public void setSymsize(Integer symsize) {
if (symsize == null) {
symsizeNull = true;
this.symsize = 0;
} else { 
symsizeNull = false;
this.symsize = symsize;
}
}

public int getDatasize() {
return datasize;
}

public boolean isDatasizeNull() {
return datasizeNull;
}

public void setDatasize(Integer datasize) {
if (datasize == null) {
datasizeNull = true;
this.datasize = 0;
} else { 
datasizeNull = false;
this.datasize = datasize;
}
}

public int getCodesize() {
return codesize;
}

public boolean isCodesizeNull() {
return codesizeNull;
}

public void setCodesize(Integer codesize) {
if (codesize == null) {
codesizeNull = true;
this.codesize = 0;
} else { 
codesizeNull = false;
this.codesize = codesize;
}
}

public int getNumargs() {
return numargs;
}

public boolean isNumargsNull() {
return numargsNull;
}

public void setNumargs(Integer numargs) {
if (numargs == null) {
numargsNull = true;
this.numargs = 0;
} else { 
numargsNull = false;
this.numargs = numargs;
}
}

public String getIsproc() {
return isproc;
}

public void setIsproc(String isproc) {
this.isproc = isproc;
}

public String getSpecificname() {
return specificname;
}

public void setSpecificname(String specificname) {
this.specificname = specificname;
}

public String getExternalname() {
return externalname;
}

public void setExternalname(String externalname) {
this.externalname = externalname;
}

public String getParamstyle() {
return paramstyle;
}

public void setParamstyle(String paramstyle) {
this.paramstyle = paramstyle;
}

public int getLangid() {
return langid;
}

public boolean isLangidNull() {
return langidNull;
}

public void setLangid(Integer langid) {
if (langid == null) {
langidNull = true;
this.langid = 0;
} else { 
langidNull = false;
this.langid = langid;
}
}

public String getParamtypes() {
return paramtypes;
}

public void setParamtypes(String paramtypes) {
this.paramtypes = paramtypes;
}

public String getVariant() {
return variant;
}

public void setVariant(String variant) {
this.variant = variant;
}

public String getClient() {
return client;
}

public void setClient(String client) {
this.client = client;
}

public String getHandlesnulls() {
return handlesnulls;
}

public void setHandlesnulls(String handlesnulls) {
this.handlesnulls = handlesnulls;
}

public String getIterator() {
return iterator;
}

public void setIterator(String iterator) {
this.iterator = iterator;
}

public int getPercallcost() {
return percallcost;
}

public boolean isPercallcostNull() {
return percallcostNull;
}

public void setPercallcost(Integer percallcost) {
if (percallcost == null) {
percallcostNull = true;
this.percallcost = 0;
} else { 
percallcostNull = false;
this.percallcost = percallcost;
}
}

public String getCommutator() {
return commutator;
}

public void setCommutator(String commutator) {
this.commutator = commutator;
}

public String getNegator() {
return negator;
}

public void setNegator(String negator) {
this.negator = negator;
}

public String getSelfunc() {
return selfunc;
}

public void setSelfunc(String selfunc) {
this.selfunc = selfunc;
}

public String getInternal() {
return internal;
}

public void setInternal(String internal) {
this.internal = internal;
}

public String get_class() {
return _class;
}

public void set_class(String _class) {
this._class = _class;
}

public int getStack() {
return stack;
}

public boolean isStackNull() {
return stackNull;
}

public void setStack(Integer stack) {
if (stack == null) {
stackNull = true;
this.stack = 0;
} else { 
stackNull = false;
this.stack = stack;
}
}

public String getParallelizable() {
return parallelizable;
}

public void setParallelizable(String parallelizable) {
this.parallelizable = parallelizable;
}

public String getCostfunc() {
return costfunc;
}

public void setCostfunc(String costfunc) {
this.costfunc = costfunc;
}

public float getSelconst() {
return selconst;
}

public boolean isSelconstNull() {
return selconstNull;
}

public void setSelconst(int selconst) {
setSelconst(new Float(selconst));
}

public void setSelconst(long selconst) {
setSelconst(new Float(selconst));
}

public void setSelconst(Float selconst) {
if (selconst == null) {
selconstNull = true;
this.selconst = 0f;
} else { 
selconstNull = false;
this.selconst = selconst;
}
}

public String getCollation() {
return collation;
}

public void setCollation(String collation) {
this.collation = collation;
}

public int getProcflags() {
return procflags;
}

public boolean isProcflagsNull() {
return procflagsNull;
}

public void setProcflags(Integer procflags) {
if (procflags == null) {
procflagsNull = true;
this.procflags = 0;
} else { 
procflagsNull = false;
this.procflags = procflags;
}
}

}

