package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabSysprocplan {
@Coluna(nome="sysprocplan.procid", tipo="int")
private int procid;
private boolean procidNull;
@Coluna(nome="sysprocplan.planid", tipo="int")
private int planid;
private boolean planidNull;
@Coluna(nome="sysprocplan.datakey", tipo="String")
private String datakey;
@Coluna(nome="sysprocplan.seqno", tipo="int")
private int seqno;
private boolean seqnoNull;
@Coluna(nome="sysprocplan.created", tipo="FglDate")
private FglDate created;
@Coluna(nome="sysprocplan.datasize", tipo="int")
private int datasize;
private boolean datasizeNull;
@Coluna(nome="sysprocplan.data", tipo="String")
private String data;

public TabSysprocplan() {
initialize();
}

public void initialize() {
setProcid(null);
setPlanid(null);
setDatakey(null);
setSeqno(null);
setCreated(null);
setDatasize(null);
setData(null);
}

public TabSysprocplan(int procid, int planid, String datakey, int seqno, FglDate created, int datasize, String data) {
this.procid = procid;
this.planid = planid;
this.datakey = datakey;
this.seqno = seqno;
this.created = created;
this.datasize = datasize;
this.data = data;
}

public int getProcid() {
return procid;
}

public boolean isProcidNull() {
return procidNull;
}

public void setProcid(Integer procid) {
if (procid == null) {
procidNull = true;
this.procid = 0;
} else { 
procidNull = false;
this.procid = procid;
}
}

public int getPlanid() {
return planid;
}

public boolean isPlanidNull() {
return planidNull;
}

public void setPlanid(Integer planid) {
if (planid == null) {
planidNull = true;
this.planid = 0;
} else { 
planidNull = false;
this.planid = planid;
}
}

public String getDatakey() {
return datakey;
}

public void setDatakey(String datakey) {
this.datakey = datakey;
}

public int getSeqno() {
return seqno;
}

public boolean isSeqnoNull() {
return seqnoNull;
}

public void setSeqno(Integer seqno) {
if (seqno == null) {
seqnoNull = true;
this.seqno = 0;
} else { 
seqnoNull = false;
this.seqno = seqno;
}
}

public FglDate getCreated() {
return created;
}

public void setCreated(FglDate created) {
this.created = created;
}

public int getDatasize() {
return datasize;
}

public boolean isDatasizeNull() {
return datasizeNull;
}

public void setDatasize(Integer datasize) {
if (datasize == null) {
datasizeNull = true;
this.datasize = 0;
} else { 
datasizeNull = false;
this.datasize = datasize;
}
}

public String getData() {
return data;
}

public void setData(String data) {
this.data = data;
}

}

