package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSyssqlcurses {
@Coluna(nome="syssqlcurses.scs_sessionid", tipo="int")
private int scsSessionid;
private boolean scsSessionidNull;
@Coluna(nome="syssqlcurses.scs_currdb", tipo="String")
private String scsCurrdb;
@Coluna(nome="syssqlcurses.scs_isolationlevel", tipo="String")
private String scsIsolationlevel;
@Coluna(nome="syssqlcurses.scs_lockmode", tipo="int")
private int scsLockmode;
private boolean scsLockmodeNull;
@Coluna(nome="syssqlcurses.scs_executions", tipo="int")
private int scsExecutions;
private boolean scsExecutionsNull;
@Coluna(nome="syssqlcurses.scs_cumtime", tipo="double")
private double scsCumtime;
private boolean scsCumtimeNull;
@Coluna(nome="syssqlcurses.scs_bufreads", tipo="int")
private int scsBufreads;
private boolean scsBufreadsNull;
@Coluna(nome="syssqlcurses.scs_pagereads", tipo="int")
private int scsPagereads;
private boolean scsPagereadsNull;
@Coluna(nome="syssqlcurses.scs_bufwrites", tipo="int")
private int scsBufwrites;
private boolean scsBufwritesNull;
@Coluna(nome="syssqlcurses.scs_pagewrites", tipo="int")
private int scsPagewrites;
private boolean scsPagewritesNull;
@Coluna(nome="syssqlcurses.scs_totsorts", tipo="int")
private int scsTotsorts;
private boolean scsTotsortsNull;
@Coluna(nome="syssqlcurses.scs_dsksorts", tipo="int")
private int scsDsksorts;
private boolean scsDsksortsNull;
@Coluna(nome="syssqlcurses.scs_sortspmax", tipo="int")
private int scsSortspmax;
private boolean scsSortspmaxNull;
@Coluna(nome="syssqlcurses.scs_sqerrno", tipo="int")
private int scsSqerrno;
private boolean scsSqerrnoNull;
@Coluna(nome="syssqlcurses.scs_isamerr", tipo="int")
private int scsIsamerr;
private boolean scsIsamerrNull;
@Coluna(nome="syssqlcurses.scs_fevers", tipo="String")
private String scsFevers;
@Coluna(nome="syssqlcurses.scs_sqlstatement", tipo="String")
private String scsSqlstatement;

public TabSyssqlcurses() {
initialize();
}

public void initialize() {
setScsSessionid(null);
setScsCurrdb(null);
setScsIsolationlevel(null);
setScsLockmode(null);
setScsExecutions(null);
setScsCumtime(null);
setScsBufreads(null);
setScsPagereads(null);
setScsBufwrites(null);
setScsPagewrites(null);
setScsTotsorts(null);
setScsDsksorts(null);
setScsSortspmax(null);
setScsSqerrno(null);
setScsIsamerr(null);
setScsFevers(null);
setScsSqlstatement(null);
}

public TabSyssqlcurses(int scsSessionid, String scsCurrdb, String scsIsolationlevel, int scsLockmode, int scsExecutions, double scsCumtime, int scsBufreads, int scsPagereads, int scsBufwrites, int scsPagewrites, int scsTotsorts, int scsDsksorts, int scsSortspmax, int scsSqerrno, int scsIsamerr, String scsFevers, String scsSqlstatement) {
this.scsSessionid = scsSessionid;
this.scsCurrdb = scsCurrdb;
this.scsIsolationlevel = scsIsolationlevel;
this.scsLockmode = scsLockmode;
this.scsExecutions = scsExecutions;
this.scsCumtime = scsCumtime;
this.scsBufreads = scsBufreads;
this.scsPagereads = scsPagereads;
this.scsBufwrites = scsBufwrites;
this.scsPagewrites = scsPagewrites;
this.scsTotsorts = scsTotsorts;
this.scsDsksorts = scsDsksorts;
this.scsSortspmax = scsSortspmax;
this.scsSqerrno = scsSqerrno;
this.scsIsamerr = scsIsamerr;
this.scsFevers = scsFevers;
this.scsSqlstatement = scsSqlstatement;
}

public int getScsSessionid() {
return scsSessionid;
}

public boolean isScsSessionidNull() {
return scsSessionidNull;
}

public void setScsSessionid(Integer scsSessionid) {
if (scsSessionid == null) {
scsSessionidNull = true;
this.scsSessionid = 0;
} else { 
scsSessionidNull = false;
this.scsSessionid = scsSessionid;
}
}

public String getScsCurrdb() {
return scsCurrdb;
}

public void setScsCurrdb(String scsCurrdb) {
this.scsCurrdb = scsCurrdb;
}

public String getScsIsolationlevel() {
return scsIsolationlevel;
}

public void setScsIsolationlevel(String scsIsolationlevel) {
this.scsIsolationlevel = scsIsolationlevel;
}

public int getScsLockmode() {
return scsLockmode;
}

public boolean isScsLockmodeNull() {
return scsLockmodeNull;
}

public void setScsLockmode(Integer scsLockmode) {
if (scsLockmode == null) {
scsLockmodeNull = true;
this.scsLockmode = 0;
} else { 
scsLockmodeNull = false;
this.scsLockmode = scsLockmode;
}
}

public int getScsExecutions() {
return scsExecutions;
}

public boolean isScsExecutionsNull() {
return scsExecutionsNull;
}

public void setScsExecutions(Integer scsExecutions) {
if (scsExecutions == null) {
scsExecutionsNull = true;
this.scsExecutions = 0;
} else { 
scsExecutionsNull = false;
this.scsExecutions = scsExecutions;
}
}

public double getScsCumtime() {
return scsCumtime;
}

public boolean isScsCumtimeNull() {
return scsCumtimeNull;
}

public void setScsCumtime(int scsCumtime) {
setScsCumtime(new Double(scsCumtime));
}

public void setScsCumtime(long scsCumtime) {
setScsCumtime(new Double(scsCumtime));
}

public void setScsCumtime(Double scsCumtime) {
if (scsCumtime == null) {
scsCumtimeNull = true;
this.scsCumtime = 0.;
} else { 
scsCumtimeNull = false;
this.scsCumtime = FglDouble.round(scsCumtime, 8);
}
}

public int getScsBufreads() {
return scsBufreads;
}

public boolean isScsBufreadsNull() {
return scsBufreadsNull;
}

public void setScsBufreads(Integer scsBufreads) {
if (scsBufreads == null) {
scsBufreadsNull = true;
this.scsBufreads = 0;
} else { 
scsBufreadsNull = false;
this.scsBufreads = scsBufreads;
}
}

public int getScsPagereads() {
return scsPagereads;
}

public boolean isScsPagereadsNull() {
return scsPagereadsNull;
}

public void setScsPagereads(Integer scsPagereads) {
if (scsPagereads == null) {
scsPagereadsNull = true;
this.scsPagereads = 0;
} else { 
scsPagereadsNull = false;
this.scsPagereads = scsPagereads;
}
}

public int getScsBufwrites() {
return scsBufwrites;
}

public boolean isScsBufwritesNull() {
return scsBufwritesNull;
}

public void setScsBufwrites(Integer scsBufwrites) {
if (scsBufwrites == null) {
scsBufwritesNull = true;
this.scsBufwrites = 0;
} else { 
scsBufwritesNull = false;
this.scsBufwrites = scsBufwrites;
}
}

public int getScsPagewrites() {
return scsPagewrites;
}

public boolean isScsPagewritesNull() {
return scsPagewritesNull;
}

public void setScsPagewrites(Integer scsPagewrites) {
if (scsPagewrites == null) {
scsPagewritesNull = true;
this.scsPagewrites = 0;
} else { 
scsPagewritesNull = false;
this.scsPagewrites = scsPagewrites;
}
}

public int getScsTotsorts() {
return scsTotsorts;
}

public boolean isScsTotsortsNull() {
return scsTotsortsNull;
}

public void setScsTotsorts(Integer scsTotsorts) {
if (scsTotsorts == null) {
scsTotsortsNull = true;
this.scsTotsorts = 0;
} else { 
scsTotsortsNull = false;
this.scsTotsorts = scsTotsorts;
}
}

public int getScsDsksorts() {
return scsDsksorts;
}

public boolean isScsDsksortsNull() {
return scsDsksortsNull;
}

public void setScsDsksorts(Integer scsDsksorts) {
if (scsDsksorts == null) {
scsDsksortsNull = true;
this.scsDsksorts = 0;
} else { 
scsDsksortsNull = false;
this.scsDsksorts = scsDsksorts;
}
}

public int getScsSortspmax() {
return scsSortspmax;
}

public boolean isScsSortspmaxNull() {
return scsSortspmaxNull;
}

public void setScsSortspmax(Integer scsSortspmax) {
if (scsSortspmax == null) {
scsSortspmaxNull = true;
this.scsSortspmax = 0;
} else { 
scsSortspmaxNull = false;
this.scsSortspmax = scsSortspmax;
}
}

public int getScsSqerrno() {
return scsSqerrno;
}

public boolean isScsSqerrnoNull() {
return scsSqerrnoNull;
}

public void setScsSqerrno(Integer scsSqerrno) {
if (scsSqerrno == null) {
scsSqerrnoNull = true;
this.scsSqerrno = 0;
} else { 
scsSqerrnoNull = false;
this.scsSqerrno = scsSqerrno;
}
}

public int getScsIsamerr() {
return scsIsamerr;
}

public boolean isScsIsamerrNull() {
return scsIsamerrNull;
}

public void setScsIsamerr(Integer scsIsamerr) {
if (scsIsamerr == null) {
scsIsamerrNull = true;
this.scsIsamerr = 0;
} else { 
scsIsamerrNull = false;
this.scsIsamerr = scsIsamerr;
}
}

public String getScsFevers() {
return scsFevers;
}

public void setScsFevers(String scsFevers) {
this.scsFevers = scsFevers;
}

public String getScsSqlstatement() {
return scsSqlstatement;
}

public void setScsSqlstatement(String scsSqlstatement) {
this.scsSqlstatement = scsSqlstatement;
}

}

