package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSystabauth {
@Coluna(nome="systabauth.grantor", tipo="String")
private String grantor;
@Coluna(nome="systabauth.grantee", tipo="String")
private String grantee;
@Coluna(nome="systabauth.tabid", tipo="int")
private int tabid;
private boolean tabidNull;
@Coluna(nome="systabauth.tabauth", tipo="String")
private String tabauth;

public TabSystabauth() {
initialize();
}

public void initialize() {
setGrantor(null);
setGrantee(null);
setTabid(null);
setTabauth(null);
}

public TabSystabauth(String grantor, String grantee, int tabid, String tabauth) {
this.grantor = grantor;
this.grantee = grantee;
this.tabid = tabid;
this.tabauth = tabauth;
}

public String getGrantor() {
return grantor;
}

public void setGrantor(String grantor) {
this.grantor = grantor;
}

public String getGrantee() {
return grantee;
}

public void setGrantee(String grantee) {
this.grantee = grantee;
}

public int getTabid() {
return tabid;
}

public boolean isTabidNull() {
return tabidNull;
}

public void setTabid(Integer tabid) {
if (tabid == null) {
tabidNull = true;
this.tabid = 0;
} else { 
tabidNull = false;
this.tabid = tabid;
}
}

public String getTabauth() {
return tabauth;
}

public void setTabauth(String tabauth) {
this.tabauth = tabauth;
}

}

