package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSysthreadwaits {
@Coluna(nome="systhreadwaits.tw_tid", tipo="int")
private int twTid;
private boolean twTidNull;
@Coluna(nome="systhreadwaits.tw_reason", tipo="int")
private int twReason;
private boolean twReasonNull;
@Coluna(nome="systhreadwaits.tw_num", tipo="int")
private int twNum;
private boolean twNumNull;
@Coluna(nome="systhreadwaits.tw_cumtime", tipo="double")
private double twCumtime;
private boolean twCumtimeNull;
@Coluna(nome="systhreadwaits.tw_maxtime", tipo="int")
private int twMaxtime;
private boolean twMaxtimeNull;

public TabSysthreadwaits() {
initialize();
}

public void initialize() {
setTwTid(null);
setTwReason(null);
setTwNum(null);
setTwCumtime(null);
setTwMaxtime(null);
}

public TabSysthreadwaits(int twTid, int twReason, int twNum, double twCumtime, int twMaxtime) {
this.twTid = twTid;
this.twReason = twReason;
this.twNum = twNum;
this.twCumtime = twCumtime;
this.twMaxtime = twMaxtime;
}

public int getTwTid() {
return twTid;
}

public boolean isTwTidNull() {
return twTidNull;
}

public void setTwTid(Integer twTid) {
if (twTid == null) {
twTidNull = true;
this.twTid = 0;
} else { 
twTidNull = false;
this.twTid = twTid;
}
}

public int getTwReason() {
return twReason;
}

public boolean isTwReasonNull() {
return twReasonNull;
}

public void setTwReason(Integer twReason) {
if (twReason == null) {
twReasonNull = true;
this.twReason = 0;
} else { 
twReasonNull = false;
this.twReason = twReason;
}
}

public int getTwNum() {
return twNum;
}

public boolean isTwNumNull() {
return twNumNull;
}

public void setTwNum(Integer twNum) {
if (twNum == null) {
twNumNull = true;
this.twNum = 0;
} else { 
twNumNull = false;
this.twNum = twNum;
}
}

public double getTwCumtime() {
return twCumtime;
}

public boolean isTwCumtimeNull() {
return twCumtimeNull;
}

public void setTwCumtime(int twCumtime) {
setTwCumtime(new Double(twCumtime));
}

public void setTwCumtime(long twCumtime) {
setTwCumtime(new Double(twCumtime));
}

public void setTwCumtime(Double twCumtime) {
if (twCumtime == null) {
twCumtimeNull = true;
this.twCumtime = 0.;
} else { 
twCumtimeNull = false;
this.twCumtime = FglDouble.round(twCumtime, 8);
}
}

public int getTwMaxtime() {
return twMaxtime;
}

public boolean isTwMaxtimeNull() {
return twMaxtimeNull;
}

public void setTwMaxtime(Integer twMaxtime) {
if (twMaxtime == null) {
twMaxtimeNull = true;
this.twMaxtime = 0;
} else { 
twMaxtimeNull = false;
this.twMaxtime = twMaxtime;
}
}

}

