package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSystracemsgs {
@Coluna(nome="systracemsgs.name", tipo="String")
private String name;
@Coluna(nome="systracemsgs.msgid", tipo="int")
private int msgid;
private boolean msgidNull;
@Coluna(nome="systracemsgs.locale", tipo="String")
private String locale;
@Coluna(nome="systracemsgs.seqno", tipo="int")
private int seqno;
private boolean seqnoNull;
@Coluna(nome="systracemsgs.message", tipo="String")
private String message;

public TabSystracemsgs() {
initialize();
}

public void initialize() {
setName(null);
setMsgid(null);
setLocale(null);
setSeqno(null);
setMessage(null);
}

public TabSystracemsgs(String name, int msgid, String locale, int seqno, String message) {
this.name = name;
this.msgid = msgid;
this.locale = locale;
this.seqno = seqno;
this.message = message;
}

public String getName() {
return name;
}

public void setName(String name) {
this.name = name;
}

public int getMsgid() {
return msgid;
}

public boolean isMsgidNull() {
return msgidNull;
}

public void setMsgid(Integer msgid) {
if (msgid == null) {
msgidNull = true;
this.msgid = 0;
} else { 
msgidNull = false;
this.msgid = msgid;
}
}

public String getLocale() {
return locale;
}

public void setLocale(String locale) {
this.locale = locale;
}

public int getSeqno() {
return seqno;
}

public boolean isSeqnoNull() {
return seqnoNull;
}

public void setSeqno(Integer seqno) {
if (seqno == null) {
seqnoNull = true;
this.seqno = 0;
} else { 
seqnoNull = false;
this.seqno = seqno;
}
}

public String getMessage() {
return message;
}

public void setMessage(String message) {
this.message = message;
}

}

