package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabSysusers {
@Coluna(nome="sysusers.username", tipo="String")
private String username;
@Coluna(nome="sysusers.usertype", tipo="String")
private String usertype;
@Coluna(nome="sysusers.priority", tipo="int")
private int priority;
private boolean priorityNull;
@Coluna(nome="sysusers.password", tipo="String")
private String password;
@Coluna(nome="sysusers.defrole", tipo="String")
private String defrole;

public TabSysusers() {
initialize();
}

public void initialize() {
setUsername(null);
setUsertype(null);
setPriority(null);
setPassword(null);
setDefrole(null);
}

public TabSysusers(String username, String usertype, int priority, String password, String defrole) {
this.username = username;
this.usertype = usertype;
this.priority = priority;
this.password = password;
this.defrole = defrole;
}

public String getUsername() {
return username;
}

public void setUsername(String username) {
this.username = username;
}

public String getUsertype() {
return usertype;
}

public void setUsertype(String usertype) {
this.usertype = usertype;
}

public int getPriority() {
return priority;
}

public boolean isPriorityNull() {
return priorityNull;
}

public void setPriority(Integer priority) {
if (priority == null) {
priorityNull = true;
this.priority = 0;
} else { 
priorityNull = false;
this.priority = priority;
}
}

public String getPassword() {
return password;
}

public void setPassword(String password) {
this.password = password;
}

public String getDefrole() {
return defrole;
}

public void setDefrole(String defrole) {
this.defrole = defrole;
}

}

