package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabSysvpprof {
@Coluna(nome="sysvpprof.vpid", tipo="int")
private int vpid;
private boolean vpidNull;
@Coluna(nome="sysvpprof.class", tipo="String")
private String _class;
@Coluna(nome="sysvpprof.usercpu", tipo="double")
private double usercpu;
private boolean usercpuNull;
@Coluna(nome="sysvpprof.syscpu", tipo="double")
private double syscpu;
private boolean syscpuNull;

public TabSysvpprof() {
initialize();
}

public void initialize() {
setVpid(null);
set_class(null);
setUsercpu(null);
setSyscpu(null);
}

public TabSysvpprof(int vpid, String _class, double usercpu, double syscpu) {
this.vpid = vpid;
this._class = _class;
this.usercpu = usercpu;
this.syscpu = syscpu;
}

public int getVpid() {
return vpid;
}

public boolean isVpidNull() {
return vpidNull;
}

public void setVpid(Integer vpid) {
if (vpid == null) {
vpidNull = true;
this.vpid = 0;
} else { 
vpidNull = false;
this.vpid = vpid;
}
}

public String get_class() {
return _class;
}

public void set_class(String _class) {
this._class = _class;
}

public double getUsercpu() {
return usercpu;
}

public boolean isUsercpuNull() {
return usercpuNull;
}

public void setUsercpu(int usercpu) {
setUsercpu(new Double(usercpu));
}

public void setUsercpu(long usercpu) {
setUsercpu(new Double(usercpu));
}

public void setUsercpu(Double usercpu) {
if (usercpu == null) {
usercpuNull = true;
this.usercpu = 0.;
} else { 
usercpuNull = false;
this.usercpu = FglDouble.round(usercpu, 8);
}
}

public double getSyscpu() {
return syscpu;
}

public boolean isSyscpuNull() {
return syscpuNull;
}

public void setSyscpu(int syscpu) {
setSyscpu(new Double(syscpu));
}

public void setSyscpu(long syscpu) {
setSyscpu(new Double(syscpu));
}

public void setSyscpu(Double syscpu) {
if (syscpu == null) {
syscpuNull = true;
this.syscpu = 0.;
} else { 
syscpuNull = false;
this.syscpu = FglDouble.round(syscpu, 8);
}
}

}

