package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTapercur {
@Coluna(nome="tapercur.id_pergunta", tipo="int")
private int idPergunta;
private boolean idPerguntaNull;
@Coluna(nome="tapercur.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tapercur.ativo", tipo="String")
private String ativo;
@Coluna(nome="tapercur.datainicial", tipo="FglDate")
private FglDate datainicial;
@Coluna(nome="tapercur.datafinal", tipo="FglDate")
private FglDate datafinal;
@Coluna(nome="tapercur.percuringa", tipo="String")
private String percuringa;
@Coluna(nome="tapercur.rescuringa_1", tipo="String")
private String rescuringa1;
@Coluna(nome="tapercur.rescuringa_2", tipo="String")
private String rescuringa2;
@Coluna(nome="tapercur.persecundaria", tipo="String")
private String persecundaria;
@Coluna(nome="tapercur.ressecundaria_1", tipo="String")
private String ressecundaria1;
@Coluna(nome="tapercur.ressecundaria_2", tipo="String")
private String ressecundaria2;
@Coluna(nome="tapercur.ressecundaria_3", tipo="String")
private String ressecundaria3;
@Coluna(nome="tapercur.ressecundaria_4", tipo="String")
private String ressecundaria4;

public TabTapercur() {
initialize();
}

public void initialize() {
setIdPergunta(null);
setFilial(null);
setAtivo(null);
setDatainicial(null);
setDatafinal(null);
setPercuringa(null);
setRescuringa1(null);
setRescuringa2(null);
setPersecundaria(null);
setRessecundaria1(null);
setRessecundaria2(null);
setRessecundaria3(null);
setRessecundaria4(null);
}

public TabTapercur(int idPergunta, int filial, String ativo, FglDate datainicial, FglDate datafinal, String percuringa, String rescuringa1, String rescuringa2, String persecundaria, String ressecundaria1, String ressecundaria2, String ressecundaria3, String ressecundaria4) {
this.idPergunta = idPergunta;
this.filial = filial;
this.ativo = ativo;
this.datainicial = datainicial;
this.datafinal = datafinal;
this.percuringa = percuringa;
this.rescuringa1 = rescuringa1;
this.rescuringa2 = rescuringa2;
this.persecundaria = persecundaria;
this.ressecundaria1 = ressecundaria1;
this.ressecundaria2 = ressecundaria2;
this.ressecundaria3 = ressecundaria3;
this.ressecundaria4 = ressecundaria4;
}

public int getIdPergunta() {
return idPergunta;
}

public boolean isIdPerguntaNull() {
return idPerguntaNull;
}

public void setIdPergunta(Integer idPergunta) {
if (idPergunta == null) {
idPerguntaNull = true;
this.idPergunta = 0;
} else { 
idPerguntaNull = false;
this.idPergunta = idPergunta;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public FglDate getDatainicial() {
return datainicial;
}

public void setDatainicial(FglDate datainicial) {
this.datainicial = datainicial;
}

public FglDate getDatafinal() {
return datafinal;
}

public void setDatafinal(FglDate datafinal) {
this.datafinal = datafinal;
}

public String getPercuringa() {
return percuringa;
}

public void setPercuringa(String percuringa) {
this.percuringa = percuringa;
}

public String getRescuringa1() {
return rescuringa1;
}

public void setRescuringa1(String rescuringa1) {
this.rescuringa1 = rescuringa1;
}

public String getRescuringa2() {
return rescuringa2;
}

public void setRescuringa2(String rescuringa2) {
this.rescuringa2 = rescuringa2;
}

public String getPersecundaria() {
return persecundaria;
}

public void setPersecundaria(String persecundaria) {
this.persecundaria = persecundaria;
}

public String getRessecundaria1() {
return ressecundaria1;
}

public void setRessecundaria1(String ressecundaria1) {
this.ressecundaria1 = ressecundaria1;
}

public String getRessecundaria2() {
return ressecundaria2;
}

public void setRessecundaria2(String ressecundaria2) {
this.ressecundaria2 = ressecundaria2;
}

public String getRessecundaria3() {
return ressecundaria3;
}

public void setRessecundaria3(String ressecundaria3) {
this.ressecundaria3 = ressecundaria3;
}

public String getRessecundaria4() {
return ressecundaria4;
}

public void setRessecundaria4(String ressecundaria4) {
this.ressecundaria4 = ressecundaria4;
}

}

