package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabTaracsub {
@Coluna(nome="taracsub.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="taracsub.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="taracsub.subseq", tipo="int")
private int subseq;
private boolean subseqNull;
@Coluna(nome="taracsub.sequenciarac", tipo="int")
private int sequenciarac;
private boolean sequenciaracNull;
@Coluna(nome="taracsub.acoes_causa", tipo="String")
private String acoesCausa;
@Coluna(nome="taracsub.responsavel_causa", tipo="int")
private int responsavelCausa;
private boolean responsavelCausaNull;
@Coluna(nome="taracsub.dtregistro_causa", tipo="FglDate")
private FglDate dtregistroCausa;
@Coluna(nome="taracsub.acoes_contramedida", tipo="String")
private String acoesContramedida;
@Coluna(nome="taracsub.responsavel_contramedida", tipo="int")
private int responsavelContramedida;
private boolean responsavelContramedidaNull;
@Coluna(nome="taracsub.dtregistro_contramedida", tipo="FglDate")
private FglDate dtregistroContramedida;
@Coluna(nome="taracsub.realizado", tipo="String")
private String realizado;
@Coluna(nome="taracsub.data_prevista", tipo="FglDate")
private FglDate dataPrevista;
@Coluna(nome="taracsub.data_realizada", tipo="FglDate")
private FglDate dataRealizada;
@Coluna(nome="taracsub.comentario", tipo="String")
private String comentario;

public TabTaracsub() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setSequencia(null);
setSubseq(null);
setSequenciarac(null);
setAcoesCausa(null);
setResponsavelCausa(null);
setDtregistroCausa(null);
setAcoesContramedida(null);
setResponsavelContramedida(null);
setDtregistroContramedida(null);
setRealizado(null);
setDataPrevista(null);
setDataRealizada(null);
setComentario(null);
}

public TabTaracsub(int idOscapa, int sequencia, int subseq, int sequenciarac, String acoesCausa, int responsavelCausa, FglDate dtregistroCausa, String acoesContramedida, int responsavelContramedida, FglDate dtregistroContramedida, String realizado, FglDate dataPrevista, FglDate dataRealizada, String comentario) {
this.idOscapa = idOscapa;
this.sequencia = sequencia;
this.subseq = subseq;
this.sequenciarac = sequenciarac;
this.acoesCausa = acoesCausa;
this.responsavelCausa = responsavelCausa;
this.dtregistroCausa = dtregistroCausa;
this.acoesContramedida = acoesContramedida;
this.responsavelContramedida = responsavelContramedida;
this.dtregistroContramedida = dtregistroContramedida;
this.realizado = realizado;
this.dataPrevista = dataPrevista;
this.dataRealizada = dataRealizada;
this.comentario = comentario;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getSubseq() {
return subseq;
}

public boolean isSubseqNull() {
return subseqNull;
}

public void setSubseq(Integer subseq) {
if (subseq == null) {
subseqNull = true;
this.subseq = 0;
} else { 
subseqNull = false;
this.subseq = subseq;
}
}

public int getSequenciarac() {
return sequenciarac;
}

public boolean isSequenciaracNull() {
return sequenciaracNull;
}

public void setSequenciarac(Integer sequenciarac) {
if (sequenciarac == null) {
sequenciaracNull = true;
this.sequenciarac = 0;
} else { 
sequenciaracNull = false;
this.sequenciarac = sequenciarac;
}
}

public String getAcoesCausa() {
return acoesCausa;
}

public void setAcoesCausa(String acoesCausa) {
this.acoesCausa = acoesCausa;
}

public int getResponsavelCausa() {
return responsavelCausa;
}

public boolean isResponsavelCausaNull() {
return responsavelCausaNull;
}

public void setResponsavelCausa(Integer responsavelCausa) {
if (responsavelCausa == null) {
responsavelCausaNull = true;
this.responsavelCausa = 0;
} else { 
responsavelCausaNull = false;
this.responsavelCausa = responsavelCausa;
}
}

public FglDate getDtregistroCausa() {
return dtregistroCausa;
}

public void setDtregistroCausa(FglDate dtregistroCausa) {
this.dtregistroCausa = dtregistroCausa;
}

public String getAcoesContramedida() {
return acoesContramedida;
}

public void setAcoesContramedida(String acoesContramedida) {
this.acoesContramedida = acoesContramedida;
}

public int getResponsavelContramedida() {
return responsavelContramedida;
}

public boolean isResponsavelContramedidaNull() {
return responsavelContramedidaNull;
}

public void setResponsavelContramedida(Integer responsavelContramedida) {
if (responsavelContramedida == null) {
responsavelContramedidaNull = true;
this.responsavelContramedida = 0;
} else { 
responsavelContramedidaNull = false;
this.responsavelContramedida = responsavelContramedida;
}
}

public FglDate getDtregistroContramedida() {
return dtregistroContramedida;
}

public void setDtregistroContramedida(FglDate dtregistroContramedida) {
this.dtregistroContramedida = dtregistroContramedida;
}

public String getRealizado() {
return realizado;
}

public void setRealizado(String realizado) {
this.realizado = realizado;
}

public FglDate getDataPrevista() {
return dataPrevista;
}

public void setDataPrevista(FglDate dataPrevista) {
this.dataPrevista = dataPrevista;
}

public FglDate getDataRealizada() {
return dataRealizada;
}

public void setDataRealizada(FglDate dataRealizada) {
this.dataRealizada = dataRealizada;
}

public String getComentario() {
return comentario;
}

public void setComentario(String comentario) {
this.comentario = comentario;
}

}

