package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTrnfcfcp {
@Coluna(nome="trnfcfcp.id_trcapa", tipo="int")
private int idTrcapa;
private boolean idTrcapaNull;
@Coluna(nome="trnfcfcp.vfcpufdest", tipo="double")
private double vfcpufdest;
private boolean vfcpufdestNull;
@Coluna(nome="trnfcfcp.vfcp", tipo="double")
private double vfcp;
private boolean vfcpNull;
@Coluna(nome="trnfcfcp.vfcpst", tipo="double")
private double vfcpst;
private boolean vfcpstNull;
@Coluna(nome="trnfcfcp.vfcpstret", tipo="double")
private double vfcpstret;
private boolean vfcpstretNull;

public TabTrnfcfcp() {
initialize();
}

public void initialize() {
setIdTrcapa(null);
setVfcpufdest(null);
setVfcp(null);
setVfcpst(null);
setVfcpstret(null);
}

public TabTrnfcfcp(int idTrcapa, double vfcpufdest, double vfcp, double vfcpst, double vfcpstret) {
this.idTrcapa = idTrcapa;
this.vfcpufdest = vfcpufdest;
this.vfcp = vfcp;
this.vfcpst = vfcpst;
this.vfcpstret = vfcpstret;
}

public int getIdTrcapa() {
return idTrcapa;
}

public boolean isIdTrcapaNull() {
return idTrcapaNull;
}

public void setIdTrcapa(Integer idTrcapa) {
if (idTrcapa == null) {
idTrcapaNull = true;
this.idTrcapa = 0;
} else { 
idTrcapaNull = false;
this.idTrcapa = idTrcapa;
}
}

public double getVfcpufdest() {
return vfcpufdest;
}

public boolean isVfcpufdestNull() {
return vfcpufdestNull;
}

public void setVfcpufdest(int vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(long vfcpufdest) {
setVfcpufdest(new Double(vfcpufdest));
}

public void setVfcpufdest(Double vfcpufdest) {
if (vfcpufdest == null) {
vfcpufdestNull = true;
this.vfcpufdest = 0.;
} else { 
vfcpufdestNull = false;
this.vfcpufdest = FglDouble.round(vfcpufdest, 2);
}
}

public double getVfcp() {
return vfcp;
}

public boolean isVfcpNull() {
return vfcpNull;
}

public void setVfcp(int vfcp) {
setVfcp(new Double(vfcp));
}

public void setVfcp(long vfcp) {
setVfcp(new Double(vfcp));
}

public void setVfcp(Double vfcp) {
if (vfcp == null) {
vfcpNull = true;
this.vfcp = 0.;
} else { 
vfcpNull = false;
this.vfcp = FglDouble.round(vfcp, 2);
}
}

public double getVfcpst() {
return vfcpst;
}

public boolean isVfcpstNull() {
return vfcpstNull;
}

public void setVfcpst(int vfcpst) {
setVfcpst(new Double(vfcpst));
}

public void setVfcpst(long vfcpst) {
setVfcpst(new Double(vfcpst));
}

public void setVfcpst(Double vfcpst) {
if (vfcpst == null) {
vfcpstNull = true;
this.vfcpst = 0.;
} else { 
vfcpstNull = false;
this.vfcpst = FglDouble.round(vfcpst, 2);
}
}

public double getVfcpstret() {
return vfcpstret;
}

public boolean isVfcpstretNull() {
return vfcpstretNull;
}

public void setVfcpstret(int vfcpstret) {
setVfcpstret(new Double(vfcpstret));
}

public void setVfcpstret(long vfcpstret) {
setVfcpstret(new Double(vfcpstret));
}

public void setVfcpstret(Double vfcpstret) {
if (vfcpstret == null) {
vfcpstretNull = true;
this.vfcpstret = 0.;
} else { 
vfcpstretNull = false;
this.vfcpstret = FglDouble.round(vfcpstret, 2);
}
}

}

