package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTrnfpcse {
@Coluna(nome="trnfpcse.id_trcapa", tipo="int")
private int idTrcapa;
private boolean idTrcapaNull;
@Coluna(nome="trnfpcse.nrolinha", tipo="int")
private int nrolinha;
private boolean nrolinhaNull;
@Coluna(nome="trnfpcse.classefiscal", tipo="String")
private String classefiscal;
@Coluna(nome="trnfpcse.formacalcpis", tipo="String")
private String formacalcpis;
@Coluna(nome="trnfpcse.basecalcpis", tipo="double")
private double basecalcpis;
private boolean basecalcpisNull;
@Coluna(nome="trnfpcse.aliqpis", tipo="double")
private double aliqpis;
private boolean aliqpisNull;
@Coluna(nome="trnfpcse.valorpis", tipo="double")
private double valorpis;
private boolean valorpisNull;
@Coluna(nome="trnfpcse.cst_pis", tipo="int")
private int cstPis;
private boolean cstPisNull;
@Coluna(nome="trnfpcse.id_planopis", tipo="int")
private int idPlanopis;
private boolean idPlanopisNull;
@Coluna(nome="trnfpcse.ccustopis", tipo="long")
private long ccustopis;
private boolean ccustopisNull;
@Coluna(nome="trnfpcse.formacalccofins", tipo="String")
private String formacalccofins;
@Coluna(nome="trnfpcse.basecalccofins", tipo="double")
private double basecalccofins;
private boolean basecalccofinsNull;
@Coluna(nome="trnfpcse.aliqcofins", tipo="double")
private double aliqcofins;
private boolean aliqcofinsNull;
@Coluna(nome="trnfpcse.valorcofins", tipo="double")
private double valorcofins;
private boolean valorcofinsNull;
@Coluna(nome="trnfpcse.cst_cofins", tipo="int")
private int cstCofins;
private boolean cstCofinsNull;
@Coluna(nome="trnfpcse.id_planocofins", tipo="int")
private int idPlanocofins;
private boolean idPlanocofinsNull;
@Coluna(nome="trnfpcse.ccustocofins", tipo="long")
private long ccustocofins;
private boolean ccustocofinsNull;
@Coluna(nome="trnfpcse.cod_calculo", tipo="int")
private int codCalculo;
private boolean codCalculoNull;
@Coluna(nome="trnfpcse.atualizado", tipo="String")
private String atualizado;

public TabTrnfpcse() {
initialize();
}

public void initialize() {
setIdTrcapa(null);
setNrolinha(null);
setClassefiscal(null);
setFormacalcpis(null);
setBasecalcpis(null);
setAliqpis(null);
setValorpis(null);
setCstPis(null);
setIdPlanopis(null);
setCcustopis(null);
setFormacalccofins(null);
setBasecalccofins(null);
setAliqcofins(null);
setValorcofins(null);
setCstCofins(null);
setIdPlanocofins(null);
setCcustocofins(null);
setCodCalculo(null);
setAtualizado(null);
}

public TabTrnfpcse(int idTrcapa, int nrolinha, String classefiscal, String formacalcpis, double basecalcpis, double aliqpis, double valorpis, int cstPis, int idPlanopis, long ccustopis, String formacalccofins, double basecalccofins, double aliqcofins, double valorcofins, int cstCofins, int idPlanocofins, long ccustocofins, int codCalculo, String atualizado) {
this.idTrcapa = idTrcapa;
this.nrolinha = nrolinha;
this.classefiscal = classefiscal;
this.formacalcpis = formacalcpis;
this.basecalcpis = basecalcpis;
this.aliqpis = aliqpis;
this.valorpis = valorpis;
this.cstPis = cstPis;
this.idPlanopis = idPlanopis;
this.ccustopis = ccustopis;
this.formacalccofins = formacalccofins;
this.basecalccofins = basecalccofins;
this.aliqcofins = aliqcofins;
this.valorcofins = valorcofins;
this.cstCofins = cstCofins;
this.idPlanocofins = idPlanocofins;
this.ccustocofins = ccustocofins;
this.codCalculo = codCalculo;
this.atualizado = atualizado;
}

public int getIdTrcapa() {
return idTrcapa;
}

public boolean isIdTrcapaNull() {
return idTrcapaNull;
}

public void setIdTrcapa(Integer idTrcapa) {
if (idTrcapa == null) {
idTrcapaNull = true;
this.idTrcapa = 0;
} else { 
idTrcapaNull = false;
this.idTrcapa = idTrcapa;
}
}

public int getNrolinha() {
return nrolinha;
}

public boolean isNrolinhaNull() {
return nrolinhaNull;
}

public void setNrolinha(Integer nrolinha) {
if (nrolinha == null) {
nrolinhaNull = true;
this.nrolinha = 0;
} else { 
nrolinhaNull = false;
this.nrolinha = nrolinha;
}
}

public String getClassefiscal() {
return classefiscal;
}

public void setClassefiscal(String classefiscal) {
this.classefiscal = classefiscal;
}

public String getFormacalcpis() {
return formacalcpis;
}

public void setFormacalcpis(String formacalcpis) {
this.formacalcpis = formacalcpis;
}

public double getBasecalcpis() {
return basecalcpis;
}

public boolean isBasecalcpisNull() {
return basecalcpisNull;
}

public void setBasecalcpis(int basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(long basecalcpis) {
setBasecalcpis(new Double(basecalcpis));
}

public void setBasecalcpis(Double basecalcpis) {
if (basecalcpis == null) {
basecalcpisNull = true;
this.basecalcpis = 0.;
} else { 
basecalcpisNull = false;
this.basecalcpis = FglDouble.round(basecalcpis, 2);
}
}

public double getAliqpis() {
return aliqpis;
}

public boolean isAliqpisNull() {
return aliqpisNull;
}

public void setAliqpis(int aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(long aliqpis) {
setAliqpis(new Double(aliqpis));
}

public void setAliqpis(Double aliqpis) {
if (aliqpis == null) {
aliqpisNull = true;
this.aliqpis = 0.;
} else { 
aliqpisNull = false;
this.aliqpis = FglDouble.round(aliqpis, 2);
}
}

public double getValorpis() {
return valorpis;
}

public boolean isValorpisNull() {
return valorpisNull;
}

public void setValorpis(int valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(long valorpis) {
setValorpis(new Double(valorpis));
}

public void setValorpis(Double valorpis) {
if (valorpis == null) {
valorpisNull = true;
this.valorpis = 0.;
} else { 
valorpisNull = false;
this.valorpis = FglDouble.round(valorpis, 2);
}
}

public int getCstPis() {
return cstPis;
}

public boolean isCstPisNull() {
return cstPisNull;
}

public void setCstPis(Integer cstPis) {
if (cstPis == null) {
cstPisNull = true;
this.cstPis = 0;
} else { 
cstPisNull = false;
this.cstPis = cstPis;
}
}

public int getIdPlanopis() {
return idPlanopis;
}

public boolean isIdPlanopisNull() {
return idPlanopisNull;
}

public void setIdPlanopis(Integer idPlanopis) {
if (idPlanopis == null) {
idPlanopisNull = true;
this.idPlanopis = 0;
} else { 
idPlanopisNull = false;
this.idPlanopis = idPlanopis;
}
}

public long getCcustopis() {
return ccustopis;
}

public boolean isCcustopisNull() {
return ccustopisNull;
}

public void setCcustopis(int ccustopis) {
setCcustopis(new Long(ccustopis));
}

public void setCcustopis(Long ccustopis) {
if (ccustopis == null) {
ccustopisNull = true;
this.ccustopis = 0l;
} else { 
ccustopisNull = false;
this.ccustopis = ccustopis;
}
}

public String getFormacalccofins() {
return formacalccofins;
}

public void setFormacalccofins(String formacalccofins) {
this.formacalccofins = formacalccofins;
}

public double getBasecalccofins() {
return basecalccofins;
}

public boolean isBasecalccofinsNull() {
return basecalccofinsNull;
}

public void setBasecalccofins(int basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(long basecalccofins) {
setBasecalccofins(new Double(basecalccofins));
}

public void setBasecalccofins(Double basecalccofins) {
if (basecalccofins == null) {
basecalccofinsNull = true;
this.basecalccofins = 0.;
} else { 
basecalccofinsNull = false;
this.basecalccofins = FglDouble.round(basecalccofins, 2);
}
}

public double getAliqcofins() {
return aliqcofins;
}

public boolean isAliqcofinsNull() {
return aliqcofinsNull;
}

public void setAliqcofins(int aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(long aliqcofins) {
setAliqcofins(new Double(aliqcofins));
}

public void setAliqcofins(Double aliqcofins) {
if (aliqcofins == null) {
aliqcofinsNull = true;
this.aliqcofins = 0.;
} else { 
aliqcofinsNull = false;
this.aliqcofins = FglDouble.round(aliqcofins, 2);
}
}

public double getValorcofins() {
return valorcofins;
}

public boolean isValorcofinsNull() {
return valorcofinsNull;
}

public void setValorcofins(int valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(long valorcofins) {
setValorcofins(new Double(valorcofins));
}

public void setValorcofins(Double valorcofins) {
if (valorcofins == null) {
valorcofinsNull = true;
this.valorcofins = 0.;
} else { 
valorcofinsNull = false;
this.valorcofins = FglDouble.round(valorcofins, 2);
}
}

public int getCstCofins() {
return cstCofins;
}

public boolean isCstCofinsNull() {
return cstCofinsNull;
}

public void setCstCofins(Integer cstCofins) {
if (cstCofins == null) {
cstCofinsNull = true;
this.cstCofins = 0;
} else { 
cstCofinsNull = false;
this.cstCofins = cstCofins;
}
}

public int getIdPlanocofins() {
return idPlanocofins;
}

public boolean isIdPlanocofinsNull() {
return idPlanocofinsNull;
}

public void setIdPlanocofins(Integer idPlanocofins) {
if (idPlanocofins == null) {
idPlanocofinsNull = true;
this.idPlanocofins = 0;
} else { 
idPlanocofinsNull = false;
this.idPlanocofins = idPlanocofins;
}
}

public long getCcustocofins() {
return ccustocofins;
}

public boolean isCcustocofinsNull() {
return ccustocofinsNull;
}

public void setCcustocofins(int ccustocofins) {
setCcustocofins(new Long(ccustocofins));
}

public void setCcustocofins(Long ccustocofins) {
if (ccustocofins == null) {
ccustocofinsNull = true;
this.ccustocofins = 0l;
} else { 
ccustocofinsNull = false;
this.ccustocofins = ccustocofins;
}
}

public int getCodCalculo() {
return codCalculo;
}

public boolean isCodCalculoNull() {
return codCalculoNull;
}

public void setCodCalculo(Integer codCalculo) {
if (codCalculo == null) {
codCalculoNull = true;
this.codCalculo = 0;
} else { 
codCalculoNull = false;
this.codCalculo = codCalculo;
}
}

public String getAtualizado() {
return atualizado;
}

public void setAtualizado(String atualizado) {
this.atualizado = atualizado;
}

}

