package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsagente {
@Coluna(nome="tsagente.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;
@Coluna(nome="tsagente.dealer", tipo="String")
private String dealer;
@Coluna(nome="tsagente.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsagente.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsagente.nivel", tipo="int")
private int nivel;
private boolean nivelNull;
@Coluna(nome="tsagente.disponivel", tipo="String")
private String disponivel;
@Coluna(nome="tsagente.dataultlogin", tipo="FglDate")
private FglDate dataultlogin;
@Coluna(nome="tsagente.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="tsagente.dtvalidstatus", tipo="FglDateTimeYS")
private FglDateTimeYS dtvalidstatus;
@Coluna(nome="tsagente.token", tipo="String")
private String token;
@Coluna(nome="tsagente.dtvalidtoken", tipo="FglDateTimeYS")
private FglDateTimeYS dtvalidtoken;

public TabTsagente() {
initialize();
}

public void initialize() {
setIdTsagente(null);
setDealer(null);
setFilial(null);
setIdAgente(null);
setNivel(null);
setDisponivel(null);
setDataultlogin(null);
setStatus(null);
setDtvalidstatus(null);
setToken(null);
setDtvalidtoken(null);
}

public TabTsagente(int idTsagente, String dealer, int filial, int idAgente, int nivel, String disponivel, FglDate dataultlogin, int status, FglDateTimeYS dtvalidstatus, String token, FglDateTimeYS dtvalidtoken) {
this.idTsagente = idTsagente;
this.dealer = dealer;
this.filial = filial;
this.idAgente = idAgente;
this.nivel = nivel;
this.disponivel = disponivel;
this.dataultlogin = dataultlogin;
this.status = status;
this.dtvalidstatus = dtvalidstatus;
this.token = token;
this.dtvalidtoken = dtvalidtoken;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getNivel() {
return nivel;
}

public boolean isNivelNull() {
return nivelNull;
}

public void setNivel(Integer nivel) {
if (nivel == null) {
nivelNull = true;
this.nivel = 0;
} else { 
nivelNull = false;
this.nivel = nivel;
}
}

public String getDisponivel() {
return disponivel;
}

public void setDisponivel(String disponivel) {
this.disponivel = disponivel;
}

public FglDate getDataultlogin() {
return dataultlogin;
}

public void setDataultlogin(FglDate dataultlogin) {
this.dataultlogin = dataultlogin;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public FglDateTimeYS getDtvalidstatus() {
return dtvalidstatus;
}

public void setDtvalidstatus(FglDateTimeYS dtvalidstatus) {
this.dtvalidstatus = dtvalidstatus;
}

public String getToken() {
return token;
}

public void setToken(String token) {
this.token = token;
}

public FglDateTimeYS getDtvalidtoken() {
return dtvalidtoken;
}

public void setDtvalidtoken(FglDateTimeYS dtvalidtoken) {
this.dtvalidtoken = dtvalidtoken;
}

}

