package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabTsaudpre {
@Coluna(nome="tsaudpre.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsaudpre.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="tsaudpre.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsaudpre.dhr_alter", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhrAlter;
@Coluna(nome="tsaudpre.id_motivo", tipo="int")
private int idMotivo;
private boolean idMotivoNull;
@Coluna(nome="tsaudpre.dhr_prev_ent", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhrPrevEnt;
@Coluna(nome="tsaudpre.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;

public TabTsaudpre() {
initialize();
}

public void initialize() {
setIdProspe(null);
setFilialped(null);
setPedvenda(null);
setDhrAlter(null);
setIdMotivo(null);
setDhrPrevEnt(null);
setIdTsagente(null);
}

public TabTsaudpre(int idProspe, int filialped, int pedvenda, FglDateTimeYMin dhrAlter, int idMotivo, FglDateTimeYMin dhrPrevEnt, int idTsagente) {
this.idProspe = idProspe;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.dhrAlter = dhrAlter;
this.idMotivo = idMotivo;
this.dhrPrevEnt = dhrPrevEnt;
this.idTsagente = idTsagente;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public FglDateTimeYMin getDhrAlter() {
return dhrAlter;
}

public void setDhrAlter(FglDateTimeYMin dhrAlter) {
this.dhrAlter = dhrAlter;
}

public int getIdMotivo() {
return idMotivo;
}

public boolean isIdMotivoNull() {
return idMotivoNull;
}

public void setIdMotivo(Integer idMotivo) {
if (idMotivo == null) {
idMotivoNull = true;
this.idMotivo = 0;
} else { 
idMotivoNull = false;
this.idMotivo = idMotivo;
}
}

public FglDateTimeYMin getDhrPrevEnt() {
return dhrPrevEnt;
}

public void setDhrPrevEnt(FglDateTimeYMin dhrPrevEnt) {
this.dhrPrevEnt = dhrPrevEnt;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

}

