package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTscaprep {
@Coluna(nome="tscaprep.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="tscaprep.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tscaprep.descricaocontrato", tipo="String")
private String descricaocontrato;
@Coluna(nome="tscaprep.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="tscaprep.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="tscaprep.chassis", tipo="String")
private String chassis;
@Coluna(nome="tscaprep.kmatual", tipo="int")
private int kmatual;
private boolean kmatualNull;
@Coluna(nome="tscaprep.dtgeracao", tipo="FglDate")
private FglDate dtgeracao;
@Coluna(nome="tscaprep.dtfechamento", tipo="FglDate")
private FglDate dtfechamento;
@Coluna(nome="tscaprep.valorplano", tipo="double")
private double valorplano;
private boolean valorplanoNull;
@Coluna(nome="tscaprep.perc_desconto", tipo="double")
private double percDesconto;
private boolean percDescontoNull;
@Coluna(nome="tscaprep.valordesconto", tipo="double")
private double valordesconto;
private boolean valordescontoNull;
@Coluna(nome="tscaprep.valorcontrato", tipo="double")
private double valorcontrato;
private boolean valorcontratoNull;
@Coluna(nome="tscaprep.valorutilizado", tipo="double")
private double valorutilizado;
private boolean valorutilizadoNull;
@Coluna(nome="tscaprep.status", tipo="String")
private String status;
@Coluna(nome="tscaprep.numerocontrato", tipo="int")
private int numerocontrato;
private boolean numerocontratoNull;
@Coluna(nome="tscaprep.id_orc_entregafut", tipo="int")
private int idOrcEntregafut;
private boolean idOrcEntregafutNull;
@Coluna(nome="tscaprep.forma_fat", tipo="String")
private String formaFat;
@Coluna(nome="tscaprep.documento_fat", tipo="String")
private String documentoFat;
@Coluna(nome="tscaprep.dtstatus", tipo="FglDate")
private FglDate dtstatus;
@Coluna(nome="tscaprep.perc_multa_canc", tipo="double")
private double percMultaCanc;
private boolean percMultaCancNull;
@Coluna(nome="tscaprep.motivo_canc", tipo="String")
private String motivoCanc;
@Coluna(nome="tscaprep.motivo_desc_canc", tipo="String")
private String motivoDescCanc;
@Coluna(nome="tscaprep.valordevol_canc", tipo="double")
private double valordevolCanc;
private boolean valordevolCancNull;
@Coluna(nome="tscaprep.enviado_svt", tipo="String")
private String enviadoSvt;
@Coluna(nome="tscaprep.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tscaprep.texto_canc", tipo="String")
private String textoCanc;

public TabTscaprep() {
initialize();
}

public void initialize() {
setIdContrato(null);
setFilial(null);
setDescricaocontrato(null);
setCgccpf(null);
setTppessoa(null);
setChassis(null);
setKmatual(null);
setDtgeracao(null);
setDtfechamento(null);
setValorplano(null);
setPercDesconto(null);
setValordesconto(null);
setValorcontrato(null);
setValorutilizado(null);
setStatus(null);
setNumerocontrato(null);
setIdOrcEntregafut(null);
setFormaFat(null);
setDocumentoFat(null);
setDtstatus(null);
setPercMultaCanc(null);
setMotivoCanc(null);
setMotivoDescCanc(null);
setValordevolCanc(null);
setEnviadoSvt(null);
setIdAgente(null);
setTextoCanc(null);
}

public TabTscaprep(int idContrato, int filial, String descricaocontrato, long cgccpf, int tppessoa, String chassis, int kmatual, FglDate dtgeracao, FglDate dtfechamento, double valorplano, double percDesconto, double valordesconto, double valorcontrato, double valorutilizado, String status, int numerocontrato, int idOrcEntregafut, String formaFat, String documentoFat, FglDate dtstatus, double percMultaCanc, String motivoCanc, String motivoDescCanc, double valordevolCanc, String enviadoSvt, int idAgente, String textoCanc) {
this.idContrato = idContrato;
this.filial = filial;
this.descricaocontrato = descricaocontrato;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.chassis = chassis;
this.kmatual = kmatual;
this.dtgeracao = dtgeracao;
this.dtfechamento = dtfechamento;
this.valorplano = valorplano;
this.percDesconto = percDesconto;
this.valordesconto = valordesconto;
this.valorcontrato = valorcontrato;
this.valorutilizado = valorutilizado;
this.status = status;
this.numerocontrato = numerocontrato;
this.idOrcEntregafut = idOrcEntregafut;
this.formaFat = formaFat;
this.documentoFat = documentoFat;
this.dtstatus = dtstatus;
this.percMultaCanc = percMultaCanc;
this.motivoCanc = motivoCanc;
this.motivoDescCanc = motivoDescCanc;
this.valordevolCanc = valordevolCanc;
this.enviadoSvt = enviadoSvt;
this.idAgente = idAgente;
this.textoCanc = textoCanc;
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getDescricaocontrato() {
return descricaocontrato;
}

public void setDescricaocontrato(String descricaocontrato) {
this.descricaocontrato = descricaocontrato;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getKmatual() {
return kmatual;
}

public boolean isKmatualNull() {
return kmatualNull;
}

public void setKmatual(Integer kmatual) {
if (kmatual == null) {
kmatualNull = true;
this.kmatual = 0;
} else { 
kmatualNull = false;
this.kmatual = kmatual;
}
}

public FglDate getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDate dtgeracao) {
this.dtgeracao = dtgeracao;
}

public FglDate getDtfechamento() {
return dtfechamento;
}

public void setDtfechamento(FglDate dtfechamento) {
this.dtfechamento = dtfechamento;
}

public double getValorplano() {
return valorplano;
}

public boolean isValorplanoNull() {
return valorplanoNull;
}

public void setValorplano(int valorplano) {
setValorplano(new Double(valorplano));
}

public void setValorplano(long valorplano) {
setValorplano(new Double(valorplano));
}

public void setValorplano(Double valorplano) {
if (valorplano == null) {
valorplanoNull = true;
this.valorplano = 0.;
} else { 
valorplanoNull = false;
this.valorplano = FglDouble.round(valorplano, 2);
}
}

public double getPercDesconto() {
return percDesconto;
}

public boolean isPercDescontoNull() {
return percDescontoNull;
}

public void setPercDesconto(int percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(long percDesconto) {
setPercDesconto(new Double(percDesconto));
}

public void setPercDesconto(Double percDesconto) {
if (percDesconto == null) {
percDescontoNull = true;
this.percDesconto = 0.;
} else { 
percDescontoNull = false;
this.percDesconto = FglDouble.round(percDesconto, 2);
}
}

public double getValordesconto() {
return valordesconto;
}

public boolean isValordescontoNull() {
return valordescontoNull;
}

public void setValordesconto(int valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(long valordesconto) {
setValordesconto(new Double(valordesconto));
}

public void setValordesconto(Double valordesconto) {
if (valordesconto == null) {
valordescontoNull = true;
this.valordesconto = 0.;
} else { 
valordescontoNull = false;
this.valordesconto = FglDouble.round(valordesconto, 2);
}
}

public double getValorcontrato() {
return valorcontrato;
}

public boolean isValorcontratoNull() {
return valorcontratoNull;
}

public void setValorcontrato(int valorcontrato) {
setValorcontrato(new Double(valorcontrato));
}

public void setValorcontrato(long valorcontrato) {
setValorcontrato(new Double(valorcontrato));
}

public void setValorcontrato(Double valorcontrato) {
if (valorcontrato == null) {
valorcontratoNull = true;
this.valorcontrato = 0.;
} else { 
valorcontratoNull = false;
this.valorcontrato = FglDouble.round(valorcontrato, 2);
}
}

public double getValorutilizado() {
return valorutilizado;
}

public boolean isValorutilizadoNull() {
return valorutilizadoNull;
}

public void setValorutilizado(int valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(long valorutilizado) {
setValorutilizado(new Double(valorutilizado));
}

public void setValorutilizado(Double valorutilizado) {
if (valorutilizado == null) {
valorutilizadoNull = true;
this.valorutilizado = 0.;
} else { 
valorutilizadoNull = false;
this.valorutilizado = FglDouble.round(valorutilizado, 2);
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public int getNumerocontrato() {
return numerocontrato;
}

public boolean isNumerocontratoNull() {
return numerocontratoNull;
}

public void setNumerocontrato(Integer numerocontrato) {
if (numerocontrato == null) {
numerocontratoNull = true;
this.numerocontrato = 0;
} else { 
numerocontratoNull = false;
this.numerocontrato = numerocontrato;
}
}

public int getIdOrcEntregafut() {
return idOrcEntregafut;
}

public boolean isIdOrcEntregafutNull() {
return idOrcEntregafutNull;
}

public void setIdOrcEntregafut(Integer idOrcEntregafut) {
if (idOrcEntregafut == null) {
idOrcEntregafutNull = true;
this.idOrcEntregafut = 0;
} else { 
idOrcEntregafutNull = false;
this.idOrcEntregafut = idOrcEntregafut;
}
}

public String getFormaFat() {
return formaFat;
}

public void setFormaFat(String formaFat) {
this.formaFat = formaFat;
}

public String getDocumentoFat() {
return documentoFat;
}

public void setDocumentoFat(String documentoFat) {
this.documentoFat = documentoFat;
}

public FglDate getDtstatus() {
return dtstatus;
}

public void setDtstatus(FglDate dtstatus) {
this.dtstatus = dtstatus;
}

public double getPercMultaCanc() {
return percMultaCanc;
}

public boolean isPercMultaCancNull() {
return percMultaCancNull;
}

public void setPercMultaCanc(int percMultaCanc) {
setPercMultaCanc(new Double(percMultaCanc));
}

public void setPercMultaCanc(long percMultaCanc) {
setPercMultaCanc(new Double(percMultaCanc));
}

public void setPercMultaCanc(Double percMultaCanc) {
if (percMultaCanc == null) {
percMultaCancNull = true;
this.percMultaCanc = 0.;
} else { 
percMultaCancNull = false;
this.percMultaCanc = FglDouble.round(percMultaCanc, 2);
}
}

public String getMotivoCanc() {
return motivoCanc;
}

public void setMotivoCanc(String motivoCanc) {
this.motivoCanc = motivoCanc;
}

public String getMotivoDescCanc() {
return motivoDescCanc;
}

public void setMotivoDescCanc(String motivoDescCanc) {
this.motivoDescCanc = motivoDescCanc;
}

public double getValordevolCanc() {
return valordevolCanc;
}

public boolean isValordevolCancNull() {
return valordevolCancNull;
}

public void setValordevolCanc(int valordevolCanc) {
setValordevolCanc(new Double(valordevolCanc));
}

public void setValordevolCanc(long valordevolCanc) {
setValordevolCanc(new Double(valordevolCanc));
}

public void setValordevolCanc(Double valordevolCanc) {
if (valordevolCanc == null) {
valordevolCancNull = true;
this.valordevolCanc = 0.;
} else { 
valordevolCancNull = false;
this.valordevolCanc = FglDouble.round(valordevolCanc, 2);
}
}

public String getEnviadoSvt() {
return enviadoSvt;
}

public void setEnviadoSvt(String enviadoSvt) {
this.enviadoSvt = enviadoSvt;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public String getTextoCanc() {
return textoCanc;
}

public void setTextoCanc(String textoCanc) {
this.textoCanc = textoCanc;
}

}

