package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsevencs {
@Coluna(nome="tsevencs.id_evento", tipo="int")
private int idEvento;
private boolean idEventoNull;
@Coluna(nome="tsevencs.dtgeracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtgeracao;
@Coluna(nome="tsevencs.tipoevento", tipo="String")
private String tipoevento;
@Coluna(nome="tsevencs.nomeproggera", tipo="String")
private String nomeproggera;
@Coluna(nome="tsevencs.dtprienvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtprienvio;
@Coluna(nome="tsevencs.dtultenvio", tipo="FglDateTimeYS")
private FglDateTimeYS dtultenvio;
@Coluna(nome="tsevencs.qtdtransmissao", tipo="int")
private int qtdtransmissao;
private boolean qtdtransmissaoNull;
@Coluna(nome="tsevencs.nomeprogenv", tipo="String")
private String nomeprogenv;
@Coluna(nome="tsevencs.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="tsevencs.xmlenviado", tipo="String")
private String xmlenviado;
@Coluna(nome="tsevencs.xmlrecebido", tipo="String")
private String xmlrecebido;
@Coluna(nome="tsevencs.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsevencs.chassis", tipo="String")
private String chassis;
@Coluna(nome="tsevencs.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="tsevencs.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsevencs.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="tsevencs.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsevencs.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsevencs.filialorigem", tipo="int")
private int filialorigem;
private boolean filialorigemNull;
@Coluna(nome="tsevencs.filialdestino", tipo="int")
private int filialdestino;
private boolean filialdestinoNull;
@Coluna(nome="tsevencs.id_nfcapasaida", tipo="int")
private int idNfcapasaida;
private boolean idNfcapasaidaNull;
@Coluna(nome="tsevencs.id_nfcapaentrada", tipo="int")
private int idNfcapaentrada;
private boolean idNfcapaentradaNull;
@Coluna(nome="tsevencs.cancelada", tipo="String")
private String cancelada;
@Coluna(nome="tsevencs.transferir", tipo="String")
private String transferir;
@Coluna(nome="tsevencs.liberado", tipo="String")
private String liberado;
@Coluna(nome="tsevencs.seqpotencial", tipo="int")
private int seqpotencial;
private boolean seqpotencialNull;
@Coluna(nome="tsevencs.seqagenda", tipo="int")
private int seqagenda;
private boolean seqagendaNull;
@Coluna(nome="tsevencs.tpresult", tipo="String")
private String tpresult;
@Coluna(nome="tsevencs.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="tsevencs.sequsado", tipo="int")
private int sequsado;
private boolean sequsadoNull;
@Coluna(nome="tsevencs.id_avaliacao", tipo="int")
private int idAvaliacao;
private boolean idAvaliacaoNull;
@Coluna(nome="tsevencs.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;

public TabTsevencs() {
initialize();
}

public void initialize() {
setIdEvento(null);
setDtgeracao(null);
setTipoevento(null);
setNomeproggera(null);
setDtprienvio(null);
setDtultenvio(null);
setQtdtransmissao(null);
setNomeprogenv(null);
setStatus(null);
setXmlenviado(null);
setXmlrecebido(null);
setIdProspe(null);
setChassis(null);
setFilialped(null);
setPedvenda(null);
setIdNfcapa(null);
setIdAgente(null);
setFilial(null);
setFilialorigem(null);
setFilialdestino(null);
setIdNfcapasaida(null);
setIdNfcapaentrada(null);
setCancelada(null);
setTransferir(null);
setLiberado(null);
setSeqpotencial(null);
setSeqagenda(null);
setTpresult(null);
setIdOscapa(null);
setSequsado(null);
setIdAvaliacao(null);
setIdContrato(null);
}

public TabTsevencs(int idEvento, FglDateTimeYS dtgeracao, String tipoevento, String nomeproggera, FglDateTimeYS dtprienvio, FglDateTimeYS dtultenvio, int qtdtransmissao, String nomeprogenv, int status, String xmlenviado, String xmlrecebido, int idProspe, String chassis, int filialped, int pedvenda, int idNfcapa, int idAgente, int filial, int filialorigem, int filialdestino, int idNfcapasaida, int idNfcapaentrada, String cancelada, String transferir, String liberado, int seqpotencial, int seqagenda, String tpresult, int idOscapa, int sequsado, int idAvaliacao, int idContrato) {
this.idEvento = idEvento;
this.dtgeracao = dtgeracao;
this.tipoevento = tipoevento;
this.nomeproggera = nomeproggera;
this.dtprienvio = dtprienvio;
this.dtultenvio = dtultenvio;
this.qtdtransmissao = qtdtransmissao;
this.nomeprogenv = nomeprogenv;
this.status = status;
this.xmlenviado = xmlenviado;
this.xmlrecebido = xmlrecebido;
this.idProspe = idProspe;
this.chassis = chassis;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.idNfcapa = idNfcapa;
this.idAgente = idAgente;
this.filial = filial;
this.filialorigem = filialorigem;
this.filialdestino = filialdestino;
this.idNfcapasaida = idNfcapasaida;
this.idNfcapaentrada = idNfcapaentrada;
this.cancelada = cancelada;
this.transferir = transferir;
this.liberado = liberado;
this.seqpotencial = seqpotencial;
this.seqagenda = seqagenda;
this.tpresult = tpresult;
this.idOscapa = idOscapa;
this.sequsado = sequsado;
this.idAvaliacao = idAvaliacao;
this.idContrato = idContrato;
}

public int getIdEvento() {
return idEvento;
}

public boolean isIdEventoNull() {
return idEventoNull;
}

public void setIdEvento(Integer idEvento) {
if (idEvento == null) {
idEventoNull = true;
this.idEvento = 0;
} else { 
idEventoNull = false;
this.idEvento = idEvento;
}
}

public FglDateTimeYS getDtgeracao() {
return dtgeracao;
}

public void setDtgeracao(FglDateTimeYS dtgeracao) {
this.dtgeracao = dtgeracao;
}

public String getTipoevento() {
return tipoevento;
}

public void setTipoevento(String tipoevento) {
this.tipoevento = tipoevento;
}

public String getNomeproggera() {
return nomeproggera;
}

public void setNomeproggera(String nomeproggera) {
this.nomeproggera = nomeproggera;
}

public FglDateTimeYS getDtprienvio() {
return dtprienvio;
}

public void setDtprienvio(FglDateTimeYS dtprienvio) {
this.dtprienvio = dtprienvio;
}

public FglDateTimeYS getDtultenvio() {
return dtultenvio;
}

public void setDtultenvio(FglDateTimeYS dtultenvio) {
this.dtultenvio = dtultenvio;
}

public int getQtdtransmissao() {
return qtdtransmissao;
}

public boolean isQtdtransmissaoNull() {
return qtdtransmissaoNull;
}

public void setQtdtransmissao(Integer qtdtransmissao) {
if (qtdtransmissao == null) {
qtdtransmissaoNull = true;
this.qtdtransmissao = 0;
} else { 
qtdtransmissaoNull = false;
this.qtdtransmissao = qtdtransmissao;
}
}

public String getNomeprogenv() {
return nomeprogenv;
}

public void setNomeprogenv(String nomeprogenv) {
this.nomeprogenv = nomeprogenv;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public String getXmlenviado() {
return xmlenviado;
}

public void setXmlenviado(String xmlenviado) {
this.xmlenviado = xmlenviado;
}

public String getXmlrecebido() {
return xmlrecebido;
}

public void setXmlrecebido(String xmlrecebido) {
this.xmlrecebido = xmlrecebido;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getFilialorigem() {
return filialorigem;
}

public boolean isFilialorigemNull() {
return filialorigemNull;
}

public void setFilialorigem(Integer filialorigem) {
if (filialorigem == null) {
filialorigemNull = true;
this.filialorigem = 0;
} else { 
filialorigemNull = false;
this.filialorigem = filialorigem;
}
}

public int getFilialdestino() {
return filialdestino;
}

public boolean isFilialdestinoNull() {
return filialdestinoNull;
}

public void setFilialdestino(Integer filialdestino) {
if (filialdestino == null) {
filialdestinoNull = true;
this.filialdestino = 0;
} else { 
filialdestinoNull = false;
this.filialdestino = filialdestino;
}
}

public int getIdNfcapasaida() {
return idNfcapasaida;
}

public boolean isIdNfcapasaidaNull() {
return idNfcapasaidaNull;
}

public void setIdNfcapasaida(Integer idNfcapasaida) {
if (idNfcapasaida == null) {
idNfcapasaidaNull = true;
this.idNfcapasaida = 0;
} else { 
idNfcapasaidaNull = false;
this.idNfcapasaida = idNfcapasaida;
}
}

public int getIdNfcapaentrada() {
return idNfcapaentrada;
}

public boolean isIdNfcapaentradaNull() {
return idNfcapaentradaNull;
}

public void setIdNfcapaentrada(Integer idNfcapaentrada) {
if (idNfcapaentrada == null) {
idNfcapaentradaNull = true;
this.idNfcapaentrada = 0;
} else { 
idNfcapaentradaNull = false;
this.idNfcapaentrada = idNfcapaentrada;
}
}

public String getCancelada() {
return cancelada;
}

public void setCancelada(String cancelada) {
this.cancelada = cancelada;
}

public String getTransferir() {
return transferir;
}

public void setTransferir(String transferir) {
this.transferir = transferir;
}

public String getLiberado() {
return liberado;
}

public void setLiberado(String liberado) {
this.liberado = liberado;
}

public int getSeqpotencial() {
return seqpotencial;
}

public boolean isSeqpotencialNull() {
return seqpotencialNull;
}

public void setSeqpotencial(Integer seqpotencial) {
if (seqpotencial == null) {
seqpotencialNull = true;
this.seqpotencial = 0;
} else { 
seqpotencialNull = false;
this.seqpotencial = seqpotencial;
}
}

public int getSeqagenda() {
return seqagenda;
}

public boolean isSeqagendaNull() {
return seqagendaNull;
}

public void setSeqagenda(Integer seqagenda) {
if (seqagenda == null) {
seqagendaNull = true;
this.seqagenda = 0;
} else { 
seqagendaNull = false;
this.seqagenda = seqagenda;
}
}

public String getTpresult() {
return tpresult;
}

public void setTpresult(String tpresult) {
this.tpresult = tpresult;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getSequsado() {
return sequsado;
}

public boolean isSequsadoNull() {
return sequsadoNull;
}

public void setSequsado(Integer sequsado) {
if (sequsado == null) {
sequsadoNull = true;
this.sequsado = 0;
} else { 
sequsadoNull = false;
this.sequsado = sequsado;
}
}

public int getIdAvaliacao() {
return idAvaliacao;
}

public boolean isIdAvaliacaoNull() {
return idAvaliacaoNull;
}

public void setIdAvaliacao(Integer idAvaliacao) {
if (idAvaliacao == null) {
idAvaliacaoNull = true;
this.idAvaliacao = 0;
} else { 
idAvaliacaoNull = false;
this.idAvaliacao = idAvaliacao;
}
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

}

