package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsevento {
@Coluna(nome="tsevento.tipo_evento", tipo="String")
private String tipoEvento;
@Coluna(nome="tsevento.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsevento.data_evento", tipo="FglDateTimeYS")
private FglDateTimeYS dataEvento;
@Coluna(nome="tsevento.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsevento.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsevento.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsevento.motivo_canc", tipo="String")
private String motivoCanc;
@Coluna(nome="tsevento.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;

public TabTsevento() {
initialize();
}

public void initialize() {
setTipoEvento(null);
setIdProspe(null);
setDataEvento(null);
setIdAgente(null);
setFilial(null);
setPedvenda(null);
setMotivoCanc(null);
setIdNfcapa(null);
}

public TabTsevento(String tipoEvento, int idProspe, FglDateTimeYS dataEvento, int idAgente, int filial, int pedvenda, String motivoCanc, int idNfcapa) {
this.tipoEvento = tipoEvento;
this.idProspe = idProspe;
this.dataEvento = dataEvento;
this.idAgente = idAgente;
this.filial = filial;
this.pedvenda = pedvenda;
this.motivoCanc = motivoCanc;
this.idNfcapa = idNfcapa;
}

public String getTipoEvento() {
return tipoEvento;
}

public void setTipoEvento(String tipoEvento) {
this.tipoEvento = tipoEvento;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public FglDateTimeYS getDataEvento() {
return dataEvento;
}

public void setDataEvento(FglDateTimeYS dataEvento) {
this.dataEvento = dataEvento;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public String getMotivoCanc() {
return motivoCanc;
}

public void setMotivoCanc(String motivoCanc) {
this.motivoCanc = motivoCanc;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

}

