package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsficlea {
@Coluna(nome="tsficlea.id_lead", tipo="int")
private int idLead;
private boolean idLeadNull;
@Coluna(nome="tsficlea.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsficlea.dt_criacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtCriacao;
@Coluna(nome="tsficlea.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsficlea.anomodelo", tipo="int")
private int anomodelo;
private boolean anomodeloNull;
@Coluna(nome="tsficlea.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="tsficlea.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="tsficlea.cidade", tipo="String")
private String cidade;
@Coluna(nome="tsficlea.estado", tipo="String")
private String estado;
@Coluna(nome="tsficlea.loja_interesse", tipo="String")
private String lojaInteresse;
@Coluna(nome="tsficlea.nomecliente", tipo="String")
private String nomecliente;
@Coluna(nome="tsficlea.emailcliente", tipo="String")
private String emailcliente;
@Coluna(nome="tsficlea.comentarios", tipo="String")
private String comentarios;
@Coluna(nome="tsficlea.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsficlea.id_vendedor", tipo="int")
private int idVendedor;
private boolean idVendedorNull;
@Coluna(nome="tsficlea.dt_ficha", tipo="FglDateTimeYS")
private FglDateTimeYS dtFicha;
@Coluna(nome="tsficlea.telefone", tipo="String")
private String telefone;
@Coluna(nome="tsficlea.cliente_toyota", tipo="String")
private String clienteToyota;
@Coluna(nome="tsficlea.usadocomopag", tipo="String")
private String usadocomopag;
@Coluna(nome="tsficlea.dt_recebimento", tipo="FglDateTimeYS")
private FglDateTimeYS dtRecebimento;

public TabTsficlea() {
initialize();
}

public void initialize() {
setIdLead(null);
setFilial(null);
setDtCriacao(null);
setModelo(null);
setAnomodelo(null);
setCorexterna(null);
setCorinterna(null);
setCidade(null);
setEstado(null);
setLojaInteresse(null);
setNomecliente(null);
setEmailcliente(null);
setComentarios(null);
setIdProspe(null);
setIdVendedor(null);
setDtFicha(null);
setTelefone(null);
setClienteToyota(null);
setUsadocomopag(null);
setDtRecebimento(null);
}

public TabTsficlea(int idLead, int filial, FglDateTimeYS dtCriacao, String modelo, int anomodelo, String corexterna, String corinterna, String cidade, String estado, String lojaInteresse, String nomecliente, String emailcliente, String comentarios, int idProspe, int idVendedor, FglDateTimeYS dtFicha, String telefone, String clienteToyota, String usadocomopag, FglDateTimeYS dtRecebimento) {
this.idLead = idLead;
this.filial = filial;
this.dtCriacao = dtCriacao;
this.modelo = modelo;
this.anomodelo = anomodelo;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.cidade = cidade;
this.estado = estado;
this.lojaInteresse = lojaInteresse;
this.nomecliente = nomecliente;
this.emailcliente = emailcliente;
this.comentarios = comentarios;
this.idProspe = idProspe;
this.idVendedor = idVendedor;
this.dtFicha = dtFicha;
this.telefone = telefone;
this.clienteToyota = clienteToyota;
this.usadocomopag = usadocomopag;
this.dtRecebimento = dtRecebimento;
}

public int getIdLead() {
return idLead;
}

public boolean isIdLeadNull() {
return idLeadNull;
}

public void setIdLead(Integer idLead) {
if (idLead == null) {
idLeadNull = true;
this.idLead = 0;
} else { 
idLeadNull = false;
this.idLead = idLead;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYS getDtCriacao() {
return dtCriacao;
}

public void setDtCriacao(FglDateTimeYS dtCriacao) {
this.dtCriacao = dtCriacao;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public int getAnomodelo() {
return anomodelo;
}

public boolean isAnomodeloNull() {
return anomodeloNull;
}

public void setAnomodelo(Integer anomodelo) {
if (anomodelo == null) {
anomodeloNull = true;
this.anomodelo = 0;
} else { 
anomodeloNull = false;
this.anomodelo = anomodelo;
}
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public String getCidade() {
return cidade;
}

public void setCidade(String cidade) {
this.cidade = cidade;
}

public String getEstado() {
return estado;
}

public void setEstado(String estado) {
this.estado = estado;
}

public String getLojaInteresse() {
return lojaInteresse;
}

public void setLojaInteresse(String lojaInteresse) {
this.lojaInteresse = lojaInteresse;
}

public String getNomecliente() {
return nomecliente;
}

public void setNomecliente(String nomecliente) {
this.nomecliente = nomecliente;
}

public String getEmailcliente() {
return emailcliente;
}

public void setEmailcliente(String emailcliente) {
this.emailcliente = emailcliente;
}

public String getComentarios() {
return comentarios;
}

public void setComentarios(String comentarios) {
this.comentarios = comentarios;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getIdVendedor() {
return idVendedor;
}

public boolean isIdVendedorNull() {
return idVendedorNull;
}

public void setIdVendedor(Integer idVendedor) {
if (idVendedor == null) {
idVendedorNull = true;
this.idVendedor = 0;
} else { 
idVendedorNull = false;
this.idVendedor = idVendedor;
}
}

public FglDateTimeYS getDtFicha() {
return dtFicha;
}

public void setDtFicha(FglDateTimeYS dtFicha) {
this.dtFicha = dtFicha;
}

public String getTelefone() {
return telefone;
}

public void setTelefone(String telefone) {
this.telefone = telefone;
}

public String getClienteToyota() {
return clienteToyota;
}

public void setClienteToyota(String clienteToyota) {
this.clienteToyota = clienteToyota;
}

public String getUsadocomopag() {
return usadocomopag;
}

public void setUsadocomopag(String usadocomopag) {
this.usadocomopag = usadocomopag;
}

public FglDateTimeYS getDtRecebimento() {
return dtRecebimento;
}

public void setDtRecebimento(FglDateTimeYS dtRecebimento) {
this.dtRecebimento = dtRecebimento;
}

}

