package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsgmpagd {
@Coluna(nome="tsgmpagd.id_agendamento", tipo="int")
private int idAgendamento;
private boolean idAgendamentoNull;
@Coluna(nome="tsgmpagd.tipoarquivo", tipo="String")
private String tipoarquivo;
@Coluna(nome="tsgmpagd.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsgmpagd.dt_inicial", tipo="FglDate")
private FglDate dtInicial;
@Coluna(nome="tsgmpagd.dt_final", tipo="FglDate")
private FglDate dtFinal;
@Coluna(nome="tsgmpagd.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="tsgmpagd.id_romcap", tipo="int")
private int idRomcap;
private boolean idRomcapNull;
@Coluna(nome="tsgmpagd.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="tsgmpagd.cancelamento", tipo="String")
private String cancelamento;
@Coluna(nome="tsgmpagd.devolucao", tipo="String")
private String devolucao;
@Coluna(nome="tsgmpagd.dt_agendamento", tipo="FglDateTimeYS")
private FglDateTimeYS dtAgendamento;
@Coluna(nome="tsgmpagd.dt_geracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtGeracao;
@Coluna(nome="tsgmpagd.geracaomanual", tipo="String")
private String geracaomanual;
@Coluna(nome="tsgmpagd.nomearquivo", tipo="String")
private String nomearquivo;

public TabTsgmpagd() {
initialize();
}

public void initialize() {
setIdAgendamento(null);
setTipoarquivo(null);
setFilial(null);
setDtInicial(null);
setDtFinal(null);
setIdOscapa(null);
setIdRomcap(null);
setIdNfcapa(null);
setCancelamento(null);
setDevolucao(null);
setDtAgendamento(null);
setDtGeracao(null);
setGeracaomanual(null);
setNomearquivo(null);
}

public TabTsgmpagd(int idAgendamento, String tipoarquivo, int filial, FglDate dtInicial, FglDate dtFinal, int idOscapa, int idRomcap, int idNfcapa, String cancelamento, String devolucao, FglDateTimeYS dtAgendamento, FglDateTimeYS dtGeracao, String geracaomanual, String nomearquivo) {
this.idAgendamento = idAgendamento;
this.tipoarquivo = tipoarquivo;
this.filial = filial;
this.dtInicial = dtInicial;
this.dtFinal = dtFinal;
this.idOscapa = idOscapa;
this.idRomcap = idRomcap;
this.idNfcapa = idNfcapa;
this.cancelamento = cancelamento;
this.devolucao = devolucao;
this.dtAgendamento = dtAgendamento;
this.dtGeracao = dtGeracao;
this.geracaomanual = geracaomanual;
this.nomearquivo = nomearquivo;
}

public int getIdAgendamento() {
return idAgendamento;
}

public boolean isIdAgendamentoNull() {
return idAgendamentoNull;
}

public void setIdAgendamento(Integer idAgendamento) {
if (idAgendamento == null) {
idAgendamentoNull = true;
this.idAgendamento = 0;
} else { 
idAgendamentoNull = false;
this.idAgendamento = idAgendamento;
}
}

public String getTipoarquivo() {
return tipoarquivo;
}

public void setTipoarquivo(String tipoarquivo) {
this.tipoarquivo = tipoarquivo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtInicial() {
return dtInicial;
}

public void setDtInicial(FglDate dtInicial) {
this.dtInicial = dtInicial;
}

public FglDate getDtFinal() {
return dtFinal;
}

public void setDtFinal(FglDate dtFinal) {
this.dtFinal = dtFinal;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdRomcap() {
return idRomcap;
}

public boolean isIdRomcapNull() {
return idRomcapNull;
}

public void setIdRomcap(Integer idRomcap) {
if (idRomcap == null) {
idRomcapNull = true;
this.idRomcap = 0;
} else { 
idRomcapNull = false;
this.idRomcap = idRomcap;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getCancelamento() {
return cancelamento;
}

public void setCancelamento(String cancelamento) {
this.cancelamento = cancelamento;
}

public String getDevolucao() {
return devolucao;
}

public void setDevolucao(String devolucao) {
this.devolucao = devolucao;
}

public FglDateTimeYS getDtAgendamento() {
return dtAgendamento;
}

public void setDtAgendamento(FglDateTimeYS dtAgendamento) {
this.dtAgendamento = dtAgendamento;
}

public FglDateTimeYS getDtGeracao() {
return dtGeracao;
}

public void setDtGeracao(FglDateTimeYS dtGeracao) {
this.dtGeracao = dtGeracao;
}

public String getGeracaomanual() {
return geracaomanual;
}

public void setGeracaomanual(String geracaomanual) {
this.geracaomanual = geracaomanual;
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

}

