package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsgmparq {
@Coluna(nome="tsgmparq.nomearquivo", tipo="String")
private String nomearquivo;
@Coluna(nome="tsgmparq.tipoarquivo", tipo="String")
private String tipoarquivo;
@Coluna(nome="tsgmparq.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsgmparq.os_numero", tipo="int")
private int osNumero;
private boolean osNumeroNull;
@Coluna(nome="tsgmparq.os_serie", tipo="String")
private String osSerie;
@Coluna(nome="tsgmparq.req_numero", tipo="int")
private int reqNumero;
private boolean reqNumeroNull;
@Coluna(nome="tsgmparq.nf_numero", tipo="int")
private int nfNumero;
private boolean nfNumeroNull;
@Coluna(nome="tsgmparq.nf_serie", tipo="String")
private String nfSerie;
@Coluna(nome="tsgmparq.cancelamento", tipo="String")
private String cancelamento;
@Coluna(nome="tsgmparq.devolucao", tipo="String")
private String devolucao;
@Coluna(nome="tsgmparq.inf_mes", tipo="int")
private int infMes;
private boolean infMesNull;
@Coluna(nome="tsgmparq.inf_ano", tipo="int")
private int infAno;
private boolean infAnoNull;
@Coluna(nome="tsgmparq.dt_arquivo", tipo="FglDate")
private FglDate dtArquivo;
@Coluna(nome="tsgmparq.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="tsgmparq.dt_importacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtImportacao;
@Coluna(nome="tsgmparq.dt_validacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtValidacao;
@Coluna(nome="tsgmparq.dt_transmissao", tipo="FglDateTimeYS")
private FglDateTimeYS dtTransmissao;
@Coluna(nome="tsgmparq.podetransmitir", tipo="String")
private String podetransmitir;
@Coluna(nome="tsgmparq.bloqueado", tipo="String")
private String bloqueado;
@Coluna(nome="tsgmparq.dt_envioemail", tipo="FglDateTimeYS")
private FglDateTimeYS dtEnvioemail;

public TabTsgmparq() {
initialize();
}

public void initialize() {
setNomearquivo(null);
setTipoarquivo(null);
setFilial(null);
setOsNumero(null);
setOsSerie(null);
setReqNumero(null);
setNfNumero(null);
setNfSerie(null);
setCancelamento(null);
setDevolucao(null);
setInfMes(null);
setInfAno(null);
setDtArquivo(null);
setStatus(null);
setDtImportacao(null);
setDtValidacao(null);
setDtTransmissao(null);
setPodetransmitir(null);
setBloqueado(null);
setDtEnvioemail(null);
}

public TabTsgmparq(String nomearquivo, String tipoarquivo, int filial, int osNumero, String osSerie, int reqNumero, int nfNumero, String nfSerie, String cancelamento, String devolucao, int infMes, int infAno, FglDate dtArquivo, int status, FglDateTimeYS dtImportacao, FglDateTimeYS dtValidacao, FglDateTimeYS dtTransmissao, String podetransmitir, String bloqueado, FglDateTimeYS dtEnvioemail) {
this.nomearquivo = nomearquivo;
this.tipoarquivo = tipoarquivo;
this.filial = filial;
this.osNumero = osNumero;
this.osSerie = osSerie;
this.reqNumero = reqNumero;
this.nfNumero = nfNumero;
this.nfSerie = nfSerie;
this.cancelamento = cancelamento;
this.devolucao = devolucao;
this.infMes = infMes;
this.infAno = infAno;
this.dtArquivo = dtArquivo;
this.status = status;
this.dtImportacao = dtImportacao;
this.dtValidacao = dtValidacao;
this.dtTransmissao = dtTransmissao;
this.podetransmitir = podetransmitir;
this.bloqueado = bloqueado;
this.dtEnvioemail = dtEnvioemail;
}

public String getNomearquivo() {
return nomearquivo;
}

public void setNomearquivo(String nomearquivo) {
this.nomearquivo = nomearquivo;
}

public String getTipoarquivo() {
return tipoarquivo;
}

public void setTipoarquivo(String tipoarquivo) {
this.tipoarquivo = tipoarquivo;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getOsNumero() {
return osNumero;
}

public boolean isOsNumeroNull() {
return osNumeroNull;
}

public void setOsNumero(Integer osNumero) {
if (osNumero == null) {
osNumeroNull = true;
this.osNumero = 0;
} else { 
osNumeroNull = false;
this.osNumero = osNumero;
}
}

public String getOsSerie() {
return osSerie;
}

public void setOsSerie(String osSerie) {
this.osSerie = osSerie;
}

public int getReqNumero() {
return reqNumero;
}

public boolean isReqNumeroNull() {
return reqNumeroNull;
}

public void setReqNumero(Integer reqNumero) {
if (reqNumero == null) {
reqNumeroNull = true;
this.reqNumero = 0;
} else { 
reqNumeroNull = false;
this.reqNumero = reqNumero;
}
}

public int getNfNumero() {
return nfNumero;
}

public boolean isNfNumeroNull() {
return nfNumeroNull;
}

public void setNfNumero(Integer nfNumero) {
if (nfNumero == null) {
nfNumeroNull = true;
this.nfNumero = 0;
} else { 
nfNumeroNull = false;
this.nfNumero = nfNumero;
}
}

public String getNfSerie() {
return nfSerie;
}

public void setNfSerie(String nfSerie) {
this.nfSerie = nfSerie;
}

public String getCancelamento() {
return cancelamento;
}

public void setCancelamento(String cancelamento) {
this.cancelamento = cancelamento;
}

public String getDevolucao() {
return devolucao;
}

public void setDevolucao(String devolucao) {
this.devolucao = devolucao;
}

public int getInfMes() {
return infMes;
}

public boolean isInfMesNull() {
return infMesNull;
}

public void setInfMes(Integer infMes) {
if (infMes == null) {
infMesNull = true;
this.infMes = 0;
} else { 
infMesNull = false;
this.infMes = infMes;
}
}

public int getInfAno() {
return infAno;
}

public boolean isInfAnoNull() {
return infAnoNull;
}

public void setInfAno(Integer infAno) {
if (infAno == null) {
infAnoNull = true;
this.infAno = 0;
} else { 
infAnoNull = false;
this.infAno = infAno;
}
}

public FglDate getDtArquivo() {
return dtArquivo;
}

public void setDtArquivo(FglDate dtArquivo) {
this.dtArquivo = dtArquivo;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public FglDateTimeYS getDtImportacao() {
return dtImportacao;
}

public void setDtImportacao(FglDateTimeYS dtImportacao) {
this.dtImportacao = dtImportacao;
}

public FglDateTimeYS getDtValidacao() {
return dtValidacao;
}

public void setDtValidacao(FglDateTimeYS dtValidacao) {
this.dtValidacao = dtValidacao;
}

public FglDateTimeYS getDtTransmissao() {
return dtTransmissao;
}

public void setDtTransmissao(FglDateTimeYS dtTransmissao) {
this.dtTransmissao = dtTransmissao;
}

public String getPodetransmitir() {
return podetransmitir;
}

public void setPodetransmitir(String podetransmitir) {
this.podetransmitir = podetransmitir;
}

public String getBloqueado() {
return bloqueado;
}

public void setBloqueado(String bloqueado) {
this.bloqueado = bloqueado;
}

public FglDateTimeYS getDtEnvioemail() {
return dtEnvioemail;
}

public void setDtEnvioemail(FglDateTimeYS dtEnvioemail) {
this.dtEnvioemail = dtEnvioemail;
}

}

