package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsmodatu {
@Coluna(nome="tsmodatu.codigomodelo", tipo="String")
private String codigomodelo;
@Coluna(nome="tsmodatu.codcomercial", tipo="String")
private String codcomercial;
@Coluna(nome="tsmodatu.modelofabric", tipo="String")
private String modelofabric;
@Coluna(nome="tsmodatu.anofabricacao", tipo="int")
private int anofabricacao;
private boolean anofabricacaoNull;
@Coluna(nome="tsmodatu.descrmodelo", tipo="String")
private String descrmodelo;
@Coluna(nome="tsmodatu.id_familia", tipo="int")
private int idFamilia;
private boolean idFamiliaNull;
@Coluna(nome="tsmodatu.descrfamilia", tipo="String")
private String descrfamilia;
@Coluna(nome="tsmodatu.status", tipo="int")
private int status;
private boolean statusNull;
@Coluna(nome="tsmodatu.dtcriacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtcriacao;
@Coluna(nome="tsmodatu.dtultatuok", tipo="FglDateTimeYS")
private FglDateTimeYS dtultatuok;
@Coluna(nome="tsmodatu.dtultatu", tipo="FglDateTimeYS")
private FglDateTimeYS dtultatu;
@Coluna(nome="tsmodatu.id_modfabric", tipo="int")
private int idModfabric;
private boolean idModfabricNull;

public TabTsmodatu() {
initialize();
}

public void initialize() {
setCodigomodelo(null);
setCodcomercial(null);
setModelofabric(null);
setAnofabricacao(null);
setDescrmodelo(null);
setIdFamilia(null);
setDescrfamilia(null);
setStatus(null);
setDtcriacao(null);
setDtultatuok(null);
setDtultatu(null);
setIdModfabric(null);
}

public TabTsmodatu(String codigomodelo, String codcomercial, String modelofabric, int anofabricacao, String descrmodelo, int idFamilia, String descrfamilia, int status, FglDateTimeYS dtcriacao, FglDateTimeYS dtultatuok, FglDateTimeYS dtultatu, int idModfabric) {
this.codigomodelo = codigomodelo;
this.codcomercial = codcomercial;
this.modelofabric = modelofabric;
this.anofabricacao = anofabricacao;
this.descrmodelo = descrmodelo;
this.idFamilia = idFamilia;
this.descrfamilia = descrfamilia;
this.status = status;
this.dtcriacao = dtcriacao;
this.dtultatuok = dtultatuok;
this.dtultatu = dtultatu;
this.idModfabric = idModfabric;
}

public String getCodigomodelo() {
return codigomodelo;
}

public void setCodigomodelo(String codigomodelo) {
this.codigomodelo = codigomodelo;
}

public String getCodcomercial() {
return codcomercial;
}

public void setCodcomercial(String codcomercial) {
this.codcomercial = codcomercial;
}

public String getModelofabric() {
return modelofabric;
}

public void setModelofabric(String modelofabric) {
this.modelofabric = modelofabric;
}

public int getAnofabricacao() {
return anofabricacao;
}

public boolean isAnofabricacaoNull() {
return anofabricacaoNull;
}

public void setAnofabricacao(Integer anofabricacao) {
if (anofabricacao == null) {
anofabricacaoNull = true;
this.anofabricacao = 0;
} else { 
anofabricacaoNull = false;
this.anofabricacao = anofabricacao;
}
}

public String getDescrmodelo() {
return descrmodelo;
}

public void setDescrmodelo(String descrmodelo) {
this.descrmodelo = descrmodelo;
}

public int getIdFamilia() {
return idFamilia;
}

public boolean isIdFamiliaNull() {
return idFamiliaNull;
}

public void setIdFamilia(Integer idFamilia) {
if (idFamilia == null) {
idFamiliaNull = true;
this.idFamilia = 0;
} else { 
idFamiliaNull = false;
this.idFamilia = idFamilia;
}
}

public String getDescrfamilia() {
return descrfamilia;
}

public void setDescrfamilia(String descrfamilia) {
this.descrfamilia = descrfamilia;
}

public int getStatus() {
return status;
}

public boolean isStatusNull() {
return statusNull;
}

public void setStatus(Integer status) {
if (status == null) {
statusNull = true;
this.status = 0;
} else { 
statusNull = false;
this.status = status;
}
}

public FglDateTimeYS getDtcriacao() {
return dtcriacao;
}

public void setDtcriacao(FglDateTimeYS dtcriacao) {
this.dtcriacao = dtcriacao;
}

public FglDateTimeYS getDtultatuok() {
return dtultatuok;
}

public void setDtultatuok(FglDateTimeYS dtultatuok) {
this.dtultatuok = dtultatuok;
}

public FglDateTimeYS getDtultatu() {
return dtultatu;
}

public void setDtultatu(FglDateTimeYS dtultatu) {
this.dtultatu = dtultatu;
}

public int getIdModfabric() {
return idModfabric;
}

public boolean isIdModfabricNull() {
return idModfabricNull;
}

public void setIdModfabric(Integer idModfabric) {
if (idModfabric == null) {
idModfabricNull = true;
this.idModfabric = 0;
} else { 
idModfabricNull = false;
this.idModfabric = idModfabric;
}
}

}

