package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabTsprospe {
@Coluna(nome="tsprospe.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsprospe.dealer", tipo="String")
private String dealer;
@Coluna(nome="tsprospe.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsprospe.dtficha", tipo="FglDate")
private FglDate dtficha;
@Coluna(nome="tsprospe.hrficha", tipo="FglDateTimeHS")
private FglDateTimeHS hrficha;
@Coluna(nome="tsprospe.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;
@Coluna(nome="tsprospe.atendinic", tipo="String")
private String atendinic;
@Coluna(nome="tsprospe.id_tpmidia", tipo="int")
private int idTpmidia;
private boolean idTpmidiaNull;
@Coluna(nome="tsprospe.expanterior", tipo="String")
private String expanterior;
@Coluna(nome="tsprospe.codperfil", tipo="int")
private int codperfil;
private boolean codperfilNull;
@Coluna(nome="tsprospe.filhopequeno", tipo="String")
private String filhopequeno;
@Coluna(nome="tsprospe.nrofilhos", tipo="int")
private int nrofilhos;
private boolean nrofilhosNull;
@Coluna(nome="tsprospe.tputiliz", tipo="String")
private String tputiliz;
@Coluna(nome="tsprospe.novousado", tipo="String")
private String novousado;
@Coluna(nome="tsprospe.linmodcod", tipo="int")
private int linmodcod;
private boolean linmodcodNull;
@Coluna(nome="tsprospe.modelo", tipo="String")
private String modelo;
@Coluna(nome="tsprospe.corexterna", tipo="String")
private String corexterna;
@Coluna(nome="tsprospe.corinterna", tipo="String")
private String corinterna;
@Coluna(nome="tsprospe.filialped", tipo="int")
private int filialped;
private boolean filialpedNull;
@Coluna(nome="tsprospe.pedvenda", tipo="int")
private int pedvenda;
private boolean pedvendaNull;
@Coluna(nome="tsprospe.linmodatracao", tipo="int")
private int linmodatracao;
private boolean linmodatracaoNull;
@Coluna(nome="tsprospe.tipoficha", tipo="int")
private int tipoficha;
private boolean tipofichaNull;
@Coluna(nome="tsprospe.id_ultvendedor", tipo="int")
private int idUltvendedor;
private boolean idUltvendedorNull;
@Coluna(nome="tsprospe.potencial", tipo="String")
private String potencial;
@Coluna(nome="tsprospe.dt_atualiza", tipo="FglDateTimeYS")
private FglDateTimeYS dtAtualiza;
@Coluna(nome="tsprospe.dhr_pre_ent", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhrPreEnt;
@Coluna(nome="tsprospe.id_prospepai", tipo="int")
private int idProspepai;
private boolean idProspepaiNull;
@Coluna(nome="tsprospe.sincronizar", tipo="int")
private int sincronizar;
private boolean sincronizarNull;
@Coluna(nome="tsprospe.id_campanha", tipo="int")
private int idCampanha;
private boolean idCampanhaNull;
@Coluna(nome="tsprospe.numerobox", tipo="int")
private int numerobox;
private boolean numeroboxNull;
@Coluna(nome="tsprospe.filialentrega", tipo="int")
private int filialentrega;
private boolean filialentregaNull;
@Coluna(nome="tsprospe.mediakm_mes", tipo="double")
private double mediakmMes;
private boolean mediakmMesNull;
@Coluna(nome="tsprospe.id_interesse", tipo="int")
private int idInteresse;
private boolean idInteresseNull;
@Coluna(nome="tsprospe.mediakm_follow", tipo="int")
private int mediakmFollow;
private boolean mediakmFollowNull;
@Coluna(nome="tsprospe.clientemarca", tipo="String")
private String clientemarca;
@Coluna(nome="tsprospe.id_versao", tipo="int")
private int idVersao;
private boolean idVersaoNull;
@Coluna(nome="tsprospe.tp_vendadireta", tipo="String")
private String tpVendadireta;
@Coluna(nome="tsprospe.id_prefch", tipo="int")
private int idPrefch;
private boolean idPrefchNull;
@Coluna(nome="tsprospe.dt_preficha", tipo="FglDateTimeYS")
private FglDateTimeYS dtPreficha;

public TabTsprospe() {
initialize();
}

public void initialize() {
setIdProspe(null);
setDealer(null);
setFilial(null);
setDtficha(null);
setHrficha(null);
setIdTsagente(null);
setAtendinic(null);
setIdTpmidia(null);
setExpanterior(null);
setCodperfil(null);
setFilhopequeno(null);
setNrofilhos(null);
setTputiliz(null);
setNovousado(null);
setLinmodcod(null);
setModelo(null);
setCorexterna(null);
setCorinterna(null);
setFilialped(null);
setPedvenda(null);
setLinmodatracao(null);
setTipoficha(null);
setIdUltvendedor(null);
setPotencial(null);
setDtAtualiza(null);
setDhrPreEnt(null);
setIdProspepai(null);
setSincronizar(null);
setIdCampanha(null);
setNumerobox(null);
setFilialentrega(null);
setMediakmMes(null);
setIdInteresse(null);
setMediakmFollow(null);
setClientemarca(null);
setIdVersao(null);
setTpVendadireta(null);
setIdPrefch(null);
setDtPreficha(null);
}

public TabTsprospe(int idProspe, String dealer, int filial, FglDate dtficha, FglDateTimeHS hrficha, int idTsagente, String atendinic, int idTpmidia, String expanterior, int codperfil, String filhopequeno, int nrofilhos, String tputiliz, String novousado, int linmodcod, String modelo, String corexterna, String corinterna, int filialped, int pedvenda, int linmodatracao, int tipoficha, int idUltvendedor, String potencial, FglDateTimeYS dtAtualiza, FglDateTimeYMin dhrPreEnt, int idProspepai, int sincronizar, int idCampanha, int numerobox, int filialentrega, double mediakmMes, int idInteresse, int mediakmFollow, String clientemarca, int idVersao, String tpVendadireta, int idPrefch, FglDateTimeYS dtPreficha) {
this.idProspe = idProspe;
this.dealer = dealer;
this.filial = filial;
this.dtficha = dtficha;
this.hrficha = hrficha;
this.idTsagente = idTsagente;
this.atendinic = atendinic;
this.idTpmidia = idTpmidia;
this.expanterior = expanterior;
this.codperfil = codperfil;
this.filhopequeno = filhopequeno;
this.nrofilhos = nrofilhos;
this.tputiliz = tputiliz;
this.novousado = novousado;
this.linmodcod = linmodcod;
this.modelo = modelo;
this.corexterna = corexterna;
this.corinterna = corinterna;
this.filialped = filialped;
this.pedvenda = pedvenda;
this.linmodatracao = linmodatracao;
this.tipoficha = tipoficha;
this.idUltvendedor = idUltvendedor;
this.potencial = potencial;
this.dtAtualiza = dtAtualiza;
this.dhrPreEnt = dhrPreEnt;
this.idProspepai = idProspepai;
this.sincronizar = sincronizar;
this.idCampanha = idCampanha;
this.numerobox = numerobox;
this.filialentrega = filialentrega;
this.mediakmMes = mediakmMes;
this.idInteresse = idInteresse;
this.mediakmFollow = mediakmFollow;
this.clientemarca = clientemarca;
this.idVersao = idVersao;
this.tpVendadireta = tpVendadireta;
this.idPrefch = idPrefch;
this.dtPreficha = dtPreficha;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtficha() {
return dtficha;
}

public void setDtficha(FglDate dtficha) {
this.dtficha = dtficha;
}

public FglDateTimeHS getHrficha() {
return hrficha;
}

public void setHrficha(FglDateTimeHS hrficha) {
this.hrficha = hrficha;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

public String getAtendinic() {
return atendinic;
}

public void setAtendinic(String atendinic) {
this.atendinic = atendinic;
}

public int getIdTpmidia() {
return idTpmidia;
}

public boolean isIdTpmidiaNull() {
return idTpmidiaNull;
}

public void setIdTpmidia(Integer idTpmidia) {
if (idTpmidia == null) {
idTpmidiaNull = true;
this.idTpmidia = 0;
} else { 
idTpmidiaNull = false;
this.idTpmidia = idTpmidia;
}
}

public String getExpanterior() {
return expanterior;
}

public void setExpanterior(String expanterior) {
this.expanterior = expanterior;
}

public int getCodperfil() {
return codperfil;
}

public boolean isCodperfilNull() {
return codperfilNull;
}

public void setCodperfil(Integer codperfil) {
if (codperfil == null) {
codperfilNull = true;
this.codperfil = 0;
} else { 
codperfilNull = false;
this.codperfil = codperfil;
}
}

public String getFilhopequeno() {
return filhopequeno;
}

public void setFilhopequeno(String filhopequeno) {
this.filhopequeno = filhopequeno;
}

public int getNrofilhos() {
return nrofilhos;
}

public boolean isNrofilhosNull() {
return nrofilhosNull;
}

public void setNrofilhos(Integer nrofilhos) {
if (nrofilhos == null) {
nrofilhosNull = true;
this.nrofilhos = 0;
} else { 
nrofilhosNull = false;
this.nrofilhos = nrofilhos;
}
}

public String getTputiliz() {
return tputiliz;
}

public void setTputiliz(String tputiliz) {
this.tputiliz = tputiliz;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public int getLinmodcod() {
return linmodcod;
}

public boolean isLinmodcodNull() {
return linmodcodNull;
}

public void setLinmodcod(Integer linmodcod) {
if (linmodcod == null) {
linmodcodNull = true;
this.linmodcod = 0;
} else { 
linmodcodNull = false;
this.linmodcod = linmodcod;
}
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getCorexterna() {
return corexterna;
}

public void setCorexterna(String corexterna) {
this.corexterna = corexterna;
}

public String getCorinterna() {
return corinterna;
}

public void setCorinterna(String corinterna) {
this.corinterna = corinterna;
}

public int getFilialped() {
return filialped;
}

public boolean isFilialpedNull() {
return filialpedNull;
}

public void setFilialped(Integer filialped) {
if (filialped == null) {
filialpedNull = true;
this.filialped = 0;
} else { 
filialpedNull = false;
this.filialped = filialped;
}
}

public int getPedvenda() {
return pedvenda;
}

public boolean isPedvendaNull() {
return pedvendaNull;
}

public void setPedvenda(Integer pedvenda) {
if (pedvenda == null) {
pedvendaNull = true;
this.pedvenda = 0;
} else { 
pedvendaNull = false;
this.pedvenda = pedvenda;
}
}

public int getLinmodatracao() {
return linmodatracao;
}

public boolean isLinmodatracaoNull() {
return linmodatracaoNull;
}

public void setLinmodatracao(Integer linmodatracao) {
if (linmodatracao == null) {
linmodatracaoNull = true;
this.linmodatracao = 0;
} else { 
linmodatracaoNull = false;
this.linmodatracao = linmodatracao;
}
}

public int getTipoficha() {
return tipoficha;
}

public boolean isTipofichaNull() {
return tipofichaNull;
}

public void setTipoficha(Integer tipoficha) {
if (tipoficha == null) {
tipofichaNull = true;
this.tipoficha = 0;
} else { 
tipofichaNull = false;
this.tipoficha = tipoficha;
}
}

public int getIdUltvendedor() {
return idUltvendedor;
}

public boolean isIdUltvendedorNull() {
return idUltvendedorNull;
}

public void setIdUltvendedor(Integer idUltvendedor) {
if (idUltvendedor == null) {
idUltvendedorNull = true;
this.idUltvendedor = 0;
} else { 
idUltvendedorNull = false;
this.idUltvendedor = idUltvendedor;
}
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

public FglDateTimeYS getDtAtualiza() {
return dtAtualiza;
}

public void setDtAtualiza(FglDateTimeYS dtAtualiza) {
this.dtAtualiza = dtAtualiza;
}

public FglDateTimeYMin getDhrPreEnt() {
return dhrPreEnt;
}

public void setDhrPreEnt(FglDateTimeYMin dhrPreEnt) {
this.dhrPreEnt = dhrPreEnt;
}

public int getIdProspepai() {
return idProspepai;
}

public boolean isIdProspepaiNull() {
return idProspepaiNull;
}

public void setIdProspepai(Integer idProspepai) {
if (idProspepai == null) {
idProspepaiNull = true;
this.idProspepai = 0;
} else { 
idProspepaiNull = false;
this.idProspepai = idProspepai;
}
}

public int getSincronizar() {
return sincronizar;
}

public boolean isSincronizarNull() {
return sincronizarNull;
}

public void setSincronizar(Integer sincronizar) {
if (sincronizar == null) {
sincronizarNull = true;
this.sincronizar = 0;
} else { 
sincronizarNull = false;
this.sincronizar = sincronizar;
}
}

public int getIdCampanha() {
return idCampanha;
}

public boolean isIdCampanhaNull() {
return idCampanhaNull;
}

public void setIdCampanha(Integer idCampanha) {
if (idCampanha == null) {
idCampanhaNull = true;
this.idCampanha = 0;
} else { 
idCampanhaNull = false;
this.idCampanha = idCampanha;
}
}

public int getNumerobox() {
return numerobox;
}

public boolean isNumeroboxNull() {
return numeroboxNull;
}

public void setNumerobox(Integer numerobox) {
if (numerobox == null) {
numeroboxNull = true;
this.numerobox = 0;
} else { 
numeroboxNull = false;
this.numerobox = numerobox;
}
}

public int getFilialentrega() {
return filialentrega;
}

public boolean isFilialentregaNull() {
return filialentregaNull;
}

public void setFilialentrega(Integer filialentrega) {
if (filialentrega == null) {
filialentregaNull = true;
this.filialentrega = 0;
} else { 
filialentregaNull = false;
this.filialentrega = filialentrega;
}
}

public double getMediakmMes() {
return mediakmMes;
}

public boolean isMediakmMesNull() {
return mediakmMesNull;
}

public void setMediakmMes(int mediakmMes) {
setMediakmMes(new Double(mediakmMes));
}

public void setMediakmMes(long mediakmMes) {
setMediakmMes(new Double(mediakmMes));
}

public void setMediakmMes(Double mediakmMes) {
if (mediakmMes == null) {
mediakmMesNull = true;
this.mediakmMes = 0.;
} else { 
mediakmMesNull = false;
this.mediakmMes = mediakmMes;
}
}

public int getIdInteresse() {
return idInteresse;
}

public boolean isIdInteresseNull() {
return idInteresseNull;
}

public void setIdInteresse(Integer idInteresse) {
if (idInteresse == null) {
idInteresseNull = true;
this.idInteresse = 0;
} else { 
idInteresseNull = false;
this.idInteresse = idInteresse;
}
}

public int getMediakmFollow() {
return mediakmFollow;
}

public boolean isMediakmFollowNull() {
return mediakmFollowNull;
}

public void setMediakmFollow(Integer mediakmFollow) {
if (mediakmFollow == null) {
mediakmFollowNull = true;
this.mediakmFollow = 0;
} else { 
mediakmFollowNull = false;
this.mediakmFollow = mediakmFollow;
}
}

public String getClientemarca() {
return clientemarca;
}

public void setClientemarca(String clientemarca) {
this.clientemarca = clientemarca;
}

public int getIdVersao() {
return idVersao;
}

public boolean isIdVersaoNull() {
return idVersaoNull;
}

public void setIdVersao(Integer idVersao) {
if (idVersao == null) {
idVersaoNull = true;
this.idVersao = 0;
} else { 
idVersaoNull = false;
this.idVersao = idVersao;
}
}

public String getTpVendadireta() {
return tpVendadireta;
}

public void setTpVendadireta(String tpVendadireta) {
this.tpVendadireta = tpVendadireta;
}

public int getIdPrefch() {
return idPrefch;
}

public boolean isIdPrefchNull() {
return idPrefchNull;
}

public void setIdPrefch(Integer idPrefch) {
if (idPrefch == null) {
idPrefchNull = true;
this.idPrefch = 0;
} else { 
idPrefchNull = false;
this.idPrefch = idPrefch;
}
}

public FglDateTimeYS getDtPreficha() {
return dtPreficha;
}

public void setDtPreficha(FglDateTimeYS dtPreficha) {
this.dtPreficha = dtPreficha;
}

}

