package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsprospo {
@Coluna(nome="tsprospo.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="tsprospo.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="tsprospo.dt_potencial", tipo="FglDate")
private FglDate dtPotencial;
@Coluna(nome="tsprospo.dthr_potencial", tipo="FglDateTimeYS")
private FglDateTimeYS dthrPotencial;
@Coluna(nome="tsprospo.potencial", tipo="String")
private String potencial;

public TabTsprospo() {
initialize();
}

public void initialize() {
setIdProspe(null);
setSequencia(null);
setDtPotencial(null);
setDthrPotencial(null);
setPotencial(null);
}

public TabTsprospo(int idProspe, int sequencia, FglDate dtPotencial, FglDateTimeYS dthrPotencial, String potencial) {
this.idProspe = idProspe;
this.sequencia = sequencia;
this.dtPotencial = dtPotencial;
this.dthrPotencial = dthrPotencial;
this.potencial = potencial;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public FglDate getDtPotencial() {
return dtPotencial;
}

public void setDtPotencial(FglDate dtPotencial) {
this.dtPotencial = dtPotencial;
}

public FglDateTimeYS getDthrPotencial() {
return dthrPotencial;
}

public void setDthrPotencial(FglDateTimeYS dthrPotencial) {
this.dthrPotencial = dthrPotencial;
}

public String getPotencial() {
return potencial;
}

public void setPotencial(String potencial) {
this.potencial = potencial;
}

}

