package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTsratcap {
@Coluna(nome="tsratcap.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="tsratcap.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="tsratcap.qtdestrela", tipo="int")
private int qtdestrela;
private boolean qtdestrelaNull;
@Coluna(nome="tsratcap.valorvendaveic", tipo="double")
private double valorvendaveic;
private boolean valorvendaveicNull;
@Coluna(nome="tsratcap.valorvendapos", tipo="double")
private double valorvendapos;
private boolean valorvendaposNull;
@Coluna(nome="tsratcap.valorcustoveic", tipo="double")
private double valorcustoveic;
private boolean valorcustoveicNull;
@Coluna(nome="tsratcap.valorcustopos", tipo="double")
private double valorcustopos;
private boolean valorcustoposNull;
@Coluna(nome="tsratcap.valormagemtot", tipo="double")
private double valormagemtot;
private boolean valormagemtotNull;
@Coluna(nome="tsratcap.percmargemtot", tipo="double")
private double percmargemtot;
private boolean percmargemtotNull;
@Coluna(nome="tsratcap.datprocessamento", tipo="FglDateTimeYS")
private FglDateTimeYS datprocessamento;

public TabTsratcap() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setQtdestrela(null);
setValorvendaveic(null);
setValorvendapos(null);
setValorcustoveic(null);
setValorcustopos(null);
setValormagemtot(null);
setPercmargemtot(null);
setDatprocessamento(null);
}

public TabTsratcap(long cgccpf, int tppessoa, int qtdestrela, double valorvendaveic, double valorvendapos, double valorcustoveic, double valorcustopos, double valormagemtot, double percmargemtot, FglDateTimeYS datprocessamento) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.qtdestrela = qtdestrela;
this.valorvendaveic = valorvendaveic;
this.valorvendapos = valorvendapos;
this.valorcustoveic = valorcustoveic;
this.valorcustopos = valorcustopos;
this.valormagemtot = valormagemtot;
this.percmargemtot = percmargemtot;
this.datprocessamento = datprocessamento;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getQtdestrela() {
return qtdestrela;
}

public boolean isQtdestrelaNull() {
return qtdestrelaNull;
}

public void setQtdestrela(Integer qtdestrela) {
if (qtdestrela == null) {
qtdestrelaNull = true;
this.qtdestrela = 0;
} else { 
qtdestrelaNull = false;
this.qtdestrela = qtdestrela;
}
}

public double getValorvendaveic() {
return valorvendaveic;
}

public boolean isValorvendaveicNull() {
return valorvendaveicNull;
}

public void setValorvendaveic(int valorvendaveic) {
setValorvendaveic(new Double(valorvendaveic));
}

public void setValorvendaveic(long valorvendaveic) {
setValorvendaveic(new Double(valorvendaveic));
}

public void setValorvendaveic(Double valorvendaveic) {
if (valorvendaveic == null) {
valorvendaveicNull = true;
this.valorvendaveic = 0.;
} else { 
valorvendaveicNull = false;
this.valorvendaveic = FglDouble.round(valorvendaveic, 2);
}
}

public double getValorvendapos() {
return valorvendapos;
}

public boolean isValorvendaposNull() {
return valorvendaposNull;
}

public void setValorvendapos(int valorvendapos) {
setValorvendapos(new Double(valorvendapos));
}

public void setValorvendapos(long valorvendapos) {
setValorvendapos(new Double(valorvendapos));
}

public void setValorvendapos(Double valorvendapos) {
if (valorvendapos == null) {
valorvendaposNull = true;
this.valorvendapos = 0.;
} else { 
valorvendaposNull = false;
this.valorvendapos = FglDouble.round(valorvendapos, 2);
}
}

public double getValorcustoveic() {
return valorcustoveic;
}

public boolean isValorcustoveicNull() {
return valorcustoveicNull;
}

public void setValorcustoveic(int valorcustoveic) {
setValorcustoveic(new Double(valorcustoveic));
}

public void setValorcustoveic(long valorcustoveic) {
setValorcustoveic(new Double(valorcustoveic));
}

public void setValorcustoveic(Double valorcustoveic) {
if (valorcustoveic == null) {
valorcustoveicNull = true;
this.valorcustoveic = 0.;
} else { 
valorcustoveicNull = false;
this.valorcustoveic = FglDouble.round(valorcustoveic, 2);
}
}

public double getValorcustopos() {
return valorcustopos;
}

public boolean isValorcustoposNull() {
return valorcustoposNull;
}

public void setValorcustopos(int valorcustopos) {
setValorcustopos(new Double(valorcustopos));
}

public void setValorcustopos(long valorcustopos) {
setValorcustopos(new Double(valorcustopos));
}

public void setValorcustopos(Double valorcustopos) {
if (valorcustopos == null) {
valorcustoposNull = true;
this.valorcustopos = 0.;
} else { 
valorcustoposNull = false;
this.valorcustopos = FglDouble.round(valorcustopos, 2);
}
}

public double getValormagemtot() {
return valormagemtot;
}

public boolean isValormagemtotNull() {
return valormagemtotNull;
}

public void setValormagemtot(int valormagemtot) {
setValormagemtot(new Double(valormagemtot));
}

public void setValormagemtot(long valormagemtot) {
setValormagemtot(new Double(valormagemtot));
}

public void setValormagemtot(Double valormagemtot) {
if (valormagemtot == null) {
valormagemtotNull = true;
this.valormagemtot = 0.;
} else { 
valormagemtotNull = false;
this.valormagemtot = FglDouble.round(valormagemtot, 2);
}
}

public double getPercmargemtot() {
return percmargemtot;
}

public boolean isPercmargemtotNull() {
return percmargemtotNull;
}

public void setPercmargemtot(int percmargemtot) {
setPercmargemtot(new Double(percmargemtot));
}

public void setPercmargemtot(long percmargemtot) {
setPercmargemtot(new Double(percmargemtot));
}

public void setPercmargemtot(Double percmargemtot) {
if (percmargemtot == null) {
percmargemtotNull = true;
this.percmargemtot = 0.;
} else { 
percmargemtotNull = false;
this.percmargemtot = FglDouble.round(percmargemtot, 2);
}
}

public FglDateTimeYS getDatprocessamento() {
return datprocessamento;
}

public void setDatprocessamento(FglDateTimeYS datprocessamento) {
this.datprocessamento = datprocessamento;
}

}

