package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTsratite {
@Coluna(nome="tsratite.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="tsratite.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="tsratite.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="tsratite.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsratite.tpvenda", tipo="String")
private String tpvenda;
@Coluna(nome="tsratite.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tsratite.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="tsratite.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="tsratite.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="tsratite.valorvenda", tipo="double")
private double valorvenda;
private boolean valorvendaNull;
@Coluna(nome="tsratite.valorcusto", tipo="double")
private double valorcusto;
private boolean valorcustoNull;
@Coluna(nome="tsratite.valormagemiten", tipo="double")
private double valormagemiten;
private boolean valormagemitenNull;
@Coluna(nome="tsratite.percmargemiten", tipo="double")
private double percmargemiten;
private boolean percmargemitenNull;

public TabTsratite() {
initialize();
}

public void initialize() {
setCgccpf(null);
setTppessoa(null);
setSequencia(null);
setFilial(null);
setTpvenda(null);
setIdAgente(null);
setIdNfcapa(null);
setNronota(null);
setDtnota(null);
setValorvenda(null);
setValorcusto(null);
setValormagemiten(null);
setPercmargemiten(null);
}

public TabTsratite(long cgccpf, int tppessoa, int sequencia, int filial, String tpvenda, int idAgente, int idNfcapa, int nronota, FglDate dtnota, double valorvenda, double valorcusto, double valormagemiten, double percmargemiten) {
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.sequencia = sequencia;
this.filial = filial;
this.tpvenda = tpvenda;
this.idAgente = idAgente;
this.idNfcapa = idNfcapa;
this.nronota = nronota;
this.dtnota = dtnota;
this.valorvenda = valorvenda;
this.valorcusto = valorcusto;
this.valormagemiten = valormagemiten;
this.percmargemiten = percmargemiten;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpvenda() {
return tpvenda;
}

public void setTpvenda(String tpvenda) {
this.tpvenda = tpvenda;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public double getValorvenda() {
return valorvenda;
}

public boolean isValorvendaNull() {
return valorvendaNull;
}

public void setValorvenda(int valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(long valorvenda) {
setValorvenda(new Double(valorvenda));
}

public void setValorvenda(Double valorvenda) {
if (valorvenda == null) {
valorvendaNull = true;
this.valorvenda = 0.;
} else { 
valorvendaNull = false;
this.valorvenda = FglDouble.round(valorvenda, 2);
}
}

public double getValorcusto() {
return valorcusto;
}

public boolean isValorcustoNull() {
return valorcustoNull;
}

public void setValorcusto(int valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(long valorcusto) {
setValorcusto(new Double(valorcusto));
}

public void setValorcusto(Double valorcusto) {
if (valorcusto == null) {
valorcustoNull = true;
this.valorcusto = 0.;
} else { 
valorcustoNull = false;
this.valorcusto = FglDouble.round(valorcusto, 2);
}
}

public double getValormagemiten() {
return valormagemiten;
}

public boolean isValormagemitenNull() {
return valormagemitenNull;
}

public void setValormagemiten(int valormagemiten) {
setValormagemiten(new Double(valormagemiten));
}

public void setValormagemiten(long valormagemiten) {
setValormagemiten(new Double(valormagemiten));
}

public void setValormagemiten(Double valormagemiten) {
if (valormagemiten == null) {
valormagemitenNull = true;
this.valormagemiten = 0.;
} else { 
valormagemitenNull = false;
this.valormagemiten = FglDouble.round(valormagemiten, 2);
}
}

public double getPercmargemiten() {
return percmargemiten;
}

public boolean isPercmargemitenNull() {
return percmargemitenNull;
}

public void setPercmargemiten(int percmargemiten) {
setPercmargemiten(new Double(percmargemiten));
}

public void setPercmargemiten(long percmargemiten) {
setPercmargemiten(new Double(percmargemiten));
}

public void setPercmargemiten(Double percmargemiten) {
if (percmargemiten == null) {
percmargemitenNull = true;
this.percmargemiten = 0.;
} else { 
percmargemitenNull = false;
this.percmargemiten = FglDouble.round(percmargemiten, 2);
}
}

}

