package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabTstransf {
@Coluna(nome="tstransf.id_transferencia", tipo="int")
private int idTransferencia;
private boolean idTransferenciaNull;
@Coluna(nome="tstransf.chassis", tipo="String")
private String chassis;
@Coluna(nome="tstransf.filialorigem", tipo="int")
private int filialorigem;
private boolean filialorigemNull;
@Coluna(nome="tstransf.filialdestino", tipo="int")
private int filialdestino;
private boolean filialdestinoNull;
@Coluna(nome="tstransf.dttransferencia", tipo="FglDateTimeYS")
private FglDateTimeYS dttransferencia;
@Coluna(nome="tstransf.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="tstransf.id_nfcapasaida", tipo="int")
private int idNfcapasaida;
private boolean idNfcapasaidaNull;
@Coluna(nome="tstransf.id_nfcapaentrada", tipo="int")
private int idNfcapaentrada;
private boolean idNfcapaentradaNull;
@Coluna(nome="tstransf.cancelada", tipo="String")
private String cancelada;
@Coluna(nome="tstransf.transferir", tipo="String")
private String transferir;
@Coluna(nome="tstransf.liberado", tipo="String")
private String liberado;

public TabTstransf() {
initialize();
}

public void initialize() {
setIdTransferencia(null);
setChassis(null);
setFilialorigem(null);
setFilialdestino(null);
setDttransferencia(null);
setIdAgente(null);
setIdNfcapasaida(null);
setIdNfcapaentrada(null);
setCancelada(null);
setTransferir(null);
setLiberado(null);
}

public TabTstransf(int idTransferencia, String chassis, int filialorigem, int filialdestino, FglDateTimeYS dttransferencia, int idAgente, int idNfcapasaida, int idNfcapaentrada, String cancelada, String transferir, String liberado) {
this.idTransferencia = idTransferencia;
this.chassis = chassis;
this.filialorigem = filialorigem;
this.filialdestino = filialdestino;
this.dttransferencia = dttransferencia;
this.idAgente = idAgente;
this.idNfcapasaida = idNfcapasaida;
this.idNfcapaentrada = idNfcapaentrada;
this.cancelada = cancelada;
this.transferir = transferir;
this.liberado = liberado;
}

public int getIdTransferencia() {
return idTransferencia;
}

public boolean isIdTransferenciaNull() {
return idTransferenciaNull;
}

public void setIdTransferencia(Integer idTransferencia) {
if (idTransferencia == null) {
idTransferenciaNull = true;
this.idTransferencia = 0;
} else { 
idTransferenciaNull = false;
this.idTransferencia = idTransferencia;
}
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getFilialorigem() {
return filialorigem;
}

public boolean isFilialorigemNull() {
return filialorigemNull;
}

public void setFilialorigem(Integer filialorigem) {
if (filialorigem == null) {
filialorigemNull = true;
this.filialorigem = 0;
} else { 
filialorigemNull = false;
this.filialorigem = filialorigem;
}
}

public int getFilialdestino() {
return filialdestino;
}

public boolean isFilialdestinoNull() {
return filialdestinoNull;
}

public void setFilialdestino(Integer filialdestino) {
if (filialdestino == null) {
filialdestinoNull = true;
this.filialdestino = 0;
} else { 
filialdestinoNull = false;
this.filialdestino = filialdestino;
}
}

public FglDateTimeYS getDttransferencia() {
return dttransferencia;
}

public void setDttransferencia(FglDateTimeYS dttransferencia) {
this.dttransferencia = dttransferencia;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getIdNfcapasaida() {
return idNfcapasaida;
}

public boolean isIdNfcapasaidaNull() {
return idNfcapasaidaNull;
}

public void setIdNfcapasaida(Integer idNfcapasaida) {
if (idNfcapasaida == null) {
idNfcapasaidaNull = true;
this.idNfcapasaida = 0;
} else { 
idNfcapasaidaNull = false;
this.idNfcapasaida = idNfcapasaida;
}
}

public int getIdNfcapaentrada() {
return idNfcapaentrada;
}

public boolean isIdNfcapaentradaNull() {
return idNfcapaentradaNull;
}

public void setIdNfcapaentrada(Integer idNfcapaentrada) {
if (idNfcapaentrada == null) {
idNfcapaentradaNull = true;
this.idNfcapaentrada = 0;
} else { 
idNfcapaentradaNull = false;
this.idNfcapaentrada = idNfcapaentrada;
}
}

public String getCancelada() {
return cancelada;
}

public void setCancelada(String cancelada) {
this.cancelada = cancelada;
}

public String getTransferir() {
return transferir;
}

public void setTransferir(String transferir) {
this.transferir = transferir;
}

public String getLiberado() {
return liberado;
}

public void setLiberado(String liberado) {
this.liberado = liberado;
}

}

