package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTstwsnfc {
@Coluna(nome="tstwsnfc.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="tstwsnfc.nronota", tipo="int")
private int nronota;
private boolean nronotaNull;
@Coluna(nome="tstwsnfc.serienf", tipo="String")
private String serienf;
@Coluna(nome="tstwsnfc.dtnota", tipo="FglDate")
private FglDate dtnota;
@Coluna(nome="tstwsnfc.hrnota", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrnota;
@Coluna(nome="tstwsnfc.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="tstwsnfc.tpnota", tipo="int")
private int tpnota;
private boolean tpnotaNull;

public TabTstwsnfc() {
initialize();
}

public void initialize() {
setIdNfcapa(null);
setNronota(null);
setSerienf(null);
setDtnota(null);
setHrnota(null);
setValor(null);
setTpnota(null);
}

public TabTstwsnfc(int idNfcapa, int nronota, String serienf, FglDate dtnota, FglDateTimeHMin hrnota, double valor, int tpnota) {
this.idNfcapa = idNfcapa;
this.nronota = nronota;
this.serienf = serienf;
this.dtnota = dtnota;
this.hrnota = hrnota;
this.valor = valor;
this.tpnota = tpnota;
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public int getNronota() {
return nronota;
}

public boolean isNronotaNull() {
return nronotaNull;
}

public void setNronota(Integer nronota) {
if (nronota == null) {
nronotaNull = true;
this.nronota = 0;
} else { 
nronotaNull = false;
this.nronota = nronota;
}
}

public String getSerienf() {
return serienf;
}

public void setSerienf(String serienf) {
this.serienf = serienf;
}

public FglDate getDtnota() {
return dtnota;
}

public void setDtnota(FglDate dtnota) {
this.dtnota = dtnota;
}

public FglDateTimeHMin getHrnota() {
return hrnota;
}

public void setHrnota(FglDateTimeHMin hrnota) {
this.hrnota = hrnota;
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public int getTpnota() {
return tpnota;
}

public boolean isTpnotaNull() {
return tpnotaNull;
}

public void setTpnota(Integer tpnota) {
if (tpnota == null) {
tpnotaNull = true;
this.tpnota = 0;
} else { 
tpnotaNull = false;
this.tpnota = tpnota;
}
}

}

