package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabTsusmovi {
@Coluna(nome="tsusmovi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsusmovi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="tsusmovi.planilha", tipo="int")
private int planilha;
private boolean planilhaNull;
@Coluna(nome="tsusmovi.pasta", tipo="int")
private int pasta;
private boolean pastaNull;
@Coluna(nome="tsusmovi.coluna", tipo="String")
private String coluna;
@Coluna(nome="tsusmovi.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="tsusmovi.valor", tipo="double")
private double valor;
private boolean valorNull;
@Coluna(nome="tsusmovi.tpmovi", tipo="String")
private String tpmovi;

public TabTsusmovi() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setPlanilha(null);
setPasta(null);
setColuna(null);
setLinha(null);
setValor(null);
setTpmovi(null);
}

public TabTsusmovi(int filial, FglDateTimeYM anomes, int planilha, int pasta, String coluna, int linha, double valor, String tpmovi) {
this.filial = filial;
this.anomes = anomes;
this.planilha = planilha;
this.pasta = pasta;
this.coluna = coluna;
this.linha = linha;
this.valor = valor;
this.tpmovi = tpmovi;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getPlanilha() {
return planilha;
}

public boolean isPlanilhaNull() {
return planilhaNull;
}

public void setPlanilha(Integer planilha) {
if (planilha == null) {
planilhaNull = true;
this.planilha = 0;
} else { 
planilhaNull = false;
this.planilha = planilha;
}
}

public int getPasta() {
return pasta;
}

public boolean isPastaNull() {
return pastaNull;
}

public void setPasta(Integer pasta) {
if (pasta == null) {
pastaNull = true;
this.pasta = 0;
} else { 
pastaNull = false;
this.pasta = pasta;
}
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public double getValor() {
return valor;
}

public boolean isValorNull() {
return valorNull;
}

public void setValor(int valor) {
setValor(new Double(valor));
}

public void setValor(long valor) {
setValor(new Double(valor));
}

public void setValor(Double valor) {
if (valor == null) {
valorNull = true;
this.valor = 0.;
} else { 
valorNull = false;
this.valor = FglDouble.round(valor, 2);
}
}

public String getTpmovi() {
return tpmovi;
}

public void setTpmovi(String tpmovi) {
this.tpmovi = tpmovi;
}

}

