package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabTsustext {
@Coluna(nome="tsustext.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="tsustext.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="tsustext.planilha", tipo="int")
private int planilha;
private boolean planilhaNull;
@Coluna(nome="tsustext.pasta", tipo="int")
private int pasta;
private boolean pastaNull;
@Coluna(nome="tsustext.coluna", tipo="String")
private String coluna;
@Coluna(nome="tsustext.linha", tipo="int")
private int linha;
private boolean linhaNull;
@Coluna(nome="tsustext.texto", tipo="String")
private String texto;
@Coluna(nome="tsustext.tptext", tipo="String")
private String tptext;

public TabTsustext() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setPlanilha(null);
setPasta(null);
setColuna(null);
setLinha(null);
setTexto(null);
setTptext(null);
}

public TabTsustext(int filial, FglDateTimeYM anomes, int planilha, int pasta, String coluna, int linha, String texto, String tptext) {
this.filial = filial;
this.anomes = anomes;
this.planilha = planilha;
this.pasta = pasta;
this.coluna = coluna;
this.linha = linha;
this.texto = texto;
this.tptext = tptext;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getPlanilha() {
return planilha;
}

public boolean isPlanilhaNull() {
return planilhaNull;
}

public void setPlanilha(Integer planilha) {
if (planilha == null) {
planilhaNull = true;
this.planilha = 0;
} else { 
planilhaNull = false;
this.planilha = planilha;
}
}

public int getPasta() {
return pasta;
}

public boolean isPastaNull() {
return pastaNull;
}

public void setPasta(Integer pasta) {
if (pasta == null) {
pastaNull = true;
this.pasta = 0;
} else { 
pastaNull = false;
this.pasta = pasta;
}
}

public String getColuna() {
return coluna;
}

public void setColuna(String coluna) {
this.coluna = coluna;
}

public int getLinha() {
return linha;
}

public boolean isLinhaNull() {
return linhaNull;
}

public void setLinha(Integer linha) {
if (linha == null) {
linhaNull = true;
this.linha = 0;
} else { 
linhaNull = false;
this.linha = linha;
}
}

public String getTexto() {
return texto;
}

public void setTexto(String texto) {
this.texto = texto;
}

public String getTptext() {
return tptext;
}

public void setTptext(String tptext) {
this.tptext = tptext;
}

}

