package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVcdficon {
@Coluna(nome="vcdficon.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vcdficon.def_campo", tipo="int")
private int defCampo;
private boolean defCampoNull;
@Coluna(nome="vcdficon.id_plano", tipo="int")
private int idPlano;
private boolean idPlanoNull;
@Coluna(nome="vcdficon.id_setor", tipo="int")
private int idSetor;
private boolean idSetorNull;
@Coluna(nome="vcdficon.saldo_mov", tipo="String")
private String saldoMov;
@Coluna(nome="vcdficon.anomes_ini", tipo="FglDateTimeYM")
private FglDateTimeYM anomesIni;
@Coluna(nome="vcdficon.anomes_fim", tipo="FglDateTimeYM")
private FglDateTimeYM anomesFim;
@Coluna(nome="vcdficon.invsinal", tipo="String")
private String invsinal;

public TabVcdficon() {
initialize();
}

public void initialize() {
setFilial(null);
setDefCampo(null);
setIdPlano(null);
setIdSetor(null);
setSaldoMov(null);
setAnomesIni(null);
setAnomesFim(null);
setInvsinal(null);
}

public TabVcdficon(int filial, int defCampo, int idPlano, int idSetor, String saldoMov, FglDateTimeYM anomesIni, FglDateTimeYM anomesFim, String invsinal) {
this.filial = filial;
this.defCampo = defCampo;
this.idPlano = idPlano;
this.idSetor = idSetor;
this.saldoMov = saldoMov;
this.anomesIni = anomesIni;
this.anomesFim = anomesFim;
this.invsinal = invsinal;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getDefCampo() {
return defCampo;
}

public boolean isDefCampoNull() {
return defCampoNull;
}

public void setDefCampo(Integer defCampo) {
if (defCampo == null) {
defCampoNull = true;
this.defCampo = 0;
} else { 
defCampoNull = false;
this.defCampo = defCampo;
}
}

public int getIdPlano() {
return idPlano;
}

public boolean isIdPlanoNull() {
return idPlanoNull;
}

public void setIdPlano(Integer idPlano) {
if (idPlano == null) {
idPlanoNull = true;
this.idPlano = 0;
} else { 
idPlanoNull = false;
this.idPlano = idPlano;
}
}

public int getIdSetor() {
return idSetor;
}

public boolean isIdSetorNull() {
return idSetorNull;
}

public void setIdSetor(Integer idSetor) {
if (idSetor == null) {
idSetorNull = true;
this.idSetor = 0;
} else { 
idSetorNull = false;
this.idSetor = idSetor;
}
}

public String getSaldoMov() {
return saldoMov;
}

public void setSaldoMov(String saldoMov) {
this.saldoMov = saldoMov;
}

public FglDateTimeYM getAnomesIni() {
return anomesIni;
}

public void setAnomesIni(FglDateTimeYM anomesIni) {
this.anomesIni = anomesIni;
}

public FglDateTimeYM getAnomesFim() {
return anomesFim;
}

public void setAnomesFim(FglDateTimeYM anomesFim) {
this.anomesFim = anomesFim;
}

public String getInvsinal() {
return invsinal;
}

public void setInvsinal(String invsinal) {
this.invsinal = invsinal;
}

}

