package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVcdfreto {
@Coluna(nome="vcdfreto.modelo", tipo="String")
private String modelo;
@Coluna(nome="vcdfreto.novousado", tipo="String")
private String novousado;
@Coluna(nome="vcdfreto.tiporet", tipo="String")
private String tiporet;
@Coluna(nome="vcdfreto.anomes_ini", tipo="FglDateTimeYM")
private FglDateTimeYM anomesIni;
@Coluna(nome="vcdfreto.anomes_fim", tipo="FglDateTimeYM")
private FglDateTimeYM anomesFim;
@Coluna(nome="vcdfreto.def_campo_un", tipo="int")
private int defCampoUn;
private boolean defCampoUnNull;
@Coluna(nome="vcdfreto.def_campo_vl", tipo="int")
private int defCampoVl;
private boolean defCampoVlNull;
@Coluna(nome="vcdfreto.def_campo_iv", tipo="int")
private int defCampoIv;
private boolean defCampoIvNull;
@Coluna(nome="vcdfreto.def_campo_lb", tipo="int")
private int defCampoLb;
private boolean defCampoLbNull;

public TabVcdfreto() {
initialize();
}

public void initialize() {
setModelo(null);
setNovousado(null);
setTiporet(null);
setAnomesIni(null);
setAnomesFim(null);
setDefCampoUn(null);
setDefCampoVl(null);
setDefCampoIv(null);
setDefCampoLb(null);
}

public TabVcdfreto(String modelo, String novousado, String tiporet, FglDateTimeYM anomesIni, FglDateTimeYM anomesFim, int defCampoUn, int defCampoVl, int defCampoIv, int defCampoLb) {
this.modelo = modelo;
this.novousado = novousado;
this.tiporet = tiporet;
this.anomesIni = anomesIni;
this.anomesFim = anomesFim;
this.defCampoUn = defCampoUn;
this.defCampoVl = defCampoVl;
this.defCampoIv = defCampoIv;
this.defCampoLb = defCampoLb;
}

public String getModelo() {
return modelo;
}

public void setModelo(String modelo) {
this.modelo = modelo;
}

public String getNovousado() {
return novousado;
}

public void setNovousado(String novousado) {
this.novousado = novousado;
}

public String getTiporet() {
return tiporet;
}

public void setTiporet(String tiporet) {
this.tiporet = tiporet;
}

public FglDateTimeYM getAnomesIni() {
return anomesIni;
}

public void setAnomesIni(FglDateTimeYM anomesIni) {
this.anomesIni = anomesIni;
}

public FglDateTimeYM getAnomesFim() {
return anomesFim;
}

public void setAnomesFim(FglDateTimeYM anomesFim) {
this.anomesFim = anomesFim;
}

public int getDefCampoUn() {
return defCampoUn;
}

public boolean isDefCampoUnNull() {
return defCampoUnNull;
}

public void setDefCampoUn(Integer defCampoUn) {
if (defCampoUn == null) {
defCampoUnNull = true;
this.defCampoUn = 0;
} else { 
defCampoUnNull = false;
this.defCampoUn = defCampoUn;
}
}

public int getDefCampoVl() {
return defCampoVl;
}

public boolean isDefCampoVlNull() {
return defCampoVlNull;
}

public void setDefCampoVl(Integer defCampoVl) {
if (defCampoVl == null) {
defCampoVlNull = true;
this.defCampoVl = 0;
} else { 
defCampoVlNull = false;
this.defCampoVl = defCampoVl;
}
}

public int getDefCampoIv() {
return defCampoIv;
}

public boolean isDefCampoIvNull() {
return defCampoIvNull;
}

public void setDefCampoIv(Integer defCampoIv) {
if (defCampoIv == null) {
defCampoIvNull = true;
this.defCampoIv = 0;
} else { 
defCampoIvNull = false;
this.defCampoIv = defCampoIv;
}
}

public int getDefCampoLb() {
return defCampoLb;
}

public boolean isDefCampoLbNull() {
return defCampoLbNull;
}

public void setDefCampoLb(Integer defCampoLb) {
if (defCampoLb == null) {
defCampoLbNull = true;
this.defCampoLb = 0;
} else { 
defCampoLbNull = false;
this.defCampoLb = defCampoLb;
}
}

}

