package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYY;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVcfatgar {
@Coluna(nome="vcfatgar.id_fator", tipo="int")
private int idFator;
private boolean idFatorNull;
@Coluna(nome="vcfatgar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vcfatgar.ano", tipo="FglDateTimeYY")
private FglDateTimeYY ano;
@Coluna(nome="vcfatgar.ufederacao", tipo="String")
private String ufederacao;
@Coluna(nome="vcfatgar.fator", tipo="double")
private double fator;
private boolean fatorNull;

public TabVcfatgar() {
initialize();
}

public void initialize() {
setIdFator(null);
setFilial(null);
setAno(null);
setUfederacao(null);
setFator(null);
}

public TabVcfatgar(int idFator, int filial, FglDateTimeYY ano, String ufederacao, double fator) {
this.idFator = idFator;
this.filial = filial;
this.ano = ano;
this.ufederacao = ufederacao;
this.fator = fator;
}

public int getIdFator() {
return idFator;
}

public boolean isIdFatorNull() {
return idFatorNull;
}

public void setIdFator(Integer idFator) {
if (idFator == null) {
idFatorNull = true;
this.idFator = 0;
} else { 
idFatorNull = false;
this.idFator = idFator;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYY getAno() {
return ano;
}

public void setAno(FglDateTimeYY ano) {
this.ano = ano;
}

public String getUfederacao() {
return ufederacao;
}

public void setUfederacao(String ufederacao) {
this.ufederacao = ufederacao;
}

public double getFator() {
return fator;
}

public boolean isFatorNull() {
return fatorNull;
}

public void setFator(int fator) {
setFator(new Double(fator));
}

public void setFator(long fator) {
setFator(new Double(fator));
}

public void setFator(Double fator) {
if (fator == null) {
fatorNull = true;
this.fator = 0.;
} else { 
fatorNull = false;
this.fator = FglDouble.round(fator, 4);
}
}

}

