package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVndfmovi {
@Coluna(nome="vndfmovi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vndfmovi.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="vndfmovi.def_campo", tipo="int")
private int defCampo;
private boolean defCampoNull;
@Coluna(nome="vndfmovi.dt_mov", tipo="FglDate")
private FglDate dtMov;
@Coluna(nome="vndfmovi.valor_env", tipo="long")
private long valorEnv;
private boolean valorEnvNull;
@Coluna(nome="vndfmovi.valor_ger", tipo="long")
private long valorGer;
private boolean valorGerNull;

public TabVndfmovi() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setDefCampo(null);
setDtMov(null);
setValorEnv(null);
setValorGer(null);
}

public TabVndfmovi(int filial, FglDateTimeYM anomes, int defCampo, FglDate dtMov, long valorEnv, long valorGer) {
this.filial = filial;
this.anomes = anomes;
this.defCampo = defCampo;
this.dtMov = dtMov;
this.valorEnv = valorEnv;
this.valorGer = valorGer;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getDefCampo() {
return defCampo;
}

public boolean isDefCampoNull() {
return defCampoNull;
}

public void setDefCampo(Integer defCampo) {
if (defCampo == null) {
defCampoNull = true;
this.defCampo = 0;
} else { 
defCampoNull = false;
this.defCampo = defCampo;
}
}

public FglDate getDtMov() {
return dtMov;
}

public void setDtMov(FglDate dtMov) {
this.dtMov = dtMov;
}

public long getValorEnv() {
return valorEnv;
}

public boolean isValorEnvNull() {
return valorEnvNull;
}

public void setValorEnv(int valorEnv) {
setValorEnv(new Long(valorEnv));
}

public void setValorEnv(Long valorEnv) {
if (valorEnv == null) {
valorEnvNull = true;
this.valorEnv = 0l;
} else { 
valorEnvNull = false;
this.valorEnv = valorEnv;
}
}

public long getValorGer() {
return valorGer;
}

public boolean isValorGerNull() {
return valorGerNull;
}

public void setValorGer(int valorGer) {
setValorGer(new Long(valorGer));
}

public void setValorGer(Long valorGer) {
if (valorGer == null) {
valorGerNull = true;
this.valorGer = 0l;
} else { 
valorGerNull = false;
this.valorGer = valorGer;
}
}

}

