package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVocengho {
@Coluna(nome="vocengho.id_cengho", tipo="int")
private int idCengho;
private boolean idCenghoNull;
@Coluna(nome="vocengho.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vocengho.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="vocengho.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="vocengho.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vocengho.data_ult_alteracao", tipo="FglDate")
private FglDate dataUltAlteracao;
@Coluna(nome="vocengho.hora_ult_alteracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaUltAlteracao;
@Coluna(nome="vocengho.id_agente_cen", tipo="int")
private int idAgenteCen;
private boolean idAgenteCenNull;
@Coluna(nome="vocengho.id_recurso_cen", tipo="int")
private int idRecursoCen;
private boolean idRecursoCenNull;

public TabVocengho() {
initialize();
}

public void initialize() {
setIdCengho(null);
setIdAgente(null);
setHora(null);
setData(null);
setFilial(null);
setDataUltAlteracao(null);
setHoraUltAlteracao(null);
setIdAgenteCen(null);
setIdRecursoCen(null);
}

public TabVocengho(int idCengho, int idAgente, FglDateTimeHMin hora, FglDate data, int filial, FglDate dataUltAlteracao, FglDateTimeHMin horaUltAlteracao, int idAgenteCen, int idRecursoCen) {
this.idCengho = idCengho;
this.idAgente = idAgente;
this.hora = hora;
this.data = data;
this.filial = filial;
this.dataUltAlteracao = dataUltAlteracao;
this.horaUltAlteracao = horaUltAlteracao;
this.idAgenteCen = idAgenteCen;
this.idRecursoCen = idRecursoCen;
}

public int getIdCengho() {
return idCengho;
}

public boolean isIdCenghoNull() {
return idCenghoNull;
}

public void setIdCengho(Integer idCengho) {
if (idCengho == null) {
idCenghoNull = true;
this.idCengho = 0;
} else { 
idCenghoNull = false;
this.idCengho = idCengho;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDataUltAlteracao() {
return dataUltAlteracao;
}

public void setDataUltAlteracao(FglDate dataUltAlteracao) {
this.dataUltAlteracao = dataUltAlteracao;
}

public FglDateTimeHMin getHoraUltAlteracao() {
return horaUltAlteracao;
}

public void setHoraUltAlteracao(FglDateTimeHMin horaUltAlteracao) {
this.horaUltAlteracao = horaUltAlteracao;
}

public int getIdAgenteCen() {
return idAgenteCen;
}

public boolean isIdAgenteCenNull() {
return idAgenteCenNull;
}

public void setIdAgenteCen(Integer idAgenteCen) {
if (idAgenteCen == null) {
idAgenteCenNull = true;
this.idAgenteCen = 0;
} else { 
idAgenteCenNull = false;
this.idAgenteCen = idAgenteCen;
}
}

public int getIdRecursoCen() {
return idRecursoCen;
}

public boolean isIdRecursoCenNull() {
return idRecursoCenNull;
}

public void setIdRecursoCen(Integer idRecursoCen) {
if (idRecursoCen == null) {
idRecursoCenNull = true;
this.idRecursoCen = 0;
} else { 
idRecursoCenNull = false;
this.idRecursoCen = idRecursoCen;
}
}

}

