package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVochigho {
@Coluna(nome="vochigho.id_chigho", tipo="int")
private int idChigho;
private boolean idChighoNull;
@Coluna(nome="vochigho.id_recurso", tipo="int")
private int idRecurso;
private boolean idRecursoNull;
@Coluna(nome="vochigho.dtagenda", tipo="FglDate")
private FglDate dtagenda;
@Coluna(nome="vochigho.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="vochigho.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;
@Coluna(nome="vochigho.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vochigho.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vochigho.data_ult_alteracao", tipo="FglDate")
private FglDate dataUltAlteracao;
@Coluna(nome="vochigho.hora_ult_alteracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaUltAlteracao;
@Coluna(nome="vochigho.duracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin duracao;
@Coluna(nome="vochigho.idsessao", tipo="String")
private String idsessao;

public TabVochigho() {
initialize();
}

public void initialize() {
setIdChigho(null);
setIdRecurso(null);
setDtagenda(null);
setHrinicio(null);
setHrfim(null);
setIdAgente(null);
setFilial(null);
setDataUltAlteracao(null);
setHoraUltAlteracao(null);
setDuracao(null);
setIdsessao(null);
}

public TabVochigho(int idChigho, int idRecurso, FglDate dtagenda, FglDateTimeHMin hrinicio, FglDateTimeHMin hrfim, int idAgente, int filial, FglDate dataUltAlteracao, FglDateTimeHMin horaUltAlteracao, FglDateTimeHMin duracao, String idsessao) {
this.idChigho = idChigho;
this.idRecurso = idRecurso;
this.dtagenda = dtagenda;
this.hrinicio = hrinicio;
this.hrfim = hrfim;
this.idAgente = idAgente;
this.filial = filial;
this.dataUltAlteracao = dataUltAlteracao;
this.horaUltAlteracao = horaUltAlteracao;
this.duracao = duracao;
this.idsessao = idsessao;
}

public int getIdChigho() {
return idChigho;
}

public boolean isIdChighoNull() {
return idChighoNull;
}

public void setIdChigho(Integer idChigho) {
if (idChigho == null) {
idChighoNull = true;
this.idChigho = 0;
} else { 
idChighoNull = false;
this.idChigho = idChigho;
}
}

public int getIdRecurso() {
return idRecurso;
}

public boolean isIdRecursoNull() {
return idRecursoNull;
}

public void setIdRecurso(Integer idRecurso) {
if (idRecurso == null) {
idRecursoNull = true;
this.idRecurso = 0;
} else { 
idRecursoNull = false;
this.idRecurso = idRecurso;
}
}

public FglDate getDtagenda() {
return dtagenda;
}

public void setDtagenda(FglDate dtagenda) {
this.dtagenda = dtagenda;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDataUltAlteracao() {
return dataUltAlteracao;
}

public void setDataUltAlteracao(FglDate dataUltAlteracao) {
this.dataUltAlteracao = dataUltAlteracao;
}

public FglDateTimeHMin getHoraUltAlteracao() {
return horaUltAlteracao;
}

public void setHoraUltAlteracao(FglDateTimeHMin horaUltAlteracao) {
this.horaUltAlteracao = horaUltAlteracao;
}

public FglDateTimeHMin getDuracao() {
return duracao;
}

public void setDuracao(FglDateTimeHMin duracao) {
this.duracao = duracao;
}

public String getIdsessao() {
return idsessao;
}

public void setIdsessao(String idsessao) {
this.idsessao = idsessao;
}

}

