package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVoconfal {
@Coluna(nome="voconfal.id_falta", tipo="int")
private int idFalta;
private boolean idFaltaNull;
@Coluna(nome="voconfal.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="voconfal.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="voconfal.hrinicio", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrinicio;
@Coluna(nome="voconfal.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="voconfal.hrfim", tipo="FglDateTimeHMin")
private FglDateTimeHMin hrfim;

public TabVoconfal() {
initialize();
}

public void initialize() {
setIdFalta(null);
setIdAgente(null);
setDtinicio(null);
setHrinicio(null);
setDtfim(null);
setHrfim(null);
}

public TabVoconfal(int idFalta, int idAgente, FglDate dtinicio, FglDateTimeHMin hrinicio, FglDate dtfim, FglDateTimeHMin hrfim) {
this.idFalta = idFalta;
this.idAgente = idAgente;
this.dtinicio = dtinicio;
this.hrinicio = hrinicio;
this.dtfim = dtfim;
this.hrfim = hrfim;
}

public int getIdFalta() {
return idFalta;
}

public boolean isIdFaltaNull() {
return idFaltaNull;
}

public void setIdFalta(Integer idFalta) {
if (idFalta == null) {
idFaltaNull = true;
this.idFalta = 0;
} else { 
idFaltaNull = false;
this.idFalta = idFalta;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDateTimeHMin getHrinicio() {
return hrinicio;
}

public void setHrinicio(FglDateTimeHMin hrinicio) {
this.hrinicio = hrinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public FglDateTimeHMin getHrfim() {
return hrfim;
}

public void setHrfim(FglDateTimeHMin hrfim) {
this.hrfim = hrfim;
}

}

