package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVocongho {
@Coluna(nome="vocongho.id_congho", tipo="int")
private int idCongho;
private boolean idConghoNull;
@Coluna(nome="vocongho.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vocongho.hora", tipo="FglDateTimeHMin")
private FglDateTimeHMin hora;
@Coluna(nome="vocongho.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="vocongho.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vocongho.data_ult_alteracao", tipo="FglDate")
private FglDate dataUltAlteracao;
@Coluna(nome="vocongho.hora_ult_alteracao", tipo="FglDateTimeHMin")
private FglDateTimeHMin horaUltAlteracao;
@Coluna(nome="vocongho.id_agente_con", tipo="int")
private int idAgenteCon;
private boolean idAgenteConNull;
@Coluna(nome="vocongho.id_recurso_con", tipo="int")
private int idRecursoCon;
private boolean idRecursoConNull;

public TabVocongho() {
initialize();
}

public void initialize() {
setIdCongho(null);
setIdAgente(null);
setHora(null);
setData(null);
setFilial(null);
setDataUltAlteracao(null);
setHoraUltAlteracao(null);
setIdAgenteCon(null);
setIdRecursoCon(null);
}

public TabVocongho(int idCongho, int idAgente, FglDateTimeHMin hora, FglDate data, int filial, FglDate dataUltAlteracao, FglDateTimeHMin horaUltAlteracao, int idAgenteCon, int idRecursoCon) {
this.idCongho = idCongho;
this.idAgente = idAgente;
this.hora = hora;
this.data = data;
this.filial = filial;
this.dataUltAlteracao = dataUltAlteracao;
this.horaUltAlteracao = horaUltAlteracao;
this.idAgenteCon = idAgenteCon;
this.idRecursoCon = idRecursoCon;
}

public int getIdCongho() {
return idCongho;
}

public boolean isIdConghoNull() {
return idConghoNull;
}

public void setIdCongho(Integer idCongho) {
if (idCongho == null) {
idConghoNull = true;
this.idCongho = 0;
} else { 
idConghoNull = false;
this.idCongho = idCongho;
}
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public FglDateTimeHMin getHora() {
return hora;
}

public void setHora(FglDateTimeHMin hora) {
this.hora = hora;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDataUltAlteracao() {
return dataUltAlteracao;
}

public void setDataUltAlteracao(FglDate dataUltAlteracao) {
this.dataUltAlteracao = dataUltAlteracao;
}

public FglDateTimeHMin getHoraUltAlteracao() {
return horaUltAlteracao;
}

public void setHoraUltAlteracao(FglDateTimeHMin horaUltAlteracao) {
this.horaUltAlteracao = horaUltAlteracao;
}

public int getIdAgenteCon() {
return idAgenteCon;
}

public boolean isIdAgenteConNull() {
return idAgenteConNull;
}

public void setIdAgenteCon(Integer idAgenteCon) {
if (idAgenteCon == null) {
idAgenteConNull = true;
this.idAgenteCon = 0;
} else { 
idAgenteConNull = false;
this.idAgenteCon = idAgenteCon;
}
}

public int getIdRecursoCon() {
return idRecursoCon;
}

public boolean isIdRecursoConNull() {
return idRecursoConNull;
}

public void setIdRecursoCon(Integer idRecursoCon) {
if (idRecursoCon == null) {
idRecursoConNull = true;
this.idRecursoCon = 0;
} else { 
idRecursoConNull = false;
this.idRecursoCon = idRecursoCon;
}
}

}

