package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVoprmtoy {
@Coluna(nome="voprmtoy.id_protmp", tipo="int")
private int idProtmp;
private boolean idProtmpNull;
@Coluna(nome="voprmtoy.id_contrato", tipo="int")
private int idContrato;
private boolean idContratoNull;
@Coluna(nome="voprmtoy.id_reprep", tipo="int")
private int idReprep;
private boolean idReprepNull;
@Coluna(nome="voprmtoy.sintoma", tipo="String")
private String sintoma;
@Coluna(nome="voprmtoy.sintomadesc", tipo="String")
private String sintomadesc;
@Coluna(nome="voprmtoy.valorpecas", tipo="double")
private double valorpecas;
private boolean valorpecasNull;
@Coluna(nome="voprmtoy.valorservicos", tipo="double")
private double valorservicos;
private boolean valorservicosNull;
@Coluna(nome="voprmtoy.a_imgpacote", tipo="String")
private String aImgpacote;

public TabVoprmtoy() {
initialize();
}

public void initialize() {
setIdProtmp(null);
setIdContrato(null);
setIdReprep(null);
setSintoma(null);
setSintomadesc(null);
setValorpecas(null);
setValorservicos(null);
setAImgpacote(null);
}

public TabVoprmtoy(int idProtmp, int idContrato, int idReprep, String sintoma, String sintomadesc, double valorpecas, double valorservicos, String aImgpacote) {
this.idProtmp = idProtmp;
this.idContrato = idContrato;
this.idReprep = idReprep;
this.sintoma = sintoma;
this.sintomadesc = sintomadesc;
this.valorpecas = valorpecas;
this.valorservicos = valorservicos;
this.aImgpacote = aImgpacote;
}

public int getIdProtmp() {
return idProtmp;
}

public boolean isIdProtmpNull() {
return idProtmpNull;
}

public void setIdProtmp(Integer idProtmp) {
if (idProtmp == null) {
idProtmpNull = true;
this.idProtmp = 0;
} else { 
idProtmpNull = false;
this.idProtmp = idProtmp;
}
}

public int getIdContrato() {
return idContrato;
}

public boolean isIdContratoNull() {
return idContratoNull;
}

public void setIdContrato(Integer idContrato) {
if (idContrato == null) {
idContratoNull = true;
this.idContrato = 0;
} else { 
idContratoNull = false;
this.idContrato = idContrato;
}
}

public int getIdReprep() {
return idReprep;
}

public boolean isIdReprepNull() {
return idReprepNull;
}

public void setIdReprep(Integer idReprep) {
if (idReprep == null) {
idReprepNull = true;
this.idReprep = 0;
} else { 
idReprepNull = false;
this.idReprep = idReprep;
}
}

public String getSintoma() {
return sintoma;
}

public void setSintoma(String sintoma) {
this.sintoma = sintoma;
}

public String getSintomadesc() {
return sintomadesc;
}

public void setSintomadesc(String sintomadesc) {
this.sintomadesc = sintomadesc;
}

public double getValorpecas() {
return valorpecas;
}

public boolean isValorpecasNull() {
return valorpecasNull;
}

public void setValorpecas(int valorpecas) {
setValorpecas(new Double(valorpecas));
}

public void setValorpecas(long valorpecas) {
setValorpecas(new Double(valorpecas));
}

public void setValorpecas(Double valorpecas) {
if (valorpecas == null) {
valorpecasNull = true;
this.valorpecas = 0.;
} else { 
valorpecasNull = false;
this.valorpecas = FglDouble.round(valorpecas, 2);
}
}

public double getValorservicos() {
return valorservicos;
}

public boolean isValorservicosNull() {
return valorservicosNull;
}

public void setValorservicos(int valorservicos) {
setValorservicos(new Double(valorservicos));
}

public void setValorservicos(long valorservicos) {
setValorservicos(new Double(valorservicos));
}

public void setValorservicos(Double valorservicos) {
if (valorservicos == null) {
valorservicosNull = true;
this.valorservicos = 0.;
} else { 
valorservicosNull = false;
this.valorservicos = FglDouble.round(valorservicos, 2);
}
}

public String getAImgpacote() {
return aImgpacote;
}

public void setAImgpacote(String aImgpacote) {
this.aImgpacote = aImgpacote;
}

}

