package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVoproces {
@Coluna(nome="voproces.id_processo", tipo="int")
private int idProcesso;
private boolean idProcessoNull;
@Coluna(nome="voproces.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="voproces.id_agenteresp", tipo="int")
private int idAgenteresp;
private boolean idAgenterespNull;
@Coluna(nome="voproces.id_agentecria", tipo="int")
private int idAgentecria;
private boolean idAgentecriaNull;
@Coluna(nome="voproces.dt_criacao", tipo="FglDate")
private FglDate dtCriacao;
@Coluna(nome="voproces.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="voproces.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="voproces.id_rapcli", tipo="int")
private int idRapcli;
private boolean idRapcliNull;
@Coluna(nome="voproces.temperatura", tipo="String")
private String temperatura;
@Coluna(nome="voproces.id_venda", tipo="int")
private int idVenda;
private boolean idVendaNull;
@Coluna(nome="voproces.tpagendamento", tipo="String")
private String tpagendamento;
@Coluna(nome="voproces.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;

public TabVoproces() {
initialize();
}

public void initialize() {
setIdProcesso(null);
setFilial(null);
setIdAgenteresp(null);
setIdAgentecria(null);
setDtCriacao(null);
setCgccpf(null);
setTppessoa(null);
setIdRapcli(null);
setTemperatura(null);
setIdVenda(null);
setTpagendamento(null);
setIdAgetoy(null);
}

public TabVoproces(int idProcesso, int filial, int idAgenteresp, int idAgentecria, FglDate dtCriacao, long cgccpf, int tppessoa, int idRapcli, String temperatura, int idVenda, String tpagendamento, int idAgetoy) {
this.idProcesso = idProcesso;
this.filial = filial;
this.idAgenteresp = idAgenteresp;
this.idAgentecria = idAgentecria;
this.dtCriacao = dtCriacao;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.idRapcli = idRapcli;
this.temperatura = temperatura;
this.idVenda = idVenda;
this.tpagendamento = tpagendamento;
this.idAgetoy = idAgetoy;
}

public int getIdProcesso() {
return idProcesso;
}

public boolean isIdProcessoNull() {
return idProcessoNull;
}

public void setIdProcesso(Integer idProcesso) {
if (idProcesso == null) {
idProcessoNull = true;
this.idProcesso = 0;
} else { 
idProcessoNull = false;
this.idProcesso = idProcesso;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdAgenteresp() {
return idAgenteresp;
}

public boolean isIdAgenterespNull() {
return idAgenterespNull;
}

public void setIdAgenteresp(Integer idAgenteresp) {
if (idAgenteresp == null) {
idAgenterespNull = true;
this.idAgenteresp = 0;
} else { 
idAgenterespNull = false;
this.idAgenteresp = idAgenteresp;
}
}

public int getIdAgentecria() {
return idAgentecria;
}

public boolean isIdAgentecriaNull() {
return idAgentecriaNull;
}

public void setIdAgentecria(Integer idAgentecria) {
if (idAgentecria == null) {
idAgentecriaNull = true;
this.idAgentecria = 0;
} else { 
idAgentecriaNull = false;
this.idAgentecria = idAgentecria;
}
}

public FglDate getDtCriacao() {
return dtCriacao;
}

public void setDtCriacao(FglDate dtCriacao) {
this.dtCriacao = dtCriacao;
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public int getIdRapcli() {
return idRapcli;
}

public boolean isIdRapcliNull() {
return idRapcliNull;
}

public void setIdRapcli(Integer idRapcli) {
if (idRapcli == null) {
idRapcliNull = true;
this.idRapcli = 0;
} else { 
idRapcliNull = false;
this.idRapcli = idRapcli;
}
}

public String getTemperatura() {
return temperatura;
}

public void setTemperatura(String temperatura) {
this.temperatura = temperatura;
}

public int getIdVenda() {
return idVenda;
}

public boolean isIdVendaNull() {
return idVendaNull;
}

public void setIdVenda(Integer idVenda) {
if (idVenda == null) {
idVendaNull = true;
this.idVenda = 0;
} else { 
idVendaNull = false;
this.idVenda = idVenda;
}
}

public String getTpagendamento() {
return tpagendamento;
}

public void setTpagendamento(String tpagendamento) {
this.tpagendamento = tpagendamento;
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

}

