package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVpClitrans {
@Coluna(nome="vp_clitrans.maquina", tipo="String")
private String maquina;
@Coluna(nome="vp_clitrans.login", tipo="String")
private String login;
@Coluna(nome="vp_clitrans.dtalogin", tipo="FglDateTimeYS")
private FglDateTimeYS dtalogin;
@Coluna(nome="vp_clitrans.dtaultatualizacao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultatualizacao;
@Coluna(nome="vp_clitrans.status", tipo="String")
private String status;
@Coluna(nome="vp_clitrans.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="vp_clitrans.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="vp_clitrans.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="vp_clitrans.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="vp_clitrans.controle", tipo="long")
private long controle;
private boolean controleNull;
@Coluna(nome="vp_clitrans.descricao", tipo="String")
private String descricao;
@Coluna(nome="vp_clitrans.tptrans", tipo="String")
private String tptrans;

public TabVpClitrans() {
initialize();
}

public void initialize() {
setMaquina(null);
setLogin(null);
setDtalogin(null);
setDtaultatualizacao(null);
setStatus(null);
setSeqpessoa(null);
setCgccpf(null);
setTppessoa(null);
setProcesso(null);
setControle(null);
setDescricao(null);
setTptrans(null);
}

public TabVpClitrans(String maquina, String login, FglDateTimeYS dtalogin, FglDateTimeYS dtaultatualizacao, String status, long seqpessoa, long cgccpf, int tppessoa, long processo, long controle, String descricao, String tptrans) {
this.maquina = maquina;
this.login = login;
this.dtalogin = dtalogin;
this.dtaultatualizacao = dtaultatualizacao;
this.status = status;
this.seqpessoa = seqpessoa;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.processo = processo;
this.controle = controle;
this.descricao = descricao;
this.tptrans = tptrans;
}

public String getMaquina() {
return maquina;
}

public void setMaquina(String maquina) {
this.maquina = maquina;
}

public String getLogin() {
return login;
}

public void setLogin(String login) {
this.login = login;
}

public FglDateTimeYS getDtalogin() {
return dtalogin;
}

public void setDtalogin(FglDateTimeYS dtalogin) {
this.dtalogin = dtalogin;
}

public FglDateTimeYS getDtaultatualizacao() {
return dtaultatualizacao;
}

public void setDtaultatualizacao(FglDateTimeYS dtaultatualizacao) {
this.dtaultatualizacao = dtaultatualizacao;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getControle() {
return controle;
}

public boolean isControleNull() {
return controleNull;
}

public void setControle(int controle) {
setControle(new Long(controle));
}

public void setControle(Long controle) {
if (controle == null) {
controleNull = true;
this.controle = 0l;
} else { 
controleNull = false;
this.controle = controle;
}
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getTptrans() {
return tptrans;
}

public void setTptrans(String tptrans) {
this.tptrans = tptrans;
}

}

