package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVpEvtpar {
@Coluna(nome="vp_evtpar.evento", tipo="String")
private String evento;
@Coluna(nome="vp_evtpar.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vp_evtpar.empresaenv", tipo="String")
private String empresaenv;
@Coluna(nome="vp_evtpar.usualteracao", tipo="String")
private String usualteracao;
@Coluna(nome="vp_evtpar.dtaalteracao", tipo="FglDateTimeYS")
private FglDateTimeYS dtaalteracao;

public TabVpEvtpar() {
initialize();
}

public void initialize() {
setEvento(null);
setFilial(null);
setEmpresaenv(null);
setUsualteracao(null);
setDtaalteracao(null);
}

public TabVpEvtpar(String evento, int filial, String empresaenv, String usualteracao, FglDateTimeYS dtaalteracao) {
this.evento = evento;
this.filial = filial;
this.empresaenv = empresaenv;
this.usualteracao = usualteracao;
this.dtaalteracao = dtaalteracao;
}

public String getEvento() {
return evento;
}

public void setEvento(String evento) {
this.evento = evento;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getEmpresaenv() {
return empresaenv;
}

public void setEmpresaenv(String empresaenv) {
this.empresaenv = empresaenv;
}

public String getUsualteracao() {
return usualteracao;
}

public void setUsualteracao(String usualteracao) {
this.usualteracao = usualteracao;
}

public FglDateTimeYS getDtaalteracao() {
return dtaalteracao;
}

public void setDtaalteracao(FglDateTimeYS dtaalteracao) {
this.dtaalteracao = dtaalteracao;
}

}

