package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;

public class TabVpProcvnabV {
@Coluna(nome="vp_procvnab_v.descrred", tipo="String")
private String descrred;
@Coluna(nome="vp_procvnab_v.codprocesso", tipo="int")
private int codprocesso;
private boolean codprocessoNull;
@Coluna(nome="vp_procvnab_v.processo", tipo="long")
private long processo;
private boolean processoNull;
@Coluna(nome="vp_procvnab_v.cgccpf", tipo="long")
private long cgccpf;
private boolean cgccpfNull;
@Coluna(nome="vp_procvnab_v.tppessoa", tipo="int")
private int tppessoa;
private boolean tppessoaNull;
@Coluna(nome="vp_procvnab_v.dtainclusao", tipo="FglDateTimeYS")
private FglDateTimeYS dtainclusao;
@Coluna(nome="vp_procvnab_v.dtaultcontato", tipo="FglDateTimeYS")
private FglDateTimeYS dtaultcontato;
@Coluna(nome="vp_procvnab_v.fase", tipo="String")
private String fase;
@Coluna(nome="vp_procvnab_v.status", tipo="String")
private String status;
@Coluna(nome="vp_procvnab_v.descricao", tipo="String")
private String descricao;
@Coluna(nome="vp_procvnab_v.responsavel", tipo="String")
private String responsavel;
@Coluna(nome="vp_procvnab_v.vendedor", tipo="String")
private String vendedor;
@Coluna(nome="vp_procvnab_v.formaprimcont", tipo="String")
private String formaprimcont;
@Coluna(nome="vp_procvnab_v.campanha", tipo="String")
private String campanha;
@Coluna(nome="vp_procvnab_v.seqpessoa", tipo="long")
private long seqpessoa;
private boolean seqpessoaNull;
@Coluna(nome="vp_procvnab_v.realizado", tipo="int")
private int realizado;
private boolean realizadoNull;
@Coluna(nome="vp_procvnab_v.codmodescolhido", tipo="String")
private String codmodescolhido;
@Coluna(nome="vp_procvnab_v.informacao", tipo="String")
private String informacao;

public TabVpProcvnabV() {
initialize();
}

public void initialize() {
setDescrred(null);
setCodprocesso(null);
setProcesso(null);
setCgccpf(null);
setTppessoa(null);
setDtainclusao(null);
setDtaultcontato(null);
setFase(null);
setStatus(null);
setDescricao(null);
setResponsavel(null);
setVendedor(null);
setFormaprimcont(null);
setCampanha(null);
setSeqpessoa(null);
setRealizado(null);
setCodmodescolhido(null);
setInformacao(null);
}

public TabVpProcvnabV(String descrred, int codprocesso, long processo, long cgccpf, int tppessoa, FglDateTimeYS dtainclusao, FglDateTimeYS dtaultcontato, String fase, String status, String descricao, String responsavel, String vendedor, String formaprimcont, String campanha, long seqpessoa, int realizado, String codmodescolhido, String informacao) {
this.descrred = descrred;
this.codprocesso = codprocesso;
this.processo = processo;
this.cgccpf = cgccpf;
this.tppessoa = tppessoa;
this.dtainclusao = dtainclusao;
this.dtaultcontato = dtaultcontato;
this.fase = fase;
this.status = status;
this.descricao = descricao;
this.responsavel = responsavel;
this.vendedor = vendedor;
this.formaprimcont = formaprimcont;
this.campanha = campanha;
this.seqpessoa = seqpessoa;
this.realizado = realizado;
this.codmodescolhido = codmodescolhido;
this.informacao = informacao;
}

public String getDescrred() {
return descrred;
}

public void setDescrred(String descrred) {
this.descrred = descrred;
}

public int getCodprocesso() {
return codprocesso;
}

public boolean isCodprocessoNull() {
return codprocessoNull;
}

public void setCodprocesso(Integer codprocesso) {
if (codprocesso == null) {
codprocessoNull = true;
this.codprocesso = 0;
} else { 
codprocessoNull = false;
this.codprocesso = codprocesso;
}
}

public long getProcesso() {
return processo;
}

public boolean isProcessoNull() {
return processoNull;
}

public void setProcesso(int processo) {
setProcesso(new Long(processo));
}

public void setProcesso(Long processo) {
if (processo == null) {
processoNull = true;
this.processo = 0l;
} else { 
processoNull = false;
this.processo = processo;
}
}

public long getCgccpf() {
return cgccpf;
}

public boolean isCgccpfNull() {
return cgccpfNull;
}

public void setCgccpf(int cgccpf) {
setCgccpf(new Long(cgccpf));
}

public void setCgccpf(Long cgccpf) {
if (cgccpf == null) {
cgccpfNull = true;
this.cgccpf = 0l;
} else { 
cgccpfNull = false;
this.cgccpf = cgccpf;
}
}

public int getTppessoa() {
return tppessoa;
}

public boolean isTppessoaNull() {
return tppessoaNull;
}

public void setTppessoa(Integer tppessoa) {
if (tppessoa == null) {
tppessoaNull = true;
this.tppessoa = 0;
} else { 
tppessoaNull = false;
this.tppessoa = tppessoa;
}
}

public FglDateTimeYS getDtainclusao() {
return dtainclusao;
}

public void setDtainclusao(FglDateTimeYS dtainclusao) {
this.dtainclusao = dtainclusao;
}

public FglDateTimeYS getDtaultcontato() {
return dtaultcontato;
}

public void setDtaultcontato(FglDateTimeYS dtaultcontato) {
this.dtaultcontato = dtaultcontato;
}

public String getFase() {
return fase;
}

public void setFase(String fase) {
this.fase = fase;
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getResponsavel() {
return responsavel;
}

public void setResponsavel(String responsavel) {
this.responsavel = responsavel;
}

public String getVendedor() {
return vendedor;
}

public void setVendedor(String vendedor) {
this.vendedor = vendedor;
}

public String getFormaprimcont() {
return formaprimcont;
}

public void setFormaprimcont(String formaprimcont) {
this.formaprimcont = formaprimcont;
}

public String getCampanha() {
return campanha;
}

public void setCampanha(String campanha) {
this.campanha = campanha;
}

public long getSeqpessoa() {
return seqpessoa;
}

public boolean isSeqpessoaNull() {
return seqpessoaNull;
}

public void setSeqpessoa(int seqpessoa) {
setSeqpessoa(new Long(seqpessoa));
}

public void setSeqpessoa(Long seqpessoa) {
if (seqpessoa == null) {
seqpessoaNull = true;
this.seqpessoa = 0l;
} else { 
seqpessoaNull = false;
this.seqpessoa = seqpessoa;
}
}

public int getRealizado() {
return realizado;
}

public boolean isRealizadoNull() {
return realizadoNull;
}

public void setRealizado(Integer realizado) {
if (realizado == null) {
realizadoNull = true;
this.realizado = 0;
} else { 
realizadoNull = false;
this.realizado = realizado;
}
}

public String getCodmodescolhido() {
return codmodescolhido;
}

public void setCodmodescolhido(String codmodescolhido) {
this.codmodescolhido = codmodescolhido;
}

public String getInformacao() {
return informacao;
}

public void setInformacao(String informacao) {
this.informacao = informacao;
}

}

