package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVpobjtiv {
@Coluna(nome="vpobjtiv.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vpobjtiv.anomes", tipo="FglDateTimeYM")
private FglDateTimeYM anomes;
@Coluna(nome="vpobjtiv.id_agente", tipo="int")
private int idAgente;
private boolean idAgenteNull;
@Coluna(nome="vpobjtiv.familia", tipo="int")
private int familia;
private boolean familiaNull;
@Coluna(nome="vpobjtiv.metaprosp", tipo="int")
private int metaprosp;
private boolean metaprospNull;
@Coluna(nome="vpobjtiv.metavendas", tipo="int")
private int metavendas;
private boolean metavendasNull;

public TabVpobjtiv() {
initialize();
}

public void initialize() {
setFilial(null);
setAnomes(null);
setIdAgente(null);
setFamilia(null);
setMetaprosp(null);
setMetavendas(null);
}

public TabVpobjtiv(int filial, FglDateTimeYM anomes, int idAgente, int familia, int metaprosp, int metavendas) {
this.filial = filial;
this.anomes = anomes;
this.idAgente = idAgente;
this.familia = familia;
this.metaprosp = metaprosp;
this.metavendas = metavendas;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getAnomes() {
return anomes;
}

public void setAnomes(FglDateTimeYM anomes) {
this.anomes = anomes;
}

public int getIdAgente() {
return idAgente;
}

public boolean isIdAgenteNull() {
return idAgenteNull;
}

public void setIdAgente(Integer idAgente) {
if (idAgente == null) {
idAgenteNull = true;
this.idAgente = 0;
} else { 
idAgenteNull = false;
this.idAgente = idAgente;
}
}

public int getFamilia() {
return familia;
}

public boolean isFamiliaNull() {
return familiaNull;
}

public void setFamilia(Integer familia) {
if (familia == null) {
familiaNull = true;
this.familia = 0;
} else { 
familiaNull = false;
this.familia = familia;
}
}

public int getMetaprosp() {
return metaprosp;
}

public boolean isMetaprospNull() {
return metaprospNull;
}

public void setMetaprosp(Integer metaprosp) {
if (metaprosp == null) {
metaprospNull = true;
this.metaprosp = 0;
} else { 
metaprospNull = false;
this.metaprosp = metaprosp;
}
}

public int getMetavendas() {
return metavendas;
}

public boolean isMetavendasNull() {
return metavendasNull;
}

public void setMetavendas(Integer metavendas) {
if (metavendas == null) {
metavendasNull = true;
this.metavendas = 0;
} else { 
metavendasNull = false;
this.metavendas = metavendas;
}
}

}

