package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabVppromot {
@Coluna(nome="vppromot.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="vppromot.motivo", tipo="int")
private int motivo;
private boolean motivoNull;
@Coluna(nome="vppromot.tipo", tipo="String")
private String tipo;
@Coluna(nome="vppromot.dhr_contato", tipo="FglDateTimeYMin")
private FglDateTimeYMin dhrContato;
@Coluna(nome="vppromot.observacao", tipo="String")
private String observacao;
@Coluna(nome="vppromot.id_tsagente", tipo="int")
private int idTsagente;
private boolean idTsagenteNull;

public TabVppromot() {
initialize();
}

public void initialize() {
setIdProspe(null);
setMotivo(null);
setTipo(null);
setDhrContato(null);
setObservacao(null);
setIdTsagente(null);
}

public TabVppromot(int idProspe, int motivo, String tipo, FglDateTimeYMin dhrContato, String observacao, int idTsagente) {
this.idProspe = idProspe;
this.motivo = motivo;
this.tipo = tipo;
this.dhrContato = dhrContato;
this.observacao = observacao;
this.idTsagente = idTsagente;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getMotivo() {
return motivo;
}

public boolean isMotivoNull() {
return motivoNull;
}

public void setMotivo(Integer motivo) {
if (motivo == null) {
motivoNull = true;
this.motivo = 0;
} else { 
motivoNull = false;
this.motivo = motivo;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public FglDateTimeYMin getDhrContato() {
return dhrContato;
}

public void setDhrContato(FglDateTimeYMin dhrContato) {
this.dhrContato = dhrContato;
}

public String getObservacao() {
return observacao;
}

public void setObservacao(String observacao) {
this.observacao = observacao;
}

public int getIdTsagente() {
return idTsagente;
}

public boolean isIdTsagenteNull() {
return idTsagenteNull;
}

public void setIdTsagente(Integer idTsagente) {
if (idTsagente == null) {
idTsagenteNull = true;
this.idTsagente = 0;
} else { 
idTsagenteNull = false;
this.idTsagente = idTsagente;
}
}

}

