package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVptpmidi {
@Coluna(nome="vptpmidi.id_tpmidia", tipo="int")
private int idTpmidia;
private boolean idTpmidiaNull;
@Coluna(nome="vptpmidi.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vptpmidi.tpmidia", tipo="String")
private String tpmidia;
@Coluna(nome="vptpmidi.descricao", tipo="String")
private String descricao;
@Coluna(nome="vptpmidi.ativo", tipo="String")
private String ativo;
@Coluna(nome="vptpmidi.tipouso", tipo="String")
private String tipouso;
@Coluna(nome="vptpmidi.dtinicial", tipo="FglDate")
private FglDate dtinicial;
@Coluna(nome="vptpmidi.dtfinal", tipo="FglDate")
private FglDate dtfinal;

public TabVptpmidi() {
initialize();
}

public void initialize() {
setIdTpmidia(null);
setFilial(null);
setTpmidia(null);
setDescricao(null);
setAtivo(null);
setTipouso(null);
setDtinicial(null);
setDtfinal(null);
}

public TabVptpmidi(int idTpmidia, int filial, String tpmidia, String descricao, String ativo, String tipouso, FglDate dtinicial, FglDate dtfinal) {
this.idTpmidia = idTpmidia;
this.filial = filial;
this.tpmidia = tpmidia;
this.descricao = descricao;
this.ativo = ativo;
this.tipouso = tipouso;
this.dtinicial = dtinicial;
this.dtfinal = dtfinal;
}

public int getIdTpmidia() {
return idTpmidia;
}

public boolean isIdTpmidiaNull() {
return idTpmidiaNull;
}

public void setIdTpmidia(Integer idTpmidia) {
if (idTpmidia == null) {
idTpmidiaNull = true;
this.idTpmidia = 0;
} else { 
idTpmidiaNull = false;
this.idTpmidia = idTpmidia;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpmidia() {
return tpmidia;
}

public void setTpmidia(String tpmidia) {
this.tpmidia = tpmidia;
}

public String getDescricao() {
return descricao;
}

public void setDescricao(String descricao) {
this.descricao = descricao;
}

public String getAtivo() {
return ativo;
}

public void setAtivo(String ativo) {
this.ativo = ativo;
}

public String getTipouso() {
return tipouso;
}

public void setTipouso(String tipouso) {
this.tipouso = tipouso;
}

public FglDate getDtinicial() {
return dtinicial;
}

public void setDtinicial(FglDate dtinicial) {
this.dtinicial = dtinicial;
}

public FglDate getDtfinal() {
return dtfinal;
}

public void setDtfinal(FglDate dtfinal) {
this.dtfinal = dtfinal;
}

}

