package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVtpecgar {
@Coluna(nome="vtpecgar.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="vtpecgar.nroitem", tipo="int")
private int nroitem;
private boolean nroitemNull;
@Coluna(nome="vtpecgar.produto", tipo="String")
private String produto;
@Coluna(nome="vtpecgar.descrprodut", tipo="String")
private String descrprodut;
@Coluna(nome="vtpecgar.qtdepecas", tipo="double")
private double qtdepecas;
private boolean qtdepecasNull;
@Coluna(nome="vtpecgar.custo", tipo="double")
private double custo;
private boolean custoNull;

public TabVtpecgar() {
initialize();
}

public void initialize() {
setIdOscapa(null);
setNroitem(null);
setProduto(null);
setDescrprodut(null);
setQtdepecas(null);
setCusto(null);
}

public TabVtpecgar(int idOscapa, int nroitem, String produto, String descrprodut, double qtdepecas, double custo) {
this.idOscapa = idOscapa;
this.nroitem = nroitem;
this.produto = produto;
this.descrprodut = descrprodut;
this.qtdepecas = qtdepecas;
this.custo = custo;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getNroitem() {
return nroitem;
}

public boolean isNroitemNull() {
return nroitemNull;
}

public void setNroitem(Integer nroitem) {
if (nroitem == null) {
nroitemNull = true;
this.nroitem = 0;
} else { 
nroitemNull = false;
this.nroitem = nroitem;
}
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public String getDescrprodut() {
return descrprodut;
}

public void setDescrprodut(String descrprodut) {
this.descrprodut = descrprodut;
}

public double getQtdepecas() {
return qtdepecas;
}

public boolean isQtdepecasNull() {
return qtdepecasNull;
}

public void setQtdepecas(int qtdepecas) {
setQtdepecas(new Double(qtdepecas));
}

public void setQtdepecas(long qtdepecas) {
setQtdepecas(new Double(qtdepecas));
}

public void setQtdepecas(Double qtdepecas) {
if (qtdepecas == null) {
qtdepecasNull = true;
this.qtdepecas = 0.;
} else { 
qtdepecasNull = false;
this.qtdepecas = FglDouble.round(qtdepecas, 2);
}
}

public double getCusto() {
return custo;
}

public boolean isCustoNull() {
return custoNull;
}

public void setCusto(int custo) {
setCusto(new Double(custo));
}

public void setCusto(long custo) {
setCusto(new Double(custo));
}

public void setCusto(Double custo) {
if (custo == null) {
custoNull = true;
this.custo = 0.;
} else { 
custoNull = false;
this.custo = FglDouble.round(custo, 2);
}
}

}

