package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwNfeVolks {
@Coluna(nome="vw_nfe_volks.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vw_nfe_volks.dtemissao", tipo="FglDate")
private FglDate dtemissao;
@Coluna(nome="vw_nfe_volks.chave", tipo="String")
private String chave;
@Coluna(nome="vw_nfe_volks.xml_nfe", tipo="String")
private String xmlNfe;

public TabVwNfeVolks() {
initialize();
}

public void initialize() {
setFilial(null);
setDtemissao(null);
setChave(null);
setXmlNfe(null);
}

public TabVwNfeVolks(int filial, FglDate dtemissao, String chave, String xmlNfe) {
this.filial = filial;
this.dtemissao = dtemissao;
this.chave = chave;
this.xmlNfe = xmlNfe;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDate getDtemissao() {
return dtemissao;
}

public void setDtemissao(FglDate dtemissao) {
this.dtemissao = dtemissao;
}

public String getChave() {
return chave;
}

public void setChave(String chave) {
this.chave = chave;
}

public String getXmlNfe() {
return xmlNfe;
}

public void setXmlNfe(String xmlNfe) {
this.xmlNfe = xmlNfe;
}

}

