package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabVwacerto {
@Coluna(nome="vwacerto.produto", tipo="String")
private String produto;
@Coluna(nome="vwacerto.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwacerto.nrodocto", tipo="int")
private int nrodocto;
private boolean nrodoctoNull;
@Coluna(nome="vwacerto.dtacerto", tipo="FglDate")
private FglDate dtacerto;
@Coluna(nome="vwacerto.tpacerto", tipo="int")
private int tpacerto;
private boolean tpacertoNull;
@Coluna(nome="vwacerto.qtdeacerto", tipo="double")
private double qtdeacerto;
private boolean qtdeacertoNull;
@Coluna(nome="vwacerto.valoracerto", tipo="double")
private double valoracerto;
private boolean valoracertoNull;
@Coluna(nome="vwacerto.observacerto", tipo="String")
private String observacerto;

public TabVwacerto() {
initialize();
}

public void initialize() {
setProduto(null);
setFilial(null);
setNrodocto(null);
setDtacerto(null);
setTpacerto(null);
setQtdeacerto(null);
setValoracerto(null);
setObservacerto(null);
}

public TabVwacerto(String produto, int filial, int nrodocto, FglDate dtacerto, int tpacerto, double qtdeacerto, double valoracerto, String observacerto) {
this.produto = produto;
this.filial = filial;
this.nrodocto = nrodocto;
this.dtacerto = dtacerto;
this.tpacerto = tpacerto;
this.qtdeacerto = qtdeacerto;
this.valoracerto = valoracerto;
this.observacerto = observacerto;
}

public String getProduto() {
return produto;
}

public void setProduto(String produto) {
this.produto = produto;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getNrodocto() {
return nrodocto;
}

public boolean isNrodoctoNull() {
return nrodoctoNull;
}

public void setNrodocto(Integer nrodocto) {
if (nrodocto == null) {
nrodoctoNull = true;
this.nrodocto = 0;
} else { 
nrodoctoNull = false;
this.nrodocto = nrodocto;
}
}

public FglDate getDtacerto() {
return dtacerto;
}

public void setDtacerto(FglDate dtacerto) {
this.dtacerto = dtacerto;
}

public int getTpacerto() {
return tpacerto;
}

public boolean isTpacertoNull() {
return tpacertoNull;
}

public void setTpacerto(Integer tpacerto) {
if (tpacerto == null) {
tpacertoNull = true;
this.tpacerto = 0;
} else { 
tpacertoNull = false;
this.tpacerto = tpacerto;
}
}

public double getQtdeacerto() {
return qtdeacerto;
}

public boolean isQtdeacertoNull() {
return qtdeacertoNull;
}

public void setQtdeacerto(int qtdeacerto) {
setQtdeacerto(new Double(qtdeacerto));
}

public void setQtdeacerto(long qtdeacerto) {
setQtdeacerto(new Double(qtdeacerto));
}

public void setQtdeacerto(Double qtdeacerto) {
if (qtdeacerto == null) {
qtdeacertoNull = true;
this.qtdeacerto = 0.;
} else { 
qtdeacertoNull = false;
this.qtdeacerto = FglDouble.round(qtdeacerto, 2);
}
}

public double getValoracerto() {
return valoracerto;
}

public boolean isValoracertoNull() {
return valoracertoNull;
}

public void setValoracerto(int valoracerto) {
setValoracerto(new Double(valoracerto));
}

public void setValoracerto(long valoracerto) {
setValoracerto(new Double(valoracerto));
}

public void setValoracerto(Double valoracerto) {
if (valoracerto == null) {
valoracertoNull = true;
this.valoracerto = 0.;
} else { 
valoracertoNull = false;
this.valoracerto = FglDouble.round(valoracerto, 2);
}
}

public String getObservacerto() {
return observacerto;
}

public void setObservacerto(String observacerto) {
this.observacerto = observacerto;
}

}

