package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwapgera {
@Coluna(nome="vwapgera.dtinicio", tipo="FglDate")
private FglDate dtinicio;
@Coluna(nome="vwapgera.dtfim", tipo="FglDate")
private FglDate dtfim;
@Coluna(nome="vwapgera.qtde", tipo="int")
private int qtde;
private boolean qtdeNull;
@Coluna(nome="vwapgera.tipo", tipo="String")
private String tipo;
@Coluna(nome="vwapgera.dados", tipo="String")
private String dados;
@Coluna(nome="vwapgera.anormal", tipo="int")
private int anormal;
private boolean anormalNull;
@Coluna(nome="vwapgera.filial", tipo="int")
private int filial;
private boolean filialNull;

public TabVwapgera() {
initialize();
}

public void initialize() {
setDtinicio(null);
setDtfim(null);
setQtde(null);
setTipo(null);
setDados(null);
setAnormal(null);
setFilial(null);
}

public TabVwapgera(FglDate dtinicio, FglDate dtfim, int qtde, String tipo, String dados, int anormal, int filial) {
this.dtinicio = dtinicio;
this.dtfim = dtfim;
this.qtde = qtde;
this.tipo = tipo;
this.dados = dados;
this.anormal = anormal;
this.filial = filial;
}

public FglDate getDtinicio() {
return dtinicio;
}

public void setDtinicio(FglDate dtinicio) {
this.dtinicio = dtinicio;
}

public FglDate getDtfim() {
return dtfim;
}

public void setDtfim(FglDate dtfim) {
this.dtfim = dtfim;
}

public int getQtde() {
return qtde;
}

public boolean isQtdeNull() {
return qtdeNull;
}

public void setQtde(Integer qtde) {
if (qtde == null) {
qtdeNull = true;
this.qtde = 0;
} else { 
qtdeNull = false;
this.qtde = qtde;
}
}

public String getTipo() {
return tipo;
}

public void setTipo(String tipo) {
this.tipo = tipo;
}

public String getDados() {
return dados;
}

public void setDados(String dados) {
this.dados = dados;
}

public int getAnormal() {
return anormal;
}

public boolean isAnormalNull() {
return anormalNull;
}

public void setAnormal(Integer anormal) {
if (anormal == null) {
anormalNull = true;
this.anormal = 0;
} else { 
anormalNull = false;
this.anormal = anormal;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

}

