package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHS;

public class TabVwescapa {
@Coluna(nome="vwescapa.id_vwescapa", tipo="int")
private int idVwescapa;
private boolean idVwescapaNull;
@Coluna(nome="vwescapa.dealer_number", tipo="String")
private String dealerNumber;
@Coluna(nome="vwescapa.dtenvio", tipo="FglDate")
private FglDate dtenvio;
@Coluna(nome="vwescapa.hrenvio", tipo="FglDateTimeHS")
private FglDateTimeHS hrenvio;
@Coluna(nome="vwescapa.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vwescapa.status", tipo="String")
private String status;
@Coluna(nome="vwescapa.mensagem", tipo="String")
private String mensagem;
@Coluna(nome="vwescapa.usuario", tipo="String")
private String usuario;

public TabVwescapa() {
initialize();
}

public void initialize() {
setIdVwescapa(null);
setDealerNumber(null);
setDtenvio(null);
setHrenvio(null);
setSequencia(null);
setStatus(null);
setMensagem(null);
setUsuario(null);
}

public TabVwescapa(int idVwescapa, String dealerNumber, FglDate dtenvio, FglDateTimeHS hrenvio, int sequencia, String status, String mensagem, String usuario) {
this.idVwescapa = idVwescapa;
this.dealerNumber = dealerNumber;
this.dtenvio = dtenvio;
this.hrenvio = hrenvio;
this.sequencia = sequencia;
this.status = status;
this.mensagem = mensagem;
this.usuario = usuario;
}

public int getIdVwescapa() {
return idVwescapa;
}

public boolean isIdVwescapaNull() {
return idVwescapaNull;
}

public void setIdVwescapa(Integer idVwescapa) {
if (idVwescapa == null) {
idVwescapaNull = true;
this.idVwescapa = 0;
} else { 
idVwescapaNull = false;
this.idVwescapa = idVwescapa;
}
}

public String getDealerNumber() {
return dealerNumber;
}

public void setDealerNumber(String dealerNumber) {
this.dealerNumber = dealerNumber;
}

public FglDate getDtenvio() {
return dtenvio;
}

public void setDtenvio(FglDate dtenvio) {
this.dtenvio = dtenvio;
}

public FglDateTimeHS getHrenvio() {
return hrenvio;
}

public void setHrenvio(FglDateTimeHS hrenvio) {
this.hrenvio = hrenvio;
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getStatus() {
return status;
}

public void setStatus(String status) {
this.status = status;
}

public String getMensagem() {
return mensagem;
}

public void setMensagem(String mensagem) {
this.mensagem = mensagem;
}

public String getUsuario() {
return usuario;
}

public void setUsuario(String usuario) {
this.usuario = usuario;
}

}

