package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwfiscs4 {
@Coluna(nome="vwfiscs4.documento", tipo="int")
private int documento;
private boolean documentoNull;
@Coluna(nome="vwfiscs4.regiao", tipo="int")
private int regiao;
private boolean regiaoNull;
@Coluna(nome="vwfiscs4.nroconc", tipo="int")
private int nroconc;
private boolean nroconcNull;
@Coluna(nome="vwfiscs4.tpmodelo", tipo="String")
private String tpmodelo;
@Coluna(nome="vwfiscs4.dtvenda", tipo="FglDate")
private FglDate dtvenda;
@Coluna(nome="vwfiscs4.chassis", tipo="String")
private String chassis;
@Coluna(nome="vwfiscs4.quilom", tipo="int")
private int quilom;
private boolean quilomNull;
@Coluna(nome="vwfiscs4.nragregado", tipo="String")
private String nragregado;
@Coluna(nome="vwfiscs4.fornecedor", tipo="String")
private String fornecedor;
@Coluna(nome="vwfiscs4.dtreparo", tipo="FglDate")
private FglDate dtreparo;
@Coluna(nome="vwfiscs4.nroat", tipo="String")
private String nroat;
@Coluna(nome="vwfiscs4.defeito", tipo="String")
private String defeito;
@Coluna(nome="vwfiscs4.pcenviada", tipo="String")
private String pcenviada;
@Coluna(nome="vwfiscs4.instrepar", tipo="String")
private String instrepar;
@Coluna(nome="vwfiscs4.texto01", tipo="String")
private String texto01;
@Coluna(nome="vwfiscs4.texto02", tipo="String")
private String texto02;
@Coluna(nome="vwfiscs4.dtdigitacao", tipo="FglDate")
private FglDate dtdigitacao;

public TabVwfiscs4() {
initialize();
}

public void initialize() {
setDocumento(null);
setRegiao(null);
setNroconc(null);
setTpmodelo(null);
setDtvenda(null);
setChassis(null);
setQuilom(null);
setNragregado(null);
setFornecedor(null);
setDtreparo(null);
setNroat(null);
setDefeito(null);
setPcenviada(null);
setInstrepar(null);
setTexto01(null);
setTexto02(null);
setDtdigitacao(null);
}

public TabVwfiscs4(int documento, int regiao, int nroconc, String tpmodelo, FglDate dtvenda, String chassis, int quilom, String nragregado, String fornecedor, FglDate dtreparo, String nroat, String defeito, String pcenviada, String instrepar, String texto01, String texto02, FglDate dtdigitacao) {
this.documento = documento;
this.regiao = regiao;
this.nroconc = nroconc;
this.tpmodelo = tpmodelo;
this.dtvenda = dtvenda;
this.chassis = chassis;
this.quilom = quilom;
this.nragregado = nragregado;
this.fornecedor = fornecedor;
this.dtreparo = dtreparo;
this.nroat = nroat;
this.defeito = defeito;
this.pcenviada = pcenviada;
this.instrepar = instrepar;
this.texto01 = texto01;
this.texto02 = texto02;
this.dtdigitacao = dtdigitacao;
}

public int getDocumento() {
return documento;
}

public boolean isDocumentoNull() {
return documentoNull;
}

public void setDocumento(Integer documento) {
if (documento == null) {
documentoNull = true;
this.documento = 0;
} else { 
documentoNull = false;
this.documento = documento;
}
}

public int getRegiao() {
return regiao;
}

public boolean isRegiaoNull() {
return regiaoNull;
}

public void setRegiao(Integer regiao) {
if (regiao == null) {
regiaoNull = true;
this.regiao = 0;
} else { 
regiaoNull = false;
this.regiao = regiao;
}
}

public int getNroconc() {
return nroconc;
}

public boolean isNroconcNull() {
return nroconcNull;
}

public void setNroconc(Integer nroconc) {
if (nroconc == null) {
nroconcNull = true;
this.nroconc = 0;
} else { 
nroconcNull = false;
this.nroconc = nroconc;
}
}

public String getTpmodelo() {
return tpmodelo;
}

public void setTpmodelo(String tpmodelo) {
this.tpmodelo = tpmodelo;
}

public FglDate getDtvenda() {
return dtvenda;
}

public void setDtvenda(FglDate dtvenda) {
this.dtvenda = dtvenda;
}

public String getChassis() {
return chassis;
}

public void setChassis(String chassis) {
this.chassis = chassis;
}

public int getQuilom() {
return quilom;
}

public boolean isQuilomNull() {
return quilomNull;
}

public void setQuilom(Integer quilom) {
if (quilom == null) {
quilomNull = true;
this.quilom = 0;
} else { 
quilomNull = false;
this.quilom = quilom;
}
}

public String getNragregado() {
return nragregado;
}

public void setNragregado(String nragregado) {
this.nragregado = nragregado;
}

public String getFornecedor() {
return fornecedor;
}

public void setFornecedor(String fornecedor) {
this.fornecedor = fornecedor;
}

public FglDate getDtreparo() {
return dtreparo;
}

public void setDtreparo(FglDate dtreparo) {
this.dtreparo = dtreparo;
}

public String getNroat() {
return nroat;
}

public void setNroat(String nroat) {
this.nroat = nroat;
}

public String getDefeito() {
return defeito;
}

public void setDefeito(String defeito) {
this.defeito = defeito;
}

public String getPcenviada() {
return pcenviada;
}

public void setPcenviada(String pcenviada) {
this.pcenviada = pcenviada;
}

public String getInstrepar() {
return instrepar;
}

public void setInstrepar(String instrepar) {
this.instrepar = instrepar;
}

public String getTexto01() {
return texto01;
}

public void setTexto01(String texto01) {
this.texto01 = texto01;
}

public String getTexto02() {
return texto02;
}

public void setTexto02(String texto02) {
this.texto02 = texto02;
}

public FglDate getDtdigitacao() {
return dtdigitacao;
}

public void setDtdigitacao(FglDate dtdigitacao) {
this.dtdigitacao = dtdigitacao;
}

}

