package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;

public class TabVwnato {
@Coluna(nome="vwnato.data", tipo="FglDate")
private FglDate data;
@Coluna(nome="vwnato.id_oscapa", tipo="int")
private int idOscapa;
private boolean idOscapaNull;
@Coluna(nome="vwnato.id_nfcapa", tipo="int")
private int idNfcapa;
private boolean idNfcapaNull;
@Coluna(nome="vwnato.tpservico", tipo="String")
private String tpservico;
@Coluna(nome="vwnato.revisao", tipo="String")
private String revisao;
@Coluna(nome="vwnato.funilaria", tipo="String")
private String funilaria;
@Coluna(nome="vwnato.mecanica", tipo="String")
private String mecanica;
@Coluna(nome="vwnato.pintura", tipo="String")
private String pintura;
@Coluna(nome="vwnato.resp", tipo="String")
private String resp;

public TabVwnato() {
initialize();
}

public void initialize() {
setData(null);
setIdOscapa(null);
setIdNfcapa(null);
setTpservico(null);
setRevisao(null);
setFunilaria(null);
setMecanica(null);
setPintura(null);
setResp(null);
}

public TabVwnato(FglDate data, int idOscapa, int idNfcapa, String tpservico, String revisao, String funilaria, String mecanica, String pintura, String resp) {
this.data = data;
this.idOscapa = idOscapa;
this.idNfcapa = idNfcapa;
this.tpservico = tpservico;
this.revisao = revisao;
this.funilaria = funilaria;
this.mecanica = mecanica;
this.pintura = pintura;
this.resp = resp;
}

public FglDate getData() {
return data;
}

public void setData(FglDate data) {
this.data = data;
}

public int getIdOscapa() {
return idOscapa;
}

public boolean isIdOscapaNull() {
return idOscapaNull;
}

public void setIdOscapa(Integer idOscapa) {
if (idOscapa == null) {
idOscapaNull = true;
this.idOscapa = 0;
} else { 
idOscapaNull = false;
this.idOscapa = idOscapa;
}
}

public int getIdNfcapa() {
return idNfcapa;
}

public boolean isIdNfcapaNull() {
return idNfcapaNull;
}

public void setIdNfcapa(Integer idNfcapa) {
if (idNfcapa == null) {
idNfcapaNull = true;
this.idNfcapa = 0;
} else { 
idNfcapaNull = false;
this.idNfcapa = idNfcapa;
}
}

public String getTpservico() {
return tpservico;
}

public void setTpservico(String tpservico) {
this.tpservico = tpservico;
}

public String getRevisao() {
return revisao;
}

public void setRevisao(String revisao) {
this.revisao = revisao;
}

public String getFunilaria() {
return funilaria;
}

public void setFunilaria(String funilaria) {
this.funilaria = funilaria;
}

public String getMecanica() {
return mecanica;
}

public void setMecanica(String mecanica) {
this.mecanica = mecanica;
}

public String getPintura() {
return pintura;
}

public void setPintura(String pintura) {
this.pintura = pintura;
}

public String getResp() {
return resp;
}

public void setResp(String resp) {
this.resp = resp;
}

}

