package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVwppa000 {
@Coluna(nome="vwppa000.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwppa000.mes_anoref", tipo="FglDateTimeYM")
private FglDateTimeYM mesAnoref;
@Coluna(nome="vwppa000.nro_dealer", tipo="int")
private int nroDealer;
private boolean nroDealerNull;
@Coluna(nome="vwppa000.ident_software", tipo="int")
private int identSoftware;
private boolean identSoftwareNull;
@Coluna(nome="vwppa000.governo_vl", tipo="int")
private int governoVl;
private boolean governoVlNull;
@Coluna(nome="vwppa000.governo_cv", tipo="int")
private int governoCv;
private boolean governoCvNull;
@Coluna(nome="vwppa000.frotista_vl", tipo="int")
private int frotistaVl;
private boolean frotistaVlNull;
@Coluna(nome="vwppa000.frotista_cv", tipo="int")
private int frotistaCv;
private boolean frotistaCvNull;
@Coluna(nome="vwppa000.seguradora_vl", tipo="int")
private int seguradoraVl;
private boolean seguradoraVlNull;
@Coluna(nome="vwppa000.seguradora_cv", tipo="int")
private int seguradoraCv;
private boolean seguradoraCvNull;
@Coluna(nome="vwppa000.lojapc_vl", tipo="int")
private int lojapcVl;
private boolean lojapcVlNull;
@Coluna(nome="vwppa000.lojapc_cv", tipo="int")
private int lojapcCv;
private boolean lojapcCvNull;
@Coluna(nome="vwppa000.oficina_vl", tipo="int")
private int oficinaVl;
private boolean oficinaVlNull;
@Coluna(nome="vwppa000.oficina_cv", tipo="int")
private int oficinaCv;
private boolean oficinaCvNull;
@Coluna(nome="vwppa000.rede_vl", tipo="int")
private int redeVl;
private boolean redeVlNull;
@Coluna(nome="vwppa000.rede_cv", tipo="int")
private int redeCv;
private boolean redeCvNull;
@Coluna(nome="vwppa000.cli_balcao_vl", tipo="int")
private int cliBalcaoVl;
private boolean cliBalcaoVlNull;
@Coluna(nome="vwppa000.cli_balcao_cv", tipo="int")
private int cliBalcaoCv;
private boolean cliBalcaoCvNull;
@Coluna(nome="vwppa000.consumo_vl", tipo="int")
private int consumoVl;
private boolean consumoVlNull;
@Coluna(nome="vwppa000.consumo_cv", tipo="int")
private int consumoCv;
private boolean consumoCvNull;
@Coluna(nome="vwppa000.autonomos_vl", tipo="int")
private int autonomosVl;
private boolean autonomosVlNull;
@Coluna(nome="vwppa000.autonomos_cv", tipo="int")
private int autonomosCv;
private boolean autonomosCvNull;

public TabVwppa000() {
initialize();
}

public void initialize() {
setFilial(null);
setMesAnoref(null);
setNroDealer(null);
setIdentSoftware(null);
setGovernoVl(null);
setGovernoCv(null);
setFrotistaVl(null);
setFrotistaCv(null);
setSeguradoraVl(null);
setSeguradoraCv(null);
setLojapcVl(null);
setLojapcCv(null);
setOficinaVl(null);
setOficinaCv(null);
setRedeVl(null);
setRedeCv(null);
setCliBalcaoVl(null);
setCliBalcaoCv(null);
setConsumoVl(null);
setConsumoCv(null);
setAutonomosVl(null);
setAutonomosCv(null);
}

public TabVwppa000(int filial, FglDateTimeYM mesAnoref, int nroDealer, int identSoftware, int governoVl, int governoCv, int frotistaVl, int frotistaCv, int seguradoraVl, int seguradoraCv, int lojapcVl, int lojapcCv, int oficinaVl, int oficinaCv, int redeVl, int redeCv, int cliBalcaoVl, int cliBalcaoCv, int consumoVl, int consumoCv, int autonomosVl, int autonomosCv) {
this.filial = filial;
this.mesAnoref = mesAnoref;
this.nroDealer = nroDealer;
this.identSoftware = identSoftware;
this.governoVl = governoVl;
this.governoCv = governoCv;
this.frotistaVl = frotistaVl;
this.frotistaCv = frotistaCv;
this.seguradoraVl = seguradoraVl;
this.seguradoraCv = seguradoraCv;
this.lojapcVl = lojapcVl;
this.lojapcCv = lojapcCv;
this.oficinaVl = oficinaVl;
this.oficinaCv = oficinaCv;
this.redeVl = redeVl;
this.redeCv = redeCv;
this.cliBalcaoVl = cliBalcaoVl;
this.cliBalcaoCv = cliBalcaoCv;
this.consumoVl = consumoVl;
this.consumoCv = consumoCv;
this.autonomosVl = autonomosVl;
this.autonomosCv = autonomosCv;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getMesAnoref() {
return mesAnoref;
}

public void setMesAnoref(FglDateTimeYM mesAnoref) {
this.mesAnoref = mesAnoref;
}

public int getNroDealer() {
return nroDealer;
}

public boolean isNroDealerNull() {
return nroDealerNull;
}

public void setNroDealer(Integer nroDealer) {
if (nroDealer == null) {
nroDealerNull = true;
this.nroDealer = 0;
} else { 
nroDealerNull = false;
this.nroDealer = nroDealer;
}
}

public int getIdentSoftware() {
return identSoftware;
}

public boolean isIdentSoftwareNull() {
return identSoftwareNull;
}

public void setIdentSoftware(Integer identSoftware) {
if (identSoftware == null) {
identSoftwareNull = true;
this.identSoftware = 0;
} else { 
identSoftwareNull = false;
this.identSoftware = identSoftware;
}
}

public int getGovernoVl() {
return governoVl;
}

public boolean isGovernoVlNull() {
return governoVlNull;
}

public void setGovernoVl(Integer governoVl) {
if (governoVl == null) {
governoVlNull = true;
this.governoVl = 0;
} else { 
governoVlNull = false;
this.governoVl = governoVl;
}
}

public int getGovernoCv() {
return governoCv;
}

public boolean isGovernoCvNull() {
return governoCvNull;
}

public void setGovernoCv(Integer governoCv) {
if (governoCv == null) {
governoCvNull = true;
this.governoCv = 0;
} else { 
governoCvNull = false;
this.governoCv = governoCv;
}
}

public int getFrotistaVl() {
return frotistaVl;
}

public boolean isFrotistaVlNull() {
return frotistaVlNull;
}

public void setFrotistaVl(Integer frotistaVl) {
if (frotistaVl == null) {
frotistaVlNull = true;
this.frotistaVl = 0;
} else { 
frotistaVlNull = false;
this.frotistaVl = frotistaVl;
}
}

public int getFrotistaCv() {
return frotistaCv;
}

public boolean isFrotistaCvNull() {
return frotistaCvNull;
}

public void setFrotistaCv(Integer frotistaCv) {
if (frotistaCv == null) {
frotistaCvNull = true;
this.frotistaCv = 0;
} else { 
frotistaCvNull = false;
this.frotistaCv = frotistaCv;
}
}

public int getSeguradoraVl() {
return seguradoraVl;
}

public boolean isSeguradoraVlNull() {
return seguradoraVlNull;
}

public void setSeguradoraVl(Integer seguradoraVl) {
if (seguradoraVl == null) {
seguradoraVlNull = true;
this.seguradoraVl = 0;
} else { 
seguradoraVlNull = false;
this.seguradoraVl = seguradoraVl;
}
}

public int getSeguradoraCv() {
return seguradoraCv;
}

public boolean isSeguradoraCvNull() {
return seguradoraCvNull;
}

public void setSeguradoraCv(Integer seguradoraCv) {
if (seguradoraCv == null) {
seguradoraCvNull = true;
this.seguradoraCv = 0;
} else { 
seguradoraCvNull = false;
this.seguradoraCv = seguradoraCv;
}
}

public int getLojapcVl() {
return lojapcVl;
}

public boolean isLojapcVlNull() {
return lojapcVlNull;
}

public void setLojapcVl(Integer lojapcVl) {
if (lojapcVl == null) {
lojapcVlNull = true;
this.lojapcVl = 0;
} else { 
lojapcVlNull = false;
this.lojapcVl = lojapcVl;
}
}

public int getLojapcCv() {
return lojapcCv;
}

public boolean isLojapcCvNull() {
return lojapcCvNull;
}

public void setLojapcCv(Integer lojapcCv) {
if (lojapcCv == null) {
lojapcCvNull = true;
this.lojapcCv = 0;
} else { 
lojapcCvNull = false;
this.lojapcCv = lojapcCv;
}
}

public int getOficinaVl() {
return oficinaVl;
}

public boolean isOficinaVlNull() {
return oficinaVlNull;
}

public void setOficinaVl(Integer oficinaVl) {
if (oficinaVl == null) {
oficinaVlNull = true;
this.oficinaVl = 0;
} else { 
oficinaVlNull = false;
this.oficinaVl = oficinaVl;
}
}

public int getOficinaCv() {
return oficinaCv;
}

public boolean isOficinaCvNull() {
return oficinaCvNull;
}

public void setOficinaCv(Integer oficinaCv) {
if (oficinaCv == null) {
oficinaCvNull = true;
this.oficinaCv = 0;
} else { 
oficinaCvNull = false;
this.oficinaCv = oficinaCv;
}
}

public int getRedeVl() {
return redeVl;
}

public boolean isRedeVlNull() {
return redeVlNull;
}

public void setRedeVl(Integer redeVl) {
if (redeVl == null) {
redeVlNull = true;
this.redeVl = 0;
} else { 
redeVlNull = false;
this.redeVl = redeVl;
}
}

public int getRedeCv() {
return redeCv;
}

public boolean isRedeCvNull() {
return redeCvNull;
}

public void setRedeCv(Integer redeCv) {
if (redeCv == null) {
redeCvNull = true;
this.redeCv = 0;
} else { 
redeCvNull = false;
this.redeCv = redeCv;
}
}

public int getCliBalcaoVl() {
return cliBalcaoVl;
}

public boolean isCliBalcaoVlNull() {
return cliBalcaoVlNull;
}

public void setCliBalcaoVl(Integer cliBalcaoVl) {
if (cliBalcaoVl == null) {
cliBalcaoVlNull = true;
this.cliBalcaoVl = 0;
} else { 
cliBalcaoVlNull = false;
this.cliBalcaoVl = cliBalcaoVl;
}
}

public int getCliBalcaoCv() {
return cliBalcaoCv;
}

public boolean isCliBalcaoCvNull() {
return cliBalcaoCvNull;
}

public void setCliBalcaoCv(Integer cliBalcaoCv) {
if (cliBalcaoCv == null) {
cliBalcaoCvNull = true;
this.cliBalcaoCv = 0;
} else { 
cliBalcaoCvNull = false;
this.cliBalcaoCv = cliBalcaoCv;
}
}

public int getConsumoVl() {
return consumoVl;
}

public boolean isConsumoVlNull() {
return consumoVlNull;
}

public void setConsumoVl(Integer consumoVl) {
if (consumoVl == null) {
consumoVlNull = true;
this.consumoVl = 0;
} else { 
consumoVlNull = false;
this.consumoVl = consumoVl;
}
}

public int getConsumoCv() {
return consumoCv;
}

public boolean isConsumoCvNull() {
return consumoCvNull;
}

public void setConsumoCv(Integer consumoCv) {
if (consumoCv == null) {
consumoCvNull = true;
this.consumoCv = 0;
} else { 
consumoCvNull = false;
this.consumoCv = consumoCv;
}
}

public int getAutonomosVl() {
return autonomosVl;
}

public boolean isAutonomosVlNull() {
return autonomosVlNull;
}

public void setAutonomosVl(Integer autonomosVl) {
if (autonomosVl == null) {
autonomosVlNull = true;
this.autonomosVl = 0;
} else { 
autonomosVlNull = false;
this.autonomosVl = autonomosVl;
}
}

public int getAutonomosCv() {
return autonomosCv;
}

public boolean isAutonomosCvNull() {
return autonomosCvNull;
}

public void setAutonomosCv(Integer autonomosCv) {
if (autonomosCv == null) {
autonomosCvNull = true;
this.autonomosCv = 0;
} else { 
autonomosCvNull = false;
this.autonomosCv = autonomosCv;
}
}

}

