package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYM;

public class TabVwppa002 {
@Coluna(nome="vwppa002.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwppa002.mes_anoref", tipo="FglDateTimeYM")
private FglDateTimeYM mesAnoref;
@Coluna(nome="vwppa002.tot_geral_vl", tipo="int")
private int totGeralVl;
private boolean totGeralVlNull;
@Coluna(nome="vwppa002.tot_geral_cv", tipo="int")
private int totGeralCv;
private boolean totGeralCvNull;
@Coluna(nome="vwppa002.vend_pend_vl", tipo="int")
private int vendPendVl;
private boolean vendPendVlNull;
@Coluna(nome="vwppa002.vend_pend_cv", tipo="int")
private int vendPendCv;
private boolean vendPendCvNull;
@Coluna(nome="vwppa002.vw", tipo="int")
private int vw;
private boolean vwNull;
@Coluna(nome="vwppa002.dsh", tipo="int")
private int dsh;
private boolean dshNull;
@Coluna(nome="vwppa002.rede", tipo="int")
private int rede;
private boolean redeNull;
@Coluna(nome="vwppa002.loja_pc", tipo="int")
private int lojaPc;
private boolean lojaPcNull;
@Coluna(nome="vwppa002.fabricante", tipo="int")
private int fabricante;
private boolean fabricanteNull;
@Coluna(nome="vwppa002.total_rede_terc", tipo="int")
private int totalRedeTerc;
private boolean totalRedeTercNull;
@Coluna(nome="vwppa002.compra", tipo="int")
private int compra;
private boolean compraNull;
@Coluna(nome="vwppa002.compra_espec", tipo="int")
private int compraEspec;
private boolean compraEspecNull;
@Coluna(nome="vwppa002.gerente", tipo="int")
private int gerente;
private boolean gerenteNull;
@Coluna(nome="vwppa002.administrativo", tipo="int")
private int administrativo;
private boolean administrativoNull;
@Coluna(nome="vwppa002.balc_varejo", tipo="int")
private int balcVarejo;
private boolean balcVarejoNull;
@Coluna(nome="vwppa002.balc_oficina", tipo="int")
private int balcOficina;
private boolean balcOficinaNull;
@Coluna(nome="vwppa002.vended_atacado", tipo="int")
private int vendedAtacado;
private boolean vendedAtacadoNull;
@Coluna(nome="vwppa002.vended_acessorio", tipo="int")
private int vendedAcessorio;
private boolean vendedAcessorioNull;
@Coluna(nome="vwppa002.tot_geral", tipo="int")
private int totGeral;
private boolean totGeralNull;

public TabVwppa002() {
initialize();
}

public void initialize() {
setFilial(null);
setMesAnoref(null);
setTotGeralVl(null);
setTotGeralCv(null);
setVendPendVl(null);
setVendPendCv(null);
setVw(null);
setDsh(null);
setRede(null);
setLojaPc(null);
setFabricante(null);
setTotalRedeTerc(null);
setCompra(null);
setCompraEspec(null);
setGerente(null);
setAdministrativo(null);
setBalcVarejo(null);
setBalcOficina(null);
setVendedAtacado(null);
setVendedAcessorio(null);
setTotGeral(null);
}

public TabVwppa002(int filial, FglDateTimeYM mesAnoref, int totGeralVl, int totGeralCv, int vendPendVl, int vendPendCv, int vw, int dsh, int rede, int lojaPc, int fabricante, int totalRedeTerc, int compra, int compraEspec, int gerente, int administrativo, int balcVarejo, int balcOficina, int vendedAtacado, int vendedAcessorio, int totGeral) {
this.filial = filial;
this.mesAnoref = mesAnoref;
this.totGeralVl = totGeralVl;
this.totGeralCv = totGeralCv;
this.vendPendVl = vendPendVl;
this.vendPendCv = vendPendCv;
this.vw = vw;
this.dsh = dsh;
this.rede = rede;
this.lojaPc = lojaPc;
this.fabricante = fabricante;
this.totalRedeTerc = totalRedeTerc;
this.compra = compra;
this.compraEspec = compraEspec;
this.gerente = gerente;
this.administrativo = administrativo;
this.balcVarejo = balcVarejo;
this.balcOficina = balcOficina;
this.vendedAtacado = vendedAtacado;
this.vendedAcessorio = vendedAcessorio;
this.totGeral = totGeral;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public FglDateTimeYM getMesAnoref() {
return mesAnoref;
}

public void setMesAnoref(FglDateTimeYM mesAnoref) {
this.mesAnoref = mesAnoref;
}

public int getTotGeralVl() {
return totGeralVl;
}

public boolean isTotGeralVlNull() {
return totGeralVlNull;
}

public void setTotGeralVl(Integer totGeralVl) {
if (totGeralVl == null) {
totGeralVlNull = true;
this.totGeralVl = 0;
} else { 
totGeralVlNull = false;
this.totGeralVl = totGeralVl;
}
}

public int getTotGeralCv() {
return totGeralCv;
}

public boolean isTotGeralCvNull() {
return totGeralCvNull;
}

public void setTotGeralCv(Integer totGeralCv) {
if (totGeralCv == null) {
totGeralCvNull = true;
this.totGeralCv = 0;
} else { 
totGeralCvNull = false;
this.totGeralCv = totGeralCv;
}
}

public int getVendPendVl() {
return vendPendVl;
}

public boolean isVendPendVlNull() {
return vendPendVlNull;
}

public void setVendPendVl(Integer vendPendVl) {
if (vendPendVl == null) {
vendPendVlNull = true;
this.vendPendVl = 0;
} else { 
vendPendVlNull = false;
this.vendPendVl = vendPendVl;
}
}

public int getVendPendCv() {
return vendPendCv;
}

public boolean isVendPendCvNull() {
return vendPendCvNull;
}

public void setVendPendCv(Integer vendPendCv) {
if (vendPendCv == null) {
vendPendCvNull = true;
this.vendPendCv = 0;
} else { 
vendPendCvNull = false;
this.vendPendCv = vendPendCv;
}
}

public int getVw() {
return vw;
}

public boolean isVwNull() {
return vwNull;
}

public void setVw(Integer vw) {
if (vw == null) {
vwNull = true;
this.vw = 0;
} else { 
vwNull = false;
this.vw = vw;
}
}

public int getDsh() {
return dsh;
}

public boolean isDshNull() {
return dshNull;
}

public void setDsh(Integer dsh) {
if (dsh == null) {
dshNull = true;
this.dsh = 0;
} else { 
dshNull = false;
this.dsh = dsh;
}
}

public int getRede() {
return rede;
}

public boolean isRedeNull() {
return redeNull;
}

public void setRede(Integer rede) {
if (rede == null) {
redeNull = true;
this.rede = 0;
} else { 
redeNull = false;
this.rede = rede;
}
}

public int getLojaPc() {
return lojaPc;
}

public boolean isLojaPcNull() {
return lojaPcNull;
}

public void setLojaPc(Integer lojaPc) {
if (lojaPc == null) {
lojaPcNull = true;
this.lojaPc = 0;
} else { 
lojaPcNull = false;
this.lojaPc = lojaPc;
}
}

public int getFabricante() {
return fabricante;
}

public boolean isFabricanteNull() {
return fabricanteNull;
}

public void setFabricante(Integer fabricante) {
if (fabricante == null) {
fabricanteNull = true;
this.fabricante = 0;
} else { 
fabricanteNull = false;
this.fabricante = fabricante;
}
}

public int getTotalRedeTerc() {
return totalRedeTerc;
}

public boolean isTotalRedeTercNull() {
return totalRedeTercNull;
}

public void setTotalRedeTerc(Integer totalRedeTerc) {
if (totalRedeTerc == null) {
totalRedeTercNull = true;
this.totalRedeTerc = 0;
} else { 
totalRedeTercNull = false;
this.totalRedeTerc = totalRedeTerc;
}
}

public int getCompra() {
return compra;
}

public boolean isCompraNull() {
return compraNull;
}

public void setCompra(Integer compra) {
if (compra == null) {
compraNull = true;
this.compra = 0;
} else { 
compraNull = false;
this.compra = compra;
}
}

public int getCompraEspec() {
return compraEspec;
}

public boolean isCompraEspecNull() {
return compraEspecNull;
}

public void setCompraEspec(Integer compraEspec) {
if (compraEspec == null) {
compraEspecNull = true;
this.compraEspec = 0;
} else { 
compraEspecNull = false;
this.compraEspec = compraEspec;
}
}

public int getGerente() {
return gerente;
}

public boolean isGerenteNull() {
return gerenteNull;
}

public void setGerente(Integer gerente) {
if (gerente == null) {
gerenteNull = true;
this.gerente = 0;
} else { 
gerenteNull = false;
this.gerente = gerente;
}
}

public int getAdministrativo() {
return administrativo;
}

public boolean isAdministrativoNull() {
return administrativoNull;
}

public void setAdministrativo(Integer administrativo) {
if (administrativo == null) {
administrativoNull = true;
this.administrativo = 0;
} else { 
administrativoNull = false;
this.administrativo = administrativo;
}
}

public int getBalcVarejo() {
return balcVarejo;
}

public boolean isBalcVarejoNull() {
return balcVarejoNull;
}

public void setBalcVarejo(Integer balcVarejo) {
if (balcVarejo == null) {
balcVarejoNull = true;
this.balcVarejo = 0;
} else { 
balcVarejoNull = false;
this.balcVarejo = balcVarejo;
}
}

public int getBalcOficina() {
return balcOficina;
}

public boolean isBalcOficinaNull() {
return balcOficinaNull;
}

public void setBalcOficina(Integer balcOficina) {
if (balcOficina == null) {
balcOficinaNull = true;
this.balcOficina = 0;
} else { 
balcOficinaNull = false;
this.balcOficina = balcOficina;
}
}

public int getVendedAtacado() {
return vendedAtacado;
}

public boolean isVendedAtacadoNull() {
return vendedAtacadoNull;
}

public void setVendedAtacado(Integer vendedAtacado) {
if (vendedAtacado == null) {
vendedAtacadoNull = true;
this.vendedAtacado = 0;
} else { 
vendedAtacadoNull = false;
this.vendedAtacado = vendedAtacado;
}
}

public int getVendedAcessorio() {
return vendedAcessorio;
}

public boolean isVendedAcessorioNull() {
return vendedAcessorioNull;
}

public void setVendedAcessorio(Integer vendedAcessorio) {
if (vendedAcessorio == null) {
vendedAcessorioNull = true;
this.vendedAcessorio = 0;
} else { 
vendedAcessorioNull = false;
this.vendedAcessorio = vendedAcessorio;
}
}

public int getTotGeral() {
return totGeral;
}

public boolean isTotGeralNull() {
return totGeralNull;
}

public void setTotGeral(Integer totGeral) {
if (totGeral == null) {
totGeralNull = true;
this.totGeral = 0;
} else { 
totGeralNull = false;
this.totGeral = totGeral;
}
}

}

