package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYMin;

public class TabVwtsagenda {
@Coluna(nome="vwtsagenda.id_prospe", tipo="int")
private int idProspe;
private boolean idProspeNull;
@Coluna(nome="vwtsagenda.sequencia", tipo="int")
private int sequencia;
private boolean sequenciaNull;
@Coluna(nome="vwtsagenda.dealer", tipo="String")
private String dealer;
@Coluna(nome="vwtsagenda.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwtsagenda.tpcontato", tipo="String")
private String tpcontato;
@Coluna(nome="vwtsagenda.tpacao", tipo="String")
private String tpacao;
@Coluna(nome="vwtsagenda.dtprevista", tipo="FglDateTimeYMin")
private FglDateTimeYMin dtprevista;
@Coluna(nome="vwtsagenda.comentagenda", tipo="String")
private String comentagenda;
@Coluna(nome="vwtsagenda.id_agentede", tipo="int")
private int idAgentede;
private boolean idAgentedeNull;
@Coluna(nome="vwtsagenda.id_agentepara", tipo="int")
private int idAgentepara;
private boolean idAgenteparaNull;
@Coluna(nome="vwtsagenda.codcampanha", tipo="String")
private String codcampanha;
@Coluna(nome="vwtsagenda.automatico", tipo="String")
private String automatico;
@Coluna(nome="vwtsagenda.seqorigem", tipo="int")
private int seqorigem;
private boolean seqorigemNull;
@Coluna(nome="vwtsagenda.seqdestino", tipo="int")
private int seqdestino;
private boolean seqdestinoNull;
@Coluna(nome="vwtsagenda.tpcancelamento", tipo="int")
private int tpcancelamento;
private boolean tpcancelamentoNull;
@Coluna(nome="vwtsagenda.id_tpbloqueio", tipo="int")
private int idTpbloqueio;
private boolean idTpbloqueioNull;

public TabVwtsagenda() {
initialize();
}

public void initialize() {
setIdProspe(null);
setSequencia(null);
setDealer(null);
setFilial(null);
setTpcontato(null);
setTpacao(null);
setDtprevista(null);
setComentagenda(null);
setIdAgentede(null);
setIdAgentepara(null);
setCodcampanha(null);
setAutomatico(null);
setSeqorigem(null);
setSeqdestino(null);
setTpcancelamento(null);
setIdTpbloqueio(null);
}

public TabVwtsagenda(int idProspe, int sequencia, String dealer, int filial, String tpcontato, String tpacao, FglDateTimeYMin dtprevista, String comentagenda, int idAgentede, int idAgentepara, String codcampanha, String automatico, int seqorigem, int seqdestino, int tpcancelamento, int idTpbloqueio) {
this.idProspe = idProspe;
this.sequencia = sequencia;
this.dealer = dealer;
this.filial = filial;
this.tpcontato = tpcontato;
this.tpacao = tpacao;
this.dtprevista = dtprevista;
this.comentagenda = comentagenda;
this.idAgentede = idAgentede;
this.idAgentepara = idAgentepara;
this.codcampanha = codcampanha;
this.automatico = automatico;
this.seqorigem = seqorigem;
this.seqdestino = seqdestino;
this.tpcancelamento = tpcancelamento;
this.idTpbloqueio = idTpbloqueio;
}

public int getIdProspe() {
return idProspe;
}

public boolean isIdProspeNull() {
return idProspeNull;
}

public void setIdProspe(Integer idProspe) {
if (idProspe == null) {
idProspeNull = true;
this.idProspe = 0;
} else { 
idProspeNull = false;
this.idProspe = idProspe;
}
}

public int getSequencia() {
return sequencia;
}

public boolean isSequenciaNull() {
return sequenciaNull;
}

public void setSequencia(Integer sequencia) {
if (sequencia == null) {
sequenciaNull = true;
this.sequencia = 0;
} else { 
sequenciaNull = false;
this.sequencia = sequencia;
}
}

public String getDealer() {
return dealer;
}

public void setDealer(String dealer) {
this.dealer = dealer;
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public String getTpcontato() {
return tpcontato;
}

public void setTpcontato(String tpcontato) {
this.tpcontato = tpcontato;
}

public String getTpacao() {
return tpacao;
}

public void setTpacao(String tpacao) {
this.tpacao = tpacao;
}

public FglDateTimeYMin getDtprevista() {
return dtprevista;
}

public void setDtprevista(FglDateTimeYMin dtprevista) {
this.dtprevista = dtprevista;
}

public String getComentagenda() {
return comentagenda;
}

public void setComentagenda(String comentagenda) {
this.comentagenda = comentagenda;
}

public int getIdAgentede() {
return idAgentede;
}

public boolean isIdAgentedeNull() {
return idAgentedeNull;
}

public void setIdAgentede(Integer idAgentede) {
if (idAgentede == null) {
idAgentedeNull = true;
this.idAgentede = 0;
} else { 
idAgentedeNull = false;
this.idAgentede = idAgentede;
}
}

public int getIdAgentepara() {
return idAgentepara;
}

public boolean isIdAgenteparaNull() {
return idAgenteparaNull;
}

public void setIdAgentepara(Integer idAgentepara) {
if (idAgentepara == null) {
idAgenteparaNull = true;
this.idAgentepara = 0;
} else { 
idAgenteparaNull = false;
this.idAgentepara = idAgentepara;
}
}

public String getCodcampanha() {
return codcampanha;
}

public void setCodcampanha(String codcampanha) {
this.codcampanha = codcampanha;
}

public String getAutomatico() {
return automatico;
}

public void setAutomatico(String automatico) {
this.automatico = automatico;
}

public int getSeqorigem() {
return seqorigem;
}

public boolean isSeqorigemNull() {
return seqorigemNull;
}

public void setSeqorigem(Integer seqorigem) {
if (seqorigem == null) {
seqorigemNull = true;
this.seqorigem = 0;
} else { 
seqorigemNull = false;
this.seqorigem = seqorigem;
}
}

public int getSeqdestino() {
return seqdestino;
}

public boolean isSeqdestinoNull() {
return seqdestinoNull;
}

public void setSeqdestino(Integer seqdestino) {
if (seqdestino == null) {
seqdestinoNull = true;
this.seqdestino = 0;
} else { 
seqdestinoNull = false;
this.seqdestino = seqdestino;
}
}

public int getTpcancelamento() {
return tpcancelamento;
}

public boolean isTpcancelamentoNull() {
return tpcancelamentoNull;
}

public void setTpcancelamento(Integer tpcancelamento) {
if (tpcancelamento == null) {
tpcancelamentoNull = true;
this.tpcancelamento = 0;
} else { 
tpcancelamentoNull = false;
this.tpcancelamento = tpcancelamento;
}
}

public int getIdTpbloqueio() {
return idTpbloqueio;
}

public boolean isIdTpbloqueioNull() {
return idTpbloqueioNull;
}

public void setIdTpbloqueio(Integer idTpbloqueio) {
if (idTpbloqueio == null) {
idTpbloqueioNull = true;
this.idTpbloqueio = 0;
} else { 
idTpbloqueioNull = false;
this.idTpbloqueio = idTpbloqueio;
}
}

}

