package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDate;
import br.com.linx.sisdia.tipos.FglDateTimeHMin;

public class TabVwvocons {
@Coluna(nome="vwvocons.id_preos", tipo="int")
private int idPreos;
private boolean idPreosNull;
@Coluna(nome="vwvocons.id_agetoy", tipo="int")
private int idAgetoy;
private boolean idAgetoyNull;
@Coluna(nome="vwvocons.id_agerec", tipo="int")
private int idAgerec;
private boolean idAgerecNull;
@Coluna(nome="vwvocons.filial", tipo="int")
private int filial;
private boolean filialNull;
@Coluna(nome="vwvocons.id_congho", tipo="int")
private int idCongho;
private boolean idConghoNull;
@Coluna(nome="vwvocons.dtagenda", tipo="FglDate")
private FglDate dtagenda;
@Coluna(nome="vwvocons.hragenda", tipo="FglDateTimeHMin")
private FglDateTimeHMin hragenda;
@Coluna(nome="vwvocons.ghost", tipo="int")
private int ghost;
private boolean ghostNull;

public TabVwvocons() {
initialize();
}

public void initialize() {
setIdPreos(null);
setIdAgetoy(null);
setIdAgerec(null);
setFilial(null);
setIdCongho(null);
setDtagenda(null);
setHragenda(null);
setGhost(null);
}

public TabVwvocons(int idPreos, int idAgetoy, int idAgerec, int filial, int idCongho, FglDate dtagenda, FglDateTimeHMin hragenda, int ghost) {
this.idPreos = idPreos;
this.idAgetoy = idAgetoy;
this.idAgerec = idAgerec;
this.filial = filial;
this.idCongho = idCongho;
this.dtagenda = dtagenda;
this.hragenda = hragenda;
this.ghost = ghost;
}

public int getIdPreos() {
return idPreos;
}

public boolean isIdPreosNull() {
return idPreosNull;
}

public void setIdPreos(Integer idPreos) {
if (idPreos == null) {
idPreosNull = true;
this.idPreos = 0;
} else { 
idPreosNull = false;
this.idPreos = idPreos;
}
}

public int getIdAgetoy() {
return idAgetoy;
}

public boolean isIdAgetoyNull() {
return idAgetoyNull;
}

public void setIdAgetoy(Integer idAgetoy) {
if (idAgetoy == null) {
idAgetoyNull = true;
this.idAgetoy = 0;
} else { 
idAgetoyNull = false;
this.idAgetoy = idAgetoy;
}
}

public int getIdAgerec() {
return idAgerec;
}

public boolean isIdAgerecNull() {
return idAgerecNull;
}

public void setIdAgerec(Integer idAgerec) {
if (idAgerec == null) {
idAgerecNull = true;
this.idAgerec = 0;
} else { 
idAgerecNull = false;
this.idAgerec = idAgerec;
}
}

public int getFilial() {
return filial;
}

public boolean isFilialNull() {
return filialNull;
}

public void setFilial(Integer filial) {
if (filial == null) {
filialNull = true;
this.filial = 0;
} else { 
filialNull = false;
this.filial = filial;
}
}

public int getIdCongho() {
return idCongho;
}

public boolean isIdConghoNull() {
return idConghoNull;
}

public void setIdCongho(Integer idCongho) {
if (idCongho == null) {
idConghoNull = true;
this.idCongho = 0;
} else { 
idConghoNull = false;
this.idCongho = idCongho;
}
}

public FglDate getDtagenda() {
return dtagenda;
}

public void setDtagenda(FglDate dtagenda) {
this.dtagenda = dtagenda;
}

public FglDateTimeHMin getHragenda() {
return hragenda;
}

public void setHragenda(FglDateTimeHMin hragenda) {
this.hragenda = hragenda;
}

public int getGhost() {
return ghost;
}

public boolean isGhostNull() {
return ghostNull;
}

public void setGhost(Integer ghost) {
if (ghost == null) {
ghostNull = true;
this.ghost = 0;
} else { 
ghostNull = false;
this.ghost = ghost;
}
}

}

