package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;

public class TabXejob {
@Coluna(nome="xejob.orderid", tipo="String")
private String orderid;
@Coluna(nome="xejob.number", tipo="String")
private String number;
@Coluna(nome="xejob.breakdownflag", tipo="String")
private String breakdownflag;
@Coluna(nome="xejob.vehiclelocation", tipo="String")
private String vehiclelocation;
@Coluna(nome="xejob.keydeposit", tipo="String")
private String keydeposit;
@Coluna(nome="xejob.repeatcomplaintflag", tipo="String")
private String repeatcomplaintflag;
@Coluna(nome="xejob.repeatcomplaintnote", tipo="String")
private String repeatcomplaintnote;
@Coluna(nome="xejob.note", tipo="String")
private String note;
@Coluna(nome="xejob.comment", tipo="String")
private String comment;
@Coluna(nome="xejob.operatinghours", tipo="int")
private int operatinghours;
private boolean operatinghoursNull;
@Coluna(nome="xejob.odometerreading", tipo="int")
private int odometerreading;
private boolean odometerreadingNull;
@Coluna(nome="xejob.odometerunit", tipo="String")
private String odometerunit;
@Coluna(nome="xejob.jobid", tipo="String")
private String jobid;
@Coluna(nome="xejob.currency", tipo="String")
private String currency;

public TabXejob() {
initialize();
}

public void initialize() {
setOrderid(null);
setNumber(null);
setBreakdownflag(null);
setVehiclelocation(null);
setKeydeposit(null);
setRepeatcomplaintflag(null);
setRepeatcomplaintnote(null);
setNote(null);
setComment(null);
setOperatinghours(null);
setOdometerreading(null);
setOdometerunit(null);
setJobid(null);
setCurrency(null);
}

public TabXejob(String orderid, String number, String breakdownflag, String vehiclelocation, String keydeposit, String repeatcomplaintflag, String repeatcomplaintnote, String note, String comment, int operatinghours, int odometerreading, String odometerunit, String jobid, String currency) {
this.orderid = orderid;
this.number = number;
this.breakdownflag = breakdownflag;
this.vehiclelocation = vehiclelocation;
this.keydeposit = keydeposit;
this.repeatcomplaintflag = repeatcomplaintflag;
this.repeatcomplaintnote = repeatcomplaintnote;
this.note = note;
this.comment = comment;
this.operatinghours = operatinghours;
this.odometerreading = odometerreading;
this.odometerunit = odometerunit;
this.jobid = jobid;
this.currency = currency;
}

public String getOrderid() {
return orderid;
}

public void setOrderid(String orderid) {
this.orderid = orderid;
}

public String getNumber() {
return number;
}

public void setNumber(String number) {
this.number = number;
}

public String getBreakdownflag() {
return breakdownflag;
}

public void setBreakdownflag(String breakdownflag) {
this.breakdownflag = breakdownflag;
}

public String getVehiclelocation() {
return vehiclelocation;
}

public void setVehiclelocation(String vehiclelocation) {
this.vehiclelocation = vehiclelocation;
}

public String getKeydeposit() {
return keydeposit;
}

public void setKeydeposit(String keydeposit) {
this.keydeposit = keydeposit;
}

public String getRepeatcomplaintflag() {
return repeatcomplaintflag;
}

public void setRepeatcomplaintflag(String repeatcomplaintflag) {
this.repeatcomplaintflag = repeatcomplaintflag;
}

public String getRepeatcomplaintnote() {
return repeatcomplaintnote;
}

public void setRepeatcomplaintnote(String repeatcomplaintnote) {
this.repeatcomplaintnote = repeatcomplaintnote;
}

public String getNote() {
return note;
}

public void setNote(String note) {
this.note = note;
}

public String getComment() {
return comment;
}

public void setComment(String comment) {
this.comment = comment;
}

public int getOperatinghours() {
return operatinghours;
}

public boolean isOperatinghoursNull() {
return operatinghoursNull;
}

public void setOperatinghours(Integer operatinghours) {
if (operatinghours == null) {
operatinghoursNull = true;
this.operatinghours = 0;
} else { 
operatinghoursNull = false;
this.operatinghours = operatinghours;
}
}

public int getOdometerreading() {
return odometerreading;
}

public boolean isOdometerreadingNull() {
return odometerreadingNull;
}

public void setOdometerreading(Integer odometerreading) {
if (odometerreading == null) {
odometerreadingNull = true;
this.odometerreading = 0;
} else { 
odometerreadingNull = false;
this.odometerreading = odometerreading;
}
}

public String getOdometerunit() {
return odometerunit;
}

public void setOdometerunit(String odometerunit) {
this.odometerunit = odometerunit;
}

public String getJobid() {
return jobid;
}

public void setJobid(String jobid) {
this.jobid = jobid;
}

public String getCurrency() {
return currency;
}

public void setCurrency(String currency) {
this.currency = currency;
}

}

