package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabXelocaloperations {
@Coluna(nome="xelocaloperations.idlocaloperations", tipo="int")
private int idlocaloperations;
private boolean idlocaloperationsNull;
@Coluna(nome="xelocaloperations.number", tipo="String")
private String number;
@Coluna(nome="xelocaloperations.description", tipo="String")
private String description;
@Coluna(nome="xelocaloperations.unit", tipo="String")
private String unit;
@Coluna(nome="xelocaloperations.value", tipo="double")
private double value;
private boolean valueNull;
@Coluna(nome="xelocaloperations.origin", tipo="String")
private String origin;
@Coluna(nome="xelocaloperations.isnegative", tipo="String")
private String isnegative;

public TabXelocaloperations() {
initialize();
}

public void initialize() {
setIdlocaloperations(null);
setNumber(null);
setDescription(null);
setUnit(null);
setValue(null);
setOrigin(null);
setIsnegative(null);
}

public TabXelocaloperations(int idlocaloperations, String number, String description, String unit, double value, String origin, String isnegative) {
this.idlocaloperations = idlocaloperations;
this.number = number;
this.description = description;
this.unit = unit;
this.value = value;
this.origin = origin;
this.isnegative = isnegative;
}

public int getIdlocaloperations() {
return idlocaloperations;
}

public boolean isIdlocaloperationsNull() {
return idlocaloperationsNull;
}

public void setIdlocaloperations(Integer idlocaloperations) {
if (idlocaloperations == null) {
idlocaloperationsNull = true;
this.idlocaloperations = 0;
} else { 
idlocaloperationsNull = false;
this.idlocaloperations = idlocaloperations;
}
}

public String getNumber() {
return number;
}

public void setNumber(String number) {
this.number = number;
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

public String getUnit() {
return unit;
}

public void setUnit(String unit) {
this.unit = unit;
}

public double getValue() {
return value;
}

public boolean isValueNull() {
return valueNull;
}

public void setValue(int value) {
setValue(new Double(value));
}

public void setValue(long value) {
setValue(new Double(value));
}

public void setValue(Double value) {
if (value == null) {
valueNull = true;
this.value = 0.;
} else { 
valueNull = false;
this.value = FglDouble.round(value, 2);
}
}

public String getOrigin() {
return origin;
}

public void setOrigin(String origin) {
this.origin = origin;
}

public String getIsnegative() {
return isnegative;
}

public void setIsnegative(String isnegative) {
this.isnegative = isnegative;
}

}

