package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDateTimeYS;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabXeorder {
@Coluna(nome="xeorder.orderid", tipo="String")
private String orderid;
@Coluna(nome="xeorder.receptiondate", tipo="FglDateTimeYS")
private FglDateTimeYS receptiondate;
@Coluna(nome="xeorder.returndate", tipo="FglDateTimeYS")
private FglDateTimeYS returndate;
@Coluna(nome="xeorder.costestimateflag", tipo="String")
private String costestimateflag;
@Coluna(nome="xeorder.costestimatenote", tipo="String")
private String costestimatenote;
@Coluna(nome="xeorder.courtesymobilityflag", tipo="String")
private String courtesymobilityflag;
@Coluna(nome="xeorder.courtesymobilitynote", tipo="String")
private String courtesymobilitynote;
@Coluna(nome="xeorder.paymentmethod", tipo="String")
private String paymentmethod;
@Coluna(nome="xeorder.costlimit", tipo="double")
private double costlimit;
private boolean costlimitNull;
@Coluna(nome="xeorder.currency", tipo="String")
private String currency;
@Coluna(nome="xeorder.receptiontype", tipo="String")
private String receptiontype;
@Coluna(nome="xeorder.serviceadvisor", tipo="String")
private String serviceadvisor;
@Coluna(nome="xeorder.serviceadvisorfirstname", tipo="String")
private String serviceadvisorfirstname;
@Coluna(nome="xeorder.serviceadvisorlastname", tipo="String")
private String serviceadvisorlastname;
@Coluna(nome="xeorder.serviceadvisorabbreviation", tipo="String")
private String serviceadvisorabbreviation;
@Coluna(nome="xeorder.technicianfirstname", tipo="String")
private String technicianfirstname;
@Coluna(nome="xeorder.technicianlastname", tipo="String")
private String technicianlastname;
@Coluna(nome="xeorder.technicianabbreviation", tipo="String")
private String technicianabbreviation;

public TabXeorder() {
initialize();
}

public void initialize() {
setOrderid(null);
setReceptiondate(null);
setReturndate(null);
setCostestimateflag(null);
setCostestimatenote(null);
setCourtesymobilityflag(null);
setCourtesymobilitynote(null);
setPaymentmethod(null);
setCostlimit(null);
setCurrency(null);
setReceptiontype(null);
setServiceadvisor(null);
setServiceadvisorfirstname(null);
setServiceadvisorlastname(null);
setServiceadvisorabbreviation(null);
setTechnicianfirstname(null);
setTechnicianlastname(null);
setTechnicianabbreviation(null);
}

public TabXeorder(String orderid, FglDateTimeYS receptiondate, FglDateTimeYS returndate, String costestimateflag, String costestimatenote, String courtesymobilityflag, String courtesymobilitynote, String paymentmethod, double costlimit, String currency, String receptiontype, String serviceadvisor, String serviceadvisorfirstname, String serviceadvisorlastname, String serviceadvisorabbreviation, String technicianfirstname, String technicianlastname, String technicianabbreviation) {
this.orderid = orderid;
this.receptiondate = receptiondate;
this.returndate = returndate;
this.costestimateflag = costestimateflag;
this.costestimatenote = costestimatenote;
this.courtesymobilityflag = courtesymobilityflag;
this.courtesymobilitynote = courtesymobilitynote;
this.paymentmethod = paymentmethod;
this.costlimit = costlimit;
this.currency = currency;
this.receptiontype = receptiontype;
this.serviceadvisor = serviceadvisor;
this.serviceadvisorfirstname = serviceadvisorfirstname;
this.serviceadvisorlastname = serviceadvisorlastname;
this.serviceadvisorabbreviation = serviceadvisorabbreviation;
this.technicianfirstname = technicianfirstname;
this.technicianlastname = technicianlastname;
this.technicianabbreviation = technicianabbreviation;
}

public String getOrderid() {
return orderid;
}

public void setOrderid(String orderid) {
this.orderid = orderid;
}

public FglDateTimeYS getReceptiondate() {
return receptiondate;
}

public void setReceptiondate(FglDateTimeYS receptiondate) {
this.receptiondate = receptiondate;
}

public FglDateTimeYS getReturndate() {
return returndate;
}

public void setReturndate(FglDateTimeYS returndate) {
this.returndate = returndate;
}

public String getCostestimateflag() {
return costestimateflag;
}

public void setCostestimateflag(String costestimateflag) {
this.costestimateflag = costestimateflag;
}

public String getCostestimatenote() {
return costestimatenote;
}

public void setCostestimatenote(String costestimatenote) {
this.costestimatenote = costestimatenote;
}

public String getCourtesymobilityflag() {
return courtesymobilityflag;
}

public void setCourtesymobilityflag(String courtesymobilityflag) {
this.courtesymobilityflag = courtesymobilityflag;
}

public String getCourtesymobilitynote() {
return courtesymobilitynote;
}

public void setCourtesymobilitynote(String courtesymobilitynote) {
this.courtesymobilitynote = courtesymobilitynote;
}

public String getPaymentmethod() {
return paymentmethod;
}

public void setPaymentmethod(String paymentmethod) {
this.paymentmethod = paymentmethod;
}

public double getCostlimit() {
return costlimit;
}

public boolean isCostlimitNull() {
return costlimitNull;
}

public void setCostlimit(int costlimit) {
setCostlimit(new Double(costlimit));
}

public void setCostlimit(long costlimit) {
setCostlimit(new Double(costlimit));
}

public void setCostlimit(Double costlimit) {
if (costlimit == null) {
costlimitNull = true;
this.costlimit = 0.;
} else { 
costlimitNull = false;
this.costlimit = FglDouble.round(costlimit, 2);
}
}

public String getCurrency() {
return currency;
}

public void setCurrency(String currency) {
this.currency = currency;
}

public String getReceptiontype() {
return receptiontype;
}

public void setReceptiontype(String receptiontype) {
this.receptiontype = receptiontype;
}

public String getServiceadvisor() {
return serviceadvisor;
}

public void setServiceadvisor(String serviceadvisor) {
this.serviceadvisor = serviceadvisor;
}

public String getServiceadvisorfirstname() {
return serviceadvisorfirstname;
}

public void setServiceadvisorfirstname(String serviceadvisorfirstname) {
this.serviceadvisorfirstname = serviceadvisorfirstname;
}

public String getServiceadvisorlastname() {
return serviceadvisorlastname;
}

public void setServiceadvisorlastname(String serviceadvisorlastname) {
this.serviceadvisorlastname = serviceadvisorlastname;
}

public String getServiceadvisorabbreviation() {
return serviceadvisorabbreviation;
}

public void setServiceadvisorabbreviation(String serviceadvisorabbreviation) {
this.serviceadvisorabbreviation = serviceadvisorabbreviation;
}

public String getTechnicianfirstname() {
return technicianfirstname;
}

public void setTechnicianfirstname(String technicianfirstname) {
this.technicianfirstname = technicianfirstname;
}

public String getTechnicianlastname() {
return technicianlastname;
}

public void setTechnicianlastname(String technicianlastname) {
this.technicianlastname = technicianlastname;
}

public String getTechnicianabbreviation() {
return technicianabbreviation;
}

public void setTechnicianabbreviation(String technicianabbreviation) {
this.technicianabbreviation = technicianabbreviation;
}

}

