package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabXepackage {
@Coluna(nome="xepackage.orderid", tipo="String")
private String orderid;
@Coluna(nome="xepackage.concerninternalid", tipo="String")
private String concerninternalid;
@Coluna(nome="xepackage.concernexternalid", tipo="String")
private String concernexternalid;
@Coluna(nome="xepackage.internalid", tipo="String")
private String internalid;
@Coluna(nome="xepackage.externalid", tipo="String")
private String externalid;
@Coluna(nome="xepackage.number", tipo="String")
private String number;
@Coluna(nome="xepackage.posno", tipo="int")
private int posno;
private boolean posnoNull;
@Coluna(nome="xepackage.edittype", tipo="String")
private String edittype;
@Coluna(nome="xepackage.dmsstatus", tipo="String")
private String dmsstatus;
@Coluna(nome="xepackage.description", tipo="String")
private String description;
@Coluna(nome="xepackage.origin", tipo="String")
private String origin;
@Coluna(nome="xepackage.netlocalprice", tipo="double")
private double netlocalprice;
private boolean netlocalpriceNull;
@Coluna(nome="xepackage.grosslocalprice", tipo="double")
private double grosslocalprice;
private boolean grosslocalpriceNull;
@Coluna(nome="xepackage.currency", tipo="String")
private String currency;
@Coluna(nome="xepackage.invoicecode", tipo="String")
private String invoicecode;
@Coluna(nome="xepackage.value", tipo="double")
private double value;
private boolean valueNull;
@Coluna(nome="xepackage.unit", tipo="String")
private String unit;
@Coluna(nome="xepackage.notificationid", tipo="int")
private int notificationid;
private boolean notificationidNull;
@Coluna(nome="xepackage.isnegative", tipo="String")
private String isnegative;

public TabXepackage() {
initialize();
}

public void initialize() {
setOrderid(null);
setConcerninternalid(null);
setConcernexternalid(null);
setInternalid(null);
setExternalid(null);
setNumber(null);
setPosno(null);
setEdittype(null);
setDmsstatus(null);
setDescription(null);
setOrigin(null);
setNetlocalprice(null);
setGrosslocalprice(null);
setCurrency(null);
setInvoicecode(null);
setValue(null);
setUnit(null);
setNotificationid(null);
setIsnegative(null);
}

public TabXepackage(String orderid, String concerninternalid, String concernexternalid, String internalid, String externalid, String number, int posno, String edittype, String dmsstatus, String description, String origin, double netlocalprice, double grosslocalprice, String currency, String invoicecode, double value, String unit, int notificationid, String isnegative) {
this.orderid = orderid;
this.concerninternalid = concerninternalid;
this.concernexternalid = concernexternalid;
this.internalid = internalid;
this.externalid = externalid;
this.number = number;
this.posno = posno;
this.edittype = edittype;
this.dmsstatus = dmsstatus;
this.description = description;
this.origin = origin;
this.netlocalprice = netlocalprice;
this.grosslocalprice = grosslocalprice;
this.currency = currency;
this.invoicecode = invoicecode;
this.value = value;
this.unit = unit;
this.notificationid = notificationid;
this.isnegative = isnegative;
}

public String getOrderid() {
return orderid;
}

public void setOrderid(String orderid) {
this.orderid = orderid;
}

public String getConcerninternalid() {
return concerninternalid;
}

public void setConcerninternalid(String concerninternalid) {
this.concerninternalid = concerninternalid;
}

public String getConcernexternalid() {
return concernexternalid;
}

public void setConcernexternalid(String concernexternalid) {
this.concernexternalid = concernexternalid;
}

public String getInternalid() {
return internalid;
}

public void setInternalid(String internalid) {
this.internalid = internalid;
}

public String getExternalid() {
return externalid;
}

public void setExternalid(String externalid) {
this.externalid = externalid;
}

public String getNumber() {
return number;
}

public void setNumber(String number) {
this.number = number;
}

public int getPosno() {
return posno;
}

public boolean isPosnoNull() {
return posnoNull;
}

public void setPosno(Integer posno) {
if (posno == null) {
posnoNull = true;
this.posno = 0;
} else { 
posnoNull = false;
this.posno = posno;
}
}

public String getEdittype() {
return edittype;
}

public void setEdittype(String edittype) {
this.edittype = edittype;
}

public String getDmsstatus() {
return dmsstatus;
}

public void setDmsstatus(String dmsstatus) {
this.dmsstatus = dmsstatus;
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

public String getOrigin() {
return origin;
}

public void setOrigin(String origin) {
this.origin = origin;
}

public double getNetlocalprice() {
return netlocalprice;
}

public boolean isNetlocalpriceNull() {
return netlocalpriceNull;
}

public void setNetlocalprice(int netlocalprice) {
setNetlocalprice(new Double(netlocalprice));
}

public void setNetlocalprice(long netlocalprice) {
setNetlocalprice(new Double(netlocalprice));
}

public void setNetlocalprice(Double netlocalprice) {
if (netlocalprice == null) {
netlocalpriceNull = true;
this.netlocalprice = 0.;
} else { 
netlocalpriceNull = false;
this.netlocalprice = FglDouble.round(netlocalprice, 2);
}
}

public double getGrosslocalprice() {
return grosslocalprice;
}

public boolean isGrosslocalpriceNull() {
return grosslocalpriceNull;
}

public void setGrosslocalprice(int grosslocalprice) {
setGrosslocalprice(new Double(grosslocalprice));
}

public void setGrosslocalprice(long grosslocalprice) {
setGrosslocalprice(new Double(grosslocalprice));
}

public void setGrosslocalprice(Double grosslocalprice) {
if (grosslocalprice == null) {
grosslocalpriceNull = true;
this.grosslocalprice = 0.;
} else { 
grosslocalpriceNull = false;
this.grosslocalprice = FglDouble.round(grosslocalprice, 2);
}
}

public String getCurrency() {
return currency;
}

public void setCurrency(String currency) {
this.currency = currency;
}

public String getInvoicecode() {
return invoicecode;
}

public void setInvoicecode(String invoicecode) {
this.invoicecode = invoicecode;
}

public double getValue() {
return value;
}

public boolean isValueNull() {
return valueNull;
}

public void setValue(int value) {
setValue(new Double(value));
}

public void setValue(long value) {
setValue(new Double(value));
}

public void setValue(Double value) {
if (value == null) {
valueNull = true;
this.value = 0.;
} else { 
valueNull = false;
this.value = FglDouble.round(value, 2);
}
}

public String getUnit() {
return unit;
}

public void setUnit(String unit) {
this.unit = unit;
}

public int getNotificationid() {
return notificationid;
}

public boolean isNotificationidNull() {
return notificationidNull;
}

public void setNotificationid(Integer notificationid) {
if (notificationid == null) {
notificationidNull = true;
this.notificationid = 0;
} else { 
notificationidNull = false;
this.notificationid = notificationid;
}
}

public String getIsnegative() {
return isnegative;
}

public void setIsnegative(String isnegative) {
this.isnegative = isnegative;
}

}

