package br.com.linx.sisdia.tabelas;

import br.com.linx.sisdia.Coluna;
import br.com.linx.sisdia.tipos.FglDouble;

public class TabXeworkitem {
@Coluna(nome="xeworkitem.orderid", tipo="String")
private String orderid;
@Coluna(nome="xeworkitem.concerninternalid", tipo="String")
private String concerninternalid;
@Coluna(nome="xeworkitem.concernexternalid", tipo="String")
private String concernexternalid;
@Coluna(nome="xeworkitem.packageinternalid", tipo="String")
private String packageinternalid;
@Coluna(nome="xeworkitem.packageexternalid", tipo="String")
private String packageexternalid;
@Coluna(nome="xeworkitem.internalid", tipo="String")
private String internalid;
@Coluna(nome="xeworkitem.externalid", tipo="String")
private String externalid;
@Coluna(nome="xeworkitem.number", tipo="String")
private String number;
@Coluna(nome="xeworkitem.posno", tipo="int")
private int posno;
private boolean posnoNull;
@Coluna(nome="xeworkitem.edittype", tipo="String")
private String edittype;
@Coluna(nome="xeworkitem.dmsstatus", tipo="String")
private String dmsstatus;
@Coluna(nome="xeworkitem.unit", tipo="String")
private String unit;
@Coluna(nome="xeworkitem.value", tipo="double")
private double value;
private boolean valueNull;
@Coluna(nome="xeworkitem.description", tipo="String")
private String description;
@Coluna(nome="xeworkitem.origin", tipo="String")
private String origin;
@Coluna(nome="xeworkitem.netlocalprice", tipo="double")
private double netlocalprice;
private boolean netlocalpriceNull;
@Coluna(nome="xeworkitem.grosslocalprice", tipo="double")
private double grosslocalprice;
private boolean grosslocalpriceNull;
@Coluna(nome="xeworkitem.currency", tipo="String")
private String currency;
@Coluna(nome="xeworkitem.invoicecode", tipo="String")
private String invoicecode;
@Coluna(nome="xeworkitem.notificationid", tipo="int")
private int notificationid;
private boolean notificationidNull;
@Coluna(nome="xeworkitem.isnegative", tipo="String")
private String isnegative;
@Coluna(nome="xeworkitem.iscritical", tipo="String")
private String iscritical;

public TabXeworkitem() {
initialize();
}

public void initialize() {
setOrderid(null);
setConcerninternalid(null);
setConcernexternalid(null);
setPackageinternalid(null);
setPackageexternalid(null);
setInternalid(null);
setExternalid(null);
setNumber(null);
setPosno(null);
setEdittype(null);
setDmsstatus(null);
setUnit(null);
setValue(null);
setDescription(null);
setOrigin(null);
setNetlocalprice(null);
setGrosslocalprice(null);
setCurrency(null);
setInvoicecode(null);
setNotificationid(null);
setIsnegative(null);
setIscritical(null);
}

public TabXeworkitem(String orderid, String concerninternalid, String concernexternalid, String packageinternalid, String packageexternalid, String internalid, String externalid, String number, int posno, String edittype, String dmsstatus, String unit, double value, String description, String origin, double netlocalprice, double grosslocalprice, String currency, String invoicecode, int notificationid, String isnegative, String iscritical) {
this.orderid = orderid;
this.concerninternalid = concerninternalid;
this.concernexternalid = concernexternalid;
this.packageinternalid = packageinternalid;
this.packageexternalid = packageexternalid;
this.internalid = internalid;
this.externalid = externalid;
this.number = number;
this.posno = posno;
this.edittype = edittype;
this.dmsstatus = dmsstatus;
this.unit = unit;
this.value = value;
this.description = description;
this.origin = origin;
this.netlocalprice = netlocalprice;
this.grosslocalprice = grosslocalprice;
this.currency = currency;
this.invoicecode = invoicecode;
this.notificationid = notificationid;
this.isnegative = isnegative;
this.iscritical = iscritical;
}

public String getOrderid() {
return orderid;
}

public void setOrderid(String orderid) {
this.orderid = orderid;
}

public String getConcerninternalid() {
return concerninternalid;
}

public void setConcerninternalid(String concerninternalid) {
this.concerninternalid = concerninternalid;
}

public String getConcernexternalid() {
return concernexternalid;
}

public void setConcernexternalid(String concernexternalid) {
this.concernexternalid = concernexternalid;
}

public String getPackageinternalid() {
return packageinternalid;
}

public void setPackageinternalid(String packageinternalid) {
this.packageinternalid = packageinternalid;
}

public String getPackageexternalid() {
return packageexternalid;
}

public void setPackageexternalid(String packageexternalid) {
this.packageexternalid = packageexternalid;
}

public String getInternalid() {
return internalid;
}

public void setInternalid(String internalid) {
this.internalid = internalid;
}

public String getExternalid() {
return externalid;
}

public void setExternalid(String externalid) {
this.externalid = externalid;
}

public String getNumber() {
return number;
}

public void setNumber(String number) {
this.number = number;
}

public int getPosno() {
return posno;
}

public boolean isPosnoNull() {
return posnoNull;
}

public void setPosno(Integer posno) {
if (posno == null) {
posnoNull = true;
this.posno = 0;
} else { 
posnoNull = false;
this.posno = posno;
}
}

public String getEdittype() {
return edittype;
}

public void setEdittype(String edittype) {
this.edittype = edittype;
}

public String getDmsstatus() {
return dmsstatus;
}

public void setDmsstatus(String dmsstatus) {
this.dmsstatus = dmsstatus;
}

public String getUnit() {
return unit;
}

public void setUnit(String unit) {
this.unit = unit;
}

public double getValue() {
return value;
}

public boolean isValueNull() {
return valueNull;
}

public void setValue(int value) {
setValue(new Double(value));
}

public void setValue(long value) {
setValue(new Double(value));
}

public void setValue(Double value) {
if (value == null) {
valueNull = true;
this.value = 0.;
} else { 
valueNull = false;
this.value = FglDouble.round(value, 2);
}
}

public String getDescription() {
return description;
}

public void setDescription(String description) {
this.description = description;
}

public String getOrigin() {
return origin;
}

public void setOrigin(String origin) {
this.origin = origin;
}

public double getNetlocalprice() {
return netlocalprice;
}

public boolean isNetlocalpriceNull() {
return netlocalpriceNull;
}

public void setNetlocalprice(int netlocalprice) {
setNetlocalprice(new Double(netlocalprice));
}

public void setNetlocalprice(long netlocalprice) {
setNetlocalprice(new Double(netlocalprice));
}

public void setNetlocalprice(Double netlocalprice) {
if (netlocalprice == null) {
netlocalpriceNull = true;
this.netlocalprice = 0.;
} else { 
netlocalpriceNull = false;
this.netlocalprice = FglDouble.round(netlocalprice, 2);
}
}

public double getGrosslocalprice() {
return grosslocalprice;
}

public boolean isGrosslocalpriceNull() {
return grosslocalpriceNull;
}

public void setGrosslocalprice(int grosslocalprice) {
setGrosslocalprice(new Double(grosslocalprice));
}

public void setGrosslocalprice(long grosslocalprice) {
setGrosslocalprice(new Double(grosslocalprice));
}

public void setGrosslocalprice(Double grosslocalprice) {
if (grosslocalprice == null) {
grosslocalpriceNull = true;
this.grosslocalprice = 0.;
} else { 
grosslocalpriceNull = false;
this.grosslocalprice = FglDouble.round(grosslocalprice, 2);
}
}

public String getCurrency() {
return currency;
}

public void setCurrency(String currency) {
this.currency = currency;
}

public String getInvoicecode() {
return invoicecode;
}

public void setInvoicecode(String invoicecode) {
this.invoicecode = invoicecode;
}

public int getNotificationid() {
return notificationid;
}

public boolean isNotificationidNull() {
return notificationidNull;
}

public void setNotificationid(Integer notificationid) {
if (notificationid == null) {
notificationidNull = true;
this.notificationid = 0;
} else { 
notificationidNull = false;
this.notificationid = notificationid;
}
}

public String getIsnegative() {
return isnegative;
}

public void setIsnegative(String isnegative) {
this.isnegative = isnegative;
}

public String getIscritical() {
return iscritical;
}

public void setIscritical(String iscritical) {
this.iscritical = iscritical;
}

}

